diff -u -r -N squid-3.1.0.3/ChangeLog squid-3.1.0.4/ChangeLog
--- squid-3.1.0.3/ChangeLog	2008-12-05 16:09:27.000000000 +1300
+++ squid-3.1.0.4/ChangeLog	2009-01-23 18:37:26.000000000 +1300
@@ -1,3 +1,20 @@
+Changes to squid-3.1.0.4 (23 Jan 2008):
+
+	- Regression Fix: Bug 2558: rollback bug 2395 fix.
+	- Bug 2555: Fixes to SNMP-MIB
+	- Bug 2550: assertion comm.cc:350 !fd_table[fd].closing()
+	- Bug 2547,2548: OSX compile errors (duplicate symbols and IPv6)
+	- Bug 2508: comm.cc:2035 assertion fd_table[fd].closing()
+	- Bug 2330: allow keep-alive+chunked; don't add max-age for no-cache
+	- Polish ZPH configuration interface
+	- Several Language Conversions to new auto-negotiate
+	- Port from 2.7: squidclient -V and -j options for HTTP/1.1 and 0.9 testing
+	- Fix: Pconn not being used when they should.
+	- Fix: Fix pinger immediate shutdowns
+	- Fix: Untangle CacheManager reports from log_fqdn
+	- ... and all bugs fixed for 3.0.STABLE12
+	- ... and many code polish and optimization fixes.
+
 Changes to squid-3.1.0.3 (5 Dec 2008):
 
 	- Regression Fix: StoreIOBuffer patch removed.
diff -u -r -N squid-3.1.0.3/configure squid-3.1.0.4/configure
--- squid-3.1.0.3/configure	2008-12-05 16:10:13.000000000 +1300
+++ squid-3.1.0.4/configure	2009-01-23 18:38:15.000000000 +1300
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Revision: 1.497 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.3.
+# Generated by GNU Autoconf 2.62 for Squid Web Proxy 3.1.0.4.
 #
 # Report bugs to <http://www.squid-cache.org/bugs/>.
 #
@@ -751,8 +751,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.1.0.3'
-PACKAGE_STRING='Squid Web Proxy 3.1.0.3'
+PACKAGE_VERSION='3.1.0.4'
+PACKAGE_STRING='Squid Web Proxy 3.1.0.4'
 PACKAGE_BUGREPORT='http://www.squid-cache.org/bugs/'
 
 ac_unique_file="src/main.cc"
@@ -973,8 +973,8 @@
 AUTH_OBJS
 BASIC_AUTH_HELPERS
 NTLM_AUTH_HELPERS
-subdirs
 NEGOTIATE_AUTH_HELPERS
+subdirs
 DIGEST_AUTH_HELPERS
 EXTERNAL_ACL_HELPERS
 LIBSASL
@@ -1683,7 +1683,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.1.0.3 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.1.0.4 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1753,7 +1753,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.3:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.1.0.4:";;
    esac
   cat <<\_ACEOF
 
@@ -2080,7 +2080,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.1.0.3
+Squid Web Proxy configure 3.1.0.4
 generated by GNU Autoconf 2.62
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -2094,7 +2094,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.1.0.3, which was
+It was created by Squid Web Proxy $as_me 3.1.0.4, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   $ $0 $@
@@ -2792,7 +2792,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.1.0.3'
+ VERSION='3.1.0.4'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -22306,6 +22306,96 @@
 
 fi
 
+if test "$with_pthreads" = "yes"; then
+    SQUID_CFLAGS="$SQUID_CFLAGS -D_REENTRANT"
+    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -D_REENTRANT"
+    case "$host" in
+    i386-unknown-freebsd*)
+        if test "$GCC" = "yes" ; then
+            if test -z "$PRESET_LDFLAGS"; then
+                LDFLAGS="$LDFLAGS -pthread"
+            fi
+        fi
+    ;;
+    *-solaris2.*)
+        if test "$GCC" = "yes" ; then
+	    SQUID_CFLAGS="$SQUID_CFLAGS -pthreads"
+	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -pthreads"
+	else
+	    SQUID_CFLAGS="$SQUID_CFLAGS -mt"
+	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -mt"
+        fi
+    ;;
+    esac
+    { $as_echo "$as_me:$LINENO: checking for main in -lpthread" >&5
+$as_echo_n "checking for main in -lpthread... " >&6; }
+if test "${ac_cv_lib_pthread_main+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpthread  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+return main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  ac_cv_lib_pthread_main=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_lib_pthread_main=no
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
+$as_echo "$ac_cv_lib_pthread_main" >&6; }
+if test $ac_cv_lib_pthread_main = yes; then
+  DISK_LIBS="$DISK_LIBS -lpthread"
+else
+   { { $as_echo "$as_me:$LINENO: error: pthread library required but cannot be found." >&5
+$as_echo "$as_me: error: pthread library required but cannot be found." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+fi
+
 
 
 
@@ -24383,11 +24473,12 @@
 	case "$host" in
 	    *-solaris*)
     		if test "$GCC" = "yes"; then
-		    echo "Removing -Xa for gcc on $host"
+		    echo "Removing -Xa for gcc/g++ on $host"
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-Xa//'`"
 		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-Xa//'`"
-		    echo "Replacing -xarch=generic64 with -m64 for gcc on $host"
+		    echo "Replacing -xarch=generic64 with -m64 for gcc/g++ on $host"
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
+		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
 		    LDFLAGS="`echo $LDFLAGS | sed -e 's/-xarch=generic64//'`"
 		fi
 		echo "Removing -Usun on $host"
@@ -24796,21 +24887,15 @@
 $as_echo "$as_me: error: Negotiate Auth helper $helper does not exist" >&2;}
    { (exit 1); exit 1; }; }
 	fi
-	# Kerberos helper has its own configure system
-	if test "$helper" = "squid_kerb_auth"; then
-
-
-subdirs="$subdirs helpers/negotiate_auth/squid_kerb_auth"
-
-	else
-	    echo "ERROR: configure.in needs to be extended to support $helper!"
-	    exit 1
-	fi
     done
     echo "Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS"
 fi
 
 
+
+subdirs="$subdirs helpers/negotiate_auth/squid_kerb_auth"
+
+
 if test -n "$AUTH_MODULE_digest"; then
 	DIGEST_AUTH_HELPERS=all
 fi
@@ -46105,98 +46190,6 @@
 
 fi
 
-if test "$with_pthreads" = "yes"; then
-    SQUID_CFLAGS="$SQUID_CFLAGS -D_REENTRANT"
-    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -D_REENTRANT"
-    case "$host" in
-    i386-unknown-freebsd*)
-        if test "$GCC" = "yes" ; then
-            if test -z "$PRESET_LDFLAGS"; then
-                LDFLAGS="$LDFLAGS -pthread"
-            fi
-        fi
-    ;;
-    *-solaris2.*)
-        if test "$GCC" = "yes" ; then
-	    SQUID_CFLAGS="$SQUID_CFLAGS -pthreads"
-	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -pthreads"
-	else
-	    SQUID_CFLAGS="$SQUID_CFLAGS -mt"
-	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -mt"
-        fi
-    ;;
-    esac
-
-{ $as_echo "$as_me:$LINENO: checking for main in -lpthread" >&5
-$as_echo_n "checking for main in -lpthread... " >&6; }
-if test "${ac_cv_lib_pthread_main+set}" = set; then
-  $as_echo_n "(cached) " >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpthread  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-return main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then
-  ac_cv_lib_pthread_main=yes
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_pthread_main=no
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
-$as_echo "$ac_cv_lib_pthread_main" >&6; }
-if test $ac_cv_lib_pthread_main = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBPTHREAD 1
-_ACEOF
-
-  LIBS="-lpthread $LIBS"
-
-fi
-
-fi
-
 case "$host" in
 	*-pc-sco3.2*)
 
@@ -49056,7 +49049,7 @@
 
 rm -f core
 
-ac_config_files="$ac_config_files Makefile lib/Makefile scripts/Makefile scripts/RunCache scripts/RunAccel src/Makefile src/fs/Makefile src/repl/Makefile src/auth/Makefile src/adaptation/Makefile src/ICAP/Makefile src/icmp/Makefile src/eCAP/Makefile contrib/Makefile snmplib/Makefile icons/Makefile errors/Makefile test-suite/Makefile doc/Makefile helpers/Makefile helpers/basic_auth/Makefile helpers/basic_auth/LDAP/Makefile helpers/basic_auth/MSNT/Makefile helpers/basic_auth/NCSA/Makefile helpers/basic_auth/PAM/Makefile helpers/basic_auth/SMB/Makefile helpers/basic_auth/mswin_sspi/Makefile helpers/basic_auth/YP/Makefile helpers/basic_auth/getpwnam/Makefile helpers/basic_auth/multi-domain-NTLM/Makefile helpers/basic_auth/SASL/Makefile helpers/basic_auth/POP3/Makefile helpers/basic_auth/DB/Makefile helpers/basic_auth/squid_radius_auth/Makefile helpers/digest_auth/Makefile helpers/digest_auth/password/Makefile helpers/digest_auth/ldap/Makefile helpers/digest_auth/eDirectory/Makefile helpers/ntlm_auth/Makefile helpers/ntlm_auth/fakeauth/Makefile helpers/ntlm_auth/no_check/Makefile helpers/ntlm_auth/smb_lm/Makefile helpers/ntlm_auth/smb_lm/smbval/Makefile helpers/ntlm_auth/mswin_sspi/Makefile helpers/negotiate_auth/Makefile helpers/negotiate_auth/mswin_sspi/Makefile helpers/external_acl/Makefile helpers/external_acl/ip_user/Makefile helpers/external_acl/ldap_group/Makefile helpers/external_acl/session/Makefile helpers/external_acl/unix_group/Makefile helpers/external_acl/wbinfo_group/Makefile helpers/external_acl/mswin_ad_group/Makefile helpers/external_acl/mswin_lm_group/Makefile tools/Makefile"
+ac_config_files="$ac_config_files Makefile lib/Makefile scripts/Makefile scripts/RunCache scripts/RunAccel src/Makefile src/fs/Makefile src/repl/Makefile src/auth/Makefile src/adaptation/Makefile src/ICAP/Makefile src/icmp/Makefile src/ip/Makefile src/eCAP/Makefile contrib/Makefile snmplib/Makefile icons/Makefile errors/Makefile test-suite/Makefile doc/Makefile helpers/Makefile helpers/basic_auth/Makefile helpers/basic_auth/LDAP/Makefile helpers/basic_auth/MSNT/Makefile helpers/basic_auth/NCSA/Makefile helpers/basic_auth/PAM/Makefile helpers/basic_auth/SMB/Makefile helpers/basic_auth/mswin_sspi/Makefile helpers/basic_auth/YP/Makefile helpers/basic_auth/getpwnam/Makefile helpers/basic_auth/multi-domain-NTLM/Makefile helpers/basic_auth/SASL/Makefile helpers/basic_auth/POP3/Makefile helpers/basic_auth/DB/Makefile helpers/basic_auth/squid_radius_auth/Makefile helpers/digest_auth/Makefile helpers/digest_auth/password/Makefile helpers/digest_auth/ldap/Makefile helpers/digest_auth/eDirectory/Makefile helpers/ntlm_auth/Makefile helpers/ntlm_auth/fakeauth/Makefile helpers/ntlm_auth/no_check/Makefile helpers/ntlm_auth/smb_lm/Makefile helpers/ntlm_auth/smb_lm/smbval/Makefile helpers/ntlm_auth/mswin_sspi/Makefile helpers/negotiate_auth/Makefile helpers/negotiate_auth/mswin_sspi/Makefile helpers/external_acl/Makefile helpers/external_acl/ip_user/Makefile helpers/external_acl/ldap_group/Makefile helpers/external_acl/session/Makefile helpers/external_acl/unix_group/Makefile helpers/external_acl/wbinfo_group/Makefile helpers/external_acl/mswin_ad_group/Makefile helpers/external_acl/mswin_lm_group/Makefile tools/Makefile"
 
 
 subdirs="$subdirs lib/libTrie"
@@ -49828,7 +49821,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.1.0.3, which was
+This file was extended by Squid Web Proxy $as_me 3.1.0.4, which was
 generated by GNU Autoconf 2.62.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -49881,7 +49874,7 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_version="\\
-Squid Web Proxy config.status 3.1.0.3
+Squid Web Proxy config.status 3.1.0.4
 configured by $0, generated by GNU Autoconf 2.62,
   with options \\"`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -50017,6 +50010,7 @@
     "src/adaptation/Makefile") CONFIG_FILES="$CONFIG_FILES src/adaptation/Makefile" ;;
     "src/ICAP/Makefile") CONFIG_FILES="$CONFIG_FILES src/ICAP/Makefile" ;;
     "src/icmp/Makefile") CONFIG_FILES="$CONFIG_FILES src/icmp/Makefile" ;;
+    "src/ip/Makefile") CONFIG_FILES="$CONFIG_FILES src/ip/Makefile" ;;
     "src/eCAP/Makefile") CONFIG_FILES="$CONFIG_FILES src/eCAP/Makefile" ;;
     "contrib/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/Makefile" ;;
     "snmplib/Makefile") CONFIG_FILES="$CONFIG_FILES snmplib/Makefile" ;;
diff -u -r -N squid-3.1.0.3/configure.in squid-3.1.0.4/configure.in
--- squid-3.1.0.3/configure.in	2008-12-05 16:10:13.000000000 +1300
+++ squid-3.1.0.4/configure.in	2009-01-23 18:38:15.000000000 +1300
@@ -1,7 +1,7 @@
 dnl  Configuration input file for Squid
 dnl
 dnl
-AC_INIT(Squid Web Proxy, 3.1.0.3, http://www.squid-cache.org/bugs/, squid)
+AC_INIT(Squid Web Proxy, 3.1.0.4, http://www.squid-cache.org/bugs/, squid)
 AC_PREREQ(2.52)
 AM_CONFIG_HEADER(include/autoconf.h)
 AC_CONFIG_AUX_DIR(cfgaux)
@@ -688,6 +688,33 @@
     )
 fi
 
+dnl Check for pthreads
+dnl We use pthreads when doing ASYNC I/O
+if test "$with_pthreads" = "yes"; then
+    SQUID_CFLAGS="$SQUID_CFLAGS -D_REENTRANT"
+    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -D_REENTRANT"
+    case "$host" in
+    i386-unknown-freebsd*)
+        if test "$GCC" = "yes" ; then
+            if test -z "$PRESET_LDFLAGS"; then
+                LDFLAGS="$LDFLAGS -pthread"
+            fi
+        fi
+    ;;
+    *-solaris2.*)
+        if test "$GCC" = "yes" ; then
+	    SQUID_CFLAGS="$SQUID_CFLAGS -pthreads"
+	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -pthreads"
+	else
+	    SQUID_CFLAGS="$SQUID_CFLAGS -mt"
+	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -mt"
+        fi
+    ;;
+    esac
+    AC_CHECK_LIB(pthread, main,[DISK_LIBS="$DISK_LIBS -lpthread"],
+      [ AC_MSG_ERROR(pthread library required but cannot be found.) ])
+fi
+
 AC_SUBST(DISK_MODULES)
 AC_SUBST(DISK_LIBS)
 AC_SUBST(DISK_PROGRAMS)
@@ -1372,11 +1399,12 @@
 dnl   The 'sun' define is needed by ipfilter includes, so we must remove "-Usun"
 	    *-solaris*)
     		if test "$GCC" = "yes"; then
-		    echo "Removing -Xa for gcc on $host"
+		    echo "Removing -Xa for gcc/g++ on $host"
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-Xa//'`"
 		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-Xa//'`"
-		    echo "Replacing -xarch=generic64 with -m64 for gcc on $host"
+		    echo "Replacing -xarch=generic64 with -m64 for gcc/g++ on $host"
 		    CFLAGS="`echo $CFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
+		    CXXFLAGS="`echo $CXXFLAGS | sed -e 's/-xarch=generic64/-m64/'`"
 		    LDFLAGS="`echo $LDFLAGS | sed -e 's/-xarch=generic64//'`"
 		fi
 		echo "Removing -Usun on $host"
@@ -1702,17 +1730,11 @@
 	else
 	    AC_MSG_ERROR(Negotiate Auth helper $helper does not exist)
 	fi
-	# Kerberos helper has its own configure system
-	if test "$helper" = "squid_kerb_auth"; then
-	    AC_CONFIG_SUBDIRS(helpers/negotiate_auth/squid_kerb_auth)
-	else
-	    echo "ERROR: configure.in needs to be extended to support $helper!"
-	    exit 1
-	fi
     done
     echo "Negotiate auth helpers built: $NEGOTIATE_AUTH_HELPERS"
 fi
 AC_SUBST(NEGOTIATE_AUTH_HELPERS)
+AC_CONFIG_SUBDIRS(helpers/negotiate_auth/squid_kerb_auth)
 
 dnl Select digest auth scheme helpers to build
 if test -n "$AUTH_MODULE_digest"; then
@@ -2689,32 +2711,6 @@
     AC_CHECK_LIB(dl, dlopen)
 fi
 
-dnl Check for pthreads
-dnl We use pthreads when doing ASYNC I/O
-if test "$with_pthreads" = "yes"; then
-    SQUID_CFLAGS="$SQUID_CFLAGS -D_REENTRANT"
-    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -D_REENTRANT"
-    case "$host" in
-    i386-unknown-freebsd*)
-        if test "$GCC" = "yes" ; then
-            if test -z "$PRESET_LDFLAGS"; then
-                LDFLAGS="$LDFLAGS -pthread"
-            fi
-        fi
-    ;;
-    *-solaris2.*)
-        if test "$GCC" = "yes" ; then
-	    SQUID_CFLAGS="$SQUID_CFLAGS -pthreads"
-	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -pthreads"
-	else
-	    SQUID_CFLAGS="$SQUID_CFLAGS -mt"
-	    SQUID_CXXFLAGS="$SQUID_CXXFLAGS -mt"
-        fi
-    ;;
-    esac
-    AC_CHECK_LIB(pthread, main)
-fi
-
 dnl -lintl is needed on SCO version 3.2v4.2 for strftime()
 dnl Robert Side <rside@aiinc.bc.ca>
 dnl Mon, 18 Jan 1999 17:48:00 GMT
@@ -3822,6 +3818,7 @@
 	src/adaptation/Makefile \
 	src/ICAP/Makefile \
 	src/icmp/Makefile \
+	src/ip/Makefile \
 	src/eCAP/Makefile \
 	contrib/Makefile \
 	snmplib/Makefile \
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Armenian/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Armenian/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
- URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1348;&#1400;&#1410;&#1407;&#1412;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;.
-</STRONG>
-<P>
-&#1348;&#1400;&#1410;&#1407;&#1412;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1396;&#1377;&#1398; &#1402;&#1377;&#1408;&#1377;&#1396;&#1381;&#1407;&#1408;&#1381;&#1408;&#1384; &#1385;&#1400;&#1410;&#1397;&#1388; &#1401;&#1381;&#1398; &#1407;&#1377;&#1388;&#1387;&#1405; &#1391;&#1377;&#1407;&#1377;&#1408;&#1381;&#1388; &#1345;&#1381;&#1408; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; &#1407;&#1406;&#1397;&#1377;&#1388; &#1402;&#1377;&#1392;&#1387;&#1398;.&#1333;&#1385;&#1381; &#1332;&#1400;&#1410;&#1412; &#1405;&#1377; &#1405;&#1389;&#1377;&#1388; &#1381;&#1412; &#1392;&#1377;&#1396;&#1377;&#1408;&#1400;&#1410;&#1396;,&#1389;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1380;&#1387;&#1396;&#1381;&#1388; &#1345;&#1381;&#1408; &#1387;&#1398;&#1407;&#1381;&#1408;&#1398;&#1381;&#1407; &#1377;&#1402;&#1377;&#1392;&#1400;&#1406;&#1400;&#1394;&#1387;&#1398;&#8228;
-</UL>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;&#8228;
-
-
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Armenian/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Armenian/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1348;&#1400;&#1410;&#1407;&#1412;&#1384; &#1412;&#1381;&#1399;&#1387;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1348;&#1400;&#1410;&#1407;&#1412;&#1384; &#1412;&#1381;&#1399;&#1387;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1348;&#1400;&#1410;&#1407;&#1412;&#1384; &#1412;&#1381;&#1399;&#1387;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;.
-</STRONG>
-</UL>
-</P>
-
-<P>&#1350;&#1381;&#1408;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;,&#1332;&#1400;&#1410;&#1412; &#1401;&#1381;&#1412; &#1391;&#1377;&#1408;&#1400;&#1394; &#1391;&#1377;&#1407;&#1377;&#1408;&#1381;&#1388; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;:
-<PRE>    %U</PRE>
-&#1396;&#1387;&#1398;&#1401;&#1415; &#1377;&#1400;&#1410;&#1385;&#1381;&#1398;&#1407;&#1387;&#1414;&#1387;&#1391;&#1377;&#1409;&#1387;&#1377;&#1398; &#1401;&#1377;&#1398;&#1409;&#1398;&#1381;&#1412;.
-</P>
-
-<P>
-&#1332;&#1408;&#1377; &#1392;&#1377;&#1396;&#1377;&#1408; &#1345;&#1381;&#1382; &#1377;&#1398;&#1392;&#1408;&#1377;&#1386;&#1381;&#1399;&#1407; &#1383; Netscape 2.0 &#1391;&#1377;&#1396; &#1377;&#1406;&#1381;&#1388;&#1387; &#1398;&#1400;&#1408; &#1407;&#1377;&#1408;&#1378;&#1381;&#1408;&#1377;&#1391;,&#1391;&#1377;&#1396; Microsoft Internet
-Explorer 3.0, &#1391;&#1377;&#1396; HTTP/1.1 &#1392;&#1377;&#1396;&#1377;&#1407;&#1381;&#1394;&#1381;&#1388;&#1387; &#1378;&#1408;&#1377;&#1400;&#1410;&#1382;&#1381;&#1408;. 
-&#1341;&#1398;&#1380;&#1387;&#1408;&#1398;&#1381;&#1408; &#1377;&#1404;&#1377;&#1403;&#1377;&#1398;&#1377;&#1388;&#1400;&#1410; &#1380;&#1381;&#1402;&#1412;&#1400;&#1410;&#1396; &#1389;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1380;&#1387;&#1396;&#1381;&#1388;
-<A HREF="mailto:%w">&#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1387;&#1398;</a> &#1391;&#1377;&#1396; 
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">&#1411;&#1400;&#1389;&#1381;&#1388;</a> &#1345;&#1381;&#1408; &#1384;&#1398;&#1385;&#1377;&#1409;&#1387;&#1391; &#1379;&#1377;&#1394;&#1407;&#1398;&#1377;&#1378;&#1377;&#1404;&#1384;.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Armenian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Armenian/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1389;&#1377;&#1388;: &#1364;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1404;&#1396;&#1377;&#1398; &#1396;&#1400;&#1410;&#1407;&#1412;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1364;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1404;&#1396;&#1377;&#1398; &#1396;&#1400;&#1410;&#1407;&#1412;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;.
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1364;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1404;&#1396;&#1377;&#1398; &#1396;&#1400;&#1410;&#1407;&#1412;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;.
-</STRONG>
-</UL>
-</P>
- 
-<P>&#1350;&#1381;&#1408;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;,&#1332;&#1400;&#1410;&#1412; &#1401;&#1381;&#1412; &#1391;&#1377;&#1408;&#1400;&#1394; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1396;&#1377;&#1398; &#1392;&#1377;&#1396;&#1377;&#1391;&#1377;&#1408;&#1379;&#1387;&#1409; &#1391;&#1377;&#1407;&#1377;&#1408;&#1381;&#1388; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;:
-<PRE>    %U</PRE>
-&#1396;&#1387;&#1398;&#1401;&#1415; &#1377;&#1400;&#1410;&#1385;&#1381;&#1398;&#1407;&#1387;&#1414;&#1387;&#1391;&#1377;&#1409;&#1387;&#1377;&#1398; &#1401;&#1377;&#1398;&#1409;&#1398;&#1381;&#1412;.
-</P>
-
-<P> &#1332;&#1408;&#1377; &#1392;&#1377;&#1396;&#1377;&#1408; &#1345;&#1381;&#1382; &#1377;&#1398;&#1392;&#1408;&#1377;&#1386;&#1381;&#1399;&#1407; &#1383; Netscape 2.0 &#1391;&#1377;&#1396; &#1377;&#1406;&#1381;&#1388;&#1387; &#1398;&#1400;&#1408; &#1407;&#1377;&#1408;&#1378;&#1381;&#1408;&#1377;&#1391;,&#1391;&#1377;&#1396; Microsoft Internet
-Explorer 3.0, &#1391;&#1377;&#1396; HTTP/1.1 &#1392;&#1377;&#1396;&#1377;&#1407;&#1381;&#1394;&#1381;&#1388;&#1387; &#1378;&#1408;&#1377;&#1400;&#1410;&#1382;&#1381;&#1408;. &#1329;&#1400;&#1410;&#1385;&#1381;&#1398;&#1407;&#1387;&#1414;&#1387;&#1391;&#1377;&#1409;&#1387;&#1377;&#1397;&#1387; &#1392;&#1381;&#1407; &#1389;&#1398;&#1380;&#1387;&#1408;&#1398;&#1381;&#1408; &#1377;&#1404;&#1377;&#1403;&#1377;&#1398;&#1377;&#1388;&#1400;&#1410; &#1380;&#1381;&#1402;&#1412;&#1400;&#1410;&#1396; &#1389;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1380;&#1387;&#1396;&#1381;&#1388;
-<A HREF="mailto:%w">&#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1387;&#1398;</a>.</P>
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Armenian/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Armenian/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1344;&#1398;&#1377;&#1408;&#1377;&#1406;&#1400;&#1408; &#1401;&#1383; &#1406;&#1381;&#1408;&#1377;&#1392;&#1377;&#1405;&#1409;&#1381;&#1377;&#1379;&#1408;&#1381;&#1388; &#1345;&#1381;&#1408; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; &#1407;&#1406;&#1397;&#1377;&#1388; &#1402;&#1377;&#1392;&#1387;&#1398;.
-</STRONG>
-</UL>
-
-<P>
-&#1329;&#1397;&#1405; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; &#1392;&#1398;&#1377;&#1408;&#1377;&#1406;&#1400;&#1408; &#1401;&#1383; &#1406;&#1381;&#1408;&#1377;&#1392;&#1377;&#1405;&#1409;&#1381;&#1377;&#1379;&#1408;&#1381;&#1388; &#1405;&#1391;&#1382;&#1378;&#1398;&#1377;&#1394;&#1378;&#1397;&#1400;&#1410;&#1408; &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1387;&#1398; &#1391;&#1377;&#1396; &#1390;&#1398;&#1400;&#1394;&#1377;&#1391;&#1377;&#1398; &#1412;&#1381;&#1399;&#1381;&#1408;&#1387;&#1409; &#1400;&#1408;&#1415;&#1383; &#1396;&#1381;&#1391;&#1387;&#1398;&#8228;&#1357;&#1389;&#1377;&#1388;&#1387; &#1377;&#1396;&#1381;&#1398;&#1377;&#1392;&#1377;&#1406;&#1377;&#1398;&#1377;&#1391;&#1377;&#1398; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1398;&#1381;&#1408;&#1398; &#1381;&#1398; :
-<UL>
-<LI>&#1329;&#1397;&#1405; &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; &#1377;&#1408;&#1379;&#1381;&#1388;&#1381;&#1388; &#1383; &#1378;&#1400;&#1388;&#1400;&#1408; &#1400;&#1410;&#1394;&#1387;&#1394; &#1396;&#1387;&#1377;&#1409;&#1400;&#1410;&#1396;&#1398;&#1381;&#1408;&#1384; &#1405;&#1391;&#1382;&#1378;&#1398;&#1377;&#1394;&#1378;&#1397;&#1400;&#1410;&#1408; &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1398;&#1381;&#1408;&#1387; &#1392;&#1381;&#1407; 
-   
-<LI>&#1330;&#1400;&#1388;&#1400;&#1408; &#1390;&#1398;&#1400;&#1394;&#1377;&#1391;&#1377;&#1398; &#1412;&#1381;&#1399;&#1381;&#1408;&#1384; &#1407;&#1406;&#1397;&#1377;&#1388; &#1402;&#1377;&#1392;&#1387;&#1398; &#1377;&#1398;&#1392;&#1377;&#1405;&#1377;&#1398;&#1381;&#1388;&#1387; &#1381;&#1398;.
-</UL>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Armenian/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Armenian/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1353;&#1392;&#1377;&#1403;&#1400;&#1394;&#1406;&#1381;&#1409; &#1391;&#1377;&#1402; &#1392;&#1377;&#1405;&#1407;&#1377;&#1407;&#1381;&#1388;
-</STRONG>
-</UL>
-
-<P>
-&#1357;&#1407;&#1377;&#1409;&#1406;&#1377;&#1390; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;:
-<PRE><I>    %E</I></PRE>
-
-<P>
-&#1344;&#1381;&#1404;&#1377;&#1391;&#1377; &#1392;&#1377;&#1398;&#1379;&#1400;&#1410;&#1397;&#1409;&#1384; &#1391;&#1377;&#1396; &#1409;&#1377;&#1398;&#1409;&#1384; &#1401;&#1381;&#1398; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1400;&#1410;&#1396;. &#1341;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1391;&#1408;&#1391;&#1398;&#1381;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A>. &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_DNS_FAIL squid-3.1.0.4/errors/Armenian/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Armenian/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<BLOCKQUOTE>
-&#1329;&#1398;&#1392;&#1398;&#1377;&#1408; &#1383; &#1400;&#1408;&#1400;&#1399;&#1381;&#1388;
-<I>%H</I> &#1392;&#1377;&#1398;&#1379;&#1400;&#1410;&#1397;&#1409;&#1387; IP &#1392;&#1377;&#1405;&#1409;&#1381;&#1398;.
-</BLOCKQUOTE>
-
-<P>
-DNS &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1387; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-&#1357;&#1377; &#1398;&#1399;&#1377;&#1398;&#1377;&#1391;&#1400;&#1410;&#1396; &#1383;:
-<PRE>
- &#1364;&#1381;&#1399;&#1384; &#1387; &#1406;&#1387;&#1395;&#1377;&#1391;&#1387; &#1401;&#1383; &#1400;&#1408;&#1400;&#1399;&#1381;&#1388; URL &#1400;&#1410;&#1396; &#1398;&#1399;&#1406;&#1377;&#1390; &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1387; &#1392;&#1377;&#1405;&#1409;&#1381;&#1398;. 
-&#1357;&#1407;&#1400;&#1410;&#1379;&#1381;&#1412; &#1392;&#1377;&#1405;&#1409;&#1381;&#1387; &#1398;&#1381;&#1408;&#1396;&#1400;&#1410;&#1390;&#1396;&#1377;&#1398; &#1395;&#1399;&#1407;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384;. 
-</PRE>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A>. &#1383;
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_ESI squid-3.1.0.4/errors/Armenian/ERR_ESI
--- squid-3.1.0.3/errors/Armenian/ERR_ESI	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Armenian/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Armenian/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1358;&#1381;&#1408;&#1377;&#1392;&#1377;&#1405;&#1409;&#1381;&#1377;&#1379;&#1408;&#1400;&#1410;&#1396;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;.
-</STRONG>
-</UL>
-
-<P>
-&#1329;&#1397;&#1405; &#1412;&#1381;&#1399;&#1384; &#1377;&#1398;&#1391;&#1377;&#1408;&#1400;&#1394; &#1383; &#1406;&#1381;&#1408;&#1377;&#1392;&#1377;&#1405;&#1409;&#1381;&#1377;&#1379;&#1408;&#1381;&#1388; &#1345;&#1381;&#1408; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; sibling &#1407;&#1387;&#1402;&#1387; &#1411;&#1400;&#1389;&#1392;&#1377;&#1408;&#1377;&#1378;&#1381;&#1408;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1398;&#1381;&#1408;  &#1392;&#1377;&#1405;&#1407;&#1377;&#1407;&#1381;&#1388;&#1400;&#1410; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1400;&#1406;.  &#1344;&#1377;&#1406;&#1377;&#1398;&#1377;&#1391;&#1377;&#1398; &#1383;,&#1400;&#1408; %i -&#1398; &#1405;&#1389;&#1377;&#1388; &#1405;&#1377;&#1408;&#1412;&#1377;&#1378;&#1381;&#1408;&#1406;&#1377;&#1390; &#1412;&#1381;&#1399; &#1383;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_DISABLED squid-3.1.0.4/errors/Armenian/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,22 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-FTP &#1377;&#1408;&#1393;&#1377;&#1398;&#1377;&#1379;&#1408;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1398; &#1377;&#1408;&#1379;&#1381;&#1388;&#1406;&#1377;&#1390; &#1383;
-</STRONG>
-</UL>
-
-
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_FAILURE squid-3.1.0.4/errors/Armenian/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,18 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391; &#1407;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; FTP &#1377;&#1408;&#1393;&#1377;&#1398;&#1377;&#1379;&#1408;&#1400;&#1410;&#1385;&#1397;&#1377;&#1398; &#1405;&#1389;&#1377;&#1388;:
-<A HREF="%U">%U</A>
-<P>
-Squid-&#1384; &#1400;&#1410;&#1394;&#1377;&#1408;&#1391;&#1381;&#1409; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; FTP &#1392;&#1408;&#1377;&#1396;&#1377;&#1398;&#1384;:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-&#1415; &#1405;&#1407;&#1377;&#1409;&#1377;&#1406; &#1377;&#1397;&#1405; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Armenian/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,18 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391; &#1407;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; FTP &#1377;&#1400;&#1410;&#1385;&#1381;&#1398;&#1407;&#1387;&#1414;&#1387;&#1391;&#1377;&#1409;&#1387;&#1377;&#1397;&#1387; &#1405;&#1389;&#1377;&#1388;:
-<A HREF="%U">%U</A>
-<P>
-Squid-&#1384; &#1400;&#1410;&#1394;&#1377;&#1408;&#1391;&#1381;&#1409; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; FTP &#1392;&#1408;&#1377;&#1396;&#1377;&#1398;&#1384;:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-&#1415; &#1405;&#1407;&#1377;&#1409;&#1377;&#1406; &#1377;&#1397;&#1405; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Armenian/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,21 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-&#1344;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;:
-<A HREF="%U">%U</A>
-<P>
-Squid-&#1384; &#1400;&#1410;&#1394;&#1377;&#1408;&#1391;&#1381;&#1409; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; FTP &#1392;&#1408;&#1377;&#1396;&#1377;&#1398;&#1384;:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-&#1415; &#1405;&#1407;&#1377;&#1409;&#1377;&#1406; &#1377;&#1397;&#1405; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-&#1357;&#1377; &#1391;&#1377;&#1408;&#1400;&#1394; &#1383; &#1388;&#1387;&#1398;&#1381;&#1388; FTP URL -&#1387; &#1378;&#1377;&#1409;&#1377;&#1408;&#1393;&#1377;&#1391; &#1400;&#1410;&#1394;&#1394;&#1400;&#1406; &#1392;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1377;&#1408;&#1380;&#1397;&#1400;&#1410;&#1398;&#1412; (&#1387;&#1398;&#1401;&#1384; &#1401;&#1387; &#1392;&#1377;&#1396;&#1377;&#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1400;&#1410;&#1396; RFC 1738-&#1387;&#1398;).  &#1333;&#1385;&#1381; &#1405;&#1377; &#1383; &#1405;&#1389;&#1377;&#1388;&#1387; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1384;,&#1377;&#1402;&#1377; &#1414;&#1377;&#1397;&#1388;&#1384; &#1391;&#1377;&#1408;&#1400;&#1394; &#1383; &#1379;&#1398;&#1407;&#1406;&#1381;&#1388; &#1377;&#1397;&#1405;&#1407;&#1381;&#1394;
- <A HREF="%B">%B</A>.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Armenian/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,8 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>FTP PUT &#1331;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1392;&#1377;&#1403;&#1400;&#1394;&#1406;&#1381;&#1409;: &#1366;&#1377;&#1397;&#1388;&#1384; &#1405;&#1407;&#1381;&#1394;&#1390;&#1406;&#1377;&#1390; &#1383;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1331;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1392;&#1377;&#1403;&#1400;&#1394;&#1406;&#1381;&#1409;</H1>
-<H2>&#1366;&#1377;&#1397;&#1388;&#1384; &#1405;&#1407;&#1381;&#1394;&#1390;&#1406;&#1377;&#1390; &#1383;</H2>
-<HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Armenian/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: FTP upload &#1379;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1389;&#1377;&#1411;&#1377;&#1398;&#1406;&#1381;&#1409;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>FTP upload &#1379;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1389;&#1377;&#1411;&#1377;&#1398;&#1406;&#1381;&#1409;</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A> URL-&#1387; PUT &#1379;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1377;&#1398; &#1387;&#1408;&#1377;&#1391;&#1377;&#1398;&#1377;&#1409;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;
-&#1407;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406;  &#1405;&#1389;&#1377;&#1388;:
-<P>
-Squid-&#1384; &#1400;&#1410;&#1394;&#1377;&#1408;&#1391;&#1381;&#1409; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; FTP &#1392;&#1408;&#1377;&#1396;&#1377;&#1398;&#1384;:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-&#1415; &#1405;&#1407;&#1377;&#1409;&#1377;&#1406; &#1377;&#1397;&#1405; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-&#1357;&#1377; &#1398;&#1399;&#1377;&#1398;&#1377;&#1391;&#1400;&#1410;&#1396; &#1383;:
-<PRE>&#1357;&#1407;&#1400;&#1410;&#1379;&#1381;&#1412; &#1400;&#1410;&#1394;&#1387;&#1398;,&#1396;&#1400;&#1410;&#1407;&#1412;&#1387; &#1387;&#1408;&#1377;&#1406;&#1400;&#1410;&#1398;&#1412;&#1398;&#1381;&#1408;&#1384;,&#1414;&#1377;&#1397;&#1388;&#1377;&#1397;&#1387;&#1398; &#1407;&#1377;&#1408;&#1377;&#1390;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1415; &#1391;&#1408;&#1391;&#1387;&#1398; &#1411;&#1400;&#1408;&#1393;&#1381;&#1412;.
-
-</PRE>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Armenian/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,8 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>FTP PUT &#1379;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1392;&#1377;&#1403;&#1400;&#1394;&#1406;&#1381;&#1409;: &#1366;&#1377;&#1397;&#1388;&#1384; &#1385;&#1377;&#1408;&#1396;&#1377;&#1409;&#1406;&#1377;&#1390; &#1383;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1331;&#1400;&#1408;&#1390;&#1400;&#1394;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1392;&#1377;&#1403;&#1400;&#1394;&#1406;&#1381;&#1409;</H1>
-<H2>&#1366;&#1377;&#1397;&#1388;&#1384; &#1385;&#1377;&#1408;&#1396;&#1377;&#1409;&#1406;&#1377;&#1390; &#1383;</H2>
-<HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Armenian/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Armenian/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,17 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A> URL-&#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391; FTP &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1384; &#1399;&#1377;&#1407; &#1382;&#1378;&#1377;&#1394;&#1406;&#1377;&#1390; &#1383;&#1408;:
-<P>
-Squid-&#1384; &#1400;&#1410;&#1394;&#1377;&#1408;&#1391;&#1381;&#1409; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; FTP &#1392;&#1408;&#1377;&#1396;&#1377;&#1398;&#1384;:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-&#1415; &#1405;&#1407;&#1377;&#1409;&#1377;&#1406; &#1377;&#1397;&#1405; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384;
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Armenian/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Armenian/ERR_ICAP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_INVALID_REQ squid-3.1.0.4/errors/Armenian/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Armenian/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-&#1344;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1396;&#1399;&#1377;&#1391;&#1396;&#1377;&#1398; &#1384;&#1398;&#1385;&#1377;&#1409;&#1412;&#1400;&#1410;&#1396;:
-<PRE>
-%R
-</PRE>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1357;&#1389;&#1377;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;
-</STRONG>
-</UL>
-
-<P>
-HTTP &#1392;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1400;&#1408;&#1400;&#1399; &#1377;&#1405;&#1402;&#1381;&#1391;&#1407;&#1398;&#1381;&#1408; &#1405;&#1389;&#1377;&#1388; &#1381;&#1398;. &#1344;&#1398;&#1377;&#1408;&#1377;&#1406;&#1400;&#1408; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1398;&#1381;&#1408;&#1398; &#1381;&#1398;:
-<UL>
-<LI>&#1344;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1396;&#1381;&#1385;&#1400;&#1380;&#1384; &#1378;&#1377;&#1409;&#1377;&#1391;&#1377;&#1397;&#1400;&#1410;&#1396; &#1383; &#1391;&#1377;&#1396; &#1377;&#1398;&#1392;&#1377;&#1397;&#1407; &#1383;
-<LI>URL -&#1398; &#1378;&#1377;&#1409;&#1377;&#1391;&#1377;&#1397;&#1400;&#1410;&#1396; &#1383;
-<LI>HTTP &#1387;&#1380;&#1381;&#1398;&#1407;&#1387;&#1414;&#1387;&#1391;&#1377;&#1407;&#1400;&#1408;&#1384; &#1378;&#1377;&#1409;&#1377;&#1391;&#1377;&#1397;&#1400;&#1410;&#1396; &#1383; (HTTP/1.0)
-<LI>&#1344;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1390;&#1377;&#1406;&#1377;&#1388;&#1384; &#1399;&#1377;&#1407; &#1396;&#1381;&#1390; &#1383;
-<LI>POST &#1391;&#1377;&#1396; PUT &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1398;&#1381;&#1408;&#1387; &#1392;&#1377;&#1396;&#1377;&#1408; Content-Length &#1401;&#1387; &#1398;&#1399;&#1406;&#1377;&#1390;  
-<LI>&#1329;&#1398;&#1385;&#1400;&#1410;&#1397;&#1388;&#1377;&#1407;&#1408;&#1381;&#1388;&#1387; &#1398;&#1387;&#1399; &#1405;&#1381;&#1408;&#1406;&#1381;&#1408;&#1387; &#1377;&#1398;&#1406;&#1377;&#1398; &#1396;&#1381;&#1403;;&#1384;&#1398;&#1380;&#1379;&#1390;&#1396;&#1377;&#1398; &#1398;&#1387;&#1399;&#1398; &#1377;&#1398;&#1385;&#1400;&#1410;&#1397;&#1388;&#1377;&#1407;&#1408;&#1381;&#1388;&#1387; &#1383;
-</UL>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_INVALID_RESP squid-3.1.0.4/errors/Armenian/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Armenian/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-&#1344;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1396;&#1399;&#1377;&#1391;&#1396;&#1377;&#1398; &#1384;&#1398;&#1385;&#1377;&#1409;&#1412;&#1400;&#1410;&#1396;
-<PRE>
-%R
-</PRE>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1357;&#1389;&#1377;&#1388; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;
-</STRONG>
-</UL>
-
-<P>
-&#1357;&#1381;&#1408;&#1406;&#1381;&#1408;&#1387;&#1409; &#1405;&#1407;&#1377;&#1409;&#1406;&#1400;&#1394; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1398; &#1377;&#1398;&#1392;&#1377;&#1405;&#1391;&#1377;&#1398;&#1377;&#1388;&#1387; &#1383; &#1391;&#1377;&#1396; &#1377;&#1397;&#1388;&#1377;&#1397;&#1388;&#1406;&#1377;&#1390;&#8228;&#1332;&#1387;&#1396;&#1381;&#1412; &#1407;&#1406;&#1397;&#1377;&#1388; &#1391;&#1377;&#1397;&#1412;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1398;&#1381;&#1408;&#1387;&#1398;&#1417;
-&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; &#1377;&#1398;&#1392;&#1408;&#1377;&#1386;&#1381;&#1399;&#1407;&#1400;&#1410;&#1385;&#1397;&#1377;&#1398; &#1380;&#1381;&#1402;&#1412;&#1400;&#1410;&#1396; &#1391;&#1377;&#1408;&#1400;&#1394; &#1383; &#1377;&#1406;&#1381;&#1388;&#1387; &#1396;&#1377;&#1398;&#1408;&#1377;&#1391;&#1408;&#1391;&#1387;&#1407; &#1398;&#1391;&#1377;&#1408;&#1377;&#1379;&#1408;&#1381;&#1388; &#1389;&#1398;&#1380;&#1408;&#1387; &#1378;&#1398;&#1410;&#1397;&#1385;&#1384;.
-
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_INVALID_URL squid-3.1.0.4/errors/Armenian/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Armenian/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-Invalid URL
-</STRONG>
-</UL>
-
-<P>
-URL-&#1387; &#1400;&#1408;&#1400;&#1399; &#1377;&#1405;&#1402;&#1381;&#1391;&#1407;&#1398;&#1381;&#1408; &#1405;&#1389;&#1377;&#1388; &#1381;&#1398;.&#1344;&#1398;&#1377;&#1408;&#1377;&#1406;&#1400;&#1408; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1398;&#1381;&#1408;&#1398; &#1381;&#1398;:
-<UL>
-<LI>&#1348;&#1400;&#1410;&#1407;&#1412;&#1377;&#1397;&#1387;&#1398; &#1377;&#1408;&#1393;&#1377;&#1398;&#1377;&#1379;&#1408;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1384; &#1405;&#1389;&#1377;&#1388; &#1383; &#1391;&#1377;&#1396; &#1378;&#1377;&#1409;&#1377;&#1391;&#1377;&#1397;&#1400;&#1410;&#1396; &#1383; (&#1402;&#1381;&#1407;&#1412; &#1383; &#1388;&#1387;&#1398;&#1387; `http://'' &#1391;&#1377;&#1396; &#1398;&#1396;&#1377;&#1398;)
-<LI>&#1344;&#1377;&#1398;&#1379;&#1400;&#1410;&#1397;&#1409;&#1387; &#1377;&#1398;&#1400;&#1410;&#1398;&#1384; &#1378;&#1377;&#1409;&#1377;&#1391;&#1377;&#1397;&#1400;&#1410;&#1396; &#1383;
-<LI>&#1329;&#1398;&#1385;&#1400;&#1410;&#1397;&#1388;&#1377;&#1407;&#1408;&#1381;&#1388;&#1387; &#1391;&#1408;&#1391;&#1398;&#1377;&#1391;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1400;&#1394; &#1398;&#1387;&#1399; URL &#1400;&#1410;&#1394;&#1394;&#1400;&#1410;&#1396;
-<LI>&#1329;&#1398;&#1385;&#1400;&#1410;&#1397;&#1388;&#1377;&#1407;&#1408;&#1381;&#1388;&#1387; &#1398;&#1387;&#1399; &#1392;&#1377;&#1398;&#1379;&#1400;&#1410;&#1397;&#1409;&#1387; &#1377;&#1398;&#1406;&#1377;&#1398; &#1396;&#1381;&#1403;;&#1384;&#1398;&#1380;&#1379;&#1390;&#1396;&#1377;&#1398; &#1398;&#1387;&#1399;&#1384; &#1377;&#1398;&#1385;&#1400;&#1410;&#1397;&#1388;&#1377;&#1407;&#1408;&#1381;&#1388;&#1387; &#1383;
-</UL>
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Armenian/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Armenian/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1343;&#1377;&#1402; &#1392;&#1377;&#1405;&#1407;&#1377;&#1407;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;&#1384; &#1405;&#1402;&#1377;&#1404;&#1406;&#1381;&#1409;
-</STRONG>
-</UL>
-
-<P>
-Squid-&#1384; &#1384;&#1398;&#1380;&#1392;&#1377;&#1407;&#1381;&#1409; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; &#1391;&#1377;&#1402; &#1392;&#1377;&#1405;&#1407;&#1377;&#1407;&#1396;&#1377;&#1398; &#1377;&#1404;&#1377;&#1406;&#1381;&#1388;&#1377;&#1379;&#1400;&#1410;&#1397;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;&#1384; &#1379;&#1381;&#1408;&#1377;&#1382;&#1377;&#1398;&#1409;&#1381;&#1388;&#1400;&#1410; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1400;&#1406;&#8228;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;&#8228;
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_NO_RELAY squid-3.1.0.4/errors/Armenian/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Armenian/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-Wais Relay &#1400;&#1408;&#1400;&#1399;&#1406;&#1377;&#1390; &#1401;&#1383;
-</STRONG>
-</UL>
-
-<P>
-&#1329;&#1397;&#1405; &#1412;&#1381;&#1399;&#1387; &#1392;&#1377;&#1396;&#1377;&#1408; WAIS Relay &#1400;&#1408;&#1400;&#1399;&#1406;&#1377;&#1390; &#1401;&#1383;! &#1344;&#1377;&#1397;&#1407;&#1398;&#1381;&#1412; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1387;&#1398;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Armenian/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Armenian/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1365;&#1378;&#1397;&#1381;&#1391;&#1407;&#1384; &#1412;&#1381;&#1399;&#1400;&#1410;&#1396; &#1379;&#1407;&#1398;&#1406;&#1377;&#1390; &#1401;&#1383;; &#1393;&#1415;&#1377;&#1406;&#1400;&#1408;&#1406;&#1381;&#1409; <code>only-if-cached</code> &#1380;&#1387;&#1408;&#1381;&#1391;&#1407;&#1387;&#1406;&#1384;.
-</STRONG>
-</UL>
-
-<P>
-
-&#1332;&#1400;&#1410;&#1412; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396; &#1381;&#1412; &#1392;&#1394;&#1381;&#1388; <code>only-if-cached</code> &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1396;&#1377;&#1398; &#1380;&#1387;&#1408;&#1381;&#1391;&#1407;&#1387;&#1406;&#1400;&#1406;
-.
-
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_READ_ERROR squid-3.1.0.4/errors/Armenian/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Armenian/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1336;&#1398;&#1385;&#1381;&#1408;&#1409;&#1396;&#1377;&#1398; &#1405;&#1389;&#1377;&#1388;
-</STRONG>
-</UL>
-
-<P>
-&#1344;&#1377;&#1396;&#1377;&#1391;&#1377;&#1408;&#1379;&#1384; &#1392;&#1377;&#1397;&#1407;&#1398;&#1381;&#1409;:
-<PRE><I>    %E</I></PRE>
-
-<P>
-&#1361;&#1377;&#1398;&#1409;&#1387;&#1409; &#1407;&#1406;&#1397;&#1377;&#1388;&#1398;&#1381;&#1408;&#1387; &#1384;&#1398;&#1385;&#1381;&#1408;&#1409;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391; &#1377;&#1404;&#1377;&#1403;&#1377;&#1409;&#1377;&#1406; &#1405;&#1389;&#1377;&#1388;.&#1341;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1391;&#1408;&#1391;&#1398;&#1381;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;&#8228;
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Armenian/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Armenian/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1354;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398; &#1405;&#1402;&#1377;&#1405;&#1381;&#1388;&#1400;&#1410; &#1377;&#1404;&#1377;&#1406;&#1381;&#1388;&#1377;&#1379;&#1400;&#1410;&#1397;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;&#1384; &#1379;&#1381;&#1408;&#1377;&#1382;&#1377;&#1398;&#1409;&#1406;&#1377;&#1390; &#1383;
-</STRONG>
-</UL>
-
-<P>
-&#1344;&#1377;&#1396;&#1377;&#1391;&#1377;&#1408;&#1379;&#1384; &#1392;&#1377;&#1397;&#1407;&#1398;&#1381;&#1409;:
-<PRE><I>    %E</I></PRE>
-
-<P>
-&#1361;&#1377;&#1398;&#1409;&#1387;&#1409; &#1407;&#1406;&#1397;&#1377;&#1388;&#1398;&#1381;&#1408;&#1387; &#1384;&#1398;&#1385;&#1381;&#1408;&#1409;&#1396;&#1377;&#1398; &#1384;&#1398;&#1385;&#1377;&#1409;&#1412;&#1400;&#1410;&#1396; &#1405;&#1402;&#1377;&#1405;&#1396;&#1377;&#1398; &#1377;&#1404;&#1377;&#1406;&#1381;&#1388;&#1377;&#1379;&#1400;&#1410;&#1397;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;&#1384; &#1379;&#1381;&#1408;&#1377;&#1382;&#1377;&#1398;&#1409;&#1406;&#1381;&#1409;&#8228;
-&#1361;&#1377;&#1398;&#1409;&#1384; &#1391;&#1377;&#1396; &#1392;&#1377;&#1398;&#1379;&#1400;&#1410;&#1397;&#1409;&#1384; &#1401;&#1381;&#1398; &#1377;&#1399;&#1389;&#1377;&#1407;&#1400;&#1410;&#1396; &#1391;&#1377;&#1396; &#1379;&#1381;&#1408;&#1378;&#1381;&#1404;&#1398;&#1406;&#1377;&#1390; &#1381;&#1398;&#1417; &#1341;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1391;&#1408;&#1391;&#1398;&#1381;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Armenian/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Armenian/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Armenian/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Armenian/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,16 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<P>
-&#1329;&#1397;&#1405; &#1412;&#1381;&#1399;&#1384; &#1407;&#1406;&#1397;&#1377;&#1388; &#1402;&#1377;&#1392;&#1387;&#1398; &#1379;&#1407;&#1398;&#1406;&#1400;&#1410;&#1396; &#1383; &#1377;&#1398;&#1403;&#1377;&#1407;&#1396;&#1377;&#1398; &#1402;&#1408;&#1400;&#1409;&#1381;&#1405;&#1400;&#1410;&#1396; &#1415; &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1405;&#1402;&#1377;&#1405;&#1377;&#1408;&#1391;&#1381;&#1388; &#1345;&#1381;&#1408; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;&#8228;&#1343;&#1408;&#1391;&#1398;&#1381;&#1412; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; &#1400;&#1408;&#1400;&#1399; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391; &#1377;&#1398;&#1409;&#8228;
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Armenian/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Armenian/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-Socket &#1393;&#1377;&#1389;&#1400;&#1394;&#1400;&#1410;&#1396;
-</STRONG>
-</UL>
-
-<P>
-&#1344;&#1377;&#1396;&#1377;&#1391;&#1377;&#1408;&#1379;&#1384; &#1392;&#1377;&#1397;&#1407;&#1398;&#1381;&#1409;:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Squid-&#1384; &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1405;&#1407;&#1381;&#1394;&#1390;&#1381;&#1388; Tcp Socket, &#1392;&#1377;&#1406;&#1377;&#1398;&#1377;&#1378;&#1377;&#1408; &#1379;&#1381;&#1408;&#1378;&#1381;&#1404;&#1398;&#1406;&#1377;&#1390;&#1400;&#1410;&#1385;&#1397;&#1377;&#1398; &#1402;&#1377;&#1407;&#1395;&#1377;&#1404;&#1400;&#1406;&#8228;&#1341;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1391;&#1408;&#1391;&#1398;&#1381;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;&#8228; &#1333;&#1385;&#1381; &#1387;&#1408;&#1377;&#1406;&#1387;&#1395;&#1377;&#1391;&#1384; &#1391;&#1408;&#1391;&#1398;&#1406;&#1387;,   &#1380;&#1387;&#1396;&#1381;&#1412; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1387;&#1398;&#8228;
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_TOO_BIG squid-3.1.0.4/errors/Armenian/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Armenian/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1344;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384; &#1391;&#1377;&#1396; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1384; &#1399;&#1377;&#1407; &#1396;&#1381;&#1390; &#1390;&#1377;&#1406;&#1377;&#1388; &#1400;&#1410;&#1398;&#1381;&#1398;.
-</STRONG>
-<P>
-
-</UL>
-<P>
-&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_UNSUP_REQ squid-3.1.0.4/errors/Armenian/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Armenian/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-
-<UL>
-<LI>
-<STRONG>
-&#1353;&#1400;&#1410;&#1394;&#1381;&#1391;&#1409;&#1406;&#1400;&#1394;  &#1396;&#1381;&#1385;&#1400;&#1380; &#1415; &#1392;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1377;&#1408;&#1393;&#1377;&#1398;&#1377;&#1379;&#1408;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;
-</STRONG>
-</UL>
-
-<P>
-Squid-&#1384; &#1378;&#1400;&#1388;&#1400;&#1408; &#1377;&#1408;&#1393;&#1377;&#1398;&#1377;&#1379;&#1408;&#1400;&#1410;&#1385;&#1397;&#1400;&#1410;&#1398;&#1398;&#1381;&#1408;&#1387; &#1392;&#1377;&#1396;&#1377;&#1408; &#1378;&#1400;&#1388;&#1400;&#1408; &#1392;&#1377;&#1408;&#1409;&#1396;&#1377;&#1398; &#1396;&#1381;&#1385;&#1400;&#1380;&#1398;&#1381;&#1408;&#1384; &#1401;&#1387; &#1400;&#1410;&#1394;&#1381;&#1391;&#1409;&#1400;&#1410;&#1396; .
-&#1365;&#1408;&#1387;&#1398;&#1377;&#1391;,Gopher &#1377;&#1408;&#1393;&#1377;&#1398;&#1377;&#1379;&#1408;&#1400;&#1410;&#1385;&#1397;&#1377;&#1398; &#1392;&#1377;&#1396;&#1377;&#1408; &#1401;&#1381;&#1412; &#1391;&#1377;&#1408;&#1400;&#1394; POST &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396; &#1391;&#1377;&#1407;&#1377;&#1408;&#1381;&#1388;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_URN_RESOLVE squid-3.1.0.4/errors/Armenian/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Armenian/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URN &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URN &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URN &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-Cannot Resolve URN
-</STRONG>
-</UL>
-
-<P>
-&#1353;&#1377;&#1408;&#1386;&#1381; &#1399;&#1377;&#1407; &#1378;&#1377;&#1398; &#1405;&#1402;&#1377;&#1405;&#1381;&#1388; URN-&#1387;&#1409; %T -&#1387; &#1406;&#1408;&#1377; :)
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_WRITE_ERROR squid-3.1.0.4/errors/Armenian/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Armenian/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1331;&#1408;&#1377;&#1398;&#1409;&#1396;&#1377;&#1398; &#1405;&#1389;&#1377;&#1388;
-</STRONG>
-</UL>
-
-<P>
-&#1344;&#1377;&#1396;&#1377;&#1391;&#1377;&#1408;&#1379;&#1384; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;&#1381;&#1409;:
-<PRE><I>    %E</I></PRE>
-
-<P>
-&#1359;&#1406;&#1397;&#1377;&#1388;&#1398;&#1381;&#1408;&#1384; &#1409;&#1377;&#1398;&#1409; &#1400;&#1410;&#1394;&#1377;&#1408;&#1391;&#1381;&#1388;&#1400;&#1410; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391; &#1377;&#1404;&#1377;&#1403;&#1377;&#1409;&#1377;&#1406; &#1405;&#1389;&#1377;&#1388;&#8228; &#1341;&#1398;&#1380;&#1408;&#1406;&#1400;&#1410;&#1396; &#1383; &#1391;&#1408;&#1391;&#1398;&#1381;&#1388; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1384;&#8228;
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A> &#1383;.
-
diff -u -r -N squid-3.1.0.3/errors/Armenian/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Armenian/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Armenian/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Armenian/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Armscii-8">
-<TITLE>&#1357;&#1341;&#1329;&#1340;: &#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>&#1357;&#1341;&#1329;&#1340;</H1>
-<H2>&#1354;&#1377;&#1392;&#1377;&#1398;&#1403;&#1406;&#1400;&#1394; URL &#1401;&#1387; &#1391;&#1377;&#1408;&#1400;&#1394; &#1377;&#1404;&#1377;&#1412;&#1406;&#1381;&#1388;</H2>
-<HR noshade size="1px">
-<P>
-URL &#1387; &#1377;&#1404;&#1377;&#1412;&#1396;&#1377;&#1398; &#1386;&#1377;&#1396;&#1377;&#1398;&#1377;&#1391;:
-<A HREF="%U">%U</A>
-<P>
-&#1359;&#1381;&#1394;&#1387; &#1400;&#1410;&#1398;&#1381;&#1409;&#1377;&#1406; &#1392;&#1381;&#1407;&#1415;&#1397;&#1377;&#1388; &#1405;&#1389;&#1377;&#1388;&#1384;:
-<UL>
-<LI>
-<STRONG>
-&#1334;&#1408;&#1400;&#1397;&#1377;&#1391;&#1377;&#1398; &#1381;&#1408;&#1391;&#1377;&#1408;&#1400;&#1410;&#1385;&#1397;&#1377;&#1396;&#1378; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398;
-</STRONG>
-</UL>
-
-<P>
-&#1364;&#1381;&#1399;&#1384; &#1387; &#1402;&#1377;&#1407;&#1377;&#1405;&#1389;&#1377;&#1398; &#1377;&#1397;&#1405; &#1392;&#1377;&#1408;&#1409;&#1400;&#1410;&#1396;&#1387; &#1400;&#1401; &#1396;&#1387; &#1407;&#1406;&#1397;&#1377;&#1388; &#1401;&#1387; &#1405;&#1407;&#1377;&#1409;&#1381;&#1388;.
-<P>&#1345;&#1381;&#1408; &#1412;&#1381;&#1399;&#1387; &#1391;&#1377;&#1404;&#1377;&#1406;&#1377;&#1408;&#1387;&#1401;&#1384; <A HREF="mailto:%w">%w</A>. &#1383;. 
diff -u -r -N squid-3.1.0.3/errors/az/ERR_ACCESS_DENIED squid-3.1.0.4/errors/az/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/az/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_ACCESS_DENIED	2009-01-23 18:39:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Giriş qadağandır.</b></p> </blockquote>  <p>Hal-hazirda giriş nəzarəti qaydaları sorğunuzun cavablandırılmasına qadağa qoyur. Qadağanın düz olmadığı təqdirdə, xahiş edirik, İnternet servis xidmətçinizə müraciət edəsiniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/az/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/az/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:39:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Giriş qadağandır.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Keşdən istifadə qadağandır</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>İdentifikasiya ilə çətinlik olduğu halda, xahiş edirik, <a href="mailto:%w%W">KEŞİN sistem administratoru </a> ilə əlaqə saxlayın və ya <a href="http://%h/cgi-bin/chpasswd.cgi">şifrənizi</a> dəyişdirin.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/az/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/az/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:39:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Giriş qadağandır.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Keş idarəetməsinə giriş qadağandır</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or, if you <em>are</em> the administrator, read Squid documentation on cache manager interface and check cache log for more detailed error messages.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/az/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/az/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_CANNOT_FORWARD	2009-01-23 18:39:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Hal-hazırda sorğunuzu yönlədirmək mümkün deyildir.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_CONNECT_FAIL squid-3.1.0.4/errors/az/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/az/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_CONNECT_FAIL	2009-01-23 18:39:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>Hədəf server və ya şəbəkə cavab vermir. Xahiş edirik, sorğunu təkrarlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_DNS_FAIL squid-3.1.0.4/errors/az/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/az/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_DNS_FAIL	2009-01-23 18:39:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Uzaqda yerləşən kompyuterin İP adresini təyin mumkun olmadı <q>%H</q></b></p> </blockquote>  <p>The DNS server returned:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Bu o deməkdir ki keş URL-də göstərilmiş serveri təyin edə bilmir. Adresin düzgün yazıldığını yoxlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_ESI squid-3.1.0.4/errors/az/ERR_ESI
--- squid-3.1.0.3/errors/az/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_ESI	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/az/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/az/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FORWARDING_DENIED	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Yönləndirmə qadağandır.</b></p> </blockquote>  <p>Sibling tipli əlaqə yaratmaq cəhdinə görə keş sorğunuzu yönləndirməyəcəkdir. Güman ki, %i müştərisi tələblərə uyğun olmayan keşdir.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_DISABLED squid-3.1.0.4/errors/az/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/az/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_DISABLED	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP protokolu qadağandır</b></p> </blockquote>  <p>Bu keş FTP protokolunu təmin etmir.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_FAILURE squid-3.1.0.4/errors/az/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/az/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_FAILURE	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL ilə əlaqə zamanı FTP protokolu uzrə aşağıdakı səhv baş vermişdir: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/az/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/az/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_FORBIDDEN	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL ilə əlaqə zamanı FTP protokolu uzrə aşağıdakı səhv baş vermişdir: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_LISTING squid-3.1.0.4/errors/az/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/az/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_LISTING	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/az/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/az/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_NOT_FOUND	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/az/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/az/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_PUT_CREATED	2009-01-23 18:39:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT müvəfəqiyyətlə başa çatdı: Fayl yarandı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Əməliyyat müvəfəqiyyətlə başa çatdı</h1> <h2>Fayl yarandı</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/az/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/az/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_PUT_ERROR	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP yükləmə uğursuzluqla başa çatdı</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/az/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/az/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_PUT_MODIFIED	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT müvəfəqiyyətlə başa çatdı: Fayl yeniləndi</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Əməliyyat müvəfəqiyyətlə başa çatdı</h1> <h2>Fayl yeniləndi</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/az/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/az/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_FTP_UNAVAILABLE	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL ilə əlaqə zamanı FTP serverin həddən ziyadə yüklü olduğu məlum olub: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_ICAP_FAILURE squid-3.1.0.4/errors/az/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/az/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_ICAP_FAILURE	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_INVALID_REQ squid-3.1.0.4/errors/az/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/az/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_INVALID_REQ	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>(GET, POST) sorğusunun metodu məlum deyil və ya umumiyyətlə yoxdur.</p></li> <li><p>URL yoxdur.</p></li> <li><p>HTTP identifikator yoxdur (HTTP/1.0).</p></li> <li><p>Sorğu həddən ziyadə böyükdür.</p></li> <li><p>POST və PUT sorğuları üçün Content-Length göstərilməmişdir</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_INVALID_RESP squid-3.1.0.4/errors/az/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/az/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_INVALID_RESP	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_INVALID_URL squid-3.1.0.4/errors/az/ERR_INVALID_URL
--- squid-3.1.0.3/errors/az/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_INVALID_URL	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>URL-nin bəzi aspektləri səhvdir.</p>  <p>Some possible problems are:</p> <ul> <li><p>Giriş protokol yoxdur və ya səhvdir (<q>http://</q> və ya oxşar olmalıdır)</p></li> <li><p>Server adı yoxdur</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_LIFETIME_EXP squid-3.1.0.4/errors/az/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/az/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_LIFETIME_EXP	2009-01-23 18:39:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Qoşulma müddəti bitdi</b></p> </blockquote>  <p>Squid has terminated the request because it has exceeded the maximum connection lifetime.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_NO_RELAY squid-3.1.0.4/errors/az/ERR_NO_RELAY
--- squid-3.1.0.3/errors/az/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_NO_RELAY	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Wais ötürücü təyin edilməmişdir</b></p> </blockquote>  <p>Bu keş serveri üçün WAIS ötürücü təyin edilməyib. Administratora əlaqə saxlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/az/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/az/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Obyekt keşdə tapılmadı və <q>only-if-cached</q> əmri təyin olunmuşdur.</b></p> </blockquote>  <p>Siz <q>only-if-cached</cq> əmri ilə sorğu göndərmisiniz. Obyekt keşdə tapılmadı, <em>və ya</em> <q>only-if-cached</q> əmri ilə qadağan olunmuş obyektin yenilənməsi tələb olunur.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_READ_ERROR squid-3.1.0.4/errors/az/ERR_READ_ERROR
--- squid-3.1.0.3/errors/az/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_READ_ERROR	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Oxunma səhvi</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>Məlumatlar şəbəkədən oxunan zaman səhv baş vermişdir. Xahiş edirik, sorğunuzu təkrar edin.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_READ_TIMEOUT squid-3.1.0.4/errors/az/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/az/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_READ_TIMEOUT	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Gözləmə müddəti bitmişdir</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>Məlumatlar şəbəkədən oxunan zaman gözləmə müddəti bitmişdir. Şəbəkə və ya server işləmir, yaxud həddən ziyadə yüklənmişdir. Xahiş edirik, sorğunu təkrar edin.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/az/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/az/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/az/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/az/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_SHUTTING_DOWN	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Keş hal-hazırda işini dayandırır və bu səbəbdən sizin sorğunuzu cavablandıra bilməyəcək. Xahiş edirik, sorğunuzu tezliklə bir daha təkrarlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/az/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/az/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_SOCKET_FAILURE	2009-01-23 18:39:23.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>Squid is unable to create a TCP socket, presumably due to excessive load. Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_TOO_BIG squid-3.1.0.4/errors/az/ERR_TOO_BIG
--- squid-3.1.0.3/errors/az/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_TOO_BIG	2009-01-23 18:39:24.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Sorğu və ya cavab həddən ziyadə böyükdür.</b></p> </blockquote>  <p>Əgər siz POST və ya PUT sorğusunu edirsinizsə, sizin göndərmək istədiniz fayl həddən ziyadə böyükdür.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>Bu limitlər sizin keşi idarə edən Internet xidməti provayderi tərəfindən təyin olunmuşdur. Əgər bunun səhv olduğunu düşünürsünüzsə onlarla əlaqə saxlayın.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_UNSUP_REQ squid-3.1.0.4/errors/az/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/az/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_UNSUP_REQ	2009-01-23 18:39:24.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dəstəklənməyən sorğu metodu və protokol</b></p> </blockquote>  <p>Squid bütün sorğu metodları və bütün protokollardəstəkləmir. Məsələn, Gopher protokolu üzrə siz POST sorğu metodunu yerinə yetirə bilməzsiniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_URN_RESOLVE squid-3.1.0.4/errors/az/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/az/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_URN_RESOLVE	2009-01-23 18:39:24.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Sorğulanan URN üçün URL ilə əlaqə yaradılmadı</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>URN tapılmadı</b></p> </blockquote>  <p>%T texnologiyasından çox şey gözləməyə dəyməz :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_WRITE_ERROR squid-3.1.0.4/errors/az/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/az/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_WRITE_ERROR	2009-01-23 18:39:24.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Yazma səhvi</b></p> </blockquote>  <p id="sysmsg">Sistemdən gələn cavab: <i>%E</i></p>  <p>İnformasiya şəbəkəyə ötürülərkən xəta olmuşdur.Xahiş edirik, sorğunu təkrar edin.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/az/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/az/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/az/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/az/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:39:24.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Sıfır Uzunluqlu Cavab</b></p> </blockquote>  <p>Squid bu sorğu üçün heç bir məlumat almadı.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Azerbaijani/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Giriş qadağandır.
-</STRONG>
-<P>
-Hal-hazirda giriş nəzarəti qaydaları  sorğunuzun cavablandırılmasına qadağa qoyur.
-Qadağanın düz olmadığı təqdirdə, xahiş edirik, İnternet servis xidmətçinizə müraciət
-edəsiniz.
-</UL>
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Azerbaijani/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV:Keşdən istifadə qadağandır.</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>SƏHV</H1>
-<H2>Keşdən istifadə qadağandır</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Keşdən istifaə qadağandır
-</STRONG>
-</UL>
-</P>
-
-<P>Üzr istəyirik, Siz aşağıdakı:
-<PRE>    %U</PRE>
-unvanına, keşdə identifikasiyanı keçməyəcəyiniz təqdirdə sorğu verə bilməzsiniz.
-</P>
-
-<P>
-Bunun üçün sizə Netscape 2.0 və ya daha yuxarı versiyalı, Microsoft Internet
-Explorer 3.0 və ya daha yuxarı versiyalı, ya da  HTTP/1.1protokoluna uyğun brauzer tələb olunur. İdentifikasiya ilə çətinlik olduğu halda, xahiş edirik, <A HREF="mailto:%w">KEŞİN sistem administratoru </a> ilə əlaqə saxlayın və ya <A HREF="http://%h/cgi-bin/chpasswd.cgi">şifrənizi</a> 
-dəyişdirin.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Azerbaijani/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Keş idarəetməsinə giriş qadağandır</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>SƏHV</H1>
-<H2> Keş idarəetməsinə giriş qadağandır</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Keş idarəetməsinə giriş qadağandır
-</STRONG>
-</UL>
-</P>
-
-<P>Üzr istəyirik, Siz aşağıdakı:
-<PRE>    %U</PRE>
-unvanına, keşdə identifikasiyanı keçməyəcəyiniz təqdirdə sorğu verə bilməzsiniz.
-</P>
-
-<P>
-Bunun üçün sizə Netscape 2.0 və ya daha yuxarı versiyalı, Microsoft Internet
-Explorer 3.0 və ya daha yuxarı versiyalı, ya da  HTTP/1.1protokoluna uyğun brauzer tələb olunur. İdentifikasiya ilə çətinlik olduğu halda, xahiş edirik, <A HREF="mailto:%w">KEŞİN sistem administratoru </a> ilə əlaqə saxlayın və ya Siz administrator olduğunuz halda keş idarəetmə interfeysi ilə bağlı sənədləri oxuyun və keş jurnalını daha ətraflı səhv qeydləri üçün yoxlayın.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Azerbaijani/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Azerbaijani/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı.</H2>
-<HR noshade size="1px">
-<P>URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Hal-hazırda sorğunuzu yönlədirmək mümkün deyildir.
-</STRONG>
-</UL>
-
-<P>
-Sorğu hədəf serverə, və ya digər yuxarı səviyyəli keş serverələrə göndərilə bilməz.Səhvin mümkün səbəbləri:
-<UL>
-<LI>Keş administratoru bu keşin hədəf serverləri birbaşa sorğulamasını qadağan etmişdir və ya
-<LI>Bütün yuxarı səviyyəli keş-serverlər hal-hazırda əlçatmazdılar.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Azerbaijani/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Azerbaijani/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı.</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Əlaqə yaratmaq mümkün olmadı.
-</STRONG>
-</UL>
-
-<P>
-Sistemdən gələn cavab:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Hədəf server və ya şəbəkə cavab vermir.Xahiş edirik, sorğunu təkrarlayın.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_DNS_FAIL squid-3.1.0.4/errors/Azerbaijani/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Azerbaijani/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,35 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<br>
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<BLOCKQUOTE>
-Uzaqda yerləşən kompyuterin İP adresini təyin mumkun olmadı
-<I>%H</I>
-</BLOCKQUOTE>
-</UL>
-
-<P>
-Domen Adları serverindən gələn cavab:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-Bu o deməkdir ki:
-<PRE>
-Keş URL-də göstərilmiş serveri təyin edə bilmir.
-Adresin düzgün yazıldığını yoxlayın.
-</PRE>
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_ESI squid-3.1.0.4/errors/Azerbaijani/ERR_ESI
--- squid-3.1.0.3/errors/Azerbaijani/ERR_ESI	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Azerbaijani/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı
-</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı.</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Yönləndirmə qadağandır.
-</STRONG>
-</UL>
-
-<P>
-Sibling tipli əlaqə yaratmaq cəhdinə görə keş sorğunuzu yönləndirməyəcəkdir. Güman ki, %i müştərisi tələblərə uyğun olmayan keşdir.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_DISABLED squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-FTP protokolu qadağandır.
-</STRONG>
-</UL>
-
-<P>
-Bu keş FTP protokolunu təmin etmir.
-</P>
-
-<P>
-Sizin keş administratorunuz %w
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_FAILURE squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı FTP protokolu uzrə aşağıdakı səhv baş vermişdir:
-<A HREF="%U">%U</A>
-<P>
-Keş FTP-nin növbəti əmrini göndərmişdir:
-<PRE><STRONG>
-	%f
-</STRONG></PRE>
-və alınan cavab
-<PRE><STRONG>
-	%F
-</STRONG></PRE>
-<P>
-Mümkün səbəblərdən biri sorğu zamanı istifadə olunan FTP adresin RFC 1738 standartlarına uyğun gəlməməsidir. Problemlə bağlı informasiyanı <A HREF="%B">%B</A> adresində axtarın.
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı FTP protokolu uzrə aşağıdakı səhv baş vermişdir:
-<A HREF="%U">%U</A>
-<P>
-SQUID FTP-nin növbəti əmrini göndərmişdir:
-<PRE><STRONG>
-	%f
-</STRONG></PRE>
-və alınan cavab
-<PRE><STRONG>
-	%F
-</STRONG></PRE>
-<PRE><STRONG>
-	%g
-</STRONG></PRE>
-
-<P>
-Sizin keş administratorunuz <A HREF="%U">%w</A>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı FTP protokolu uzrə aşağıdakı səhv baş vermişdir:
-<A HREF="%U">%U</A>
-<P>
-Keş FTP-nin növbəti əmrini göndərmişdir:
-<PRE><STRONG>
-	%f
-</STRONG></PRE>
-və alınan cavab
-<PRE><STRONG>
-	%F
-</STRONG></PRE>
-<PRE><STRONG>
-	%g
-</STRONG></PRE>
-<P>
-Mümkün səbəblərdən biri sorğu zamanı istifadə olunan FTP adresin RFC 1738 standartlarına uyğun gəlməməsidir. Əgər səbəb budursa faylı<A HREF="%B">%B</A> adresində tapa bilersiniz.
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>FTP PUT müvəfəqiyyətlə başa çatdı: Fayl yarandı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Əməliyyat müvəfəqiyyətlə başa çatdı </H1>
-<H2>Fayl yarandı</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: FTP PUT/yükləmə uğursuzluqla başa çatdı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>FTP PUT/yükləmə uğursuzluqla başa çatdı.</H2>
-<HR noshade size="1px">
-<P>
-Faylı adresə yükləyərkən:
-<A HREF="%U">%U</A>
-<P>
-SQUID növbəti FTP əmri göndərmişdir:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-və alınan cavab
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-<PRE>
-Fayl yolunu, fayla olan icazələrinizi, boş yeri yoxlayın və bir daha təkrar edin.
-</PRE>
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>FTP PUT müvəfəqiyyətlə başa çatdı: Fayl yeniləndi</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Əməliyyat müvəfəqiyyətlə başa çatdı.</H1>
-<H2>Fayl yeniləndi.</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Azerbaijani/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı FTP serverin həddən ziyadə yüklü olduğu məlum olub:
-<A HREF="%U">%U</A>
-<P>
-Keş FTP-nin növbəti əmrini göndərmişdir:
-<PRE><STRONG>
-	%f
-</STRONG></PRE>
-və alınan cavab
-<PRE><STRONG>
-	%F
-</STRONG></PRE>
-<PRE><STRONG>
-	%g
-</STRONG></PRE>
-<P>
-Sizin keş administratorunuz <A HREF="%U">%w</A>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Azerbaijani/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Azerbaijani/ERR_ICAP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_INVALID_REQ squid-3.1.0.4/errors/Azerbaijani/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Azerbaijani/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı.</H2>
-<HR noshade size="1px">
-<P>
-Sorğu yerinə yetirilən zaman:
-<PRE>
-%R
-</PRE>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Səhv sorğu.
-</STRONG>
-</UL>
-
-<P>
-HTTP sorğunun bəzi aspektləri səhvdir. Mümkün problemlər:
-<UL>
-<LI> (GET, POST) sorğusunun metodu məlum deyil və ya umumiyyətlə yoxdur.
-<LI>URL yoxdur
-<LI>HTTP identifikator yoxdur(HTTP/1.0)
-<LI>Sorğu həddən ziyadə böyükdür
-<LI>POST və PUT sorğuları üçün Content-Length göstərilməmişdir
-<LI>Server adında qadağan edilmiş simvol; altxətt yol verilməzdir
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_INVALID_RESP squid-3.1.0.4/errors/Azerbaijani/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Azerbaijani/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı.</H2>
-<HR noshade size="1px">
-<P>
-Sorğu yerinə yetirilən zaman:
-<PRE>
-%R
-</PRE>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Səhv cavab.
-</STRONG>
-</UL>
-
-<P>
-Sorğu göndərilən serverdən gələn cavab anlaşılmazdı və ya dəyişdirilib. Səhifə operatoru ilə əlaqə yaradın. Tələb olunduğu halda keş administratoru sizə daha geniş məlumat verə bilər. Sizin keş administratorunuz <A HREF="%U">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_INVALID_URL squid-3.1.0.4/errors/Azerbaijani/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Azerbaijani/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı.</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Səhv URL:
-</STRONG>
-</UL>
-
-<P>
-URL-nin  bəzi aspektləri səhvdir. Mümkün problemlər:
-<UL>
-<LI>Giriş protokol yoxdur və ya səhvdir ("http://'' və ya oxşar olmalıdır)
-<LI>Server adı yoxdur
-<LI>Server adında qadağan edilmiş simvol; altxətt və s. yol verilməzdir.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Azerbaijani/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Azerbaijani/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Qoşulma müddəti bitdi.
-</STRONG>
-</UL>
-
-<P>
-Keş maksimum qoşulma müddəti həddini keçmə səbəbindən əlaqəni kəsdi.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_NO_RELAY squid-3.1.0.4/errors/Azerbaijani/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Azerbaijani/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Wais ötürücü təyin edilməmişdir.
-</STRONG>
-</UL>
-
-<P>
-Bu keş serveri üçün WAIS ötürücü təyin edilməyib. Administratora əlaqə saxlayın.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Azerbaijani/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Azerbaijani/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Obyekt keşdə tapılmadı və <code>only-if-cached</code>əmri təyin olunmuşdur.
-</STRONG>
-</UL>
-
-<P>
-Siz <code>only-if-cached</code> əmri ilə sorğu göndərmisiniz.
-Obyekt keşdə tapılmadı, <em>və ya</em> <code>only-if-cached</code>əmri ilə qadağan olunmuş obyektin yenilənməsi tələb olunur.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_READ_ERROR squid-3.1.0.4/errors/Azerbaijani/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Azerbaijani/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Oxunma səhvi
-</STRONG>
-</UL>
-
-<P>
-Sistem cavab verir:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Məlumatlar şəbəkədən oxunan zaman səhv baş vermişdir. Xahiş edirik, sorğunuzu təkrar edin.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Azerbaijani/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Azerbaijani/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Gözləmə müddəti bitmişdir.
-</STRONG>
-</UL>
-
-<P>
-Sistemin cavabı:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Məlumatlar şəbəkədən oxunan zaman gözləmə müddəti bitmişdir. Şəbəkə və ya server işləmir, yaxud həddən ziyadə yüklənmişdir. Xahiş edirik, sorğunu təkrar edin.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Azerbaijani/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Azerbaijani/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Azerbaijani/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Azerbaijani/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<P>
-Keş hal-hazırda işini dayandırır və bu səbəbdən sizin sorğunuzu cavablandıra bilməyəcək. Xahiş edirik, sorğunuzu tezliklə bir daha təkrarlayın.</UL>
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Azerbaijani/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Azerbaijani/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-əlaqə xətası.
-</STRONG>
-</UL>
-
-<P>
-:
-<PRE><I>    %E</I></PRE>
-
-<P>
-SQUID əlaqə yarada bilmir, mümkün səbəblərdən biri, server həddindən ziyadə yüklənmiş olmasıdır.
-Xahiş edirik,sorğunu təkrar edin.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_TOO_BIG squid-3.1.0.4/errors/Azerbaijani/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Azerbaijani/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-
-
-<P>
-<STRONG>Sorğu və ya cavab həddən ziyadə böyükdür.<STRONG><br>
-Əgər siz POST və ya PUT sorğusunu edirsinizsə, sizin göndərmək istədiniz fayl həddən ziyadə böyükdür. Əgər siz GET sorğusunu edirsinizsə, sizin yükləmək istədiyiniz fayl həddən ziyadə böyükdür. Bu limitlər sizin keşi idarə edən Internet xidməti provayderi tərəfindən təyin olunmuşdur. Əgər bunun səhv olduğunu düşünürsünüzsə onlarla əlaqə saxlayın.
-</P>
-
-<br>
-Sizin keş administratorunuz <A HREF="%U">%w</A>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_UNSUP_REQ squid-3.1.0.4/errors/Azerbaijani/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Azerbaijani/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Dəstəklənməyən sorğu metodu və protokol.
-</STRONG>
-</UL>
-
-<P>
-SQUID bütün sorğu metodları və bütün protokollardəstəkləmir.
-Məsələn,Gopher protokolu üzrə siz POST sorğu metodunu yerinə yetirə bilməzsiniz.
-</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_URN_RESOLVE squid-3.1.0.4/errors/Azerbaijani/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Azerbaijani/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URN ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URN üçün URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URN ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-URN tapılmadı
-<br>
-(Cannot Resolve URN)
-</STRONG>
-</UL>
-
-<P>
-%T texnologiyasından çox şey gözləməyə dəyməz :)
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_WRITE_ERROR squid-3.1.0.4/errors/Azerbaijani/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Azerbaijani/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Yazma səhvi
-</STRONG>
-</UL>
-
-<P>
-Sistemin cavabı:
-<PRE><I>    %E</I></PRE>
-
-<P>
-İnformasiya şəbəkəyə ötürülərkən xəta olmuşdur.Xahiş edirik, sorğunu təkrar edin.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Azerbaijani/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Azerbaijani/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Azerbaijani/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Azerbaijani/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
-<TITLE>SƏHV: Sorğulanan URL ilə əlaqə yaradılmadı</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>SƏHV</H1>
-<H2>Sorğulanan URL ilə əlaqə yaradılmadı</H2>
-<HR noshade size="1px">
-<P>
-URL ilə əlaqə zamanı:
-<A HREF="%U">%U</A>
-<P>
-Aşağıdakı səhv baş vermişdir:
-<UL>
-<LI>
-<STRONG>
-Sıfır uzunluqlu cavab
-</STRONG>
-</UL>
-
-<P>
-SQUID bu sorğu üçün heç bir məlumat almadı.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/bg/ERR_FTP_LISTING squid-3.1.0.4/errors/bg/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/bg/ERR_FTP_LISTING	2008-12-05 16:11:32.000000000 +1300
+++ squid-3.1.0.4/errors/bg/ERR_FTP_LISTING	2009-01-23 18:39:26.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP директория: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP директория: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Съдържание на директорията:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="Извличане съдържанието на директорията"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Горна директория"></a></th> <th nowrap="nowrap"><a href="../">Горна директория</a> (<a href="/">Главна директория</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/bg/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/bg/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/bg/ERR_FTP_PUT_MODIFIED	2008-12-05 16:11:33.000000000 +1300
+++ squid-3.1.0.4/errors/bg/ERR_FTP_PUT_MODIFIED	2009-01-23 18:39:26.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Операцията е успешна.</h1> <h2>Файлът е обновен</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT заявката е успешна: файлът е обновен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Операцията е успешна.</h1> <h2>Файлът е обновен</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Генерирано на %T от %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_ACCESS_DENIED squid-3.1.0.4/errors/cs/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/cs/ERR_ACCESS_DENIED	2008-12-05 16:11:40.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_ACCESS_DENIED	2009-01-23 18:39:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Přístup odepřen.</b></p> </blockquote>  <p>Nastavení přístupových práv aktuálně neumožňuje zpracovat požadavek. Prosím kontaktujte svého poskytovatele, považujete-li toto za nesprávné.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Přístup odepřen.</b></p> </blockquote>  <p>Nastavení přístupových práv aktuálně neumožňuje zpracovat požadavek. Prosím kontaktujte svého poskytovatele, považujete-li toto za nesprávné.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/cs/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/cs/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:11:40.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:39:33.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Přístup odepřen.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Přístup k cache odepřen.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or <a href="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Přístup odepřen.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Přístup k cache odepřen.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>V případě problému se prosím obraťte na <a href="mailto:%w%W">cache administratora</a> nebo si změňte <a href="http://%h/cgi-bin/chpasswd.cgi">heslo</a>.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/cs/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/cs/ERR_CANNOT_FORWARD	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_CANNOT_FORWARD	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to forward this request at this time.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to forward this request at this time.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_CONNECT_FAIL squid-3.1.0.4/errors/cs/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/cs/ERR_CONNECT_FAIL	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_CONNECT_FAIL	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Připojení k %I selhalo.</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>The remote host or network may be down.  Please try the request again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Připojení k %I selhalo.</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Vzdálený systém nebo síť jsou nedostupné. Zkuste to znova.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_DNS_FAIL squid-3.1.0.4/errors/cs/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/cs/ERR_DNS_FAIL	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_DNS_FAIL	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to determine IP address from host name <q>%H</q></b></p> </blockquote>  <p>The DNS server returned:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Jméno serveru není možno převést na IP adresu. <q>%H</q></b></p> </blockquote>  <p>DNS server odpověděl:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_ESI squid-3.1.0.4/errors/cs/ERR_ESI
--- squid-3.1.0.3/errors/cs/ERR_ESI	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_ESI	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Selhalo zpracování ESI.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Selhalo zpracování ESI.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/cs/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/cs/ERR_FORWARDING_DENIED	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FORWARDING_DENIED	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Forwarding Denied.</b></p> </blockquote>  <p>This cache will not forward your request because it is trying to enforce a sibling relationship.  Perhaps the client at %i is a cache which has been misconfigured.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Forwarding Denied.</b></p> </blockquote>  <p>Cache server nepřesměruje Váš požadavek, protože to nedovolují vztahy v hierarchické struktuře cache serverů. %i je pravděpodobně chybně nakonfigurovaný cache server.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_DISABLED squid-3.1.0.4/errors/cs/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/cs/ERR_FTP_DISABLED	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_DISABLED	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP je zakázáno</b></p> </blockquote>  <p>This cache does not support FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP je zakázáno</b></p> </blockquote>  <p>Tento cache server nepodporuje protokol FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_FAILURE squid-3.1.0.4/errors/cs/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/cs/ERR_FTP_FAILURE	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_FAILURE	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě protokolu FTP při pokusu získat URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě protokolu FTP při pokusu získat URL: <a href="%U">%U</a></p>  <p>odeslal Squid následující FTP příkaz:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/cs/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/cs/ERR_FTP_FORBIDDEN	2008-12-05 16:11:41.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_FORBIDDEN	2009-01-23 18:39:34.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě při autentizaci FTP při pokusu získat URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě při autentizaci FTP při pokusu získat URL: <a href="%U">%U</a></p>  <p>odeslal Squid následující FTP příkaz:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/cs/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/cs/ERR_FTP_NOT_FOUND	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_NOT_FOUND	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>odeslal Squid následující FTP příkaz:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>To může být zapříčiněno použitím absolutní cesty v FTP URL (což odporuje RFC 1738).  V tomto případě může být dokument nalezen na <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/cs/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/cs/ERR_FTP_PUT_CREATED	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_PUT_CREATED	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT uspěl: soubor vytvořen</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operation successful</h1> <h2>Soubor vytvořen</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT uspěl: soubor vytvořen</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operace proběhla úspěšně</h1> <h2>Soubor vytvořen</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/cs/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/cs/ERR_FTP_PUT_ERROR	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_PUT_ERROR	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/nahrávání selhalo</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/nahrávání selhalo</h2> </div> <hr>  <div id="content"> <p>Při pokusu o PUT následujícího URL: <a href="%U">%U</a></p>  <p>odeslal Squid následující FTP příkaz:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/cs/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/cs/ERR_FTP_PUT_MODIFIED	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_PUT_MODIFIED	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operation successful</h1> <h2>Soubor aktualizován</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Successful: File Updated</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operace proběhla úspěšně</h1> <h2>Soubor aktualizován</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/cs/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/cs/ERR_FTP_UNAVAILABLE	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_FTP_UNAVAILABLE	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>odeslal Squid následující FTP příkaz:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_ICAP_FAILURE squid-3.1.0.4/errors/cs/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/cs/ERR_ICAP_FAILURE	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_ICAP_FAILURE	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>Ze serveru ICAP byla přijata neplatná odpověď.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>Ze serveru ICAP byla přijata neplatná odpověď.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_INVALID_REQ squid-3.1.0.4/errors/cs/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/cs/ERR_INVALID_REQ	2008-12-05 16:11:42.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_INVALID_REQ	2009-01-23 18:39:35.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě <b>Invalid Request</b> (Neplatný požadavek) během zpracování požadavku:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Missing or unknown request method.</p></li> <li><p>Missing URL.</p></li> <li><p>Missing HTTP Identifier (HTTP/1.0).</p></li> <li><p>Request is too large.</p></li> <li><p>Chybí 'Content-Lenght' požadavku POST nebo PUT.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě <b>Invalid Request</b> (Neplatný požadavek) během zpracování požadavku:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Chybná nebo chybějící HTTP metoda (POST, GET)</p></li> <li><p>Chybějící URL.</p></li> <li><p>Chybějící identifikátor HTTP (HTTP/1.0).</p></li> <li><p>Požadavek může být příliš velký</p></li> <li><p>Chybí 'Content-Lenght' požadavku POST nebo PUT.</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_INVALID_RESP squid-3.1.0.4/errors/cs/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/cs/ERR_INVALID_RESP	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_INVALID_RESP	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě <b>Invalid Response</b> (Neplatná odpověď) během zpracování požadavku:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Došlo k chybě <b>Invalid Response</b> (Neplatná odpověď) během zpracování požadavku:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_INVALID_URL squid-3.1.0.4/errors/cs/ERR_INVALID_URL
--- squid-3.1.0.3/errors/cs/ERR_INVALID_URL	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_INVALID_URL	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>Some possible problems are:</p> <ul> <li><p>Missing or incorrect access protocol (should be <q>http://</q> or similar)</p></li> <li><p>Missing hostname</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>Některá část URL je chybná.</p>  <p>Some possible problems are:</p> <ul> <li><p>Missing or incorrect access protocol (should be <q>http://</q> or similar)</p></li> <li><p>Chybějící hostname</p></li> <li><p>Chybný double-escape v URL cestě</p></li> <li><p>Illegal character in hostname; underscores are not allowed.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_LIFETIME_EXP squid-3.1.0.4/errors/cs/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/cs/ERR_LIFETIME_EXP	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_LIFETIME_EXP	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Čas pro spojení vypršel</b></p> </blockquote>  <p>Squid has terminated the request because it has exceeded the maximum connection lifetime.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Čas pro spojení vypršel</b></p> </blockquote>  <p>Squid stornoval požadavek z důvodu překročení maximální délky trvání spojení.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_NO_RELAY squid-3.1.0.4/errors/cs/ERR_NO_RELAY
--- squid-3.1.0.3/errors/cs/ERR_NO_RELAY	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_NO_RELAY	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>No Wais Relay</b></p> </blockquote>  <p>There is no WAIS Relay host defined for this Cache!  Yell at the administrator.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>No Wais Relay</b></p> </blockquote>  <p>Cache server nemá definovaný WAIS Relay! Vyhubujte administratorovi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/cs/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/cs/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Valid document was not found in the cache and <q>only-if-cached</q> directive was specified.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Požadovaný dokument se nenachází v cachi, přičemž byla specifikována direktiva <q>only-if-cached</q>.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_READ_ERROR squid-3.1.0.4/errors/cs/ERR_READ_ERROR
--- squid-3.1.0.3/errors/cs/ERR_READ_ERROR	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_READ_ERROR	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Error</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>Nastala chyba při čtení dat ze sítě. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Error</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Nastala chyba při čtení dat ze sítě. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_READ_TIMEOUT squid-3.1.0.4/errors/cs/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/cs/ERR_READ_TIMEOUT	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_READ_TIMEOUT	2009-01-23 18:39:36.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Timeout</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>Došlo k překročení časového limitu během čtení dat ze sítě. Síť nebo server mohou být mimo provoz nebo přetížené. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Timeout</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Došlo k překročení časového limitu během čtení dat ze sítě. Síť nebo server mohou být mimo provoz nebo přetížené. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/cs/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/cs/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:11:43.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Selhalo vytvoření zabezpečeného připojení k %I</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Selhalo vytvoření zabezpečeného připojení k %I</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/cs/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/cs/ERR_SHUTTING_DOWN	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_SHUTTING_DOWN	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Tento cache server je právě restartován a nemůže obsloužit Váš požadavek. Zkuste to za chvíli znova.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/cs/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/cs/ERR_SOCKET_FAILURE	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_SOCKET_FAILURE	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>Squid is unable to create a TCP socket, presumably due to excessive load. Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Squid nemohl vytvořit TCP socket pravděpodobně v důsledku přetížení. Opakujte prosím Váš požadavek.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_TOO_BIG squid-3.1.0.4/errors/cs/ERR_TOO_BIG
--- squid-3.1.0.3/errors/cs/ERR_TOO_BIG	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_TOO_BIG	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>Tento limit byl nastaven administrátorem této cache. Pokud si myslíte, že je potřeba tyto limity změnit, kontaktujte ho.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_UNSUP_REQ squid-3.1.0.4/errors/cs/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/cs/ERR_UNSUP_REQ	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_UNSUP_REQ	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported Request Method and Protocol</b></p> </blockquote>  <p>Squid does not support all request methods for all access protocols. For example, you can not POST a Gopher request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported Request Method and Protocol</b></p> </blockquote>  <p>Squid nepodporuje všechny typy metod u všech protokolů. Např. není možno použit metodu POST u služby GOPHER.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_URN_RESOLVE squid-3.1.0.4/errors/cs/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/cs/ERR_URN_RESOLVE	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_URN_RESOLVE	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Nelze získat URL pro požadované URN</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nelze přeložit URN</b></p> </blockquote>  <p>Hey, don't expect too much from URNs on %T :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Nelze získat URL pro požadované URN</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nelze přeložit URN</b></p> </blockquote>  <p>Hey, neočekáváte příliš mnoho od URN na %T :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_WRITE_ERROR squid-3.1.0.4/errors/cs/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/cs/ERR_WRITE_ERROR	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_WRITE_ERROR	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Write Error</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>Nastala chyba při odesílání dat na síť. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Write Error</b></p> </blockquote>  <p id="sysmsg">Vzdálený systém odpověděl: <i>%E</i></p>  <p>Nastala chyba při odesílání dat na síť. Prosím zkuste požadavek zopakovat.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/cs/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/cs/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/cs/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:11:44.000000000 +1300
+++ squid-3.1.0.4/errors/cs/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:39:37.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zero Sized Reply</b></p> </blockquote>  <p>Squid did not receive any data for this request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>CHYBA: Požadovaný dokument je nedostupný</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zero Sized Reply</b></p> </blockquote>  <p>Squid neobdržel v odpovědi na tento dotaz žádná data.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Czech/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Czech/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Access Denied.
-</STRONG>
-</UL>
-</P>
-
-<P>
-Pstup k dokumentu byl stornovn v dsledku nedostatench pstupovch
-prv. Pokud jste pesvdeni, e se jedn o chybu, kontaktujte
-<A HREF="mailto:%w%W">sprvce</a> vzdlenho serveru.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Czech/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Czech/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,36 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pristup ke cache serveru zamtnut</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>CHYBA</H1>
-<H2>Pstup ke cache serveru zamtnut</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Cache Access Denied.
-</STRONG>
-</UL>
-</P>
-
-<P>Omlouvme se, ale pstup k:
-<PRE>    %U</PRE>
-je povolen a po autorizaci.
-</P>
-
-<P>
-
-Pro spnou autorizaci potebujete prohlee NETSCAPE 2.0 a vy,
-Microsoft Internet Explorer 3.0 nebo prohle podporujc protokol
-HTTP/1.1. V ppad problmu se prosm obrate na <A HREF="mailto:%w%W">cache
-administratora</a> nebo si zmte  
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">heslo</a>.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Czech/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Czech/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,35 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pristup ke cache manazeru zamitnut</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>CHYBA</H1>
-<H2>Pstup ke cache manaeru zamtnut</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Cache Manager Access Denied.
-</STRONG>
-</UL>
-</P>
-
-<P>Dokument:
-<PRE>    %U</PRE>
-je dostupn pouze po Va autorizaci.
-</P>
-
-<P> 
-Pro spnou autorizaci potebujete prohlee NETSCAPE 2.0 a vy,
-Microsoft Internet Explorer 3.0 nebo prohle podporujc protokol
-HTTP/1.1. V ppad problmu se prosm obrate na <A HREF="mailto:%w%W">cache
-administratora</a> nebo si zmte
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">heslo</a>.
-</P>
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Czech/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Czech/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Unable to forward this request at this time.
-</STRONG>
-</UL>
-
-<P>
-Poadavek neme bt pesmrovn k dotazovanmu serveru nebo nadazenm
-cache serverm. Pinou me bt:
-<UL>
-<LI>
-Administrtor zakzal pm pstup k dotazovanm serverm
-<LI>
-Vechny nadazen cache servery jsou nedostupn
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Czech/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Czech/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Connection Failed.
-</STRONG>
-</UL>
-
-<P>
-Vzdlen systm odpovdl::
-<PRE><I>    %E</I></PRE>
-
-<P>
-Vzdlen systm nebo s jsou nedostupn. Zkuste to znova.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_DNS_FAIL squid-3.1.0.4/errors/Czech/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Czech/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,35 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<BLOCKQUOTE>
-Jmno serveru nen mono pevst na IP adresu.
-<I>%H</I>
-</BLOCKQUOTE>
-</UL>
-
-<P>
-DNS server odpovdl:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-To znamen e:
-<P>
-<UL>
-<LI>
-Cache server nebyl schopen zskat adresu serveru uvedenho v URL.
-Zkontrolujte prosm adresu.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_ESI squid-3.1.0.4/errors/Czech/ERR_ESI
--- squid-3.1.0.3/errors/Czech/ERR_ESI	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>.</P>
-<P>This page is in english because a translation has not been made. If you are able to, please create a translation and contact the squid project to get it included.</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Czech/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Czech/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Forwarding Denied.
-</STRONG>
-</UL>
-
-<P>
-Cache server nepesmruje V poadavek, protoe to nedovoluj vztahy v
-hierarchick struktue cache server. %i je pravdpodobn chybn
-nakonfigurovan cache server.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_DISABLED squid-3.1.0.4/errors/Czech/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Czech/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-FTP is Disabled.
-</STRONG>
-</UL>
-
-<P>
-Tento cache server nepodporuje protokol FTP.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_FAILURE squid-3.1.0.4/errors/Czech/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Czech/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k URL:
-<A HREF="%U">%U</A>
-se objevila chyba FTP.
-<P>
-Squid odeslal nsledujc FTP pkaz:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdrel tuto odpov:
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-To me bt zapinno pouitm absolutn cesty v FTP URL (co odporuje RFC
-1738). V tomto ppad me bt dokument nalezen na <A HREF="%B">%B</A>.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Czech/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Czech/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,21 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k URL:
-<A HREF="%U">%U</A>
-se objevila chyba autorizace FTP.
-<P>
-Squid odeslal nsledujc FTP pkaz:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdrel tuto odpov:
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Czech/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Czech/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Poadovan dokument na adrese:
-<A HREF="%U">%U</A>
-nebyl nalezen.
-<P>
-Squid odeslal nsledujc FTP pkaz:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdrel tuto odpov:
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-To me bt zapinno pouitm absolutn cesty v FTP URL (co odporuje RFC
-1738). V tomto ppad me bt dokument nalezen na <A HREF="%B">%B</A>.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Czech/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Czech/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>FTP PUT: Soubor Vytvoren</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operace probhla spn</H1>
-<H2>Soubor byl aktualizovn</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Czech/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Czech/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: neuspesny FTP upload</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>FTP PUT/upload nespn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o PUT nsledujcho URL:
-<A HREF="%U">%U</A>
-<P>
-odeslal Squid nsledujc FTP pkaz:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-a obdrel tuto odpov
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-Zkuste:
-<P>
-<UL>
-<LI>
-zkontrolovat cestu, pstupov prva, voln msto na disku a zkuste to znova.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Czech/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Czech/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>FTP PUT: Soubor aktualizovan</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operace ukonena spn </H1>
-<H2>soubor byl aktualizovn</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Czech/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Czech/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-FTP server je peten a neme poslat nasledujc dokument:
-<A HREF="%U">%U</A>
-<P>
-Squid odeslal nsledujc FTP pkaz:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdrel tuto odpov:
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Czech/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Czech/ERR_ICAP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_INVALID_REQ squid-3.1.0.4/errors/Czech/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Czech/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi provdn poadavku:
-<PRE>
-%R
-</PRE>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Invalid Request.
-</STRONG>
-</UL>
-
-<P>
-st HTTP poadavku je chybn:
-<UL>
-<LI>Chybn nebo chybjc HTTP metoda (POST, GET)
-<LI>Chybjc URL
-<LI>Chybjc identifiktor HTTP (HTTP/1.0)
-<LI>Poadavek me bt pli velk
-<LI>Chybjc poloka Content-Lenght pro poadavky POST a GET
-<LI>Chybn znak v hostname (podtrtko ??)
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_INVALID_RESP squid-3.1.0.4/errors/Czech/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Czech/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi provdn poadavku:
-<PRE>
-%R
-</PRE>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Invalid Response
-</STRONG>
-</UL>
-
-<P>
-HTTP odpov obdren od vzdlenho serveru je nesrozumiteln i pokozen.
-Kontaktujte prosm sprvce vzdlenho serveru. Dal informace Vm poskytne
-sprvce tohoto proxy serveru <A HREF="mailto:%w">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_INVALID_URL squid-3.1.0.4/errors/Czech/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Czech/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Invalid URL.
-</STRONG>
-</UL>
-
-<P>
-Nkter st URL je chybn. Mon problmy:
-<UL>
-<LI>Chybn nebo chybjc protokol (http:// ..)
-<LI>Chybjc hostname
-<LI>Chybn double-escape v URL cest
-<LI>Chybn znak v hostname (podtrtko ??)
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Czech/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Czech/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Connection Lifetime Expired.
-</STRONG>
-</UL>
-
-<P>
-Squid stornoval poadavek z dvodu pekroen maximln dlky trvn spojen. 
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_NO_RELAY squid-3.1.0.4/errors/Czech/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Czech/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-No Wais Relay.
-</STRONG>
-</UL>
-
-<P>
-Cache server nem definovan WAIS Relay! Vyhubujte <A HREF="mailto:%w%W">administratorovi</A>.
-</P>
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Czech/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Czech/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Poadovan dokument se nenachz v cachi, piem byla specifikovna direktiva
-<code><u>only-if-cached</u></code>.
-</STRONG>
-</UL>
-
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_READ_ERROR squid-3.1.0.4/errors/Czech/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Czech/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Read Error.
-</STRONG>
-</UL>
-
-<P>
-Systm odpovdl:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Pi penosu byla detekovna chyba. Zkuste to znova.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Czech/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Czech/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">  
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Read Timeout.
-</STRONG>
-</UL>
-
-<P>
-Systm odpovdl:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Timeout pi ten ze st. S nebo server jsou nefunkn i peteny.
-Zkuste to znova.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Czech/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Czech/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Czech/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Czech/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<P>
-<UL>
-<LI>
-<STRONG>
-Tento cache server je prv restartovn a neme obslouit V poadavek.
-Zkuste to za chvli znova.
-</STRONG>
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Czech/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Czech/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Socket Failure.
-</STRONG>
-</UL>
-
-<P>
-Systm odpovdl:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Squid nemohl vytvoit TCP socket pravdpodobn v dsledku peten.
-Opakujte prosm V poadavek.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_TOO_BIG squid-3.1.0.4/errors/Czech/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Czech/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-The request or reply is too large.
-</STRONG>
-</UL>
-<P>
-Pi pouit metody POST, PUT nebo GET byl poadovan dokument pli
-velk a pekroil mon limit povolen k penosu (pravdpodobn jste
-se snaili o posln/pjem dokumentu na server nebo ze serveru).
-Tento limit byl nastaven administrtorem tto cache. Pokud si myslte,
-e je poteba tyto limity zmnit, <A HREF="mailto:%w%W">kontaktujte ho</a>.
-</P>
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_UNSUP_REQ squid-3.1.0.4/errors/Czech/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Czech/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Unsupported Request Method and Protocol.
-</STRONG>
-</UL>
-
-<P>
-Squid nepodporuje vechny typy metod u vech protokol. Nap. nen mono
-pouit metodu POST u sluby GOPHER.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_URN_RESOLVE squid-3.1.0.4/errors/Czech/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Czech/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Poadovan URN je nedostupn</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>URL pro poadovan URN je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k URN:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Cannot Resolve URN.
-</STRONG>
-</UL>
-
-<P>
-Hey, neoekvte pli mnoho od URN na %T :)
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_WRITE_ERROR squid-3.1.0.4/errors/Czech/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Czech/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Write Error.
-</STRONG>
-</UL>
-
-<P>
-Systm odpovdl:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Chyba zpisu na s. Opakujte prosm poadavek.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Czech/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Czech/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Czech/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Czech/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2"> 
-<TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
-<HR noshade size="1px">
-<P>
-Pi pokusu o pstup k:
-<A HREF="%U">%U</A>
-<P>
-se objevila nsledujc chyba:
-<UL>
-<LI>
-<STRONG>
-Zero Sized Reply.
-</STRONG>
-</UL>
-
-<P>
-Squid neobdrel v odpovdi na tento dotaz dn data.
-</P>
diff -u -r -N squid-3.1.0.3/errors/de/ERR_FTP_LISTING squid-3.1.0.4/errors/de/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/de/ERR_FTP_LISTING	2008-12-05 16:11:51.000000000 +1300
+++ squid-3.1.0.4/errors/de/ERR_FTP_LISTING	2009-01-23 18:39:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Verzeichnis: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Verzeichnis: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Verzeichnisinhalt:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Verzeichnis Auflistung"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Übergeordnetes Verzeichnis"></a></th> <th nowrap="nowrap"><a href="../">Übergeordnetes Verzeichnis</a> (<a href="/">Stammverzeichnis</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Erzeugt am %T von %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Estonian/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Estonian/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Juurdep&auml;&auml;s keelatud.
-</STRONG>
-<P>
-Juurdep&auml;&auml;su kontrolli konfiguratsioon blokeerib teie p&auml;ringut.
-Kui te arvate, et blokeering pole &otilde;ige, kontakteeruge palun teenuse pakkujaga.
-</UL>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
-
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Estonian/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Estonian/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: Vahemlu serveri kasutamine blokeeritud</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>VIGA</H1>
-<H2>Vahemlu serveri kasutamine keelatud</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Vahemlu serveri kasutamine keelatud.
-</STRONG>
-</UL>
-</P>
-
-<P>Vabandust, teil pole &otilde;igust p&auml;ringule:
-<PRE>    %U</PRE>
-kuni te pole l&auml;binud autoriseerimist.
-</P>
-
-<P>
-Autoriseerimiseks on teil vaja brauserit mis toetab HTTP/1.1 standardit,
-nagu Netscape versioon 2.0 v&otilde;i uuem, v&otilde;i MS Internet Explorer
-3.0. Palun kontakteeruge <A HREF="mailto:%w%W">vahemlu serveri administraatoriga</a>,
-kui teil on probleeme autoriseerimisega v&otilde;i
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">vahetage</a> oma parool.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Estonian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Estonian/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: Vahemlu serveri haldaja kasutamine blokeeritud</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>VIGA</H1>
-<H2>Vahemlu serveri haldaja kasutamine blokeeritud</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Vahemlu serveri haldaja kasutamine keelatud.
-</STRONG>
-</UL>
-</P>
-
-<P>Vabandust, teil pole &otilde;igust p&auml;ringule:
-<PRE>    %U</PRE>
-sellele vahemlu serveri haldajale, kuni te pole l&auml;binud autoriseerimist.
-</P>
-
-<P> Autoriseerimiseks on teil vaja brauserit mis toetab HTTP/1.1 standardit,
-nagu Netscape versioon 2.0 v&otilde;i uuem, v&otilde;i MS Internet Explorer
-3.0. Palun kontakteeruge <A HREF="mailto:%w%W">vahemlu serveri administraatoriga</a>,
-kui teil on probleeme autoriseerimisega v&otilde;i kui te <em>olete</em>
-administraator, lugege Squidi dokumentatsiooni vahemlu serveri haldaja interfeisi kohta
-ja kontrollige vahemlu serveri logi t&auml;psema veakirjelduse saamiseks.</P>
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Estonian/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Estonian/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-P&auml;ringu edastamine eba&otilde;nnestus.
-</STRONG>
-</UL>
-
-<P>
-P&auml;ringut ei &otilde;nnestunud edastada ei originaali serverile ega
-&uuml;helegi vanem vahemlu serverile. Ilmselt on p&otilde;hjus:
-<UL>
-<LI>Vahemlu serveri administraator ei v&otilde;imalda teha otseseid p&auml;ringuid
-originaali serverile ja
-<LI>K&otilde;ik kirjeldatud vanem vahemlu serverid on hetkel k&auml;ttesaamatud.
-</UL>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Estonian/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Estonian/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-&Uuml;hendus eba&otilde;nnestus.
-</STRONG>
-</UL>
-
-<P>
-S&uuml;steem vastas:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Server v&otilde;i arvutiv&otilde;rk ei t&ouml;&ouml;ta. Palun korrake
-p&auml;ringut.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_DNS_FAIL squid-3.1.0.4/errors/Estonian/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Estonian/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<BLOCKQUOTE>
-Ei &otilde;nnestu saada hosti <I>%H</I> nimele vastavat IP aadressi
-</BLOCKQUOTE>
-</UL>
-
-<P>
-DNS server vastas:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-Mis t&auml;hendab:
-<PRE>
- Vahemlu server ei suutnud lahendada URLis antud hosti nime. Palun kontrollige
- aadressi korrektsust.
-</PRE>
-<P>Teie teenuseVahemlu serve aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_ESI squid-3.1.0.4/errors/Estonian/ERR_ESI
--- squid-3.1.0.3/errors/Estonian/ERR_ESI	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>.</P>
-<P>This page is in english because a translation has not been made. If you are able to, please create a translation and contact the squid project to get it included.</P>
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Estonian/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Estonian/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Edastamine keelatud.
-</STRONG>
-</UL>
-
-<P>
-Meie vahemlu server ei edasta teie p&auml;ringut, kuna ta kasutab andmete edastamisel
-ainult naaber vahemlu serverite meetodit. Ilmselt on %i vigaselt konfigureeritud vahemlu server.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_DISABLED squid-3.1.0.4/errors/Estonian/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-FTP on blokeeritud
-</STRONG>
-</UL>
-
-<P>
-See vahemlu server ei toeta FTPd.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_FAILURE squid-3.1.0.4/errors/Estonian/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,22 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile <A HREF="%U">%U</A>, tekkis
-FTP protokolli viga.
-<P>
-Squid saatis j&auml;rgneva FTP k&auml;su:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ja sai j&auml;rgneva vastuse
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-See olukord v&otilde;ib olla tekkinud, kui FTP URL on antud absoluutse
-teega (mis on vastuolus RFC 1738-ga). Kui see on nii, siis saab faili 
-aadressilt <A HREF="%B">%B</A>.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Estonian/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,17 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-URLi <A HREF="%U">%U</A> lugemisel tekkis t&otilde;rge FTP autentimisel.
-<P>
-Squid saatis j&auml;rgneva FTP k&auml;su:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ja sai sellise vastuse
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Estonian/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,21 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-URLi <A HREF="%U">%U</A> ei &otilde;nnestu lugeda:
-<P>
-Squid saatis j&auml;rgneva ftp k&auml;su:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ja sai sellise vastuse
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-See olukord v&otilde;ib olla tekkinud, kui FTP URL on antud absoluutse
-teega (mis on vastuolus RFC 1738-ga). Kui see on nii, siis saab faili 
-aadressilt <A HREF="%B">%B</A>.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Estonian/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>FTP PUT &Otilde;nnestus: fail loodi</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operation &otilde;nnestus</H1>
-<H2>Fail on uuendatud</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Estonian/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: FTP PUT eba&otilde;nnestus</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>FTP PUT eba&otilde;nnestus</H2>
-<HR noshade size="1px">
-<P>
-PUT operatsioon URLil
-<A HREF="%U">%U</A>
-<P>
-Squid saatis j&auml;rgneva FTP k&auml;su:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-ja sai j&auml;rgneva vastuse
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-Mis t&auml;hendab:
-<PRE>
-Kontrolli failiteed, &otilde;iguseid, ketta ruumi ja proovi uuesti.
-</PRE>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Estonian/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>FTP PUT &Otilde;nnestus: fail on uuendatud</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operation &otilde;nnestus</H1>
-<H2>Fail on uuendatud</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Estonian/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Estonian/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,18 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-FTP server oli j&auml;rgneva URLi lugemise ajal liiga koormatud:
-<A HREF="%U">%U</A>
-<P>
-Squid saatis j&auml;rgneva FTP k&auml;su:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ja sai sellise vastuse
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Estonian/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Estonian/ERR_ICAP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_INVALID_REQ squid-3.1.0.4/errors/Estonian/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Estonian/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut
-<PRE>
-%R
-</PRE>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Vigane p&auml;ring
-</STRONG>
-</UL>
-
-<P>
-M&otilde;ni osa HTTP p&auml;ringust on vigane. V&otilde;imalikud probleemid:
-<UL>
-<LI>Puudub v&otilde;i tundmatu p&auml;ringu meetod (GET, POST)
-<LI>Puudub URL
-<LI>Puudub HTTP identifikaator (HTTP/1.0)
-<LI>P&auml;ring v&otilde;ib olla liiga suur
-<LI>POST v&otilde;i PUT p&auml;ringutel puudub Content-Length
-<LI>keelatud s&uuml;mbolid hosti nimes; alakriipsud pole lubatud
-</UL>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_INVALID_RESP squid-3.1.0.4/errors/Estonian/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Estonian/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: Soovitud URLi ei nnestu laadida</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>Soovitud URLi ei nnestu laadida</H2>
-<HR noshade size="1px">
-<P>
-ritades ksitleda jrgnevat pringut:
-<PRE>
-%R
-</PRE>
-<P>
-Tekkis viga:
-<UL>
-<LI>
-<STRONG>
-Vigane vastus
-</STRONG>
-</UL>
-
-<P>
-Vasti vetud HTTP vastus on tundmatu vi muidu katki. Palun kontakteeruge
-saidi operaatoriga. Teie vehemlu serveri administraator vib saada anda
-tiendavat infot selle vea detailide kohta.
-
-<P>Teie vehemlu serveri administraator on <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_INVALID_URL squid-3.1.0.4/errors/Estonian/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Estonian/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Vigane URL
-</STRONG>
-</UL>
-
-<P>
-M&otilde;ni osa URList on vigane. V&otilde;imalikud probleemid:
-<UL>
-<LI>Puuduv v&otilde;i vigane protokoll (peaks olema ``http://'' v&otilde;i sarnane)
-<LI>Puuduv hosti nimi
-<LI>Vigane topelt-kaldkriips URLi teel
-<LI>Vigane s&uuml;mbol hosti nimes; alakriipsud pole lubatud
-</UL>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Estonian/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Estonian/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-&Uuml;henduse eluaeg l&otilde;ppes
-</STRONG>
-</UL>
-
-<P>
-Squid katkestas p&auml;ringu, kuna see kestis liiga kaua.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_NO_RELAY squid-3.1.0.4/errors/Estonian/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Estonian/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Wais edastaja puudub
-</STRONG>
-</UL>
-
-<P>
-Selles vahemlu serveris on WAISi edastav host kirjeldamata!  Kontakteeruge
-administraatoriga.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Estonian/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Estonian/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Kehtiv dokument puudub vahemlu serverist ja p&auml;ring sisaldas
-<code>only-if-cached</code> direktiivi.
-</STRONG>
-</UL>
-
-<P>
-
-Te edastasite p&auml;ringu <code>only-if-cached</code> vahemlu kontrolli
-direktiiviga. Dokumenti ei leitud vahemlu serverist <em>v&otilde;i</em>ta
-n&otilde;udis uuendamist, mis on aga keelatud <code>only-if-cached</code>
-direktiiviga.
-
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_READ_ERROR squid-3.1.0.4/errors/Estonian/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Estonian/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Viga lugemisel
-</STRONG>
-</UL>
-
-<P>
-S&uuml;steem vastas:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Andmete lugemisel tekkis veasituatsioon. Palun korrake p&auml;ringut.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Estonian/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Estonian/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ringule ei saabunud vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Lugeja kannatus katkes
-</STRONG>
-</UL>
-
-<P>
-S&uuml;steem vastas:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Lugejal katkes v&otilde;rgust andmeid lugedes kannatus. V&otilde;rk v&otilde;i
-server v&otilde;ib olla maas v&otilde;i umbes. Proovige uuesti.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Estonian/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Estonian/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Estonian/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Estonian/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Lugedes j&auml;rgnevat URLi:
-<A HREF="%U">%U</A>
-<P>
-Tekkis j&auml;rgnev viga:
-<UL>
-<P>
-Meie server on saanud k&auml;su t&ouml;&ouml; l&otilde;petada ja 
-ei saa teie p&auml;ringut hetkel teenindada. Palun korrake oma
-p&auml;ringut motilde;ne aja p&auml;rast.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Estonian/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Estonian/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Pistiku viga
-</STRONG>
-</UL>
-
-<P>
-S&uuml;steem vastas:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Squid ei suuda tekitada TCP pistikut, ilmselt &uuml;lekoormuse t&otilde;ttu.
-palun korrake p&auml;ringut.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_TOO_BIG squid-3.1.0.4/errors/Estonian/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Estonian/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>IGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Viga</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Pring vi vastus on liiga suur.
-</STRONG>
-<P>
-Kui te sooritate POST vi PUT pringut, siis teie pringu keha
-(see asi, mida te serverisse laete) on liiga suur. Kui te
-sooritate GET pringut, siis on vastuse keha (asi, mida te serverist
-laete) liiga suur. Need piirangus on seadnud teie teenusepakkuja, kes
-haldab seda vahemlu serverit. Kui te arvate, et tegemist on veaga,
-kontakteeruge palun otse oma teenusepakkujaga.
-</UL>
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_UNSUP_REQ squid-3.1.0.4/errors/Estonian/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Estonian/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Tundmatu p&auml;ringu meetod ja protokoll
-</STRONG>
-</UL>
-
-<P>
-Squid ei toeta k&otilde;iki p&auml;ringu meetodeid k&otilde;ikide protokollidega.
-N&auml;iteks, te ei saa teha POST operatsiooni Gopher p&auml;ringus.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_URN_RESOLVE squid-3.1.0.4/errors/Estonian/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Estonian/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URNile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URNile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URNile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Ei suuda lahendada URN
-</STRONG>
-</UL>
-
-<P>
-Hei, mida sa ootad URNidelt %T peal:)
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_WRITE_ERROR squid-3.1.0.4/errors/Estonian/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Estonian/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Viga kirjutamisel
-</STRONG>
-</UL>
-
-<P>
-S&uuml;steem vastas:
-<PRE><I>    %E</I></PRE>
-
-<P>
-V&otilde;rku kirjutades tekkis viga. Palun korrake p&auml;ringut.
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Estonian/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Estonian/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Estonian/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Estonian/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIGA: P&auml;ring URLile ei saa vastust</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIGA</H1>
-<H2>P&auml;ring URLile ei saa vastust</H2>
-<HR noshade size="1px">
-<P>
-Sooritades p&auml;ringut URLile
-<A HREF="%U">%U</A>
-<P>
-tekkis j&auml;rgnev viga:
-<UL>
-<LI>
-<STRONG>
-Vastus on t&uuml;hi
-</STRONG>
-</UL>
-
-<P>
-Squid ei saanud selle p&auml;ringu vastuseks midagi...
-<P>Teie teenusepakkuja aadress on <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/et/ERR_ACCESS_DENIED squid-3.1.0.4/errors/et/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/et/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_ACCESS_DENIED	2009-01-23 18:40:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Juurdep&auml;&auml;s keelatud.</b></p> </blockquote>  <p>Juurdep&auml;&auml;su kontrolli konfiguratsioon blokeerib teie p&auml;ringut.Kui te arvate, et blokeering pole &otilde;ige, kontakteeruge palun teenuse pakkujaga.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/et/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/et/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Juurdep&auml;&auml;s keelatud.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Vahemälu serveri kasutamine keelatud.</b></p> </blockquote>  <p>abandust, teil pole &otilde;igust p&auml;ringule %U kuni te pole l&auml;binud autoriseerimist.</p>  <p>Palun kontakteeruge <a href="mailto:%w%W">vahemälu serveri administraatoriga</a>, kui teil on probleeme autoriseerimisega v&otilde;i<a href="http://%h/cgi-bin/chpasswd.cgi">vahetage</a> oma parool.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/et/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/et/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Juurdep&auml;&auml;s keelatud.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Vahemälu serveri haldaja kasutamine keelatud.</b></p> </blockquote>  <p>Vabandust, teil pole &otilde;igust p&auml;ringule %U sellele vahemälu serveri haldajale, kuni te pole l&auml;binud autoriseerimist.</p>  <p>Palun kontakteeruge <a href="mailto:%w%W">vahemälu serveri administraatoriga</a>,kui teil on probleeme autoriseerimisega v&otilde;i kui te <em>olete</em>administraator, lugege Squidi dokumentatsiooni vahemälu serveri haldaja interfeisi kohtaja kontrollige vahemälu serveri logi t&auml;psema veakirjelduse saamiseks.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/et/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/et/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_CANNOT_FORWARD	2009-01-23 18:40:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>P&auml;ringu edastamine eba&otilde;nnestus.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_CONNECT_FAIL squid-3.1.0.4/errors/et/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/et/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_CONNECT_FAIL	2009-01-23 18:40:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>Server v&otilde;i arvutiv&otilde;rk ei t&ouml;&ouml;ta. Palun korrake p&auml;ringut.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_DNS_FAIL squid-3.1.0.4/errors/et/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/et/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_DNS_FAIL	2009-01-23 18:40:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ei &otilde;nnestu saada hosti <q>%H</q> nimele vastavat IP aadressi</b></p> </blockquote>  <p>DNS server vastas:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Mis t&auml;hendab vahemälu server ei suutnud lahendada URLis antud hosti nime. Palun kontrollige aadressi korrektsust.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_ESI squid-3.1.0.4/errors/et/ERR_ESI
--- squid-3.1.0.3/errors/et/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_ESI	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/et/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/et/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FORWARDING_DENIED	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Edastamine keelatud.</b></p> </blockquote>  <p>Meie vahemälu server ei edasta teie p&auml;ringut, kuna ta kasutab andmete edastamisel ainult naaber vahemälu serverite meetodit. Ilmselt on %i vigaselt konfigureeritud vahemälu server.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_DISABLED squid-3.1.0.4/errors/et/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/et/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_DISABLED	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP on blokeeritud</b></p> </blockquote>  <p>See vahemälu server ei toeta FTPd.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_FAILURE squid-3.1.0.4/errors/et/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/et/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_FAILURE	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP protocol error occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid saatis j&auml;rgneva FTP k&auml;su:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/et/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/et/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_FORBIDDEN	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid saatis j&auml;rgneva FTP k&auml;su:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_LISTING squid-3.1.0.4/errors/et/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/et/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_LISTING	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/et/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/et/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_NOT_FOUND	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid saatis j&auml;rgneva FTP k&auml;su:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>See olukord v&otilde;ib olla tekkinud, kui FTP URL on antud absoluutse teega (mis on vastuolus RFC 1738-ga).  Kui see on nii, siis saab faili aadressilt <a href="%B">%B</a>.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/et/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/et/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_PUT_CREATED	2009-01-23 18:40:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT &Otilde;nnestus: fail loodi</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operation &otilde;nnestus</h1> <h2>Fail on uuendatud</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/et/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/et/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_PUT_ERROR	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT eba&otilde;nnestus</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid saatis j&auml;rgneva FTP k&auml;su:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/et/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/et/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_PUT_MODIFIED	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT &Otilde;nnestus: fail on uuendatud</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operation &otilde;nnestus</h1> <h2>Fail on uuendatud</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/et/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/et/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_FTP_UNAVAILABLE	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid saatis j&auml;rgneva FTP k&auml;su:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_ICAP_FAILURE squid-3.1.0.4/errors/et/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/et/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_ICAP_FAILURE	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_INVALID_REQ squid-3.1.0.4/errors/et/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/et/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_INVALID_REQ	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Puudub v&otilde;i tundmatu p&auml;ringu meetod (GET, POST)</p></li> <li><p>Puudub URL</p></li> <li><p>Puudub HTTP identifikaator (HTTP/1.0)</p></li> <li><p>P&auml;ring v&otilde;ib olla liiga suur</p></li> <li><p>POST v&otilde;i PUT p&auml;ringutel puudub Content-Length</p></li> <li><p>keelatud s&uuml;mbolid hosti nimes; alakriipsud pole lubatud</p></li> </ul>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_INVALID_RESP squid-3.1.0.4/errors/et/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/et/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_INVALID_RESP	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Vasti võetud HTTP vastus on tundmatu või muidu katki. Palun kontakteeruge saidi operaatoriga.</p>  <p>Teie vehemälu serveri administraator võib saada anda täiendavat infot selle vea detailide kohta.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_INVALID_URL squid-3.1.0.4/errors/et/ERR_INVALID_URL
--- squid-3.1.0.3/errors/et/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_INVALID_URL	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Vigane URL</b></p> </blockquote>  <p>M&otilde;ni osa URList on vigane.</p>  <p>Some possible problems are:</p> <ul> <li><p>Puuduv v&otilde;i vigane protokoll (peaks olema <q>http://</q> v&otilde;i sarnane)</p></li> <li><p>Puuduv hosti nimi</p></li> <li><p>Vigane topelt-kaldkriips URLi teel</p></li> <li><p>keelatud s&uuml;mbolid hosti nimes; alakriipsud pole lubatud</p></li> </ul>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_LIFETIME_EXP squid-3.1.0.4/errors/et/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/et/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_LIFETIME_EXP	2009-01-23 18:40:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>&Uuml;henduse eluaeg l&otilde;ppes</b></p> </blockquote>  <p>Squid katkestas p&auml;ringu, kuna see kestis liiga kaua.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_NO_RELAY squid-3.1.0.4/errors/et/ERR_NO_RELAY
--- squid-3.1.0.3/errors/et/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_NO_RELAY	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Wais edastaja puudub</b></p> </blockquote>  <p>Selles vahemälu serveris on WAISi edastav host kirjeldamata!  Kontakteeruge administraatoriga.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/et/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/et/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Kehtiv dokument puudub vahemälu serverist ja p&auml;ring sisaldas <q>only-if-cached</q> direktiivi.</b></p> </blockquote>  <p>Te edastasite p&auml;ringu <q>only-if-cached</q> vahemälu kontrolli direktiiviga. Dokumenti ei leitud vahemälu serverist <em>v&otilde;i</em>ta n&otilde;udis uuendamist, mis on aga keelatud <q>only-if-cached</q> direktiiviga.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_READ_ERROR squid-3.1.0.4/errors/et/ERR_READ_ERROR
--- squid-3.1.0.3/errors/et/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_READ_ERROR	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Viga lugemisel</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>Andmete lugemisel tekkis veasituatsioon. Palun korrake p&auml;ringut.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_READ_TIMEOUT squid-3.1.0.4/errors/et/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/et/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_READ_TIMEOUT	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lugeja kannatus katkes</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>Lugejal katkes v&otilde;rgust andmeid lugedes kannatus. V&otilde;rk v&otilde;iserver v&otilde;ib olla maas v&otilde;i umbes. Proovige uuesti.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/et/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/et/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/et/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/et/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_SHUTTING_DOWN	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Meie server on saanud k&auml;su t&ouml;&ouml; l&otilde;petada ja ei saa teie p&auml;ringut hetkel teenindada. Palun korrake oma p&auml;ringut motilde;ne aja p&auml;rast.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/et/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/et/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_SOCKET_FAILURE	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pistiku viga</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>Squid ei suuda tekitada TCP pistikut, ilmselt &uuml;lekoormuse t&otilde;ttu. Palun korrake p&auml;ringut.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_TOO_BIG squid-3.1.0.4/errors/et/ERR_TOO_BIG
--- squid-3.1.0.3/errors/et/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_TOO_BIG	2009-01-23 18:40:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Päring või vastus on liiga suur.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>Need piirangus on seadnud teie teenusepakkuja, keshaldab seda vahemälu serverit. Kui te arvate, et tegemist on veaga, kontakteeruge palun otse oma teenusepakkujaga.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_UNSUP_REQ squid-3.1.0.4/errors/et/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/et/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_UNSUP_REQ	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Tundmatu p&auml;ringu meetod ja protokoll</b></p> </blockquote>  <p>Squid ei toeta k&otilde;iki p&auml;ringu meetodeid k&otilde;ikide protokollidega. N&auml;iteks, te ei saa teha POST operatsiooni Gopher p&auml;ringus.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_URN_RESOLVE squid-3.1.0.4/errors/et/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/et/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_URN_RESOLVE	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>P&auml;ring URNile ei saa vastust</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ei suuda lahendada URN</b></p> </blockquote>  <p>Hei, mida sa ootad URNidelt %T peal:)</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_WRITE_ERROR squid-3.1.0.4/errors/et/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/et/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_WRITE_ERROR	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Viga kirjutamisel</b></p> </blockquote>  <p id="sysmsg">S&uuml;steem vastas: <i>%E</i></p>  <p>V&otilde;rku kirjutades tekkis viga. Palun korrake p&auml;ringut.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/et/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/et/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/et/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/et/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIGA: P&auml;ring URLile ei saa vastust</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Vastus on t&uuml;hi</b></p> </blockquote>  <p>Squid ei saanud selle p&auml;ringu vastuseks midagi.</p>  <p>Teie teenusepakkuja aadress on <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_ACCESS_DENIED squid-3.1.0.4/errors/fi/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/fi/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_ACCESS_DENIED	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pääsy evätty.</b></p> </blockquote>  <p>Pääsynvalvonnan asetukset eväävät pyyntösi. Jos koet, että tämä on väärin, ota yhteyttä palveluntarjoajaasi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/fi/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/fi/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Pääsy evätty.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pääsy välityspalvelimeen evätty.</b></p> </blockquote>  <p>Sinulla ei tällä hetkellä ole oikeutta pyytää osoitetta %U tästä välityspalvelimesta ennen kuin olet todentanut henkilöllisyytesi.</p>  <p>Jos sinulla on hankaluuksia hekilöllisyytesi todentamisessa, ota yhteyttä <a href="mailto:%w%W">välityspalvelimen ylläpitoon</a> tai <a href="http://%h/cgi-bin/chpasswd.cgi">vaihda</a> oletussalasanasi.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:18.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Pääsy evätty.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pääsy välityspalvelimen hallintaan evätty.</b></p> </blockquote>  <p>Sinulla ei tällä hetkellä ole oikeutta pyytää osoitetta %U tästä välityspalvelimen hallinnasta ennen kuin olet osoittanut henkilöllisyytesi.</p>  <p>Jos sinulla on hankaluuksia hekilöllisyytesi osoittamisessa, ota yhteyttä <a href="mailto:%w%W">välityspalvelimen ylläpitoon</a> tai jos sinä <em>olet</em> ylläpitäjä, lue Squidin dokumentaatiosta välityspalvelimen hallinnan käyttöliittymästä ja tarkista välityspalvelimen lokista tarkemmat virheilmoitukset.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/fi/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/fi/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_CANNOT_FORWARD	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pyyntöä ei voitu edelleenohjata.</b></p> </blockquote>  <p>Pyyntöäsi ei voitu edelleenohjata lähdepalvelimelle tai yhdellekään ylemmälle välityspalvelimelle. Todennäköisin syy tähän on, että välityspalvelimen ylläpito ei salli tämän välityspalvelimen ottaa suoria yhteyksiä lähdepalvelimiin ja kaikki käytössä olevat ylemmät välityspalvelimet ovat tavoittamattomissa.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_CONNECT_FAIL squid-3.1.0.4/errors/fi/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/fi/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_CONNECT_FAIL	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>Kohdepalvelin tai -verkko saattaa olla alhaalla. Uusi hakupyyntösi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_DNS_FAIL squid-3.1.0.4/errors/fi/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/fi/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_DNS_FAIL	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nimelle <q>%H</q> ei voitu määrittää IP-osoitetta.</b></p> </blockquote>  <p>DNS-palvelin palautti viestin:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Tämä tarkoittaa, että Välityspalvelin ei voinut selvittää URL:ssä esitettyä palvelinnimeä. Tarkista, että osoite on oikein.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_ESI squid-3.1.0.4/errors/fi/ERR_ESI
--- squid-3.1.0.3/errors/fi/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_ESI	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/fi/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/fi/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FORWARDING_DENIED	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Edelleenohjaus evätty.</b></p> </blockquote>  <p>Tämä välityspalvelin ei edelleenohjaa pyyntöäsi koska se yrittää vahvistaa sisarsuhdetta. Ehkä asiakas osoitteessa %i on väärin konfiguroitu välityspalvelin.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_DISABLED squid-3.1.0.4/errors/fi/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/fi/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_DISABLED	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP on poistettu käytöstä</b></p> </blockquote>  <p>FTP on poistettu käytöstä.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_FAILURE squid-3.1.0.4/errors/fi/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/fi/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_FAILURE	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Tapahtui FTP-protokollavirhe yritettäessä hakea URL-osoitetta: <a href="%U">%U</a></p>  <p>Squid lähetti seuraavan FTP-komennon:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/fi/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/fi/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_FORBIDDEN	2009-01-23 18:40:19.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid lähetti seuraavan FTP-komennon:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_LISTING squid-3.1.0.4/errors/fi/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/fi/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_LISTING	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/fi/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/fi/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_NOT_FOUND	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid lähetti seuraavan FTP-komennon:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/fi/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/fi/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_PUT_CREATED	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT onnistui: Tiedosto luotu</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Toiminto onnistui</h1> <h2>Tiedosto luotu</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/fi/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/fi/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_PUT_ERROR	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/lähetys epäonnistui</h2> </div> <hr>  <div id="content"> <p>Yritettäessä lähettää seuraavaa URL-osoitetta: <a href="%U">%U</a></p>  <p>Squid lähetti seuraavan FTP-komennon:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/fi/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/fi/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_PUT_MODIFIED	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT onnistui: Tiedosto päivitetty</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Toiminto onnistui</h1> <h2>Tiedosto päivitetty</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/fi/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/fi/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_FTP_UNAVAILABLE	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid lähetti seuraavan FTP-komennon:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_ICAP_FAILURE squid-3.1.0.4/errors/fi/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/fi/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_ICAP_FAILURE	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Mahdollisia ongelmia:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_INVALID_REQ squid-3.1.0.4/errors/fi/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/fi/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_INVALID_REQ	2009-01-23 18:40:20.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mahdollisia ongelmia:</p> <ul> <li><p>Puuttuva tai tuntematon hakupyynnön tyyppi</p></li> <li><p>Puuttuva URL</p></li> <li><p>Puuttuva HTTP-tunniste (HTTP/1.0).</p></li> <li><p>Hakupyyntö on liian suuri</p></li> <li><p><q>Content-Length</q> puuttuu POST- tai PUT-hakupyynnostä</p></li> <li><p>Virheellinen merkki palvelinnimessä; alaviivat eivät ole sallittuja</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_INVALID_RESP squid-3.1.0.4/errors/fi/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/fi/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_INVALID_RESP	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_INVALID_URL squid-3.1.0.4/errors/fi/ERR_INVALID_URL
--- squid-3.1.0.3/errors/fi/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_INVALID_URL	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Virheellinen URL-osoite</b></p> </blockquote>  <p>Joku osa URL-osoitetta on virheellinen.</p>  <p>Mahdollisia ongelmia:</p> <ul> <li><p>Puuttuva tai virheellinen yhteyskäytäntö (tulisi olla <q>http://</q> tai vastaava)</p></li> <li><p>Puuttuva palvelinnimi</p></li> <li><p>Kielletty kaksois-escape URL-osoitteessa</p></li> <li><p>Virheellinen merkki palvelinnimessä; alaviivat eivät ole sallittuja</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_LIFETIME_EXP squid-3.1.0.4/errors/fi/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/fi/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_LIFETIME_EXP	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Yhteyden elinaika umpeutui</b></p> </blockquote>  <p>Squid on keskeyttänyt hakupuunnön, koska se ylitti suurimman mahdollisimman yhteyden elinajan.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_NO_RELAY squid-3.1.0.4/errors/fi/ERR_NO_RELAY
--- squid-3.1.0.3/errors/fi/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_NO_RELAY	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ei WAIS-linkkiä</b></p> </blockquote>  <p>Tälle välityspalvelimelle ei ole määritelty WAIS-linkkipalvelinta. Komenna ylläpitoa.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/fi/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/fi/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Valid document was not found in the cache and <q>only-if-cached</q> directive was specified.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_READ_ERROR squid-3.1.0.4/errors/fi/ERR_READ_ERROR
--- squid-3.1.0.3/errors/fi/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_READ_ERROR	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lukuvirhe</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>On ilmennyt virhetila luettaessa tietoa verkosta. Uusi hakupyyntösi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_READ_TIMEOUT squid-3.1.0.4/errors/fi/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/fi/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_READ_TIMEOUT	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lukemisen aikakatkaisu</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>Odotettaessa tietoa verkosta yhteys aikakatkaistiin. Verkko tai palvelin saattaa olla alhaalla tai ruuhkautunut. Uusi hakupyyntösi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/fi/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/fi/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:40:21.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/fi/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/fi/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_SHUTTING_DOWN	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/fi/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/fi/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_SOCKET_FAILURE	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Sokettivirhe</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>Squid ei voinut luoda TCP-sokettia, oletettavasti valtavan kuorman vuoksi. Uusi hakupyyntösi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_TOO_BIG squid-3.1.0.4/errors/fi/ERR_TOO_BIG
--- squid-3.1.0.3/errors/fi/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_TOO_BIG	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_UNSUP_REQ squid-3.1.0.4/errors/fi/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/fi/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_UNSUP_REQ	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Hakupyynnon tyyppi ja yhteyskäytäntö ei tuettu</b></p> </blockquote>  <p>Squid ei tue kaikkia hakupyynnon tyyppejä kaikilla protokollilla. Et voi esimerkiksi käyttää POST-pyyntöä gopherilla.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_URN_RESOLVE squid-3.1.0.4/errors/fi/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/fi/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_URN_RESOLVE	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>A URL for the requested URN could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>URN:ää ei voitu selvittää</b></p> </blockquote>  <p>Hei, älä odota liikaa URN:iltä kun kyseessä on %T :-)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_WRITE_ERROR squid-3.1.0.4/errors/fi/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/fi/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_WRITE_ERROR	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Virhe kirjoitettaessa</b></p> </blockquote>  <p id="sysmsg">Järjestelmä palautti viestin:<i>%E</i></p>  <p>Kirjoitettaessa tietoa verkkoon ilmeni virhetilanne. Uusi hakupyyntösi.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/fi/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/fi/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/fi/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/fi/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:40:22.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>VIRHE: Pyydettyä URL-osoitetta ei voitu hakea</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nollan pituinen vastaus</b></p> </blockquote>  <p>Haku ei tuonut Squidille mitään tietoa.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Finnish/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Finnish/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitettua ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-P&auml;&auml;sy ev&auml;tty.
-</STRONG>
-<P>
-P&auml;&auml;synvalvonnan asetukset ev&auml;&auml;v&auml;t pyynt&ouml;si.
-Jos koet, ett&auml; t&auml;m&auml; on v&auml;&auml;rin, ota yhteytt&auml; palveluntarjoajaasi.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Finnish/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Finnish/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: P&auml;&auml;sy v&auml;lityspalvelimeen ev&auml;tty</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>VIRHE</H1>
-<H2>P&auml;&auml;sy v&auml;lityspalvelimeen ev&auml;tty</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-P&auml;&auml;sy v&auml;lityspalvelimeen ev&auml;tty.
-</STRONG>
-</UL>
-</P>
-
-<P>Sinulla ei t&auml;ll&auml; hetkell&auml; ole oikeutta pyyt&auml;&auml; osoitetta
-<PRE>    %U</PRE>
-t&auml;st&auml; v&auml;lityspalvelimesta ennen kuin olet todentanut henkil&ouml;llisyytesi.
-</P>
-
-<P>
-Jotta t&auml;m&auml; onnistuisi, sinun tulee k&auml;ytt&auml;&auml; Netscapen versiota 2.0 tai uudempaa,
-Microsoft Internet Explorer 3.0:aa tai HTTP/1.1 -yhteensopivaa selainta.
-Jos sinulla on hankaluuksia hekil&ouml;llisyytesi todentamisessa, ota yhteytt&auml;
-<A HREF="mailto:%w%W">v&auml;lityspalvelimen yll&auml;pitoon</a> tai
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">vaihda</a> oletussalasanasi.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,35 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: P&auml;&auml;sy v&auml;lityspalvelimen hallintaan ev&auml;tty</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>VIRHE</H1>
-<H2>P&auml;&auml;sy v&auml;lityspalvelimen hallintaan ev&auml;tty</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-P&auml;&auml;sy v&auml;lityspalvelimen hallintaan ev&auml;tty.
-</STRONG>
-</UL>
-</P>
-
-<P>Sinulla ei t&auml;ll&auml; hetkell&auml; ole oikeutta pyyt&auml;&auml; osoitetta
-<PRE>    %U</PRE>
-t&auml;st&auml; v&auml;lityspalvelimen hallinnasta ennen kuin olet osoittanut henkil&ouml;llisyytesi.
-</P>
-
-<P>
-Jotta t&auml;m&auml; onnistuisi, sinun tulee k&auml;ytt&auml;&auml; Netscapen versiota 2.0 tai uudempaa,
-Microsoft Internet Explorer 3.0:aa tai HTTP/1.1 -yhteensopivaa selainta.
-Jos sinulla on hankaluuksia hekil&ouml;llisyytesi osoittamisessa, ota yhteytt&auml;
-<A HREF="mailto:%w%W">v&auml;lityspalvelimen yll&auml;pitoon</a> tai jos sin&auml; <em>olet</em>
-yll&auml;pit&auml;j&auml;, lue Squidin dokumentaatiosta v&auml;lityspalvelimen hallinnan k&auml;ytt&ouml;liittym&auml;st&auml;
-ja tarkista v&auml;lityspalvelimen lokista tarkemmat virheilmoitukset.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Finnish/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Finnish/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-Pyynt&ouml;&auml; ei voitu edelleenohjata.
-</STRONG>
-</UL>
-
-<P>
-Pyynt&ouml;&auml;si ei voitu edelleenohjata l&auml;hdepalvelimelle
-tai yhdellek&auml;&auml;n ylemm&auml;lle v&auml;lityspalvelimelle. Todenn&auml;k&ouml;isin syy
-t&auml;h&auml;n on, ett&auml;
-<UL>
-<LI>v&auml;lityspalvelimen yll&auml;pito ei salli t&auml;m&auml;n v&auml;lityspalvelimen ottaa
-suoria yhteyksi&auml; l&auml;hdepalvelimiin ja
-<LI>kaikki k&auml;yt&ouml;ss&auml; olevat ylemm&auml;t v&auml;lityspalvelimet ovat
-tavoittamattomissa.
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Finnish/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Finnish/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-Yhteydenotto ep&auml;onnistui.
-</STRONG>
-</UL>
-
-<P>
-J&auml;rjestelm&auml; palautti viestin:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Kohdepalvelin tai -verkko saattaa olla alhaalla. Uusi hakupyynt&ouml;si.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_DNS_FAIL squid-3.1.0.4/errors/Finnish/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Finnish/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<BLOCKQUOTE>
-Nimelle
-<I>%H</I>
-ei voitu m&auml;&auml;ritt&auml;&auml; IP-osoitetta.
-</BLOCKQUOTE>
-</UL>
-
-<P>
-DNS-palvelin palautti viestin:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-T&auml;m&auml; tarkoittaa, ett&auml;
-<PRE>
- V&auml;lityspalvelin ei voinut selvitt&auml;&auml; URL:ss&auml; esitetty&auml; palvelinnime&auml;.
- Tarkista, ett&auml; osoite on oikein.
-</PRE>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_ESI squid-3.1.0.4/errors/Finnish/ERR_ESI
--- squid-3.1.0.3/errors/Finnish/ERR_ESI	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>.</P>
-<P>This page is in english because a translation has not been made. If you are able to, please create a translation and contact the squid project to get it included.</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Finnish/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Finnish/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-Edelleenohjaus ev&auml;tty.
-</STRONG>
-</UL>
-
-<P>
-T&auml;m&auml; v&auml;lityspalvelin ei edelleenohjaa pyynt&ouml;&auml;si koska se yritt&auml;&auml; vahvistaa
-sisarsuhdetta. Ehk&auml; asiakas osoitteessa %i on v&auml;&auml;rin konfiguroitu v&auml;lityspalvelin.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_DISABLED squid-3.1.0.4/errors/Finnish/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta:
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-FTP on poistettu k&auml;yt&ouml;st&auml;.
-</STRONG>
-</UL>
-
-<P>
-T&auml;m&auml; v&auml;lityspalvelin ei tue FTP:t&auml;.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_FAILURE squid-3.1.0.4/errors/Finnish/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Tapahtui FTP-protokollavirhe yritett&auml;ess&auml;
-hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Squid l&auml;hetti seuraavan FTP-komennon:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ja vastaanotti seuraavan vastauksen:
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-T&auml;m&auml; saattaa johtua FTP-osoitteesta, jossa on absoluuttinen polku
-(joka ei ole yhteensopiva RFC:n 1738 kanssa). Jos syy on t&auml;m&auml;,
-tiedosto l&ouml;ytyy osoitteesta <A HREF="%B">%B</A>.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Finnish/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-An FTP authentication failure occurred
-while trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Finnish/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,22 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-The following URL could not be retrieved:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-This might be caused by an FTP URL with an absolute path (which does
-not comply with RFC 1738).  If this is the cause, then the file
-can be found at <A HREF="%B">%B</A>.
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Finnish/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>FTP PUT onnistui: Tiedosto luotu</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Toiminto onnistui:</H1>
-<H2>Tiedosto luotu</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Finnish/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: FTP-l&auml;hetys ep&auml;onnistui</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>FTP PUT/l&auml;hetys ep&auml;onnistui</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; l&auml;hett&auml;&auml; seuraavaa URL-osoitetta:
-<A HREF="%U">%U</A>
-<P>
-Squid l&auml;hetti seuraavan FTP-komennon:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-ja vastaanotti seuraavan vastauksen:
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-T&auml;m&auml; tarkoittaa, ett&auml;
-<PRE>
-Tarkista polku, oikeudet sek&auml; levytila ja kokeile uudelleen.
-</PRE>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Finnish/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>FTP PUT onnistui: Tiedosto p&auml;ivitetty</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Toiminto onnistui</H1>
-<H2>Tiedosto p&auml;ivitetty</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Finnish/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Finnish/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,18 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-The FTP server was too busy while trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Finnish/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Finnish/ERR_ICAP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_INVALID_REQ squid-3.1.0.4/errors/Finnish/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Finnish/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; toteuttaa hakupyynt&ouml;&auml;
-<PRE>
-%R
-</PRE>
-<P>
-Esiintyi seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-V&auml;&auml;rin muotoiltu hakupyynt&ouml;
-</STRONG>
-</UL>
-
-<P>
-Joku osa HTTP-hakupyynt&ouml;&auml; on v&auml;&auml;rin muotoiltu. Mahdollisia ongelmia ovat:
-<UL>
-<LI>Puuttuva tai tuntematon hakupyynn&ouml;n tyyppi
-<LI>Puuttuva URL
-<LI>Puuttuva HTTP-tunniste (HTTP/1.0)
-<LI>Hakupyynt&ouml; on liian suuri
-<LI>"Content-Length" puuttuu POST- tai PUT-hakupyynnost&auml;
-<LI>Virheellinen merkki palvelinnimess&auml;; alaviivat eiv&auml;t ole sallittuja
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_INVALID_RESP squid-3.1.0.4/errors/Finnish/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Finnish/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; toimittaa pyynt&ouml;&auml;:
-<PRE>
-%R
-</PRE>
-<P>
-Tapahtui seuraava virhe:
-<UL>
-<LI>
-<STRONG>
-Virheellinen vastaus
-</STRONG>
-</UL>
-
-<P>
-Palvelimen l&auml;hett&auml;m&auml;&auml; HTTP-vastausta ei ymm&auml;rretty tai se oli
-v&auml;&auml;r&auml;n muotoinen. Ota yhteytt&auml; palvelimen yll&auml;pit&auml;j&auml;&auml;n.
-V&auml;lipalvelimesi yll&auml;pit&auml;j&auml;lt&auml; voit saada lis&auml;tietoja
-ongelman luonteesta.
-<P>V&auml;lityspalvelintasi yll&auml;pit&auml;&auml; <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_INVALID_URL squid-3.1.0.4/errors/Finnish/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Finnish/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Virheellinen URL-osoite
-</STRONG>
-</UL>
-
-<P>
-Joku osa URL-osoitetta on virheellinen. Mahdollisia ongelmia:
-<UL>
-<LI>Puuttuva tai virheellinen yhteysk&auml;yt&auml;nt&ouml; (tulisi olla "http://" tai vastaava)
-<LI>Puuttuva palvelinnimi
-<LI>Kielletty kaksois-escape URL-osoitteessa
-<LI>Virheellinen merkki palvelinnimess&auml;; alaviivat eiv&auml;t ole sallittuja
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Finnish/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Finnish/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Yhteyden elinaika umpeutui
-</STRONG>
-</UL>
-
-<P>
-Squid on keskeytt&auml;nyt hakupuunn&ouml;n, koska se ylitti suurimman
-mahdollisimman yhteyden elinajan.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_NO_RELAY squid-3.1.0.4/errors/Finnish/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Finnish/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Ei WAIS-linkki&auml;
-</STRONG>
-</UL>
-
-<P>
-T&auml;lle v&auml;lityspalvelimelle ei ole m&auml;&auml;ritelty WAIS-linkkipalvelinta.
-Komenna yll&auml;pitoa.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Finnish/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Finnish/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Sopivaa dokumenttia ei l&ouml;ytynyt v&auml;lityspalvelimesta, ja pyynn&ouml;ss&auml;si oli
-<code>vain v&auml;lityspalvelimesta (only-if-cached)</code> -m&auml;&auml;ritys.
-</STRONG>
-</UL>
-
-<P>
-Olet l&auml;hett&auml;nyt hakupyynn&ouml;n, jossa on <code>vain v&auml;lityspalvelimesta (only-if-cached)</code>
--v&auml;lityspalvelinm&auml;&auml;ritys. Pyydetty&auml; dokumenttia ei l&ouml;ytynyt v&auml;lityspalvelimesta <em>tai</em>
-se vaati uudellenvahvistuksen, jonka <code>vain v&auml;lityspalvelimesta</code> -m&auml;&auml;ritys kielt&auml;&auml;.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_READ_ERROR squid-3.1.0.4/errors/Finnish/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Finnish/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Lukuvirhe
-</STRONG>
-</UL>
-
-<P>
-J&auml;rjestelm&auml; palautti viestin:
-<PRE><I>    %E</I></PRE>
-
-<P>
-On ilmennyt virhetila luettaessa tietoa verkosta.
-Uusi hakupyynt&ouml;si.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Finnish/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Finnish/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Lukemisen aikakatkaisu
-</STRONG>
-</UL>
-
-<P>
-J&auml;rjestelm&auml; palautti viestin:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Odotettaessa tietoa verkosta yhteys aikakatkaistiin. Verkko tai palvelin
-saattaa olla alhaalla tai ruuhkautunut. Uusi hakupyynt&ouml;si.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Finnish/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Finnish/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Finnish/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Finnish/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<P>
-This cache is in the process of shutting down and can not
-service your request at this time.  Please retry your
-request again soon.
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Finnish/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Finnish/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Sokettivirhe
-</STRONG>
-</UL>
-
-<P>
-J&auml;rjestelm&auml; palautti viestin:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Squid ei voinut luoda TCP-sokettia, oletettavasti valtavan kuorman
-vuoksi. Uusi hakupyynt&ouml;si.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_TOO_BIG squid-3.1.0.4/errors/Finnish/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Finnish/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-The request or reply is too large.
-</STRONG>
-<P>
-If you are making a POST or PUT request, then your request body
-(the thing you are trying to upload) is too large.  If you are 
-making a GET request, then the reply body (what you are trying
-to download) is too large.   These limits have been established
-by the Internet Service Provider who operates this cache.  Please
-contact them directly if you feel this is an error.
-</UL>
-<P>
-Your cache administrator is <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_UNSUP_REQ squid-3.1.0.4/errors/Finnish/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Finnish/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Hakupyynnon tyyppi ja yhteysk&auml;yt&auml;nt&ouml; ei tuettu 
-</STRONG>
-</UL>
-
-<P>
-Squid ei tue kaikkia hakupyynnon tyyppej&auml; kaikilla protokollilla.
-Et voi esimerkiksi k&auml;ytt&auml;&auml; POST-pyynt&ouml;&auml; gopherilla.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_URN_RESOLVE squid-3.1.0.4/errors/Finnish/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Finnish/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-URN:&auml;&auml; ei voitu selvitt&auml;&auml;
-</STRONG>
-</UL>
-
-<P>
-Hei, &auml;l&auml; odota liikaa URN:ilt&auml; kun kyseess&auml; on %T :-)
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_WRITE_ERROR squid-3.1.0.4/errors/Finnish/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Finnish/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Virhe kirjoitettaessa
-</STRONG>
-</UL>
-
-<P>
-J&auml;rjestelm&auml; palautti viestin:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Kirjoitettaessa tietoa verkkoon ilmeni virhetilanne. Uusi hakupyynt&ouml;si.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Finnish/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Finnish/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Finnish/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Finnish/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>VIRHE: Pyydetty&auml; URL-osoitetta ei voitu hakea</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>VIRHE</H1>
-<H2>Pyydetty&auml; URL-osoitetta ei voitu hakea</H2>
-<HR noshade size="1px">
-<P>
-Yritett&auml;ess&auml; hakea URL-osoitetta
-<A HREF="%U">%U</A>
-<P>
-Ilmeni seuraava ongelma:
-<UL>
-<LI>
-<STRONG>
-Nollan pituinen vastaus
-</STRONG>
-</UL>
-
-<P>
-Haku ei tuonut Squidille mit&auml;&auml;n tietoa.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Greek/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Greek/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-  .
+Απαγορεύεται η Πρόσβαση.
 </STRONG>
 <P>
-       
-   .     
-,        .
+Οι ρυθμίσεις του μηχανισμού πρόσβασης αποτρέπουν την 
+ολοκλήρωση της αιτήσεως σας. Επικοινωνήστε με τον παροχέα 
+υπηρεσιών, αν νομίζετε ότι αυτό δεν πρέπει να συμβαίνει.
 </UL>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Greek/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Greek/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:     </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Απαγορεύεται η Πρόσβαση στο Μεσολαβητή</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
-<H1></H1>
-<H2>    </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Η Πρόσβαση στο Μεσολαβητή Απαγορεύεται</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-    .
+Απαγορεύεται η Πρόσβαση στο Μεσολαβητή.
 </STRONG>
 </UL>
 </P>
 
-<P>        :
+<P>Λυπάμαι αλλά δεν σας επιτρέπεται η πρόσβαση στη σελίδα:
 <PRE>    %U</PRE>
-   ,      .
+από αυτόν τον μεσολαβητή, μέχρι να πιστοποιήσετε τον εαυτό σας.
 </P>
 
 <P>
-     Netscape   2.0, 
-Microsoft Internet Explorer 3.0      HTTP/1.1.
-   <A HREF="mailto:%w">   </a>
-         
-<A HREF="http://%h/cgi-bin/chpasswd.cgi"></a>   .
+Θα πρέπει να χρησιμοποιείτε φυλλομετρητή Netscape έκδοσής τουλάχιστον 2.0, τον
+Microsoft Internet Explorer 3.0 ή οποιονδήποτε φυλλομετρητή συμβατό με HTTP/1.1.
+Επικοινωνήστε με τον <A HREF="mailto:%w">διαχειριστή του μεσολαβητή σας</a>
+αν αντιμετωπίζετε δυσκολία να πιστοποιήσετε τον λογαριασμό σας ή να
+<A HREF="http://%h/cgi-bin/chpasswd.cgi">αλλάξτε</a> τον κωδικό σας.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Greek/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Greek/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:     </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Απαγορεύεται η Πρόσβαση στη Διαχείριση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
-<H1></H1>
-<H2>       </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Απαγορεύεται η Πρόσβαση στη Διαχείριση του Μεσολαβητή </H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-      .
+Απαγορεύεται η Πρόσβαση στη Διαχείριση του Μεσολαβητή.
 </STRONG>
 </UL>
 </P>
 
-<P>       :
+<P>Λυπάμαι αλλά δεν σας επιτρέπεται ή πρόσβαση στο:
 <PRE>    %U</PRE>
-     .
+μέχρι να πιστοποιήσετε τον λογαριασμό σας.
 </P>
 
-<P>      Netscape   2.0, 
-Microsoft Internet Explorer 3.0      HTTP/1.1.
-   <A HREF="mailto:%w">   </a>
-        
- <em></em>  ,     Squid
-          
-    .</P>
+<P> Θα πρέπει να χρησιμοποιείτε φυλλομετρητή Netscape έκδοσης τουλάχιστον 2.0, τον
+Microsoft Internet Explorer 3.0 ή οποιονδήποτε φυλλομετρητή συμβατό με HTTP/1.1.
+Επικοινωνήστε με τον <A HREF="mailto:%w">διαχειριστή του μεσολαβητή σας</a>
+αν αντιμετωπίζετε δυσκολία να πιστοποιήσετε τον λογαριασμό σας ή
+αν <em>είστε</em> ο διαχειριστής, διαβάστε την τεκμηρίωση του Squid
+σχετικά με τη διαχείριση του και κοιτάξτε τα ημερολόγια του προγράμματος
+για πιο λεπτομερείς αναφορές σφάλματος.</P>
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Greek/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Greek/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_CANNOT_FORWARD	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-        .
+Αδύνατη η προώθηση της αιτήσεως σας αυτή τη στιγμή.
 </STRONG>
 </UL>
 
 <P>
-          
-      .     : 
+Το αίτημα σας δεν ήταν δυνατό να προωθηθεί στον αρχικό εξυπηρετητή
+αλλά και ούτε σε κάποιο γονικό μεσολαβητή. Η πιο πιθανές αιτίες είναι: 
 <UL>
-<LI>          
-       , 
-<LI>    ,   .
+<LI>Ο διαχειριστής του μεσολαβητή δεν επιτρέπει να γίνονται απ ευθείας 
+    συνδέσεις στους αρχικούς εξυπηρετητές, και
+<LI>Όλοι οι διαθέσιμοι γονικοί μεσολαβητές, δεν είναι διαθέσιμοι.
 </UL>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Greek/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Greek/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_CONNECT_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>:      </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-  
+Αποτυχία σύνδεσης 
 </STRONG>
 </UL>
 
 <P>
-   :
+Το σύστημα ενημέρωσε ότι:
 <PRE><I>    %E</I></PRE>
 
 <P>
-   ( )   .  .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Ο απομακρυσμένος υπολογιστής (ή δίκτυο) μάλλον δεν λειτουργεί. Δοκιμάστε αργότερα.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_DNS_FAIL squid-3.1.0.4/errors/Greek/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Greek/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_DNS_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H2>     </H2>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <BLOCKQUOTE>
-       IP   
+Δεν ήταν δυνατόν να εξακριβωθεί η διεύθυνση IP για το όνομα
 <I>%H</I>
 </BLOCKQUOTE>
 
 <P>
-    :
+Ο εξυπηρετητής ονομάτων ενημέρωσε ότι:
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
 
 <P>
-  :
+Αυτό σημαίνει ότι:
 <PRE>
-          . 
-      . 
+ Ο μεσολαβητής δεν μπόρεσε να εξακριβώσει την διεύθυνση που πληκτρολογήσατε. 
+ Ελέγξτε αν η διεύθυνση είναι σωστή. 
 </PRE>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Greek/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Greek/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FORWARDING_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-  .
+Απαγορεύεται η προώθηση.
 </STRONG>
 </UL>
 
 <P>
-           
-   .     %i   
-     .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Ο μεσολαβητής δεν θα προωθήσει το αίτημα σας γιατί προσπαθεί να 
+επιβάλει μια συγγενική σχέση. Ίσως ο πελάτης στο %i είναι ένας μεσολαβητής
+ο οποίος δεν είναι σωστά ρυθμισμένος.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_DISABLED squid-3.1.0.4/errors/Greek/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Greek/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_DISABLED	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-  FTP  
+Το πρωτόκολλο FTP είναι απενεργοποιημένο
 </STRONG>
 </UL>
 
 <P>
-     FTP.
-<P>       <A HREF="mailto:%w">%w</A>. 
+Αυτός ο μεσολαβητής δεν υποστηρίζει FTP.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_FAILURE squid-3.1.0.4/errors/Greek/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Greek/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     
-    FTP:
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση
+Προέκυψε σφάλμα στο πρωτόκολλο FTP:
 <A HREF="%U">%U</A>
 <P>
- Squid     FTP:
+Το Squid έστειλε τη ακόλουθη εντολή FTP:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-    
+και έλαβε την ακόλουθη απάντηση
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Greek/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Greek/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_FORBIDDEN	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     
-   FTP:
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση
+Προέκυψε σφάλμα εξακρίβωσης FTP:
 <A HREF="%U">%U</A>
 <P>
- Squid     FTP:
+Το Squid έστειλε τη ακόλουθη εντολή FTP:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-    
+και έλαβε την ακόλουθη απάντηση
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Greek/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Greek/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_NOT_FOUND	2009-01-23 18:37:27.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Η ακόλουθη διεύθυνση δεν βρέθηκε:
 <A HREF="%U">%U</A>
 <P>
- Squid     FTP:
+Το Squid έστειλε τη ακόλουθη εντολή FTP:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-    
+και έλαβε την ακόλουθη απάντηση
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-       FTP    ( 
-     RFC 1738).      ,    
-  <A HREF="%B">%B</A>.
-<P>       <A HREF="mailto:%w">%w</A>. 
+Αυτό μπορεί να συμβαίνει από μια διεύθυνση FTP με απόλυτή διαδρομή (το οποίο
+δεν είναι σύμφωνο με το RFC 1738).  Αν αυτή είναι η αιτία, το αρχείο θα το
+βρείτε στο <A HREF="%B">%B</A>.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Greek/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Greek/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_PUT_CREATED	2009-01-23 18:37:27.000000000 +1300
@@ -1,8 +1,8 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>  FTP PUT  :   </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>Η εντολή FTP PUT ήταν επιτυχής: Το αρχείο δημιουργήθηκε</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>    </H1>
-<H2>  </H2>
+<H1>Η λειτουργία ολοκληρώθηκε με επιτυχία</H1>
+<H2>Το αρχείο δημιουργήθηκε</H2>
 <HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Greek/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Greek/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_PUT_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:   FTP </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Η μεταφόρτωση FTP απέτυχε</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>  FTP PUT/upload </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Η εντολή FTP PUT/upload απέτυχε</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατα τη διάρκεια μεταφόρτωσης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
- Squid     FTP:
+Το Squid έστειλε τη ακόλουθη εντολή FTP:
 <PRE><STRONG>
         %f
 </STRONG></PRE>
-    
+και έλαβε την ακόλουθη απάντηση
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
-  :
+Αυτό σημαίνει ότι:
 <PRE>
-  ,  ,     .
+Ελέγξτε τη διαδρομή, τα δικαιώματα, τον ελεύθερο χώρο και ξαναδοκιμάστε.
 </PRE>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Greek/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Greek/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,8 +1,8 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>  FTP PUT     </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>Η εντολή FTP PUT ήταν επιτυχής Το αρχείο ανανεώθηκε</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>    </H1>
-<H2>  </H2>
+<H1>Η λειτουργία ολοκληρώθηκε με επιτυχία</H1>
+<H2>Το αρχείο ανανεώθηκε</H2>
 <HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Greek/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Greek/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:27.000000000 +1300
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-  FTP       :
+Ο εξυπηρετητής FTP ήταν πολύ απασχολημένος κατά την ανάκτηση του:
 <A HREF="%U">%U</A>
 <P>
- Squid     FTP:
+Το Squid έστειλε τη ακόλουθη εντολή FTP:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-    
+και έλαβε την ακόλουθη απάντηση
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_INVALID_REQ squid-3.1.0.4/errors/Greek/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Greek/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_INVALID_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,33 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά τη προσπάθεια επεξεργασίας της αίτησης:
 <PRE>
 %R
 </PRE>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
- 
+Άκυρη Αίτηση
 </STRONG>
 </UL>
 
 <P>
-    HTTP  .   :
+Κάποιο σημείο της αίτησης HTTP είναι άκυρο.  Πιθανά προβλήματα:
 <UL>
-<LI>    
-<LI>  (URL)
-<LI>  HTTP (HTTP/1.0)
-<LI>   
-<LI> -     POST  PUT
-<LI>    ,    
+<LI>Ελλιπής ή άγνωστη μέθοδος αίτησης
+<LI>Ελλιπής Διεύθυνση (URL)
+<LI>Ελλιπές αναγνωριστικό HTTP (HTTP/1.0)
+<LI>Η αίτηση είναι υπερμεγέθης
+<LI>Έλειπες Περιεχόμενο- Μήκος για τις αιτήσεις POST ή PUT
+<LI>Άκυροι χαρακτήρες στο όνομα υπολογιστή, οι υπογεγραμμένες δεν επιτρέπονται
 </UL>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_INVALID_URL squid-3.1.0.4/errors/Greek/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Greek/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_INVALID_URL	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
- 
+Λανθασμένη Διεύθυνση
 </STRONG>
 </UL>
 
 <P>
-     .  :
+Υπάρχει πρόβλημα με την αιτούμενη διεύθυνση. Πιθανές αιτίες:
 Some aspect of the requested URL is incorrect.  Possible problems:
 <UL>
-<LI>     (    `http://''  )
-<LI>  
-<LI>    
-<LI>     '    
+<LI>Ελλιπές ή λανθασμένο πρωτόκολλο πρόσβασης (θα πρέπει να είναι `http://'' ή παρόμοιο)
+<LI>Ελλιπές όνομα υπολογιστή
+<LI>Λανθασμένοι χαρακτήρες διαφυγής στη διεύθυνση
+<LI>Λανθασμένοι χαρακτήρες στο όνομα υπολογιστή ' οι υπογραμμίσεις δεν επιτρέπονται
 </UL>
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Greek/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Greek/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_LIFETIME_EXP	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Κατά την προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-   
+Έληξε ο Χρόνος Σύνδεσής
 </STRONG>
 </UL>
 
 <P>
- Squid        
-.
-<P>       <A HREF="mailto:%w">%w</A>. 
+Το Squid τερμάτισε την αίτηση επειδή ξεπέρασε τον μέγιστο χρόνο
+σύνδεσης.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_NO_RELAY squid-3.1.0.4/errors/Greek/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Greek/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_NO_RELAY	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-  Wais Relay
+Δεν υπάρχει Wais Relay
 </STRONG>
 </UL>
 
 <P>
-    WAIS Relay    !    .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Δεν έχει καθοριστεί υπολογιστής WAIS Relay για αυτό το μεσολαβητή!  Παραπονεθείτε στον Διαχειριστή.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Greek/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Greek/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-          
+Δεν βρέθηκε έγκυρο αντίγραφο στην μνήμη και έχει καθοριστεί η επιλογή
 <code>only-if-cached</code>.
 </STRONG>
 </UL>
 
 <P>
 
-       <code>only-if-cached</code>.
-    , <em></em>    
-      <code>only-if-cached</code>.
+Ζητήσατε μια σελίδα με ενεργοποιημένη την επιλογή <code>only-if-cached</code>.
+Δεν βρέθηκε αντίγραφο στη μνήμη, <em>ή</em> ήταν απαραίτητη η επαναφόρτωσή
+του που απαγορεύεται από την επιλογή <code>only-if-cached</code>.
 
-<P>       <A HREF="mailto:%w">%w</A>. 
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_READ_ERROR squid-3.1.0.4/errors/Greek/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Greek/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_READ_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
- 
+Σφάλμα Ανάγνωσης
 </STRONG>
 </UL>
 
 <P>
-  :
+Το σύστημα επέστρεψε:
 <PRE><I>    %E</I></PRE>
 
 <P>
-        .   
-   .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Προέκυψε σφάλμα κατά την ανάγνωση δεδομένων από το δίκτυο.  Παρακαλώ 
+ξαναδοκιμάστε το αίτημα σας.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Greek/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Greek/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_READ_TIMEOUT	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <UL>
 <LI>
 <STRONG>
-  
+Τέλος Χρόνου Ανάγνωσης
 </STRONG>
 </UL>
 
 <P>
-  :
+Το σύστημα επέστρεψε:
 <PRE><I>    %E</I></PRE>
 
 <P>
-         .   
-      .   .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Προέκυψε χρονικό όριο κατά την ανάγνωση δεδομένων από το δίκτυο.  Το δίκτυο
+ή ο εξυπηρετητής δεν λειτουργεί ή υπολειτουργεί.  Παρακαλώ ξαναδοκιμάστε.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Greek/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Greek/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_SHUTTING_DOWN	2009-01-23 18:37:27.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-     :
+Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <P>
-          
-     .     .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Το σύστημα είναι σε διαδικασία τερματισμού και δεν μπορεί να εξυπηρετήσει
+το αίτημα σας αυτή τη στιγμή. Παρακαλώ δοκιμάστε ξανά σε λίγο.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Greek/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Greek/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_SOCKET_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
- 
+Σφάλμα Σύνδεσης
 </STRONG>
 </UL>
 
 <P>
-  :
+Το σύστημα επέστρεψε:
 <PRE><I>    %E</I></PRE>
 
 <P>
- Squid      TCP,   .
- .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Το Squid δεν μπορεί να δημιουργήσει σύνδεση TCP, υποθετικά λόγω φόρτου.
+Παρακαλώ ξαναδοκιμάστε.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_TOO_BIG squid-3.1.0.4/errors/Greek/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Greek/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_TOO_BIG	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>:      </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-      
+Το αίτημα ή η απάντηση είναι υπερμεγέθη
 </STRONG>
 <P>
-    POST  PUT,    (  
- )   .     GET, 
-  (    )   .
-         
-   .     
-    .
+Αν κάνετε μια αίτηση POST ή PUT, τότε το σώμα (αυτό που προσπαθείτε
+να ανεβάσετε) είναι πολύ μεγάλο. Αν κάνετε μια αίτηση GET, τότε
+το σώμα (αυτό που προσπαθείτε να κατεβάσετε) είναι πολύ μεγάλο.
+Τα όρια αυτά καθορίζονται από τον Παροχέα Υπηρεσιών Διαδικτύου που
+λειτουργεί αυτή την υπηρεσία. Παρακαλώ επικοινωνήστε μαζί τους αν
+νομίζετε οτι αυτό είναι λάθος.
 </UL>
-<P>       <A HREF="mailto:%w">%w</A>.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_UNSUP_REQ squid-3.1.0.4/errors/Greek/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Greek/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_UNSUP_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-     
+Μη υποστηριζόμενη μέθοδος αίτησης και πρωτόκολλο
 </STRONG>
 </UL>
 
 <P>
- Squid          
-.  ,  POST  Gopher  .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Το Squid δεν υποστηρίζει όλες τις μεθόδους αιτήσεων για όλα τα πρωτόκολλα
+πρόσβασης. Για παράδειγμα, το POST για Gopher δεν υποστηρίζεται.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_URN_RESOLVE squid-3.1.0.4/errors/Greek/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Greek/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_URN_RESOLVE	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:       </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Δεν βρέθηκε διεύθυνση για το ζητούμενο όνομα</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>      </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Δεν βρέθηκε διεύθυνση για το ζητούμενο όνομα</H2>
 <HR noshade size="1px">
 <P>
-      (URN):
+Κατά τη διάρκεια εύρεσης του ονόματος (URN):
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-    
+Αδύνατη η εύρεση του ονόματος
 </STRONG>
 </UL>
 
 <P>
- ,      URNs  %T :)
-<P>       <A HREF="mailto:%w">%w</A>. 
+Μεταξύ μας, μην περιμένετε και πολλά από URNs στο %T :)
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_WRITE_ERROR squid-3.1.0.4/errors/Greek/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Greek/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_WRITE_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
- 
+Σφάλμα Εγγραφής
 </STRONG>
 </UL>
 
 <P>
-  :
+Το σύστημα επέστρεψε:
 <PRE><I>    %E</I></PRE>
 
 <P>
-      .    
-  .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Προέκυψε σφάλμα κατά την εγγραφή στο δίκτυο.  Παρακαλώ δοκιμάστε ξανά
+το αίτημα σας.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Greek/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Greek/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Greek/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Greek/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-7">
-<TITLE>:      </TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>ΣΦΑΛΜΑ: Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>     </H2>
+<H1>ΣΦΑΛΜΑ</H1>
+<H2>Αδύνατη η πρόσβαση στην αιτούμενη διεύθυνση</H2>
 <HR noshade size="1px">
 <P>
-    :
+Στη προσπάθεια πρόσβασης στη διεύθυνση:
 <A HREF="%U">%U</A>
 <P>
-   :
+Προέκυψε το ακόλουθο σφάλμα:
 <UL>
 <LI>
 <STRONG>
-  
+Απάντηση Μηδενικού Μεγέθους
 </STRONG>
 </UL>
 
 <P>
- Squid       .
-<P>       <A HREF="mailto:%w">%w</A>. 
+Το Squid δεν έλαβε δεδομένα για αυτό το αίτημα.
+<P>Ο διαχειριστής του μεσολαβητή σας είναι ο <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Hebrew/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Hebrew/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+הגישה נדחית
 </STRONG>
 <P>
-    .         
-.
+הגדרות הגישה מונעות אישור בקשתך. במקרה ולדעתך זוהי טעות אנא צור קשר עם מנהל
+השרת.
 </UL>
-<br><br>   <A HREF="mailto:%w%W">%w</A>.
+<br><br>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>.
 </div>
 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Hebrew/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Hebrew/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:   </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: גישה לשרת נדחית</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>  </H2>
+<H1>שגיאה</H1>
+<H2>גישה לשרת נדחית</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- -Cache 
+גישה ל-Cache נדחית
 </STRONG>
 </UL>
 </P>
 
-<P>,     :
+<P>מצטער, אך אין ביכולתך לבקש את:
 <PRE>    %U</PRE>
-     .
+מהשרת הזה עד שתזה את עצמך.
 </P>
 
 <P>
-    2.0 ,     3.0 ,
-     HTTP/1.1.     <A HREF="mailto:%w%W"> </a>
-      ,    .
+עליך להשתמש בנטסקייפ גירסא 2.0 ומעלה, או באינטרנט אקספלורר גירסא 3.0 ומעלה,
+או בדפדפן אשר תומך בפרוטוקול HTTP/1.1. אנא צור קשר עם <A HREF="mailto:%w%W">מנהל השרת</a>
+אם יש לך בעיות לזהות את עצמך, או שנה את סיסמאתך.
 </P>
 </div>
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Hebrew/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Hebrew/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,33 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: גישת מנהל לשרת נדחית</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>   </H2>
+<H1>שגיאה</H1>
+<H2>גישת מנהל לשרת נדחית</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-   .
+גישת מנהל לשרת נדחית.
 </STRONG>
 </UL>
 </P>
 
-<P>,     :
+<P>מצטער, אך אין ביכולתך לבקש את:
 <PRE>    %U</PRE>
-     .
+מהשרת הזה עד שתזה את עצמך.
 </P>
 
-<P>     2.0 ,     3.0 ,
-     HTTP/1.1.     <A HREF="mailto:%w%W"> </a>
-       , <em>   </em>,     Squid
-     ,     .</P>
+<P> עליך להשתמש בנטסקייפ גירסא 2.0 ומעלה, או באינטרנט אקספלורר גירסא 3.0 ומעלה,
+או בדפדפן אשר תומך בפרוטוקול HTTP/1.1. אנא צור קשר עם <A HREF="mailto:%w%W">מנהל השרת</a>
+אם יש לך בעיות לזהות את עצמך או, <em>אם הינך מנהל השרת</em>, קרא את ההוראות של Squid
+על ממשק הניהול ובדוק את הלוג, בשביל הודעות שגיאה מפורטות יותר.</P>
 </div>
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Hebrew/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Hebrew/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_CANNOT_FORWARD	2009-01-23 18:37:27.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
@@ -27,4 +27,4 @@
     direct connections to origin servers, and
 <LI>All configured parent caches are currently unreachable.
 </UL>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Hebrew/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Hebrew/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_CONNECT_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+התחברות נכשלה
 </STRONG>
 </UL>
 
 <P>
- :
+הודעת המערכת:
 <PRE><I>    %E</I></PRE>
 
 <P>
-    .   .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+יכול להיות שהשרת המרוחק למטה. אנא נסה שוב.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_DNS_FAIL squid-3.1.0.4/errors/Hebrew/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Hebrew/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_DNS_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H2>     </H2>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <BLOCKQUOTE>
-    IP 
+לא יכול למצוא כתובת IP בשביל
 <I>%H</I>
 </BLOCKQUOTE>
 
 <P>
-  :
+הודעת שרת השמות:
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
 
 <P>
-  :
+זה אומר ש:
 <PRE>
-       .
-   .
+ השרת לא הצליח למצוא את השרת שצויין.
+ בדוק את הכתובת.
 </PRE>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
 </div>
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Hebrew/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Hebrew/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FORWARDING_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- .
+העברה נדחית.
 </STRONG>
 </UL>
 
 <P>
-          .    %i 
-     .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+השרת לא יעביר את בקשתך בגלל שהיא מנסה לחייב קשרי ילדים. אולי הלקוח ב %i 
+הוא שרת פרוקסי שלא הוגדר נכון.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_DISABLED squid-3.1.0.4/errors/Hebrew/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_DISABLED	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-FTP 
+FTP מבוטל
 </STRONG>
 </UL>
 
 <P>
-    -FTP.
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+שרת זה אינו תוצך ב-FTP.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_FAILURE squid-3.1.0.4/errors/Hebrew/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,20 +1,20 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-   FTP
-    : <A HREF="%U">%U</A>
+קרתה שגיאת פרוטוקול FTP
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-    -FTP :
+השרת שלח את פקודת ה-FTP הבאה:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
- :
+וקיבל בתשובה:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Hebrew/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_FORBIDDEN	2009-01-23 18:37:27.000000000 +1300
@@ -1,20 +1,20 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-   FTP
-    : <A HREF="%U">%U</A>
+שגיאה בזיהוי משתמש FTP
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-    -FTP :
+השרת שלח את פקודת ה-FTP הבאה:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
- :
+וקיבל בתשובה:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Hebrew/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_NOT_FOUND	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-     ":
+לא ניתן לגשת אל הכתובת הנ"ל:
 <A HREF="%U">%U</A>
 <P>
-    -FTP :
+השרת שלח את פקודת ה-FTP הבאה:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
- :
+וקיבל בתשובה:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-       (    RFC 1738).
-  ,    : <A HREF="%B">%B</A>.
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+יכול להיות שהשגיאה נוצרה בגלל נתיב מוחלט (אשר לא עונה לדרישות RFC 1738).
+אם זוהי הבעייה, אז ניתן לגשת ל: <A HREF="%B">%B</A>.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Hebrew/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_PUT_CREATED	2009-01-23 18:37:27.000000000 +1300
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE> FTP PUT  :  </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>פעולת FTP PUT עברה בהצלחה: הקובץ נוצר</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1>  </H1>
-<H2> </H2>
+<H1>פעולה עברה בהצלחה</H1>
+<H2>הקובץ נוצר</H2>
 <HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Hebrew/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_PUT_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:   -FTP </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: העלאת קובץ ל-FTP נכשלה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>  -FTP </H2>
+<H1>שגיאה</H1>
+<H2>העלאת קובץ ל-FTP נכשלה</H2>
 <HR noshade size="1px">
 <P>
-    :
+שגיאה כאשר ניסיתי לשלוח את:
 <A HREF="%U">%U</A>
 <P>
-    -FTP :
+השרת שלח את פקודת ה-FTP הבאה:
 <PRE><STRONG>
         %f
 </STRONG></PRE>
- :
+וקיבל בתשובה:
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
-  :
+זה אומר ש:
 <PRE>
-  , ,    .
+בדוק את הנתיב, ההרשאות, מקום בדיסק ונסה שוב.
 </PRE>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Hebrew/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE> FTP PUT  :  </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>פעולת FTP PUT עברה בהצלחה: הקובץ עודכן</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1>  </H1>
-<H2> </H2>
+<H1>פעולה עברה בהצלחה</H1>
+<H2>הקובץ עודכן</H2>
 <HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Hebrew/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Hebrew/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
- -FTP   ,     : <A HREF="%U">%U</A>
+שרת ה-FTP היה עסוק מדי, כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-    -FTP :
+השרת שלח את פקודת ה-FTP הבאה:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
- :
+וקיבל בתשובה:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_INVALID_REQ squid-3.1.0.4/errors/Hebrew/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Hebrew/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_INVALID_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    :
+כאשר ניסיתי לעבד את הבקשה:
 <PRE>
 %R
 </PRE>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+בקשה שגויה
 </STRONG>
 </UL>
 
 <P>
-   -HTTP.  :
+ישנה שגיאה בבקשת ה-HTTP. בעיות אפשריות:
 <UL dir="rtl">
-<LI>     
-<LI> 
-<LI> HTTP Identifier (HTTP/1.0)
-<LI>  
-<LI> Content-Length   POST  PUT
-<LI>    ;   
+<LI>סוג בקשה לא ידוע או חסר
+<LI>כתובת חסרה
+<LI>חסר HTTP Identifier (HTTP/1.0)
+<LI>הבקשה ארוכה מדי
+<LI>חסר Content-Length בשביל בקשות POST או PUT
+<LI>תווים לא חוקיים בשם השרת; קווים תחתונים אסורים
 </UL>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_INVALID_URL squid-3.1.0.4/errors/Hebrew/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Hebrew/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_INVALID_URL	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+כתובת שגויה
 </STRONG>
 </UL>
 
 <P>
-   .  :
+ישנה שגיאה בכתובת המבוקשת. בעיות אפשריות:
 <UL>
-<LI>     (    'http://'  )
-<LI>  
-<LI>   
-<LI>    ;   
+<LI>פרוטוקול חסר או לא נכון (צריך להיות משהו כמו 'http://' או כדומה)
+<LI>חסר שם שרת
+<LI>בריחה כפולה שגויה בנתיב
+<LI>תווים לא חוקיים בשם השרת; קווים תחתונים אסורים
 </UL>
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Hebrew/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Hebrew/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_LIFETIME_EXP	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-    
+אורך החיים של הבקשה נגמר
 </STRONG>
 </UL>
 
 <P>
-            .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+השרת ביטל את הבקשה בגלל שהיא עברה את אורך החיים המאושר ליצירת חיבור.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_NO_RELAY squid-3.1.0.4/errors/Hebrew/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Hebrew/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_NO_RELAY	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-  WAIS
+אין שרת WAIS
 </STRONG>
 </UL>
 
 <P>
-   WAIS!
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+לא הוגדר שרת WAIS!
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Hebrew/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Hebrew/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-           (<code>only-if-cached</code>).
+לא נמצא מסמך מתאים בזכרון והשרת הוגדר להראות רק דפים שבזכרון (<code>only-if-cached</code>).
 </STRONG>
 </UL>
 
 <P>
-       .   
- , <em></em>        "  .
+הגדרות השרת מאשרות צפיה בדפים שבזכרון השרת בלבד. המסמך המבוקש לא
+נמצא בזכרון, <em>או</em> שהוא דורש בדיקה מחודשת אשר אינה מאושרת ע"י שרת זה.
 
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_READ_ERROR squid-3.1.0.4/errors/Hebrew/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Hebrew/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_READ_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+שגיאה בקריאה
 </STRONG>
 </UL>
 
 <P>
- :
+המערכת השיבה:
 <PRE><I>    %E</I></PRE>
 
 <P>
-      .   .
+ארעה שגיאת תנאי בזמן קריאת מידע מהשרת. אנא נסה שוב.
 
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Hebrew/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Hebrew/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_READ_TIMEOUT	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+קריאה הופסקה
 </STRONG>
 </UL>
 
 <P>
- :
+המערכת השיבה:
 <PRE><I>    %E</I></PRE>
 
 <P>
- -     .        .
-  .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+נוצר פסק-זמן בעת המתנה לקריאת מידע מהרשת. יכול להיות שהרשת או השרת למטה או עמוסים.
+אנא נסה שוב.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Hebrew/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Hebrew/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_SHUTTING_DOWN	2009-01-23 18:37:27.000000000 +1300
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <P>
-         .
-   .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+השרת נמצא במצב של כיבוי ואינו יכול להשיב לבקשתך כעת.
+אנא נסה שוב בקרוב.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Hebrew/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Hebrew/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_SOCKET_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+שגיאת חיבור
 </STRONG>
 </UL>
 
 <P>
- :
+המערכת השיבה:
 <PRE><I>    %E</I></PRE>
 
 <P>
-     TCP,    .   .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+השר לא הצליח ליצור חיבור TCP, כנראה בגלל עומס יתר. אנא נסה שוב.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_TOO_BIG squid-3.1.0.4/errors/Hebrew/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Hebrew/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_TOO_BIG	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-    .
+הבקשה או התשובה גדולים מדי.
 </STRONG>
 <P>
-    POST  PUT,    (   )
-  .     GET,    (   )
-  .    "      .
-       .
+אם הינך מבצע בקשת POST או PUT, אז גוף הבקשה (מה שהינך מנסה לשלוח)
+הינו גדול מדי. אם הינך מבצע בקשת GET, אז גוף התשובה (מה שהינך מנסה להוריד)
+הינו גדול מדי. הגבלות אלו הוצבו ע"י ספק האינטרנט אשר מתחזק שרת זה.
+אנא צור עמם רשק אם לדעתך זוהי טעות.
 </UL>
 <P>
-   <A HREF="mailto:%w%W">%w</A>.
+מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_UNSUP_REQ squid-3.1.0.4/errors/Hebrew/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Hebrew/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_UNSUP_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-    
+שיטת בקשה ופרוטוקול לא נתמכים
 </STRONG>
 </UL>
 
 <P>
-       .
-     Gopher -Post.
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+השרת אינו תומך בכל שיטות הבקשה לכל הפרוטוקולים.
+לדוגמא אינך יכול לשלוח בקשת Gopher ב-Post.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_URN_RESOLVE squid-3.1.0.4/errors/Hebrew/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Hebrew/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_URN_RESOLVE	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>ERROR: The requested URN not be retrieved</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
+<H1>שגיאה</H1>
 <H2>A URL for the requested URN could not be retrieved</H2>
 <HR noshade size="1px">
 <P>
 While trying to retrieve the URN:
 <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-   URN
+לא יכול למצוא URN
 Cannot Resolve URN
 </STRONG>
 </UL>
 
 <P>
-    -URN  %T :)
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+אל תצפה יותר מדי מ-URN על %T :)
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_WRITE_ERROR squid-3.1.0.4/errors/Hebrew/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Hebrew/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_WRITE_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
- 
+שגיאת כתיבה
 </STRONG>
 </UL>
 
 <P>
- :
+המערכת השיבה:
 <PRE><I>    %E</I></PRE>
 
 <P>
-      .   .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+ארעה שגיאת תנאי בזמן כתיבת מידע לרשת. אנא נסה שוב.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hebrew/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Hebrew/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Hebrew/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hebrew/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">
-<TITLE>:    </TITLE>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<TITLE>שגיאה: הכתובת המבוקשת לא נגישה</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <div dir="rtl" align="right">
-<H1></H1>
-<H2>     </H2>
+<H1>שגיאה</H1>
+<H2>לא ניתן לגשת אל הכתובת המבוקשת</H2>
 <HR noshade size="1px">
 <P>
-    : <A HREF="%U">%U</A>
+כאשר ניסיתי לגשת אל הכתובת: <A HREF="%U">%U</A>
 <P>
-  :
+נתקלתי בשגיאה הבאה:
 <UL>
 <LI>
 <STRONG>
-  
+תשובה בגודל אפס
 Zero Sized Reply
 </STRONG>
 </UL>
 
 <P>
-      .
-<P>   <A HREF="mailto:%w%W">%w</A>. 
+השרת לא קיבל כל תשובה לבקשה זו.
+<P>מנהל השרת הוא <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Hungarian/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Hungarian/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Hozzfrs megtagadva.
+Hozzáférés megtagadva.
 </STRONG>
 <P>
-A hozzfrsi konfigurciban belltottak alapjn krst jelenleg nem 
-tudjuk teljesteni. Krjk, forduljon szolgltatjhoz amennyiben a szerver
-helytelen belltsban ltja a hiba okt.
+A hozzáférési konfigurációban beállítottak alapján kérését jelenleg nem 
+tudjuk teljesíteni. Kérjük, forduljon szolgáltatójához amennyiben a szerver
+helytelen beállításában látja a hiba okát.
 </UL>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Hungarian/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Hungarian/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: Cache hozzfrs megtagadva</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: Cache hozzáférés megtagadva</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>HIBA</H1>
-<H2>Cache hozzfrs megtagadva</H2>
+<H2>Cache hozzáférés megtagadva</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Cache hozzfrs megtagadva.
+Cache hozzáférés megtagadva.
 </STRONG>
 </UL>
 </P>
 
-<P>Sajnos az albbi URL-t nem tltheti le cache szervernktl:
+<P>Sajnos az alábbi URL-t nem töltheti le cache szerverünktől:
 <PRE>    %U</PRE>
-amg nem jelentkezik be rendszernkbe.
+amíg nem jelentkezik be rendszerünkbe.
 </P>
 
 <P>
-Netscape 2.0 (vagy magasabb verziszm) vagy Microsoft Internet Explorer 3.0 vagy
-egyb HTTP/1.1 kompatibilis bngsz segtsgvel jelentkezhet be rendszernkbe.
-Krjk, forduljon a <A HREF="mailto:%w%W">cache adminisztrtorhoz</a> amennyiben nem 
-sikerl bejelentkeznie vagy <A HREF="http://%h/cgi-bin/chpasswd.cgi">megvltoztatnia</a>
-eredetileg belltott jelszavt.
+Netscape 2.0 (vagy magasabb verziószámú) vagy Microsoft Internet Explorer 3.0 vagy
+egyéb HTTP/1.1 kompatibilis böngésző segítségével jelentkezhet be rendszerünkbe.
+Kérjük, forduljon a <A HREF="mailto:%w%W">cache adminisztrátorhoz</a> amennyiben nem 
+sikerül bejelentkeznie vagy <A HREF="http://%h/cgi-bin/chpasswd.cgi">megváltoztatnia</a>
+eredetileg beállított jelszavát.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Hungarian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Hungarian/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,38 +1,38 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: Cache vezrlpult hozzfrs megtagadva</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: Cache vezérlőpult hozzáférés megtagadva</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>HIBA</H1>
-<H2>Cache vezrlpult hozzfrs megtagadva</H2>
+<H2>Cache vezérlőpult hozzáférés megtagadva</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Cache vezrlpult hozzfrs megtagadva.
+Cache vezérlőpult hozzáférés megtagadva.
 </STRONG>
 </UL>
 </P>
 
 <P>
-Sajnos az albbi URL-t nem tltheti le cache szervernktl
+Sajnos az alábbi URL-t nem töltheti le cache szerverünktől
 <PRE>    %U</PRE>
-amg nem jelentkezik be rendszernkbe.
+amíg nem jelentkezik be rendszerünkbe.
 </P>
 
 <P>
-Netscape 2.0 (vagy magasabb verziszm) vagy Microsoft Internet Explorer 3.0 vagy
-egyb HTTP/1.1 kompatibilis bngsz segtsgvel jelentkezhet be rendszernkbe.
-Krjk, forduljon a <A HREF="mailto:%w%W">cache adminisztrtorhoz</a> amennyiben nem 
-sikerl bejelentkeznie vagy ha <em>n</em> a cache adminisztrtor, olvassa el alaposan
-a Squid dokumentci cache vezrlpulttal kapcsolatos fejezett s ellenrizze a cache
-naplllomnyt, ha rszletesebb hibazenetekre van szksge a problma feldertshez.
+Netscape 2.0 (vagy magasabb verziószámú) vagy Microsoft Internet Explorer 3.0 vagy
+egyéb HTTP/1.1 kompatibilis böngésző segítségével jelentkezhet be rendszerünkbe.
+Kérjük, forduljon a <A HREF="mailto:%w%W">cache adminisztrátorhoz</a> amennyiben nem 
+sikerül bejelentkeznie vagy ha <em>Ön</em> a cache adminisztrátor, olvassa el alaposan
+a Squid dokumentáció cache vezérlőpulttal kapcsolatos fejezetét és ellenőrizze a cache
+naplóállományát, ha részletesebb hibaüzenetekre van szüksége a probléma felderítéséhez.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Hungarian/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Hungarian/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_CANNOT_FORWARD	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>HIBA: A krt URL nem tlthet le</H2>
+<H2>HIBA: A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-A krst jelenleg nem lehet tovbbtani.
+A kérést jelenleg nem lehet továbbítani.
 </STRONG>
 </UL>
 
 <P>
-A krs nem tovbbthat a forrs, illetve egyik szl cache szerverhez sem.
-A hiba oka valsznleg albbiakban rejlik:
+A kérés nem továbbítható a forrás, illetve egyik szülő cache szerverhez sem.
+A hiba oka valószínűleg alábbiakban rejlik:
 <UL>
-<LI>A cache adminisztrtor nem engedlyezi a forrs szerverekhez val kzvetlen
-    kapcsolat felptst s
-<LI>egyik ltalunk hasznlt szl cache szerver sem rhet el jelenleg.
+<LI>A cache adminisztrátor nem engedélyezi a forrás szerverekhez való közvetlen
+    kapcsolat felépítését és
+<LI>egyik általunk használt szülő cache szerver sem érhető el jelenleg.
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Hungarian/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Hungarian/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_CONNECT_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Sikertelen kapcsolatfelvtel
+Sikertelen kapcsolatfelvétel
 </STRONG>
 </UL>
 
 <P>
-A rendszer vlasza:
+A rendszer válasza:
 <PRE><I>    %E</I></PRE>
 
 <P>
-A kiszolgl szerver vagy az adott hlzat valsznleg nem mkdik. Krjk, ismtelje
-meg krst!
+A kiszolgáló szerver vagy az adott hálózat valószínűleg nem működik. Kérjük, ismételje
+meg kérését!
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_DNS_FAIL squid-3.1.0.4/errors/Hungarian/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Hungarian/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_DNS_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H2>HIBA: A krt URL nem tlthet le</H2>
+<H2>HIBA: A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <BLOCKQUOTE>
-A(z) <I>%H</I> szervernvhez nem lehet meghatrozni az IP cmet. 
+A(z) <I>%H</I> szervernévhez nem lehet meghatározni az IP címet. 
 </BLOCKQUOTE>
 </UL>
 
 <P>
-A dnsserver vlasza:
+A dnsserver válasza:
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
@@ -25,8 +25,8 @@
 <P>
 Ez azt jelenti, hogy:
 <PRE>
- A cache kptelen volt feloldani az URL-ben szerepl szerver nevt.
- Ellenrizze a cm helyessgt!
+ A cache képtelen volt feloldani az URL-ben szereplő szerver nevét.
+ Ellenőrizze a cím helyességét!
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Hungarian/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Hungarian/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FORWARDING_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Krstovbbts megtagadva.
+Kéréstovábbítás megtagadva.
 </STRONG>
 </UL>
 
 <P>
-Ez a cache szerver nem tovbbtja krst mivel szomszdsgi kapcsolatot szeretne
-kierszakolni a klienstl. Feltehetleg a kliens (%i) egy olyan cache szerver, amelyik
-flre lett konfigurlva.
+Ez a cache szerver nem továbbítja kérését mivel szomszédsági kapcsolatot szeretne
+kierőszakolni a klienstől. Feltehetőleg a kliens (%i) egy olyan cache szerver, amelyik
+félre lett konfigurálva.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_DISABLED squid-3.1.0.4/errors/Hungarian/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_DISABLED	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-FTP tilts
+FTP tiltás
 </STRONG>
 </UL>
 
 <P>
-Ez a cache szerver nem szolgl ki FTP krseket.
+Ez a cache szerver nem szolgál ki FTP kéréseket.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_FAILURE squid-3.1.0.4/errors/Hungarian/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-FTP protokoll hiba trtnt az albbi URL letltsekor:
+FTP protokoll hiba történt az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-A Squid az albbi FTP parancsot kldte:
+A Squid az alábbi FTP parancsot küldte:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-s ezt a vlaszt kapta
+és ezt a választ kapta
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-A hibt lehet hogy az okozta, hogy az FTP URL abszolt elrsi utat tartalmaz
-(ami nem felel meg az RFC 1738 elrsnak). Amennyiben ez a hiba oka, akkor
-az llomnyt a <A HREF="%B">%B</A> cmen lehet megtallni.
+A hibát lehet hogy az okozta, hogy az FTP URL abszolút elérési utat tartalmaz
+(ami nem felel meg az RFC 1738 előírásnak). Amennyiben ez a hiba oka, akkor
+az állományt a <A HREF="%B">%B</A> címen lehet megtalálni.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Hungarian/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_FORBIDDEN	2009-01-23 18:37:27.000000000 +1300
@@ -1,20 +1,20 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-FTP autentikcis hiba trtnt
-az albbi URL letltsekor:
+FTP autentikációs hiba történt
+az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-A Squid az albbi FTP parancsot kldte:
+A Squid az alábbi FTP parancsot küldte:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-s ezt a vlaszt kapta
+és ezt a választ kapta
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Hungarian/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_NOT_FOUND	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL nem tlthet le:
+Az alábbi URL nem tölthető le:
 <A HREF="%U">%U</A>
 <P>
-A Squid az albbi FTP parancsot kldte:
+A Squid az alábbi FTP parancsot küldte:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-s ezt a vlaszt kapta
+és ezt a választ kapta
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-A hibt lehet hogy az okozta, hogy az FTP URL abszolt elrsi utat tartalmaz
-(ami nem felel meg az RFC 1738 elrsnak). Amennyiben ez a hiba oka, akkor 
-az llomnyt a <A HREF="%B">%B</A> cmen lehet megtallni.
+A hibát lehet hogy az okozta, hogy az FTP URL abszolút elérési utat tartalmaz
+(ami nem felel meg az RFC 1738 előírásnak). Amennyiben ez a hiba oka, akkor 
+az állományt a <A HREF="%B">%B</A> címen lehet megtalálni.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Hungarian/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_PUT_CREATED	2009-01-23 18:37:27.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>FTP PUT sikeresen megtrtnt: az llomnyt ltrehoztuk</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>FTP PUT sikeresen megtörtént: az állományt létrehoztuk</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>Mvelet sikeresen vgrehajtva</H1>
-<H2>Az llomnyt ltrehoztuk</H2>
+<H1>Művelet sikeresen végrehajtva</H1>
+<H2>Az állományt létrehoztuk</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Hungarian/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_PUT_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: FTP feltltsi hiba</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: FTP feltöltési hiba</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>FTP PUT/feltlts hiba</H2>
+<H2>FTP PUT/feltöltés hiba</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL-re trtn PUT mveletnl:
+Az alábbi URL-re történő PUT műveletnél:
 <A HREF="%U">%U</A>
 <P>
-A Squid az albbi FTP parancsot kldte:
+A Squid az alábbi FTP parancsot küldte:
 <PRE><STRONG>
         %f
 </STRONG></PRE>
-s ezt a vlaszt kapta
+és ezt a választ kapta
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
 Ez azt jelenti, hogy:
 <PRE>
-az elrsi t, hozzfrsi jogok, rendelkezsre ll diszkterlet ellenrzse utn
-prblja meg jra vgrehajtani ezt a mveletet.
+az elérési út, hozzáférési jogok, rendelkezésre álló diszkterület ellenőrzése után
+próbálja meg újra végrehajtani ezt a műveletet.
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Hungarian/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>FTP PUT sikeresen megtrtnt: az llomnyt frisstettk</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>FTP PUT sikeresen megtörtént: az állományt frissítettük</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>Mvelet sikeresen vgrehajtva</H1>
-<H2>Az llomny frisstse megtrtnt</H2>
+<H1>Művelet sikeresen végrehajtva</H1>
+<H2>Az állomány frissítése megtörtént</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Hungarian/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Hungarian/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az FTP kiszolgl tlterheltsge miatt az albbi URL nem tlthet le:
+Az FTP kiszolgáló túlterheltsége miatt az alábbi URL nem tölthető le:
 <A HREF="%U">%U</A>
 <P>
-A Squid az albbi parancsot kldte:
+A Squid az alábbi parancsot küldte:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-s ezt a vlaszt kapta
+és ezt a választ kapta
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_INVALID_REQ squid-3.1.0.4/errors/Hungarian/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Hungarian/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_INVALID_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi krs feldolgozsakor:
+Az alábbi kérés feldolgozásakor:
 <PRE>
 %R
 </PRE>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-rvnytelen krs
+Érvénytelen kérés
 </STRONG>
 </UL>
 
 <P>
-A HTTP krs bizonyos szempontbl rvnytelen. Lehetsges problmk:
+A HTTP kérés bizonyos szempontból érvénytelen. Lehetséges problémák:
 <UL>
-<LI>Hinyz vagy nem ltez krsi metdus (GET, POST)
-<LI>Hinyz URL
-<LI>Hinyz HTTP azonost (HTTP/1.0)
-<LI>A krs mrete tl nagy
-<LI>Content-Length hinyzik a POST vagy PUT krsbl
-<LI>A szervernvben nem megengedett karakter tallhat; az alhzs karakter pldul ilyen
+<LI>Hiányzó vagy nem létező kérési metódus (GET, POST)
+<LI>Hiányzó URL
+<LI>Hiányzó HTTP azonosító (HTTP/1.0)
+<LI>A kérés mérete túl nagy
+<LI>Content-Length hiányzik a POST vagy PUT kérésből
+<LI>A szervernévben nem megengedett karakter található; az aláhúzás karakter például ilyen
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_INVALID_URL squid-3.1.0.4/errors/Hungarian/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Hungarian/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_INVALID_URL	2009-01-23 18:37:27.000000000 +1300
@@ -1,31 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-rvnytelen URL
+Érvénytelen URL
 </STRONG>
 </UL>
 
 <P>
-A megadott URL formtuma bizonyos szempontbl nem megfelel. Lehetsges problmk:
+A megadott URL formátuma bizonyos szempontból nem megfelelő. Lehetséges problémák:
 <UL>
-<LI>Hinyz vagy hibs elrsi protokoll (`http://''-nek vagy valami hasonlnak kell
+<LI>Hiányzó vagy hibás elérési protokoll (`http://''-nek vagy valami hasonlónak kell
 lennie)
-<LI>Hinyz szervernv
-<LI>Az URL elrsi t rszben dupla escape szekvencia tallhat
-<LI>A szervernvben nem megengedett karakter tallhat; az alhzs karakter pldul ilyen
+<LI>Hiányzó szervernév
+<LI>Az URL elérési út részében dupla escape szekvencia található
+<LI>A szervernévben nem megengedett karakter található; az aláhúzás karakter például ilyen
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Hungarian/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Hungarian/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_LIFETIME_EXP	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Kapcsolat maximlis idtartama lejrt
+Kapcsolat maximális időtartama lejárt
 </STRONG>
 </UL>
 
 <P>
-A Squid megszaktotta a krs kiszolglst mivel a krs feldolgozsnak ideje a 
-maximlis kapcsolatfenntarts idtartamnak rtkt meghaladta.
+A Squid megszakította a kérés kiszolgálását mivel a kérés feldolgozásának ideje a 
+maximális kapcsolatfenntartás időtartamának értékét meghaladta.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_NO_RELAY squid-3.1.0.4/errors/Hungarian/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Hungarian/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_NO_RELAY	2009-01-23 18:37:27.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
@@ -20,5 +20,5 @@
 </UL>
 
 <P>
-Nincs a cache szmra WAIS szerver megadva! Szljon az adminisztrtornak.
+Nincs a cache számára WAIS szerver megadva! Szóljon az adminisztrátornak.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Hungarian/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Hungarian/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-A cache-ben rvnyes dokumentum nem tallhat s a krsben <code>only-if-cached</code>
-direktva volt belltva.
+A cache-ben érvényes dokumentum nem található és a kérésben <code>only-if-cached</code>
+direktíva volt beállítva.
 </STRONG>
 </UL>
 
 <P>
 
-Olyan krst kldtt el, amelyben <code>only-if-cached</code> cache vezrl direktva  
-tallhat. A dokumentum nincs a cache-ben <em>vagy</em> a dokumentum
-rvnyessg-ellenrzst ignyelt volna, ezt azonban az <code>only-if-cached</code>
-direktva megtiltotta.
+Olyan kérést küldött el, amelyben <code>only-if-cached</code> cache vezérlő direktíva  
+található. A dokumentum nincs a cache-ben <em>vagy</em> a dokumentum
+érvényesség-ellenőrzést igényelt volna, ezt azonban az <code>only-if-cached</code>
+direktíva megtiltotta.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_READ_ERROR squid-3.1.0.4/errors/Hungarian/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Hungarian/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_READ_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Olvassi hiba
+Olvasási hiba
 </STRONG>
 </UL>
 
 <P>
-A rendszer vlasza:
+A rendszer válasza:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Hiba trtnt az adatok hlzatrl val olvassakor. Ismtelje meg krst!
+Hiba történt az adatok hálózatról való olvasásakor. Ismételje meg kérését!
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Hungarian/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Hungarian/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_READ_TIMEOUT	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Olvassi idtllps
+Olvasási időtúllépés
 </STRONG>
 </UL>
 
 <P>
-A rendszer vlasza:
+A rendszer válasza:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Idtllps trtnt mialatt az adatok hlzatrl val olvassra vrakozott a cache.
-A hlzat vagy a szerver nem elrhet vagy tlterhelt llapotban van. Ismtelje meg
-krst!
+Időtúllépés történt mialatt az adatok hálózatról való olvasására várakozott a cache.
+A hálózat vagy a szerver nem elérhető vagy túlterhelt állapotban van. Ismételje meg
+kérését!
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Hungarian/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Hungarian/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_SHUTTING_DOWN	2009-01-23 18:37:27.000000000 +1300
@@ -1,20 +1,20 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
-A cache lellsra kszl s ezrt nem tudja kiszolglni a krst.
-Krjk, rvid id mlva ismtelje meg krst!</UL>
+A cache leállásra készül és ezért nem tudja kiszolgálni a kérését.
+Kérjük, rövid idő múlva ismételje meg kérését!</UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Hungarian/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Hungarian/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_SOCKET_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
@@ -20,10 +20,10 @@
 </UL>
 
 <P>
-A rendszer vlasza:
+A rendszer válasza:
 <PRE><I>    %E</I></PRE>
 
 <P>
-A Squid nem tud TCP socket-et ltrehozni, valsznleg a nagy terheltsg kvetkeztben.
-Ismtelje meg krst!
+A Squid nem tud TCP socket-et létrehozni, valószínűleg a nagy terheltség következtében.
+Ismételje meg kérését!
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_TOO_BIG squid-3.1.0.4/errors/Hungarian/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Hungarian/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_TOO_BIG	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2"></HEAD>
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"></HEAD>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-A krs vagy a vlasz tl nagy mret.
+A kérés vagy a válasz túl nagy méretű.
 </STRONG>
 <P>
-POST vagy PUT krs esetn a krs trzse (az az anyag
-amit feltltene) tl nagy mret. Ha GET tpus
-krsrl van sz, akkor a vlasz trzse (az az anyag amit ppen
-letltene) tl nagy mret. A cache-t mkdtet Internet 
-szolgltat vezette be ezeket a korltozsokat. Krjk, forduljon
-kzvetlenl szolgltatjhoz amennyiben a szerver helytelen
-belltsban ltja a hiba okt.
+POST vagy PUT kérés esetén a kérés törzse (az az anyag
+amit feltöltene) túl nagy méretű. Ha GET típusú
+kérésről van szó, akkor a válasz törzse (az az anyag amit éppen
+letöltene) túl nagy méretű. A cache-t működtető Internet 
+szolgáltató vezette be ezeket a korlátozásokat. Kérjük, forduljon
+közvetlenül szolgáltatójához amennyiben a szerver helytelen
+beállításában látja a hiba okát.
 </UL>
 <P>
-A cache adminisztrtora: <A HREF="mailto:%w%W">%w</A>.
+A cache adminisztrátora: <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_UNSUP_REQ squid-3.1.0.4/errors/Hungarian/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Hungarian/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_UNSUP_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-Nem tmogatott krsi metdus s protokoll
+Nem támogatott kérési metódus és protokoll
 </STRONG>
 </UL>
 
 <P>
-A Squid nem tmogat minden krsi metdust minden protokolltpushoz.
-Pldul nem lehet Gopher protokollhoz POST metdust alkalmazni.
+A Squid nem támogat minden kérési metódust minden protokolltípushoz.
+Például nem lehet Gopher protokollhoz POST metódust alkalmazni.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_URN_RESOLVE squid-3.1.0.4/errors/Hungarian/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Hungarian/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_URN_RESOLVE	2009-01-23 18:37:27.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URN nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URN nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>Az URN egy URL-je nem tlthet le</H2>
+<H2>Az URN egy URL-je nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URN letltsekor:
+Az alábbi URN letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
@@ -20,5 +20,5 @@
 </UL>
 
 <P>
-Nem rdemes tl sokat vrni a %T-n lv URN-ektl :)
+Nem érdemes túl sokat várni a %T-n lévő URN-ektől :)
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_WRITE_ERROR squid-3.1.0.4/errors/Hungarian/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Hungarian/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_WRITE_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-rsi hiba
+Írási hiba
 </STRONG>
 </UL>
 
 <P>
-A rendszer vlasza:
+A rendszer válasza:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Hiba trtnt az adatok hlzatra val rsakor. Ismtelje meg krst!
+Hiba történt az adatok hálózatra való írásakor. Ismételje meg kérését!
 </P>
diff -u -r -N squid-3.1.0.3/errors/Hungarian/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Hungarian/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Hungarian/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Hungarian/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<TITLE>HIBA: A krt URL nem tlthet le</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<TITLE>HIBA: A kért URL nem tölthető le</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>HIBA</H1>
-<H2>A krt URL nem tlthet le</H2>
+<H2>A kért URL nem tölthető le</H2>
 <HR noshade size="1px">
 <P>
-Az albbi URL letltsekor:
+Az alábbi URL letöltésekor:
 <A HREF="%U">%U</A>
 <P>
-a kvetkez hiba lpett fel:
+a következő hiba lépett fel:
 <UL>
 <LI>
 <STRONG>
-res vlasz
+Üres válasz
 </STRONG>
 </UL>
 
 <P>
-A Squid nem kapott semmilyen vlaszt a fenti krsre.
+A Squid nem kapott semmilyen választ a fenti kérésre.
 </P>
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_ACCESS_DENIED squid-3.1.0.4/errors/hy/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/hy/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_ACCESS_DENIED	2009-01-23 18:40:27.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Մուտքն արգելված է.</b></p> </blockquote>  <p>Մուտքի կառավարման պարամետրերը թույլ չեն տալիս կատարել Ձեր հարցումը տվյալ պահին.Եթե Դուք սա սխալ եք համարում,խնդրվում է դիմել Ձեր ինտերնետ ապահովողին․</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/hy/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/hy/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:27.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Մուտքն արգելված է.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Մուտքը քեշին արգելված է.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Խնդիրներ առաջանալու դեպքում խնդրվում է դիմել<a href="mailto:%w%W">քեշի կառավարիչին</a> կամ <a href="http://%h/cgi-bin/chpasswd.cgi">փոխել</a> Ձեր ընթացիկ գաղտնաբառը.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:27.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Մուտքն արգելված է.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Քեշի կառավառման մուտքն արգելված է.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or, if you <em>are</em> the administrator, read Squid documentation on cache manager interface and check cache log for more detailed error messages.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/hy/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/hy/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_CANNOT_FORWARD	2009-01-23 18:40:27.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Հնարավոր չէ վերահասցեագրել Ձեր հարցումը տվյալ պահին.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_CONNECT_FAIL squid-3.1.0.4/errors/hy/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/hy/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_CONNECT_FAIL	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>Հեռակա հանգույցը կամ ցանցը չեն պատասխանում. Խնդրվում է կրկնել հարցումը. </p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_DNS_FAIL squid-3.1.0.4/errors/hy/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/hy/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_DNS_FAIL	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Անհնար է որոշել <q>%H</q> հանգույցի IP հասցեն.</b></p> </blockquote>  <p>DNS սերվերի պատասխանը: </p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_ESI squid-3.1.0.4/errors/hy/ERR_ESI
--- squid-3.1.0.3/errors/hy/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_ESI	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/hy/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/hy/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FORWARDING_DENIED	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Վերահասցեագրումն արգելված է.</b></p> </blockquote>  <p>Այս քեշը անկարող է վերահասցեագրել Ձեր հարցումը sibling տիպի փոխհարաբերություններ հաստատելու պատճառով. Հավանական է,որ %i -ն սխալ սարքաբերված քեշ է.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_DISABLED squid-3.1.0.4/errors/hy/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/hy/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_DISABLED	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP արձանագրությունն արգելված է</b></p> </blockquote>  <p>This cache does not support FTP.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_FAILURE squid-3.1.0.4/errors/hy/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/hy/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_FAILURE	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL ի առաքման ժամանակ տեղի ունեցավ FTP արձանագրության սխալ: <a href="%U">%U</a></p>  <p>Squid-ը ուղարկեց հետևյալ FTP հրամանը: </p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/hy/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/hy/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_FORBIDDEN	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>URL ի առաքման ժամանակ տեղի ունեցավ FTP աութենտիֆիկացիայի սխալ: <a href="%U">%U</a></p>  <p>Squid-ը ուղարկեց հետևյալ FTP հրամանը: </p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_LISTING squid-3.1.0.4/errors/hy/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/hy/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_LISTING	2009-01-23 18:40:28.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/hy/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/hy/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_NOT_FOUND	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Հետևյալ URL չի կարող առաքվել: <a href="%U">%U</a></p>  <p>Squid-ը ուղարկեց հետևյալ FTP հրամանը: </p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Սա կարող է լինել FTP URL -ի բացարձակ ուղղով հարցման արդյունք (ինչը չի համապատասխանում RFC 1738-ին).  Եթե սա է սխալի պատճառը,ապա ֆայլը կարող է գնտվել այստեղ <a href="%B">%B</a>.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/hy/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/hy/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_PUT_CREATED	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Գործողությունը հաջողվեց: Ֆայլը ստեղծված է</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Գործողությունը հաջողվեց</h1> <h2>Ֆայլը ստեղծված է</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/hy/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/hy/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_PUT_ERROR	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP upload գործողությունը խափանվեց</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid-ը ուղարկեց հետևյալ FTP հրամանը: </p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/hy/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/hy/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_PUT_MODIFIED	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT գործողությունը հաջողվեց: Ֆայլը թարմացված </title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Գործողությունը հաջողվեց</h1> <h2>Ֆայլը թարմացված է</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/hy/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/hy/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_FTP_UNAVAILABLE	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid-ը ուղարկեց հետևյալ FTP հրամանը: </p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_ICAP_FAILURE squid-3.1.0.4/errors/hy/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/hy/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_ICAP_FAILURE	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_INVALID_REQ squid-3.1.0.4/errors/hy/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/hy/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_INVALID_REQ	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Հարցման մեթոդը բացակայում է կամ անհայտ է</p></li> <li><p>URL -ն բացակայում է</p></li> <li><p>HTTP իդենտիֆիկատորը բացակայում է (HTTP/1.0)</p></li> <li><p>Հարցման ծավալը շատ մեծ է</p></li> <li><p>POST կամ PUT հարցումների համար Content-Length չի նշված</p></li> <li><p>Անթույլատրելի նիշ սերվերի անվան մեջ;ընդգծման նիշն անթույլատրելի է</p></li> </ul>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_INVALID_RESP squid-3.1.0.4/errors/hy/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/hy/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_INVALID_RESP	2009-01-23 18:40:29.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_INVALID_URL squid-3.1.0.4/errors/hy/ERR_INVALID_URL
--- squid-3.1.0.3/errors/hy/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_INVALID_URL	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Invalid URL</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>Some possible problems are:</p> <ul> <li><p>Մուտքային արձանագրությունը սխալ է կամ բացակայում է (պետք է լինի <q>http://</q> կամ նման)</p></li> <li><p>Հանգույցի անունը բացակայում է</p></li> <li><p>Անթույլատրելի կրկնակի կառավարող նիշ URL ուղղում</p></li> <li><p>Անթույլատրելի նիշ սերվերի անվան մեջ;ընդգծման նիշն անթույլատրելի է</p></li> </ul>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_LIFETIME_EXP squid-3.1.0.4/errors/hy/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/hy/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_LIFETIME_EXP	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Կապ հաստատման ժամանակը սպառվեց </b></p> </blockquote>  <p>Squid-ը ընդհատեց հարցումը կապ հաստատման առավելագույն ժամանակը գերազանցելու պատճառով․.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_NO_RELAY squid-3.1.0.4/errors/hy/ERR_NO_RELAY
--- squid-3.1.0.3/errors/hy/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_NO_RELAY	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Wais Relay որոշված չէ </b></p> </blockquote>  <p>Այս քեշի համար WAIS Relay որոշված չէ! Հայտնեք կառավարիչին. </p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/hy/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/hy/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Օբյեկտը քեշում գտնված չէ; ձևավորվեց <q>only-if-cached</q> դիրեկտիվը.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_READ_ERROR squid-3.1.0.4/errors/hy/ERR_READ_ERROR
--- squid-3.1.0.3/errors/hy/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_READ_ERROR	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ընթերցման սխալ</b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>Ցանցից տվյալների ընթերցման ժամանակ առաջացավ սխալ.Խնդրվում է կրկնել հարցումը.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_READ_TIMEOUT squid-3.1.0.4/errors/hy/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/hy/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_READ_TIMEOUT	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Պատասխան սպասելու առավելագույն ժամանակը գերազանցված է</b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>Ցանցից տվյալների ընթերցման ընթացքում սպասման առավելագույն ժամանակը գերազանցվեց․Ցանցը կամ հանգույցը չեն աշխատում կամ գերբեռնված են։ Խնդրվում է կրկնել հարցումը</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/hy/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/hy/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/hy/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/hy/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_SHUTTING_DOWN	2009-01-23 18:40:30.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Այս քեշը տվյալ պահին գտնվում է անջատման պրոցեսում և չի կարող սպասարկել Ձեր հարցումը․Կրկնեք հարցումը որոշ ժամանակ անց․</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/hy/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/hy/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_SOCKET_FAILURE	2009-01-23 18:40:31.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket ձախողում </b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>Squid-ը չի կարող ստեղծել TCP Socket, հավանաբար գերբեռնվածության պատճառով․Խնդրվում է կրկնել հարցումը․ Եթե իրավիճակը կրկնվի, դիմեք քեշի կառավարիչին․ </p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_TOO_BIG squid-3.1.0.4/errors/hy/ERR_TOO_BIG
--- squid-3.1.0.3/errors/hy/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_TOO_BIG	2009-01-23 18:40:31.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Հարցումը կամ պատասխանը շատ մեծ ծավալ ունեն. </b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_UNSUP_REQ squid-3.1.0.4/errors/hy/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/hy/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_UNSUP_REQ	2009-01-23 18:40:31.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Չուղեկցվող մեթոդ և հարցման արձանագրություն </b></p> </blockquote>  <p>Squid-ը բոլոր արձանագրությունների համար բոլոր հարցման մեթոդները չի ուղեկցում . Օրինակ,Gopher արձանագրության համար չեք կարող POST հարցում կատարել. </p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_URN_RESOLVE squid-3.1.0.4/errors/hy/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/hy/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_URN_RESOLVE	2009-01-23 18:40:31.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Պահանջվող URN չի կարող առաքվել</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cannot Resolve URN</b></p> </blockquote>  <p>Չարժե շատ բան սպասել URN-ից %T -ի վրա :)</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_WRITE_ERROR squid-3.1.0.4/errors/hy/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/hy/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_WRITE_ERROR	2009-01-23 18:40:31.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Գրանցման սխալ </b></p> </blockquote>  <p id="sysmsg">Ստացված պատասխանը: <i>%E</i></p>  <p>Տվյալները ցանց ուղարկելու ժամանակ առաջացավ սխալ․ Խնդրվում է կրկնել հարցումը․</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/hy/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/hy/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/hy/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/hy/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:40:31.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ՍԽԱԼ: Պահանջվող URL չի կարող առաքվել</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Զրոյական երկարությամբ պատասխան </b></p> </blockquote>  <p>Squid did not receive any data for this request.</p>  <p>Ձեր քեշի կառավարիչը <a href="mailto:%w%W">%w</a> է.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_ACCESS_DENIED squid-3.1.0.4/errors/ja/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/ja/ERR_ACCESS_DENIED	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_ACCESS_DENIED	2009-01-23 18:40:40.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>アクセスを拒否されました。</b></p> </blockquote>  <p>設定されているアクセス制御の設定のため、今回はあなたからのリクエストは受けつけられません。この設定が正しくないと思われる場合には、このサービスの提供者へ連絡してください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>アクセスを拒否されました。</b></p> </blockquote>  <p>設定されているアクセス制御の設定のため、今回はあなたからのリクエストは受けつけられません。この設定が正しくないと思われる場合には、このサービスの提供者へ連絡してください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/ja/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/ja/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:40.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache アクセスを拒否されました。</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>キャッシュへのアクセスを拒否されました．</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or <a href="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.</p>  <br> </div>  <hr>  <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache アクセスを拒否されました。</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>キャッシュへのアクセスを拒否されました．</b></p> </blockquote>  <p>申し訳ありませんが、あなた自身の認証を済ませるまで、このキャッシュに %U をリクエストすることは現在許可されていません。</p>  <p>あなた自身の認証やデフォルトのパスワードの<a href="http://%h/cgi-bin/chpasswd.cgi">変更</a>困難な場合は、<a href="mailto:%w%W">キャッシュの管理者</a>に連絡してください。</p>  <br> </div>  <hr>  <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager アクセスを拒否されました。</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>キャッシュマネジャへのアクセスを拒否されました．</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Please contact the <a href="mailto:%w%W">cache administrator</a> if you have difficulties authenticating yourself or, if you <em>are</em> the administrator, read Squid documentation on cache manager interface and check cache log for more detailed error messages.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager アクセスを拒否されました。</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>キャッシュマネジャへのアクセスを拒否されました．</b></p> </blockquote>  <p>申し訳ありませんが、あなた自身の認証を済ませるまで、このキャッシュマネージャに %U をリクエストすることは現在許可されていません。</p>  <p>あなた自身の認証が困難な場合は、<a href="mailto:%w%W">キャッシュの管理者</a>に連絡してください。または、あなた<em>自身</em>が管理者なら、キャッシュマネージャ・インターフェイスのSquidの文書を読んで、キャッシュのログにある詳細なエラーメッセージを確認してください。</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/ja/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/ja/ERR_CANNOT_FORWARD	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_CANNOT_FORWARD	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to forward this request at this time.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>現在，リクエストの転送はできません．</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_CONNECT_FAIL squid-3.1.0.4/errors/ja/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/ja/ERR_CONNECT_FAIL	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_CONNECT_FAIL	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>%I への接続に失敗しました。</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>The remote host or network may be down.  Please try the request again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>%I への接続に失敗しました。</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>接続先のホストもしくはネットワークが稼働していません．しばらく待ってからもう一度試して下さい．</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_DNS_FAIL squid-3.1.0.4/errors/ja/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/ja/ERR_DNS_FAIL	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_DNS_FAIL	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unable to determine IP address from host name <q>%H</q></b></p> </blockquote>  <p>The DNS server returned:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>以下のホスト名の IP address を調べられません．<q>%H</q></b></p> </blockquote>  <p>DNSサーバの応答:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_ESI squid-3.1.0.4/errors/ja/ERR_ESI
--- squid-3.1.0.3/errors/ja/ERR_ESI	2008-12-05 16:12:36.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_ESI	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESIの処理に失敗しました。</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESIの処理に失敗しました。</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/ja/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/ja/ERR_FORWARDING_DENIED	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FORWARDING_DENIED	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>転送は拒否されました。</b></p> </blockquote>  <p>This cache will not forward your request because it is trying to enforce a sibling relationship.  Perhaps the client at %i is a cache which has been misconfigured.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>転送は拒否されました。</b></p> </blockquote>  <p>キャッシュ間における関係を強制的に兄弟関係となるようにしているため，キャッシュはあなたのリクエストを転送できませんでした．%i のキャッシュが誤った設定となっているかもしれません．</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_DISABLED squid-3.1.0.4/errors/ja/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/ja/ERR_FTP_DISABLED	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_DISABLED	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTPは無効です。</b></p> </blockquote>  <p>This cache does not support FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTPは無効です。</b></p> </blockquote>  <p>キャッシュは FTP をサポートしていません．</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_FAILURE squid-3.1.0.4/errors/ja/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/ja/ERR_FTP_FAILURE	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_FAILURE	2009-01-23 18:40:41.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>FTPのプロトコル・エラーが、以下のURLから情報を得ようとしている間に発生しました: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>FTPのプロトコル・エラーが、以下のURLから情報を得ようとしている間に発生しました: <a href="%U">%U</a></p>  <p>Squidは以下のFTPコマンドを送りました:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/ja/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/ja/ERR_FTP_FORBIDDEN	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_FORBIDDEN	2009-01-23 18:40:42.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>FTP認証の失敗が、以下のURLから情報を得ようとしている間に発生しました: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>FTP認証の失敗が、以下のURLから情報を得ようとしている間に発生しました: <a href="%U">%U</a></p>  <p>Squidは以下のFTPコマンドを送りました:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_LISTING squid-3.1.0.4/errors/ja/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/ja/ERR_FTP_LISTING	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_LISTING	2009-01-23 18:40:42.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP ディレクトリ: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP ディレクトリ: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>ディレクトリの内容:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTPのディレクトリの一覧"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="親のディレクトリ"></a></th> <th nowrap="nowrap"><a href="../">親のディレクトリ</a> (<a href="/">ルート・ディレクトリ</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/ja/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/ja/ERR_FTP_NOT_FOUND	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_NOT_FOUND	2009-01-23 18:40:42.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>以下のURLを取得できませんでした: <a href="%U">%U</a></p>  <p>Squidは以下のFTPコマンドを送りました:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>これは(RFC 1738に従っていない)絶対パスを含んだFTPのURLによる可能性があります。その場合に該当するなら、ファイルは<a href="%B">%B</a>に見つかるかもしれません。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/ja/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/ja/ERR_FTP_PUT_ERROR	2008-12-05 16:12:37.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_PUT_ERROR	2009-01-23 18:40:42.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>ファイルのPUTやアップロードに失敗</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>ファイルのPUTやアップロードに失敗</h2> </div> <hr>  <div id="content"> <p>以下の URL を PUT しようとした際に: <a href="%U">%U</a></p>  <p>Squidは以下のFTPコマンドを送りました:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/ja/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/ja/ERR_FTP_UNAVAILABLE	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_FTP_UNAVAILABLE	2009-01-23 18:40:42.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid sent the following FTP command:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>以下のURLを取得しようとしているとき、FTPサーバの負荷が高すぎました: <a href="%U">%U</a></p>  <p>Squidは以下のFTPコマンドを送りました:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_ICAP_FAILURE squid-3.1.0.4/errors/ja/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/ja/ERR_ICAP_FAILURE	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_ICAP_FAILURE	2009-01-23 18:40:42.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAPのプロトコル・エラーです。</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>ICAPサーバから不正な応答がありました。</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAPのプロトコル・エラーです。</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>ありそうな問題: </p> <ul> <li><p>ICAPサーバに到達到達できません。</p></li> <li><p>ICAPサーバから不正な応答がありました。</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_INVALID_REQ squid-3.1.0.4/errors/ja/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/ja/ERR_INVALID_REQ	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_INVALID_REQ	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>不正なリクエスト</b>のエラーが以下のリクエストを処理しようとしている間に発生しました:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>要求の方法が抜けているか不明です。</p></li> <li><p>URLがありません。</p></li> <li><p>HTTPの識別子(HTTP/1.0)がありません。</p></li> <li><p>Request is too large.</p></li> <li><p>POSTまたはPUTのリクエストにContent-Lengthヘッダがありません。</p></li> <li><p>ホスト名に不正な文字が使われています: アンダースコアは使えません。</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>不正なリクエスト</b>のエラーが以下のリクエストを処理しようとしている間に発生しました:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>ありそうな問題: </p> <ul> <li><p>要求の方法が抜けているか不明です。</p></li> <li><p>URLがありません。</p></li> <li><p>HTTPの識別子(HTTP/1.0)がありません。</p></li> <li><p>リクエストが長すぎます。</p></li> <li><p>POSTまたはPUTのリクエストにContent-Lengthヘッダがありません。</p></li> <li><p>ホスト名に不正な文字が使われています: アンダースコアは使えません。</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_INVALID_RESP squid-3.1.0.4/errors/ja/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/ja/ERR_INVALID_RESP	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_INVALID_RESP	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>不正なリクエスト</b>のエラーが以下のリクエストを処理しようとしている間に発生しました:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>不正なリクエスト</b>のエラーが以下のリクエストを処理しようとしている間に発生しました:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_INVALID_URL squid-3.1.0.4/errors/ja/ERR_INVALID_URL
--- squid-3.1.0.3/errors/ja/ERR_INVALID_URL	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_INVALID_URL	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>不正なURL</b></p> </blockquote>  <p>Some aspect of the requested URL is incorrect.</p>  <p>Some possible problems are:</p> <ul> <li><p>(<q>http://</q>または同類の)アクセス・プロトコルが抜けているか不正です。</p></li> <li><p>ホスト名がありません。</p></li> <li><p>不正な二重のエスケープがURLパスにあります。</p></li> <li><p>ホスト名に不正な文字が使われています: アンダースコアは使えません。</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>不正なURL</b></p> </blockquote>  <p>リクエストされたURLに不正な部分があります。</p>  <p>ありそうな問題: </p> <ul> <li><p>(<q>http://</q>または同類の)アクセス・プロトコルが抜けているか不正です。</p></li> <li><p>ホスト名がありません。</p></li> <li><p>不正な二重のエスケープがURLパスにあります。</p></li> <li><p>ホスト名に不正な文字が使われています: アンダースコアは使えません。</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_LIFETIME_EXP squid-3.1.0.4/errors/ja/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/ja/ERR_LIFETIME_EXP	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_LIFETIME_EXP	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>接続の存続時間が終了しました。</b></p> </blockquote>  <p>Squid has terminated the request because it has exceeded the maximum connection lifetime.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>接続の存続時間が終了しました。</b></p> </blockquote>  <p>最大の接続有効時間が過ぎたため、Squidはリクエストを終了しました。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_NO_RELAY squid-3.1.0.4/errors/ja/ERR_NO_RELAY
--- squid-3.1.0.3/errors/ja/ERR_NO_RELAY	2008-12-05 16:12:38.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_NO_RELAY	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Waisの中継先が指定されていません。</b></p> </blockquote>  <p>There is no WAIS Relay host defined for this Cache!  Yell at the administrator.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Waisの中継先が指定されていません。</b></p> </blockquote>  <p>WAIS リレー用ホストが定義されていません! 管理者に連絡してください．</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/ja/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/ja/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Valid document was not found in the cache and <q>only-if-cached</q> directive was specified.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b><q>only-if-cached</q> の指定がありましたが，その文書がキャッシュに存在していません．</b></p> </blockquote>  <p>キャッシュへの <q>only-if-cached</q> つきリクエストがありましたが，この文書はキャッシュに存在していないか，<em>あるいは</em>すでにキャッシュにはあるが(<q>only-if-cached</q> によって禁止されている)この文書が更新されているかどうかの再確認が必要です．</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_READ_ERROR squid-3.1.0.4/errors/ja/ERR_READ_ERROR
--- squid-3.1.0.3/errors/ja/ERR_READ_ERROR	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_READ_ERROR	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Error</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>ネットワークからデータを受信している間にエラーが発生しました。再度、リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>読み込みエラー</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>ネットワークからデータを受信している間にエラーが発生しました。再度、リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_READ_TIMEOUT squid-3.1.0.4/errors/ja/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/ja/ERR_READ_TIMEOUT	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_READ_TIMEOUT	2009-01-23 18:40:43.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Timeout</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>ネットワークからデータを読もうと待っている間にタイムアウトが発生しました。ネットワークもしくはサーバが稼働していないか、あるいは混雑しています。再度リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>読み込みタイムアウト</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>ネットワークからデータを読もうと待っている間にタイムアウトが発生しました。ネットワークもしくはサーバが稼働していないか、あるいは混雑しています。再度リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/ja/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/ja/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>%Iへの安全な接続を確立に失敗しました。</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>%Iへの安全な接続を確立に失敗しました。</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/ja/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/ja/ERR_SHUTTING_DOWN	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_SHUTTING_DOWN	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>このキャッシュは稼働停止の処理に入っていて、現在あなたのリクエストへのサービスを提供できません。後で再度リクエストしてください．</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/ja/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/ja/ERR_SOCKET_FAILURE	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_SOCKET_FAILURE	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Failure</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>Squid is unable to create a TCP socket, presumably due to excessive load. Please retry your request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ソケット作成に失敗</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>おそらく過大な負荷のため、SquidはTCPソケットを作成できませんでした。再度リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_TOO_BIG squid-3.1.0.4/errors/ja/ERR_TOO_BIG
--- squid-3.1.0.3/errors/ja/ERR_TOO_BIG	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_TOO_BIG	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>POSTまたはPUTの要求をしていたなら、アップロードしていた対象が大きすぎます。</p> <p>GETの要求をしていたなら、ダウンロードしようとしていた対象が大きすぎます。</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>リクエストまたはリプライが大きすぎます。</b></p> </blockquote>  <p>POSTまたはPUTの要求をしていたなら、アップロードしていた対象が大きすぎます。</p> <p>GETの要求をしていたなら、ダウンロードしようとしていた対象が大きすぎます。</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_UNSUP_REQ squid-3.1.0.4/errors/ja/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/ja/ERR_UNSUP_REQ	2008-12-05 16:12:39.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_UNSUP_REQ	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported Request Method and Protocol</b></p> </blockquote>  <p>Squid does not support all request methods for all access protocols. For example, you can not POST a Gopher request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>サポートされていないリクエスト/プロトコルです．</b></p> </blockquote>  <p>Squidはすべてのプロトコルに対して、すべてのリクエスト方式をサポートしているわけではありません。例えば、POSTをGopherのリクエストで行うことはできません。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_WRITE_ERROR squid-3.1.0.4/errors/ja/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/ja/ERR_WRITE_ERROR	2008-12-05 16:12:40.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_WRITE_ERROR	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Write Error</b></p> </blockquote>  <p id="sysmsg">The system returned: <i>%E</i></p>  <p>ネットワークにデータを送信している間にエラーが発生しました。再度リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>送信処理中にエラーが発生しました．</b></p> </blockquote>  <p id="sysmsg">システムが以下のエラーを返しました: <i>%E</i></p>  <p>ネットワークにデータを送信している間にエラーが発生しました。再度リクエストしてください。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ja/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/ja/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/ja/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:12:40.000000000 +1300
+++ squid-3.1.0.4/errors/ja/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:40:44.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: The requested URL could not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zero Sized Reply</b></p> </blockquote>  <p>Squid did not receive any data for this request.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>エラー: リクエストされた URL は取得できませんでした</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>サイズがゼロの応答</b></p> </blockquote>  <p>このリクエストにに対してSquidは何もデータを受け取りませんでした。</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>%h (%s)が%Tに生成しました。</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Japanese/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Japanese/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-Ǥޤ
-</STRONG>
-<P>
-ꤵƤ륢ΤᡤʤΥꥯȤϼ
-Ĥޤ󡥤꤬ʤȻפˤϡΥӥδ
-ԤϢƤ
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Japanese/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Japanese/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,36 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: åλȤϵݤޤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>顼</H1>
-<H2>åλȤϵݤޤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-åλȤϵݤޤ
-</STRONG>
-</UL>
-</P>
-
-<P>ʤϸ߰ʲ URL ǼƤ뤳ȤƤޤ:
-<PRE>    %U</PRE>
-뤿ˤϡʤʤȤǤ뤳Ȥǧڤɬפޤ
-</P>
-
-<P>
-Netscape Navigator ΥС 2.0 ʹߡMicrosoft Internet Exploror 
-С 3.0 ʹߡ⤷ HTTP/1.1  Web ֥饦ȤȤˤ
-äơǧڤԤȤǤޤ⤷ʤʤȤǧڤԤ
-񤷤ˤϡ<A HREF="mailto:%w%W">å</a>Ϣ뤫
-ʤΥǥեȤΥѥɤ
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">ѹ</a>Ƥ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Japanese/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Japanese/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,35 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: åޥͥλȤϵݤޤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>顼</H1>
-<H2>åޥͥλȤϵݤޤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-åޥͥλȤϵݤޤ
-</STRONG>
-</UL>
-</P>
-
-<P>ʤϸ߰ʲ URL ǼƤ뤳ȤƤޤ:
-<PRE>    %U</PRE>
-뤿ˤϡʤʤȤǤ뤳Ȥǧڤɬפޤ
-</P>
-
-<P> Netscape Navigator ΥС 2.0 ʹߡMicrosoft Internet Exploror 
-С 3.0 ʹߡ⤷ HTTP/1.1  Web ֥饦ȤȤˤ
-äơǧڤԤȤǤޤ⤷ʤʤȤǧڤԤ
-񤷤ˤϡ<A HREF="mailto:%w%W">å</a>Ϣ뤫
-⤷<em>ʤ</em>ԤʤСSquid Υåޥͥ㥤󥿡
-ե˴ؤʸɤߤޤ礦ޤ顼ξܤƤΤ뤿
-ǧƤ</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Japanese/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Japanese/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-ߡꥯȤžϤǤޤ
-</STRONG>
-</UL>
-
-<P>
-ʤΥꥯȤϡΥФ⤷¾οƥå奵ФžǤ
-ޤ󡥤ϼͳˤȯȹͤޤ:
-<UL>
-<LI>åԤΥФľ³ʤ褦ꤷ
-<LI>ꤵƤƤοƥå奵ФظãǤʤ
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Japanese/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Japanese/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-³Ǥޤ
-</STRONG>
-</UL>
-
-<P>
-ƥबʲΥ顼֤ޤ:
-<PRE><I>    %E</I></PRE>
-
-<P>
-³ΥۥȤ⤷ϥͥåȥƯƤޤ󡥤Ф餯ԤäƤ
-⤦ٻƲ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_DNS_FAIL squid-3.1.0.4/errors/Japanese/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Japanese/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<BLOCKQUOTE>
-ʲΥۥ̾ IP address Ĵ٤ޤ
-<I>%H</I>
-</BLOCKQUOTE>
-</UL>
-
-<P>
-DNS ФʲΥ顼֤ޤ:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-ΰ̣ϼ̤Ǥ:
-<PRE>
- å URL Υۥ̾ IP address Ĵ٤뤳ȤǤޤǤ
- ɥ쥹ְäƤʤǧƤ
-</PRE>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_ESI squid-3.1.0.4/errors/Japanese/ERR_ESI
--- squid-3.1.0.3/errors/Japanese/ERR_ESI	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>.</P>
-<P>This page is in english because a translation has not been made. If you are able to, please create a translation and contact the squid project to get it included.</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Japanese/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Japanese/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-žϵݤޤ
-</STRONG>
-</UL>
-
-<P>
-å֤ˤطŪ˷طȤʤ褦ˤƤ뤿ᡤ
-ϤʤΥꥯȤžǤޤǤ%i Υå夬ä
-ȤʤäƤ뤫⤷ޤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_DISABLED squid-3.1.0.4/errors/Japanese/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-FTP ϻȤޤ
-</STRONG>
-</UL>
-
-<P>
-å FTP 򥵥ݡȤƤޤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_FAILURE squid-3.1.0.4/errors/Japanese/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤˡFTP ץȥ륨顼ȯޤ:
-<A HREF="%U">%U</A>
-<P>
-Squid ϰʲ ftp ޥɤޤ:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-Τ褦ʷ̤ޤ
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-餯FTP URL ХѥȤʤäƤ餫⤷ޤ(
-RFC 1738 ˽äƤޤ)⤷줬ʤСե
-<A HREF="%B">%B</A> ˤ뤫⤷ޤ
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Japanese/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲURL褦ȤƤȤFTPǧڤμԤȯޤ:
-<A HREF="%U">%U</A>
-<P>
-SquidϰʲFTPޥɤޤ:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ơͤʱޤ
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Japanese/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲURLǤޤǤ:
-<A HREF="%U">%U</A>
-<P>
-SquidϰʲFTPޥɤޤ:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ơͤʱޤ
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-(RFC 1738˽äƤʤ)ХѥޤFTPURLˤǽޤ
-ξ˳ʤ顢ե<A HREF="%B">%B</A>˸Ĥ뤫⤷ޤ
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Japanese/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>FTP PUT : եޤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ޤ</H1>
-<H2>եޤ</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Japanese/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: FTP åץɤϼԤޤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>FTP åץɤϼԤޤ<H2>
-<HR noshade size="1px">
-<P>
-ʲ URL  PUT 褦Ȥݤ:
-<A HREF="%U">%U</A>
-<P>
-Squid ϰʲ ftp ޥɤޤ:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-Τ褦ʷ̤ޤ
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-ΰ̣ϼ̤Ǥ:
-<PRE>
-  ѥѡߥå󡤥ǥζ̤ǧٻƤ
-</PRE>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Japanese/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>FTP PUT : ե򹹿ޤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ޤ</H1>
-<H2>ե򹹿ޤ</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Japanese/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Japanese/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲURL褦ȤƤȤFTPФ٤⤹ޤ:
-<A HREF="%U">%U</A>
-<P>
-SquidϰʲFTPޥɤޤ:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ơͤʱޤ
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Japanese/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Japanese/ERR_ICAP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_INVALID_REQ squid-3.1.0.4/errors/Japanese/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Japanese/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-ʥꥯȤǤ
-</STRONG>
-</UL>
-
-<P>
-HTTP ˤꥯȤǤǽΤϰʲ̤Ǥ:
-<UL>
-<LI>ꥯˡꤵƤʤ뤤Ǥ
-<LI>URL ޤ
-<LI>HTTP ʸ󤬤ޤ (HTTP/1.0)
-<LI>ꥯȤĹޤ
-<LI>POST/PUT ꥯȤˤ Content-Length ޤ
-<LI>ۥ̾ʸȤƤޤ: ϻȤޤ
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_INVALID_RESP squid-3.1.0.4/errors/Japanese/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Japanese/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to process the request:
-<PRE>
-%R
-</PRE>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Invalid Response
-</STRONG>
-</UL>
-
-<P>
-The HTTP Response message received from the contacted server
-could not be understood or was otherwise malformed. Please contact
-the site operator. Your cache administrator may be able to provide
-you with more details about the exact nature of the problem if needed.
-
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_INVALID_URL squid-3.1.0.4/errors/Japanese/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Japanese/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
- URL Ǥ
-</STRONG>
-</UL>
-
-<P>
-URL ǤǽΤϰʲ̤Ǥ:
-<UL>
-<LI>ץȥ뤬ꤵƤʤ뤤ϴְäƤޤ
-('http://' ʤɤΤ褦ˤʤäƤʤФޤ)
-<LI>ۥ̾ޤ
-<LI>URL ѥ¿ťפޤ
-<LI>ۥ̾ʸȤƤޤ: ϻȤޤ
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Japanese/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Japanese/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-³ǽʻ֤ۤޤ
-</STRONG>
-</UL>
-
-<P>
-³ǽ֤ۤƤޤäᡤSquid ׵λޤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_NO_RELAY squid-3.1.0.4/errors/Japanese/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Japanese/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-WAIS 졼ޤ
-</STRONG>
-</UL>
-
-<P>
-WAIS 졼ѥۥȤƤޤ! ԤϢƤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Japanese/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Japanese/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-<code>only-if-cached</code> λ꤬ޤʸ񤬥å
-¸ߤƤޤ
-</STRONG>
-</UL>
-
-<P>
-
-åؤ <code>only-if-cached</code> ĤꥯȤޤ
-ʸϥå¸ߤƤʤ<em>뤤</em>Ǥ˥å
-ˤϤ뤬(<code>only-if-cached</code> ˤäƶػߤƤ)ʸ
-Ƥ뤫ɤκƳǧɬפǤ
-
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_READ_ERROR squid-3.1.0.4/errors/Japanese/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Japanese/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-˥顼ȯޤ
-</STRONG>
-</UL>
-
-<P>
-ƥबʲΥ顼֤ޤ:
-<PRE><I>    %E</I></PRE>
-
-<P>
-ͥåȥǡƤ֤˥顼ȯޤ٥ꥯ
-ȤƤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Japanese/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Japanese/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-ϻڤˤʤޤ
-</STRONG>
-</UL>
-
-<P>
-ƥबʲΥ顼֤ޤ:
-<PRE><I>    %E</I></PRE>
-
-<P>
-ͥåȥǡɤ߽ФƤ֤˥ॢȤȯޤ
-ͥåȥ⤷ϥФƯƤʤ뤤ϺƤޤ
-٥ꥯȤƤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Japanese/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Japanese/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Japanese/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Japanese/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<P>
-ΥåϲƯߤνäƤơ
-ߤʤΥꥯȤؤΥӥ󶡤Ǥޤ
-Ǻ٥ꥯȤƤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Japanese/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Japanese/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-åȺ˼Ԥޤ
-</STRONG>
-</UL>
-
-<P>
-ƥबʲΥ顼֤ޤ:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Squid  TCP åȤǤޤ󡥤餯٤⤹뤫Ǥ礦
-٥ꥯȤƤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_TOO_BIG squid-3.1.0.4/errors/Japanese/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Japanese/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-ꥯȤޤϥץ饤礭ޤ
-</STRONG>
-<P>
-POSTPUTΥꥯȤ򤷤Ƥʤ顢ʤΥꥯȤ
-(ʤåץɤߤ褦ȤƤ)礭ޤ
-GETΥꥯȤ򤷤Ƥʤ顢ץ饤(ɤ褦
-ȤƤ)礭ޤ¤ϡΥå
-ѼԤˤäƲݤƤޤ
-줬顼ȴȤľܱѼԤϢƲ
-</UL>
-<P>
-åδԤ<A HREF="mailto:%w%W">%w</A>Ǥ
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_UNSUP_REQ squid-3.1.0.4/errors/Japanese/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Japanese/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-ݡȤƤʤꥯ/ץȥǤ
-</STRONG>
-</UL>
-
-<P>
-Squid ƤΥץȥФƤΥꥯȤ򥵥ݡȤƤ櫓
-Ϥޤ㤨СGopher ꥯȤФ POST ϼ¹ԤǤޤ
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_URN_RESOLVE squid-3.1.0.4/errors/Japanese/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Japanese/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-URN Ĵ٤ޤǤ
-</STRONG>
-</UL>
-
-<P>
-%T  URN ͽۤƤϤޤ:)
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_WRITE_ERROR squid-3.1.0.4/errors/Japanese/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Japanese/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-˥顼ȯޤ
-</STRONG>
-</UL>
-
-<P>
-ƥबʲΥ顼֤ޤ:
-<PRE><I>    %E</I></PRE>
-
-<P>
-ͥåȥإǡƤ֤˥顼ȯޤ٥ꥯ
-ȤƤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Japanese/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Japanese/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Japanese/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Japanese/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-JP">
-<TITLE>顼: ꥯȤ줿 URL ϼǤޤǤ</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>顼</H1>
-<H2>ꥯȤ줿 URL ϼǤޤǤ</H2>
-<HR noshade size="1px">
-<P>
-ʲ URL ݤ:
-<A HREF="%U">%U</A>
-<P>
-Υ顼ȯޤ:
-<UL>
-<LI>
-<STRONG>
-Ȥޤ
-</STRONG>
-</UL>
-
-<P>
-Squid ϲȤޤǤ
-</P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Korean/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Korean/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
- ̿ 䱸 Ǿϴ.
+서버 이용 요구가 거절되었습니다.
 </STRONG>
 <P>
-  ̿ϱ ؼ ̿ 㰡 ʿմϴ.
-ڿ  Ͻʽÿ.
+이 서버를 이용하기 위해서는 이용 허가가 필요합니다.
+관리자에게 문의 하십시오.
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Korean/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Korean/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: ĳ ̿ Ұ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 캐쉬 이용 불가</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ĳ ̿ Ұ</H2>
+<H1>에러</H1>
+<H2>캐쉬 이용 불가</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-ĳ ̿ û Ǿϴ. 
+캐쉬 이용 요청이 거절되었습니다. 
 </STRONG>
 </UL>
 </P>
 
-<P>˼մϴ.  ĳ   񽺸 ޱ ؼ
+<P>죄송합니다. 이 캐쉬를 통해 다음 서비스를 받기 위해서는
 <PRE>	%U</PRE>
- ľ մϴ.
+인증절차를 거쳐야 합니다.
 </P>
 
 <P>
-  ؼ Netscape 2.0 ̻ ̳, Microsoft 
-Internet Explorer 3.0 Ǵ HTTP/1.1 Ǵ  
-ؾ մϴ.    <A HREF="mailto:%w%W">ĳ </a> 
- ûϽðų ó οǴ н带  
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">ٲٽʽÿ.</a> 
+인증 절차를 위해서는 Netscape 2.0 이상의 버젼이나, Microsoft 
+Internet Explorer 3.0 또는 HTTP/1.1이 지원되는 브라우져를 
+사용해야 합니다. 문제가 있을 때는 <A HREF="mailto:%w%W">캐쉬 관리자</a> 
+에게 요청하시거나 처음에 부여되는 패스워드를  
+<A HREF="http://%h/cgi-bin/chpasswd.cgi">바꾸십시오.</a> 
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Korean/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Korean/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: ĳ Ŵ ̿ Ұ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 캐쉬 매니저 이용 불가</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ĳ ޴ ̿ Ұ</H2>
+<H1>에러</H1>
+<H2>캐쉬 메니저 이용 불가</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-ĳ Ŵ ̿ û Ǿϴ.
+캐쉬 매니저 이용 요청이 거절되었습니다.
 </STRONG>
 </UL>
 </P>
 
-<P>˼մϴ.  ĳ Ŵ   񽺸 ޱ ؼ
+<P>죄송합니다. 이 캐쉬 매니저를 통해 다음 서비스를 받기 위해서는
 <PRE>	%U</PRE>
- ľ մϴ.
+인증절차를 거쳐야 합니다.
 </P>
 
 <P>
-  ؼ Netscape 2.0 ̻ ̳, Microsoft 
-Internet Explorer 3.0 Ǵ HTTP/1.1 Ǵ  
-ؾ մϴ.    <A HREF="mailto:%w%W">ĳ </a> 
-  ûϽʽÿ. <em> 쿡 </em> ĳ Ŵ
-̽  Squid  Ͻð, ڼ  ޽  
-ؼ ĳ α׸ Ͻʽÿ.
+인증 절차를 위해서는 Netscape 2.0 이상의 버젼이나, Microsoft 
+Internet Explorer 3.0 또는 HTTP/1.1이 지원되는 브라우져를 
+사용해야 합니다. 문제가 있을 때는 <A HREF="mailto:%w%W">캐쉬 관리자</a> 
+에게 도움을 요청하십시오. <em>관리자의 경우에는 </em> 캐쉬 매니저
+인터페이스에 관한 Squid 문서를 참조하시고, 자세한 에러 메시지를  
+위해서는 캐쉬 로그를 참조하십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Korean/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Korean/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_CANNOT_FORWARD	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-μ  û  ų  ϴ.
+현재로서는 이 요청을 진행 시킬 수 없습니다.
 </STRONG>
 </UL>
 
 <P>
- û origin server ٸ parent cache  ų  ϴ.
-     ֽϴ.
+이 요청을 origin server나 다른 parent cache로 진행 시킬 수 없습니다.
+다음과 같은 원인이 있을 수 있습니다.
 <UL>
-<LI> ĳ origin server   Ұ ϵ ĳ ڿ 
- Ǿ.
-<LI> parent cache  Ұ ϴ. 
+<LI>이 캐쉬는 origin server로 직접 연결이 불가능 하도록 캐쉬 관리자에 
+의해 설정되었다.
+<LI>모든 parent cache로의 접속이 불가능 하다. 
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Korean/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Korean/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_CONNECT_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
- 
+접속 실패
 </STRONG>
 </UL>
 
 <P>
-ý Ʒ  ޽ Խϴ:
+시스템은 아래와 같은 메시지를 보내왔습니다:
 <PRE><I>    %E</I></PRE>
 
 <P>
- ȣƮ Ʈ  ʽϴ. ٽ õϽʽÿ.
+상대 호스트나 네트웍이 동작하지 않습니다. 다시 시도하십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_DNS_FAIL squid-3.1.0.4/errors/Korean/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Korean/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_DNS_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H2>û URL   ϴ.</H2>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <BLOCKQUOTE>
-<I>%H</I> ؼ IP ּҸ ã  ϴ.
+<I>%H</I>에 대해서 IP 주소를 찾을 수 없습니다.
 </BLOCKQUOTE>
 </UL>
 
 <P>
-     ޽ Խϴ:
+도메인 네임 서버가 다음과 같은 메시지를 보내왔습니다:
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
 
 <P>
-̰ ǹ̴  ϴ:
+이것의 의미는 다음과 같습니다:
 <PRE>
- ĳ URL õ ȣƮ ̸ ó  ϴ.
-ּҰ ùٸ ȮϽʽÿ.
+이 캐쉬는 URL에 명시된 호스트 이름을 처리할 수 없습니다.
+주소가 올바른지 확인하십시오.
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Korean/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Korean/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FORWARDING_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
- Ұ
+포워딩 불가
 </STRONG>
 </UL>
 
 <P>
- ĳ sibling  Ǿ ֱ   û ó  
-ϴ. %i  client ߸  ĳ  ֽϴ.
+이 캐쉬는 sibling 관계로 설정되어 있기 때문에 이 요청을 처리할 수 
+없습니다. %i 의 client가 잘못 설정된 캐쉬일 수 있습니다.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_DISABLED squid-3.1.0.4/errors/Korean/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Korean/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_DISABLED	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-FTP 񽺰 Ұ մϴ. 
+FTP 서비스가 불가능 합니다. 
 </STRONG>
 </UL>
 
 <P>
- ĳ FTP 񽺸  ʽϴ.
+이 캐쉬는 FTP 서비스를 지원하지 않습니다.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_FAILURE squid-3.1.0.4/errors/Korean/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Korean/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ  FTP   ߻߽ϴ:
+다음 URL을 처리 하던 중 FTP 프로토콜 에러가 발생했습니다:
 <A HREF="%U">%U</A>
 <P>
-Squid   FTP ɾ ߰:
+Squid는 다음과 같은 FTP 명령어를 전송했고:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ʒ  ޾ҽϴ.
+아래의 응답을 받았습니다.
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Korean/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Korean/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_FORBIDDEN	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ  FTP   ߻߽ϴ:
+다음 URL을 처리 하던 중 FTP 인증 문제가 발생했습니다:
 <A HREF="%U">%U</A>
 <P>
-Squid   FTP ɾ ߰:
+Squid는 다음과 같은 FTP 명령어를 전송했고:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ʒ  ޾ҽϴ.
+아래의 응답을 받았습니다.
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Korean/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Korean/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_NOT_FOUND	2009-01-23 18:37:27.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ߽ϴ:
+다음 URL이 처리되지 못했습니다:
 <A HREF="%U">%U</A>
 <P>
-Squid   FTP ɾ ߰:
+Squid는 다음과 같은 FTP 명령어를 전송했고:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ʒ  ޾ҽϴ.
+아래의 응답을 받았습니다.
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-FTP URL  η Ͽ  (RFC 1738 ߳ϴ) 
-̷  ߻  ֽϴ.  쿡, 
-<A HREF="%B">%B</A>   ֽϴ.
+FTP URL을 절대 경로로 지정하였을 때 (RFC 1738에 어긋납니다) 
+이러한 문제가 발생될 수 있습니다. 이 경우에는, 파일이
+<A HREF="%B">%B</A>에 있을 수 있습니다.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Korean/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Korean/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_PUT_CREATED	2009-01-23 18:37:27.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>FTP PUT  Ϸ:  Ǿϴ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>FTP PUT 수행 완료: 파일이 생성되었습니다</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1> Ϸ</H1>
-<H2> Ǿϴ</H2>
+<H1>수행 완료</H1>
+<H2>파일이 생성되었습니다</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Korean/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Korean/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_PUT_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: FTP upload </TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: FTP upload 실패</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>FTP PUT/upload </H2>
+<H1>에러</H1>
+<H2>FTP PUT/upload 실패</H2>
 <HR noshade size="1px">
 <P>
- URL ϴ :
+다음 URL을 전송하던 중:
 <A HREF="%U">%U</A>
 <P>
-Squid   FTP ɾ ߰:
+Squid는 다음과 같은 FTP 명령어를 전송했고:
 <PRE><STRONG>
 	%f
 </STRONG></PRE>
-Ʒ  ޾ҽϴ.
+아래의 응답을 받았습니다.
 <PRE><STRONG>
 	%F
 </STRONG></PRE>
 
 <P>
-̰ ǹ̴  ϴ:
+이것의 의미는 다음과 같습니다:
 <PRE>
-ο ۹̼ǰ ũ 뷮 Ȯϰ ٽ õϽʽÿ.   
+경로와 퍼미션과 디스크 용량를 확인하고 다시 시도하십시오.   
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Korean/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Korean/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>FTP PUT  Ϸ:  Ǿϴ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>FTP PUT 수행 완료: 파일이 변경되었습니다</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1> Ϸ</H1>
-<H2> Ǿϴ</H2>
+<H1>수행 완료</H1>
+<H2>파일이 변경되었습니다</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Korean/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Korean/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
-FTP  䱸   URL ó  ϴ:
+FTP 서버에 요구가 몰려 다음 URL을 처리할 수 없습니다:
 <A HREF="%U">%U</A>
 <P>
-Squid   FTP ɾ ߰:
+Squid는 다음과 같은 FTP 명령어를 전송했고:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ʒ  ޾ҽϴ.
+아래의 응답을 받았습니다.
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_INVALID_REQ squid-3.1.0.4/errors/Korean/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Korean/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_INVALID_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- û ó ϴ :
+다음 요청을 처리 하던 중:
 <PRE>
 %R
 </PRE>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-߸ û
+잘못된 요청
 </STRONG>
 </UL>
 
 <P>
-HTTP û    κ ߸  ֽϴ.
+HTTP 요청 방법중 다음과 같은 부분이 잘못될 수 있습니다.
 <UL>
-<LI>Request method ߸Ǿų  ִ.
-<LI>URL  ִ.
-<LI>HTTP Identifier (HTTP/1.0)  ִ.
-<LI>Request ʹ ũ.
-<LI>POST PUT û  Content-Length  ִ.
-<LI>ȣƮӿ ߸  ڰ ִ;   ʽϴ. 
+<LI>Request method가 잘못되었거나 빠져 있다.
+<LI>URL이 빠져 있다.
+<LI>HTTP Identifier (HTTP/1.0)이 빠져 있다.
+<LI>Request가 너무 크다.
+<LI>POST나 PUT 요청일 경우 Content-Length가 빠져 있다.
+<LI>호스트네임에 잘못 된 문자가 있다; 밑줄은 허용되지 않습니다. 
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_INVALID_URL squid-3.1.0.4/errors/Korean/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Korean/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_INVALID_URL	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-߸ URL
+잘못된 URL
 </STRONG>
 </UL>
 
 <P>
-URL   κ ߸  ֽϴ.
+URL중 다음과 같은 부분이 잘못될 수 있습니다.
 <UL>
-<LI>  ߸Ǿų  ִ. ('http://'    Ǿ ־ մϴ)
-<LI>ȣƮ  ִ.
-<LI>URL-Path double-escape ִ.
-<LI>ȣƮӿ ߸  ڰ ִ;   ʽϴ. 
+<LI>접속 프로토콜이 잘못되었거나 빠져 있다. ('http://' 와 같은 방식으로 되어 있어야 합니다)
+<LI>호스트네임이 빠져 있다.
+<LI>URL-Path에 double-escape이 있다.
+<LI>호스트네임에 잘못 된 문자가 있다; 밑줄은 허용되지 않습니다. 
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Korean/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Korean/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_LIFETIME_EXP	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-  ð Ǿϴ.
+접속 허용 시간이 경과되었습니다.
 </STRONG>
 </UL>
 
 <P>
-ִ   ð Ͽ Squidκ û Ǿϴ.
+최대 접속 허용 시간이 경과하여 Squid로부터의 요청이 중지되었습니다.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_NO_RELAY squid-3.1.0.4/errors/Korean/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Korean/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_NO_RELAY	2009-01-23 18:37:27.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-WAIS Relay ϴ.
+WAIS Relay가 없습니다.
 </STRONG>
 </UL>
 
 <P>
-  ĳ WAIS Relay ȣƮ Ǿ  ʽϴ. 
-   ûϽʽÿ.
+ 이 캐쉬는 WAIS Relay 호스트가 지정되어 있지 않습니다. 
+ 관리자 에게 요청하십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Korean/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Korean/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-ĳ ȿ   <code>only-if-cached</code> Ǿϴ.
+캐쉬에 유효한 문서가 없고 <code>only-if-cached</code>가 지정되었습니다.
 </STRONG>
 </UL>
 
 <P>
 
-<code>only-if-cached</code> Ǿ  ûǾϴ.
-û  ĳ ų, <em>Ȥ</em> Ȯ ؾ մϴ. 
+<code>only-if-cached</code>가 지정되어 문서가 요청되었습니다.
+요청된 문서가 캐쉬에 없거나, <em>혹은</em> 재확인을 해야 합니다. 
 
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_READ_ERROR squid-3.1.0.4/errors/Korean/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Korean/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_READ_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-б 
+읽기 에러
 </STRONG>
 </UL>
 
 <P>
-ý Ʒ  ޽ ԰:
+시스템은 아래와 같은 메시지를 보내왔고:
 <PRE><I>    %E</I></PRE>
 
 <P>
-͸ Ʈ  о   ߻߽ϴ.
-ٽ ûϽʽÿ.
+데이터를 네트웍을 통해 읽어오는 동안 에러가 발생했습니다.
+다시 요청하십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Korean/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Korean/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_READ_TIMEOUT	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-б ð ʰ
+읽기 시간 초과
 </STRONG>
 </UL>
 
 <P>
-ý Ʒ  ޽ ԰:
+시스템은 아래와 같은 메시지를 보내왔고:
 <PRE><I>    %E</I></PRE>
 
 <P>
-͸ Ʈ  о ٸ  ð Ͽϴ.
-Ʈ ȥ¿ ְų   Ҵ   ֽϴ.
-ٽ ûϽʽÿ.
+데이터를 네트웍을 통해 읽어오려고 기다리던 중 시간이 경과하였습니다.
+네트웍이 혼잡상태에 있거나 서버가 서비스 불능 상태일 수 있습니다.
+다시 요청하십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Korean/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Korean/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_SHUTTING_DOWN	2009-01-23 18:37:27.000000000 +1300
@@ -1,21 +1,21 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <P>
- ĳ 񽺸 ġ ϱ  
- û 񽺸   ϴ. 
-  ٽ õ ֽʽÿ.
+이 캐쉬는 서비스를 마치려고 하기 때문에 
+현재는 요청된 서비스를 수행할 수 없습니다. 
+조금 후 다시 시도해 주십시오.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Korean/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Korean/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_SOCKET_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-  
+소켓 생성 실패
 </STRONG>
 </UL>
 
 <P>
-ý Ʒ  ޽ Խϴ:
+시스템은 아래와 같은 메시지를 보내왔습니다:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Squid TCP    ϴ.
- ε    ֽϴ.
-ٽ õ ֽʽÿ.
+Squid가 TCP 소켓을 생성할 수 없습니다.
+심한 로드로 인한 결과일 수 있습니다.
+다시 시도해 주십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_UNSUP_REQ squid-3.1.0.4/errors/Korean/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Korean/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_UNSUP_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
- ʴ Request Method Դϴ.
+지원되지 않는 Request Method와 프로토콜입니다.
 </STRONG>
 </UL>
 
 <P>
-Squid   ݿ  request method 
- ʽϴ. Ѱ , Gopher POST
-request   ϴ. 
+Squid는 모든 접속 프로토콜에 대한 request method를 
+지원하지 않습니다. 한가지 예로, Gopher에서 POST
+request를 사용할 수 없습니다. 
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_URN_RESOLVE squid-3.1.0.4/errors/Korean/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Korean/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_URN_RESOLVE	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URN ó ϴ :
+다음 URN을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-URN ó  ϴ.
+URN을 처리할 수 없습니다.
 </STRONG>
 </UL>
 
 <P>
-%T URN  ʹ    . :)
+%T의 URN에 대해 너무 많은 것을 기대하지 마세요. :)
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_WRITE_ERROR squid-3.1.0.4/errors/Korean/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Korean/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_WRITE_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
- 
+쓰기 에러
 </STRONG>
 </UL>
 
 <P>
-ý Ʒ  ޽ ԰:
+시스템은 아래와 같은 메시지를 보내왔고:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Ʈ ؼ ͸    ߻߽ϴ.
-ٽ õ ֽʽÿ.
+네트웍을 통해서 데이터를 쓰던 중 에러가 발생했습니다.
+다시 시도해 주십시오.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Korean/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Korean/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Korean/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Korean/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=EUC-KR">
-<TITLE>: û URL   ϴ.</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>에러: 요청된 URL을 가져올 수 없습니다.</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>û URL   ϴ.</H2>
+<H1>에러</H1>
+<H2>요청된 URL을 가져올 수 없습니다.</H2>
 <HR noshade size="1px">
 <P>
- URL ó ϴ :
+다음 URL을 처리 하던 중:
 <A HREF="%U">%U</A>
 <P>
-Ʒ   ߻߽ϴ:
+아래와 같은 에러가 발생했습니다:
 <UL>
 <LI>
 <STRONG>
-ũⰡ 0  ƿԽϴ.
+크기가 0인 응답이 돌아왔습니다.
 </STRONG>
 </UL>
 
 <P>
-Squid  û  ƹ ͵  ߽ϴ.
+Squid는 이 요청으로 부터 아무런 데이터도 받지 못했습니다.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Lithuanian/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Lithuanian/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Prijimas draudiamas.
+Priėjimas draudžiamas.
 </STRONG>
 <P>
-Prijimo kontrols konfigracija iuo metu neleidia atsisti js
+Priėjimo kontrolės konfigūracija šiuo metu neleidžia atsiųsti jūsų
 nurodyto puslapio. Jei manote, kad tai yra neteisinga, galite susisiekti
-su js Interneto paslaug tiekju.
+su jūsų Interneto paslaugų tiekėju.
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Prijimas prie keo udraustas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Priėjimas prie kešo uždraustas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>KLAIDA</H1>
-<H2>Prijimas prie keo udraustas</H2>
+<H2>Priėjimas prie kešo uždraustas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Prijimas prie keo udraustas.
+Priėjimas prie kešo uždraustas.
 </STRONG>
 </UL>
 </P>
 
-<P>Atsipraome, bet js iuo metu negalite vykdyti uklausos:
+<P>Atsiprašome, bet jūs šiuo metu negalite vykdyti užklausos:
 <PRE>    %U</PRE>
-per  server, kol js neprisistatysite.
+per šį serverį, kol jūs neprisistatysite.
 </P>
 
 <P>
 Jums reikia Netscape v2.0 ar naujesnio, arba Microsoft Internet
-Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantanios periros
-programos. Praome susisiekti su <A HREF="mailto:%w%W">proxy 
+Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantančios peržiūros
+programos. Prašome susisiekti su <A HREF="mailto:%w%W">proxy 
 administratoriumi</a>, jei jums kils sunkumai prisistatant arba 
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">pakeisti</a> savo slaptaod.
+<A HREF="http://%h/cgi-bin/chpasswd.cgi">pakeisti</a> savo slaptažodį.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,36 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Keo menederio prijimas udraustas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Kešo menedžerio priėjimas uždraustas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 <H1>KLAIDA</H1>
-<H2>Keo menederio prijimas udraustas</H2>
+<H2>Kešo menedžerio priėjimas uždraustas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Keo menederio prijimas udraustas.
+Kešo menedžerio priėjimas uždraustas.
 </STRONG>
 </UL>
 </P>
 
-<P>Atsipraome, bet js negalite vykdyti uklausos:
+<P>Atsiprašome, bet jūs negalite vykdyti užklausos:
 <PRE>    %U</PRE>
-iam keo menederiui, kol js neprisistatysite.
+šiam kešo menedžeriui, kol jūs neprisistatysite.
 </P>
 
 <P> 
 Jums reikia Netscape v2.0 ar naujesnio, arba Microsoft Internet
-Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantanios periros
-programos. Praome susisiekti su <A HREF="mailto:%w%W">administratoriumi</a>, 
-jei jums ikilo problemos prisistatant arba, jei js <em>esate</em> 
-administratorius, perskaitykite Squid documentacij dl keo menederio 
-interfeiso ir patikrinkite keo urnal dl detalesni praneim apie
+Explorer 3.0 ar naujesnio, arba kitos HTTP/1.1 suprantančios peržiūros
+programos. Prašome susisiekti su <A HREF="mailto:%w%W">administratoriumi</a>, 
+jei jums iškilo problemos prisistatant arba, jei jūs <em>esate</em> 
+administratorius, perskaitykite Squid documentaciją dėl kešo menedžerio 
+interfeiso ir patikrinkite kešo žurnalą dėl detalesnių pranešimų apie
 klaidas.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Lithuanian/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Lithuanian/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_CANNOT_FORWARD	2009-01-23 18:37:27.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-iuo metu negaliu persisti uklausos.
+Šiuo metu negaliu persiųsti užklausos.
 </STRONG>
 </UL>
 
 <P>
-Uklausa negali bti persista  pagrindin server arba kur nors 
-pagalbin proxy server. Pagrindins tokios klaidos prieastys yra ios:
+Užklausa negali būti persiųsta į pagrindinį serverį arba kurį nors 
+pagalbinį proxy serverį. Pagrindinės tokios klaidos priežastys yra šios:
 <UL>
-<LI>Proxy administratorius neleidia serveriui kurti tiesiogini 
-    susijungim su serveriais, ir
-<LI>Visi pagalbiniai proxy serveriai iuo metu yra nepasiekiami.
+<LI>Proxy administratorius neleidžia serveriui kurti tiesioginių 
+    susijungimų su serveriais, ir
+<LI>Visi pagalbiniai proxy serveriai šiuo metu yra nepasiekiami.
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Lithuanian/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Lithuanian/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_CONNECT_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Ryys neveikia
+Ryšys neveikia
 </STRONG>
 </UL>
 
 <P>
-Sistema atsak:
+Sistema atsakė:
 <PRE><I>    %E</I></PRE>
 
 <P>
 Nurodytas serveris arba tinklas yra atjungtas. 
-Pabandykite vykdyti uklaus vliau.
+Pabandykite vykdyti užklausą vėliau.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_DNS_FAIL squid-3.1.0.4/errors/Lithuanian/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Lithuanian/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_DNS_FAIL	2009-01-23 18:37:27.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <BLOCKQUOTE>
-Nemanoma nustatyti <I>%H</I> serverio IP adreso
+Neįmanoma nustatyti <I>%H</I> serverio IP adreso
 </BLOCKQUOTE>
 </UL>
 
 <P>
-DNS serveris atsak:
+DNS serveris atsakė:
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
 
 <P>
-Tai reikia, kad:
+Tai reiškia, kad:
 <PRE>
- Nemanoma aptikti serverio nurodytu adresu. 
- Patikrinkite, ar teisingai vedte adres. 
+ Neįmanoma aptikti serverio nurodytu adresu. 
+ Patikrinkite, ar teisingai įvedėte adresą. 
 </PRE>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Lithuanian/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Lithuanian/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FORWARDING_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,7 +19,7 @@
 </UL>
 
 <P>
-is keas negali perkelti js uklausos, kadangi ji bando sukurti
-sibling tipo ryius. Gal bt klientas %i yra keas, kuris klaidingai
-sukonfigruotas.
+Šis kešas negali perkelti jūsų užklausos, kadangi ji bando sukurti
+sibling tipo ryšius. Gal būt klientas %i yra kešas, kuris klaidingai
+sukonfigūruotas.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_DISABLED squid-3.1.0.4/errors/Lithuanian/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_DISABLED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_DISABLED	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,5 +19,5 @@
 </UL>
 
 <P>
-is proxy serveris nepalaiko FTP.
+Šis proxy serveris nepalaiko FTP.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_FAILURE squid-3.1.0.4/errors/Lithuanian/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-vyko FTP protokolo klaida
-bandant atsisti puslap:
+Įvyko FTP protokolo klaida
+bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Squid nusiunt i FTP komand:
+Squid nusiuntė šią FTP komandą:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-ir gavo  atsakym:
+ir gavo šį atsakymą:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Lithuanian/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_FORBIDDEN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_FORBIDDEN	2009-01-23 18:37:27.000000000 +1300
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Nepavyko FTP prisistatymas bandant atsisti puslap:
+Nepavyko FTP prisistatymas bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Squid nusiunt i FTP komand:
+Squid nusiuntė šią FTP komandą:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-ir gavo  atsakym:
+ir gavo šį atsakymą:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Lithuanian/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_NOT_FOUND	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_NOT_FOUND	2009-01-23 18:37:27.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Nepavyko atsisti puslapio:
+Nepavyko atsiųsti puslapio:
 <A HREF="%U">%U</A>
 <P>
-Squid nusiunt i FTP komand:
+Squid nusiuntė šią FTP komandą:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-ir gavo  atsakym:
+ir gavo šį atsakymą:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-Tai gali bti slygota FTP adreso su pilnu keliu (kuris neatitinka
-RFC 1738 standarto). Jei taip atsitiko, tada duomenys gali bti
+Tai gali būti sąlygota FTP adreso su pilnu keliu (kuris neatitinka
+RFC 1738 standarto). Jei taip atsitiko, tada duomenys gali būti
 rasti <A HREF="%B">%B</A> adresu.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Lithuanian/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_PUT_CREATED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_PUT_CREATED	2009-01-23 18:37:27.000000000 +1300
@@ -1,9 +1,9 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>FTP PUT operacija buvo skminga: Failas sukurtas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>FTP PUT operacija buvo sėkminga: Failas sukurtas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>Operacija buvo skminga</H1>
+<H1>Operacija buvo sėkminga</H1>
 <H2>Failas sukurtas</H2>
 <HR noshade size="1px">
 <P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Lithuanian/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_PUT_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_PUT_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>KLAIDA: FTP uploadas nepavyko</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
@@ -7,20 +7,20 @@
 <H2>FTP PUT/uploadas nepavyko</H2>
 <HR noshade size="1px">
 <P>
-Bandydamas pakrauti dokument:
+Bandydamas pakrauti dokumentą:
 <A HREF="%U">%U</A>
 <P>
-Squid nusiunt i FTP komand:
+Squid nusiuntė šią FTP komandą:
 <PRE><STRONG>
         %f
 </STRONG></PRE>
-ir gavo tok atsakym:
+ir gavo tokį atsakymą:
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
-Tai reikia:
+Tai reiškia:
 <PRE>
-Patikrinkite keli, teises, disko talp ir pabandykite dar kart.
+Patikrinkite kelią, teises, disko talpą ir pabandykite dar kartą.
 </PRE>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Lithuanian/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,9 +1,9 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>FTP PUT operacija skminga: Failas atnaujintas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>FTP PUT operacija sėkminga: Failas atnaujintas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>Operacija skminga</H1>
+<H1>Operacija sėkminga</H1>
 <H2>Failas atnaujintas</H2>
 <HR noshade size="1px">
 <P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Lithuanian/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Lithuanian/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:27.000000000 +1300
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-FTP serveris buvo uimtas bandant atsisti puslap:
+FTP serveris buvo užimtas bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Squid nusiunt i FTP komand:
+Squid nusiuntė šią FTP komandą:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-ir gavo  atsakym:
+ir gavo šį atsakymą:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_INVALID_REQ squid-3.1.0.4/errors/Lithuanian/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Lithuanian/ERR_INVALID_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_INVALID_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,33 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant vykdyti uklaus:
+Bandant įvykdyti užklausą:
 <PRE>
 %R
 </PRE>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Neteisinga uklausa
+Neteisinga užklausa
 </STRONG>
 </UL>
 
 <P>
-Dalis HTTP uklausos yra klaidinga. Galimos problemos:
+Dalis HTTP užklausos yra klaidinga. Galimos problemos:
 <UL>
-<LI>Trksta arba neinomas uklausos metodas
-<LI>Trksta adreso
-<LI>Trksta HTTP identifikatoriaus (HTTP/1.0)
-<LI>Uklausa per didel
-<LI>Trksta Content-Length parametro POST arba PUT uklausoje
+<LI>Trūksta arba nežinomas užklausos metodas
+<LI>Trūksta adreso
+<LI>Trūksta HTTP identifikatoriaus (HTTP/1.0)
+<LI>Užklausa per didelė
+<LI>Trūksta Content-Length parametro POST arba PUT užklausoje
 <LI>Neleistinas simbolis serverio varde; pabraukimo simboliai yra neleistini
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_INVALID_RESP squid-3.1.0.4/errors/Lithuanian/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Lithuanian/ERR_INVALID_RESP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_INVALID_RESP	2009-01-23 18:37:27.000000000 +1300
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant vykdyti uklaus:
+Bandant įvykdyti užklausą:
 <PRE>
 %R
 </PRE>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -21,7 +21,7 @@
 </UL>
 
 <P>
-I serverio gautas nesuprantamas HTTP atsakymas arba jis buvo klaidingai
-suformuotas. Susisiekite su serverio operatoriumi. Js proxy serverio
-administratorius gali suteikti jums daugiau informacijos apie i problem.
+Iš serverio gautas nesuprantamas HTTP atsakymas arba jis buvo klaidingai
+suformuotas. Susisiekite su serverio operatoriumi. Jūsų proxy serverio
+administratorius gali suteikti jums daugiau informacijos apie šią problemą.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_INVALID_URL squid-3.1.0.4/errors/Lithuanian/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Lithuanian/ERR_INVALID_URL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_INVALID_URL	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,10 +19,10 @@
 </UL>
 
 <P>
-Kakuri adreso dalis yra klaidinga. Galimos ios problemos:
+Kažkuri adreso dalis yra klaidinga. Galimos šios problemos:
 <UL>
-<LI>Trksta arba klaidingas protokolas (turet bti `http://' ar panaus)
-<LI>Trksta serverio vardo
+<LI>Trūksta arba klaidingas protokolas (turetų būti `http://' ar panašus)
+<LI>Trūksta serverio vardo
 <LI>Neleistinas double-escape kodas adrese
 <LI>Neleistinas simbolis serverio varde; pabraukimo simboliai yra neleistini
 </UL>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Lithuanian/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Lithuanian/ERR_LIFETIME_EXP	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_LIFETIME_EXP	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Ryio trukms laiko pabaiga
+Ryšio trukmės laiko pabaiga
 </STRONG>
 </UL>
 
 <P>
-Squid nutrauk uklaus, kadangi ji virijo maksimali
-ryio trukms reikm.
+Squid nutraukė užklausą, kadangi ji viršijo maksimalią
+ryšio trukmės reikšmę.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_NO_RELAY squid-3.1.0.4/errors/Lithuanian/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Lithuanian/ERR_NO_RELAY	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_NO_RELAY	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Nra Wais Relay
+Nėra Wais Relay
 </STRONG>
 </UL>
 
 <P>
-WAIS Relay serveris yra nenurodytas iame proxy serveryje! 
-auk ant (tik ne ) admino.
+WAIS Relay serveris yra nenurodytas šiame proxy serveryje! 
+Šauk ant (tik ne į) admino.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -20,7 +20,7 @@
 </UL>
 
 <P>
-Js davte uklaus su <code>only-if-cached</code> proxy kontrols 
+Jūs davėte užklausą su <code>only-if-cached</code> proxy kontrolės 
 komanda. Dokumentas nerastas serveryje, <em>arba</em> jis pareikalavo
-patvirtinimo udrausto <code>only-if-cached</code> komandos.
+patvirtinimo uždrausto <code>only-if-cached</code> komandos.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_READ_ERROR squid-3.1.0.4/errors/Lithuanian/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Lithuanian/ERR_READ_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_READ_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,10 +19,10 @@
 </UL>
 
 <P>
-Sistema atsak:
+Sistema atsakė:
 <PRE><I>    %E</I></PRE>
 
 <P>
-vyko klaida skaitant duomenis tinkle. 
-Praome pakartoti savo uklaus.
+Įvyko klaida skaitant duomenis tinkle. 
+Prašome pakartoti savo užklausą.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Lithuanian/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Lithuanian/ERR_READ_TIMEOUT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_READ_TIMEOUT	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,10 +19,10 @@
 </UL>
 
 <P>
-Sistema atsak:
+Sistema atsakė:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Klaida vyko laukiant duomen atsiuntimo i tinklo. Tinklas arba serveris 
-gali bti atjungtas arba perkrautas. Praome pakartoti uklaus.
+Klaida įvyko laukiant duomenų atsiuntimo iš tinklo. Tinklas arba serveris 
+gali būti atjungtas arba perkrautas. Prašome pakartoti užklausą.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Lithuanian/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Lithuanian/ERR_SHUTTING_DOWN	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_SHUTTING_DOWN	2009-01-23 18:37:27.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <P>
-iuo metu keas yra ijungiamas ir negali js aptarnauti.
-Praome pakartoti uklaus vliau.
+Šiuo metu kešas yra išjungiamas ir negali jūsų aptarnauti.
+Prašome pakartoti užklausą vėliau.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Lithuanian/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Lithuanian/ERR_SOCKET_FAILURE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_SOCKET_FAILURE	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,10 +19,10 @@
 </UL>
 
 <P>
-Sistema atsak:
+Sistema atsakė:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Squid negaljo sukurti TCP socket, greiiausiai dl per didelio apkrovimo.
-Praome pakartoti savo uklaus.
+Squid negalėjo sukurti TCP socket, greičiausiai dėl per didelio apkrovimo.
+Prašome pakartoti savo užklausą.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_TOO_BIG squid-3.1.0.4/errors/Lithuanian/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Lithuanian/ERR_TOO_BIG	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_TOO_BIG	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Uklausa arba atsakymas yra per dideli.
+Užklausa arba atsakymas yra per dideli.
 </STRONG>
 <P>
-Jei js vykdote POST arba PUT uklaus, js uklausos dydis
-(tai, k js bandote nusisti) yra per didelis.  Jei js vykdote
-GET uklaus, atsakymo dydis (tai, k js bandote atsisisti)
-yra per didelis.  ie apribojimai yra udti js Interneto
-tiekjo.  Praome kreiptis  savo administratori arba Interneto
-tiekj, jei manote, kad tai neteisinga.
+Jei jūs vykdote POST arba PUT užklausą, jūsų užklausos dydis
+(tai, ką jūs bandote nusiųsti) yra per didelis.  Jei jūs vykdote
+GET užklausą, atsakymo dydis (tai, ką jūs bandote atsisiųsti)
+yra per didelis.  Šie apribojimai yra uždėti jūsų Interneto
+tiekėjo.  Prašome kreiptis į savo administratorių arba Interneto
+tiekėją, jei manote, kad tai neteisinga.
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_UNSUP_REQ squid-3.1.0.4/errors/Lithuanian/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Lithuanian/ERR_UNSUP_REQ	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_UNSUP_REQ	2009-01-23 18:37:27.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Nepalaikomas uklausos metodas ir protokolas
+Nepalaikomas užklausos metodas ir protokolas
 </STRONG>
 </UL>
 
 <P>
-Squid palaiko ne visus uklausos metodus daliai protokol.
-Pavyzdiui, js negalite vykdyti POST Gopher tipo uklausoje.
+Squid palaiko ne visus užklausos metodus daliai protokolų.
+Pavyzdžiui, jūs negalite vykdyti POST Gopher tipo užklausoje.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_URN_RESOLVE squid-3.1.0.4/errors/Lithuanian/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Lithuanian/ERR_URN_RESOLVE	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_URN_RESOLVE	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Nurodytas URN negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Nurodytas URN negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>puslapis nurodytam URN negali bti atsistas</H2>
+<H2>puslapis nurodytam URN negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti URN:
+Bandant atsiųsti URN:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,5 +19,5 @@
 </UL>
 
 <P>
-Mielieji, silau daug nesitikti i URN %T :)
+Mielieji, siūlau daug nesitikėti iš URNų %T :)
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_WRITE_ERROR squid-3.1.0.4/errors/Lithuanian/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Lithuanian/ERR_WRITE_ERROR	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_WRITE_ERROR	2009-01-23 18:37:27.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
-Raymo klaida
+Rašymo klaida
 </STRONG>
 </UL>
 
 <P>
-Sistema atsak:
+Sistema atsakė:
 <PRE><I>    %E</I></PRE>
 
 <P>
-vyko klaida bandant rayti tinkle. 
-Praome pakartoti savo uklaus.
+Įvyko klaida bandant rašyti tinkle. 
+Prašome pakartoti savo užklausą.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Lithuanian/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:27.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1257">
-<TITLE>KLAIDA: Puslapis nurodytu adresu negali bti atsistas</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>KLAIDA: Puslapis nurodytu adresu negali būti atsiųstas</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>KLAIDA</H1>
-<H2>Puslapis nurodytu adresu negali bti atsistas</H2>
+<H2>Puslapis nurodytu adresu negali būti atsiųstas</H2>
 <HR noshade size="1px">
 <P>
-Bandant atsisti puslap:
+Bandant atsiųsti puslapį:
 <A HREF="%U">%U</A>
 <P>
-Gautas klaidos praneimas:
+Gautas klaidos pranešimas:
 <UL>
 <LI>
 <STRONG>
@@ -19,5 +19,5 @@
 </UL>
 
 <P>
-Squid negavo joki duomen iai uklausai.
+Squid negavo jokių duomenų šiai užklausai.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Makefile.am squid-3.1.0.4/errors/Makefile.am
--- squid-3.1.0.3/errors/Makefile.am	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Makefile.am	2009-01-23 18:37:27.000000000 +1300
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.16 2008/02/24 12:10:30 hno Exp $
+# $Id$
 #
 
 errordir = $(datadir)/errors
@@ -14,6 +14,7 @@
 
 # List of automated translations possible:
 TRANSLATIONS = \
+	az \
 	bg \
 	ca \
 	cs \
@@ -21,39 +22,36 @@
 	de \
 	en en-au en-gb en-nz en-us \
 	es \
+	et \
+	fi \
 	fr \
+	hy \
 	id \
 	it \
 	ja \
 	nl \
 	pt-br \
+	ro \
 	ru \
+	sr \
 	sv \
+	tr \
 	uk \
 	zh-cn
 
 # Legacy language contributions...
 #
 LANGUAGES	= \
-		Armenian \
-		Azerbaijani \
-		Czech \
-		Estonian \
-		Finnish \
 		Greek \
 		Hebrew \
 		Hungarian \
-		Japanese \
 		Korean \
 		Lithuanian \
 		Polish \
 		Portuguese \
-		Romanian \
-		Serbian \
 		Simplify_Chinese \
 		Slovak \
-		Traditional_Chinese \
-		Turkish
+		Traditional_Chinese
 
 install-data-local: 
 	@for l in $(LANGUAGES); do \
@@ -141,7 +139,7 @@
 		  || exit 1; \
 	  fi; \
 	done; \
-	cp $(srcdir)/errorpage.css  $(distdir)/errorpage.css
+	cp -p $(srcdir)/errorpage.css  $(distdir)/errorpage.css
 
 translate:
 	@ if test "$(PO2HTML)" != "" && test "$(PO2HTML)" != "no"; then \
diff -u -r -N squid-3.1.0.3/errors/Makefile.in squid-3.1.0.4/errors/Makefile.in
--- squid-3.1.0.3/errors/Makefile.in	2008-12-05 16:09:47.000000000 +1300
+++ squid-3.1.0.4/errors/Makefile.in	2009-01-23 18:37:50.000000000 +1300
@@ -15,7 +15,7 @@
 @SET_MAKE@
 
 #
-# $Id: Makefile.am,v 1.16 2008/02/24 12:10:30 hno Exp $
+# $Id$
 #
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
@@ -288,6 +288,7 @@
 
 # List of automated translations possible:
 TRANSLATIONS = \
+	az \
 	bg \
 	ca \
 	cs \
@@ -295,14 +296,20 @@
 	de \
 	en en-au en-gb en-nz en-us \
 	es \
+	et \
+	fi \
 	fr \
+	hy \
 	id \
 	it \
 	ja \
 	nl \
 	pt-br \
+	ro \
 	ru \
+	sr \
 	sv \
+	tr \
 	uk \
 	zh-cn
 
@@ -310,25 +317,16 @@
 # Legacy language contributions...
 #
 LANGUAGES = \
-		Armenian \
-		Azerbaijani \
-		Czech \
-		Estonian \
-		Finnish \
 		Greek \
 		Hebrew \
 		Hungarian \
-		Japanese \
 		Korean \
 		Lithuanian \
 		Polish \
 		Portuguese \
-		Romanian \
-		Serbian \
 		Simplify_Chinese \
 		Slovak \
-		Traditional_Chinese \
-		Turkish
+		Traditional_Chinese
 
 all: all-am
 
@@ -580,7 +578,7 @@
 		  || exit 1; \
 	  fi; \
 	done; \
-	cp $(srcdir)/errorpage.css  $(distdir)/errorpage.css
+	cp -p $(srcdir)/errorpage.css  $(distdir)/errorpage.css
 
 translate:
 	@ if test "$(PO2HTML)" != "" && test "$(PO2HTML)" != "no"; then \
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_ACCESS_DENIED squid-3.1.0.4/errors/nl/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/nl/ERR_ACCESS_DENIED	2008-12-05 16:12:40.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_ACCESS_DENIED	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Toegang niet toegestaan.</b></p> </blockquote>  <p>U heeft geen toegang tot de URL die u probeerde op te vragen van deze server.  Neem contact op met uw service provider als u denkt dat dit niet klopt.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Toegang Geweigerd.</b></p> </blockquote>  <p>U heeft geen toegang tot de URL die u probeerde op te vragen van deze server.  Neem contact op met uw service provider als u denkt dat dit niet klopt.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/nl/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/nl/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:12:40.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Toegang niet toegestaan.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u niet toegestaan om %U van deze cache op te vragen totdat u zich geidentificeerd hebt.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft om uzelf te identificeren of <a href="http://%h/cgi-bin/chpasswd.cgi">verander</a> hier uw standaard wachtwoord.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Toegang Geweigerd.</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u niet toegestaan om %U van deze cache op te vragen totdat u zich geidentificeerd hebt.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft met authenticatie of <a href="http://%h/cgi-bin/chpasswd.cgi">verander</a> hier uw standaard wachtwoord.</p>  <br> </div>  <hr>  <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:12:40.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Toegang niet toegestaan.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Manager toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft om uzelf te identificeren. Als <em>U</em> de beheerder bent, lees dan de Squid documentatie over de cache manager interface en lees de cache log voor meer gedetailleerde foutmeldingen.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Toegang Geweigerd.</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Manager toegang niet toegestaan.</b></p> </blockquote>  <p>Sorry, het is u momenteel niet toegestaan om %U op te vragen via deze cache manager totdat u zichzelf hebt geauthenticeerd.</p>  <p>Neem contact op met de <a href="mailto:%w%W">cache beheerder</a> als u problemen heeft met authenticatie. Als <em>U</em> de beheerder bent, lees dan de Squid documentatie over de cache manager interface en lees de cache log voor meer gedetailleerde foutmeldingen.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/nl/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/nl/ERR_CANNOT_FORWARD	2008-12-05 16:12:40.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_CANNOT_FORWARD	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Momenteel niet in staat dit verzoek door te sturen.</b></p> </blockquote>  <p>Dit verzoek kon niet worden doorgestuurd naar de oorspronkelijke server of een van de parent caches.  De meest waarschijnlijke reden voor deze fout is dat de cache beheerder het deze cache niet toestaat met de oorspronkelijke server te praten, en alle ingestelde parent caches op dit moment onbereikbaar zijn.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Momenteel niet in staat dit verzoek door te sturen.</b></p> </blockquote>  <p>Dit verzoek kon niet worden doorgestuurd naar de oorspronkelijke server of een van de parent caches.  De meest waarschijnlijke reden voor deze fout is dat de cache beheerder het deze cache niet toestaat met de oorspronkelijke server te praten, en alle ingestelde parent caches op dit moment onbereikbaar zijn.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_CONNECT_FAIL squid-3.1.0.4/errors/nl/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/nl/ERR_CONNECT_FAIL	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_CONNECT_FAIL	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>De door u gezochte server of het netwerk is onbereikbaar.  Probeer het verzoek opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Verbinding met %I mislukt.</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>De server of het netwerk dat u probeert te benaderen is onbereikbaar. Probeer het opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_DNS_FAIL squid-3.1.0.4/errors/nl/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/nl/ERR_DNS_FAIL	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_DNS_FAIL	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Niet in staat om het IP adres te bepalen van de hostnaam <q>%H</q></b></p> </blockquote>  <p>De DNS server gaf als antwoord:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Dit betekent dat de cache niet in staat was om de hostnaam uit de URL te herleiden. Controleer of de naam klopt.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Niet in staat om het IP adres te bepalen van server <q>%H</q></b></p> </blockquote>  <p>De DNS server heeft geantwoord:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Dit betekent dat de cache niet in staat was om de hostnaam uit de URL te herleiden. Controleer of de naam klopt.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_ESI squid-3.1.0.4/errors/nl/ERR_ESI
--- squid-3.1.0.3/errors/nl/ERR_ESI	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_ESI	2009-01-23 18:40:45.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI processing mislukt.</b></p> </blockquote>  <p>De ESI processor heeft geantwoord: </p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>Dit betekent dat de vervanger niet in staat was om de ESI template te bewerken. Geef deze fout door aan de webmaster, asltublieft.</p>  <p>Uw cachebeheerder is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/nl/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/nl/ERR_FORWARDING_DENIED	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FORWARDING_DENIED	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Doorsturen niet toegestaan.</b></p> </blockquote>  <p>Deze cache zal uw verzoek niet doorsturen, omdat het een sibling relatie tracht te bewerkstelligen.  Wellicht dat de client op %i een fout ingestelde cache is.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Doorsturen niet toegestaan.</b></p> </blockquote>  <p>Deze cache zal uw verzoek niet doorsturen, omdat het een sibling relatie tracht te bewerkstelligen. Wellicht dat de client op %i een fout ingestelde cache is.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_DISABLED squid-3.1.0.4/errors/nl/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/nl/ERR_FTP_DISABLED	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_DISABLED	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP is uitgeschakeld</b></p> </blockquote>  <p>Deze cache ondersteunt geen FTP.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP is uitgeschakeld</b></p> </blockquote>  <p>Deze cache ondersteunt geen FTP.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_FAILURE squid-3.1.0.4/errors/nl/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/nl/ERR_FTP_FAILURE	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_FAILURE	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Er is een FTP protocolfout voorgekomen tijdens het ophalen van de URL: <a href="%U">%U</a></p>  <p>Squid stuurde de volgende FTP opdracht:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Er is een FTP protocolfout opgetreden tijdens het ophalen van de URL: <a href="%U">%U</a></p>  <p>Squid heeft de volgende FTP opdracht verstuurd:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>De server antwoordde met:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/nl/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/nl/ERR_FTP_FORBIDDEN	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_FORBIDDEN	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De FTP authenticatie is mislukt tijdens het opvragen van de URL: <a href="%U">%U</a></p>  <p>Squid stuurde de volgende FTP opdracht:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De FTP authenticatie is mislukt tijdens het openen van URL: <a href="%U">%U</a></p>  <p>Squid heeft de volgende FTP opdracht verstuurd:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>De server antwoordde met:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_LISTING squid-3.1.0.4/errors/nl/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/nl/ERR_FTP_LISTING	2008-12-05 16:12:41.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_LISTING	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Map: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Map: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Map Inhoud:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Map Index"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Hogere map"></a></th> <th nowrap="nowrap"><a href="../">Hogere Map</a> (<a href="/">Hoofd Map</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/nl/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/nl/ERR_FTP_NOT_FOUND	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_NOT_FOUND	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid stuurde de volgende FTP opdracht:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Dit kan veroorzaakt worden door een FTP URL met een absoluut pad (hetgeen niet in overeenstemming is met RFC 1738).  Als dit de oorzaak is, dan kan het bestand gevonden worden op <a href="%B">%B</a>.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende URL kon niet worden opgehaald: <a href="%U">%U</a></p>  <p>Squid heeft de volgende FTP opdracht verstuurd:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>De server antwoordde met:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Dit kan veroorzaakt worden door een FTP URL met een absoluut pad (hetgeen niet in overeenstemming is met RFC 1738).  Als dit de oorzaak is, dan kan het bestand gevonden worden op <a href="%B">%B</a>.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/nl/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/nl/ERR_FTP_PUT_CREATED	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_PUT_CREATED	2009-01-23 18:40:46.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Succesvol: Bestand aangemaakt</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Bewerking succesvol</h1> <h2>Bestand aangemaakt</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Succesvol: Bestand aangemaakt</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Bewerking succesvol</h1> <h2>Bestand aangemaakt</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/nl/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/nl/ERR_FTP_PUT_ERROR	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_PUT_ERROR	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/upload mislukt</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid stuurde de volgende FTP opdracht:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/upload mislukt</h2> </div> <hr>  <div id="content"> <p>Bij een poging om naar de volgende URL te schrijven: <a href="%U">%U</a></p>  <p>Squid heeft de volgende FTP opdracht verstuurd:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>De server antwoordde met:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>Dit betekent dat de FTP server geen toegang of opslagcapaciteit heeft om het bestand op te slaan. Controleer het pad, de rechten en opslagcapaciteit en probeer het opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/nl/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/nl/ERR_FTP_PUT_MODIFIED	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_PUT_MODIFIED	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Succesvol: Bestand Vernieuwd</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Bewerking succesvol</h1> <h2>Bestand vernieuwd</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Succesvol: Bestand Vernieuwd</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Bewerking succesvol</h1> <h2>Bestand vernieuwd</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/nl/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/nl/ERR_FTP_UNAVAILABLE	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_FTP_UNAVAILABLE	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De FTP server was te druk bezet tijdens het opvragen van de URL: <a href="%U">%U</a></p>  <p>Squid stuurde de volgende FTP opdracht:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De FTP server was overbelast tijdens het opvragen van de URL: <a href="%U">%U</a></p>  <p>Squid heeft de volgende FTP opdracht verstuurd:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>De server antwoordde met:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_ICAP_FAILURE squid-3.1.0.4/errors/nl/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/nl/ERR_ICAP_FAILURE	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_ICAP_FAILURE	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol fout.</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>Dit betekent dat een onderdeel van de ICAP communicatie is mislukt.</p>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>De ICAP server is onbereikbaar.</p></li> <li><p>Er is een illegale reactie ontvangen van de ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_INVALID_REQ squid-3.1.0.4/errors/nl/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/nl/ERR_INVALID_REQ	2008-12-05 16:12:42.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_INVALID_REQ	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>Ontbrekende of onbekende verzoekmethode.</p></li> <li><p>Ontbrekende URL.</p></li> <li><p>Ontbrekende HTTP identificatie (HTTP/1.0).</p></li> <li><p>Het verzoek is mogelijk te lang.</p></li> <li><p>De Content-Length ontbreekt voor het POST of PUT verzoek.</p></li> <li><p>Er staat een ongeldig teken in de hostnaam; Het teken <q>_</q> is niet toegestaan.</p></li> </ul>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Ongeldige Aanvraag</b> Er is een fout opgetreden tijdens het verwerken van:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>Ontbrekende of onbekende verzoekmethode.</p></li> <li><p>Ontbrekende URL.</p></li> <li><p>Ontbrekende HTTP identificatie (HTTP/1.0).</p></li> <li><p>Het verzoek is te lang.</p></li> <li><p>De Content-Length ontbreekt voor het POST of PUT verzoek.</p></li> <li><p>Er staat een ongeldig teken in de hostnaam; het teken <q>_</q> is niet toegestaan.</p></li> </ul>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_INVALID_RESP squid-3.1.0.4/errors/nl/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/nl/ERR_INVALID_RESP	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_INVALID_RESP	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Onverwachte reactie</b> er is een fout opgetreden tijdens het uitvoeren van opdracht:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Het ontvangen HTTP bericht is niet begrepen of beschadigd. Neem contact op met de beheerder van de website die u probeert te bereiken.</p>  <p>De cache beheerder kan u meer informatie verstrekken met betrekking tot de exacte reden van dit probleem.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_INVALID_URL squid-3.1.0.4/errors/nl/ERR_INVALID_URL
--- squid-3.1.0.3/errors/nl/ERR_INVALID_URL	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_INVALID_URL	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ongeldige URL</b></p> </blockquote>  <p>Een gedeelte van de gevraagde URL is ongeldig.</p>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>Ontbrekend of onjuist toegangsprotocol (moet zijn <q>http://</q> of vergelijkbaar)</p></li> <li><p>Ontbrekende hostnaam</p></li> <li><p>Ongeldige <q>double-escape</q> in het URL pad</p></li> <li><p>Er staat een ongeldig teken in de hostnaam; Het teken <q>_</q> is niet toegestaan.</p></li> </ul>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ongeldige URL</b></p> </blockquote>  <p>Een gedeelte van de gevraagde URL is ongeldig.</p>  <p>Mogelijke problemen zijn:</p> <ul> <li><p>Ontbrekend of onjuist toegangsprotocol (moet zijn <q>http://</q> of vergelijkbaar)</p></li> <li><p>Ontbrekende hostnaam</p></li> <li><p>Ongeldige <q>dubbele escape</q> in het URL pad</p></li> <li><p>Er staat een ongeldig teken in de hostnaam; het teken <q>_</q> is niet toegestaan.</p></li> </ul>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_LIFETIME_EXP squid-3.1.0.4/errors/nl/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/nl/ERR_LIFETIME_EXP	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_LIFETIME_EXP	2009-01-23 18:40:47.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>De levensduur van de verbindings is verstreken</b></p> </blockquote>  <p>Squid heeft het verzoek afgebroken omdat het de maximale verbindingslevensduur heeft overschreden.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>De levensduur van de verbindings is verstreken</b></p> </blockquote>  <p>Squid heeft het verzoek afgebroken omdat het de maximale verbindingslevensduur heeft overschreden.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_NO_RELAY squid-3.1.0.4/errors/nl/ERR_NO_RELAY
--- squid-3.1.0.3/errors/nl/ERR_NO_RELAY	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_NO_RELAY	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Geen WAIS Relay</b></p> </blockquote>  <p>Er is geen WAIS Relay host gedefinieerd voor deze Cache!  Neem contact op met de cachebeheerder.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Geen WAIS Relay</b></p> </blockquote>  <p>Er is geen WAIS Relay host gedefinieerd voor deze Cache!  Neem contact op met de cachebeheerder.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/nl/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/nl/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Een geldig document werd niet gevonden in de cache, en de <q>only-if-cached</q> richtlijn was ingesteld.</b></p> </blockquote>  <p>U heeft een verzoek gedaan met een <q>only-if-cached</q> cachebeheer richtlijn. Het document werd niet gevonden in de cache <em>of</em> er was een herbevestiging nodig die niet werd toegestaan door de <q>only-if-cached</q> richtlijn.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Een geldig document werd niet gevonden in de cache, en de <q>only-if-cached</q> richtlijn was ingesteld.</b></p> </blockquote>  <p>U heeft een verzoek gedaan met een <q>only-if-cached</q> cachebeheer richtlijn. Het document werd niet gevonden in de cache <em>of</em> er was een herbevestiging nodig die niet werd toegestaan door de <q>only-if-cached</q> richtlijn.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_READ_ERROR squid-3.1.0.4/errors/nl/ERR_READ_ERROR
--- squid-3.1.0.3/errors/nl/ERR_READ_ERROR	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_READ_ERROR	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Leesfout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>Een foutwaarde kwam voor tijdens het lezen van data van het netwerk.  Probeer uw verzoek opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Leesfout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>Er is een fout opgetreden tijdens het lezen van data van het netwerk.  Probeer het opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_READ_TIMEOUT squid-3.1.0.4/errors/nl/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/nl/ERR_READ_TIMEOUT	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_READ_TIMEOUT	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lees Timeout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>Een timeout kwam voor bij het lezen van data van het netwerk.  Het netwerk of de server kan niet beschikbaar of overbelast zijn.  Probeer uw verzoek opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Lees Timeout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>Er is een timeout opgetreden tijdens het lezen van data van het netwerk.  Het netwerk of de server zijn niet beschikbaar of overbelast.  Probeer het opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/nl/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/nl/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:12:43.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Het opzetten van een beveiligde verbinding naar %I is mislukt</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>Deze proxy en de benaderde server hebben geen overeenstemming bereikt over de beveiling om uw aanvraag af te handelen. Het is mogelijk dat de benaderde server geen beveiligde verbindingen ondersteund of dat de proxy een te lage beveiliging heeft gedetecteerd.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/nl/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/nl/ERR_SHUTTING_DOWN	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_SHUTTING_DOWN	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Deze cache is bezig met herstarten en kan daarom momenteel niet aan uw verzoek voldoen.  Probeer uw verzoek zo nog eens.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <p>Deze cache is bezig met herstarten en kan daarom momenteel niet aan uw verzoek voldoen.  Probeer het later opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/nl/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/nl/ERR_SOCKET_FAILURE	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_SOCKET_FAILURE	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Fout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>Squid is niet in staat een TCP socket aan te maken, waarschijnlijk als gevolg van een te hoge bezettingsgraad. Probeer uw verzoek opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Socket Fout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>Squid is niet in staat een TCP socket aan te maken, waarschijnlijk als gevolg van overbelasting. Probeer uw verzoek opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_TOO_BIG squid-3.1.0.4/errors/nl/ERR_TOO_BIG
--- squid-3.1.0.3/errors/nl/ERR_TOO_BIG	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_TOO_BIG	2009-01-23 18:40:48.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>De aanvraag of het antwoord is te groot.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>Deze grootte-beperkingen zijn ingesteld door de beheerder van deze cache.  Neem contact op met de beheerder van deze cache, wanneer U van mening bent dat deze beperking onjuist is.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>De aanvraag of het antwoord is te groot.</b></p> </blockquote>  <p>De POST of PUT opdracht die u heeft verstuurd is te groot.</p> <p>Indien u een bestande probeerde te downloaden, dan was het bestand dat U probeert te ontvangen, te groot.</p> <p>Deze grootte-beperkingen zijn ingesteld door de beheerder van deze cache.  Neem contact op met de beheerder van deze cache, wanneer U van mening bent dat deze beperking onjuist is.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_UNSUP_REQ squid-3.1.0.4/errors/nl/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/nl/ERR_UNSUP_REQ	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_UNSUP_REQ	2009-01-23 18:40:49.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Niet ondersteunde verzoekmethode of protocol</b></p> </blockquote>  <p>Squid ondersteunt niet alle verzoekmethoden voor alle toegangsprotocollen. U kunt bijvoorbeeld geen Gopher verzoek POSTen.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Niet ondersteunde verzoekmethode of protocol</b></p> </blockquote>  <p>Squid ondersteunt niet alle verzoekmethoden voor alle toegangsprotocollen. U kunt bijvoorbeeld geen Gopher verzoek POSTen.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_URN_RESOLVE squid-3.1.0.4/errors/nl/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/nl/ERR_URN_RESOLVE	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_URN_RESOLVE	2009-01-23 18:40:49.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>De gevraagde URN kon niet worden opgehaald</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Kan de URN niet herleiden</b></p> </blockquote>  <p>Hmmm, verwacht niet teveel van URNs op %T :)</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>De gevraagde URN kon niet worden benaderd</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Kan de URN niet herleiden</b></p> </blockquote>  <p>Hmmm, verwacht niet teveel van URNs op %T :)</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_WRITE_ERROR squid-3.1.0.4/errors/nl/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/nl/ERR_WRITE_ERROR	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_WRITE_ERROR	2009-01-23 18:40:49.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Schrijffout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf terug: <i>%E</i></p>  <p>Een foutwaarde kwam voor tijdens het schrijven naar het netwerk.  Probeer uw verzoek opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Schrijffout</b></p> </blockquote>  <p id="sysmsg">Het systeem gaf als antwoord: <i>%E</i></p>  <p>Er is een fout opgetreden tijdens het schrijven naar het netwerk.  Probeer het opnieuw.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/nl/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/nl/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/nl/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:12:44.000000000 +1300
+++ squid-3.1.0.4/errors/nl/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:40:49.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Leeg object antwoord</b></p> </blockquote>  <p>Squid ontving in het geheel geen data op dit verzoek.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FOUT: De gevraagde URL kon niet worden opgehaald</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>De volgende fout is opgetreden tijdens het ophalen van URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Antwoord is leeg</b></p> </blockquote>  <p>Squid ontving in het geheel geen data op dit verzoek.</p>  <p>De beheerder van deze cache is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Gegenereerd %T door %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Polish/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Polish/ERR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta pobrany</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać pobrany</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta pobrany</H2>
+Żądany URL nie może zostać pobrany</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>Dostp zabroniony.</B></LI>
+<B>Dostęp zabroniony.</B></LI>
 
 <BR>&nbsp;</UL>
-Konfiguracja serwera wyklucza Twj dostp do niego w chwili obecnej. Skontaktuj
-si z Twoim providerem jeli jest jest to nieprawidowo.
+Konfiguracja serwera wyklucza Twój dostęp do niego w chwili obecnej. Skontaktuj
+się z Twoim providerem jeśli jest jest to nieprawidłowość.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Polish/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Polish/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: Dostp do serwera cache zabroniony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Dostęp do serwera cache zabroniony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-Dostp do serwera cache zabroniony</H2>
+Dostęp do serwera cache zabroniony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>Dostp do serwera cache zabroniony.</B></LI>
+<B>Dostęp do serwera cache zabroniony.</B></LI>
 </UL>
-Niestety, nie moesz sprowadzi:
+Niestety, nie możesz sprowadzić:
 <PRE>&nbsp;&nbsp;&nbsp; %U</PRE>
-z tego serwera cache, dopki nie dokonae autoryzacji.
+z tego serwera cache, dopóki nie dokonałeś autoryzacji.
 
-<P>Musisz uywa Netscape 2.0 lub nowszej lub Microsoft Internet Explorer
-3.0 lub innej przegldarki zgodnej z HTTP/1.1. Skontaktuj si z <A HREF="mailto:%w%W">administratorem
-serwera cache</A> jeli masz trudnoci z autoryzacj lub <A HREF="http://%h/cgi-bin/chpasswd.cgi">zmie</A>&nbsp;
+<P>Musisz używać Netscape 2.0 lub nowszej lub Microsoft Internet Explorer
+3.0 lub innej przeglądarki zgodnej z HTTP/1.1. Skontaktuj się z <A HREF="mailto:%w%W">administratorem
+serwera cache</A> jeśli masz trudności z autoryzacją lub <A HREF="http://%h/cgi-bin/chpasswd.cgi">zmień</A>&nbsp;
 haslo.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Polish/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Polish/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:27.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: Dostp do cache managera zabroniony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Dostęp do cache managera zabroniony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-Dostp do cache managera zabroniony</H2>
+Dostęp do cache managera zabroniony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
 <B>Dostep do cache managera zabroniony.</B></LI>
 </UL>
-Niestety, nie moesz sprowadzi:
+Niestety, nie możesz sprowadzić:
 <PRE>&nbsp;&nbsp;&nbsp; %U</PRE>
-z tego cache managera, dopki nie dokonae autoryzacji
+z tego cache managera, dopóki nie dokonałeś autoryzacji
 
-<P>Musisz uywa Netscape 2.0 lub nowszej lub Microsoft Internet Explorer
-3.0, lub innej przegldarki zgodnej z HTTP/1.1. Skontaktuj si z <A HREF="mailto:%w%W">administratorem
-serwera cache</A> jeli masz trudnoci z autoryzacj, jeli <I>jeste</I>
-administratorem, przeczytaj w dokumentacji Squida fragment dotyczcy cache
-managera i sprawd log serwera cache w poszukiwaniu bardziej szczegowych
-komunikatw o bdach.
+<P>Musisz używać Netscape 2.0 lub nowszej lub Microsoft Internet Explorer
+3.0, lub innej przeglądarki zgodnej z HTTP/1.1. Skontaktuj się z <A HREF="mailto:%w%W">administratorem
+serwera cache</A> jeśli masz trudności z autoryzacją, jeśli <I>jesteś</I>
+administratorem, przeczytaj w dokumentacji Squida fragment dotyczący cache
+managera i sprawdź log serwera cache w poszukiwaniu bardziej szczegółowych
+komunikatów o błędach.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Polish/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Polish/ERR_CANNOT_FORWARD	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_CANNOT_FORWARD	2009-01-23 18:37:27.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>Nie mona przekaza tego dania w chwili obecnej.</B></LI>
+<B>Nie można przekazać tego żądania w chwili obecnej.</B></LI>
 </UL>
-danie nie moe zosta przakazane serwerowi rdowemu ani adnemu z serwerw-rodzicw.
-Najbardziej prawdopodobne rda bdu to:
+Żądanie nie może zostać przakazane serwerowi źródłowemu ani żadnemu z serwerów-rodziców.
+Najbardziej prawdopodobne źródła błędu to:
 <UL>
 <LI>
-Administrator serwera cache&nbsp; nie pozwala temu cache na bezporednie
-poczenia do serwerw rdowych</LI>
+Administrator serwera cache&nbsp; nie pozwala temu cache na bezpośrednie
+połączenia do serwerów źródłowych</LI>
 
 <LI>
-Wszystkie kooperujce serwery-rodzice s w tej chwili niedostpne.</LI>
+Wszystkie kooperujące serwery-rodzice są w tej chwili niedostępne.</LI>
 </UL>
 
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Polish/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Polish/ERR_CONNECT_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_CONNECT_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD:dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD:Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>Nie mona zrealizowa poczenia</B></LI>
+<B>Nie można zrealizować połączenia</B></LI>
 </UL>
-System zwrci nastpujc warto:
+System zwrócił następującą wartość:
 <PRE><I>&nbsp;&nbsp;&nbsp; %E</I></PRE>
-Serwer rdowy lub sie mog by nieczynne. Sprbuj ponowi danie pniej.
+Serwer źródłowy lub sieć mogą być nieczynne. Spróbuj ponowić żądanie później.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_DNS_FAIL squid-3.1.0.4/errors/Polish/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Polish/ERR_DNS_FAIL	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_DNS_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
-<BLOCKQUOTE>Nie mona ustali adresu IP hosta o nazwie <I>%H</I></BLOCKQUOTE>
-Serwer DNS zwrci nastpujc warto
+<P>wystąpił następujący błąd:
+<BLOCKQUOTE>Nie można ustalić adresu IP hosta o nazwie <I>%H</I></BLOCKQUOTE>
+Serwer DNS zwrócił następującą wartość
 <BLOCKQUOTE>%z</BLOCKQUOTE>
-To oznacza, e:
-<PRE>&nbsp;Serwer cache nie jest w stanie polaczy si z hostem o nazwie wymienionej w URL.&nbsp;
-&nbsp;Sprawd czy podany adres jest poprawny.</PRE>
+To oznacza, że:
+<PRE>&nbsp;Serwer cache nie jest w stanie polaczyć się z hostem o nazwie wymienionej w URL.&nbsp;
+&nbsp;Sprawdź czy podany adres jest poprawny.</PRE>
 
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Polish/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Polish/ERR_FORWARDING_DENIED	2008-12-05 16:09:28.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_FORWARDING_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 <BR>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>Przekazanie dania zabronione.</B></LI>
+<B>Przekazanie żądania zabronione.</B></LI>
 </UL>
-Ten serwer cache nie przekae Twojego dania poniewa wymusza ono relacj
-typu sibling. By moe klient %i jest bdnie skonfigurowanym serwerem
+Ten serwer cache nie przekaże Twojego żądania ponieważ wymusza ono relację
+typu sibling. Być może klient %i jest błędnie skonfigurowanym serwerem
 cache.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_FTP_DISABLED squid-3.1.0.4/errors/Polish/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Polish/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_FTP_DISABLED	2009-01-23 18:37:28.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podzcas sprowadznia URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>FTP jest wyczone</B></LI>
+<B>FTP jest wyłączone</B></LI>
 </UL>
-Ten serwer cache nie prowadzi pocze FTP.
+Ten serwer cache nie prowadzi połączeń FTP.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_FTP_FAILURE squid-3.1.0.4/errors/Polish/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Polish/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_FTP_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
-<P>Wystpi bd protokou&nbsp; FTP podczas sprowadznia URL-a: <A HREF="%U">%U</A>
+<P>Wystąpił błąd protokołu&nbsp; FTP podczas sprowadznia URL-a: <A HREF="%U">%U</A>
 
-<P>Squid wysa nastpujc komend FTP:
+<P>Squid wysłał następującą komendę FTP:
 <BLOCKQUOTE>
 <PRE><B>%f</B></PRE>
 </BLOCKQUOTE>
-i otrzyma odpowied
+i otrzymał odpowiedź
 <BLOCKQUOTE>
 <PRE><B>%F</B></PRE>
 </BLOCKQUOTE>
@@ -29,6 +29,6 @@
 <BLOCKQUOTE>
 <PRE><B>%g</B></PRE>
 </BLOCKQUOTE>
-Przyczyn mog by FTP URL z podan bezwzgldn ciek (co nie jest zgodne
-z&nbsp; RFC 1738). Jeli rzeczywicie tak byo, to plik moe by znaleziony
+Przyczyną mogł być FTP URL z podaną bezwzględną ścieżką (co nie jest zgodne
+z&nbsp; RFC 1738). Jeśli rzeczywiście tak było, to plik może być znaleziony
 tu: <A HREF="%B">%B</A>.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Polish/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Polish/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_FTP_PUT_CREATED	2009-01-23 18:37:28.000000000 +1300
@@ -1,16 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>Operacja FTP PUT udaa si: plik zosta utworzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>Operacja FTP PUT udała się: plik został utworzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-Operacja zakoczona pomylnie</H1>
+Operacja zakończona pomyślnie</H1>
 
 <H2>
-plik zosta utworzony</H2>
+plik został utworzony</H2>
 
 <HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Polish/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Polish/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_FTP_PUT_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,31 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: Nieudany FTP upload</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Nieudany FTP upload</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
 Nieudany FTP PUT/upload</H2>
 
 <HR noshade size="1px">
 
-<P>Podczas prby przesania URL-a: <A HREF="%U">%U</A> via FTP&nbsp;komend
+<P>Podczas próby przesłania URL-a: <A HREF="%U">%U</A> via FTP&nbsp;komendą
 PUT
 
-<P>Squid wysa nastpujc komend FTP:
+<P>Squid wysłał następującą komendę FTP:
 <PRE>
 <B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %f</B></PRE>
-i otrzyma odpowied
+i otrzymał odpowiedź
 <PRE>
 <B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; %F</B></PRE>
-Oznacz to, e:
-<PRE>naley sprwdzi ciek, prawa dostpu, wolen miejsce na dysku</PRE>
+Oznacz to, że:
+<PRE>należy sprwdzić ścieżkę, prawa dostępu, wolen miejsce na dysku</PRE>
 
-<PRE>i sprbowa ponownie.</PRE>
+<PRE>i spróbować ponownie.</PRE>
 
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Polish/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Polish/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,7 +1,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
    <TITLE>Operacja FTP PUT udana: plik uaktualniony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_INVALID_REQ squid-3.1.0.4/errors/Polish/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Polish/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_INVALID_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
-<P>Podczas obsugi nastpujcego dania:
+<P>Podczas obsługi następującego żądania:
 <PRE>%R</PRE>
-wystpi nastpujcy bd:
+wystąpił następujący błąd:
 <UL>
 <LI>
-<B>bdne danie</B></LI>
+<B>błędne żądanie</B></LI>
 </UL>
-Niektre czci dania HTTP mog by bdne. Moliwe problemy to:
+Niektóre części żądania HTTP mogą być błędne. Możliwe problemy to:
 <UL>
 <LI>
 Brak lub nieznana metoda (GET, POST)</LI>
@@ -34,12 +34,12 @@
 Brak identyfikatora HTTP (HTTP/1.0)</LI>
 
 <LI>
-RZbyt duy rozmiar dania</LI>
+RZbyt duży rozmiar żądania</LI>
 
 <LI>
 Brak pola Content-Length&nbsp; dla metod POST lub PUT</LI>
 
 <LI>
-Bdny znak w nazwie hosta; podkrelenia (underscores) s niedozwolone</LI>
+Błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</LI>
 </UL>
 
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_INVALID_URL squid-3.1.0.4/errors/Polish/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Polish/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_INVALID_URL	2009-01-23 18:37:28.000000000 +1300
@@ -1,39 +1,39 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>bdny URL</B></LI>
+<B>błędny URL</B></LI>
 </UL>
-Niektre czci URL-a s bdne. Moliwe problemy to:
+Niektóre części URL-a są błędne. Możliwe problemy to:
 <UL>
 <LI>
-Brak lub niewaciwy protok (should be `http://'' or similar)</LI>
+Brak lub niewłaściwy protokół (should be `http://'' or similar)</LI>
 
 <LI>
 Brak nazwy hosta</LI>
 
 <LI>
-podwjna sekwencja escape w ciece URL</LI>
+podwójna sekwencja escape w ścieżce URL</LI>
 
 <LI>
-bdny znak w nazwie hosta; podkrelenia (underscores) s niedozwolone</LI>
+błędny znak w nazwie hosta; podkreślenia (underscores) są niedozwolone</LI>
 </UL>
 
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Polish/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Polish/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_LIFETIME_EXP	2009-01-23 18:37:28.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowzdzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>przekroczony dopuszczalny czas poczenie</B></LI>
+<B>przekroczony dopuszczalny czas połączenie</B></LI>
 </UL>
-Squid zakoczy realizacj dania, poniewa czas jego realizacji przekroczy
+Squid zakończył realizację żądania, ponieważ czas jego realizacji przekroczył
 dopuszczalny limit.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_NO_RELAY squid-3.1.0.4/errors/Polish/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Polish/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_NO_RELAY	2009-01-23 18:37:28.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany&nbsp; URL nie moe zosta sprowadzony</H2>
+Żądany&nbsp; URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
 <B>brak Wais Relay</B></LI>
 </UL>
-Dla tego serwera cache nie zosta zdefiniowany WAIS&nbsp;relay! Zawiadom
+Dla tego serwera cache nie został zdefiniowany WAIS&nbsp;relay! Zawiadom
 administratora.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Polish/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Polish/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:28.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>danie z dyrektyw <TT>only-if-cached</TT> dotyczyo dokumentu aktualnie
+<B>żądanie z dyrektywą <TT>only-if-cached</TT> dotyczyło dokumentu aktualnie
 nie przechowywanego przez sewer cache.</B></LI>
 </UL>
-danie zawierao dyrektyw <TT>only-if-cached</TT>. Dokument nie zosta
-znaleziony w zasobech serwera cache <I>lub</I> wymaga odwieenia zabronionego
-dyrektyw <TT>only-if-cached</TT>.
+Żądanie zawierało dyrektywę <TT>only-if-cached</TT>. Dokument nie został
+znaleziony w zasobech serwera cache <I>lub</I> wymagał odświeżenia zabronionego
+dyrektywą <TT>only-if-cached</TT>.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_READ_ERROR squid-3.1.0.4/errors/Polish/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Polish/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_READ_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>bd odczytu</B></LI>
+<B>błąd odczytu</B></LI>
 </UL>
-System zwrci warto:
+System zwrócił wartość:
 <PRE><I>&nbsp;&nbsp;&nbsp; %E</I></PRE>
-Podczas czytania dokumentu z sieci wystpi bd. Prosz ponowi danie.
+Podczas czytania dokumentu z sieci wystąpił błąd. Proszę ponowić żądanie.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Polish/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Polish/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_READ_TIMEOUT	2009-01-23 18:37:28.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
 <B>przekroczony czas odczytu</B></LI>
 </UL>
-System zwrci nastpujc warto:
+System zwrócił następującą wartość:
 <BR><I>&nbsp;</I>
 <UL><I>%E</I></UL>
 
 
-<P>Przekroczony zostal dopuszczalny czas oczekiwania na dane z sieci. Sie
-lub serwer rdowy mog by niedostpne lub przecione. Prosz ponowi
-danie.
+<P>Przekroczony zostal dopuszczalny czas oczekiwania na dane z sieci. Sieć
+lub serwer źródłowy mogą być niedostępne lub przeciążone. Proszę ponowić
+żądanie.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Polish/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Polish/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_SOCKET_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>bd gniazdka (socket failure)</B></LI>
+<B>błąd gniazdka (socket failure)</B></LI>
 </UL>
-System zwrci nastpujc warto:
+System zwrócił następującą wartość:
 <PRE><I>&nbsp;&nbsp;&nbsp; %E</I></PRE>
-Squid nie jest w stanie otworzy gniazdka TCP (TCP&nbsp;socket), prawdopodobnie
-z powodu przecienia systemu. Prosz ponowi danie.
+Squid nie jest w stanie otworzyć gniazdka TCP (TCP&nbsp;socket), prawdopodobnie
+z powodu przeciążenia systemu. Proszę ponowić żądanie.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_UNSUP_REQ squid-3.1.0.4/errors/Polish/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Polish/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_UNSUP_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>uyta w daniu kombinacja metoda/protok jest niewaciwa</B></LI>
+<B>użyta w żądaniu kombinacja metoda/protokół jest niewłaściwa</B></LI>
 </UL>
-Squid nie wspiera wszystkich metod we wszystkich protokoach. Na przykad
-nie moesz uy metody POST&nbsp;w daniu skierowanym do usugi Gopher.
+Squid nie wspiera wszystkich metod we wszystkich protokołach. Na przykład
+nie możesz użyć metody POST&nbsp;w żądaniu skierowanym do usługi Gopher.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_URN_RESOLVE squid-3.1.0.4/errors/Polish/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Polish/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_URN_RESOLVE	2009-01-23 18:37:28.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URN nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URN nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-URL dla danego URN nie moe zosta sprowadzony</H2>
+URL dla żądanego URN nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podzcas sprowadzania URN: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>nie mona zlokalizowa&nbsp; URN</B></LI>
+<B>nie można zlokalizować&nbsp; URN</B></LI>
 </UL>
-Prosz nie spodziewa si zbyt wiele od URNw z %T :)
+Proszę nie spodziewać się zbyt wiele od URNów z %T :)
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_WRITE_ERROR squid-3.1.0.4/errors/Polish/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Polish/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_WRITE_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta zapisany</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać zapisany</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta zapisany</H2>
+Żądany URL nie może zostać zapisany</H2>
 
 <HR noshade size="1px">
 <BR>Podczas zapisywania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
-<B>bd zapisu</B></LI>
+<B>błąd zapisu</B></LI>
 </UL>
-System zwrci nastpujc warto:
+System zwrócił następującą wartość:
 <BR><I>&nbsp;</I>
 <UL><I>%E</I></UL>
-Wystpi bd podczas prby zapisu do sieci. Prosz ponowi danie.
+Wystąpił błąd podczas próby zapisu do sieci. Proszę ponowić żądanie.
diff -u -r -N squid-3.1.0.3/errors/Polish/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Polish/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Polish/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Polish/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:28.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD>
-   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-   <TITLE>BD: dany URL nie moe zosta sprowadzony</TITLE>
+   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+   <TITLE>BŁĄD: Żądany URL nie może zostać sprowadzony</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
 
 <H1>
-BD</H1>
+BŁĄD</H1>
 
 <H2>
-dany URL nie moe zosta sprowadzony</H2>
+Żądany URL nie może zostać sprowadzony</H2>
 
 <HR noshade size="1px">
 
 <P>Podczas sprowadzania URL-a: <A HREF="%U">%U</A>
 
-<P>wystpi nastpujcy bd:
+<P>wystąpił następujący błąd:
 <UL>
 <LI>
 <B>sprowadzony dokument ma zerowy rozmiar</B></LI>
 </UL>
-Squid nie otrzyma adnych danych w odpowiedzi na to danie.
+Squid nie otrzymał żadnych danych w odpowiedzi na to żądanie.
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Portuguese/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Portuguese/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Portuguese/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Portuguese/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: Proibido o acesso ao Cache</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Portuguese/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Portuguese/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: Proibido o acesso ao Gerenciador do Cache</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Portuguese/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Portuguese/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_CANNOT_FORWARD	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Portuguese/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Portuguese/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_CONNECT_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_DNS_FAIL squid-3.1.0.4/errors/Portuguese/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Portuguese/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_DNS_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO:  A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Portuguese/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Portuguese/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FORWARDING_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_DISABLED squid-3.1.0.4/errors/Portuguese/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_DISABLED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_FAILURE squid-3.1.0.4/errors/Portuguese/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Portuguese/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_FORBIDDEN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_FORBIDDEN	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Portuguese/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_NOT_FOUND	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_NOT_FOUND	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Portuguese/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_PUT_CREATED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>Sucesso no FTP PUT: Arquivo criado</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Portuguese/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_PUT_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERROR: Erro no FTP upload</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Portuguese/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>Sucesso no FTP PUT: Arquivo atualizado</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Portuguese/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Portuguese/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_INVALID_REQ squid-3.1.0.4/errors/Portuguese/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Portuguese/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_INVALID_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_INVALID_RESP squid-3.1.0.4/errors/Portuguese/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Portuguese/ERR_INVALID_RESP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_INVALID_RESP	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERROR: The requested URL could not be retrieved</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_INVALID_URL squid-3.1.0.4/errors/Portuguese/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Portuguese/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_INVALID_URL	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Portuguese/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Portuguese/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_LIFETIME_EXP	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO:  A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_NO_RELAY squid-3.1.0.4/errors/Portuguese/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Portuguese/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_NO_RELAY	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Portuguese/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Portuguese/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_READ_ERROR squid-3.1.0.4/errors/Portuguese/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Portuguese/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_READ_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Portuguese/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Portuguese/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_READ_TIMEOUT	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Portuguese/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Portuguese/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERROR: The requested URL could not be retrieved</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Portuguese/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Portuguese/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_SHUTTING_DOWN	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Portuguese/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Portuguese/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_SOCKET_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_TOO_BIG squid-3.1.0.4/errors/Portuguese/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Portuguese/ERR_TOO_BIG	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_TOO_BIG	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_UNSUP_REQ squid-3.1.0.4/errors/Portuguese/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Portuguese/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_UNSUP_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_URN_RESOLVE squid-3.1.0.4/errors/Portuguese/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Portuguese/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_URN_RESOLVE	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: URN requisitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_WRITE_ERROR squid-3.1.0.4/errors/Portuguese/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Portuguese/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_WRITE_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Portuguese/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Portuguese/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Portuguese/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Portuguese/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:28.000000000 +1300
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERRO: A URL solicitada n&atilde;o pode ser recuperada</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_ACCESS_DENIED squid-3.1.0.4/errors/ro/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/ro/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_ACCESS_DENIED	2009-01-23 18:40:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Acces interzis.</b></p> </blockquote>  <p>Configuraţia de control al accesului împiedică permiterea cererii dumneavoastră în acest moment. Vă rugăm contactaţi furnizorul de servicii dacă credeţi că acest lucru nu este corect.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/ro/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/ro/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Acces interzis.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Interzis accesul la cache.</b></p> </blockquote>  <p>Ne pare rău, dar nu sunteţi îndreptăţit să accesaţi %U din acest cache pana cand nu v-aţi autenticat.</p>  <p>Vă rugăm contactaţi <a href="mailto:%w%W">administratorul cache-ului</a> dacă aveţi dificultăţi în a vă autentifica sau <a href="http://%h/cgi-bin/chpasswd.cgi">schimbaţi-vă</a> parola implicită.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Acces interzis.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Interzis accesul la cache manager.</b></p> </blockquote>  <p>Cu regret, nu aveţi momentan permisiunea de a face cererea %U de la acest cache manager până când nu vă autentificaţi.</p>  <p>Vă rugăm contactaţi <a href="mailto:%w%W">administratorul cache-ului</a> dacă aveţi dificultăţi în a vă autentifica sau, dacă <em>sunteţi</em> administratorul, citiţi documentaţia Squid despre interfaţa cache managerului şi verificaţi jurnalul cache pentru mesaje de eroare mai detaliate.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/ro/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/ro/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_CANNOT_FORWARD	2009-01-23 18:40:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nu pot să forwardez această cerere la acest moment.</b></p> </blockquote>  <p>Această cerere nu a putut fi înaintată către serverul de origine sau un cache părinte.  Cea mai probabilă cauză de eroare este administratorul cache-ului nu permite acestui cache să facă conexiuni directe către serverele de origine, şi toate cache-urile părinte nu pot fi contactate îm acest moment.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_CONNECT_FAIL squid-3.1.0.4/errors/ro/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/ro/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_CONNECT_FAIL	2009-01-23 18:40:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Conexiunea la %I a eşuat.</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>Calculatorul sau reţeaua destinaţie s-ar putea să fie inoperabile.  Repetaţi cererea mai târziu.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_DNS_FAIL squid-3.1.0.4/errors/ro/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/ro/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_DNS_FAIL	2009-01-23 18:40:54.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nu pot determina adresa IP din numele host-ului pentru <q>%H</q></b></p> </blockquote>  <p>Serverul DNS a răspuns:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_ESI squid-3.1.0.4/errors/ro/ERR_ESI
--- squid-3.1.0.3/errors/ro/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_ESI	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Procesarea ESI a eşuat.</b></p> </blockquote>  <p>Procesorul ESI a răspuns:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/ro/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/ro/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FORWARDING_DENIED	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Înaintarea cererii este interzisă.</b></p> </blockquote>  <p>Acest cache nu va înainta cererea dumneavoastră din cauză că încearcă să stabilească o relaţie de echivalenţă.  Poate că clientul %i este un cache care a fost configurat greşit.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_DISABLED squid-3.1.0.4/errors/ro/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/ro/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_DISABLED	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP este dezactivat</b></p> </blockquote>  <p>Acest cache nu suportă protocolul FTP.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_FAILURE squid-3.1.0.4/errors/ro/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/ro/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_FAILURE	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>O eroare în protocolul FTP a survenit în timp ce se încerca aducerea URL-ului: <a href="%U">%U</a></p>  <p>Squid a trimis următoarea comandă FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/ro/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/ro/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_FORBIDDEN	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Autentificărea FTP a eşuat în timp ce se încerca aducerea URL-ului: <a href="%U">%U</a></p>  <p>Squid a trimis următoarea comandă FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_LISTING squid-3.1.0.4/errors/ro/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/ro/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_LISTING	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Directorul FTP: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>Directorul FTP: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Conţinutul directorului:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="Conţinutul directorului FTP"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Director părinte"></a></th> <th nowrap="nowrap"><a href="../">Director părinte</a> (<a href="/">Director rădăcină</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/ro/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/ro/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_NOT_FOUND	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid a trimis următoarea comandă FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/ro/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/ro/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_PUT_CREATED	2009-01-23 18:40:55.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT reuşit: fişierul a fost creat</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operaţie reuşită</h1> <h2>Fişierul a fost creat</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/ro/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/ro/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_PUT_ERROR	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/încărcare eşuată</h2> </div> <hr>  <div id="content"> <p>În timp ce făceam PUT la următorul URL: <a href="%U">%U</a></p>  <p>Squid a trimis următoarea comandă FTP:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/ro/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/ro/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_PUT_MODIFIED	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT reuşit: fişierul a fost actualizat</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operaţie reuşită</h1> <h2>Fişierul a fost actualizat</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/ro/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/ro/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_FTP_UNAVAILABLE	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Serverul FTP a fost prea ocupat pentru a aduce URL-ul: <a href="%U">%U</a></p>  <p>Squid a trimis următoarea comandă FTP:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_ICAP_FAILURE squid-3.1.0.4/errors/ro/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/ro/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_ICAP_FAILURE	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Eroare la protocolul ICAP</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Câteva probleme posibile sunt:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>Un răspuns 'Illegal' (ilegal) a fost recepţionat de la serverul ICAP.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_INVALID_REQ squid-3.1.0.4/errors/ro/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/ro/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_INVALID_REQ	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Eroarea <b>Cerere invalidă</b> a fost întâlnită în timp ce se încerca procesarea cererii:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Câteva probleme posibile sunt:</p> <ul> <li><p>Metoda de cerere lipseşte sau nu este cunoscută.</p></li> <li><p>Lipseşte URL-ul.</p></li> <li><p>Lipseşte identificatorul HTTP (HTTP/1.0).</p></li> <li><p>Cererea este prea mare.</p></li> <li><p>Content-Length lipseşte pentru cererile POST sau PUT.</p></li> <li><p>Caracter ilegal în numele staţiei; liniuţele de subliniere nu sunt permise.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_INVALID_RESP squid-3.1.0.4/errors/ro/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/ro/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_INVALID_RESP	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Eroarea <b>Răspuns invalid</b> a fost întâlnită în timp ce se încerca procesarea cererii:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_INVALID_URL squid-3.1.0.4/errors/ro/ERR_INVALID_URL
--- squid-3.1.0.3/errors/ro/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_INVALID_URL	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>URL invalid</b></p> </blockquote>  <p>O parte a URL-ului cerut este incorectă.</p>  <p>Câteva probleme posibile sunt:</p> <ul> <li><p>Protocolul de acces lipseşte sau nu este corect (ar trebui să fie <q>http://</q> sau similar)</p></li> <li><p>Lipseşte numele staţiei</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Caracter ilegal în numele staţiei; liniuţele de subliniere nu sunt permise.</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_LIFETIME_EXP squid-3.1.0.4/errors/ro/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/ro/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_LIFETIME_EXP	2009-01-23 18:40:56.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Durata de viaţă a conexiunii a expirat</b></p> </blockquote>  <p>Squid a terminat conexiunea din cauză că a depăşit durata maximă admisă pentru o conexiune.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_NO_RELAY squid-3.1.0.4/errors/ro/ERR_NO_RELAY
--- squid-3.1.0.3/errors/ro/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_NO_RELAY	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nu există relay Wais</b></p> </blockquote>  <p>Nu este definit nici un calculator relay Wais pentru acest cache! Strigaţi la administrator!</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/ro/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/ro/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Un document cu cale corectă de altfel nu a fost găsit în cache şi directiva <q>only-if-cached</q> (numai dacă este deja în cache) a fost specificată.</b></p> </blockquote>  <p>Aţi cerut un document cu directiva <q>only-if-cached</q> (numai dacă există deja în cache). Documentul nu a fost găsit în cache, <em>sau</em> a necesitat o revalidare, revalidare interzisă de directiva <q>only-if-cached</q>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_READ_ERROR squid-3.1.0.4/errors/ro/ERR_READ_ERROR
--- squid-3.1.0.3/errors/ro/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_READ_ERROR	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Eroare la citire</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>A survenit o condiţie de eroare în timp ce se citeau date de la reţea. Vă rugăm încercaţi din nou.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_READ_TIMEOUT squid-3.1.0.4/errors/ro/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/ro/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_READ_TIMEOUT	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Read Timeout</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>S-a depăşit timpul de aşteptare în tipul citirii datelor de la reţea. Reţeaua sau serverul ar putea fi căzute sau congestionate. Vă rugăm să încercaţi din nou.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/ro/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/ro/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/ro/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/ro/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_SHUTTING_DOWN	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/ro/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/ro/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_SOCKET_FAILURE	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Eroare de Socket</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>Squid nu poate crea un soclu TCP, probabil din cauza încărcării excesive. Vă rugăm încercaţi din nou.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_TOO_BIG squid-3.1.0.4/errors/ro/ERR_TOO_BIG
--- squid-3.1.0.3/errors/ro/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_TOO_BIG	2009-01-23 18:40:57.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>În cazul în care faceţi o cerere POST sau PUT, ceea ce încercaţi să încărcaţi este prea mare.</p> <p>În cazul în care faceţi o cerere GET, ceea ce încercaţi să descărcaţi este prea mare.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_UNSUP_REQ squid-3.1.0.4/errors/ro/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/ro/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_UNSUP_REQ	2009-01-23 18:40:58.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Unsupported Request Method and Protocol</b></p> </blockquote>  <p>Squid nu suportă toate metodele de cerere pentru toate protocolurile de acces. De exemplu, nu puteţi face o cerere de tip POST pentru Gopher.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_URN_RESOLVE squid-3.1.0.4/errors/ro/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/ro/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_URN_RESOLVE	2009-01-23 18:40:58.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Un URL pentru URN-ul cerut nu a putut fi adus</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nu se poate rezolva URN-ul</b></p> </blockquote>  <p>Hei, nu vă aşteptaţi la prea multe de la URN-uri pe %T :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_WRITE_ERROR squid-3.1.0.4/errors/ro/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/ro/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_WRITE_ERROR	2009-01-23 18:40:58.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Eroare la scriere</b></p> </blockquote>  <p id="sysmsg">Sistemul de operare a returnat mesajul:<i>%E</i></p>  <p>A survenit o condiţie de eroare în timp ce se scriau date la reţea. Vă rugăm încercaţi din nou.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ro/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/ro/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/ro/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/ro/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:40:58.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>EROARE: URL-ul cerut nu a putut fi citit</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Replică de lungime Zero</b></p> </blockquote>  <p>Squid nu a recepţionat nici un fel de date pentru această cerere.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Romanian/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Romanian/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmatoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Accesul refuzat.
-</STRONG>
-<P>
-Controlul accesului a prevenit cererea d-voastr
-de a fi acceptat la acest moment. V rugm contactai
-providerul d-voastr daca credei c acest lucru 
-este incorect.
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Romanian/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Romanian/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,34 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Accesul la cache refuzat.
-</STRONG>
-</UL>
-</P>
-
-<P>Ne pare ru, dar nu suntei ndreptit s accesai:
-<PRE>    %U</PRE>
-din acest cache pana cand nu v-ai autenticat.
-</P>
-
-<P>
-Aveti nevoie de Netscape versiunea 2.0 sau mai mare, sau Microsoft
-Internet Explorer 3.0, sau un browser care cunoate HTTP/1.1 pentru
-a v putea autentica. V rugm contactai <A HREF="mailto:%w%W">
-administratorul cache-ului</a> daca avei dificulti n autentificare
-sau <A HREF="http://%h/cgi-bin/chpasswd.cgi">schimbai-v</a> parola.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Romanian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Romanian/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,37 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: Accesul interzis la Managerul Cache-ului</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>ERROR</H1>
-<H2>Accesul interzis la Managerul Cache-ului</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Accesul interzis la Managerul Cache-ului
-</STRONG>
-</UL>
-</P>
-
-<P>Ne pare ru, dar nu suntei ndreptit s accesai:
-<PRE>    %U</PRE>
-din acest cache pana cand nu v-ai autenticat.
-</P>
-
-<P>
-Aveti nevoie de Netscape versiunea 2.0 sau mai mare, sau Microsoft
-Internet Explorer 3.0, sau un browser care cunoate HTTP/1.1 pentru
-a v putea autentica. V rugm contactai <A HREF="mailto:%w%W">
-administratorul cache-ului</a> daca avei dificulti n autentificare
-sau, dac <em>suntei</em> administratorul, citii n documentaia 
-Squid-ului seciunea despre interfaa managerului de cache i
-verificai logurile pentru mesaje de eroare mai detaliate.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Romanian/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Romanian/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Nu pot s forwardez aceast cerere la acest moment.
-</STRONG>
-</UL>
-
-<P>
-Aceast cerere nu a putut fi naintat ctre serverul de origine
-sau un cache printe. Cea mai probabil cauz de eroare este:
-<UL>
-<LI>Administratorul cache-ului nu permite acestui cache s fac
-    conexiuni directe ctre serverele de origine, i
-<LI>Toate cache-urile printe nu pot fi contactate m acest moment.
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Romanian/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Romanian/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Realizarea conexiunii a euat
-</STRONG>
-</UL>
-
-<P>
-Sistemul de operare a returnat mesajul:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Calculatorul sau reeaua destinaie s-ar putea s fie inoperabile. 
-Repetai cererea mai trziu.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_DNS_FAIL squid-3.1.0.4/errors/Romanian/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Romanian/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<BLOCKQUOTE>
-Nu pot determina adresa IP din numele host-ului pentru
-<I>%H</I>
-</BLOCKQUOTE>
-</UL>
-
-<P>
-Serverul de DNS a returnat:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-
-<P>
-Aceasta nseamn c:
-<PRE>
- Cache-ul nu a putut rezolva numele host-ului scris n URL.
- Verificai dac adresa este corect.
-</PRE>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_ESI squid-3.1.0.4/errors/Romanian/ERR_ESI
--- squid-3.1.0.3/errors/Romanian/ERR_ESI	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>.</P>
-<P>This page is in english because a translation has not been made. If you are able to, please create a translation and contact the squid project to get it included.</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Romanian/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Romanian/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-naintarea cererii este interzis.
-</STRONG>
-</UL>
-
-<P>
-Acest cache nu va nainta cererea dumneavoastr din cauz c ncearc
-s stabileasc o relaie de echivalen. Poate c clientul %i este un
-cache care a fost configurat greit.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_DISABLED squid-3.1.0.4/errors/Romanian/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Protocolul FTP este dezactivat
-</STRONG>
-</UL>
-
-<P>
-Acest cache nu suport protocolul FTP.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_FAILURE squid-3.1.0.4/errors/Romanian/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-O eroare de FTP a survenit n
-timp ce ncercam s citesc URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Squid a trimis urmtoarea comand FTP:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-i a primit aceast replic
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-Acest lucru ar putea fi cauzat de un URL FTP cu o cale absolut
-(fapt care nu este coform cu standardul RFC 1738). Dac aceasta 
-este cauza, atunci fiierul poate fi gsit la adresa
-<A HREF="%B">%B</A>.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Romanian/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_FORBIDDEN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-An FTP authentication failure occurred
-while trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Romanian/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_NOT_FOUND	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,22 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-The following URL could not be retrieved:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-This might be caused by an FTP URL with an absolute path (which does
-not comply with RFC 1738).  If this is the cause, then the file
-can be found at <A HREF="%B">%B</A>.
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Romanian/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,12 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>Comanda FTP PUT a reuit: Fiierul a fost creat</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operaiune reuitl</H1>
-<H2>Fiierul a fost creat</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Romanian/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: Trimiterea de fiier prin FTP a euat</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>Comanda FTP PUT/trimiterea a euat</H2>
-<HR noshade size="1px">
-<P>
-n timp ce fceam PUT la urmtorul URL:
-<A HREF="%U">%U</A>
-<P>
-Squid a trimis urmtoarea comand FTP:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-i a primit urmtoarea replic
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-Aceasta nseamn c:
-<PRE>
-Verificai calea, drepturile, spaiul liber i
-ncercai din nou.
-</PRE>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Romanian/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>Comanda FTP PUT a reuit: Fiierul a fost modificat</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operaiune reuit</H1>
-<H2>Fiier modificat</H2>
-<HR noshade size="1px">
-<P>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Romanian/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Romanian/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,18 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-The FTP server was too busy while trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Romanian/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Romanian/ERR_ICAP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_INVALID_REQ squid-3.1.0.4/errors/Romanian/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Romanian/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Cerere invalid
-</STRONG>
-</UL>
-
-<P>
-Cteva aspecte ale cererii HTTP sunt invalide. Probleme posibile:
-<UL>
-<LI>Comanda din cerere lipsete sau este necunoscut
-<LI>URL-ul lipsete
-<LI>Lipsete identificatorul HTTP (HTTP/1.0)
-<LI>Cererea este prea mare
-<LI>Cmpul <B>Content-Length</B> lipsete pentru cereri POST sau PUT
-<LI>Caracter(e) ilegal n numele calculatorului; underscore (_) nu este acceptat
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_INVALID_RESP squid-3.1.0.4/errors/Romanian/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Romanian/ERR_INVALID_RESP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to process the request:
-<PRE>
-%R
-</PRE>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Invalid Response
-</STRONG>
-</UL>
-
-<P>
-The HTTP Response message received from the contacted server
-could not be understood or was otherwise malformed. Please contact
-the site operator. Your cache administrator may be able to provide
-you with more details about the exact nature of the problem if needed.
-
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_INVALID_URL squid-3.1.0.4/errors/Romanian/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Romanian/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-URL invalid
-</STRONG>
-</UL>
-
-<P>
-Cteva aspecte ale URL-ului cerunt sunt incorecte. Probleme posibile:
-<UL>
-<LI>Lipsete sau este incorect protocolul de access (ar trebui s fie `http://' sau ceva similar)
-<LI>Lipsete numele calculatorului
-<LI>Caracterul escape-dublu este ilegal n calea URL
-<LI>Caracter(e) ilegal n numele calculatorului; underscore (_) nu este acceptat
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Romanian/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Romanian/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Durate de via a conexiunii a expirat
-</STRONG>
-</UL>
-
-<P>
-Squid a terminat conexiunea din cauz c a depit durata maxim
-admis pentru o conexiune.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_NO_RELAY squid-3.1.0.4/errors/Romanian/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Romanian/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Nu exist relay Wais
-</STRONG>
-</UL>
-
-<P>
-Nu este definit nici un calculator relay Wais pentru acest cache! Strigai la administrator!
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Romanian/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Romanian/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Un document cu cale corect de altfel nu a fost gsit n cache i
-directiva <code>only-if-cached</code> (numai dac este deja n cache)
-a fost specificat.
-</STRONG>
-</UL>
-
-<P>
-Ai cerut un document cu directiva <code>only-if-cached</code>
-(numai dac exist deja n cache). Documentul nu a fost gsit n
-cache, <em>sau</em> a necesitat o revalidare, revalidare interzis
-de directiva<code>only-if-cached</code>.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_READ_ERROR squid-3.1.0.4/errors/Romanian/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Romanian/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Eroare la citire
-</STRONG>
-</UL>
-
-<P>
-Sistemul de operare a returnat:
-<PRE><I>    %E</I></PRE>
-
-<P>
-O condiie de eroare n timp ce citeam date din reea. V rog 
-retrimitei cererea.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Romanian/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Romanian/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Cererea de citire a expirat nainte s primesc rspuns
-</STRONG>
-</UL>
-
-<P>
-Sistemul de operare a returnat:
-<PRE><I>    %E</I></PRE>
-
-<P>
-O depire de durat s-a ntmplat m timp ce citeam date din reea. 
-Serverul sau reeaua ar putea fi inpoerabile sau congestionate. ncercai 
-din nou.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Romanian/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Romanian/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Romanian/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Romanian/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<P>
-This cache is in the process of shutting down and can not
-service your request at this time.  Please retry your
-request again soon.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Romanian/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Romanian/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Eroare de Socket
-</STRONG>
-</UL>
-
-<P>
-Sistemul de operare a returnat:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Squid nu a reuit s creeze un socket TCP, probabil din cauza ncrcrii 
-excesive. ncercai <b>mai trziu</b>.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_TOO_BIG squid-3.1.0.4/errors/Romanian/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Romanian/ERR_TOO_BIG	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-The request or reply is too large.
-</STRONG>
-<P>
-If you are making a POST or PUT request, then your request body
-(the thing you are trying to upload) is too large.  If you are 
-making a GET request, then the reply body (what you are trying
-to download) is too large.   These limits have been established
-by the Internet Service Provider who operates this cache.  Please
-contact them directly if you feel this is an error.
-</UL>
-<P>
-Your cache administrator is <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_UNSUP_REQ squid-3.1.0.4/errors/Romanian/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Romanian/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Combinaie de protocol i cerere invalid
-</STRONG>
-</UL>
-
-<P>
-Squid nu suport toate cererile sub toate protocoalele. 
-De exemplu, nu putei s POST o cerere Gopher.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_URN_RESOLVE squid-3.1.0.4/errors/Romanian/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Romanian/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Nu pot nelege sau rezolva URN-ul
-</STRONG>
-</UL>
-
-<P>
-Hei, nu te atepta la prea multe de la URN-uri pe %T :)
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_WRITE_ERROR squid-3.1.0.4/errors/Romanian/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Romanian/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Eroare la scriere
-</STRONG>
-</UL>
-
-<P>
-Sistemul de operare a returnat:
-<PRE><I>    %E</I></PRE>
-
-<P>
-O condiie de eroare a survenit n timp ce scriam date n reea. Rencercai 
-operaia.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Romanian/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Romanian/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Romanian/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Romanian/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>EROARE: URL-ul cerut nu a putut fi citit</TITLE>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>URL-ul cerut nu a putut fi citit</H2>
-<HR noshade size="1px">
-<P>
-n timp ce citeam URL-ul:
-<A HREF="%U">%U</A>
-<P>
-Am ntlnit urmtoarea eroare:
-<UL>
-<LI>
-<STRONG>
-Replic de lungime zero
-</STRONG>
-</UL>
-
-<P>
-Squid nu a recepionat nici o informaie ca urmare a acestei cereri.
-</P>
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_ACCESS_DENIED squid-3.1.0.4/errors/ru/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/ru/ERR_ACCESS_DENIED	2008-12-05 16:12:49.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_ACCESS_DENIED	2009-01-23 18:40:58.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В доступе отказано.</b></p> </blockquote>  <p>Настройка контроля доступа не даёт возможности выполнить Ваш запрос в настоящее время. Пожалуйста, свяжитесь с Вашим поставщиком услуг Интернет, если Вы считаете это неправильным.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В доступе отказано.</b></p> </blockquote>  <p>Настройка контроля доступа не даёт возможности выполнить Ваш запрос в настоящее время. Пожалуйста, свяжитесь с Вашим поставщиком услуг Интернет, если Вы считаете это неправильным.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/ru/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/ru/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:12:49.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:40:58.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache В доступе отказано.</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В доступе к кэшу отказано.</b></p> </blockquote>  <p>Извините, Вы не можете запросить %U из этого кэша до тех пор, пока не пройдёте идентификацию.</p>  <p>Пожалуйста свяжитесь с <a href="mailto:%w%W">администратором кэша</a>, если у Вас возникли проблемы с аутентификацией, либо <a href="http://%h/cgi-bin/chpasswd.cgi">смените</a> Ваш пароль по умолчанию. </p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache В доступе отказано.</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В доступе к кэшу отказано.</b></p> </blockquote>  <p>Извините, Вы не можете запросить %U из этого кэша до тех пор, пока не пройдёте идентификацию.</p>  <p>Пожалуйста свяжитесь с <a href="mailto:%w%W">администратором кэша</a>, если у Вас возникли проблемы с аутентификацией, либо <a href="http://%h/cgi-bin/chpasswd.cgi">смените</a> Ваш пароль по умолчанию.</p>  <br> </div>  <hr>  <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:12:49.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:40:58.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager В доступе отказано.</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В доступе к администратору кэша отказано.</b></p> </blockquote>  <p>Извините, Вы не можете запросить %U из системы управления кэша до тех пор, пока не пройдете идентификацию.</p>  <p>Пожалуйста свяжитесь с <a href="mailto:%w%W">администратором кэша</a>, если у Вас возникли проблемы с аутентификацией, если же <em>Вы администратор</em>, прочитайте документацию по интерфейсу управления кэшем и просмотрите лог-файл на предмет более детальных сообщений об ошибках.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager В доступе отказано.</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В доступе к администратору кэша отказано.</b></p> </blockquote>  <p>Извините, Вы не можете запросить %U из системы управления кэша до тех пор, пока не пройдете идентификацию.</p>  <p>Пожалуйста свяжитесь с <a href="mailto:%w%W">администратором кэша</a>, если у Вас возникли проблемы с аутентификацией, если же <em>Вы администратор</em>, прочитайте документацию по интерфейсу управления кэшем и просмотрите лог-файл на предмет более детальных сообщений об ошибках.</p>  <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/ru/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/ru/ERR_CANNOT_FORWARD	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_CANNOT_FORWARD	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Невозможно перенаправить запрос в данное время.</b></p> </blockquote>  <p>Этот запрос не может быть перенаправлен ни к первичному серверу, ни к родительским кэшам. Наиболее вероятная причина этой ошибки в том, что администратор запретил прямые соединения к первычным серверам, а все указанные родительские кэши в данный момент недоступны.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Невозможно перенаправить запрос в данное время.</b></p> </blockquote>  <p>Этот запрос не может быть перенаправлен ни к первичному серверу, ни к родительским кэшам. Наиболее вероятная причина этой ошибки в том, что администратор запретил прямые соединения к первычным серверам, а все указанные родительские кэши в данный момент недоступны.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_CONNECT_FAIL squid-3.1.0.4/errors/ru/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/ru/ERR_CONNECT_FAIL	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_CONNECT_FAIL	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Соединение с %I не удалось</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Удаленный узел или сеть могут быть недоступны. Пожалуйста, повторите запрос позже.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Соединение с %I не удалось</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Удаленный узел или сеть могут быть недоступны. Пожалуйста, повторите запрос позже.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_DNS_FAIL squid-3.1.0.4/errors/ru/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/ru/ERR_DNS_FAIL	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_DNS_FAIL	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Невозможно определить IP адрес из имени узла <q>%H</q></b></p> </blockquote>  <p>Сервер DNS ответил:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Это означает, что кэш не смог преобразовать имя узла в URL. Проверьте адрес на правильность.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Невозможно определить IP адрес из имени узла <q>%H</q></b></p> </blockquote>  <p>Сервер DNS ответил:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>Это означает, что кэш не смог преобразовать имя узла в URL. Проверьте адрес на правильность.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_ESI squid-3.1.0.4/errors/ru/ERR_ESI
--- squid-3.1.0.3/errors/ru/ERR_ESI	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_ESI	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Обработка ESI не удалась.</b></p> </blockquote>  <p>Обработчик ESI ответил:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Ваш вебмастер: <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Обработка ESI не удалась.</b></p> </blockquote>  <p>Обработчик ESI ответил:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Ваш вебмастер: <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/ru/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/ru/ERR_FORWARDING_DENIED	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FORWARDING_DENIED	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В пересылке отказано</b></p> </blockquote>  <p>Этот кэш не будет пересылать Ваш запрос по причине установки взаимоотношений типа sibling. Скорее всего клиент %i - неправильно сконфигурированный кэш.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>В пересылке отказано</b></p> </blockquote>  <p>Этот кэш не будет пересылать Ваш запрос по причине установки взаимоотношений типа sibling. Скорее всего клиент %i - неправильно сконфигурированный кэш.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_DISABLED squid-3.1.0.4/errors/ru/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/ru/ERR_FTP_DISABLED	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_DISABLED	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>FTP отключен</b></p> </blockquote>  <p>Этот кэш не поддерживает FTP.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>FTP отключен</b></p> </blockquote>  <p>Этот кэш не поддерживает FTP.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_FAILURE squid-3.1.0.4/errors/ru/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/ru/ERR_FTP_FAILURE	2008-12-05 16:12:50.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_FAILURE	2009-01-23 18:40:59.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Произошла ошибка FTP протокола при попытке получить следующий URL (унифицированный указатель информационного ресурса): <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Произошла ошибка FTP протокола при попытке получить следующий URL (унифицированный указатель информационного ресурса): <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/ru/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/ru/ERR_FTP_FORBIDDEN	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_FORBIDDEN	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Произошла ошибка FTP идентификации при попытке получить URL (унифицированный указатель информационного ресурса): <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Произошла ошибка FTP идентификации при попытке получить URL (унифицированный указатель информационного ресурса): <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_LISTING squid-3.1.0.4/errors/ru/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/ru/ERR_FTP_LISTING	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_LISTING	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP директория: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP директория: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Содержимое директории:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="Список файлов в FTP директории"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Родительская директория"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/ru/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/ru/ERR_FTP_NOT_FOUND	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_NOT_FOUND	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Следующий URL не может быть получен: <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Это может быть вызвано FTP URL c абсолютным путем (который не соответствует RFC 1738). Если эта причина верна, то файл можно найти на <a href="%B">%B</a>.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Следующий URL не может быть получен: <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Это может быть вызвано FTP URL c абсолютным путем (который не соответствует RFC 1738). Если эта причина верна, то файл можно найти на <a href="%B">%B</a>.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/ru/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/ru/ERR_FTP_PUT_CREATED	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_PUT_CREATED	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Операция FTP PUT завершилась успешно: файл создан</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Операция завершилась успешно</h1> <h2>Файл создан</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Операция FTP PUT завершилась успешно: файл создан</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Операция завершилась успешно</h1> <h2>Файл создан</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/ru/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/ru/ERR_FTP_PUT_ERROR	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_PUT_ERROR	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Операция FTP PUT (загрузка) не удалась</h2> </div> <hr>  <div id="content"> <p>При попытке PUT следующего URL: <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>Это означает, что FTP сервер может не иметь прав или свободного места для хранения файла. Проверьте путь, права, свободное место и повторите снова.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Операция FTP PUT (загрузка) не удалась</h2> </div> <hr>  <div id="content"> <p>При попытке PUT следующего URL: <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>Это означает, что FTP сервер может не иметь прав или свободного места для хранения файла. Проверьте путь, права, свободное место и повторите снова.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/ru/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/ru/ERR_FTP_PUT_MODIFIED	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_PUT_MODIFIED	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Операция FTP PUT завершилась успешно: файл обновлен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Операция завершилась успешно</h1> <h2>Файл обновлен</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>Операция FTP PUT завершилась успешно: файл обновлен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Операция завершилась успешно</h1> <h2>Файл обновлен</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/ru/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/ru/ERR_FTP_UNAVAILABLE	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_FTP_UNAVAILABLE	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Сервер FTP слишком нагружен, чтобы получить URL: <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Сервер FTP слишком нагружен, чтобы получить URL: <a href="%U">%U</a></p>  <p>Squid послал следующую FTP комманду:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>Сервер ответил:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_ICAP_FAILURE squid-3.1.0.4/errors/ru/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/ru/ERR_ICAP_FAILURE	2008-12-05 16:12:51.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_ICAP_FAILURE	2009-01-23 18:41:00.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка ICAP протокола.</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Это означает, что некоторые аспекты ICAP связи неудались.</p>  <p>Возможные проблемы:</p> <ul> <li><p>Сервер ICAP недоступен</p></li> <li><p>Получен неверный ответ от ICAP сервера.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка ICAP протокола.</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Это означает, что некоторые аспекты ICAP связи неудались.</p>  <p>Возможные проблемы:</p> <ul> <li><p>Сервер ICAP недоступен</p></li> <li><p>Получен неверный ответ от ICAP сервера.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_INVALID_REQ squid-3.1.0.4/errors/ru/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/ru/ERR_INVALID_REQ	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_INVALID_REQ	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Ошибка <b>неверный запрос</b> при обработке запроса:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Возможные проблемы:</p> <ul> <li><p>Отсутствует или неизвестен метод запроса.</p></li> <li><p>Отсутствует URL.</p></li> <li><p>Отсутствует HTTP идентификатор (HTTP/1.0).</p></li> <li><p>Запрос слишком велик.</p></li> <li><p>Упещенный Content-Length в POST или PUT запросе.</p></li> <li><p>Недопустимый символ в имени (hostname), подчеркивания запрещены.</p></li> </ul>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Ошибка <b>неверный запрос</b> при обработке запроса:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Возможные проблемы:</p> <ul> <li><p>Отсутствует или неизвестен метод запроса.</p></li> <li><p>Отсутствует URL.</p></li> <li><p>Отсутствует HTTP идентификатор (HTTP/1.0).</p></li> <li><p>Запрос слишком велик.</p></li> <li><p>Упещенный Content-Length в POST или PUT запросе.</p></li> <li><p>Недопустимый символ в имени (hostname), подчеркивания запрещены.</p></li> </ul>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_INVALID_RESP squid-3.1.0.4/errors/ru/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/ru/ERR_INVALID_RESP	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_INVALID_RESP	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Ошибка <b>неверный ответ</b> при обработке запроса:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Ответ HTTP (HTTP Response message), полученный от сервера не может быть обработан или неверно сформирован. Пожалуйста, свяжитесь с оператором сервера.</p>  <p>Администратор вашего кэша, при необходимости, может предоставить Вам более подробную информацию о действительных причинах проблемы.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Ошибка <b>неверный ответ</b> при обработке запроса:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Ответ HTTP (HTTP Response message), полученный от сервера не может быть обработан или неверно сформирован. Пожалуйста, свяжитесь с оператором сервера.</p>  <p>Администратор вашего кэша, при необходимости, может предоставить Вам более подробную информацию о действительных причинах проблемы.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_INVALID_URL squid-3.1.0.4/errors/ru/ERR_INVALID_URL
--- squid-3.1.0.3/errors/ru/ERR_INVALID_URL	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_INVALID_URL	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Неверный URL</b></p> </blockquote>  <p>Некоторые параметры URL неверны</p>  <p>Возможные проблемы:</p> <ul> <li><p>Отсутствет или неверено указан протокол (должен быть <q>http://</q> или похожий)</p></li> <li><p>Отсутствует имя узла (hostname)</p></li> <li><p>Недопустимое двойное экранирование в пути URL (URL-Path)</p></li> <li><p>Недопустимый символ в имени (hostname), подчеркивания запрещены.</p></li> </ul>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Неверный URL</b></p> </blockquote>  <p>Некоторые параметры URL неверны</p>  <p>Возможные проблемы:</p> <ul> <li><p>Отсутствет или неверено указан протокол (должен быть <q>http://</q> или похожий)</p></li> <li><p>Отсутствует имя узла (hostname)</p></li> <li><p>Недопустимое двойное экранирование в пути URL (URL-Path)</p></li> <li><p>Недопустимый символ в имени (hostname), подчеркивания запрещены.</p></li> </ul>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_LIFETIME_EXP squid-3.1.0.4/errors/ru/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/ru/ERR_LIFETIME_EXP	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_LIFETIME_EXP	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Время жизни соединения истекло</b></p> </blockquote>  <p>Squid прервал запрос из-за превышения максимального времени соединения.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Время жизни соединения истекло</b></p> </blockquote>  <p>Squid прервал запрос из-за превышения максимального времени соединения.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_NO_RELAY squid-3.1.0.4/errors/ru/ERR_NO_RELAY
--- squid-3.1.0.3/errors/ru/ERR_NO_RELAY	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_NO_RELAY	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Wais Relay не определен</b></p> </blockquote>  <p>Для этого кэша не определен Wais Relay узел. Кричите на администратора.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Wais Relay не определен</b></p> </blockquote>  <p>Для этого кэша не определен Wais Relay узел. Кричите на администратора.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/ru/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/ru/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Действительный документ не найден в кэше и указана деректива <q>only-if-cached</q>.</b></p> </blockquote>  <p>Вы сделали запрос с директивой управления кэшем <q>only-if-cached</q>. Документ не был найден в кэше <em>или</em> он требует обновления, запрешенного директивой <q>only-if-cached</q>.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Действительный документ не найден в кэше и указана деректива <q>only-if-cached</q>.</b></p> </blockquote>  <p>Вы сделали запрос с директивой управления кэшем <q>only-if-cached</q>. Документ не был найден в кэше <em>или</em> он требует обновления, запрешенного директивой <q>only-if-cached</q>.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_READ_ERROR squid-3.1.0.4/errors/ru/ERR_READ_ERROR
--- squid-3.1.0.3/errors/ru/ERR_READ_ERROR	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_READ_ERROR	2009-01-23 18:41:01.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка при чтении</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>При попытке чтения данных из сети произошла ошибка. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка при чтении</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>При попытке чтения данных из сети произошла ошибка. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_READ_TIMEOUT squid-3.1.0.4/errors/ru/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/ru/ERR_READ_TIMEOUT	2008-12-05 16:12:52.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_READ_TIMEOUT	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Время ожидания при чтении истекло</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Превышено время ожидания ответа во время чтения данных из сети. Сеть или сервер не работают либо перегружены. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Время ожидания при чтении истекло</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Превышено время ожидания ответа во время чтения данных из сети. Сеть или сервер не работают либо перегружены. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/ru/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/ru/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Не удалось установить безопасное соединение с %I</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>При обработке Вашего запроса этот кэш и удаленный узел не смогли выбрать взаимно удовлетворяющие настройки безопасности. Возможно удаленный узел не поддерживает безопасные соединения, или кэш не не удовлетворен аттестатом безопасности узла.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Не удалось установить безопасное соединение с %I</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>При обработке Вашего запроса этот кэш и удаленный узел не смогли выбрать взаимно удовлетворяющие настройки безопасности. Возможно удаленный узел не поддерживает безопасные соединения, или кэш не не удовлетворен аттестатом безопасности узла.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/ru/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/ru/ERR_SHUTTING_DOWN	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_SHUTTING_DOWN	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <p>Этот кэш в процессе завершения работы и не может выполнить Ваш запрос в настоящее время. Пожалуйста, повторите запрос через некторое время.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <p>Этот кэш в процессе завершения работы и не может выполнить Ваш запрос в настоящее время. Пожалуйста, повторите запрос через некторое время.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/ru/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/ru/ERR_SOCKET_FAILURE	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_SOCKET_FAILURE	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка сокета</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Squid не может создать TCP сокет, предположительно из-за большой нагрузки. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка сокета</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>Squid не может создать TCP сокет, предположительно из-за большой нагрузки. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_TOO_BIG squid-3.1.0.4/errors/ru/ERR_TOO_BIG
--- squid-3.1.0.3/errors/ru/ERR_TOO_BIG	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_TOO_BIG	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Запрос или ответ слишком велик.</b></p> </blockquote>  <p>Если Вы делаете POST или PUT запросы, то закачиваемый объект слишком велик.</p> <p>Если Вы делаете GET запрос, то скачиваемый объект слишком велик.</p> <p>Эти ограничения установлены вышим интернет провайдером, который управляет этим кэшем. Пожалуйста, свяжитесь с ними, если Вы считаете это неправильным.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Запрос или ответ слишком велик.</b></p> </blockquote>  <p>Если Вы делаете POST или PUT запросы, то закачиваемый объект слишком велик.</p> <p>Если Вы делаете GET запрос, то скачиваемый объект слишком велик.</p> <p>Эти ограничения установлены вышим интернет провайдером, который управляет этим кэшем. Пожалуйста, свяжитесь с ними, если Вы считаете это неправильным.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_UNSUP_REQ squid-3.1.0.4/errors/ru/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/ru/ERR_UNSUP_REQ	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_UNSUP_REQ	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Неподдерживаемый метод запроса или протокол</b></p> </blockquote>  <p>Squid не поддерживает все методы запросов для всех протоколов. К примеру, для Gopher протокола Вы не можете выполнять запрос POST.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Неподдерживаемый метод запроса или протокол</b></p> </blockquote>  <p>Squid не поддерживает все методы запросов для всех протоколов. К примеру, для Gopher протокола Вы не можете выполнять запрос POST.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_URN_RESOLVE squid-3.1.0.4/errors/ru/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/ru/ERR_URN_RESOLVE	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_URN_RESOLVE	2009-01-23 18:41:02.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>URL для запрошенного URN не может быть получен</h2> </div> <hr>  <div id="content"> <p>При получении URN: <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Невозможно определить URN</b></p> </blockquote>  <p>Не стоит ожидать чудес от URN-ов на %T :) </p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>URL для запрошенного URN не может быть получен</h2> </div> <hr>  <div id="content"> <p>При получении URN: <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Невозможно определить URN</b></p> </blockquote>  <p>Не стоит ожидать чудес от URN-ов на %T :)</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_WRITE_ERROR squid-3.1.0.4/errors/ru/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/ru/ERR_WRITE_ERROR	2008-12-05 16:12:53.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_WRITE_ERROR	2009-01-23 18:41:03.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка записи</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>При попытке записи данных в сеть произошла ошибка. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Ошибка записи</b></p> </blockquote>  <p id="sysmsg">Система вернула: <i>%E</i></p>  <p>При попытке записи данных в сеть произошла ошибка. Пожалуйста, повторите запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/ru/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/ru/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/ru/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:12:54.000000000 +1300
+++ squid-3.1.0.4/errors/ru/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:41:03.000000000 +1300
@@ -1 +1 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Пустой ответ (нулевой длины)</b></p> </blockquote>  <p>Squid не получил никаких данных в ответ на этот запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>ОШИБКА: Запрошенный URL не может быть получен</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>При получении URL <a href="%U">%U</a> произошла следующая ошибка</p>  <blockquote id="error"> <p><b>Пустой ответ (нулевой длины)</b></p> </blockquote>  <p>Squid не получил никаких данных в ответ на этот запрос.</p>  <p>Администратор Вашего кэша: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Создано %T на %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Serbian/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Serbian/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Pristup nije dozvoljen</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Pristup nije dozvoljen.
-</STRONG>
-<P>
-Sistem za kontrolu pristupa konfigurisan je tako da vam u ovom trenutku pristup nije dozvoljen. 
-Ako smatrate da to nije u redu, molimo da kontaktirate vaeg servis provajdera.
-</UL>
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Serbian/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Serbian/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Pristup proksi/ke serveru nije dozvoljen</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Pristup proksi/ke serveru nije dozvoljen</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Pristup proksi/ke serveru nije dozvoljen</STRONG>
-</UL>
-</P>
-
-<P>Na alost trenutno vam nije dozvoljeno da zahtevate:
-<PRE>    %U</PRE>
-iz ovog proksi servera pre nego to se ne autentifikujete.
-</P>
-
-<P>
-Da bi to funkcionisalo potreban vam je Netscape verzija 2 ili novija ili 
-Microsoft Intenet Explorer 3.0, ili browser koji podrava HTTP/1.1.
-Ukoliko budete imali problema oko autentifikacije molimo kontaktirajte 
-<A HREF="mailto:%w">proksi administratora</a> ili elite da  
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">promenite</a> svoju poetnu lozinku.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Serbian/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Serbian/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Pristup proksi/ke server menaderu nije dozvoljen</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Pristup proksi/ke server menaderu nije dozvoljen</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Pristup proksi/ke server menaderu nije dozvoljen</STRONG>
-</UL>
-</P>
-<P>Na alost trenutno vam nije dozvoljeno da zahtevate:
-<PRE>    %U</PRE>
-iz ovog ke menadera pre nego to se autentifikujete.
-</P>
-
-<P> Da bi to funkcionisalo potreban vam je Netscape verzija 2 i vie ili 
-Microsoft Intenet Explorer 3.0, ili browser koji podrava HTTP/1.1.
-Ukoliko budete imali problema oko autentifikacije molimo kontaktirajte 
-<A HREF="mailto:%w">proxy administratora</a> a ako vi <em>jeste</em> administrator,
-proitajte dokumentaciju o ke menaderu za Squid i proverite ke log
-za detaljnije opise greaka.</P>
-
-
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Serbian/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Serbian/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Va zahtev ne moe da se prosledi u ovom trenutku.
-</STRONG>
-</UL>
-
-<P>
-Ovaj zahtev nije mogao da bude prosleen izvonom serveru niti bilo kom
-nadreenom proxy serveru. Najverovatniji uzrok ove greke je da:
-<UL>
-<LI>Ke administrator ne dozvoljava da ovaj proksi server
-direktno pristupi izvonom serveru, 
-<LI>Svi konfigurisani nadreeni proksi serveri su trenutno nedostupni.
-</UL>
-<P>Va ke administrator je <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Serbian/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Serbian/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-@SHORT_DESCRIPTION@
-</STRONG>
-</UL>
-
-<P>
-Sistem je dao povratnu informaciju:
-<PRE><I>Konekcija je raskinuta.</I></PRE>
-
-<P>
-to znai:
-<PRE>
-    Udaljeni raunar ili mrea nisu operativni. Molimo pokuajte kasnije.
-</PRE>
-</P>
-<P>Va ke administrator je <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_DNS_FAIL squid-3.1.0.4/errors/Serbian/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Serbian/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,36 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-<BLOCKQUOTE>
-Nije mogue odrediti IP adresu iz imena raunara za
-<I>%H</I>
-</BLOCKQUOTE>
-</STRONG>
-</UL>
-
-<P>
-DNS server je vratio informaciju:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-<P>
-to znai:
-<PRE>
-   Proksi server nije u stanju da identifikuje ime raunara koje se nalazi u 
-   adresi (URL). Proverite da li je adresa ispravna.
-</PRE>
-</P>
-<P>Va ke administrator je <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_ESI squid-3.1.0.4/errors/Serbian/ERR_ESI
--- squid-3.1.0.3/errors/Serbian/ERR_ESI	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovuce</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovuce</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovuce strana sa sledecom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledeca greka:
-<BLOCKQUOTE>
-ESI obrada nije uspela.
-</BLOCKQUOTE>
-
-<P>
-ESI procesor je vratio:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-Ovo znaci da:
-<PRE>
- Surogat nije uspeo da obradi ESI zahtev. Molimo obavestite webmastera o ovoj greci
-</PRE>
-<P>Va webmaster je <A HREF="mailto:%w">%w</A>.</P>
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Serbian/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Serbian/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,30 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Prosleivanje odbijeno.
-</STRONG>
-</UL>
-
-<P>
-to znai:
-<PRE>
-  Ovaj proksi server nee da prosledi va zahtev zato to pokuava da
-  potuje sibling odnose. Moda je klijent na %i proksi serveru koji je pogreno
-  konfigurisan. 
-</PRE>
-</P>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_DISABLED squid-3.1.0.4/errors/Serbian/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-FTP nije omoguen.
-</STRONG>
-</UL>
-
-<P>
-to znai:
-<PRE>
-    Ovaj proksi server ne omoguava FTP saobraaj.
-</PRE>
-</P>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_FAILURE squid-3.1.0.4/errors/Serbian/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-Desila se greka u FTP protokolu prilikom dovlaenja URL-a: <A HREF="%U">%U</A>
-<P>
-<P>
-Squid je poslao sledeu FTP komandu:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-i onda dobio sledei odgovor
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
-
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Serbian/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_FORBIDDEN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-Prilikom pokuaja da se dovue URL: <A HREF="%U">%U</A> 
-nije uspela FTP autentifikacija.
-<P>
-<P>
-Squid je poslao sledeu FTP komandu:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-i onda dobio sledei odgovor
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Serbian/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_NOT_FOUND	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,22 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-URL: <A HREF="%U">%U</A> ne moe da se dovue.
-<P>
-<P>
-Squid je poslao sledeu FTP komandu:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-i onda dobio sledei odgovor
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-To moe da bude prouzrokovano time to je FTP adresa (URL) sa
-apsolutnom putanjom (to se ne slae sa RFC 1738). Ukoliko je to 
-sluaj, fajl moete da naete na <A HREF="%B">%B</A>.
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Serbian/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,8 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>FTP PUT uspean: Fajl je prenesen</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operacija je okonana uspeno.</H1>
-<H2>Fajl je prenesen.</H2>
-<HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Serbian/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: FTP PUT/upload nije uspeo</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>FTP upload nije uspeo</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se PRENESE strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-dok je pokuavao da prenese (PUT) sledei URL:
-<A HREF="%U">%U</A>
-<P>
-Squid je zadao sledeu komandu:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-da bi dobio odgovor:
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-
-<P>
-to znai da:
-<PRE>
-treba da proverite putanju, privilegije, raspoloiv prostor na disku i pokuate ponovo.
-</PRE>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
-
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Serbian/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,8 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>FTP PUT uspean: Fajl je osveen</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>Operacija je okonana uspeno.</H1>
-<H2>Fajl je osveen.</H2>
-<HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Serbian/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Serbian/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-FTP server je bio preoptereen prilikom pokuaja da se dovue URL: <A HREF="%U">%U</A>
-<P>
-<P>
-Squid je poslao sledeu FTP komandu:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-i onda dobio sledei odgovor
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
-
-
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Serbian/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Serbian/ERR_ICAP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovuce</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovuce</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovuce strana sa sledecom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledeca greka:
-<UL>
-<LI>
-<STRONG>
-Greka u ICAP protokolu.
-</STRONG>
-</UL>
-
-<P>
-Sistem je vratio:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Ovo znaci da:
-Neki aspekti ICAP protokola nisu u redu. Moguci problemi:
-<UL>
-<LI>ICAP server je nedostupan.
-<LI>Pogrean odgovor od ICAP servera.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_INVALID_REQ squid-3.1.0.4/errors/Serbian/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Serbian/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,36 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Za vreme obrade sledeeg zahteva:
-<PRE>
-%R
-</PRE>
-<P>
-Desila se greka:
-<UL>
-<LI>
-<STRONG>
-Neispravan zahtev.
-</STRONG>
-</UL>
-
-<P>
-Jedan od aspekta HTTP zahteva nije ispravan. Mogui problemi:
-<UL>
-<LI>Metod zahteva je nepoznat ili nedostaje
-<LI>Nedostaje adresa (URL)
-<LI>Nedostaje  HTTP identifikator (HTTP/1.0)
-<LI>Zahtev je predug
-<LI>Nedostaje duina zahteva (Content-Length) za POST ili PUT zahtev
-<LI>Nedozvoljeni karakteri u imenu raunara; donja crta (_) nije dozvoljena
-</UL>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
-
-</UL>
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_INVALID_RESP squid-3.1.0.4/errors/Serbian/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Serbian/ERR_INVALID_RESP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovuce</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovuce</H2>
-<HR noshade size="1px">
-<P>
-U pokuaju da se izvri zahtev:
-<PRE>
-%R
-</PRE>
-<P>
-Desila se sledeca greka:
-<UL>
-<LI>
-<STRONG>
-Pogrean odgovor
-</STRONG>
-</UL>
-
-<P>
-HTTP odgovor koji je dobijen od kontaktiranog servera
-ne moe da se razume ili je na neki nacin pogreno formirana.
-Molimo kontaktirajte operatora sajta. Va ke administrator
-vas moe informisati o detaljima prirode vaeg problema.
-
-<P>Va ke administrator je <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_INVALID_URL squid-3.1.0.4/errors/Serbian/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Serbian/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Neispravna adresa (URL)
-</STRONG>
-</UL>
-<P>
-Jedan od aspekata zahtevane adrese (URL) nije ispravan. Mogui problemi:
-<UL>
-<LI>Pristupni protokol nedostaje ili je neispravan (trebao bi da bude &quot;http://'' ili slino)
-<LI>Nedostaje ime raunara (servera)
-<LI>Nedozvoljeni dvostruki-escape u URL putanji
-<LI>Nedozvoljeni karakteri u imenu raunara; donja crta (_) nije dozvoljena
-</UL>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Serbian/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Serbian/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Dozvoljeno trajanje konekcije je prekoraeno.
-</STRONG>
-</UL>
-<P>
-Proksi server je prekinuo konekciju jer je prekoraila
-dozvoljeno trajanje konekcije.
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_NO_RELAY squid-3.1.0.4/errors/Serbian/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Serbian/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Nema Wais relay-a
-</STRONG>
-</UL>
-<P>
-Za ovaj proksi server nije definisan WAIS relay raunar! Pitajte administratora.
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Serbian/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Serbian/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-U keu nije naen validan dokument a specificirane je direktiva <code>only-if-cached</code>.</STRONG>
-</UL>
-<P>
-Za va zahtev postavljena je <code>only-if-cached</code> proksi direktiva.
-Dokument nije naen u proksi arhivi, <em>ili</em> se zahteva revalidacija koja
-je zabranjena direktivom <code>only-if-cached</code>.
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_READ_ERROR squid-3.1.0.4/errors/Serbian/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Serbian/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,32 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Greka u itanju.
-</STRONG>
-</UL>
-
-<P>
-Sistem je dao povratnu informaciju:
-<PRE><I>    %E</I></PRE>
-
-<P>
-<PRE>
-Desila se greka prilikom itanja podataka sa mree.
-Molimo pokuajte ponovo.
-</PRE>
-</P>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Serbian/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Serbian/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Predugo vreme itanja.
-</STRONG>
-</UL>
-
-<P>
-Sistem je dao povratnu informaciju:
-<PRE><I>    %E</I></PRE>
-
-<P>
-<PRE>
-Prilikom isitavanja greke sa mree dolo je do prekida. 
-Mrea ili server su moda preoptereeni ili nedostupni.
-Molimo pokuajte ponovo.
-</PRE>
-</P>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Serbian/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Serbian/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovuce</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovuce</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovuce strana sa sledecom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledeca greka:
-<UL>
-<LI>
-<STRONG>
-Nije uspelo uspostavljanje sigune konekcije sa %I
-</STRONG>
-</UL>
-
-<P>
-Sistem je vratio:
-<PRE><I>    %E</I></PRE>
-
-<P>
-Ovaj proksi i udaljeni server nisu uspeli da se dogovore oko sigunosnih
-podeavanja za izvravanje vaeg zahteva. Moguce je da je udaljeni server
-ne podrava sigune konekcije, ili da proksi nije zadovoljan sa pravilima
-sigunosti udaljenog servera.
-
-<P>Va ke administrator je <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Serbian/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Serbian/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,22 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Ovaj proksi server je u procesu iskljuivanja i ne moe da
-izvri zahtev u ovom trenutku. Molimo pokuajte ponovo uskoro.
-</STRONG>
-</UL>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Serbian/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Serbian/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Greka prilikom uspostavljanja konekcije (SOCKET)
-</STRONG>
-</UL>
-
-<P>
-Sistem je dao povratnu informaciju:
-<PRE><I>    %E</I></PRE>
-
-<P>
-to znai:
-<PRE>
- 	Squid nije u stanju da kreira TCP socket, verovatno zbog preoptereenosti.
-	Molimo pokuajte ponovo.
-</PRE>
-</P>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_TOO_BIG squid-3.1.0.4/errors/Serbian/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Serbian/ERR_TOO_BIG	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Zahtev ili odgovor je prevelik.
-</STRONG>
-<P>
-Ukoliko je va zahtev POST ili PUT, onda je telo zahteva (to to
-pokuavate da upload-ujete) preveliko. Ako ste uputili GET zahtev,
-onda je telo odgovora (to to pokuavate da skinete) preveliko.
-Ove limite postavio je intenet servis provajder koji koristi ovaj
-proksi server. Ako smatrate da je to greka, molimo stupite u kontakt
-sa administratorom.
-</UL>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_UNSUP_REQ squid-3.1.0.4/errors/Serbian/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Serbian/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Nepodran metod ili protokol zahteva (request)
-</STRONG>
-</UL>
-
-<P>
-Proksi server ne podrava sve metode zahteva za sve mogue pristupne protokole.
-Na primer ne moete da uradite POST na Gopher zahtev.
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_URN_RESOLVE squid-3.1.0.4/errors/Serbian/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Serbian/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) za URN ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URN):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Ne mogu da odgonetnem URN
-</STRONG>
-</UL>
-
-<P>
-Hej, nemoj mnogo da oekujes od URNova na %T! :)
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_WRITE_ERROR squid-3.1.0.4/errors/Serbian/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Serbian/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Greka u upisu.
-</STRONG>
-</UL>
-
-<P>
-Sistem je dao povratnu informaciju:
-<PRE><I>    %E</I></PRE>
-
-<P>
-<PRE>
-Desila se greka prilikom upisa u mrei. Molimo pokuajte ponovo.
-</PRE>
-</P>
-
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Serbian/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Serbian/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Serbian/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Serbian/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
-<TITLE>GREKA: Traena adresa (URL) ne moe da se dovue</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>GREKA</H1>
-<H2>Traena adresa (URL) ne moe da se dovue</H2>
-<HR noshade size="1px">
-<P>
-Tokom pokuaja da se dovue strana sa sledeom adresom (URL):
-<A HREF="%U">%U</A>
-<P>
-Dogodila se sledea greka:
-<UL>
-<LI>
-<STRONG>
-Odgovor nulte duine
-</STRONG>
-</UL>
-
-<P>
-Proksi nije dobio nikakav odgovor na va zahtev.
-<P>Va ke/proksi administrator je: <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Simplify_Chinese/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,31 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Access Denied.
-<BR>ܾ
+<BR>拒绝访问
 </STRONG>
 <P>
 Access control configuration prevents your request from
 being allowed at this time.  Please contact your service provider if
 you feel this is incorrect.
 <BR>
-ǰĴȡ趨ֹ󱻽ܣ
-Ǵģ·ṩϵ
+当前的存取控制设定禁止您的请求被接受，
+如果您觉得这是错误的，请与您网路服务的提供者联系。
 </UL>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
 
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Simplify_Chinese/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>绺ܾ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：网络缓存服务器拒绝访问</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
-<H1></H1>
-<H2>绺ܾ</H2>
+<H1>错误</H1>
+<H2>网络缓存服务器拒绝访问</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ 
+当尝试读取下面的网址（URL）时： 
 <A HREF="%U">%U</A>
 <P>
-еĴ 
+发生了下列的错误： 
 <UL>
 <LI>
 <STRONG>
 Cache Access Denied.
 <BR>
-ܾ
+缓存服务器拒绝访问
 </STRONG>
 </UL>
 </P>
 
 <P>
-Ǹͨ绺λã
+抱歉，您不被允许通过本网络缓存服务器访问下列位置：
 <BR>    %U<BR>
-ͨǵ֤
+除非您通过了我们的身份验证。
 </P>
 
 <P>
@@ -36,9 +36,9 @@
 difficulties authenticating yourself or 
 <A HREF="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.
 <BR>
-Ҫʹ Netscape version 2.0 µİ汾ʹ Microsoft Internet 
-Explorer 3.0һ HTTP/1.1 ݵй֤
-ѣ <A HREF="mailto:%w%W"></a> ϵ
-<A HREF="http://%h/cgi-bin/chpasswd.cgi"></a>롣
+您需要使用 Netscape version 2.0 或更新的版本，或是使用 Microsoft Internet 
+Explorer 3.0，或是一个 HTTP/1.1 相容的浏览器来进行工作。如果您在身份验证上
+发生困难，请与 <A HREF="mailto:%w%W">管理者</a> 联系。
+或是<A HREF="http://%h/cgi-bin/chpasswd.cgi">更改</a>您的密码。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Simplify_Chinese/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>󣺻ܾ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：缓存管理器拒绝访问</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
-<H1></H1>
-<H2>ܾ</H2>
+<H1>错误</H1>
+<H2>缓存管理器拒绝访问</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ 
+当尝试读取下面的网址（URL）时： 
 <A HREF="%U">%U</A>
 <P>
-еĴ 
+发生了下列的错误： 
 <UL>
 <LI>
 <STRONG>
 Cache Manager Access Denied.
 <BR>
-ܾ
+缓存管理器拒绝访问
 </STRONG>
 </UL>
 </P>
 
 <P>
-Ǹͨλã 
+抱歉，您不被允许通过本缓存管理器访问以下位置： 
 <BR>    %U<BR>
-ͨǵ֤
+除非您通过我们的身份验证。
 </P>
 
 <P> You need to use Netscape version 2.0 or greater, or Microsoft Internet
@@ -36,10 +36,10 @@
 administrator, read Squid documentation on cache manager interface and check
 cache log for more detailed error messages.
 <BR>
-Ҫʹ Netscape version 2.0 µİ汾ʹ Microsoft Internet 
-Explorer 3.0һ HTTP/1.1 ݵй֤Ϸ
-⣬ȷȨԻʹù
-<A HREF="mailto:%w%W"></a>ϵ<em></em>ߣϸĶ Squid ļ
-cache manager йزݻ cache log Աõ꾡ϸڡ
+您需要使用 Netscape version 2.0 或最新的版本，或是使用 Microsoft Internet 
+Explorer 3.0，或是一个 HTTP/1.1 相容的浏览器来进行工作。如果您是在身份验证上发
+生问题，请先确定您有权对缓存使用管理器。
+或是与<A HREF="mailto:%w%W">管理者</a>联系。如果您<em>就是</em>管理者，请详细阅读 Squid 所附文件中与
+cache manager 有关部份或检查 cache log 以便得到更详尽的细节。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Simplify_Chinese/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_CANNOT_FORWARD	2009-01-23 18:37:28.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误；您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取下面的网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Unable to forward this request at this time.
 <BR>
-Ŀǰ޷תͲ
+目前无法将您的请求进行转送操作
 </STRONG>
 </UL>
 
@@ -31,10 +31,10 @@
 </UL>
 </P>
 <P>
-޷ת͵ԭʼϲ㻺ܵԭǣ
+您的请求无法被转送到原始网络服务器或其他的上层缓存服务器，发生这个问题最可能的原因是：
 <UL>
-<LI>Աԭʼֱᣬ
-<LI>бָϲ㻺ʱ޷ᡣ
+<LI>缓存服务器管理员不允许本服务器与原始网络服务器直接连结，而
+<LI>所有本服务器指定的上层缓存服务器都暂时无法连结。
 </UL>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Simplify_Chinese/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_CONNECT_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,33 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Connection Failed
 <BR>
-ʧ
+连接失败
 </STRONG>
 </UL>
 
 <P>
-ϵͳݣ
+系统返回以下内容：
 <PRE><I>    %E</I></PRE>
 
 <P>
 The remote host or network may be down.  Please try the request again.
 <BR>
-ҪܷϡԺԡ
+您要连结的网络服务器或网络可能发生故障。请稍后再试。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_DNS_FAIL squid-3.1.0.4/errors/Simplify_Chinese/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_DNS_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H2>ַURL޷ȡ</H2>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <BLOCKQUOTE>
-޷ƣ<I>%H</I>ת IP ַ
+无法将您输入的主机名称：<I>%H</I>转换成 IP 地址
 </BLOCKQUOTE>
 </UL>
 
 <P>
-ѶϢ
+域名服务器返回以下讯息：
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
 
 <P>
-ʾ
+这表示：
 <PRE>
  The cache was not able to resolve the hostname presented in the URL. 
  Check if the address is correct. 
- ޷ַURLеƣ
- Ƿȷ
+ 缓存服务器无法解析您输入网址（URL）中的主机名称，
+ 请检查该名称是否正确。
 </PRE>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Simplify_Chinese/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FORWARDING_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Forwarding Denied.
 <BR>
-ܾת
+拒绝转送
 </STRONG>
 </UL>
 
@@ -26,7 +26,7 @@
 sibling relationship.  Perhaps the client at %i is a cache which has been
 misconfigured.
 <BR>
-޷תҲͨһδ
-趨ΪȡĻ%iʵġ
+本缓存服务器无法转送您的请求，也许您是通过一个并未被本缓存服务器
+设定为允许存取的缓存服务器（%i）来访问的。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_DISABLED squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_DISABLED	2009-01-23 18:37:28.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 FTP is Disabled
 <BR>
-ֹʹļЭ
+禁止使用文件传输协议
 </STRONG>
 </UL>
 
 <P>
 This cache does not support FTP.
 <BR>
-δļ
+本缓存服务器未开放文件传输服务。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_FAILURE squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱļЭ
+当尝试读取以下网址（URL）时发生文件传输协议错误：
 <A HREF="%U">%U</A>
 <P>
- FTP 
+本缓存服务器发出以下 FTP 命令：
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ȼյ»Ӧ
+然后收到如下回应：
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_FORBIDDEN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_FORBIDDEN	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱļЭ飨FTP֤ʧܣ
+当尝试读取以下网址（URL）时文件传输协议（FTP）身份验证失败：
 <A HREF="%U">%U</A>
 <P>
- FTP 
+本缓存服务器发出以下 FTP 命令：
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ȼյ»Ӧ
+然后收到如下回应：
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_NOT_FOUND	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_NOT_FOUND	2009-01-23 18:37:28.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ַ޷ȡ
+以下网址无法读取：
 <A HREF="%U">%U</A>
 <P>
- FTP 
+本缓存服务器发出以下 FTP 命令：
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ȼյ»Ӧ
+然后收到如下回应：
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
- FTP ַURLа˾·£ RFC1738
-ļԴ<A HREF="%B">%B</A>λҵ
+这可能是由于 FTP 网址（URL）中包含了绝对路径所致（不符合 RFC1738）。如果真的是这样，
+文件可以从<A HREF="%B">%B</A>位置找到。
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_PUT_CREATED	2009-01-23 18:37:28.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ļϴ PUT ָɣļѱ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>文件上传 PUT 指令完成：文件已被建立</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ɹ</H1>
-<H2>ļѽ</H2>
+<H1>操作成功</H1>
+<H2>文件已建立</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_PUT_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ļϴʧ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：文件上传失败</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ļϴFTP PUTʧ</H2>
+<H1>错误</H1>
+<H2>文件上传（FTP PUT）操作失败</H2>
 <HR noshade size="1px">
 <P>
-ϴPUTλʱ
+当尝试上传（PUT）到以下位置时：
 <A HREF="%U">%U</A>
 <P>
- FTP 
+本缓存服务器发出以下 FTP 命令：
 <PRE><STRONG>
         %f
 </STRONG></PRE>
-Ȼյ»Ӧ
+然后收到如下回应：
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
 <PRE>
-ϴ·ϴλöдȨޣô̿ռٽгԡ
+请检查上传路径，上传位置读写权限，可用磁盘空间后再进行尝试。
 </PRE>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ļϴ PUT ָɣļѱ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>文件上传 PUT 指令完成：文件已被更新</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ɹ</H1>
-<H2>ļѸ</H2>
+<H1>操作成功</H1>
+<H2>文件已更新</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:28.000000000 +1300
@@ -1,20 +1,20 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>: ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误: 您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ FTP æ
+当尝试读取以下网址（URL）时 FTP 服务器过忙：
 <A HREF="%U">%U</A>
 <P>
- FTP 
+本缓存服务器发出以下 FTP 命令：
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-Ȼյ»Ӧ
+然后收到如下回应：
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_INVALID_REQ squid-3.1.0.4/errors/Simplify_Chinese/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_INVALID_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,45 +1,45 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-Խʱ
+当尝试进行以下请求时：
 <PRE>
 %R
 </PRE>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Invalid Request
 <BR>
-Ч
+无效的请求
 </STRONG>
 </UL>
 
 <P>
 Some aspect of the HTTP Request is invalid.  Possible problems:
 <BR>
-HTTP ĳЩЧġ⣺
+HTTP 请求的某些方面是无效的。可能是下列问题：
 <UL>
 <LI>Missing or unknown request method
-<BR>ȱʽδ֪ʽ
+<BR>缺少请求方式或未知的请求方式
 <LI>Missing URL
-<BR>ȱַ
+<BR>缺少网址
 <LI>Missing HTTP Identifier (HTTP/1.0)
-<BR>ȱ HTTP ʶHTTP/1.0
+<BR>缺少 HTTP 标识（HTTP/1.0）
 <LI>Request is too large
-<BR>
+<BR>请求命令过长
 <LI>Content-Length missing for POST or PUT requests
-<BR>POST  PUT ȱݳ
+<BR>POST 或 PUT 请求缺少内容长度
 <LI>Illegal character in hostname; underscores are not allowed
-<BR>аϷַ»ǲġ
+<BR>主机名称中包含不合法的字符；下划线是不允许的。
 </UL>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>. 
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_INVALID_URL squid-3.1.0.4/errors/Simplify_Chinese/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_INVALID_URL	2009-01-23 18:37:28.000000000 +1300
@@ -1,39 +1,39 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Invalid URL
 <BR>
-Чַ
+无效的网址
 </STRONG>
 </UL>
 
 <P>
 Some aspect of the requested URL is incorrect.  Possible problems:
 <BR>
-ַĳЩط󣬿Ϊ
+输入网址的某些地方有误，可能是因为：
 <UL>
 <LI>Missing or incorrect access protocol (should be `http://'' or similar)
-<BR>ȱٻȷͨѶЭ飨Ӧ `http://''ƵĿͷ
+<BR>缺少或不正确的通讯协议（应该如 `http://''或类似的开头）
 <LI>Missing hostname
-<BR>ȱ
+<BR>缺少欲连结的主机名称
 <LI>Illegal double-escape in the URL-Path
-<BR>ַ·вϷ˫ת
+<BR>网址路径中有不合法双重转义符
 <LI>Illegal character in hostname; underscores are not allowed
-<BR>аϷַ»ǲġ
+<BR>主机名称中包含不合法的字符；下划线是不允许的。
 </UL>
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Simplify_Chinese/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_LIFETIME_EXP	2009-01-23 18:37:28.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Connection Lifetime Expired
 <BR>
-ӳʱ
+连接超时
 </STRONG>
 </UL>
 
@@ -25,6 +25,6 @@
 Squid has terminated the request because it has exceeded the maximum
 connection lifetime.
 <BR>
-ֹΪѾӵȴʱ䡣
+缓存服务器已终止您的连接请求，因为已经超过了最大连接等待时间。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_NO_RELAY squid-3.1.0.4/errors/Simplify_Chinese/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_NO_RELAY	2009-01-23 18:37:28.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 No Wais Relay
 <BR>
- Wais м
+无 Wais 中继
 </STRONG>
 </UL>
 
 <P>
 There is no WAIS Relay host defined for this Cache!  Yell at the administrator.
 <BR>
-û趨 WAIS м뻺Աϵ
+本缓存服务器没有设定 WAIS 中继主机！如有疑问请与缓存服务器管理员联系。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Simplify_Chinese/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:28.000000000 +1300
@@ -1,25 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Valid document was not found in the cache and <code>only-if-cached</code>
 directive was specified.
 <BR>
-ļڱδҵ趨<code>only-if-cached</code>ֻȡ棩
-ָ
+请求的文件在本缓存服务器上未找到，而您设定了<code>only-if-cached</code>（只读取缓存）
+指令。
 </STRONG>
 </UL>
 
@@ -29,8 +29,8 @@
 directive. The document was not found in the cache, <em>or</em> it required
 revalidation prohibited by <code>only-if-cached</code> directive.
 <BR>
-ͳһ <code>only-if-cached</code> ֻȡ棩ָ
-ҪļδڱУ<em></em>Ҫˢļ
-<code>only-if-cached</code> ָֹô
+您送出了一个包含 <code>only-if-cached</code> （只读取缓存）缓存控制指令的连结请求。
+而所要的文件并未存在于本缓存服务器中，<em>或者</em>这个连结请求需要刷新文件而
+<code>only-if-cached</code> 指令禁止这么做。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_READ_ERROR squid-3.1.0.4/errors/Simplify_Chinese/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_READ_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Read Error
 <BR>
-ȡ
+读取错误
 </STRONG>
 </UL>
 
 <P>
-ϵͳӦ
+系统回应：
 <PRE><I>    %E</I></PRE>
 
 <P>
 An error condition occurred while reading data from the network.  Please
 retry your request.
 <BR>
-ͨȡʱ˴³ԡ
+正在通过网络读取数据时发生了错误，请重新尝试。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Simplify_Chinese/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_READ_TIMEOUT	2009-01-23 18:37:28.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Read Timeout
 <BR>
-ȡʱ
+读取超时
 </STRONG>
 </UL>
 
 <P>
-ϵͳӦ
+系统回应：
 <PRE><I>    %E</I></PRE>
 
 <P>
 A Timeout occurred while waiting to read data from the network.  The network
 or server may be down or congested.  Please retry your request.
 <BR>
-ͨȡʱ˵ȴʱޡ
-Ϊӵѹرա³ԡ
+当通过网络读取数据时，超过了等待时限。
+可能是因为网络堵塞或连接的网络服务器已关闭。请重新尝试。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Simplify_Chinese/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_SHUTTING_DOWN	2009-01-23 18:37:28.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <P>
 This cache is in the process of shutting down and can not
 service your request at this time.  Please retry your
 request again soon.
 <BR>
-ڹرգʱ޷Ϊ
-Ժԡ
+本缓存服务器正在关闭，暂时无法为您服务。
+请稍侯再试。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Simplify_Chinese/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_SOCKET_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Socket Failure
 <BR>
-Socket ʧ
+Socket 建立失败
 </STRONG>
 </UL>
 
 <P>
-ϵͳӦ
+系统回应：
 <PRE><I>    %E</I></PRE>
 
 <P>
 Squid is unable to create a TCP socket, presumably due to excessive load.
 Please retry your request.
 <BR>
-Squid ޷ TCP socket޷ϵͳ뽨µӣ
-Ϊɹأ³ԡ
+Squid （缓存服务器）无法建立 TCP socket（无法向系统申请建立新的网络连接），
+可能是因为负荷过重，请重新尝试。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_TOO_BIG squid-3.1.0.4/errors/Simplify_Chinese/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_TOO_BIG	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_TOO_BIG	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
-Ӧ̫
+请求或响应太大
 </STRONG>
 <P>
-ڽ POST  PUT ͵̫󣨿
-ϴļڽ GET Ӧ̫Щ
-ɲķṩƶǴģ
-ֱϵ
+如果您正在进行 POST 或 PUT 请求，则您请求传送的内容太大（可能您
+正在上传文件）。如果您正在进行 GET 请求，则响应的内容太长。这些
+长度限制由操作本缓存服务器的服务提供者制定。如果您觉得这是错误的，
+请与他们直接联系。
 </UL>
 <P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_UNSUP_REQ squid-3.1.0.4/errors/Simplify_Chinese/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_UNSUP_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Unsupported Request Method and Protocol
 <BR>
-ֵ֧ʽЭ
+不支持的请求方式和协议
 </STRONG>
 </UL>
 
@@ -25,7 +25,7 @@
 Squid does not support all request methods for all access protocols.
 For example, you can not POST a Gopher request.
 <BR>
-Squid ܶеĴȡЭ֧еʽ
-˵㲻ܶ GOPHER һ POST 
+Squid （缓存服务器）不能对所有的存取协议支持所有的请求方式。
+比如说，你不能对 GOPHER 进行一个 POST 请求。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_URN_RESOLVE squid-3.1.0.4/errors/Simplify_Chinese/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_URN_RESOLVE	2009-01-23 18:37:28.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE> URN ޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的 URN 无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>URN еһַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>URN 中的一个网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-Զȡ URN ʱ
+当尝试读取以下 URN 时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Cannot Resolve URN
 <BR>
-޷ URN
+无法解析 URN
 </STRONG>
 </UL>
 
 <P>
 Hey, don't expect too much from URNs on %T :)
 <BR>
-Ǹܶ %T ϵ URNs ڴ̫ :)
+抱歉！您不能对 %T 上的 URNs 期待太多 :)
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_WRITE_ERROR squid-3.1.0.4/errors/Simplify_Chinese/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_WRITE_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,34 +1,34 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Write Error
 <BR>
-д
+写入错误
 </STRONG>
 </UL>
 
 <P>
-ϵͳӦ
+系统回应：
 <PRE><I>    %E</I></PRE>
 
 <P>
 An error condition occurred while writing to the network.  Please retry your
 request.
 <BR>
-ͨдʱ˴³ԡ
+通过网络写入数据时发生了错误，请重新尝试。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Simplify_Chinese/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Simplify_Chinese/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Simplify_Chinese/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Simplify_Chinese/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:28.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=gb2312"> 
-<TITLE>ַURL޷ȡ</TITLE>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"> 
+<TITLE>错误：您所请求的网址（URL）无法获取</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1></H1>
-<H2>ַURL޷ȡ</H2>
+<H1>错误</H1>
+<H2>您所请求的网址（URL）无法获取</H2>
 <HR noshade size="1px">
 <P>
-ԶȡַURLʱ
+当尝试读取以下网址（URL）时：
 <A HREF="%U">%U</A>
 <P>
-еĴ
+发生了下列的错误：
 <UL>
 <LI>
 <STRONG>
 Zero Sized Reply
 <BR>
-ӦݳΪ
+响应内容长度为零
 </STRONG>
 </UL>
 
 <P>
 Squid did not receive any data for this request.
 <BR>
-ӱӵķûյκݡ
+本缓存服务器从被连接的服务器上没有收到任何数据。
 </P>
-<P>Ա<A HREF="mailto:%w%W">%w</A>
+<P>本缓存服务器管理员：<A HREF="mailto:%w%W">%w</A>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Slovak/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Slovak/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,26 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
 Access Denied.
 </STRONG>
 <P>
-Pstup k dokumentu Vm teraz nebol umonen v dsledku nedostatonch
-prstupovch prv. Ak si myslte, e je to chyba, kontaktujte prosm sprvcu
-danho systmu.
+Pístup k dokumentu Vám teraz nebol umožnený v dôsledku nedostatočných
+prístupových práv. Ak si myslíte, že je to chyba, kontaktujte prosím správcu
+daného systému.
 </UL>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Slovak/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Slovak/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,6 +1,6 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Cache Access Denied</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
@@ -9,10 +9,10 @@
 <H2>Cache Access Denied</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -21,16 +21,16 @@
 </UL>
 </P>
 
-<P>Prepte, ale prstup k:
+<P>Prepáčte, ale prístup k:
 <PRE>    %U</PRE>
-je povolen a po autentifikcii.
+je povolený až po autentifikácii.
 </P>
 
 <P>
-Na to, aby ste boli schopn sa autentifikova potrebujete prehliada
-Netscape verzia 2.0 alebo vyiu, Microsoft Internet Explorer 3.0 alebo
-prehliada podporujci protokol HTTP/1.1. Ak mte problm pri
-autentifikcii, kontaktujte prosm <A HREF="mailto:%w%W">cache
-administrtora</A> alebo si
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">zmete</A> Vae implicitn heslo.
+Na to, aby ste boli schopný sa autentifikovať potrebujete prehliadač
+Netscape verzia 2.0 alebo vyššiu, Microsoft Internet Explorer 3.0 alebo
+prehliadač podporujúci protokol HTTP/1.1. Ak máte problém pri
+autentifikácii, kontaktujte prosím <A HREF="mailto:%w%W">cache
+administrátora</A> alebo si
+<A HREF="http://%h/cgi-bin/chpasswd.cgi">zmeňte</A> Vaše implicitné heslo.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Slovak/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Slovak/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,6 +1,6 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Cache Manager Access Denied</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
@@ -9,10 +9,10 @@
 <H2>Cache Manager Access Denied</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -21,16 +21,16 @@
 </UL>
 </P>
 
-<P>Prstup k dokumentu:
+<P>Prístup k dokumentu:
 <PRE>    %U</PRE>
-Vm bude povolen a po Vaej autentifikcii.
+Vám bude povolený až po Vašej autentifikácii.
 </P>
 
-<P>Na to, aby ste boli schopn sa autentifikova potrebujete prehliada
-Netscape verzia 2.0 alebo vyiu, Microsoft Internet Explorer 3.0 alebo
-prehliada podporujci protokol HTTP/1.1. Ak mte problm pri
-autentifikcii, kontaktujte prosm <A HREF="mailto:%w%W">cache administrtora</A>.
-Ak Vy sm <em>ste</em> administrtor, pretajte si prosm dokumentciu k
-rozhraniu cache manara a prezrite si detailnejie chybov hlsenie v cache
+<P>Na to, aby ste boli schopný sa autentifikovať potrebujete prehliadač
+Netscape verzia 2.0 alebo vyššiu, Microsoft Internet Explorer 3.0 alebo
+prehliadač podporujúci protokol HTTP/1.1. Ak máte problém pri
+autentifikácii, kontaktujte prosím <A HREF="mailto:%w%W">cache administrátora</A>.
+Ak Vy sám <em>ste</em> administrátor, prečítajte si prosím dokumentáciu k
+rozhraniu cache manažéra a prezrite si detailnejšie chybové hlásenie v cache
 logu.</P>
 
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Slovak/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Slovak/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_CANNOT_FORWARD	2009-01-23 18:37:28.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
-Poiadavku teraz nie je mon presmerova.
+Požiadavku teraz nie je možné presmerovať.
 </STRONG>
 </UL>
 
 <P>
-Poiadavka neme by presmerovan k pvodnmu serveru alebo nadradenm
-cache serverom. Prinou me by:
+Požiadavka nemôže byť presmerovaná k pôvodnému serveru alebo nadradeným
+cache serverom. Príčinou môže byť:
 <UL>
-<LI>Cache server administrtor nedovolil tomuto cache serveru priamy prstup k
-    pvodnym serverom a
-<LI>vetky nadraden cache servery su prve nedostupn
+<LI>Cache server administrátor nedovolil tomuto cache serveru priamy prístup k
+    pôvodnym serverom a
+<LI>všetky nadradené cache servery su práve nedostupné
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Slovak/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Slovak/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_CONNECT_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,9 +20,9 @@
 </UL>
 
 <P>
-Systm odpovedal:
+Systém odpovedal:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Vzdialen server alebo sie s nedostupn. Opakujte prosm Vau poiadavku.
+Vzdialený server alebo sieť sú nedostupné. Opakujte prosím Vašu požiadavku.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_DNS_FAIL squid-3.1.0.4/errors/Slovak/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Slovak/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_DNS_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <BLOCKQUOTE>
-Nie je mon previes nzov potaa na IP adresu
+Nie je možné previesť názov počítača na IP adresu
 <I>%H</I>
 </BLOCKQUOTE>
 </UL>
@@ -25,10 +25,10 @@
 </BLOCKQUOTE>
 
 <P>
-To znamen, e:
+To znamená, že:
 <PRE>
- Cache server nebol schopn zska adresu uveden v URL.
- Skontrolujte prosm adresu.
+ Cache server nebol schopný získať adresu uvedenú v URL.
+ Skontrolujte prosím adresu.
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Slovak/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Slovak/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FORWARDING_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,6 +20,6 @@
 </UL>
 
 <P>
-Tento server nepresmeruje Vau poiadavku pretoe mu to nedovouj vzahy v
-hierarchii cache serverov. Cache server %i je mono zle nakonfigurovan.
+Tento server nepresmeruje Vašu požiadavku pretože mu to nedovoľujú vzťahy v
+hierarchii cache serverov. Cache server %i je možno zle nakonfigurovaný.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_DISABLED squid-3.1.0.4/errors/Slovak/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_DISABLED	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_FAILURE squid-3.1.0.4/errors/Slovak/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k"
+Pri pokuse o prístup k"
 <A HREF="%U">%U</A>
 sa vyskytla chyba FTP.
 <P>
-Squid odoslal nasledujci FTP prkaz:
+Squid odoslal nasledujúci FTP príkaz:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdral tto odpove:
+a obdržal túto odpoveď:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-To me by spsoben uvedenm absoltnej cesty v FTP URL (o odporuje RFC
-1738). V tomto prpade by ste dokument mohli njs na <A HREF="%B">%B</A>.
+To môže byť spôsobené uvedením absolútnej cesty v FTP URL (čo odporuje RFC
+1738). V tomto prípade by ste dokument mohli nájsť na <A HREF="%B">%B</A>.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Slovak/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_FORBIDDEN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_FORBIDDEN	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse zska URL sa vyskytla chyba autentifikcie:
+Pri pokuse získať URL sa vyskytla chyba autentifikácie:
 <A HREF="%U">%U</A>
 <P>
-Squid zaslal nasledujci FTP prkaz:
+Squid zaslal nasledujúci FTP príkaz:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdral nasledovn opove:
+a obdržal nasledovnú opoveď:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Slovak/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_NOT_FOUND	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_NOT_FOUND	2009-01-23 18:37:28.000000000 +1300
@@ -1,23 +1,23 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovane URL je nedostupne</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan URL je nedostupn</H2>
+<H2>Požadované URL je nedostupné</H2>
 <HR noshade size="1px">
 <P>
-Nasledovn URL je nedostupn:
+Nasledovné URL je nedostupné:
 <A HREF="%U">%U</A>
 <P>
-Squid zaslal nasledujci FTP prkaz:
+Squid zaslal nasledujúci FTP príkaz:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdral nasledovn opove:
+a obdržal nasledovnú opoveď:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
-To me by spsoben uvedenm absoltnej cesty v FTP URL (o odporuje RFC
-1738). V tomto prpade by ste dokument mohli njs na <A HREF="%B">%B</A>.
+To môže byť spôsobené uvedením absolútnej cesty v FTP URL (čo odporuje RFC
+1738). V tomto prípade by ste dokument mohli nájsť na <A HREF="%B">%B</A>.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Slovak/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_PUT_CREATED	2009-01-23 18:37:28.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>operacia FTP PUT uspesna: subor vytvoreny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>opercia spen</H1>
-<H2>sbor vytvoren</H2>
+<H1>operácia úspešná</H1>
+<H2>súbor vytvorený</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Slovak/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_PUT_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,28 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: neuspesny FTP upload</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>nespen FTP opercia PUT/upload</H2>
+<H2>neúspešná FTP operácia PUT/upload</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o operciu PUT na nasledovn URL:
+Pri pokuse o operáciu PUT na nasledovné URL:
 <A HREF="%U">%U</A>
 <P>
-Squid odoslal nasledujci FTP prkaz:
+Squid odoslal nasledujúci FTP príkaz:
 <PRE><STRONG>
         %f
 </STRONG></PRE>
-a obdral tto odpove:
+a obdržal túto odpoveď:
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
-Skste:
+Skúste:
 <PRE>
-Skontrolova cestu, prstupov prva, von miesto na disku a pod. a skste
+Skontrolovať cestu, prístupové práva, voľné miesto na disku a pod. a skúste
 to znovu.
 </PRE>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Slovak/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>operacia FTP PUT uspesna: subor aktualizovany</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>opercia spen</H1>
-<H2>sbor aktualizovan</H2>
+<H1>operácia úspešná</H1>
+<H2>súbor aktualizovaný</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Slovak/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Slovak/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_FTP_UNAVAILABLE	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovane URL je nedostupne</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan URL je nedostupn</H2>
+<H2>Požadované URL je nedostupné</H2>
 <HR noshade size="1px">
 <P>
-FTP server bol prli zaneprzdnen pri pokuse zskat nasledovn URL:
+FTP server bol príliš zaneprázdnený pri pokuse získat nasledovné URL:
 <A HREF="%U">%U</A>
 <P>
-Squid zaslal nasledujci FTP prkaz:
+Squid zaslal nasledujúci FTP príkaz:
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-a obdral nasledovn opove:
+a obdržal nasledovnú opoveď:
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_INVALID_REQ squid-3.1.0.4/errors/Slovak/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Slovak/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_INVALID_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,11 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
 While trying to process the request:
@@ -13,7 +13,7 @@
 %R
 </PRE>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -22,13 +22,13 @@
 </UL>
 
 <P>
-as HTTP poiadavky nie je chybn. Mon problmy"
+Časť HTTP požiadavky nie je chybná. Možné problémy"
 <UL>
-<LI>Chbajca alebo neznma metda (POST, GET)
-<LI>Chbajce URL
-<LI>Chbajci identifiktor HTTP (HTTP/1.0)
-<LI>Poiadavka je prli dlh
-<LI>Chbajca poloka Content-Length pre poiadavky POST or PUT
-<LI>Zakzan znak v nzve serveru; podtrhovnk nie je povolen
+<LI>Chýbajúca alebo neznáma metóda (POST, GET)
+<LI>Chýbajúce URL
+<LI>Chýbajúci identifikátor HTTP (HTTP/1.0)
+<LI>Požiadavka je príliš dlhá
+<LI>Chýbajúca položka Content-Length pre požiadavky POST or PUT
+<LI>Zakázaný znak v názve serveru; podtrhovník nie je povolený
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_INVALID_RESP squid-3.1.0.4/errors/Slovak/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Slovak/ERR_INVALID_RESP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_INVALID_RESP	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <PRE>
 %R
 </PRE>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -22,10 +22,10 @@
 </UL>
 
 <P>
-HTTP odpovedi obdranej z kontaktovanho servera nebolo mon porozumie
-alebo bola nejako pokoden. Kontaktujte prosm sprvcu servera. V prpade
-potreby Vm V cache administrtor me poskytn detaily o presnej povahe
-problmu.
+HTTP odpovedi obdržanej z kontaktovaného servera nebolo možné porozumieť
+alebo bola nejako poškodená. Kontaktujte prosím správcu servera. V prípade
+potreby Vám Váš cache administrátor môže poskytnúť detaily o presnej povahe
+problému.
 </P>
 
-<P>Vam cache administrtorom je <A HREF="mailto:%w">%w</A>.</P>
+<P>Vaším cache administrátorom je <A HREF="mailto:%w">%w</A>.</P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_INVALID_URL squid-3.1.0.4/errors/Slovak/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Slovak/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_INVALID_URL	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,11 +20,11 @@
 </UL>
 
 <P>
-Niektor as Vami poadovanho URL je chybn. Mon problmy:
+Niektorá časť Vami požadovaného URL je chybná. Možné problémy:
 <UL>
-<LI>Chybn alebo chbajci protokol (mal by by `http://' alebo nieo podobn)
-<LI>Chbajci nzov serveru
-<LI>Chybn double-escape v URL ceste
-<LI>Chybn znak v nzve serveru; podtrhovnk nie je povolen
+<LI>Chybný alebo chýbajúci protokol (mal by byť `http://' alebo niečo podobné)
+<LI>Chýbajúci názov serveru
+<LI>Chybný double-escape v URL ceste
+<LI>Chybný znak v názve serveru; podtrhovník nie je povolený
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Slovak/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Slovak/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_LIFETIME_EXP	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,6 +20,6 @@
 </UL>
 
 <P>
-Squid yruil poiadavku pretoe bola prekroen maximlna dka trvania
+Squid yrušil požiadavku pretože bola prekročená maximálna dĺžka trvania
 spojenia.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_NO_RELAY squid-3.1.0.4/errors/Slovak/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Slovak/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_NO_RELAY	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,6 +20,6 @@
 </UL>
 
 <P>
-Tento cache server nem nastaven iadnu WAIS Relay! Krite na svojho
-administrtora.
+Tento cache server nemá nastavenú žiadnu WAIS Relay! Kričte na svojho
+administrátora.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Slovak/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Slovak/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:28.000000000 +1300
@@ -1,30 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
-Vami poadovan dokument sa nenachdza v cachi priom bola pecifikovan
-direktva <code>only-if-cached</code>.
+Vami požadovaný dokument sa nenachádza v cachi pričom bola špecifikovaná
+direktíva <code>only-if-cached</code>.
 </STRONG>
 </UL>
 
 <P>
 
-Vyslali ste poiadavku s direktvou <code>only-if-cached</code> na riadenie
-innosti cache. Poadovan dokument nebol njden v cachi <em>alebo</em>
-tento dokument vyaduje aktualizciu priom toto je direktvou
-<code>only-if-cached</code> obmedzen.
+Vyslali ste požiadavku s direktívou <code>only-if-cached</code> na riadenie
+činnosti cache. Požadovaný dokument nebol nájdený v cachi <em>alebo</em>
+tento dokument vyžaduje aktualizáciu pričom toto je direktívou
+<code>only-if-cached</code> obmedzené.
 
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_READ_ERROR squid-3.1.0.4/errors/Slovak/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Slovak/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_READ_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,10 +20,10 @@
 </UL>
 
 <P>
-Systm odpovedal:
+Systém odpovedal:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Vyskytla sa chyba pri prenose dajov cez sie. Opakujte prosm svoju
-poiadavku.
+Vyskytla sa chyba pri prenose údajov cez sieť. Opakujte prosím svoju
+požiadavku.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Slovak/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Slovak/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_READ_TIMEOUT	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,10 +20,10 @@
 </UL>
 
 <P>
-Systm odpovedal:
+Systém odpovedal:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Vyskytol sa timeout pri tan zo siete. Sie alebo server mu by mimo
-prevdzky alebo preaen. Opakujte prosm svoju poiadavku.
+Vyskytol sa timeout pri čítaní zo siete. Sieť alebo server môžu byť mimo
+prevádzky alebo preťažené. Opakujte prosím svoju požiadavku.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Slovak/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Slovak/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_SHUTTING_DOWN	2009-01-23 18:37:28.000000000 +1300
@@ -1,19 +1,19 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <P>
-Tto cache sa prve vypna a neme spracova Vau poiadavku. Opakujte
-prosm svoju poiadavku za nejak as.
+Táto cache sa práve vypína a nemôže spracovať Vašu požiadavku. Opakujte
+prosím svoju požiadavku za nejaký čas.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Slovak/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Slovak/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_SOCKET_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -24,6 +24,6 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Squid nie je schopn vytvori TCP socket pravdepodobne v dsledku
-preaenia. Opakujte prosm svoju poiadavku.
+Squid nie je schopný vytvoriž TCP socket pravdepodobne v dôsledku
+preťaženia. Opakujte prosím svoju požiadavku.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_TOO_BIG squid-3.1.0.4/errors/Slovak/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Slovak/ERR_TOO_BIG	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_TOO_BIG	2009-01-23 18:37:28.000000000 +1300
@@ -1,6 +1,6 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
 <TITLE>ERROR: The requested URL could not be retrieved</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_UNSUP_REQ squid-3.1.0.4/errors/Slovak/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Slovak/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_UNSUP_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,7 +20,7 @@
 </UL>
 
 <P>
-Squid nepodporuje vetky typy metd pri vetkch protokoloch. Naprklad: nie
-je mon poui metdu POST pri slube Gopher.
+Squid nepodporuje všetky typy metód pri všetkých protokoloch. Napríklad: nie
+je možné použiť metódu POST pri službe Gopher.
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_URN_RESOLVE squid-3.1.0.4/errors/Slovak/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Slovak/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_URN_RESOLVE	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovane URN je nedostupne</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>URL pre poadovan URN je nedostupn</H2>
+<H2>URL pre požadované URN je nedostupné</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k URN:
+Pri pokuse o prístup k URN:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,5 +20,5 @@
 </UL>
 
 <P>
-Hej, neoakvaj privea od URN na %T :)
+Hej, neočakávaj priveľa od URN na %T :)
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_WRITE_ERROR squid-3.1.0.4/errors/Slovak/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Slovak/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_WRITE_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,9 +20,9 @@
 </UL>
 
 <P>
-Systm opovedal:
+Systém opovedal:
 <PRE><I>    %E</I></PRE>
 
 <P>
-Vyskytla sa chyba pri zpise do siete. Opakujte prosm Vau poiadavku.
+Vyskytla sa chyba pri zápise do siete. Opakujte prosím Vašu požiadavku.
 </P>
diff -u -r -N squid-3.1.0.3/errors/Slovak/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Slovak/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Slovak/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Slovak/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:28.000000000 +1300
@@ -1,17 +1,17 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML><HEAD>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 <TITLE>CHYBA: Pozadovany dokument je nedostupny</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
 <H1>CHYBA</H1>
-<H2>Poadovan dokument je nedostupn</H2>
+<H2>Požadovaný dokument je nedostupný</H2>
 <HR noshade size="1px">
 <P>
-Pri pokuse o prstup k:
+Pri pokuse o prístup k:
 <A HREF="%U">%U</A>
 <P>
-dolo k nasledovnej chybe:
+došlo k nasledovnej chybe:
 <UL>
 <LI>
 <STRONG>
@@ -20,5 +20,5 @@
 </UL>
 
 <P>
-Squid nedostal v odpovedi na Vau poiadavku iadne daje.
+Squid nedostal v odpovedi na Vašu požiadavku žiadne údaje.
 </P>
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_ACCESS_DENIED squid-3.1.0.4/errors/sr/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/sr/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_ACCESS_DENIED	2009-01-23 18:41:03.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pristup nije dozvoljen.</b></p> </blockquote>  <p>Sistem za kontrolu pristupa konfigurisan je tako da vam u ovom trenutku pristup nije dozvoljen. Ako smatrate da to nije u redu, molimo da kontaktirate vašeg servis provajdera.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/sr/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/sr/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:41:03.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Pristup nije dozvoljen.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pristup proksi/keš serveru nije dozvoljen.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache until you have authenticated yourself.</p>  <p>Ukoliko budete imali problema oko autentifikacije molimo kontaktirajte <a href="mailto:%w%W">proksi administratora</a> ili želite da  <a href="http://%h/cgi-bin/chpasswd.cgi">promenite</a> svoju poèetnu lozinku.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:41:03.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Pristup nije dozvoljen.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Pristup proksi/keš server menadžeru nije dozvoljen.</b></p> </blockquote>  <p>Sorry, you are not currently allowed to request %U from this cache manager until you have authenticated yourself.</p>  <p>koliko budete imali problema oko autentifikacije molimo kontaktirajte <a href="mailto:%w%W">proxy administratora</a> a ako vi <em>jeste</em> administrator, proèitajte dokumentaciju o keš menadžeru za Squid i proverite keš log za detaljnije opise grešaka.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/sr/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/sr/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_CANNOT_FORWARD	2009-01-23 18:41:03.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Vaš zahtev ne može da se prosledi u ovom trenutku.</b></p> </blockquote>  <p>This request could not be forwarded to the origin server or to any parent caches.  The most likely cause for this error is that the cache administrator does not allow this cache to make direct connections to origin servers, and all configured parent caches are currently unreachable.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_CONNECT_FAIL squid-3.1.0.4/errors/sr/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/sr/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_CONNECT_FAIL	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Udaljeni raèunar ili mreža nisu operativni.  Molimo pokušajte kasnije.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_DNS_FAIL squid-3.1.0.4/errors/sr/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/sr/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_DNS_FAIL	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nije moguæe odrediti IP adresu iz imena raèunara za <q>%H</q></b></p> </blockquote>  <p>DNS server je vratio informaciju:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>što znaèi proksi server nije u stanju da identifikuje ime raèunara koje se nalazi u adresi (URL). Proverite da li je adresa ispravna.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_ESI squid-3.1.0.4/errors/sr/ERR_ESI
--- squid-3.1.0.3/errors/sr/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_ESI	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI obrada nije uspela.</b></p> </blockquote>  <p>ESI procesor je vratio:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Vaš webmaster je <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/sr/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/sr/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FORWARDING_DENIED	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Prosleðivanje odbijeno.</b></p> </blockquote>  <p>Ovaj proksi server neæe da prosledi vaš zahtev zato što pokušava da poštuje sibling odnose.  Možda je klijent na %i proksi serveru koji je pogrešno konfigurisan.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_DISABLED squid-3.1.0.4/errors/sr/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/sr/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_DISABLED	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP nije omoguæen.</b></p> </blockquote>  <p>Ovaj proksi server ne omoguèava FTP saobraæaj.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_FAILURE squid-3.1.0.4/errors/sr/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/sr/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_FAILURE	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>Desila se greška u FTP protokolu prilikom dovlaèenja URL-a: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/sr/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/sr/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_FORBIDDEN	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_LISTING squid-3.1.0.4/errors/sr/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/sr/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_LISTING	2009-01-23 18:41:04.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Надређени директоријум</a> (<a href="/">Основни директоријум</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/sr/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/sr/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_NOT_FOUND	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>To može da bude prouzrokovano time što je FTP adresa (URL) sa apsolutnom putanjom (što se ne slaže sa RFC 1738).  Ukoliko je to sluèaj, fajl možete da naðete na <a href="%B">%B</a>.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/sr/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/sr/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_PUT_CREATED	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT uspešan: Fajl je prenesen</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacija je okonèana uspešno</h1> <h2>Fajl je prenesen</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/sr/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/sr/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_PUT_ERROR	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/upload nije uspeo</h2> </div> <hr>  <div id="content"> <p>Tokom pokušaja da se prenese (PUT) strana sa sledeæom adresom (URL): <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/sr/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/sr/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_PUT_MODIFIED	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT uspešan: Fajl je osvežen</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">Operacija je okonèana uspešno</h1> <h2>Fajl je osvežen</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/sr/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/sr/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_FTP_UNAVAILABLE	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid je poslao sledeæu FTP komandu:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_ICAP_FAILURE squid-3.1.0.4/errors/sr/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/sr/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_ICAP_FAILURE	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška u ICAP protokolu.</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Some possible problems are:</p> <ul> <li><p>ICAP server je nedostupan.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_INVALID_REQ squid-3.1.0.4/errors/sr/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/sr/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_INVALID_REQ	2009-01-23 18:41:05.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Some possible problems are:</p> <ul> <li><p>Metod zahteva je nepoznat ili nedostaje.</p></li> <li><p>Nedostaje adresa (URL).</p></li> <li><p>Nedostaje  HTTP identifikator (HTTP/1.0).</p></li> <li><p>Zahtev je predug.</p></li> <li><p>Nedostaje dužina zahteva (Content-Length) za POST ili PUT zahtev</p></li> <li><p>Nedozvoljeni karakteri u imenu raèunara; donja crta (_) nije dozvoljena.</p></li> </ul>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_INVALID_RESP squid-3.1.0.4/errors/sr/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/sr/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_INVALID_RESP	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>HTTP odgovor koji je dobijen od kontaktiranog servera ne može da se razume ili je na neki nacin pogrešno formirana. Molimo kontaktirajte operatora sajta.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_INVALID_URL squid-3.1.0.4/errors/sr/ERR_INVALID_URL
--- squid-3.1.0.3/errors/sr/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_INVALID_URL	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Neispravna adresa (URL)</b></p> </blockquote>  <p>Jedan od aspekata zahtevane adrese (URL) nije ispravan.</p>  <p>Some possible problems are:</p> <ul> <li><p>Pristupni protokol nedostaje ili je neispravan (trebao bi da bude <q>http://</q> ili slièno)</p></li> <li><p>Nedostaje ime raèunara (servera)</p></li> <li><p>Nedozvoljeni dvostruki-escape u URL putanji</p></li> <li><p>Nedozvoljeni karakteri u imenu raèunara; donja crta (_) nije dozvoljena.</p></li> </ul>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_LIFETIME_EXP squid-3.1.0.4/errors/sr/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/sr/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_LIFETIME_EXP	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Dozvoljeno trajanje konekcije je prekoraèeno</b></p> </blockquote>  <p>Squid Proksi server je prekinuo konekciju jer je prekoraèila dozvoljeno trajanje konekcije.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_NO_RELAY squid-3.1.0.4/errors/sr/ERR_NO_RELAY
--- squid-3.1.0.3/errors/sr/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_NO_RELAY	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nema Wais relay-a</b></p> </blockquote>  <p>Za ovaj proksi server nije definisan WAIS relay raèunar! Pitajte administratora.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/sr/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/sr/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>U kešu nije naðen validan dokument a specificirane je direktiva <q>only-if-cached</q>.</b></p> </blockquote>  <p>Za vaš zahtev postavljena je <q>only-if-cached</q> proksi direktiva.Dokument nije naðen u proksi arhivi, <em>ili</em> se zahteva revalidacija kojaje zabranjena direktivom <q>only-if-cached</q>.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_READ_ERROR squid-3.1.0.4/errors/sr/ERR_READ_ERROR
--- squid-3.1.0.3/errors/sr/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_READ_ERROR	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška u èitanju</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Desila se greška prilikom èitanja podataka sa mreže.  Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_READ_TIMEOUT squid-3.1.0.4/errors/sr/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/sr/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_READ_TIMEOUT	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Predugo vreme èitanja</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Prilikom isèitavanja greške sa mreže došlo je do prekida.  Mreža ili server su možda preoptereæeni ili nedostupni.  Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/sr/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/sr/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:41:06.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nije uspelo uspostavljanje sigune konekcije sa %I</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Ovaj proksi i udaljeni server nisu uspeli da se dogovore oko sigunosnih podešavanja za izvršavanje vašeg zahteva. Moguce je da je udaljeni server ne podržava sigune konekcije, ili da proksi nije zadovoljan sa pravilima sigunosti udaljenog servera.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/sr/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/sr/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_SHUTTING_DOWN	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Ovaj proksi server je u procesu iskljuèivanja i ne može da izvrši zahtev u ovom trenutku. Molimo pokušajte ponovo uskoro.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/sr/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/sr/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_SOCKET_FAILURE	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška prilikom uspostavljanja konekcije (Socket)</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Squid nije u stanju da kreira TCP socket, verovatno zbog preoptereæenosti. Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_TOO_BIG squid-3.1.0.4/errors/sr/ERR_TOO_BIG
--- squid-3.1.0.3/errors/sr/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_TOO_BIG	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Zahtev ili odgovor je prevelik.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>Ove limite postavio je intenet servis provajder koji koristi ovaj proksi server. Ako smatrate da je to greška, molimo stupite u kontakt sa administratorom.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_UNSUP_REQ squid-3.1.0.4/errors/sr/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/sr/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_UNSUP_REQ	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Nepodržan metod ili protokol zahteva (Request)</b></p> </blockquote>  <p>Squid Proksi server ne podržava sve metode zahteva za sve moguæe pristupne protokole. Na primer ne možete da uradite POST na Gopher zahtev.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_URN_RESOLVE squid-3.1.0.4/errors/sr/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/sr/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_URN_RESOLVE	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Tražena adresa (URL) za URN ne može da se dovuèe</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Ne mogu da odgonetnem URN</b></p> </blockquote>  <p>Hej, nemoj mnogo da oèekujes od URNova na %T! :)</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_WRITE_ERROR squid-3.1.0.4/errors/sr/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/sr/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_WRITE_ERROR	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Greška u upisu</b></p> </blockquote>  <p id="sysmsg">Sistem je dao povratnu informaciju: <i>%E</i></p>  <p>Desila se greška prilikom upisa u mreži. Molimo pokušajte ponovo.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/sr/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/sr/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/sr/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/sr/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:41:07.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>GREŠKA: Tražena adresa (URL) ne može da se dovuèe</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Odgovor nulte dužine</b></p> </blockquote>  <p>Squid did not receive any data for this request.</p>  <p>Vaš keš/proksi administrator je: <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_ACCESS_DENIED squid-3.1.0.4/errors/tr/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/tr/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_ACCESS_DENIED	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Erişim Yasak.</b></p> </blockquote>  <p>Erişim kontrol mekanizması istediğiniz bilgilere ulaşmanızı yasaklıyor. İstenilen bilgilere erişim hakkınız olduğunu düşünüyorsanız, lütfen Servis Sağlayıcı Kurumla bağlantıya geçiniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/tr/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/tr/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: Cache Access Denied</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Erişim Yasak.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Sunucusunu Kullanamazsınız.</b></p> </blockquote>  <p>Özür dilerim, istediğiniz %U adresine bu Cache Sunucusunu kullanarak ulaşamazsınız.</p>  <p>Lütfen <a href="mailto:%w%W">Cache Yöneticisi</a> ile bağlantıya geçin, veya şifrenizi değiştirmek için <a href="http://%h/cgi-bin/chpasswd.cgi">buraya</a> tıklayın.</p>  <br> </div>  <hr>  <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: Cache Manager Access Denied</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>Cache Manager Erişim Yasak.</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Cache Yönetici girişi yasak.</b></p> </blockquote>  <p>Özür dilerim, istediğiniz %U adresine bu cache yönetici girişinden bağlanamazsınız.</p>  <p>Eğer sorun devam ediyor ise lütfen  <a href="mailto:%w%W">cache yöneticisi</a> ile bağlantıya geçin Eğer <em>yönetici</em> siz iseniz Squid Yardım Sayfalarında Cache Yöneticisi giriş arayüzü ile ilgili kısımları tekrar okuyun ve Cache sunucusunun hata mesajlarını kontrol edin.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/tr/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/tr/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_CANNOT_FORWARD	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head> <body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Şu anda sizi yönlendiremem.</b></p> </blockquote>  <p>Bu istek şu anda başka bir Cache Sunucuya veya hedef WWW Sunucuya yönlendirilemez.Bunun sebebi aşağıdakilerden herhangi biri olabilir cache yöneticisi isteklerin hedef WWW sunucuya gitmesine izin vermiyor hiç bir ana Cache Sunucuya şu anda ulaşılamıyor.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_CONNECT_FAIL squid-3.1.0.4/errors/tr/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/tr/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_CONNECT_FAIL	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Connection to %I failed.</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>The remote host or network may be down.  Please try the request again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_DNS_FAIL squid-3.1.0.4/errors/tr/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/tr/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_DNS_FAIL	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b><q>%H</q> isimli sunucuya ait herhangi bir IP adresi bulunamadı.</b></p> </blockquote>  <p>DNS sunucusundan gelen cevap:</p> <blockquote id="data"> <pre>%z</pre> </blockquote>  <p>This means that the cache was not able to resolve the hostname presented in the URL. Check if the address is correct.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_ESI squid-3.1.0.4/errors/tr/ERR_ESI
--- squid-3.1.0.3/errors/tr/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_ESI	2009-01-23 18:41:13.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ESI Processing failed.</b></p> </blockquote>  <p>The ESI processor returned:</p> <blockquote id="data"> <pre>%Z</pre> </blockquote>  <p>This means that the surrogate was not able to process the ESI template. Please report this error to the webmaster.</p>  <p>Your webmaster is <a href="mailto:%w">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/tr/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/tr/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FORWARDING_DENIED	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Yönlendirme yasak.</b></p> </blockquote>  <p>Bu Cache Sunucu, yapılan ayarlardan ve tanımlanan kullanıcı hakklarından dolayı isteğinizi yönlendirememektedir. %i isimli Cache Sunucu ayarlarında bir yanlışlık olabilir.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_DISABLED squid-3.1.0.4/errors/tr/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/tr/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_DISABLED	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>FTP şu anda kapalı.</b></p> </blockquote>  <p>Bu cache sunucu FTP desteklemiyor.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_FAILURE squid-3.1.0.4/errors/tr/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/tr/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_FAILURE	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP protocol error occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid, şu FTP komutlarını gönderdi:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="error"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/tr/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/tr/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_FORBIDDEN	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>An FTP authentication failure occurred while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid, şu FTP komutlarını gönderdi:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_LISTING squid-3.1.0.4/errors/tr/ERR_FTP_LISTING
--- squid-3.1.0.3/errors/tr/ERR_FTP_LISTING	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_LISTING	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP Directory: %U</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h2>FTP Directory: <a href="/">%U</a>/</h2> </div> <hr>  <div id="content"> <p>Directory Content:</p>  <blockquote id="data"> <pre>%z</pre> </blockquote>  <table id="ftplisting" summary="FTP Directory Listing"> <tr> <th><a href="../"><img border="0" src="/squid-internal-static/icons/anthony-dirup.gif" alt="Parent Directory"></a></th> <th nowrap="nowrap"><a href="../">Parent Directory</a> (<a href="/">Root Directory</a>)</th> </tr>  %g  </table> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/tr/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/tr/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_NOT_FOUND	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following URL could not be retrieved: <a href="%U">%U</a></p>  <p>Squid, şu FTP komutlarını gönderdi:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>This might be caused by an FTP URL with an absolute path (which does not comply with RFC 1738).  If this is the cause, then the file can be found at <a href="%B">%B</a>.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/tr/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/tr/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_PUT_CREATED	2009-01-23 18:41:14.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Başarılı: Dosya Yaratıldı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">İşlem başarıyla tamamlandı</h1> <h2>Dosya güncellendi.</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/tr/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/tr/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_PUT_ERROR	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: FTP upload failed</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>FTP PUT/upload failed</h2> </div> <hr>  <div id="content"> <p>While trying to PUT the following URL: <a href="%U">%U</a></p>  <p>Squid, şu FTP komutlarını gönderdi:</p> <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> </blockquote>  <p>This means that the FTP server may not have permission or space to store the file. Check the path, permissions, diskspace and try again.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/tr/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/tr/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_PUT_MODIFIED	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>FTP PUT Başarılı: Dosya güncellendi</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1 id="ftpsuccess">İşlem başarıyla tamamlandı</h1> <h2>Dosya güncellendi.</h2> </div> <hr>  <br>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/tr/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/tr/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_FTP_UNAVAILABLE	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The FTP server was too busy to retrieve the URL: <a href="%U">%U</a></p>  <p>Squid, şu FTP komutlarını gönderdi:</p>  <blockquote id="data"> <pre>%f</pre> </blockquote>  <p>The server responded with:</p> <blockquote id="sysmsg"> <pre>%F</pre> <pre>%g</pre> </blockquote>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_ICAP_FAILURE squid-3.1.0.4/errors/tr/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/tr/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_ICAP_FAILURE	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>ICAP protocol error.</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>This means that some aspect of the ICAP communication failed.</p>  <p>Buna sebep aşağidakilerden herhangi biri olabilir:</p> <ul> <li><p>The ICAP server is not reachable.</p></li> <li><p>An Illegal response was received from the ICAP server.</p></li> </ul>  <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_INVALID_REQ squid-3.1.0.4/errors/tr/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/tr/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_INVALID_REQ	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Request</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>Buna sebep aşağidakilerden herhangi biri olabilir:</p> <ul> <li><p>Eksik veya bilinmeyen metod (GET, POST).</p></li> <li><p>Eksik URL.</p></li> <li><p>Eksik HTTP Belirleyici (HTTP/1.0).</p></li> <li><p>İstenilen dosya çok büyük.</p></li> <li><p>Content-Length, POST veya PUT istekleri için eksik.</p></li> <li><p>Adreste yanlış karakterler (alt çizgi, vs. kullanılamaz).</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_INVALID_RESP squid-3.1.0.4/errors/tr/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/tr/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_INVALID_RESP	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p><b>Invalid Response</b> error was encountered while trying to process the request:</p>  <blockquote id="data"> <pre>%R</pre> </blockquote>  <p>The HTTP Response message received from the contacted server could not be understood or was otherwise malformed. Please contact the site operator.</p>  <p>Your cache administrator may be able to provide you with more details about the exact nature of the problem if needed.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_INVALID_URL squid-3.1.0.4/errors/tr/ERR_INVALID_URL
--- squid-3.1.0.3/errors/tr/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_INVALID_URL	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Yanlış URL.</b></p> </blockquote>  <p>Vermiş olduğunuz URL yanlış.</p>  <p>Buna sebep aşağidakilerden herhangi biri olabilir:</p> <ul> <li><p>Eksik veya yanlış protokol ismi (<q>http://</q> veya benzeri olmalı).</p></li> <li><p>Eksik adres.</p></li> <li><p>Illegal double-escape in the URL-Path</p></li> <li><p>Adreste yanlış karakterler (alt çizgi, vs. kullanılamaz).</p></li> </ul>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_LIFETIME_EXP squid-3.1.0.4/errors/tr/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/tr/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_LIFETIME_EXP	2009-01-23 18:41:15.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Bağlantı süresi doldu.</b></p> </blockquote>  <p>Squid, bağlantı süresi dolduğu için isteğinizi durdurdu.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_NO_RELAY squid-3.1.0.4/errors/tr/ERR_NO_RELAY
--- squid-3.1.0.3/errors/tr/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_NO_RELAY	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>WAIS Sunucu tanımlı değil</b></p> </blockquote>  <p>Bu Cache Sunucuda WAIS sunucu tanımlı değil. Lütfen Cache Yöneticisi ile bağlantıya geçiniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/tr/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/tr/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>İstediğiniz doğru doküman cache sunucusunda bulunamadı ve <q>only-if-cached</q> (sadece Cache Sunucunda bulunuyor ise) tanımlı.</b></p> </blockquote>  <p>You have issued a request with a <q>only-if-cached</q> cache control directive. The document was not found in the cache, <em>or</em> it required revalidation prohibited by the <q>only-if-cached</q> directive.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_READ_ERROR squid-3.1.0.4/errors/tr/ERR_READ_ERROR
--- squid-3.1.0.3/errors/tr/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_READ_ERROR	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Okuma Hatası</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>Ağdan bilgileri okuma sırasında hata oluştu. Lütfen isteğinizi tekrar giriniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_READ_TIMEOUT squid-3.1.0.4/errors/tr/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/tr/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_READ_TIMEOUT	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Okuma zamanı doldu (Read Timeout)</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>İstemiş olduğunuz bilgileri ağdan okuma sırasında okuma zamanı doldu. Hedef sunucu kapalı veya çok meşgul olabilir. Lütfen isteğinizi tekrar giriniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/tr/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/tr/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_SECURE_CONNECT_FAIL	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Failed to establish a secure connection to %I</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>This proxy and the remote host failed to negotiate a mutually acceptable security settings for handling your request. It is possible that the remote host does not support secure connections, or the proxy is not satisfied with the host security credentials.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/tr/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/tr/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_SHUTTING_DOWN	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <p>This cache is in the process of shutting down and can not service your request at this time.  Please retry your request again soon.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/tr/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/tr/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_SOCKET_FAILURE	2009-01-23 18:41:16.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Bağlantı hatası (Socket Failure).</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>Squid, TCP bağlantı yaratamadı. Bunun nedeni hedef sunucunun çok fazla yüklenmiş olması olabilir. Lütfen isteğinizi tekrar giriniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_TOO_BIG squid-3.1.0.4/errors/tr/ERR_TOO_BIG
--- squid-3.1.0.3/errors/tr/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_TOO_BIG	2009-01-23 18:41:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>The request or reply is too large.</b></p> </blockquote>  <p>If you are making a POST or PUT request, then the item you are trying to upload is too large.</p> <p>If you are making a GET request, then the item you are trying to download is too large.</p> <p>These limits have been established by the Internet Service Provider who operates this cache.  Please contact them directly if you feel this is an error.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_UNSUP_REQ squid-3.1.0.4/errors/tr/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/tr/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_UNSUP_REQ	2009-01-23 18:41:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Desteklenmeyen istek yöntemi ve protokol.</b></p> </blockquote>  <p>Squid, bazı erişim protokollerin, bazı istek yöntemlerini desteklemiyor. Örneğin Gopher isteğinizde POST yapamazsınız.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_URN_RESOLVE squid-3.1.0.4/errors/tr/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/tr/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_URN_RESOLVE	2009-01-23 18:41:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: The requested URN not be retrieved</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>A URL for the requested URN could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URN: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>URN çözülemedi.</b></p> </blockquote>  <p>%T de URN den fazla birsey beklemeyin. :)</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_WRITE_ERROR squid-3.1.0.4/errors/tr/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/tr/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_WRITE_ERROR	2009-01-23 18:41:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Yazma Hatası</b></p> </blockquote>  <p id="sysmsg">Sistemden gelen mesaj: <i>%E</i></p>  <p>Bilgiler ağ üzerine gönderilirken hata oluştu. Lütfen isteğinizi tekrar giriniz.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/tr/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/tr/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/tr/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/errors/tr/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:41:17.000000000 +1300
@@ -0,0 +1 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"> <html><head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> <title>HATA: İstenilen URL'e ulaşılamadı</title> <style type="text/css"><!-- %l --></style> </head><body> <div id="titles"> <h1>ERROR</h1> <h2>The requested URL could not be retrieved</h2> </div> <hr>  <div id="content"> <p>The following error was encountered while trying to retrieve the URL: <a href="%U">%U</a></p>  <blockquote id="error"> <p><b>Sıfır Uzunlukta cevap</b></p> </blockquote>  <p>Squid, isteğiniz ile ilgili herhangi bir bilgi alamadı.</p>  <p>Your cache administrator is <a href="mailto:%w%W">%w</a>.</p> <br> </div>  <hr> <div id="footer"> <p>Generated %T by %h (%s)</p> <!-- %c --> </div> </body></html> 
\ No newline at end of file
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Traditional_Chinese/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Access Denied.
 <LI>
-sQڵ
+存取被拒絕
 </STRONG>
 <P>
 Access control configuration prevents your request from
@@ -24,8 +24,8 @@
 you feel this is incorrect.
 </P>
 <P>
-ss]wثeTFzsunDApGzıooo˪
-TäTAлPѺAȪ޲zpôC
+欲連結之網站的存取控制設定目前禁止了您的連線要求，如果您覺得得到這樣的
+訊息並不正確，請與提供網路服務的管理者聯繫。
 </UL>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Traditional_Chinese/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_CACHE_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,31 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~G֨AsQڵ</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：網路快取伺服器存取被拒絕</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
-<H1>~</H1>
-<H2>֨AsQڵ</H2>
+<H1>錯誤</H1>
+<H2>網路快取伺服器存取被拒絕</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG 
+當嘗試傳回下面的網址（URL）時： 
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G 
+發生了下列的錯誤： 
 <UL>
 <LI>
 <STRONG>
 Cache Access Denied.
 <LI>
-֨AsQڵ
+快取伺服器存取被拒絕
 </STRONG>
 </UL>
 </P>
 
 <P>
-pAzQ\zLڭ̳oӺ֨AǦ^UCmG
+抱歉，您不被允許透過我們這個網路快取伺服器傳回下列位置：
 <BR>    %U<BR>
-DzqLFڭ̪ҡC
+除非您通過了我們的身份驗證。
 </P>
 
 <P>
@@ -36,8 +36,8 @@
 <A HREF="http://%h/cgi-bin/chpasswd.cgi">change</a> your default password.
 </P>
 <P>
-zݭnϥ Netscape version 2.0 ΧsAάOϥ Microsoft Internet 
-Explorer 3.0AάO@Ӭۮe HTTP/1.1 sӶiu@CpGzbҤW
-oͧxAлP <A HREF="mailto:%w%W">޲z</a> pôC
-άO<A HREF="http://%h/cgi-bin/chpasswd.cgi"></a>zKXC
+您需要使用 Netscape version 2.0 或更新的版本，或是使用 Microsoft Internet 
+Explorer 3.0，或是一個相容 HTTP/1.1 的瀏覽器來進行工作。如果您在身份驗證上
+發生困難，請與 <A HREF="mailto:%w%W">管理者</a> 聯繫。
+或是<A HREF="http://%h/cgi-bin/chpasswd.cgi">更改</a>您的密碼。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Traditional_Chinese/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_CACHE_MGR_ACCESS_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,31 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~GϥΧ֨A޲z{Qڵ</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：使用快取伺服器管理程式被拒絕</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD>
 <BODY>
-<H1>~</H1>
-<H2>ϥΧ֨A޲z{Qڵ</H2>
+<H1>錯誤</H1>
+<H2>使用快取伺服器管理程式被拒絕</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG 
+當嘗試傳回下面的網址（URL）時： 
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G 
+發生了下列的錯誤： 
 <UL>
 <LI>
 <STRONG>
 Cache Manager Access Denied.
 <LI>
-֨A޲z{ϥγQ
+快取伺服器管理程式使用被拒
 </STRONG>
 </UL>
 </P>
 
 <P>
-pAzQ\zLڭ̳oӧ֨A޲z{Ǧ^UCmG 
+抱歉，您不被允許透過我們這個快取伺服器管理程式傳回下列位置： 
 <BR>    %U<BR>
-DzqLڭ̪ҡC
+除非您通過我們的身份驗證。
 </P>
 
 <P> You need to use Netscape version 2.0 or greater, or Microsoft Internet
@@ -36,9 +36,9 @@
 cache log for more detailed error messages.
 </P>
 <P>
-zݭnϥ Netscape version 2.0 γ̷sAάOϥ Microsoft Internet 
-ExplorerAάO@Ӭۮe HTTP/1.1 sӶiu@CpGzObҤWo
-ͰDAХTwzv֨Aϥκ޲z{C
-άOP<A HREF="mailto:%w%W">޲z</a>pôCpGz<em>NO</em>޲z̡AиԲӾ\Ū Squid Ҫ󤤻P
-cache manager ˬd cache log HKoԺɪӸ`C
+您需要使用 Netscape version 2.0 或最新的版本，或是使用 Microsoft Internet 
+Explorer，或是一個相容 HTTP/1.1 的瀏覽器來進行工作。如果您是在身份驗證上發
+生問題，請先確定您有權對快取伺服器使用管理程式。
+或是與<A HREF="mailto:%w%W">管理者</a>聯繫。如果您<em>就是</em>管理者，請詳細閱讀 Squid 所附文件中與
+cache manager 有關部份或檢查 cache log 以便得到更詳盡的細節。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Traditional_Chinese/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_CANNOT_FORWARD	2009-01-23 18:37:28.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Fs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤；欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Unable to forward this request at this time.
 <LI>
-ثeLkzsnDiVʧ@
+目前無法替您的網站連結要求進行轉向動作
 </STRONG>
 </UL>
 
@@ -30,9 +30,9 @@
 </UL>
 </P>
 <P>
-zsnDLkQVlAΨLWh֨AAoͳoӰD̥i઺]iOG
+您的連結要求無法被轉向原始網站伺服器或其他的上層快取伺服器，發生這個問題的最可能的原因可能是：
 <UL>
-<LI>֨A޲z̤\Aw檽slmAάO
-<LI>ҦA]wWhAثeȮɵLksWC
+<LI>網路快取伺服器管理者不允許本伺服器逕行直接連結原始的網頁位置，或是
+<LI>所有本伺服器設定的上層伺服器目前都暫時無法連結上。
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Traditional_Chinese/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_CONNECT_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,31 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Connection Failed
 <LI>
-su
+連線失敗
 </STRONG>
 </UL>
 
 <P>
-tΦ^FUC~TG
+系統回應了下列錯誤訊息：
 <PRE><I>    %E</I></PRE>
 
 <P>
 The remote host or network may be down.  Please try the request again.
 </P><P>
-zsAάOioͬG١CеyAաC
+您欲連結的網站伺服器或是網路可能發生故障。請稍後再試。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_DNS_FAIL squid-3.1.0.4/errors/Traditional_Chinese/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_DNS_FAIL	2009-01-23 18:37:28.000000000 +1300
@@ -1,35 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H2>s}]URL^LkTǦ^</H2>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <BLOCKQUOTE>
-LkNzJDmĶT IP mG
+無法將您輸入的網站主機位置轉譯成正確的 IP 位置：
 <I>%H</I>
 </BLOCKQUOTE>
 </UL>
 
 <P>
-W٦A^UC~TG
+領域名稱伺服器回應下列錯誤訊息：
 <BLOCKQUOTE>
 %z
 </BLOCKQUOTE>
 
 <P>
-oܡG
+這表示：
 <PRE>
  The cache was not able to resolve the hostname presented in the URL. 
  Check if the address is correct. 
 </P><P>
- ֨ASkTĶzJDW١AˬdzJ
- }]URL^OTC
+ 網路快取伺服器沒有辦法正確轉譯您輸入的網站主機名稱，請檢查您輸入的網
+ 址（URL）是正確的。
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Traditional_Chinese/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_FORWARDING_DENIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Forwarding Denied.
 <LI>
-enDQ
+轉送要求被拒
 </STRONG>
 </UL>
 
@@ -25,6 +25,6 @@
 sibling relationship.  Perhaps the client at %i is a cache which has been
 misconfigured.
 </P><P>
-֨ANLkzVzsunDA]\O]zҨϥΪ֨A]%i^åQ֨A
-]w\isC
+本快取伺服器將無法替您轉向您的連線要求，也許是因為您所使用的快取伺服器（%i）並未被本快取伺服器
+設定為准許進行存取。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_DISABLED squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_DISABLED	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 FTP is Disabled
 <LI>
-Tϥɮ׶ǿ
+禁止使用檔案傳輸
 </STRONG>
 </UL>
 
 <P>
 This cache does not support FTP.
 </P><P>
-֨Aå}䴩ɮ׶ǿAȡC
+本快取伺服器並未開放支援檔案傳輸服務。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_FAILURE squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,18 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-bնǦ^U}]URL^ɵoɮ׶ǿqTw~G
+在嘗試傳回下面的網址（URL）時發生檔案傳輸通訊協定錯誤：
 <A HREF="%U">%U</A>
 <P>
-PROXY AzeXUCɮ׶ǿROG
+PROXY 伺服器替您送出下列檔案傳輸命令：
 <blockquote><strong><pre>%f</pre></strong></blockquote>
-H᦬o˪^G
+隨後收到這樣的回應：
 <blockquote><strong><pre>%F</pre></strong></blockquote>
 <blockquote><strong><pre>%g</pre></strong></blockquote>
 <P>
@@ -20,7 +20,7 @@
 not comply with RFC 1738).  If this is the cause, then the file
 can be found at <A HREF="%B">%B</A>.
 </P><P>
-oiO]]tF| FTP }]URL^ҾɭP]ŦX RFC 1738^CpGuO]
-oӭ]ɭPo˪~AɮץiiHb<A HREF="%B">%B</A>QC
+這可能是因為包含了絕對路徑的 FTP 網址（URL）所導致的（不符合 RFC 1738）。如果真的是因為
+這個原因導致這樣的錯誤，檔案可能可以在<A HREF="%B">%B</A>被找到。
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_PUT_CREATED	2009-01-23 18:37:28.000000000 +1300
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>ɮ׶ǿ PUT O\GɮפwQإ</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>檔案傳輸 PUT 指令成功完成：檔案已被建立</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>ҭnDO\aQ</H1>
-<H2>ɮפwQ\aإ</H2>
+<H1>所要求的指令成功地被完成</H1>
+<H2>檔案已被成功地建立</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_PUT_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,29 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~GɮפWǥ</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：檔案上傳失敗</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>ɮ׶ǿWǡ]PUT^</H2>
+<H1>錯誤</H1>
+<H2>檔案傳輸上傳（PUT）失敗</H2>
 <HR noshade size="1px">
 <P>
-դWǡ]PUT^UCmɡG
+當嘗試上傳（PUT）下列位置時：
 <A HREF="%U">%U</A>
 <P>
-֨AzeXUCɮ׶ǿROG
+快取伺服器替您轉送出下列檔案傳輸命令：
 <PRE><STRONG>
         %f
 </STRONG></PRE>
-H᦬o˪T
+隨後收到這樣的訊息
 <PRE><STRONG>
         %F
 </STRONG></PRE>
 <P>
-oܡG
+這表示：
 <PRE>
 Check path, permissions, diskspace and try again.
 <BR>
-бzˬdWǸ|AWǦmŪgvAiϥΪŶAդ@MC
+請您檢查上傳路徑，上傳位置的讀寫權限，可使用的空間之後再試一遍。
 </PRE>
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_FTP_PUT_MODIFIED	2009-01-23 18:37:28.000000000 +1300
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>ɮ׶ǿ PUT O\GɮפwQs</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>檔案傳輸 PUT 指令成功完成：檔案已被更新</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>\ҭnDO</H1>
-<H2>ɮפwQsF</H2>
+<H1>成功完成所要求的指令</H1>
+<H2>檔案已被更新了</H2>
 <HR noshade size="1px">
 <P>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_INVALID_REQ squid-3.1.0.4/errors/Traditional_Chinese/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_INVALID_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,43 +1,43 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նizҭnDUC{ǮɡG
+當嘗試進行您所要求的下列程序時：
 <PRE>
 %R
 </PRE>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Invalid Request
 <LI>
-TnD
+不正確的要求
 </STRONG>
 </UL>
 
 <P>
 Some aspect of the HTTP Request is invalid.  Possible problems:
 <BR>
-oͤF@ǤT HTTP nDCiOUCDG
+發生了一些不正確的 HTTP 要求。可能是下列的問題：
 <UL>
 <LI>Missing or unknown request method
-<BR>nD覡򥢩άO
+<BR>要求方式遺失或是未知
 <LI>Missing URL
-<BR>m
+<BR>網站位置遺失
 <LI>Missing HTTP Identifier (HTTP/1.0)
-<BR>HTTP зǪŧi򥢡]HTTP/1.0^
+<BR>HTTP 標準的宣告遺失（HTTP/1.0）
 <LI>Request is too large
-<BR>nDROL
+<BR>要求命令過長
 <LI>Content-Length missing for POST or PUT requests
-<BR>ʤ POST  PUT nD
+<BR>缺少 POST 或 PUT 要求
 <LI>Illegal character in hostname; underscores are not allowed
-<BR>sDW٥]tXkrFuoӦrOQ\sbC
+<BR>欲連結的主機名稱包含不合法的字元；底線這個字元是不被允許存在的。
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_INVALID_URL squid-3.1.0.4/errors/Traditional_Chinese/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_INVALID_URL	2009-01-23 18:37:28.000000000 +1300
@@ -1,37 +1,37 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Invalid URL
 <LI>
-Tm
+不正確的位置
 </STRONG>
 </UL>
 
 <P>
 Some aspect of the requested URL is incorrect.  Possible problems:
 <BR>
-sm@ǤTCiO]UCDG
+欲連結的位置有一些不正確。可能是因為下列問題：
 <UL>
 <LI>Missing or incorrect access protocol (should be `http://'' or similar)
-<BR>ʤ֩ΤTqTwŧi]ӬO `http://''άO}Y^
+<BR>缺少或不正確的通訊協定宣告（應該是 `http://''或是類似的開頭）
 <LI>Missing hostname
-<BR>ʤֱsDW
+<BR>缺少欲連結的主機名稱
 <LI>Illegal double-escape in the URL-Path
-<BR>Xks|]ʤ `//''^
+<BR>不合法的網站連結路徑（缺少 `//''）
 <LI>Illegal character in hostname; underscores are not allowed
-<BR>XkrsbsDW٤FuoӦrOQ\
+<BR>不合法的字元存在於欲連結的主機名稱中；底線這個字元是不被允許的
 </UL>
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Traditional_Chinese/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_LIFETIME_EXP	2009-01-23 18:37:28.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Connection Lifetime Expired
 <LI>
-WLsuݮɭ
+超過連線等待時限
 </STRONG>
 </UL>
 
@@ -24,5 +24,5 @@
 Squid has terminated the request because it has exceeded the maximum
 connection lifetime.
 </P><P>
-֨AwפzsunDA]wgWLsuݮɭC
+快取伺服器已終止您的連線要求，因為已經超過連線等待時限。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_NO_RELAY squid-3.1.0.4/errors/Traditional_Chinese/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_NO_RELAY	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 No Wais Relay
 <LI>
- Wais]sTA^౵
+不提供 Wais（廣域資訊伺服器）轉接
 </STRONG>
 </UL>
 
 <P>
 There is no WAIS Relay host defined for this Cache!  Yell at the administrator.
 <BR>
-֨A WAIS sTAAȡIpðݽЬ֨A޲z̡C
+本快取伺服器未提供 WAIS 廣域資訊伺服器服務！如有疑問請洽快取伺服器管理者。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Traditional_Chinese/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_ONLY_IF_CACHED_MISS	2009-01-23 18:37:28.000000000 +1300
@@ -1,24 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Valid document was not found in the cache and <code>only-if-cached</code>
 directive was specified.
 <LI>
-znDåsb󥻧֨AWAӥBz]wF<code>only-if-cached</code>
-OC
+您要求的文件並未存在於本快取伺服器上，而且您設定了<code>only-if-cached</code>
+指令。
 </STRONG>
 </UL>
 
@@ -28,6 +28,6 @@
 directive. The document was not found in the cache, <em>or</em> it required
 revalidation prohibited by <code>only-if-cached</code> directive.
 <BR>
-zeXF@ӥ]t <code>only-if-cached</code> ֨OsnDCӤåsb֨AA<em>Ϊ</em>
-oӳsunDQ <code>only-if-cached</code> O{wOTΪC
+您送出了一個包含 <code>only-if-cached</code> 快取控制指令的連結要求。而文件並未存在快取伺服器中，<em>或者</em>
+這個連線要求被 <code>only-if-cached</code> 指令認定是禁用的。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_READ_ERROR squid-3.1.0.4/errors/Traditional_Chinese/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_READ_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Read Error
 <LI>
-Ū~
+讀取錯誤
 </STRONG>
 </UL>
 
 <P>
-tΦ^G
+系統回應：
 <PRE><I>    %E</I></PRE>
 
 <P>
 An error condition occurred while reading data from the network.  Please
 retry your request.
 </P><P>
-bzLŪƮɵoͤF~pAЦAդ@MzsnDC
+正在透過網路讀取資料時發生了錯誤的情況，請再嘗試一遍您的連結要求。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Traditional_Chinese/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_READ_TIMEOUT	2009-01-23 18:37:28.000000000 +1300
@@ -1,33 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Read Timeout
 <LI>
-WLŪɭ
+超過讀取時限
 </STRONG>
 </UL>
 
 <P>
-tΦ^G
+系統回應：
 <PRE><I>    %E</I></PRE>
 
 <P>
 A Timeout occurred while waiting to read data from the network.  The network
 or server may be down or congested.  Please retry your request.
 <BR>
-zLŪƮɡAWLFݮɭCoiO]άOsAo;öηlaC
-Эsդ@MzsnDC
+當透過網路讀取資料時，超過了等待時限。這可能是因為網路或是欲連結的網站伺服器發生壅塞或損壞。
+請重新嘗試一遍您的連結要求。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Traditional_Chinese/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_SHUTTING_DOWN	2009-01-23 18:37:28.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <P>
 This cache is in the process of shutting down and can not
 service your request at this time.  Please retry your
 request again soon.
 <BR>
-֨Aثebi{ǡAȮɵLkzsunDѪAȡC
-еyݤ譫sճsuC
+本網路快取伺服器目前正在進行關閉程序，暫時無法對您的連線要求提供服務。
+請稍待片刻重新嘗試連線。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Traditional_Chinese/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_SOCKET_FAILURE	2009-01-23 18:37:28.000000000 +1300
@@ -1,33 +1,33 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Socket Failure
 <LI>
-Socket إߥ
+Socket 建立失敗
 </STRONG>
 </UL>
 
 <P>
-tΦ^G
+系統回應：
 <PRE><I>    %E</I></PRE>
 
 <P>
 Squid is unable to create a TCP socket, presumably due to excessive load.
 Please retry your request.
 <BR>
-Squid ]֨{^Lkإ TCP socketAiO]LtɭPoӰDA
-Эsդ@MzsnDC
+Squid （網路快取程式）無法建立 TCP socket，可能是因為過重的負荷導致這個問題，
+請重新嘗試一遍您的連結要求。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_UNSUP_REQ squid-3.1.0.4/errors/Traditional_Chinese/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_UNSUP_REQ	2009-01-23 18:37:28.000000000 +1300
@@ -1,22 +1,22 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Unsupported Request Method and Protocol
 <LI>
-|䴩nD覡γqTw
+尚未支援的要求方式或通訊協定
 </STRONG>
 </UL>
 
@@ -24,7 +24,7 @@
 Squid does not support all request methods for all access protocols.
 For example, you can not POST a Gopher request.
 <BR>
-] Squid ]֨{^å䴩ҦsnD覡bUqTwWC
-pAAnD@ GOPHER  POST snDC
+因為 Squid （網路快取程式）並未支援所有的連結要求方式在各式通訊協定上。
+比如說，你不能要求一個 GOPHER 的 POST 連結要求。
 </P>
 
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_URN_RESOLVE squid-3.1.0.4/errors/Traditional_Chinese/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_URN_RESOLVE	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>URN @Ӻ}]URL^LkQǦ^</H2>
+<H1>錯誤</H1>
+<H2>URN 中的一個網址（URL）無法被傳回</H2>
 <HR noshade size="1px">
 <P>
-bնǦ^UC URN mɡG
+當在嘗試傳回下列 URN 位置時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Cannot Resolve URN
 <LI>
-LkĶ URN
+無法解譯 URN
 </STRONG>
 </UL>
 
 <P>
 Hey, don't expect too much from URNs on %T :)
 <BR>
-pIz URNs b %T WݤӦh :)
+抱歉！您不能對 URNs 在 %T 上期待太多 :)
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_WRITE_ERROR squid-3.1.0.4/errors/Traditional_Chinese/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_WRITE_ERROR	2009-01-23 18:37:28.000000000 +1300
@@ -1,32 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Write Error
 <LI>
-gJ~
+寫入錯誤
 </STRONG>
 </UL>
 
 <P>
-tΦ^G
+系統回應：
 <PRE><I>    %E</I></PRE>
 
 <P>
 An error condition occurred while writing to the network.  Please retry your
 request.
 <BR>
-bzLgJƮɵoͤF~pAЭsդ@MzsnDC
+正在透過網路寫入資料時發生了錯誤的情況，請重新嘗試一遍您的連結要求。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Traditional_Chinese/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Traditional_Chinese/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Traditional_Chinese/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Traditional_Chinese/ERR_ZERO_SIZE_OBJECT	2009-01-23 18:37:28.000000000 +1300
@@ -1,27 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=big5">
-<TITLE>~Gs}]URL^LkTǦ^</TITLE>
+<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
+<TITLE>錯誤：欲連結之網址（URL）無法正確的傳回</TITLE>
 <STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
 </HEAD><BODY>
-<H1>~</H1>
-<H2>s}]URL^LkTǦ^</H2>
+<H1>錯誤</H1>
+<H2>欲連結之網址（URL）無法正確的傳回</H2>
 <HR noshade size="1px">
 <P>
-նǦ^U}]URL^ɡG
+當嘗試傳回下面的網址（URL）時：
 <A HREF="%U">%U</A>
 <P>
-oͤFUC~G
+發生了下列的錯誤：
 <UL>
 <LI>
 <STRONG>
 Zero Sized Reply
 <LI>
-jpsƦ^
+大小為零的資料回應
 </STRONG>
 </UL>
 
 <P>
 Squid did not receive any data for this request.
 <BR>
-zsunDASquid]֨{^å۱sAơC
+您的此次連線要求，Squid（網路快取程式）並未自欲連結的網站伺服器接收到任何資料。
 </P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_ACCESS_DENIED squid-3.1.0.4/errors/Turkish/ERR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Turkish/ERR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Eriim yasak.
-</STRONG>
-<P>
-Eriim kontrol mekanizmas istediiniz bilgilere ulamanz yasaklyor. 
-stenilen bilgilere eriim hakknz olduunu dnyorsanz, ltfen Servis 
-Salayc Kurumla balantya geiniz.
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_CACHE_ACCESS_DENIED squid-3.1.0.4/errors/Turkish/ERR_CACHE_ACCESS_DENIED
--- squid-3.1.0.3/errors/Turkish/ERR_CACHE_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_CACHE_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA: Cache Sunucusu Kullanamazsnz</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>HATA</H1>
-<H2>Cache Sunucusunu Kullanamazsnz</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<UL>
-<LI>
-<STRONG>
-Cache Sunucusunu Kullanamazsnz.
-</STRONG>
-</UL>
-</P>
-<P>zr dilerim, istediiniz:
-<PRE>    %U</PRE>
-adresine bu Cache Sunucusunu kullanarak ulaamazsnz.
-</P>
-<P>
-Netscape 2.0 veya st, Microsoft Internet Exporer 3.0 veya st, veya herhangi HTTP/1.1 uyumlu
-tarayc kullandnza emin olun. Ltfen <A HREF="mailto:%w%W">Cache Yneticisi</a> ile 
-balantya gein, veya ifrenizi deitirmek iin 
-<A HREF="http://%h/cgi-bin/chpasswd.cgi">buraya</a> tklayn. 
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_CACHE_MGR_ACCESS_DENIED squid-3.1.0.4/errors/Turkish/ERR_CACHE_MGR_ACCESS_DENIED
--- squid-3.1.0.3/errors/Turkish/ERR_CACHE_MGR_ACCESS_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_CACHE_MGR_ACCESS_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA: Cache Ynetici girii yasak</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD>
-<BODY>
-<H1>HATA</H1>
-<H2>Cache Ynetici girii yasak</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A></P>
-<P>
-adresine ularken aadaki hata olutu:
-<UL>
-<LI>
-<STRONG>
-Cache Ynetici girii yasak.
-</STRONG>
-</UL>
-</P>
-<P>zr dilerim, istediiniz:
-<PRE>    %U</PRE>
-adresine bu cache ynetici giriinden balanamazsnz.
-</P>
-<P> Netscape 2.0 veya st, Microsoft Internet Exporer 3.0 veya st, 
-veya herhangi HTTP/1.1 uyumlu tarayc kullandnza emin olun. Eer sorun devam 
-ediyor ise ltfen  <A HREF="mailto:%w%W"> cache yneticisi </A> ile balantya gein
-Eer <em>ynetici</em> siz iseniz Squid Yardm Sayfalarnda Cache Yneticisi giri arayz
-ile ilgili ksmlar tekrar okuyun ve Cache sunucusunun hata mesajlarn kontrol edin.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_CANNOT_FORWARD squid-3.1.0.4/errors/Turkish/ERR_CANNOT_FORWARD
--- squid-3.1.0.3/errors/Turkish/ERR_CANNOT_FORWARD	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_CANNOT_FORWARD	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-u anda sizi ynlendiremem.
-</STRONG>
-</UL>
-<P>
-Bu istek u anda baka bir Cache Sunucuya veya hedef WWW Sunucuya ynlendirilemez.
-Bunun sebebi aadakilerden herhangi biri olabilir:
-<UL>
-<LI>Cache yneticisi isteklerin hedef WWW sunucuya gitmesine izin vermiyor.
-<LI>Hi bir ana Cache Sunucuya u anda ulalamyor.
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_CONNECT_FAIL squid-3.1.0.4/errors/Turkish/ERR_CONNECT_FAIL
--- squid-3.1.0.3/errors/Turkish/ERR_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Balant kurulamad.
-</STRONG>
-</UL>
-<P>
-Sistemden gelen mesaj:
-<PRE><I>    %E</I></PRE>
-<P>
-Hedef WWW sunucu ile balant kurulamad. Ltfen tekrar deneyin.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_DNS_FAIL squid-3.1.0.4/errors/Turkish/ERR_DNS_FAIL
--- squid-3.1.0.3/errors/Turkish/ERR_DNS_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_DNS_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<BLOCKQUOTE>
-<I>%H</I> isimli sunucuya ait herhangi bir IP adresi bulunamad.
-</BLOCKQUOTE>
-</UL>
-<P>
-DNS sunucusundan gelen cevap:
-<BLOCKQUOTE>
-%z
-</BLOCKQUOTE>
-<P>
- Cache Sunucusu, verdiiniz hedef WWW sunucusunun IP adresini bulamad.
- Adresin doru olup olmadn tekrar kontrol ediniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_ESI squid-3.1.0.4/errors/Turkish/ERR_ESI
--- squid-3.1.0.3/errors/Turkish/ERR_ESI	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_ESI	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<BLOCKQUOTE>
-ESI Processing failed.
-</BLOCKQUOTE>
-
-<P>
-The ESI processor returned:
-<BLOCKQUOTE>
-%Z
-</BLOCKQUOTE>
-
-<P>
-This means that:
-<PRE>
- The surrogate was not able to process the ESI template. Please report this error to the webmaster. 
-</PRE>
-<P>Your webmaster is <A HREF="mailto:%w">%w</A>.</P>
-<P>This page is in english because a translation has not been made. If you are able to, please create a translation and contact the squid project to get it included.</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FORWARDING_DENIED squid-3.1.0.4/errors/Turkish/ERR_FORWARDING_DENIED
--- squid-3.1.0.3/errors/Turkish/ERR_FORWARDING_DENIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FORWARDING_DENIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Ynlendirme yasak.
-</STRONG>
-</UL>
-<P>
-Bu Cache Sunucu, yaplan ayarlardan ve tanmlanan kullanc hakklarndan dolay 
-isteinizi ynlendirememektedir. %i isimli Cache Sunucu ayarlarnda bir yanllk olabilir. 
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_DISABLED squid-3.1.0.4/errors/Turkish/ERR_FTP_DISABLED
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_DISABLED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_DISABLED	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-FTP u anda kapal.
-</STRONG>
-</UL>
-<P>
-Bu cache sunucu FTP desteklemiyor.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_FAILURE squid-3.1.0.4/errors/Turkish/ERR_FTP_FAILURE
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,24 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad.</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ulamaya alrken FTP hatas olutu.
-<P>
-Squid, u FTP komutlarn gnderdi:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-ve u cevab ald:
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-Bunun nedeni, verdiiniz FTP URL adresinin RFC 1738'e uyumlu olmamas olabilir.
-Bu durumda istediiniz dokman
- <A HREF="%B">%B</A> adresinde bulabilirsiniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_FORBIDDEN squid-3.1.0.4/errors/Turkish/ERR_FTP_FORBIDDEN
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_FORBIDDEN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_FORBIDDEN	1970-01-01 12:00:00.000000000 +1200
@@ -1,20 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-An FTP authentication failure occurred
-while trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_NOT_FOUND squid-3.1.0.4/errors/Turkish/ERR_FTP_NOT_FOUND
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_NOT_FOUND	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_NOT_FOUND	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-The following URL could not be retrieved:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-<P>
-This might be caused by an FTP URL with an absolute path (which does
-not comply with RFC 1738).  If this is the cause, then the file
-can be found at <A HREF="%B">%B</A>.
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_PUT_CREATED squid-3.1.0.4/errors/Turkish/ERR_FTP_PUT_CREATED
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_PUT_CREATED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_PUT_CREATED	1970-01-01 12:00:00.000000000 +1200
@@ -1,9 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<TITLE>FTP PUT Baarl: Dosya Yaratld</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>lem baaryla tamamland.</H1>
-<H2>Dosya gncellendi.</H2>
-<HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_PUT_ERROR squid-3.1.0.4/errors/Turkish/ERR_FTP_PUT_ERROR
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_PUT_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_PUT_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  FTP dosya yklemesi yaplamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>FTP dosya yklemesi yaplamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine FTP ile dosya yklemesi srasnda
-<P>
-Squid, aadaki FTP komutlarn gnderdi:
-<PRE><STRONG>
-        %f
-</STRONG></PRE>
-ve bu cevab ald:
-<PRE><STRONG>
-        %F
-</STRONG></PRE>
-<P>
-Ltfen dizin ismini, yetkilerinizi ve bo disk alann kontrol ederek tekrar deneyiniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_PUT_MODIFIED squid-3.1.0.4/errors/Turkish/ERR_FTP_PUT_MODIFIED
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_PUT_MODIFIED	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_PUT_MODIFIED	1970-01-01 12:00:00.000000000 +1200
@@ -1,9 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<TITLE>FTP PUT Baarl: Dosya gncellendi</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>lem baaryla tamamland.</H1>
-<H2>Dosya gncellendi.</H2>
-<HR noshade size="1px">
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_FTP_UNAVAILABLE squid-3.1.0.4/errors/Turkish/ERR_FTP_UNAVAILABLE
--- squid-3.1.0.3/errors/Turkish/ERR_FTP_UNAVAILABLE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_FTP_UNAVAILABLE	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-The FTP server was too busy while trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-Squid sent the following FTP command:
-<blockquote><strong><pre>%f</pre></strong></blockquote>
-and then received this reply
-<blockquote><strong><pre>%F</pre></strong></blockquote>
-<blockquote><strong><pre>%g</pre></strong></blockquote>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_ICAP_FAILURE squid-3.1.0.4/errors/Turkish/ERR_ICAP_FAILURE
--- squid-3.1.0.3/errors/Turkish/ERR_ICAP_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_ICAP_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,33 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff; font-family:verdana,sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-ICAP protocol error.
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This means that:
-Some aspect of the ICAP communication failed. Possible problems:
-<UL>
-<LI>ICAP server is not reachable.
-<LI>Illegal response from ICAP server.
-</UL>
-</P>
-
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_INVALID_REQ squid-3.1.0.4/errors/Turkish/ERR_INVALID_REQ
--- squid-3.1.0.3/errors/Turkish/ERR_INVALID_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_INVALID_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Yanl stek.
-</STRONG>
-</UL>
-<P>
-Vermi olduunuz HTTP istei yanl. Buna sebep aaidakilerden herhangi biri olabilir:
-<UL>
-<LI>Eksik veya bilinmeyen metod (GET, POST),
-<LI>Eksik URL,
-<LI>Eksik HTTP Belirleyici (HTTP/1.0),
-<LI>stenilen dosya ok byk, 
-<LI>Content-Length, POST veya PUT istekleri iin eksik,
-<LI>Adreste yanl karakterler (alt izgi, vs. kullanlamaz).
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_INVALID_RESP squid-3.1.0.4/errors/Turkish/ERR_INVALID_RESP
--- squid-3.1.0.3/errors/Turkish/ERR_INVALID_RESP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_INVALID_RESP	1970-01-01 12:00:00.000000000 +1200
@@ -1,29 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to process the request:
-<PRE>
-%R
-</PRE>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Invalid Response
-</STRONG>
-</UL>
-
-<P>
-The HTTP Response message received from the contacted server
-could not be understood or was otherwise malformed. Please contact
-the site operator. Your cache administrator may be able to provide
-you with more details about the exact nature of the problem if needed.
-
-<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_INVALID_URL squid-3.1.0.4/errors/Turkish/ERR_INVALID_URL
--- squid-3.1.0.3/errors/Turkish/ERR_INVALID_URL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_INVALID_URL	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Yanl URL.
-</STRONG>
-</UL>
-<P>
-Vermi olduunuz URL yanl. Buna sebep aaidakilerden herhangi biri olabilir:
-<UL>
-<LI>Eksik veya yanl protokol ismi (`http://'' veya benzeri olmal),
-<LI>Eksik adres,
-<LI>Adreste yanl karakterler (alt izgi, vs. kullanlamaz).
-</UL>
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_LIFETIME_EXP squid-3.1.0.4/errors/Turkish/ERR_LIFETIME_EXP
--- squid-3.1.0.3/errors/Turkish/ERR_LIFETIME_EXP	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_LIFETIME_EXP	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Balant sresi doldu.
-</STRONG>
-</UL>
-<P>
-Squid, balant sresi dolduu iin isteinizi durdurdu.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_NO_RELAY squid-3.1.0.4/errors/Turkish/ERR_NO_RELAY
--- squid-3.1.0.3/errors/Turkish/ERR_NO_RELAY	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_NO_RELAY	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-WAIS Sunucu tanml deil.
-</STRONG>
-</UL>
-<P>
-Bu Cache Sunucuda WAIS sunucu tanml deil. Ltfen Cache Yneticisi ile balantya geiniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_ONLY_IF_CACHED_MISS squid-3.1.0.4/errors/Turkish/ERR_ONLY_IF_CACHED_MISS
--- squid-3.1.0.3/errors/Turkish/ERR_ONLY_IF_CACHED_MISS	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_ONLY_IF_CACHED_MISS	1970-01-01 12:00:00.000000000 +1200
@@ -1,25 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-stediiniz doru dokman cache sunucusunda bulunamad ve <code>only-if-cached</code> 
-(sadece Cache Sunucunda bulunuyor ise) tanml.
-</STRONG>
-</UL>
-<P>
-<code>only-if-cached</code> kontrol mekanizmal istekte bulundunuz. Bu dokman 
-cache sunucusunda bulunamad veya bu mekanizmann izin vermedii tazeleme yaplmas gerekiyor.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_READ_ERROR squid-3.1.0.4/errors/Turkish/ERR_READ_ERROR
--- squid-3.1.0.3/errors/Turkish/ERR_READ_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_READ_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Okuma Hatas.
-</STRONG>
-</UL>
-<P>
-Sistem aadaki mesaj verdi:
-<PRE><I>    %E</I></PRE>
-<P>
-Adan bilgileri okuma srasnda hata olutu. Ltfen isteinizi tekrar giriniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_READ_TIMEOUT squid-3.1.0.4/errors/Turkish/ERR_READ_TIMEOUT
--- squid-3.1.0.3/errors/Turkish/ERR_READ_TIMEOUT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_READ_TIMEOUT	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Okuma zaman doldu (Read Timeout).
-</STRONG>
-</UL>
-<P>
-Sistem aadaki mesaj verdi:
-<PRE><I>    %E</I></PRE>
-<P>
-stemi olduunuz bilgileri adan okuma srasnda okuma zaman doldu. Hedef sunucu 
-kapal veya ok megul olabilir. Ltfen isteinizi tekrar giriniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_SECURE_CONNECT_FAIL squid-3.1.0.4/errors/Turkish/ERR_SECURE_CONNECT_FAIL
--- squid-3.1.0.3/errors/Turkish/ERR_SECURE_CONNECT_FAIL	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_SECURE_CONNECT_FAIL	1970-01-01 12:00:00.000000000 +1200
@@ -1,31 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-Failed to establish a secure connection to %I
-</STRONG>
-</UL>
-
-<P>
-The system returned:
-<PRE><I>    %E</I></PRE>
-
-<P>
-This proxy and the remote host failed to negotiate a mutually acceptable
-security settings for handling your request. It is possible that the remote
-host does not support secure connections, or the proxy is not satisfied with
-the host security credentials.
-
-<P>Your cache administrator is <A HREF="mailto:%w%W">%w</A>. 
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_SHUTTING_DOWN squid-3.1.0.4/errors/Turkish/ERR_SHUTTING_DOWN
--- squid-3.1.0.3/errors/Turkish/ERR_SHUTTING_DOWN	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_SHUTTING_DOWN	1970-01-01 12:00:00.000000000 +1200
@@ -1,19 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<P>
-This cache is in the process of shutting down and can not
-service your request at this time.  Please retry your
-request again soon.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_SOCKET_FAILURE squid-3.1.0.4/errors/Turkish/ERR_SOCKET_FAILURE
--- squid-3.1.0.3/errors/Turkish/ERR_SOCKET_FAILURE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_SOCKET_FAILURE	1970-01-01 12:00:00.000000000 +1200
@@ -1,27 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Balant hatas (Socket Failure).
-</STRONG>
-</UL>
-<P>
-Sistem aadaki mesaj verdi: 
-<PRE><I>    %E</I></PRE>
-<P>
-Squid, TCP balant yaratamad. Bunun nedeni hedef sunucunun ok fazla yklenmi olmas olabilir.
-Ltfen isteinizi tekrar giriniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_TOO_BIG squid-3.1.0.4/errors/Turkish/ERR_TOO_BIG
--- squid-3.1.0.3/errors/Turkish/ERR_TOO_BIG	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_TOO_BIG	1970-01-01 12:00:00.000000000 +1200
@@ -1,28 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD><META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
-<HR noshade size="1px">
-<P>
-While trying to retrieve the URL:
-<A HREF="%U">%U</A>
-<P>
-The following error was encountered:
-<UL>
-<LI>
-<STRONG>
-The request or reply is too large.
-</STRONG>
-<P>
-If you are making a POST or PUT request, then your request body
-(the thing you are trying to upload) is too large.  If you are 
-making a GET request, then the reply body (what you are trying
-to download) is too large.   These limits have been established
-by the Internet Service Provider who operates this cache.  Please
-contact them directly if you feel this is an error.
-</UL>
-<P>
-Your cache administrator is <A HREF="mailto:%w%W">%w</A>.
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_UNSUP_REQ squid-3.1.0.4/errors/Turkish/ERR_UNSUP_REQ
--- squid-3.1.0.3/errors/Turkish/ERR_UNSUP_REQ	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_UNSUP_REQ	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Desteklenmeyen istek yntemi ve protokol.
-</STRONG>
-</UL>
-<P>
-Squid, baz eriim protokollerin, baz istek yntemlerini desteklemiyor. rnein Gopher isteinizde POST yapamazsnz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_URN_RESOLVE squid-3.1.0.4/errors/Turkish/ERR_URN_RESOLVE
--- squid-3.1.0.3/errors/Turkish/ERR_URN_RESOLVE	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_URN_RESOLVE	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-URN zlemedi.
-</STRONG>
-</UL>
-<P>
-%T de URN den fazla birsey beklemeyin. :)
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_WRITE_ERROR squid-3.1.0.4/errors/Turkish/ERR_WRITE_ERROR
--- squid-3.1.0.3/errors/Turkish/ERR_WRITE_ERROR	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_WRITE_ERROR	1970-01-01 12:00:00.000000000 +1200
@@ -1,26 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Yazma Hatas.
-</STRONG>
-</UL>
-<P>
-Sistem, aadaki mesaj verdi:
-<PRE><I>    %E</I></PRE>
-<P>
-Bilgiler a zerine gnderilirken hata olutu. Ltfen isteinizi tekrar giriniz.
-</P>
diff -u -r -N squid-3.1.0.3/errors/Turkish/ERR_ZERO_SIZE_OBJECT squid-3.1.0.4/errors/Turkish/ERR_ZERO_SIZE_OBJECT
--- squid-3.1.0.3/errors/Turkish/ERR_ZERO_SIZE_OBJECT	2008-12-05 16:09:29.000000000 +1300
+++ squid-3.1.0.4/errors/Turkish/ERR_ZERO_SIZE_OBJECT	1970-01-01 12:00:00.000000000 +1200
@@ -1,23 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-<HTML><HEAD>
-<TITLE>HATA:  stenilen URL'e ulalamad</TITLE>
-<META http-equiv="Content-Type" content="text/html;charset=iso-8859-9">
-<STYLE type="text/css"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}PRE{font-family:sans-serif}--></STYLE>
-</HEAD><BODY>
-<H1>HATA</H1>
-<H2>stenilen URL'e ulalamad</H2>
-<HR noshade size="1px">
-<P>
-<A HREF="%U">%U</A>
-<P>
-adresine ularken aadaki hata olutu:
-<P>
-<UL>
-<LI>
-<STRONG>
-Sfr Uzunlukta cevap.
-</STRONG>
-</UL>
-<P>
-Squid, isteiniz ile ilgili herhangi bir bilgi alamad.
-</P>
diff -u -r -N squid-3.1.0.3/helpers/negotiate_auth/squid_kerb_auth/configure squid-3.1.0.4/helpers/negotiate_auth/squid_kerb_auth/configure
--- squid-3.1.0.3/helpers/negotiate_auth/squid_kerb_auth/configure	2008-12-05 16:10:13.000000000 +1300
+++ squid-3.1.0.4/helpers/negotiate_auth/squid_kerb_auth/configure	2009-01-23 18:38:15.000000000 +1300
@@ -6357,12 +6357,6 @@
   esac
 fi
 
-if test "$ac_cv_header_gssapi_h" = "no" -a "$ac_cv_header_gssapi_gssapi_h" = "no"; then
-        echo "GSSAPI headers are required to compile squid_kerb_auth"
-        echo "Please install gssapi headers and then re-run configure"
-        exit 1
-fi
-
 old_LIBS=$LIBS
 { $as_echo "$as_me:$LINENO: checking for SPNEGO support" >&5
 $as_echo_n "checking for SPNEGO support... " >&6; }
diff -u -r -N squid-3.1.0.3/helpers/negotiate_auth/squid_kerb_auth/configure.in squid-3.1.0.4/helpers/negotiate_auth/squid_kerb_auth/configure.in
--- squid-3.1.0.3/helpers/negotiate_auth/squid_kerb_auth/configure.in	2008-12-05 16:09:30.000000000 +1300
+++ squid-3.1.0.4/helpers/negotiate_auth/squid_kerb_auth/configure.in	2009-01-23 18:37:30.000000000 +1300
@@ -313,12 +313,6 @@
   esac
 fi
 
-if test "$ac_cv_header_gssapi_h" = "no" -a "$ac_cv_header_gssapi_gssapi_h" = "no"; then
-        echo "GSSAPI headers are required to compile squid_kerb_auth"
-        echo "Please install gssapi headers and then re-run configure"
-        exit 1
-fi
-
 old_LIBS=$LIBS
 AC_CACHE_CHECK([for SPNEGO support],ac_cv_have_spnego,[
   AC_TRY_RUN([
diff -u -r -N squid-3.1.0.3/helpers/negotiate_auth/squid_kerb_auth/squid_compat.h squid-3.1.0.4/helpers/negotiate_auth/squid_kerb_auth/squid_compat.h
--- squid-3.1.0.3/helpers/negotiate_auth/squid_kerb_auth/squid_compat.h	2008-12-05 16:09:30.000000000 +1300
+++ squid-3.1.0.4/helpers/negotiate_auth/squid_kerb_auth/squid_compat.h	2009-01-23 18:37:30.000000000 +1300
@@ -12,14 +12,14 @@
 
 #include "config.h"
 
- /* We want the Squid type and library definitions without the package ones */
+/* We want the Squid type and library definitions without the package ones */
 #undef VERSION
 #undef PACKAGE
 #undef PACKAGE_BUGREPORT
-#undef PACKAGE_NAME  
-#undef PACKAGE_STRING 
-#undef PACKAGE_TARNAME 
-#undef PACKAGE_VERSION 
+#undef PACKAGE_NAME
+#undef PACKAGE_STRING
+#undef PACKAGE_TARNAME
+#undef PACKAGE_VERSION
 #endif /* HAVE_SQUID */
 
 #endif /* SQUID__HELPERS_NEGOTIATE_AUTH_SQUID_KERB_AUTH_SQUID_COMPAT_H */
diff -u -r -N squid-3.1.0.3/helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.c squid-3.1.0.4/helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.c
--- squid-3.1.0.3/helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.c	2008-12-05 16:09:30.000000000 +1300
+++ squid-3.1.0.4/helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.c	2009-01-23 18:37:30.000000000 +1300
@@ -316,8 +316,7 @@
             return;
             /* notreached */
         case NTLM_CHALLENGE:
-            SEND
-            ("NA Got a challenge. We refuse to have our authority disputed");
+            SEND("NA Got a challenge. We refuse to have our authority disputed");
             return;
             /* notreached */
         case NTLM_AUTHENTICATE:
@@ -415,8 +414,10 @@
                                   (ntlm_authenticate *) decoded, plen);
                     return;
                 }
+                SEND("BH unknown internal error.");
+                return;
             }
-            assert(cred != NULL);
+
             lc(cred);		/* let's lowercase them for our convenience */
             SEND2("AF %s", cred);
             return;
diff -u -r -N squid-3.1.0.3/include/autoconf.h.in squid-3.1.0.4/include/autoconf.h.in
--- squid-3.1.0.3/include/autoconf.h.in	2008-12-05 16:09:45.000000000 +1300
+++ squid-3.1.0.4/include/autoconf.h.in	2009-01-23 18:37:48.000000000 +1300
@@ -284,9 +284,6 @@
 /* Define to 1 if you have the `nsl' library (-lnsl). */
 #undef HAVE_LIBNSL
 
-/* Define to 1 if you have the `pthread' library (-lpthread). */
-#undef HAVE_LIBPTHREAD
-
 /* Define to 1 if you have the `resolv' library (-lresolv). */
 #undef HAVE_LIBRESOLV
 
diff -u -r -N squid-3.1.0.3/include/CbDataList.h squid-3.1.0.4/include/CbDataList.h
--- squid-3.1.0.3/include/CbDataList.h	2008-12-05 16:09:30.000000000 +1300
+++ squid-3.1.0.4/include/CbDataList.h	2009-01-23 18:37:30.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: List.h,v 1.8 2008/02/26 21:49:33 amosjeffries Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
diff -u -r -N squid-3.1.0.3/include/IPAddress.h squid-3.1.0.4/include/IPAddress.h
--- squid-3.1.0.3/include/IPAddress.h	2008-12-05 16:09:30.000000000 +1300
+++ squid-3.1.0.4/include/IPAddress.h	1970-01-01 12:00:00.000000000 +1200
@@ -1,436 +0,0 @@
-/*
- * $Id: IPAddress.h,v 1.3 2008/02/05 22:39:42 amosjeffries Exp $
- *
- * DEBUG: section 14    IP Storage and Handling
- * AUTHOR: Amos Jeffries
- *
- * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from the
- *  Internet community.  Development is led by Duane Wessels of the
- *  National Laboratory for Applied Network Research and funded by the
- *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
- *
- *  This IPAddress code is copyright (C) 2007 by Treehouse Networks Ltd
- *  of New Zealand. It is published and Lisenced as an extension of
- *  squid under the same conditions as the main squid application.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- */
-#ifndef _INC_IPADDRESS_H
-#define _INC_IPADDRESS_H
-
-#include "getaddrinfo.h"
-#include "getnameinfo.h"
-#include "inet_ntop.h"
-#include "inet_pton.h"
-
-
-#if HAVE_SYS_SOCKET_H
-#include <sys/socket.h>
-#endif
-#if HAVE_NETINET_IN_H
-#include <netinet/in.h>
-#endif
-#ifdef _SQUID_MSWIN_
-#include <ws2tcpip.h>
-#endif
-#if HAVE_NETDB_H && !defined(_SQUID_NETDB_H_)   /* protect NEXTSTEP */
-#define _SQUID_NETDB_H_
-#ifdef _SQUID_NEXT_
-#include <netinet/in_systm.h>
-#endif
-#include <netdb.h>
-#endif
-
-#include <iosfwd>
-#include <ostream>
-
-
-/* FreeBSD hack:
- *   This OS has at least one version that defines these as private
- *   kernel macros commented as being 'non-standard'.
- *   We need to use them, much nicer than the OS-provided __u*_*[]
- * UPDATE: OpenBSD 4.3 has the same.
- */
-#if USE_IPV6 && ( defined(_SQUID_FREEBSD_) || defined(_SQUID_OPENBSD_) )
-//#define s6_addr8  __u6_addr.__u6_addr8
-//#define s6_addr16 __u6_addr.__u6_addr16
-#define s6_addr32 __u6_addr.__u6_addr32
-#endif
-
-/* OpenBSD also hide v6only socket option we need for comm layer. :-( */
-#if !defined(IPV6_V6ONLY) && defined(_SQUID_OPENBSD_)
-#define IPV6_V6ONLY		27 // from OpenBSD 4.3 headers. (NP: does not match non-BSD OS values)
-#endif
-
-/* Bug 2500: Solaris 10/11 require s6_addr* defines. */
-#if USE_IPV6 && defined(_SQUID_SOLARIS_)
-//#define s6_addr8   _S6_un._S6_u8
-//#define s6_addr16  _S6_un._S6_u16
-#define s6_addr32  _S6_un._S6_u32
-#endif
-
-/// Length of buffer that needs to be allocated to old a null-terminated IP-string
-// Yuck. But there are still structures that need it to be an 'integer constant'.
-#define MAX_IPSTRLEN  75
-
-/**
- * Holds and manipulates IPv4, IPv6, and Socket Addresses.
- */
-class IPAddress
-{
-
-public:
-    /** @name Constructors and Destructor */
-    /*@{*/
-    IPAddress();
-    IPAddress(const IPAddress &);
-
-    /**
-     * This constructor takes its own copy of the object pointed to for memory-safe usage later.
-     * The caller must itself perform and ptr memory-management needed.
-     *
-     \deprecated Use of pointers can be nasty. Consider this a last-resort.
-     *           Prefer the by-reference (&) version instead.
-     */
-    IPAddress(IPAddress *);
-
-    IPAddress(const struct in_addr &);
-
-    IPAddress(const struct sockaddr_in &);
-#if USE_IPV6
-
-    IPAddress(const struct in6_addr &);
-
-    IPAddress(const struct sockaddr_in6 &);
-#endif
-
-    IPAddress(const struct hostent &);
-    IPAddress(const struct addrinfo &);
-    IPAddress(const char*);
-    /// Default destructor.
-    ~IPAddress();
-    /*@}*/
-
-    /** @name Assignment Operators */
-    /*@{*/
-    IPAddress& operator =(const IPAddress &s);
-    IPAddress& operator =(IPAddress *s);
-    IPAddress& operator =(struct sockaddr_in const &s);
-    IPAddress& operator =(struct sockaddr_storage const &s);
-    IPAddress& operator =(struct in_addr const &s);
-#if USE_IPV6
-    IPAddress& operator =(struct in6_addr const &s);
-    IPAddress& operator =(struct sockaddr_in6 const &s);
-#endif
-    bool operator =(const struct hostent &s);
-    bool operator =(const struct addrinfo &s);
-    bool operator =(const char *s);
-    /*@}*/
-
-    /** @name Boolean Operators */
-    /*@{*/
-    bool operator ==(IPAddress const &s) const;
-    bool operator !=(IPAddress const &s) const;
-    bool operator >=(IPAddress const &rhs) const;
-    bool operator <=(IPAddress const &rhs) const;
-    bool operator >(IPAddress const &rhs) const;
-    bool operator <(IPAddress const &rhs) const;
-
-public:
-    /* methods */
-
-    /** Test whether content can be used as an IPv4 address
-     \retval true  if content was received as an IPv4 address
-     \retval true  if content was received as an IPv4-Mapped address
-     \retval false if content was received as a non-mapped IPv6 native address.
-     */
-    bool IsIPv4() const;
-
-    /** Test whether content can be used as an IPv6 address.
-     \retval true  if --enable-ipv6 has been compiled.
-     \retval false if --disable-ipv6 has been compiled.
-     \retval false if --with-ipv6-split-stack has been compiled AND content is IPv4-mapped.
-     */
-    bool IsIPv6() const;
-
-    /** Test whether content can be used as a Socket address.
-     \retval true  if address AND port are both set
-     \retval true  if content was received as a Socket address with port
-     \retval false if port in unset (zero)
-     */
-    bool IsSockAddr() const;
-
-    /** Content-neutral test for whether the specific IP case ANY_ADDR is stored.
-     *  This is the default content of a new undefined IPAddress object.
-     \retval true IPv4 0.0.0.0
-     \retval true IPv6 ::
-     \retval false anything else.
-     */
-    bool IsAnyAddr() const;
-
-    /** Content-neutral test for whether the specific IP case NO_ADDR is stored.
-     \retval true IPv4 255.255.255.255
-     \retval true IPv6 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
-     \retval false anything else.
-     */
-    bool IsNoAddr() const;
-
-    /** Content-neutral test for whether the specific IP case LOCALHOST is stored.
-     *  This is the default content of a new undefined IPAddress object.
-     \retval true IPv4 127.0.0.1
-     \retval true IPv6 ::1
-     \retval false anything else.
-     */
-    bool IsLocalhost() const;
-
-    /*@}*/
-
-    /** Retrieve the Port if stored.
-     \retval 0 Port is unset or an error occured.
-     \retval n Port associated with this address in host native -endian.
-     */
-    u_short GetPort() const;
-
-    /** Set the Port value for an address.
-     *  Replaces any previously existing Port value.
-     \param port Port being assigned in host native -endian.
-     \retval 0 Port is unset or an error occured.
-     \retval n Port associated with this address in host native -endian.
-     */
-    u_short SetPort(u_short port);
-
-    /// Set object to contain the specific IP case ANY_ADDR (format-neutral).
-    /// see IsAnyAddr() for more detail.
-    void SetAnyAddr();
-
-    /// Set object to contain the specific IP case NO_ADDR (format-neutral).
-    /// see \link IsNoAddr() for more detail.
-    void SetNoAddr();
-
-    /// Set object to contain the specific IP case LOCALHOST (format-neutral).
-    /// see \link IsLocalhost() for more detail.
-    void SetLocalhost();
-
-    /// Fast reset of the stored content to what would be after default constructor.
-    void SetEmpty();
-
-    /** Require an IPv4-only address for this usage.
-     *  Converts the object to prefer only IPv4 output.
-     \retval true	Content can be IPv4
-     \retval false	Content CANNOT be IPv4
-     */
-    bool SetIPv4();
-
-    /**
-     *  Valid results IF and only IF the stored IP address is actually a network bitmask
-     \retval N number of bits which are set in the bitmask stored.
-     */
-    int GetCIDR() const;
-
-    /** Apply a mask to the stored address.
-     \param mask Netmask format to be bit-mask-AND'd over the stored address.
-     */
-    const int ApplyMask(const IPAddress &mask);
-
-    /** Apply a mask to the stored address.
-     *  CIDR will be converted appropriate to map the stored content.
-     \param cidr   CIDR Mask being applied. As an integer in host format.
-     \param mtype  Type of CIDR mask being applied (AF_INET or AF_INET6)
-     */
-    bool ApplyMask(const unsigned int cidr, int mtype = AF_UNSPEC);
-
-
-    /** Return the ASCII equivalent of the address
-     *  Semantically equivalent to the IPv4 inet_ntoa()
-     *  eg. 127.0.0.1 (IPv4) or ::1 (IPv6)
-     *  But for memory safety it requires a buffer as input
-     *  instead of producing one magically.
-     *  If buffer is not large enough the data is truncated silently.
-     \param buf Allocated buffer to write address to
-     \param len byte length of buffer available for writing.
-     \param force (optional) require the IPA in a specific format.
-     \return pointer to buffer received.
-     */
-    char* NtoA(char *buf, unsigned int len, int force = AF_UNSPEC) const;
-
-    /** Return the ASCII equivalent of the address:port combination
-     *  Provides a URL formatted version of the content.
-     *  If buffer is not large enough the data is truncated silently.
-     *  eg. 127.0.0.1:80 (IPv4) or [::1]:80 (IPv6)
-     \param buf Allocated buffer to write address:port to
-     \param len byte length of buffer available for writing.
-     \return pointer to buffer received.
-     */
-    char* ToURL(char *buf, unsigned int len) const;
-
-    /** Return a properly hostname formatted copy of the address
-     *  Provides a URL formatted version of the content.
-     *  If buffer is not large enough the data is truncated silently.
-     *  eg. 127.0.0.1 (IPv4) or [::1] (IPv6)
-     \param buf Allocated buffer to write address to
-     \param len byte length of buffer available for writing.
-     \return pointer to buffer received.
-     */
-    unsigned int ToHostname(char *buf, const unsigned int len) const;
-
-    /**
-     *  Convert the content into a Reverse-DNS string.
-     *  The buffer sent MUST be allocated large enough to hold the resulting string.
-     *  Name truncation will occur if buf does not have enough space.
-     *  The constant MAX_IPSTRLEN is defined to provide for sizing arrays correctly.
-     \param show_format may be one of: AF_INET, AF_INET6 for the format of rDNS string wanted.
-     \param buf buffer to receive the text string output.
-     */
-    bool GetReverseString(char buf[], int show_format = AF_UNSPEC) const;
-
-    /** Test how two IP relate to each other.
-     \retval  0  IP are equal
-     \retval  1  IP rhs is greater (numerically) than that stored.
-     \retval -1  IP rhs is less (numerically) than that stored.
-     */
-    int matchIPAddr(const IPAddress &rhs) const;
-
-    /**
-     *  Get RFC 3493 addrinfo structure from the IPAddress data
-     *  for protocol-neutral socket operations.
-     *  Should be passed a NULL pointer of type struct addrinfo* it will
-     *  allocate memory for the structures involved. (see FreeAddrInfo to clear).
-     *  Defaults to a TCP streaming socket, if other values (such as UDP) are needed
-     *  the caller MUST override these default settings.
-     *  Some situations may also require an actual call to the system getaddrinfo()
-     *  to pull relevant OS details for the socket.
-     \par
-     *  IPAddress allocated objects MUST be destructed by IPAddress::FreeAddrInfo
-     *  System getaddrinfo() allocated objects MUST be freed with system freeaddrinfo()
-     \par
-     *  Some OS require that IPv4 addresses are pre-mapped by the client.
-     *  The configure option --with-ipv4-mapping=yes will enable this.
-     *
-     \param ai structure to be filled out.
-     \param force a specific sockaddr type is needed. default: don't care.
-     */
-#if IPV6_SPECIAL_V4MAPPING
-    void GetAddrInfo(struct addrinfo *&ai, int force = AF_INET6) const;
-#else
-    void GetAddrInfo(struct addrinfo *&ai, int force = AF_UNSPEC) const;
-#endif
-
-    /**
-     *  Equivalent to the sysem call freeaddrinfo() but for IPAddress allocated data
-     */
-    void FreeAddrInfo(struct addrinfo *&ai) const;
-
-    /**
-     *  Initializes an empty addrinfo properly for use.
-     *  It is intended for use in cases such as getsockopt() where the addrinfo is
-     *  about to be changed and the stored details may not match the new ones coming.
-     \param ai addrinfo struct to be initialized as AF_UNSPEC with large address buffer
-     */
-    void InitAddrInfo(struct addrinfo *&ai) const;
-
-    /**
-     *  Lookup a Host by Name. Equivalent to system call gethostbyname(char*)
-     \param s The textual FQDN of the host being located.
-     \retval true	lookup was successful and an IPA was located.
-     \retval false	lookup failed or FQDN has no IP associated.
-     */
-    bool GetHostByName(const char *s);
-
-public:
-    /* FIXME: When C => C++ conversion is done will be fully private.
-     * Legacy Transition Methods.
-     * These are here solely to simplify the transition
-     * when moving from converted code to unconverted
-     * these functions can be used to convert this object
-     * and pull out the data needed by the unconverted code
-     * they are intentionaly hard to use, use GetAddrInfo() instead.
-     * these functiosn WILL NOT be in the final public API after transition.
-     */
-
-    void GetSockAddr(struct sockaddr_storage &addr, const int family) const;
-
-    /// \deprecated Deprecated for public use. Use IPAddress::GetAddrInfo()
-    void GetSockAddr(struct sockaddr_in &) const;
-
-    /// \deprecated Deprecated for public use. Use IPAddress::GetAddrInfo()
-    bool GetInAddr(struct in_addr &) const; /* false if could not convert IPv6 down to IPv4 */
-#if USE_IPV6
-
-    /// \deprecated Deprecated for public use. Use IPAddress::GetAddrInfo()
-    void GetSockAddr(struct sockaddr_in6 &) const;
-
-    /// \deprecated Deprecated for public use. Use IPAddress::GetAddrInfo()
-    void GetInAddr(struct in6_addr &) const;
-#endif
-
-private:
-    /* Conversion for dual-type internals */
-
-    bool GetReverseString4(char buf[], const struct in_addr &) const;
-
-    void check4Mapped();
-
-#if USE_IPV6
-
-    bool GetReverseString6(char buf[], const struct in6_addr &) const;
-
-    void Map4to6(const struct in_addr &src, struct in6_addr &dest) const;
-
-    void Map6to4(const struct in6_addr &src, struct in_addr &dest) const;
-#endif
-
-    // Worker behind GetHostName and char* converters
-    bool LookupHostIP(const char *s, bool nodns);
-
-    /* variables */
-#if USE_IPV6
-
-    struct sockaddr_in6 m_SocketAddr;
-#else
-
-    struct sockaddr_in m_SocketAddr;
-#endif
-};
-
-
-inline std::ostream &
-operator << (std::ostream &os, const IPAddress &ipa)
-{
-    char buf[MAX_IPSTRLEN];
-    os << ipa.ToURL(buf,MAX_IPSTRLEN);
-    return os;
-}
-
-// WAS _sockaddr_in_list in an earlier incarnation
-class IPAddress_list
-{
-public:
-    IPAddress_list() { next = NULL; };
-    ~IPAddress_list() { if (next) delete next; next = NULL; };
-
-    IPAddress s;
-    IPAddress_list *next;
-};
-
-
-#endif /* _INC_IPADDRESS_H */
diff -u -r -N squid-3.1.0.3/include/version.h squid-3.1.0.4/include/version.h
--- squid-3.1.0.3/include/version.h	2008-12-05 16:10:13.000000000 +1300
+++ squid-3.1.0.4/include/version.h	2009-01-23 18:38:15.000000000 +1300
@@ -9,7 +9,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1228446566
+#define SQUID_RELEASE_TIME 1232689045
 #endif
 
 #ifndef APP_SHORTNAME
diff -u -r -N squid-3.1.0.3/lib/IPAddress.cc squid-3.1.0.4/lib/IPAddress.cc
--- squid-3.1.0.3/lib/IPAddress.cc	2008-12-05 16:09:31.000000000 +1300
+++ squid-3.1.0.4/lib/IPAddress.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,1244 +0,0 @@
-/*
- * $Id: IPAddress.cc,v 1.4 2008/02/15 09:45:57 amosjeffries Exp $
- *
- * DEBUG: section 14   IP Storage and Handling
- * AUTHOR: Amos Jeffries
- *
- * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from the
- *  Internet community.  Development is led by Duane Wessels of the
- *  National Laboratory for Applied Network Research and funded by the
- *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  the Regents of the University of California.  Please see the
- *  COPYRIGHT file for full details.  Squid incorporates software
- *  developed and/or copyrighted by other sources.  Please see the
- *  CREDITS file for full details.
- *
- *  This IPAddress code is copyright (C) 2007 by Treehouse Networks Ltd
- *  of New Zealand. It is published and Lisenced as an extension of
- *  squid under the same conditions as the main squid application.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- */
-
-#include "config.h"
-#include "IPAddress.h"
-#include "util.h"
-
-
-#if HAVE_ASSERT_H
-#include <assert.h>
-#endif
-#if HAVE_STDLIB_H
-#include <stdlib.h>
-#endif
-#if HAVE_STRING_H
-#include <string.h>
-#endif
-#if HAVE_ARPA_INET_H
-#include <arpa/inet.h>  /* inet_ntoa() */
-#endif
-
-#ifdef INET6
-#error "INET6 defined but has been deprecated! Try running bootstrap and configure again."
-#endif
-
-/* We want to use the debug routines when running as module of squid. */
-/* otherwise fallback to printf if those are not available. */
-#ifndef SQUID_DEBUG
-#    define debugs(a,b,c)        //  drop.
-#else
-#warning "IPAddress built with Debugs!!"
-#    include "../src/Debug.h"
-#endif
-
-#if !USE_IPV6
-//  So there are some places where I will drop to using Macros too.
-//  At least I can restrict them to this file so they don't corrupt the app with C code.
-#  define sin6_addr	sin_addr
-#  define sin6_port	sin_port
-#  define sin6_family	sin_family
-#undef s6_addr
-#  define s6_addr	s_addr
-#endif
-
-static const unsigned int STRLEN_IP4A = 16;              // aaa.bbb.ccc.ddd\0
-static const unsigned int STRLEN_IP4R = 28;              // ddd.ccc.bbb.aaa.in-addr.arpa.\0
-static const unsigned int STRLEN_IP4S = 21;              // ddd.ccc.bbb.aaa:ppppp\0
-static const unsigned int MAX_IP4_STRLEN = STRLEN_IP4R;
-static const unsigned int STRLEN_IP6A = 42;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]/0
-static const unsigned int STRLEN_IP6R = 75;           // f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f ipv6.arpa./0
-static const unsigned int STRLEN_IP6S = 48;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]:00000/0
-static const unsigned int MAX_IP6_STRLEN = STRLEN_IP6R;
-
-
-/* Debugging only. Dump the address content when a fatal assert is encountered. */
-#if USE_IPV6
-#define IASSERT(a,b)  \
-	if(!(b)){	printf("assert \"%s\" at line %d\n", a, __LINE__); \
-		printf("IPAddress invalid? with IsIPv4()=%c, IsIPv6()=%c\n",(IsIPv4()?'T':'F'),(IsIPv6()?'T':'F')); \
-		printf("ADDRESS:"); \
-		for(unsigned int i = 0; i < sizeof(m_SocketAddr.sin6_addr); i++) { \
-			printf(" %x", m_SocketAddr.sin6_addr.s6_addr[i]); \
-		} printf("\n"); assert(b); \
-	}
-#else
-#define IASSERT(a,b)  \
-	if(!(b)){	printf("assert \"%s\" at line %d\n", a, __LINE__); \
-		printf("IPAddress invalid? with IsIPv4()=%c, IsIPv6()=%c\n",(IsIPv4()?'T':'F'),(IsIPv6()?'T':'F')); \
-		printf("ADDRESS: %x\n", (unsigned int)m_SocketAddr.sin_addr.s_addr); \
-		assert(b); \
-	}
-#endif
-
-IPAddress::IPAddress()
-{
-    SetEmpty();
-}
-
-IPAddress::~IPAddress()
-{
-    memset(this,0,sizeof(IPAddress));
-}
-
-int
-IPAddress::GetCIDR() const
-{
-    uint8_t shift,byte;
-    uint8_t bit,caught;
-    int len = 0;
-#if USE_IPV6
-    const uint8_t *ptr= m_SocketAddr.sin6_addr.s6_addr;
-#else
-    const uint8_t *ptr= (uint8_t *)&m_SocketAddr.sin_addr.s_addr;
-#endif
-
-    /* Let's scan all the bits from Most Significant to Least */
-    /* Until we find an "0" bit. Then, we return */
-    shift=0;
-
-#if USE_IPV6
-    /* return IPv4 CIDR for any Mapped address */
-    /* Thus only check the mapped bit */
-
-    if ( !IsIPv6() ) {
-        shift = 12;
-    }
-
-#endif
-
-    for (;shift<sizeof(m_SocketAddr.sin6_addr) ;shift++) {
-        byte= *(ptr+shift);
-
-        if (byte == 0xFF) {
-            len += 8;
-            continue ;  /* A short-cut */
-        }
-
-        for (caught = 0 , bit= 7 ; !caught && (bit <= 7); bit--) {
-            caught = ((byte & 0x80) == 0x00);  /* Found a '0' at 'bit' ? */
-
-            if (!caught)
-                len++;
-
-            byte <<= 1;
-        }
-
-        if (caught)
-            break; /* We have found the most significant "0" bit.  */
-    }
-
-    return len;
-}
-
-const int IPAddress::ApplyMask(IPAddress const &mask_addr)
-{
-    uint32_t *p1 = (uint32_t*)(&m_SocketAddr.sin6_addr);
-    uint32_t const *p2 = (uint32_t const *)(&mask_addr.m_SocketAddr.sin6_addr);
-    unsigned int blen = sizeof(m_SocketAddr.sin6_addr)/sizeof(uint32_t);
-    unsigned int changes = 0;
-
-    for (unsigned int i = 0; i < blen; i++) {
-        if ((p1[i] & p2[i]) != p1[i])
-            changes++;
-
-        p1[i] &= p2[i];
-    }
-
-    /* we have found a situation where mask forms or destroys a IPv4 map. */
-    check4Mapped();
-
-    return changes;
-}
-
-bool IPAddress::ApplyMask(const unsigned int cidr, int mtype)
-{
-    uint8_t clearbits = 0;
-    uint8_t* p = NULL;
-
-#if !USE_IPV6
-    IASSERT("mtype != AF_INET6", mtype != AF_INET6); /* using IPv6 in IPv4 is invalid. */
-
-    if (mtype == AF_UNSPEC)
-        mtype = AF_INET;
-
-#else
-    if (mtype == AF_UNSPEC)
-        mtype = AF_INET6;
-
-#endif
-
-    // validation and short-cuts.
-    if (cidr > 128)
-        return false;
-
-    if (cidr > 32 && mtype == AF_INET)
-        return false;
-
-    clearbits = (uint8_t)( (mtype==AF_INET6?128:32) -cidr);
-
-    // short-cut
-    if (clearbits == 0)
-        return true;
-
-#if USE_IPV6
-
-    p = (uint8_t*)(&m_SocketAddr.sin6_addr) + 15;
-
-#else
-
-    p = (uint8_t*)(&m_SocketAddr.sin_addr) + 3;
-
-#endif
-
-    for (; clearbits>0 && p >= (uint8_t*)&m_SocketAddr.sin6_addr ; p-- ) {
-        if (clearbits < 8) {
-            *p &= ((0xFF << clearbits) & 0xFF);
-            clearbits = 0;
-        } else {
-            *p &= 0x00;
-            clearbits -= 8;
-        }
-    }
-
-    return true;
-}
-
-bool IPAddress::IsSockAddr() const
-{
-    return (m_SocketAddr.sin6_port != 0);
-}
-
-bool IPAddress::IsIPv4() const
-{
-#if USE_IPV6
-
-    return IsAnyAddr() || IsNoAddr() ||
-#if IPV6_SPECIAL_LOCALHOST
-           IsLocalhost() ||
-#endif
-           ( m_SocketAddr.sin6_addr.s6_addr32[0] == htonl(0x00000000) &&
-             m_SocketAddr.sin6_addr.s6_addr32[1] == htonl(0x00000000) &&
-             m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0x0000FFFF)
-           );
-
-#else
-    return true; // enforce IPv4 in IPv4-only mode.
-#endif
-}
-
-bool IPAddress::IsIPv6() const
-{
-#if USE_IPV6
-
-    return IsAnyAddr() || IsNoAddr() ||
-#if IPV6_SPECIAL_LOCALHOST
-           IsLocalhost() ||
-#endif
-           !( m_SocketAddr.sin6_addr.s6_addr32[0] == htonl(0x00000000) &&
-              m_SocketAddr.sin6_addr.s6_addr32[1] == htonl(0x00000000) &&
-              m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0x0000FFFF)
-            );
-#else
-    return false; // enforce IPv4 in IPv4-only mode.
-#endif
-}
-
-bool IPAddress::IsAnyAddr() const
-{
-#if USE_IPV6
-    return     m_SocketAddr.sin6_addr.s6_addr32[0] == 0
-               && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
-               && m_SocketAddr.sin6_addr.s6_addr32[2] == 0
-               && m_SocketAddr.sin6_addr.s6_addr32[3] == 0
-               ;
-#else
-
-    return (INADDR_ANY == m_SocketAddr.sin_addr.s_addr);
-#endif
-}
-
-/// NOTE: Does NOT clear the Port stored. Ony the Address and Type.
-void IPAddress::SetAnyAddr()
-{
-#if USE_IPV6
-    memset(&m_SocketAddr.sin6_addr, 0, sizeof(struct in6_addr) );
-#else
-    memset(&m_SocketAddr.sin_addr, 0, sizeof(struct in_addr) );
-#endif
-}
-
-/// NOTE: completely empties the IPAddress structure. Address, Port, Type, everything.
-void IPAddress::SetEmpty()
-{
-    memset(&m_SocketAddr, 0, sizeof(m_SocketAddr) );
-}
-
-bool IPAddress::SetIPv4()
-{
-#if USE_IPV6
-
-#if !IPV6_SPECIAL_LOCALHOST
-    if ( IsLocalhost() ) {
-        m_SocketAddr.sin6_addr.s6_addr32[2] = htonl(0xffff);
-        m_SocketAddr.sin6_addr.s6_addr32[3] = htonl(0x7F000001);
-        return true;
-    }
-#endif
-
-    if ( IsAnyAddr() ) {
-        m_SocketAddr.sin6_addr.s6_addr32[2] = htonl(0xffff);
-        return true;
-    }
-
-    if ( IsIPv4())
-        return true;
-
-    // anything non-IPv4 and non-convertable is BAD.
-    return false;
-#else
-    return true; // Always IPv4 in IPv4-only builds.
-#endif
-}
-
-bool IPAddress::IsLocalhost() const
-{
-#if USE_IPV6
-    return    (   m_SocketAddr.sin6_addr.s6_addr32[0] == 0
-                  && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
-                  && m_SocketAddr.sin6_addr.s6_addr32[2] == 0
-                  && m_SocketAddr.sin6_addr.s6_addr32[3] == htonl(0x1)
-              )
-#if !IPV6_SPECIAL_LOCALHOST
-              ||
-              (   m_SocketAddr.sin6_addr.s6_addr32[0] == 0
-                  && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
-                  && m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0xffff)
-                  && m_SocketAddr.sin6_addr.s6_addr32[3] == htonl(0x7F000001)
-              )
-#endif
-              ;
-#else
-
-    return (htonl(0x7F000001) == m_SocketAddr.sin_addr.s_addr);
-#endif
-}
-
-void IPAddress::SetLocalhost()
-{
-#if USE_IPV6
-    SetAnyAddr();
-    m_SocketAddr.sin6_addr.s6_addr[15] = 0x1;
-    m_SocketAddr.sin6_family = AF_INET6;
-
-#else
-    m_SocketAddr.sin_addr.s_addr = htonl(0x7F000001);
-    m_SocketAddr.sin_family = AF_INET;
-#endif
-}
-
-bool IPAddress::IsNoAddr() const
-{
-    // IFF the address == 0xff..ff (all ones)
-#if USE_IPV6
-    return     m_SocketAddr.sin6_addr.s6_addr32[0] == 0xFFFFFFFF
-               && m_SocketAddr.sin6_addr.s6_addr32[1] == 0xFFFFFFFF
-               && m_SocketAddr.sin6_addr.s6_addr32[2] == 0xFFFFFFFF
-               && m_SocketAddr.sin6_addr.s6_addr32[3] == 0xFFFFFFFF
-               ;
-#else
-
-    return 0xFFFFFFFF == m_SocketAddr.sin_addr.s_addr;
-#endif
-}
-
-void IPAddress::SetNoAddr()
-{
-#if USE_IPV6
-    memset(&m_SocketAddr.sin6_addr, 0xFFFFFFFF, sizeof(struct in6_addr) );
-    m_SocketAddr.sin6_family = AF_INET6;
-#else
-    memset(&m_SocketAddr.sin_addr, 0xFFFFFFFF, sizeof(struct in_addr) );
-    m_SocketAddr.sin_family = AF_INET;
-#endif
-}
-
-#if USE_IPV6
-
-bool IPAddress::GetReverseString6(char buf[MAX_IPSTRLEN], const struct in6_addr &dat) const
-{
-    char *p = buf;
-    unsigned char const *r = dat.s6_addr;
-
-    /* RFC1886 says: */
-    /*     4321:0:1:2:3:4:567:89ab */
-    /*     must be sent */
-    /*     b.a.9.8.7.6.5.0.4.0.0.0.3.0.0.0.2.0.0.0.1.0.0.0.0.0.0.0.1.2.3.4.ip6.int. */
-
-    /* Work from the binary field. Anything else may have representation changes. */
-    /* The sin6_port and sin6_addr members shall be in network byte order. */
-
-    /* Compile Err: 'Too many arguments for format. */
-
-    for (int i = 15; i >= 0; i--, p+=4) {
-        snprintf(p, 5, "%x.%x.", ((r[i])&0xf), (((r[i])>>4)&0xf) );
-    }
-
-    /* RFC3152 says: */
-    /*     ip6.int is now deprecated TLD, use ip6.arpa instead. */
-    snprintf(p,10,"ip6.arpa.");
-
-    return true;
-}
-
-#endif
-
-bool IPAddress::GetReverseString4(char buf[MAX_IPSTRLEN], const struct in_addr &dat) const
-{
-    unsigned int i = (unsigned int) ntohl(dat.s_addr);
-    snprintf(buf, 32, "%u.%u.%u.%u.in-addr.arpa.",
-             i & 255,
-             (i >> 8) & 255,
-             (i >> 16) & 255,
-             (i >> 24) & 255);
-    return true;
-}
-
-bool IPAddress::GetReverseString(char buf[MAX_IPSTRLEN], int show_type) const
-{
-
-    if (show_type == AF_UNSPEC) {
-#if USE_IPV6
-        show_type = IsIPv6() ? AF_INET6 : AF_INET ;
-#else
-        show_type = AF_INET;
-#endif
-    }
-
-    if (show_type == AF_INET && IsIPv4()) {
-#if USE_IPV6
-
-        return GetReverseString4(buf, *(struct in_addr*)&m_SocketAddr.sin6_addr.s6_addr32[3] );
-    } else if ( show_type == AF_INET6 && IsIPv6() ) {
-        return GetReverseString6(buf, m_SocketAddr.sin6_addr);
-#else
-        return GetReverseString4(buf, m_SocketAddr.sin_addr);
-#endif
-    }
-
-    debugs(14,0, "Unable to convert '" << NtoA(buf,MAX_IPSTRLEN) << "' to the rDNS type requested.");
-
-    buf[0] = '\0';
-
-    return false;
-}
-
-IPAddress& IPAddress::operator =(const IPAddress &s)
-{
-    memcpy(this, &s, sizeof(IPAddress));
-    return *this;
-};
-
-IPAddress::IPAddress(const char*s)
-{
-    SetEmpty();
-    operator=(s);
-}
-
-bool IPAddress::operator =(const char* s)
-{
-    return LookupHostIP(s, true);
-}
-
-bool IPAddress::GetHostByName(const char* s)
-{
-    return LookupHostIP(s, false);
-}
-
-bool IPAddress::LookupHostIP(const char *s, bool nodns)
-{
-    int err = 0;
-
-    short port = 0;
-
-    struct addrinfo *res = NULL;
-
-    struct addrinfo want;
-
-    memset(&want, 0, sizeof(struct addrinfo));
-    if (nodns) {
-        want.ai_flags = AI_NUMERICHOST; // prevent actual DNS lookups!
-    }
-#if !USE_IPV6
-    want.ai_family = AF_INET;
-#endif
-
-    if ( (err = xgetaddrinfo(s, NULL, &want, &res)) != 0) {
-        debugs(14,1, HERE << "Given Bad IP '" << s << "': " << xgai_strerror(err) );
-        /* free the memory xgetaddrinfo() dynamically allocated. */
-        if (res) {
-            xfreeaddrinfo(res);
-            res = NULL;
-        }
-        return false;
-    }
-
-    /*
-     *  NP: =(sockaddr_*) may alter the port. we don't want that.
-     *      all we have been given as input was an IPA.
-     */
-    port = GetPort();
-    operator=(*res);
-    SetPort(port);
-
-    /* free the memory xgetaddrinfo() dynamically allocated. */
-    xfreeaddrinfo(res);
-
-    res = NULL;
-
-    return true;
-}
-
-IPAddress::IPAddress(struct sockaddr_in const &s)
-{
-    SetEmpty();
-    operator=(s);
-};
-
-IPAddress& IPAddress::operator =(struct sockaddr_in const &s)
-{
-#if USE_IPV6
-    Map4to6((const in_addr)s.sin_addr, m_SocketAddr.sin6_addr);
-    m_SocketAddr.sin6_port = s.sin_port;
-    m_SocketAddr.sin6_family = AF_INET6;
-#else
-
-    memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in));
-#endif
-
-    /* maintain stored family values properly */
-    check4Mapped();
-
-    return *this;
-};
-
-IPAddress& IPAddress::operator =(const struct sockaddr_storage &s)
-{
-#if USE_IPV6
-    /* some AF_* magic to tell socket types apart and what we need to do */
-    if (s.ss_family == AF_INET6) {
-        memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in));
-    } else { // convert it to our storage mapping.
-        struct sockaddr_in *sin = (struct sockaddr_in*)&s;
-        m_SocketAddr.sin6_port = sin->sin_port;
-        Map4to6( sin->sin_addr, m_SocketAddr.sin6_addr);
-    }
-#else
-    memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in));
-#endif
-    return *this;
-};
-
-void IPAddress::check4Mapped()
-{
-    // obsolete.
-    // TODO use this NOW to set the sin6_family properly on exporting. not on import.
-}
-
-#if USE_IPV6
-IPAddress::IPAddress(struct sockaddr_in6 const &s)
-{
-    SetEmpty();
-    operator=(s);
-};
-
-IPAddress& IPAddress::operator =(struct sockaddr_in6 const &s)
-{
-    memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in6));
-
-    /* maintain address family properly */
-    check4Mapped();
-    return *this;
-};
-
-#endif
-
-IPAddress::IPAddress(struct in_addr const &s)
-{
-    SetEmpty();
-    operator=(s);
-};
-
-IPAddress& IPAddress::operator =(struct in_addr const &s)
-{
-#if USE_IPV6
-    Map4to6((const in_addr)s, m_SocketAddr.sin6_addr);
-    m_SocketAddr.sin6_family = AF_INET6;
-
-#else
-
-    memcpy(&m_SocketAddr.sin_addr, &s, sizeof(struct in_addr));
-
-#endif
-
-    /* maintain stored family type properly */
-    check4Mapped();
-
-    return *this;
-};
-
-#if USE_IPV6
-
-IPAddress::IPAddress(struct in6_addr const &s)
-{
-    SetEmpty();
-    operator=(s);
-};
-
-IPAddress& IPAddress::operator =(struct in6_addr const &s)
-{
-
-    memcpy(&m_SocketAddr.sin6_addr, &s, sizeof(struct in6_addr));
-    m_SocketAddr.sin6_family = AF_INET6;
-
-    /* maintain address family type properly */
-    check4Mapped();
-
-    return *this;
-};
-
-#endif
-
-IPAddress::IPAddress(const IPAddress &s)
-{
-    SetEmpty();
-    operator=(s);
-}
-
-IPAddress::IPAddress(IPAddress *s)
-{
-    SetEmpty();
-    operator=(s);
-}
-
-IPAddress& IPAddress::operator =(IPAddress *s)
-{
-    IPAddress *tmp = NULL;
-    if (!s) return *this;
-    tmp = dynamic_cast<IPAddress*>(s);
-    if (!tmp) return *this;
-    return operator=(*tmp);
-}
-
-IPAddress::IPAddress(const struct hostent &s)
-{
-    SetEmpty();
-    operator=(s);
-}
-
-bool IPAddress::operator =(const struct hostent &s)
-{
-
-    struct in_addr* ipv4 = NULL;
-
-    struct in6_addr* ipv6 = NULL;
-
-    //struct hostent {
-    //        char    *h_name;        /* official name of host */
-    //        char    **h_aliases;    /* alias list */
-    //        int     h_addrtype;     /* host address type */
-    //        int     h_length;       /* length of address */
-    //        char    **h_addr_list;  /* list of addresses */
-    //}
-
-    switch (s.h_addrtype) {
-
-    case AF_INET:
-        ipv4 = (in_addr*)(s.h_addr_list[0]);
-        /* this */
-        operator=(*ipv4);
-        break;
-
-    case AF_INET6:
-        ipv6 = (in6_addr*)(s.h_addr_list[0]);
-#if USE_IPV6
-        /* this */
-        operator=(*ipv6);
-#else
-
-        debugs(14,1, HERE << "Discarded IPv6 Address. Protocol disabled.");
-
-        // FIXME see if there is another address in the list that might be usable ??
-        return false;
-#endif
-
-        break;
-
-    default:
-        IASSERT("false",false);
-        return false;
-    }
-
-    return true;
-}
-
-IPAddress::IPAddress(const struct addrinfo &s)
-{
-    SetEmpty();
-    operator=(s);
-}
-
-bool IPAddress::operator =(const struct addrinfo &s)
-{
-
-    struct sockaddr_in* ipv4 = NULL;
-
-    struct sockaddr_in6* ipv6 = NULL;
-
-    //struct addrinfo {
-    //             int ai_flags;           /* input flags */
-    //             int ai_family;          /* protocol family for socket */
-    //             int ai_socktype;        /* socket type */
-    //             int ai_protocol;        /* protocol for socket */
-    //             socklen_t ai_addrlen;   /* length of socket-address */
-    //             struct sockaddr *ai_addr; /* socket-address for socket */
-    //             char *ai_canonname;     /* canonical name for service location */
-    //             struct addrinfo *ai_next; /* pointer to next in list */
-    //}
-
-    switch (s.ai_family) {
-
-    case AF_INET:
-        ipv4 = (sockaddr_in*)(s.ai_addr);
-        /* this */
-        assert(ipv4);
-        operator=(*ipv4);
-        break;
-
-    case AF_INET6:
-        ipv6 = (sockaddr_in6*)(s.ai_addr);
-#if USE_IPV6
-        /* this */
-        assert(ipv6);
-        operator=(*ipv6);
-#else
-
-        debugs(14,1, HERE << "Discarded IPv6 Address. Protocol disabled.");
-
-        // see if there is another address in the list that might be usable ??
-
-        if (s.ai_next)
-            return operator=(*s.ai_next);
-        else
-            return false;
-
-#endif
-        break;
-
-    case AF_UNSPEC:
-    default:
-        // attempt to handle partially initialised addrinfo.
-        // such as those where data only comes from getsockopt()
-        if (s.ai_addr != NULL) {
-#if USE_IPV6
-            if (s.ai_addrlen == sizeof(struct sockaddr_in6)) {
-                operator=(*((struct sockaddr_in6*)s.ai_addr));
-                return true;
-            } else
-#endif
-                if (s.ai_addrlen == sizeof(struct sockaddr_in)) {
-                    operator=(*((struct sockaddr_in*)s.ai_addr));
-                    return true;
-                }
-        }
-        return false;
-    }
-
-    return true;
-}
-
-void IPAddress::GetAddrInfo(struct addrinfo *&dst, int force) const
-{
-    if (dst == NULL) {
-        dst = new addrinfo;
-    }
-
-    memset(dst, 0, sizeof(struct addrinfo));
-
-    // set defaults
-    dst->ai_flags = AI_NUMERICHOST;
-
-    if (dst->ai_socktype == 0)
-        dst->ai_socktype = SOCK_STREAM;
-
-    if (dst->ai_socktype == SOCK_STREAM // implies TCP
-            && dst->ai_protocol == 0)
-        dst->ai_protocol = IPPROTO_TCP;
-
-    if (dst->ai_socktype == SOCK_DGRAM // implies UDP
-            && dst->ai_protocol == 0)
-        dst->ai_protocol = IPPROTO_UDP;
-
-#if USE_IPV6
-    if ( force == AF_INET6 || (force == AF_UNSPEC && IsIPv6()) ) {
-        dst->ai_addr = (struct sockaddr*)new sockaddr_in6;
-
-        memset(dst->ai_addr,0,sizeof(struct sockaddr_in6));
-
-        GetSockAddr(*((struct sockaddr_in6*)dst->ai_addr));
-
-        dst->ai_addrlen = sizeof(struct sockaddr_in6);
-
-        dst->ai_family = ((struct sockaddr_in6*)dst->ai_addr)->sin6_family;
-
-#if 0
-        /**
-         * Enable only if you must and please report to squid-dev if you find a need for this.
-         *
-         * Vista may need this to cope with dual-stack (unsetting IP6_V6ONLY).
-         *         http://msdn.microsoft.com/en-us/library/ms738574(VS.85).aspx
-         * Linux appears to only do some things when its present.
-         *         (93) Bad Protocol
-         * FreeBSD dies horribly when using dual-stack with it set.
-         *         (43) Protocol not supported
-         */
-        dst->ai_protocol = IPPROTO_IPV6;
-#endif
-
-    } else
-#endif
-        if ( force == AF_INET || (force == AF_UNSPEC && IsIPv4()) ) {
-
-            dst->ai_addr = (struct sockaddr*)new sockaddr_in;
-
-            memset(dst->ai_addr,0,sizeof(struct sockaddr_in));
-
-            GetSockAddr(*((struct sockaddr_in*)dst->ai_addr));
-
-            dst->ai_addrlen = sizeof(struct sockaddr_in);
-
-            dst->ai_family = ((struct sockaddr_in*)dst->ai_addr)->sin_family;
-        } else {
-            IASSERT("false",false);
-        }
-}
-
-void IPAddress::InitAddrInfo(struct addrinfo *&ai) const
-{
-    if (ai == NULL) {
-        ai = new addrinfo;
-        memset(ai,0,sizeof(struct addrinfo));
-    }
-
-    // remove any existing data.
-    if (ai->ai_addr) delete ai->ai_addr;
-
-    ai->ai_addr = (struct sockaddr*)new sockaddr_in6;
-    memset(ai->ai_addr, 0, sizeof(struct sockaddr_in6));
-
-    ai->ai_addrlen = sizeof(struct sockaddr_in6);
-
-}
-
-void IPAddress::FreeAddrInfo(struct addrinfo *&ai) const
-{
-    if (ai == NULL) return;
-
-    if (ai->ai_addr) delete ai->ai_addr;
-
-    ai->ai_addr = NULL;
-
-    ai->ai_addrlen = 0;
-
-    // NP: name fields are NOT allocated at present.
-    delete ai;
-
-    ai = NULL;
-}
-
-int IPAddress::matchIPAddr(const IPAddress &rhs) const
-{
-#if USE_IPV6
-    uint8_t *l = (uint8_t*)m_SocketAddr.sin6_addr.s6_addr;
-    uint8_t *r = (uint8_t*)rhs.m_SocketAddr.sin6_addr.s6_addr;
-#else
-    uint8_t *l = (uint8_t*)&m_SocketAddr.sin_addr.s_addr;
-    uint8_t *r = (uint8_t*)&rhs.m_SocketAddr.sin_addr.s_addr;
-#endif
-
-    // loop a byte-wise compare
-    // NP: match MUST be R-to-L : L-to-R produces inconsistent gt/lt results at varying CIDR
-    //     expected difference on CIDR is gt/eq or lt/eq ONLY.
-    for (unsigned int i = 0 ; i < sizeof(m_SocketAddr.sin6_addr) ; i++) {
-
-        if (l[i] < r[i])
-            return -1;
-
-        if (l[i] > r[i])
-            return 1;
-    }
-
-    return 0;
-}
-
-bool IPAddress::operator ==(const IPAddress &s) const
-{
-    return (0 == matchIPAddr(s));
-}
-
-bool IPAddress::operator !=(const IPAddress &s) const
-{
-    return ! ( operator==(s) );
-}
-
-bool IPAddress::operator <=(const IPAddress &rhs) const
-{
-    if (IsAnyAddr() && !rhs.IsAnyAddr())
-        return true;
-
-    return (matchIPAddr(rhs) <= 0);
-}
-
-bool IPAddress::operator >=(const IPAddress &rhs) const
-{
-    if (IsNoAddr() && !rhs.IsNoAddr())
-        return true;
-
-    return ( matchIPAddr(rhs) >= 0);
-}
-
-bool IPAddress::operator >(const IPAddress &rhs) const
-{
-    if (IsNoAddr() && !rhs.IsNoAddr())
-        return true;
-
-    return ( matchIPAddr(rhs) > 0);
-}
-
-bool IPAddress::operator <(const IPAddress &rhs) const
-{
-    if (IsNoAddr() && !rhs.IsNoAddr())
-        return true;
-
-    return ( matchIPAddr(rhs) < 0);
-}
-
-u_short IPAddress::GetPort() const
-{
-    return ntohs( m_SocketAddr.sin6_port );
-}
-
-u_short IPAddress::SetPort(u_short prt)
-{
-    m_SocketAddr.sin6_port = htons(prt);
-
-    return prt;
-}
-
-/**
- * NtoA Given a buffer writes a readable ascii version of the IPA and/or port stored
- *
- * Buffer must be of a size large enough to hold the converted address.
- * This size is provided in the form of a global defined variable MAX_IPSTRLEN
- * Should a buffer shorter be provided the string result will be truncated
- * at the length of the available buffer.
- *
- * A copy of the buffer is also returned for simple immediate display.
- */
-char* IPAddress::NtoA(char* buf, const unsigned int blen, int force) const
-{
-    // Ensure we have a buffer.
-    if (buf == NULL) {
-        return NULL;
-    }
-
-    /* some external code may have blindly memset a parent. */
-    /* thats okay, our default is known */
-    if ( IsAnyAddr() ) {
-#if USE_IPV6
-        memcpy(buf,"::\0", xmin(3,blen));
-#else
-        memcpy(buf,"0.0.0.0\0", xmin(8,blen));
-#endif
-        return buf;
-    }
-
-    memset(buf,0,blen); // clear buffer before write
-
-    /* Pure-IPv6 CANNOT be displayed in IPv4 format. */
-    /* However IPv4 CAN. */
-    if ( force == AF_INET && !IsIPv4() ) {
-        if ( IsIPv6() ) {
-            memcpy(buf, "{!IPv4}\0", xmin(8,blen));
-        }
-        return buf;
-    }
-
-#if USE_IPV6
-    if ( force == AF_INET6 || (force == AF_UNSPEC && IsIPv6()) ) {
-
-        xinet_ntop(AF_INET6, &m_SocketAddr.sin6_addr, buf, blen);
-
-    } else  if ( force == AF_INET || (force == AF_UNSPEC && IsIPv4()) ) {
-
-        struct in_addr tmp;
-        GetInAddr(tmp);
-        xinet_ntop(AF_INET, &tmp, buf, blen);
-#else
-    if ( force == AF_UNSPEC || (force == AF_INET && IsIPv4()) ) {
-        xinet_ntop(AF_INET, &m_SocketAddr.sin_addr, buf, blen);
-#endif
-    } else {
-        debugs(14,0,"WARNING: Corrupt IP Address details OR required to display in unknown format (" <<
-               force << "). accepted={" << AF_UNSPEC << "," << AF_INET << "," << AF_INET6 << "}");
-        fprintf(stderr,"WARNING: Corrupt IP Address details OR required to display in unknown format (%d). accepted={%d,%d,%d} ",
-                force, AF_UNSPEC, AF_INET, AF_INET6);
-        memcpy(buf,"dead:beef::\0", xmin(13,blen));
-        assert(false);
-    }
-
-    return buf;
-}
-
-unsigned int IPAddress::ToHostname(char *buf, const unsigned int blen) const {
-    char *p = buf;
-
-    if (IsIPv6() && blen > 0) {
-        *p = '[';
-        p++;
-    }
-
-    /* 7 being space for [,], and port */
-    if ( IsIPv6() )
-        NtoA(p, blen-7, AF_INET6);
-    else
-        NtoA(p, blen-7, AF_INET);
-
-    // find the end of the new string
-    while (*p != '\0' && p < buf+blen)
-        p++;
-
-    if (IsIPv6() && p < (buf+blen-1) ) {
-        *p = ']';
-        p++;
-    }
-
-    /* terminate just in case. */
-    *p = '\0';
-
-    /* return size of buffer now used */
-    return (p - buf);
-}
-
-char* IPAddress::ToURL(char* buf, unsigned int blen) const {
-    char *p = buf;
-
-    // Ensure we have a buffer.
-
-    if (buf == NULL) {
-        return NULL;
-    }
-
-    p += ToHostname(p, blen);
-
-    if (m_SocketAddr.sin6_port > 0 && p < (buf+blen-6) ) {
-        /* 6 is max length of expected ':port' (short int) */
-        snprintf(p, 6,":%d", GetPort() );
-    }
-
-    // force a null-terminated string
-    buf[blen-1] = '\0';
-
-    return buf;
-}
-
-void IPAddress::GetSockAddr(struct sockaddr_storage &addr, const int family) const {
-    struct sockaddr_in *sin = NULL;
-
-    if ( family == AF_INET && !IsIPv4()) {
-        // FIXME INET6: caller using the wrong socket type!
-        debugs(14, DBG_CRITICAL, HERE << "IPAddress::GetSockAddr : Cannot convert non-IPv4 to IPv4. from " << *this);
-        assert(false);
-    }
-
-#if USE_IPV6
-    if ( family == AF_INET6 || (family == AF_UNSPEC && IsIPv6()) ) {
-        struct sockaddr_in6 *ss6 = (struct sockaddr_in6*)&addr;
-        GetSockAddr(*ss6);
-    } else if ( family == AF_INET || (family == AF_UNSPEC && IsIPv4()) ) {
-        sin = (struct sockaddr_in*)&addr;
-        GetSockAddr(*sin);
-    } else {
-        IASSERT("false",false);
-    }
-#else /* not USE_IPV6 */
-    sin = (struct sockaddr_in*)&addr;
-    GetSockAddr(*sin);
-#endif /* USE_IPV6 */
-}
-
-void IPAddress::GetSockAddr(struct sockaddr_in &buf) const {
-#if USE_IPV6
-
-    if ( IsIPv4() ) {
-        buf.sin_family = AF_INET;
-        buf.sin_port = m_SocketAddr.sin6_port;
-        Map6to4( m_SocketAddr.sin6_addr, buf.sin_addr);
-    } else {
-        debugs(14, DBG_CRITICAL, HERE << "IPAddress::GetSockAddr : Cannot convert non-IPv4 to IPv4. from " << *this );
-
-        memset(&buf,0xFFFFFFFF,sizeof(struct sockaddr_in));
-        assert(false);
-    }
-
-#else
-
-    memcpy(&buf, &m_SocketAddr, sizeof(struct sockaddr_in));
-
-    if (buf.sin_family == 0) {
-        buf.sin_family = AF_INET;
-    }
-
-#endif
-
-#if HAVE_SIN_LEN_IN_SAI
-    /* not all OS have this field, BUT when they do it can be a problem if set wrong */
-    buf.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-}
-
-#if USE_IPV6
-
-void IPAddress::GetSockAddr(struct sockaddr_in6 &buf) const {
-    memcpy(&buf, &m_SocketAddr, sizeof(struct sockaddr_in6));
-    /* maintain address family. It may have changed inside us. */
-    buf.sin6_family = AF_INET6;
-
-#if HAVE_SIN6_LEN_IN_SAI
-    /* not all OS have this field, BUT when they do it can be a problem if set wrong */
-    buf.sin6_len = sizeof(struct sockaddr_in6);
-#endif
-}
-
-#endif
-
-#if USE_IPV6
-
-void IPAddress::Map4to6(const struct in_addr &in, struct in6_addr &out) const {
-    /* check for special cases */
-
-    if ( in.s_addr == 0x00000000) {
-        /* ANYADDR */
-
-        memset(&out, 0, sizeof(struct in6_addr));
-    } else if ( in.s_addr == 0xFFFFFFFF) {
-        /* NOADDR */
-
-        out.s6_addr32[0] = 0xFFFFFFFF;
-        out.s6_addr32[1] = 0xFFFFFFFF;
-        out.s6_addr32[2] = 0xFFFFFFFF;
-        out.s6_addr32[3] = 0xFFFFFFFF;
-
-#if IPV6_SPECIAL_LOCALHOST
-    } else if ( in.s_addr == htonl(0x7F000001)) {
-        /* LOCALHOST */
-
-        memset(&out, 0, sizeof(struct in6_addr));
-        out.s6_addr32[3] = htonl(0x1);
-#endif
-
-    } else {
-        /* general */
-
-        memset(&out, 0, sizeof(struct in6_addr));
-        out.s6_addr32[2] = htonl(0xFFFF);
-        out.s6_addr32[3] = in.s_addr;
-    }
-}
-
-void IPAddress::Map6to4(const struct in6_addr &in, struct in_addr &out) const {
-    /* ANYADDR */
-    /* NOADDR */
-    /* general */
-
-    memset(&out, 0, sizeof(struct in_addr));
-    out.s_addr = in.s6_addr32[3];
-
-#if IPV6_SPECIAL_LOCALHOST
-    /* LOCALHOST */
-
-    if ( IsLocalhost() ) {
-        out.s_addr = htonl(0x7F000001);
-    }
-#endif
-
-}
-
-#endif
-
-#if USE_IPV6
-void IPAddress::GetInAddr(in6_addr &buf) const {
-    memcpy(&buf, &m_SocketAddr.sin6_addr, sizeof(struct in6_addr));
-}
-
-#endif
-
-bool IPAddress::GetInAddr(struct in_addr &buf) const {
-
-#if USE_IPV6
-    if ( IsIPv4() ) {
-        Map6to4((const in6_addr)m_SocketAddr.sin6_addr, buf);
-        return true;
-    }
-#else
-
-    if ( IsIPv4() ) {
-        memcpy(&buf, &m_SocketAddr.sin_addr, sizeof(struct in_addr));
-        return true;
-    }
-#endif
-
-    // default:
-    // non-compatible IPv6 Pure Address
-
-    debugs(14,1, HERE << "IPAddress::GetInAddr : Cannot convert non-IPv4 to IPv4. IPA=" << *this);
-    memset(&buf,0xFFFFFFFF,sizeof(struct in_addr));
-    assert(false);
-    return false;
-}
diff -u -r -N squid-3.1.0.3/lib/Makefile.am squid-3.1.0.4/lib/Makefile.am
--- squid-3.1.0.3/lib/Makefile.am	2008-12-05 16:09:31.000000000 +1300
+++ squid-3.1.0.4/lib/Makefile.am	2009-01-23 18:37:31.000000000 +1300
@@ -13,6 +13,7 @@
 
 DIST_SUBDIRS += libTrie
 SUBDIRS      += libTrie
+CLEANFILES   =
 
 install: all
 install-strip: all
@@ -73,7 +74,6 @@
 	hash.c \
 	heap.c \
 	html_quote.c \
-	IPAddress.cc \
 	iso3307.c \
 	md5.c \
 	radix.c \
@@ -124,13 +124,11 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
 
 tests_testAll_SOURCES= \
 	tests/testArray.h \
 	tests/testArray.cc \
-	tests/testIPAddress.h \
-	tests/testIPAddress.cc \
-	IPAddress.cc \
 	tests/testRFC1035.h \
 	tests/testRFC1035.cc \
 	tests/testMain.cc \
diff -u -r -N squid-3.1.0.3/lib/Makefile.in squid-3.1.0.4/lib/Makefile.in
--- squid-3.1.0.3/lib/Makefile.in	2008-12-05 16:09:54.000000000 +1300
+++ squid-3.1.0.4/lib/Makefile.in	2009-01-23 18:37:57.000000000 +1300
@@ -59,25 +59,23 @@
 libmiscutil_a_DEPENDENCIES = libTrie/src/Trie.o libTrie/src/TrieNode.o \
 	@LIBOBJS@ $(am__empty)
 am__libmiscutil_a_SOURCES_DIST = MemPool.cc base64.c charset.c \
-	getfullhostname.c hash.c heap.c html_quote.c IPAddress.cc \
-	iso3307.c md5.c radix.c rfc1035.c rfc1123.c rfc1738.c \
-	rfc2617.c rfc3596.c Splay.cc strnstr.cc strsep.c strtoll.c \
-	stub_memaccount.c util.c uudecode.c assert.c xusleep.c \
-	Profiler.c win32lib.c
+	getfullhostname.c hash.c heap.c html_quote.c iso3307.c md5.c \
+	radix.c rfc1035.c rfc1123.c rfc1738.c rfc2617.c rfc3596.c \
+	Splay.cc strnstr.cc strsep.c strtoll.c stub_memaccount.c \
+	util.c uudecode.c assert.c xusleep.c Profiler.c win32lib.c
 @NEED_OWN_STRSEP_TRUE@am__objects_1 = strsep.$(OBJEXT)
 @NEED_OWN_STRTOLL_TRUE@am__objects_2 = strtoll.$(OBJEXT)
 @ENABLE_XPROF_STATS_TRUE@am__objects_3 = Profiler.$(OBJEXT)
 @ENABLE_WIN32SPECIFIC_TRUE@am__objects_4 = win32lib.$(OBJEXT)
 am_libmiscutil_a_OBJECTS = MemPool.$(OBJEXT) base64.$(OBJEXT) \
 	charset.$(OBJEXT) getfullhostname.$(OBJEXT) hash.$(OBJEXT) \
-	heap.$(OBJEXT) html_quote.$(OBJEXT) IPAddress.$(OBJEXT) \
-	iso3307.$(OBJEXT) md5.$(OBJEXT) radix.$(OBJEXT) \
-	rfc1035.$(OBJEXT) rfc1123.$(OBJEXT) rfc1738.$(OBJEXT) \
-	rfc2617.$(OBJEXT) rfc3596.$(OBJEXT) Splay.$(OBJEXT) \
-	strnstr.$(OBJEXT) $(am__objects_1) $(am__objects_2) \
-	stub_memaccount.$(OBJEXT) util.$(OBJEXT) uudecode.$(OBJEXT) \
-	assert.$(OBJEXT) xusleep.$(OBJEXT) $(am__objects_3) \
-	$(am__objects_4)
+	heap.$(OBJEXT) html_quote.$(OBJEXT) iso3307.$(OBJEXT) \
+	md5.$(OBJEXT) radix.$(OBJEXT) rfc1035.$(OBJEXT) \
+	rfc1123.$(OBJEXT) rfc1738.$(OBJEXT) rfc2617.$(OBJEXT) \
+	rfc3596.$(OBJEXT) Splay.$(OBJEXT) strnstr.$(OBJEXT) \
+	$(am__objects_1) $(am__objects_2) stub_memaccount.$(OBJEXT) \
+	util.$(OBJEXT) uudecode.$(OBJEXT) assert.$(OBJEXT) \
+	xusleep.$(OBJEXT) $(am__objects_3) $(am__objects_4)
 libmiscutil_a_OBJECTS = $(am_libmiscutil_a_OBJECTS)
 libntlmauth_a_AR = $(AR) $(ARFLAGS)
 libntlmauth_a_DEPENDENCIES = @LIBOBJS@
@@ -95,13 +93,11 @@
 testHeaders_OBJECTS = testHeaders.$(OBJEXT)
 testHeaders_LDADD = $(LDADD)
 am__tests_testAll_SOURCES_DIST = tests/testArray.h tests/testArray.cc \
-	tests/testIPAddress.h tests/testIPAddress.cc IPAddress.cc \
 	tests/testRFC1035.h tests/testRFC1035.cc tests/testMain.cc \
 	Profiler.c win32lib.c util.c assert.c
-am_tests_testAll_OBJECTS = testArray.$(OBJEXT) testIPAddress.$(OBJEXT) \
-	IPAddress.$(OBJEXT) testRFC1035.$(OBJEXT) testMain.$(OBJEXT) \
-	$(am__objects_3) $(am__objects_4) util.$(OBJEXT) \
-	assert.$(OBJEXT)
+am_tests_testAll_OBJECTS = testArray.$(OBJEXT) testRFC1035.$(OBJEXT) \
+	testMain.$(OBJEXT) $(am__objects_3) $(am__objects_4) \
+	util.$(OBJEXT) assert.$(OBJEXT)
 tests_testAll_OBJECTS = $(am_tests_testAll_OBJECTS)
 tests_testAll_DEPENDENCIES =
 am__dirstamp = $(am__leading_dot)dirstamp
@@ -375,6 +371,7 @@
 @USE_LOADABLE_MODULES_TRUE@DIST_SUBDIRS = libLtdl libTrie
 @USE_LOADABLE_MODULES_FALSE@SUBDIRS = libTrie
 @USE_LOADABLE_MODULES_TRUE@SUBDIRS = libLtdl libTrie
+CLEANFILES = testHeaders.c
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
 @ENABLE_XPROF_STATS_FALSE@XPROF_STATS_SOURCE = 
@@ -418,7 +415,6 @@
 	hash.c \
 	heap.c \
 	html_quote.c \
-	IPAddress.cc \
 	iso3307.c \
 	md5.c \
 	radix.c \
@@ -463,9 +459,6 @@
 tests_testAll_SOURCES = \
 	tests/testArray.h \
 	tests/testArray.cc \
-	tests/testIPAddress.h \
-	tests/testIPAddress.cc \
-	IPAddress.cc \
 	tests/testRFC1035.h \
 	tests/testRFC1035.cc \
 	tests/testMain.cc \
@@ -557,7 +550,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strerror.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/tempnam.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/GNUregex.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IPAddress.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemPool.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Profiler.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Splay.Po@am__quote@
@@ -587,7 +579,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_memaccount.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testArray.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testHeaders.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testIPAddress.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testMain.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testRFC1035.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
@@ -651,20 +642,6 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testArray.obj `if test -f 'tests/testArray.cc'; then $(CYGPATH_W) 'tests/testArray.cc'; else $(CYGPATH_W) '$(srcdir)/tests/testArray.cc'; fi`
 
-testIPAddress.o: tests/testIPAddress.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testIPAddress.o -MD -MP -MF "$(DEPDIR)/testIPAddress.Tpo" -c -o testIPAddress.o `test -f 'tests/testIPAddress.cc' || echo '$(srcdir)/'`tests/testIPAddress.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testIPAddress.Tpo" "$(DEPDIR)/testIPAddress.Po"; else rm -f "$(DEPDIR)/testIPAddress.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='tests/testIPAddress.cc' object='testIPAddress.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testIPAddress.o `test -f 'tests/testIPAddress.cc' || echo '$(srcdir)/'`tests/testIPAddress.cc
-
-testIPAddress.obj: tests/testIPAddress.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testIPAddress.obj -MD -MP -MF "$(DEPDIR)/testIPAddress.Tpo" -c -o testIPAddress.obj `if test -f 'tests/testIPAddress.cc'; then $(CYGPATH_W) 'tests/testIPAddress.cc'; else $(CYGPATH_W) '$(srcdir)/tests/testIPAddress.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testIPAddress.Tpo" "$(DEPDIR)/testIPAddress.Po"; else rm -f "$(DEPDIR)/testIPAddress.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='tests/testIPAddress.cc' object='testIPAddress.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testIPAddress.obj `if test -f 'tests/testIPAddress.cc'; then $(CYGPATH_W) 'tests/testIPAddress.cc'; else $(CYGPATH_W) '$(srcdir)/tests/testIPAddress.cc'; fi`
-
 testRFC1035.o: tests/testRFC1035.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testRFC1035.o -MD -MP -MF "$(DEPDIR)/testRFC1035.Tpo" -c -o testRFC1035.o `test -f 'tests/testRFC1035.cc' || echo '$(srcdir)/'`tests/testRFC1035.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testRFC1035.Tpo" "$(DEPDIR)/testRFC1035.Po"; else rm -f "$(DEPDIR)/testRFC1035.Tpo"; exit 1; fi
@@ -968,6 +945,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/lib/tests/testIPAddress.cc squid-3.1.0.4/lib/tests/testIPAddress.cc
--- squid-3.1.0.3/lib/tests/testIPAddress.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/lib/tests/testIPAddress.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,751 +0,0 @@
-#include "config.h"
-
-#include <stdexcept>
-#include <cstring>
-#include <netinet/in.h>
-#include <arpa/inet.h>
-#include <netdb.h>
-#include <string>
-
-#include "testIPAddress.h"
-#include "IPAddress.h"
-
-CPPUNIT_TEST_SUITE_REGISTRATION( testIPAddress );
-
-
-void
-testIPAddress::testDefaults()
-{
-    IPAddress anIPA;
-
-    /* test stored values */
-    CPPUNIT_ASSERT( anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-#if USE_IPV6
-    CPPUNIT_ASSERT( anIPA.IsIPv6() );
-#else
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-#endif
-}
-
-void
-testIPAddress::testInAddrConstructor()
-{
-    struct in_addr inval;
-    struct in_addr outval;
-
-    inval.s_addr = htonl(0xC0A8640C);
-    outval.s_addr = htonl(0x00000000);
-
-    IPAddress anIPA(inval);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp(&inval, &outval, sizeof(struct in_addr)) == 0 );
-}
-
-#if USE_IPV6
-void
-testIPAddress::testInAddr6Constructor()
-{
-    struct in6_addr inval;
-    struct in6_addr outval = IN6ADDR_ANY_INIT;
-
-    inval.s6_addr32[0] = htonl(0xC0A8640C);
-    inval.s6_addr32[1] = htonl(0xFFFFFFFF);
-    inval.s6_addr32[2] = htonl(0xFFFFFFFF);
-    inval.s6_addr32[3] = htonl(0xFFFFFFFF);
-
-    IPAddress anIPA(inval);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( anIPA.IsIPv6() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &inval, &outval, sizeof(struct in6_addr)) == 0 );
-}
-#endif
-
-void
-testIPAddress::testSockAddrConstructor()
-{
-    struct sockaddr_in insock;
-    struct sockaddr_in outsock;
-
-    memset(&insock,  0, sizeof(struct sockaddr_in));
-    memset(&outsock, 0, sizeof(struct sockaddr_in));
-
-    insock.sin_family = AF_INET;
-    insock.sin_port = htons(80);
-    insock.sin_addr.s_addr = htonl(0xC0A8640C);
-#if HAVE_SIN_LEN_IN_SAI
-    insock.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-    IPAddress anIPA((const struct sockaddr_in)insock);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT( anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 80 , anIPA.GetPort() );
-    anIPA.GetSockAddr(outsock);
-    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
-}
-
-#if USE_IPV6
-void
-testIPAddress::testSockAddr6Constructor()
-{
-    struct sockaddr_in6 insock;
-    struct sockaddr_in6 outsock;
-
-    memset(&insock, 0, sizeof(struct sockaddr_in6));
-    memset(&outsock, 0, sizeof(struct sockaddr_in6));
-
-    insock.sin6_family = AF_INET6;
-    insock.sin6_port = htons(80);
-    insock.sin6_addr.s6_addr32[0] = htonl(0xFFFFFFFF);
-    insock.sin6_addr.s6_addr32[1] = htonl(0x00000000);
-    insock.sin6_addr.s6_addr32[2] = htonl(0x0000FFFF);
-    insock.sin6_addr.s6_addr32[3] = htonl(0xC0A8640C);
-#if HAVE_SIN6_LEN_IN_SAI
-    insock.sin6_len = sizeof(struct sockaddr_in6);
-#endif
-
-    IPAddress anIPA((const struct sockaddr_in6)insock);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( anIPA.IsIPv6() );
-    CPPUNIT_ASSERT( anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 80 , anIPA.GetPort() );
-    anIPA.GetSockAddr(outsock);
-    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in6)) == 0 );
-}
-#endif
-
-
-void
-testIPAddress::testCopyConstructor()
-{
-    struct sockaddr_in insock;
-    struct sockaddr_in outsock;
-
-    memset(&insock,  0, sizeof(struct sockaddr_in));
-    memset(&outsock, 0, sizeof(struct sockaddr_in));
-
-    insock.sin_family = AF_INET;
-    insock.sin_port = htons(80);
-    insock.sin_addr.s_addr = htonl(0xC0A8640C);
-#if HAVE_SIN_LEN_IN_SAI
-    insock.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-    IPAddress inIPA(insock);
-    IPAddress outIPA(inIPA);
-
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !outIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !outIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( outIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !outIPA.IsIPv6() );
-    CPPUNIT_ASSERT( outIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 80 , outIPA.GetPort() );
-    outIPA.GetSockAddr(outsock);
-    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
-}
-
-void
-testIPAddress::testHostentConstructor()
-{
-    struct hostent *hp = NULL;
-    struct in_addr outval;
-    struct in_addr expectval;
-
-    expectval.s_addr = htonl(0xC0A8640C);
-
-    hp = gethostbyname("192.168.100.12");
-    CPPUNIT_ASSERT( hp != NULL /* gethostbyname failure.*/ );
-
-    IPAddress anIPA(*hp);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-}
-
-void
-testIPAddress::testStringConstructor()
-{
-    struct in_addr outval;
-    struct in_addr expectval;
-
-    expectval.s_addr = htonl(0xC0A8640C);
-
-    IPAddress anIPA = "192.168.100.12";
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-#if USE_IPV6
-    struct in6_addr expectv6;
-    struct in6_addr outval6;
-
-    expectv6.s6_addr32[0] = htonl(0x20000800);
-    expectv6.s6_addr32[1] = htonl(0x00000000);
-    expectv6.s6_addr32[2] = htonl(0x00000000);
-    expectv6.s6_addr32[3] = htonl(0x00000045);
-
-    IPAddress bnIPA = "2000:800::45";
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !bnIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !bnIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( !bnIPA.IsIPv4() );
-    CPPUNIT_ASSERT(  bnIPA.IsIPv6() );
-    CPPUNIT_ASSERT( !bnIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , bnIPA.GetPort() );
-    bnIPA.GetInAddr(outval6);
-    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
-
-    /* test IPv6 as an old netmask format. This is invalid but sometimes use. */
-    IPAddress cnIPA = "ffff:ffff:fff0::";
-
-    expectv6.s6_addr32[0] = htonl(0xFFFFFFFF);
-    expectv6.s6_addr32[1] = htonl(0xFFF00000);
-    expectv6.s6_addr32[2] = htonl(0x00000000);
-    expectv6.s6_addr32[3] = htonl(0x00000000);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !cnIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !cnIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( !cnIPA.IsIPv4() );
-    CPPUNIT_ASSERT( cnIPA.IsIPv6() );
-    CPPUNIT_ASSERT( !cnIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , cnIPA.GetPort() );
-    cnIPA.GetInAddr(outval6);
-    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
-#endif
-}
-
-void
-testIPAddress::testSetEmpty()
-{
-    IPAddress anIPA;
-    struct in_addr inval;
-
-    inval.s_addr = htonl(0xC0A8640C);
-
-    anIPA = inval;
-
-    /* test stored values before empty */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-
-    anIPA.SetEmpty();
-
-    /* test stored values after empty */
-    CPPUNIT_ASSERT( anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-#if USE_IPV6
-    CPPUNIT_ASSERT( anIPA.IsIPv6() );
-#else
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-#endif
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-}
-
-void
-testIPAddress::testBooleans()
-{
-    IPAddress lhsIPA;
-    IPAddress rhsIPA;
-    struct in_addr valLow;
-    struct in_addr valHigh;
-
-    valLow.s_addr  = htonl(0xC0A8640C);
-    valHigh.s_addr = htonl(0xC0A8640F);
-
-    /* test equality */
-    lhsIPA = valLow;
-    rhsIPA = valLow;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
-    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-    /* test inequality (less than) */
-    lhsIPA = valLow;
-    rhsIPA = valHigh;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
-
-    /* test inequality (greater than) */
-    lhsIPA = valHigh;
-    rhsIPA = valLow;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-}
-
-void
-testIPAddress::testNtoA()
-{
-    struct in_addr inval;
-    char buf[MAX_IPSTRLEN];
-    IPAddress anIPA;
-
-    anIPA.SetAnyAddr();
-
-    /* test AnyAddr display values */
-#if USE_IPV6
-    CPPUNIT_ASSERT( memcmp("::", anIPA.NtoA(buf,MAX_IPSTRLEN), 2) == 0 );
-#else
-    CPPUNIT_ASSERT( memcmp("0.0.0.0",anIPA.NtoA(buf,MAX_IPSTRLEN), 7) == 0 );
-#endif
-
-    inval.s_addr = htonl(0xC0A8640C);
-    anIPA = inval;
-
-    /* test IP display */
-    CPPUNIT_ASSERT( memcmp("192.168.100.12",anIPA.NtoA(buf,MAX_IPSTRLEN), 14) == 0 );
-
-    anIPA.SetNoAddr();
-
-    /* test NoAddr display values */
-#if USE_IPV6
-    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",anIPA.NtoA(buf,MAX_IPSTRLEN), 39) == 0 );
-#else
-    CPPUNIT_ASSERT( memcmp("255.255.255.255",anIPA.NtoA(buf,MAX_IPSTRLEN), 15) == 0 );
-#endif
-}
-
-void
-testIPAddress::testToURL_fromInAddr()
-{
-    char buf[MAX_IPSTRLEN];
-    buf[0] = '\0';
-    struct in_addr inval;
-
-    inval.s_addr = htonl(0xC0A8640C);
-
-    IPAddress anIPA(inval);
-
-    /* test values */
-    anIPA.ToURL(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("192.168.100.12", buf, 14) == 0 );
-
-#if USE_IPV6
-
-    /* test output when constructed from in6_addr with IPv6 */
-    struct in6_addr ip6val;
-
-    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
-    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
-
-    IPAddress bnIPA(ip6val);
-
-    bnIPA.ToURL(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]", buf, 41) == 0 );
-
-#endif
-}
-
-void
-testIPAddress::testToURL_fromSockAddr()
-{
-    struct sockaddr_in sock;
-    sock.sin_addr.s_addr = htonl(0xC0A8640C);
-    sock.sin_port = htons(80);
-    sock.sin_family = AF_INET;
-#if HAVE_SIN_LEN_IN_SAI
-    sock.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-    IPAddress anIPA(sock);
-    char buf[MAX_IPSTRLEN];
-
-    /* test values */
-    anIPA.ToURL(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("192.168.100.12:80", buf, 17) == 0 );
-
-#if USE_IPV6
-
-    /* test output when constructed from in6_addr with IPv6 */
-    struct sockaddr_in6 ip6val;
-
-    ip6val.sin6_addr.s6_addr32[0] = htonl(0xC0A8640C);
-    ip6val.sin6_addr.s6_addr32[1] = htonl(0xFFFFFFFF);
-    ip6val.sin6_addr.s6_addr32[2] = htonl(0xFFFFFFFF);
-    ip6val.sin6_addr.s6_addr32[3] = htonl(0xFFFFFFFF);
-    ip6val.sin6_port = htons(80);
-    ip6val.sin6_family = AF_INET6;
-#if HAVE_SIN6_LEN_IN_SAI
-    ip6val.sin6_len = sizeof(struct sockaddr_in6);
-#endif
-
-    IPAddress bnIPA(ip6val);
-
-    bnIPA.ToURL(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]:80", buf, 44) == 0 );
-
-#endif
-
-}
-
-void
-testIPAddress::testGetReverseString()
-{
-    char buf[MAX_IPSTRLEN];
-
-    struct in_addr ipv4val;
-    ipv4val.s_addr = htonl(0xC0A8640C);
-
-    IPAddress v4IPA(ipv4val);
-
-    /* test IPv4 output */
-    v4IPA.GetReverseString(buf);
-    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
-
-    v4IPA.GetReverseString(buf,AF_INET);
-    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
-
-    v4IPA.GetReverseString(buf,AF_INET6);
-    CPPUNIT_ASSERT( memcmp("",buf, 1) == 0 );
-
-
-#if USE_IPV6
-    struct in6_addr ip6val;
-
-    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
-    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
-
-    IPAddress v6IPA(ip6val);
-
-    /* test IPv6 output */
-    v6IPA.GetReverseString(buf);
-    CPPUNIT_ASSERT( memcmp("f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.c.0.4.6.8.a.0.c.ip6.arpa.",buf,73) == 0 );
-
-#endif
-
-}
-
-void
-testIPAddress::testMasking()
-{
-    char buf[MAX_IPSTRLEN];
-    IPAddress anIPA;
-    IPAddress maskIPA;
-
-    /* Test Basic CIDR Routine */
-    anIPA.SetAnyAddr();
-    CPPUNIT_ASSERT_EQUAL( 0 ,anIPA.GetCIDR() );
-
-    anIPA.SetNoAddr();
-#if USE_IPV6
-    CPPUNIT_ASSERT_EQUAL( 128 , anIPA.GetCIDR() );
-#else
-    CPPUNIT_ASSERT_EQUAL( 32 , anIPA.GetCIDR() );
-#endif
-
-    /* Test Numeric ApplyCIDR */
-    anIPA.SetNoAddr();
-    CPPUNIT_ASSERT( !anIPA.ApplyMask(129) );
-#if !USE_IPV6
-    CPPUNIT_ASSERT( !anIPA.ApplyMask(33) );
-#endif
-    CPPUNIT_ASSERT( anIPA.ApplyMask(31) );
-    CPPUNIT_ASSERT_EQUAL( 31 , anIPA.GetCIDR() );
-
-    anIPA.SetNoAddr();
-    anIPA.ApplyMask(31, AF_INET);
-#if USE_IPV6
-    CPPUNIT_ASSERT_EQUAL( 127 , anIPA.GetCIDR() );
-#else
-    CPPUNIT_ASSERT_EQUAL( 31 , anIPA.GetCIDR() );
-#endif
-
-#if USE_IPV6
-    anIPA.SetNoAddr();
-    anIPA.ApplyMask(80,AF_INET6);
-    CPPUNIT_ASSERT_EQUAL( 80 , anIPA.GetCIDR() );
-    /* BUG Check: test values by display. */
-    CPPUNIT_ASSERT( anIPA.NtoA(buf,MAX_IPSTRLEN) != NULL );
-    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff::", buf, 26) == 0 );
-#endif
-
-    /* Test Network Bitmask from IPAddress */
-    anIPA.SetNoAddr();
-    maskIPA = "255.255.240.0";
-    CPPUNIT_ASSERT_EQUAL( 20 , maskIPA.GetCIDR() );
-    anIPA.ApplyMask(maskIPA);
-    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.GetCIDR() );
-
-    /* BUG Check: test values memory after masking. */
-    struct in_addr btest;
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    anIPA.GetInAddr(btest);
-    CPPUNIT_ASSERT_EQUAL( (uint32_t)htonl(0xFFFFF000) , btest.s_addr );
-
-    /* BUG Check failing test. Masked values for display. */
-    CPPUNIT_ASSERT( memcmp("255.255.240.0",anIPA.NtoA(buf,MAX_IPSTRLEN), 13) == 0 );
-
-
-#if USE_IPV6
-    anIPA.SetNoAddr();
-    maskIPA.SetNoAddr();
-
-    /* IPv6 masks MUST be CIDR representations. */
-    /* however as with IPv4 they can technically be represented as a bitmask */
-    maskIPA = "ffff:ffff:fff0::";
-    CPPUNIT_ASSERT( !maskIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !maskIPA.IsNoAddr() );
-    anIPA.ApplyMask(maskIPA);
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT_EQUAL( 44 , anIPA.GetCIDR() );
-
-    anIPA.SetNoAddr();
-    maskIPA.SetNoAddr();
-
-    /* IPv4 masks represented in IPv6 as IPv4 bitmasks. */
-    maskIPA = "::ffff:ffff:f000";
-    CPPUNIT_ASSERT( !maskIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !maskIPA.IsNoAddr() );
-    CPPUNIT_ASSERT(  maskIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !maskIPA.IsIPv6() );
-    anIPA.ApplyMask(maskIPA);
-    CPPUNIT_ASSERT( !maskIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !maskIPA.IsNoAddr() );
-    CPPUNIT_ASSERT(  maskIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !maskIPA.IsIPv6() );
-    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.GetCIDR() );
-#endif
-
-}
-
-void
-testIPAddress::testAddrInfo()
-{
-    struct addrinfo *expect;
-    struct addrinfo *ipval = NULL;
-    struct addrinfo hints;
-
-    memset(&hints, 0, sizeof(struct addrinfo));
-
-    hints.ai_flags = AI_NUMERICHOST;
-
-    IPAddress anIP = "127.0.0.1";
-
-    /* assert this just to check that getaddrinfo is working properly */
-    CPPUNIT_ASSERT( xgetaddrinfo("127.0.0.1", NULL, &hints, &expect ) == 0 );
-
-    anIP.GetAddrInfo(ipval);
-
-#if 0
-    /* display a byte-by-byte hex comparison of the addr cores */
-    unsigned int *p;
-    p = (unsigned int*)expect;
-    printf("\nSYS-ADDRINFO: %2x %2x %2x %2x %2x %2x",
-           p[0],p[1],p[2],p[3],p[4],p[5]);
-
-    p = (unsigned int*)ipval;
-    printf("\nSQD-ADDRINFO: %2x %2x %2x %2x %2x %2x",
-           p[0],p[1],p[2],p[3],p[4],p[5] );
-    printf("\n");
-#endif /*0*/
-
-    // check the addrinfo object core. (BUT not the two ptrs at the tail)
-    // details
-    CPPUNIT_ASSERT_EQUAL( expect->ai_flags, ipval->ai_flags );
-    CPPUNIT_ASSERT_EQUAL( expect->ai_family, ipval->ai_family );
-    // check the sockaddr it points to.
-    CPPUNIT_ASSERT_EQUAL( expect->ai_addrlen, ipval->ai_addrlen );
-
-#if 0
-    p = (unsigned int*)(expect->ai_addr);
-    printf("\nSYS-ADDR: (%d)  %x %x %x %x %x %x %x %x ...",
-            expect->ai_addrlen,
-           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
-
-    p = (unsigned int*)(ipval->ai_addr);
-    printf("\nSQD-ADDR: (%d) %x %x %x %x %x %x %x %x ...",
-            ipval->ai_addrlen,
-           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
-    printf("\n");
-#if HAVE_SS_LEN_IN_SS
-    printf("\nSYS SS_LEN=%d\nSQD SS_LEN=%d\n",((struct sockaddr_storage*)expect->ai_addr)->ss_len,
-           ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
-#endif
-#endif /*0*/
-
-#if USE_IPV6
-#if HAVE_SS_LEN_IN_SS
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_storage*)expect->ai_addr)->ss_len,
-                          ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_storage*)ipval->ai_addr)->ss_len, ipval->ai_addrlen );
-#endif
-#if HAVE_SIN6_LEN_IN_SAI
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_len,
-                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in6*)ipval->ai_addr)->sin6_len, ipval->ai_addrlen );
-#endif
-#if HAVE_SIN_LEN_IN_SAI
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_len,
-                          ((struct sockaddr_in*)ipval->ai_addr)->sin_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in*)ipval->ai_addr)->sin_len, ipval->ai_addrlen );
-#endif
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_family,
-                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_family );
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_port,
-                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_port );
-#else
-#if HAVE_SS_LEN_IN_SS
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_storage*)expect->ai_addr)->ss_len,
-                          ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_storage*)ipval->ai_addr)->ss_len, ipval->ai_addrlen );
-#endif
-#if HAVE_SIN_LEN_IN_SAI
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_len,
-                          ((struct sockaddr_in*)ipval->ai_addr)->sin_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in*)ipval->ai_addr)->sin_len, ipval->ai_addrlen );
-#endif
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_family,
-                          ((struct sockaddr_in*)ipval->ai_addr)->sin_family );
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_port,
-                          ((struct sockaddr_in*)ipval->ai_addr)->sin_port );
-#endif /* USE_IPV6 */
-
-    CPPUNIT_ASSERT( memcmp( expect->ai_addr, ipval->ai_addr, expect->ai_addrlen ) == 0 );
-
-    xfreeaddrinfo(expect);
-}
-
-void
-testIPAddress::testBugNullingDisplay()
-{
-    // Weird Bug: address set to empty during string conversion somewhere.
-    // initial string gets created and returned OK.
-    // but at the end of the process m_SocketAddr is left NULL'ed
-
-    char ntoabuf[MAX_IPSTRLEN];
-    char hostbuf[MAX_IPSTRLEN];
-    char urlbuf[MAX_IPSTRLEN];
-
-    struct in_addr outval;
-    struct in_addr expectval;
-
-    expectval.s_addr = htonl(0xC0A8640C);
-
-    IPAddress anIPA = "192.168.100.12";
-
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-
-    /* POKE NtoA display function to see what it is doing */
-    anIPA.NtoA(ntoabuf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-
-
-    /* POKE ToHostname display function to see what it is doing */
-    anIPA.ToHostname(hostbuf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-
-    /* POKE ToURL display function to see what it is doing */
-    anIPA.ToURL(urlbuf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
-    CPPUNIT_ASSERT( anIPA.IsIPv4() );
-    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
-    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
-    anIPA.GetInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-}
diff -u -r -N squid-3.1.0.3/lib/tests/testIPAddress.h squid-3.1.0.4/lib/tests/testIPAddress.h
--- squid-3.1.0.3/lib/tests/testIPAddress.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/lib/tests/testIPAddress.h	1970-01-01 12:00:00.000000000 +1200
@@ -1,70 +0,0 @@
-#ifndef SQUID_SRC_TEST_IPADDRESS_H
-#define SQUID_SRC_TEST_IPADDRESS_H
-
-#include <cppunit/extensions/HelperMacros.h>
-
-/*
- * test the IP storage type
- */
-
-class testIPAddress : public CPPUNIT_NS::TestFixture
-{
-    CPPUNIT_TEST_SUITE( testIPAddress );
-    CPPUNIT_TEST( testDefaults );
-    CPPUNIT_TEST( testInAddrConstructor );
-#if USE_IPV6
-    CPPUNIT_TEST( testInAddr6Constructor );
-#endif
-    CPPUNIT_TEST( testSockAddrConstructor );
-#if USE_IPV6
-    CPPUNIT_TEST( testSockAddr6Constructor );
-#endif
-    CPPUNIT_TEST( testHostentConstructor );
-    CPPUNIT_TEST( testStringConstructor );
-    CPPUNIT_TEST( testCopyConstructor );
-    CPPUNIT_TEST( testSetEmpty );
-    CPPUNIT_TEST( testBooleans );
-    CPPUNIT_TEST( testAddrInfo );
-    CPPUNIT_TEST( testNtoA );
-    CPPUNIT_TEST( testToURL_fromInAddr );
-    CPPUNIT_TEST( testToURL_fromSockAddr );
-    CPPUNIT_TEST( testGetReverseString );
-    CPPUNIT_TEST( testMasking );
-
-    CPPUNIT_TEST( testBugNullingDisplay );
-    CPPUNIT_TEST_SUITE_END();
-
-public:
-
-protected:
-    void testDefaults();
-
-    void testInAddrConstructor();
-#if USE_IPV6
-    void testInAddr6Constructor();
-#endif
-    void testSockAddrConstructor();
-#if USE_IPV6
-    void testSockAddr6Constructor();
-#endif
-    void testHostentConstructor();
-    void testStringConstructor();
-    void testCopyConstructor();
-
-    void testSetEmpty();
-    void testBooleans();
-
-    void testAddrInfo();
-
-    void testNtoA();
-    void testToURL_fromInAddr();
-    void testToURL_fromSockAddr();
-    void testGetReverseString();
-    void testMasking();
-
-    // bugs.
-    void testBugNullingDisplay();
-
-};
-
-#endif /* SQUID_SRC_TEST_IPADDRESS_H */
diff -u -r -N squid-3.1.0.3/Makefile.am squid-3.1.0.4/Makefile.am
--- squid-3.1.0.3/Makefile.am	2008-12-05 16:09:27.000000000 +1300
+++ squid-3.1.0.4/Makefile.am	2009-01-23 18:37:26.000000000 +1300
@@ -1,11 +1,9 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.27 2006/05/11 01:36:57 hno Exp $
-#
 
 AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5 foreign
 DIST_SUBDIRS	= lib snmplib scripts src icons errors contrib doc helpers test-suite tools
-SUBDIRS		= lib @makesnmplib@ scripts src icons errors doc helpers test-suite tools
+SUBDIRS		= lib @makesnmplib@ scripts src/ip src icons errors doc helpers test-suite tools
 
 DISTCLEANFILES = include/stamp-h include/stamp-h[0-9]*
 DEFAULT_PINGER		= $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`
diff -u -r -N squid-3.1.0.3/Makefile.in squid-3.1.0.4/Makefile.in
--- squid-3.1.0.3/Makefile.in	2008-12-05 16:09:58.000000000 +1300
+++ squid-3.1.0.4/Makefile.in	2009-01-23 18:38:01.000000000 +1300
@@ -15,8 +15,6 @@
 @SET_MAKE@
 
 #
-# $Id: Makefile.am,v 1.27 2006/05/11 01:36:57 hno Exp $
-#
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
 VPATH = @srcdir@
@@ -309,7 +307,7 @@
 target_alias = @target_alias@
 AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5 foreign
 DIST_SUBDIRS = lib snmplib scripts src icons errors contrib doc helpers test-suite tools
-SUBDIRS = lib @makesnmplib@ scripts src icons errors doc helpers test-suite tools
+SUBDIRS = lib @makesnmplib@ scripts src/ip src icons errors doc helpers test-suite tools
 DISTCLEANFILES = include/stamp-h include/stamp-h[0-9]*
 DEFAULT_PINGER = $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`
 EXTRA_DIST = \
diff -u -r -N squid-3.1.0.3/src/access_log.cc squid-3.1.0.4/src/access_log.cc
--- squid-3.1.0.3/src/access_log.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/access_log.cc	2009-01-23 18:37:36.000000000 +1300
@@ -597,13 +597,16 @@
             struct tm *t;
             spec = fmt->data.timespec;
 
-            if (!spec)
-                spec = "%d/%b/%Y:%H:%M:%S";
-
-            if (fmt->type == LFT_TIME_LOCALTIME)
+            if (fmt->type == LFT_TIME_LOCALTIME) {
+                if (!spec)
+                    spec = "%d/%b/%Y:%H:%M:%S %z";
                 t = localtime(&squid_curtime);
-            else
+            } else {
+                if (!spec)
+                    spec = "%d/%b/%Y:%H:%M:%S";
+
                 t = gmtime(&squid_curtime);
+            }
 
             strftime(tmp, sizeof(tmp), spec, t);
 
diff -u -r -N squid-3.1.0.3/src/AccessLogEntry.h squid-3.1.0.4/src/AccessLogEntry.h
--- squid-3.1.0.3/src/AccessLogEntry.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/AccessLogEntry.h	2009-01-23 18:37:35.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: AccessLogEntry.h,v 1.9 2008/02/26 00:15:48 rousskov Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -36,7 +33,7 @@
 #include "HttpVersion.h"
 #include "HttpRequestMethod.h"
 #include "HierarchyLogEntry.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 #include "HttpRequestMethod.h"
 
 /* forward decls */
@@ -92,7 +89,7 @@
         {;
         }
 
-        IPAddress caddr;
+        IpAddress caddr;
         int64_t requestSize;
         int64_t replySize;
         int64_t highOffset;
diff -u -r -N squid-3.1.0.3/src/ACLARP.cc squid-3.1.0.4/src/ACLARP.cc
--- squid-3.1.0.3/src/ACLARP.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLARP.cc	2009-01-23 18:37:32.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: ACLARP.cc,v 1.29 2008/02/05 22:38:24 amosjeffries Exp $
- *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
  *
@@ -40,13 +37,13 @@
 #include <squid_windows.h>
 #endif
 #include "squid.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #ifdef _SQUID_WIN32_
 
 struct arpreq {
 
-    IPAddress arp_pa;   /* protocol address */
+    IpAddress arp_pa;   /* protocol address */
 
     struct sockaddr arp_ha;   /* hardware address */
     int arp_flags;            /* flags */
@@ -84,7 +81,7 @@
 #endif
 static void aclParseArpList(SplayNode<acl_arp_data *> **curlist);
 static int decode_eth(const char *asc, char *eth);
-static int aclMatchArp(SplayNode<acl_arp_data *> **dataptr, IPAddress &c);
+static int aclMatchArp(SplayNode<acl_arp_data *> **dataptr, IpAddress &c);
 static SplayNode<acl_arp_data *>::SPLAYCMP aclArpCompare;
 static SplayNode<acl_arp_data *>::SPLAYWALKEE aclDumpArpListWalkee;
 
@@ -242,12 +239,12 @@
 /* aclMatchArp */
 /***************/
 int
-aclMatchArp(SplayNode<acl_arp_data *> **dataptr, IPAddress &c)
+aclMatchArp(SplayNode<acl_arp_data *> **dataptr, IpAddress &c)
 {
     struct arpreq arpReq;
     struct sockaddr_in *sa = NULL;
 
-    IPAddress ipAddr = c;
+    IpAddress ipAddr = c;
 
 #if defined(_SQUID_LINUX_)
 
diff -u -r -N squid-3.1.0.3/src/ACLASN.h squid-3.1.0.4/src/ACLASN.h
--- squid-3.1.0.3/src/ACLASN.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLASN.h	2009-01-23 18:37:32.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: ACLASN.h,v 1.10 2008/02/26 21:49:34 amosjeffries Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -39,9 +36,9 @@
 #include "CbDataList.h"
 #include "ACLStrategised.h"
 #include "ACLChecklist.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
-SQUIDCEXTERN int asnMatchIp(CbDataList<int> *, IPAddress &);
+SQUIDCEXTERN int asnMatchIp(CbDataList<int> *, IpAddress &);
 
 /// \ingroup ACLAPI
 SQUIDCEXTERN void asnInit(void);
@@ -50,7 +47,7 @@
 SQUIDCEXTERN void asnFreeMemory(void);
 
 /// \ingroup ACLAPI
-class ACLASN : public ACLData<IPAddress>
+class ACLASN : public ACLData<IpAddress>
 {
 
 public:
@@ -58,18 +55,18 @@
 
     virtual ~ACLASN();
 
-    virtual bool match(IPAddress);
+    virtual bool match(IpAddress);
     virtual wordlist *dump();
     virtual void parse();
     bool empty() const;
-    virtual ACLData<IPAddress> *clone() const;
+    virtual ACLData<IpAddress> *clone() const;
     virtual void prepareForUse();
 
 private:
     static ACL::Prototype SourceRegistryProtoype;
-    static ACLStrategised<IPAddress> SourceRegistryEntry_;
+    static ACLStrategised<IpAddress> SourceRegistryEntry_;
     static ACL::Prototype DestinationRegistryProtoype;
-    static ACLStrategised<IPAddress> DestinationRegistryEntry_;
+    static ACLStrategised<IpAddress> DestinationRegistryEntry_;
     CbDataList<int> *data;
 };
 
diff -u -r -N squid-3.1.0.3/src/ACLBrowser.cc squid-3.1.0.4/src/ACLBrowser.cc
--- squid-3.1.0.3/src/ACLBrowser.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLBrowser.cc	2009-01-23 18:37:32.000000000 +1300
@@ -41,7 +41,6 @@
 
 /* explicit template instantiation required for some systems */
 
-template class ACLStrategised<char const *>;
 template class ACLRequestHeaderStrategy<HDR_USER_AGENT>;
 
 ACL::Prototype ACLBrowser::RegistryProtoype(&ACLBrowser::RegistryEntry_, "browser");
diff -u -r -N squid-3.1.0.3/src/ACLChecklist.h squid-3.1.0.4/src/ACLChecklist.h
--- squid-3.1.0.3/src/ACLChecklist.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLChecklist.h	2009-01-23 18:37:34.000000000 +1300
@@ -123,11 +123,11 @@
 
     const acl_access *accessList;
 
-    IPAddress src_addr;
+    IpAddress src_addr;
 
-    IPAddress dst_addr;
+    IpAddress dst_addr;
 
-    IPAddress my_addr;
+    IpAddress my_addr;
 
     struct peer *dst_peer;
 
diff -u -r -N squid-3.1.0.3/src/ACLDestinationASN.h squid-3.1.0.4/src/ACLDestinationASN.h
--- squid-3.1.0.3/src/ACLDestinationASN.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLDestinationASN.h	2009-01-23 18:37:34.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: ACLDestinationASN.h,v 1.4 2008/02/26 21:49:34 amosjeffries Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -37,10 +34,10 @@
 
 #include "ACLASN.h"
 #include "ACLStrategy.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 /// \ingroup ACLAPI
-class ACLDestinationASNStrategy : public ACLStrategy<IPAddress>
+class ACLDestinationASNStrategy : public ACLStrategy<IpAddress>
 {
 
 public:
diff -u -r -N squid-3.1.0.3/src/ACLIP.cc squid-3.1.0.4/src/ACLIP.cc
--- squid-3.1.0.3/src/ACLIP.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLIP.cc	2009-01-23 18:37:34.000000000 +1300
@@ -127,7 +127,7 @@
 int
 aclIpAddrNetworkCompare(acl_ip_data * const &p, acl_ip_data * const &q)
 {
-    IPAddress A = p->addr1;
+    IpAddress A = p->addr1;
 
     /* apply netmask */
     A.ApplyMask(q->mask);
@@ -191,7 +191,7 @@
  * This function should NOT be called if 'asc' is a hostname!
  */
 bool
-acl_ip_data::DecodeMask(const char *asc, IPAddress &mask, int ctype)
+acl_ip_data::DecodeMask(const char *asc, IpAddress &mask, int ctype)
 {
     char junk;
     int a1 = 0;
@@ -237,7 +237,7 @@
     LOCAL_ARRAY(char, mask, 256);
     acl_ip_data *r = NULL;
     acl_ip_data **Q = NULL;
-    IPAddress temp;
+    IpAddress temp;
     char c;
     unsigned int changed;
     acl_ip_data *q = new acl_ip_data;
@@ -294,13 +294,13 @@
         /*
          * Note, must use plain xgetaddrinfo() here because at startup
          * ipcache hasn't been initialized
-         * TODO: offload this to one of the IPAddress lookups.
+         * TODO: offload this to one of the IpAddress lookups.
          */
 
         debugs(28, 5, "aclIpParseIpData: Lookup Host/IP " << addr1);
         struct addrinfo *hp = NULL, *x = NULL;
         struct addrinfo hints;
-        IPAddress *prev_addr = NULL;
+        IpAddress *prev_addr = NULL;
 
         memset(&hints, 0, sizeof(struct addrinfo));
 
@@ -442,7 +442,7 @@
 }
 
 int
-ACLIP::match(IPAddress &clientip)
+ACLIP::match(IpAddress &clientip)
 {
     static acl_ip_data ClientAddress;
     /*
@@ -462,4 +462,4 @@
 
 acl_ip_data::acl_ip_data () :addr1(), addr2(), mask(), next (NULL) {}
 
-acl_ip_data::acl_ip_data (IPAddress const &anAddress1, IPAddress const &anAddress2, IPAddress const &aMask, acl_ip_data *aNext) : addr1(anAddress1), addr2(anAddress2), mask(aMask), next(aNext) {}
+acl_ip_data::acl_ip_data (IpAddress const &anAddress1, IpAddress const &anAddress2, IpAddress const &aMask, acl_ip_data *aNext) : addr1(anAddress1), addr2(anAddress2), mask(aMask), next(aNext) {}
diff -u -r -N squid-3.1.0.3/src/ACLIP.h squid-3.1.0.4/src/ACLIP.h
--- squid-3.1.0.3/src/ACLIP.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLIP.h	2009-01-23 18:37:34.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id$
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -37,7 +34,7 @@
 
 #include "ACL.h"
 #include "splay.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 /// \ingroup ACLAPI
 class acl_ip_data
@@ -50,20 +47,20 @@
 
     acl_ip_data ();
 
-    acl_ip_data (IPAddress const &, IPAddress const &, IPAddress const &, acl_ip_data *);
+    acl_ip_data (IpAddress const &, IpAddress const &, IpAddress const &, acl_ip_data *);
     void toStr(char *buf, int len) const;
 
-    IPAddress addr1;
+    IpAddress addr1;
 
-    IPAddress addr2;
+    IpAddress addr2;
 
-    IPAddress mask; /**< \todo This should perhapse be stored as a CIDR range now instead of a full IP mask. */
+    IpAddress mask; /**< \todo This should perhapse be stored as a CIDR range now instead of a full IP mask. */
 
     acl_ip_data *next;		/**< used for parsing, not for storing */
 
 private:
 
-    static bool DecodeMask(const char *asc, IPAddress &mask, int string_format_type);
+    static bool DecodeMask(const char *asc, IpAddress &mask, int string_format_type);
 };
 
 MEMPROXY_CLASS_INLINE(acl_ip_data);
@@ -91,7 +88,7 @@
 
 protected:
 
-    int match(IPAddress &);
+    int match(IpAddress &);
     IPSplay *data;
 
 private:
diff -u -r -N squid-3.1.0.3/src/ACLMaxUserIP.cc squid-3.1.0.4/src/ACLMaxUserIP.cc
--- squid-3.1.0.3/src/ACLMaxUserIP.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLMaxUserIP.cc	2009-01-23 18:37:34.000000000 +1300
@@ -117,7 +117,7 @@
 int
 ACLMaxUserIP::match(AuthUserRequest * auth_user_request,
 
-                    IPAddress const &src_addr)
+                    IpAddress const &src_addr)
 {
     /*
      * the logic for flush the ip list when the limit is hit vs keep
diff -u -r -N squid-3.1.0.3/src/ACLMaxUserIP.h squid-3.1.0.4/src/ACLMaxUserIP.h
--- squid-3.1.0.3/src/ACLMaxUserIP.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLMaxUserIP.h	2009-01-23 18:37:34.000000000 +1300
@@ -67,7 +67,7 @@
     static Prototype RegistryProtoype;
     static ACLMaxUserIP RegistryEntry_;
 
-    int match(AuthUserRequest *, IPAddress const &);
+    int match(AuthUserRequest *, IpAddress const &);
     char const *class_;
     int maximum;
 
diff -u -r -N squid-3.1.0.3/src/ACLPeerName.cc squid-3.1.0.4/src/ACLPeerName.cc
--- squid-3.1.0.3/src/ACLPeerName.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLPeerName.cc	2009-01-23 18:37:34.000000000 +1300
@@ -11,7 +11,7 @@
 ACLPeerNameStrategy::match (ACLData<MatchType> * &data, ACLChecklist *checklist)
 {
     if (checklist->dst_peer != NULL && checklist->dst_peer->name != NULL)
-	return data->match(checklist->dst_peer->name);
+        return data->match(checklist->dst_peer->name);
     return 0;
 }
 
diff -u -r -N squid-3.1.0.3/src/ACLPeerName.h squid-3.1.0.4/src/ACLPeerName.h
--- squid-3.1.0.3/src/ACLPeerName.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLPeerName.h	2009-01-23 18:37:34.000000000 +1300
@@ -17,7 +17,7 @@
 
 private:
     static ACLPeerNameStrategy Instance_;
-    ACLPeerNameStrategy(){}
+    ACLPeerNameStrategy() {}
 
     ACLPeerNameStrategy&operator=(ACLPeerNameStrategy const &);
 };
diff -u -r -N squid-3.1.0.3/src/ACLSourceASN.h squid-3.1.0.4/src/ACLSourceASN.h
--- squid-3.1.0.3/src/ACLSourceASN.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLSourceASN.h	2009-01-23 18:37:35.000000000 +1300
@@ -1,8 +1,4 @@
-
 /*
- * $Id: ACLSourceASN.h,v 1.3 2007/12/14 23:11:45 amosjeffries Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -42,9 +38,9 @@
 class ACLChecklist;
 
 #include "ACLStrategy.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
-class ACLSourceASNStrategy : public ACLStrategy<IPAddress>
+class ACLSourceASNStrategy : public ACLStrategy<IpAddress>
 {
 
 public:
diff -u -r -N squid-3.1.0.3/src/ACLStrategised.cc squid-3.1.0.4/src/ACLStrategised.cc
--- squid-3.1.0.3/src/ACLStrategised.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ACLStrategised.cc	2009-01-23 18:37:35.000000000 +1300
@@ -52,5 +52,5 @@
 /* ACLHTTPRepHeader + ACLHTTPReqHeader */
 template class ACLStrategised<HttpHeader*>;
 
-/* ACLMyPortName + ACLMyPeerName */
+/* ACLMyPortName + ACLMyPeerName + ACLBrowser */
 template class ACLStrategised<const char *>;
diff -u -r -N squid-3.1.0.3/src/adaptation/Makefile.am squid-3.1.0.4/src/adaptation/Makefile.am
--- squid-3.1.0.3/src/adaptation/Makefile.am	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/adaptation/Makefile.am	2009-01-23 18:37:36.000000000 +1300
@@ -1,5 +1,6 @@
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES =
 
 INCLUDES = \
 	-I$(top_builddir)/include \
@@ -40,3 +41,4 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
diff -u -r -N squid-3.1.0.3/src/adaptation/Makefile.in squid-3.1.0.4/src/adaptation/Makefile.in
--- squid-3.1.0.3/src/adaptation/Makefile.in	2008-12-05 16:09:56.000000000 +1300
+++ squid-3.1.0.4/src/adaptation/Makefile.in	2009-01-23 18:37:59.000000000 +1300
@@ -312,6 +312,7 @@
 target_alias = @target_alias@
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
 INCLUDES = \
 	-I$(top_builddir)/include \
 	-I$(top_srcdir)/include \
@@ -560,6 +561,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/src/asn.cc squid-3.1.0.4/src/asn.cc
--- squid-3.1.0.3/src/asn.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/asn.cc	2009-01-23 18:37:36.000000000 +1300
@@ -59,9 +59,9 @@
 {
 public:
     uint8_t len;
-    IPAddress addr;
+    IpAddress addr;
 
-    m_ADDR() : len(sizeof(IPAddress)) {};
+    m_ADDR() : len(sizeof(IpAddress)) {};
 };
 
 /* END of definitions for radix tree entries */
@@ -126,7 +126,7 @@
 /* PUBLIC */
 
 int
-asnMatchIp(CbDataList<int> *data, IPAddress &addr)
+asnMatchIp(CbDataList<int> *data, IpAddress &addr)
 {
     struct squid_radix_node *rn;
     as_info *e;
@@ -392,8 +392,8 @@
     CbDataList<int> *q = NULL;
     as_info *asinfo = NULL;
 
-    IPAddress mask;
-    IPAddress addr;
+    IpAddress mask;
+    IpAddress addr;
     char *t;
     int bitl;
 
@@ -511,8 +511,8 @@
     CbDataList<int> *q;
     as_info *asinfo;
     char buf[MAX_IPSTRLEN];
-    IPAddress addr;
-    IPAddress mask;
+    IpAddress addr;
+    IpAddress mask;
 
     assert(e);
     assert(e->e_info);
@@ -540,7 +540,7 @@
 
 bool
 
-ACLASN::match(IPAddress toMatch)
+ACLASN::match(IpAddress toMatch)
 {
     return asnMatchIp(data, toMatch);
 }
@@ -583,7 +583,7 @@
     }
 }
 
-ACLData<IPAddress> *
+ACLData<IpAddress> *
 ACLASN::clone() const
 {
     if (data)
@@ -594,18 +594,18 @@
 
 /* explicit template instantiation required for some systems */
 
-template class ACLStrategised<IPAddress>;
+template class ACLStrategised<IpAddress>;
 
 ACL::Prototype ACLASN::SourceRegistryProtoype(&ACLASN::SourceRegistryEntry_, "src_as");
 
-ACLStrategised<IPAddress> ACLASN::SourceRegistryEntry_(new ACLASN, ACLSourceASNStrategy::Instance(), "src_as");
+ACLStrategised<IpAddress> ACLASN::SourceRegistryEntry_(new ACLASN, ACLSourceASNStrategy::Instance(), "src_as");
 
 ACL::Prototype ACLASN::DestinationRegistryProtoype(&ACLASN::DestinationRegistryEntry_, "dst_as");
 
-ACLStrategised<IPAddress> ACLASN::DestinationRegistryEntry_(new ACLASN, ACLDestinationASNStrategy::Instance(), "dst_as");
+ACLStrategised<IpAddress> ACLASN::DestinationRegistryEntry_(new ACLASN, ACLDestinationASNStrategy::Instance(), "dst_as");
 
 int
-ACLSourceASNStrategy::match (ACLData<IPAddress> * &data, ACLChecklist *checklist)
+ACLSourceASNStrategy::match (ACLData<IpAddress> * &data, ACLChecklist *checklist)
 {
     return data->match(checklist->src_addr);
 }
@@ -638,7 +638,7 @@
         debugs(28, 3, "asnMatchAcl: Can't yet compare '" << "unknown" /*name*/ << "' ACL for '" << checklist->request->GetHost() << "'");
         checklist->changeState (DestinationIPLookup::Instance());
     } else {
-        IPAddress noaddr;
+        IpAddress noaddr;
         noaddr.SetNoAddr();
         return data->match(noaddr);
     }
diff -u -r -N squid-3.1.0.3/src/auth/digest/auth_digest.cc squid-3.1.0.4/src/auth/digest/auth_digest.cc
--- squid-3.1.0.3/src/auth/digest/auth_digest.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/auth/digest/auth_digest.cc	2009-01-23 18:37:36.000000000 +1300
@@ -645,7 +645,7 @@
             } else {
                 const char *useragent = request->header.getStr(HDR_USER_AGENT);
 
-                static IPAddress last_broken_addr;
+                static IpAddress last_broken_addr;
                 static int seen_broken_client = 0;
 
                 if (!seen_broken_client) {
diff -u -r -N squid-3.1.0.3/src/auth/Makefile.am squid-3.1.0.4/src/auth/Makefile.am
--- squid-3.1.0.3/src/auth/Makefile.am	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/auth/Makefile.am	2009-01-23 18:37:36.000000000 +1300
@@ -5,9 +5,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
-
-##DIST_SUBDIRS	= basic digest ntlm
-##SUBDIRS		= @AUTH_MODULES@
+CLEANFILES =
 
 EXTRA_LIBRARIES	= libbasic.a libdigest.a libntlm.a libnegotiate.a
 noinst_LIBRARIES	= @AUTH_LIBS@
@@ -34,3 +32,4 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
diff -u -r -N squid-3.1.0.3/src/auth/Makefile.in squid-3.1.0.4/src/auth/Makefile.in
--- squid-3.1.0.3/src/auth/Makefile.in	2008-12-05 16:09:57.000000000 +1300
+++ squid-3.1.0.4/src/auth/Makefile.in	2009-01-23 18:37:59.000000000 +1300
@@ -334,6 +334,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
 EXTRA_LIBRARIES = libbasic.a libdigest.a libntlm.a libnegotiate.a
 noinst_LIBRARIES = @AUTH_LIBS@
 libbasic_a_SOURCES = basic/auth_basic.cc basic/auth_basic.h
@@ -610,6 +611,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/src/AuthUser.cc squid-3.1.0.4/src/AuthUser.cc
--- squid-3.1.0.3/src/AuthUser.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/AuthUser.cc	2009-01-23 18:37:35.000000000 +1300
@@ -239,7 +239,7 @@
 }
 
 void
-AuthUser::removeIp(IPAddress ipaddr)
+AuthUser::removeIp(IpAddress ipaddr)
 {
     auth_user_ip_t *ipdata = (auth_user_ip_t *) ip_list.head;
 
@@ -262,7 +262,7 @@
 }
 
 void
-AuthUser::addIp(IPAddress ipaddr)
+AuthUser::addIp(IpAddress ipaddr)
 {
     auth_user_ip_t *ipdata = (auth_user_ip_t *) ip_list.head;
     int found = 0;
diff -u -r -N squid-3.1.0.3/src/AuthUser.h squid-3.1.0.4/src/AuthUser.h
--- squid-3.1.0.3/src/AuthUser.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/AuthUser.h	2009-01-23 18:37:35.000000000 +1300
@@ -41,7 +41,7 @@
 /* for auth_type_t */
 #include "enums.h"
 
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 #include "dlink.h"
 
 /**
@@ -85,8 +85,8 @@
     _SQUID_INLINE_ char const *username() const;
     _SQUID_INLINE_ void username(char const *);
     void clearIp();
-    void removeIp(IPAddress);
-    void addIp(IPAddress);
+    void removeIp(IpAddress);
+    void addIp(IpAddress);
     _SQUID_INLINE_ void addRequest(AuthUserRequest *);
 
     void lock();
diff -u -r -N squid-3.1.0.3/src/AuthUserRequest.cc squid-3.1.0.4/src/AuthUserRequest.cc
--- squid-3.1.0.3/src/AuthUserRequest.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/AuthUserRequest.cc	2009-01-23 18:37:35.000000000 +1300
@@ -200,7 +200,7 @@
 }
 
 static void
-authenticateAuthUserRequestSetIp(AuthUserRequest * auth_user_request, IPAddress &ipaddr)
+authenticateAuthUserRequestSetIp(AuthUserRequest * auth_user_request, IpAddress &ipaddr)
 {
     AuthUser *auth_user = auth_user_request->user();
 
@@ -211,7 +211,7 @@
 }
 
 void
-authenticateAuthUserRequestRemoveIp(AuthUserRequest * auth_user_request, IPAddress const &ipaddr)
+authenticateAuthUserRequestRemoveIp(AuthUserRequest * auth_user_request, IpAddress const &ipaddr)
 {
     AuthUser *auth_user = auth_user_request->user();
 
@@ -328,7 +328,7 @@
  * Caller is responsible for locking and unlocking their *auth_user_request!
  */
 auth_acl_t
-AuthUserRequest::authenticate(AuthUserRequest ** auth_user_request, http_hdr_type headertype, HttpRequest * request, ConnStateData * conn, IPAddress &src_addr)
+AuthUserRequest::authenticate(AuthUserRequest ** auth_user_request, http_hdr_type headertype, HttpRequest * request, ConnStateData * conn, IpAddress &src_addr)
 {
     const char *proxy_auth;
     assert(headertype != 0);
@@ -503,7 +503,7 @@
 
 auth_acl_t
 
-AuthUserRequest::tryToAuthenticateAndSetAuthUser(AuthUserRequest ** auth_user_request, http_hdr_type headertype, HttpRequest * request, ConnStateData * conn, IPAddress &src_addr)
+AuthUserRequest::tryToAuthenticateAndSetAuthUser(AuthUserRequest ** auth_user_request, http_hdr_type headertype, HttpRequest * request, ConnStateData * conn, IpAddress &src_addr)
 {
     /* If we have already been called, return the cached value */
     AuthUserRequest *t = authTryGetUser (auth_user_request, conn, request);
diff -u -r -N squid-3.1.0.3/src/AuthUserRequest.h squid-3.1.0.4/src/AuthUserRequest.h
--- squid-3.1.0.3/src/AuthUserRequest.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/AuthUserRequest.h	2009-01-23 18:37:35.000000000 +1300
@@ -48,7 +48,7 @@
     dlink_node node;
     /* IP addr this user authenticated from */
 
-    IPAddress ipaddr;
+    IpAddress ipaddr;
     time_t ip_expiretime;
 };
 
@@ -108,7 +108,7 @@
 
     virtual void user(AuthUser *aUser) {_auth_user=aUser;}
 
-    static auth_acl_t tryToAuthenticateAndSetAuthUser(AuthUserRequest **, http_hdr_type, HttpRequest *, ConnStateData *, IPAddress &);
+    static auth_acl_t tryToAuthenticateAndSetAuthUser(AuthUserRequest **, http_hdr_type, HttpRequest *, ConnStateData *, IpAddress &);
     static void addReplyAuthHeader(HttpReply * rep, AuthUserRequest * auth_user_request, HttpRequest * request, int accelerated, int internal);
 
     AuthUserRequest();
@@ -146,7 +146,7 @@
 
 private:
 
-    static auth_acl_t authenticate(AuthUserRequest ** auth_user_request, http_hdr_type headertype, HttpRequest * request, ConnStateData * conn, IPAddress &src_addr);
+    static auth_acl_t authenticate(AuthUserRequest ** auth_user_request, http_hdr_type headertype, HttpRequest * request, ConnStateData * conn, IpAddress &src_addr);
 
     /** return a message on the 407 error pages */
     char *message;
@@ -176,7 +176,7 @@
 extern void authenticateAddTrailer(HttpReply *, AuthUserRequest *, HttpRequest *, int);
 
 /// \ingroup AuthAPI
-extern void authenticateAuthUserRequestRemoveIp(AuthUserRequest *, IPAddress const &);
+extern void authenticateAuthUserRequestRemoveIp(AuthUserRequest *, IpAddress const &);
 /// \ingroup AuthAPI
 extern void authenticateAuthUserRequestClearIp(AuthUserRequest *);
 /// \ingroup AuthAPI
diff -u -r -N squid-3.1.0.3/src/cache_cf.cc squid-3.1.0.4/src/cache_cf.cc
--- squid-3.1.0.3/src/cache_cf.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/cache_cf.cc	2009-01-23 18:37:36.000000000 +1300
@@ -47,7 +47,7 @@
 #include "Parsing.h"
 #include "MemBuf.h"
 #include "wordlist.h"
-#include "IPInterception.h"
+#include "ip/IpIntercept.h"
 
 #if HAVE_GLOB_H
 #include <glob.h>
@@ -142,11 +142,11 @@
 static void free_denyinfo(acl_deny_info_list ** var);
 
 #if USE_WCCPv2
-static void parse_IPAddress_list(IPAddress_list **);
-static void dump_IPAddress_list(StoreEntry *, const char *, const IPAddress_list *);
-static void free_IPAddress_list(IPAddress_list **);
+static void parse_IpAddress_list(IpAddress_list **);
+static void dump_IpAddress_list(StoreEntry *, const char *, const IpAddress_list *);
+static void free_IpAddress_list(IpAddress_list **);
 #if CURRENTLY_UNUSED
-static int check_null_IPAddress_list(const IPAddress_list *);
+static int check_null_IpAddress_list(const IpAddress_list *);
 #endif /* CURRENTLY_UNUSED */
 #endif /* USE_WCCPv2 */
 
@@ -974,14 +974,14 @@
 }
 
 static void
-dump_address(StoreEntry * entry, const char *name, IPAddress &addr)
+dump_address(StoreEntry * entry, const char *name, IpAddress &addr)
 {
     char buf[MAX_IPSTRLEN];
     storeAppendPrintf(entry, "%s %s\n", name, addr.NtoA(buf,MAX_IPSTRLEN) );
 }
 
 static void
-parse_address(IPAddress *addr)
+parse_address(IpAddress *addr)
 {
     char *token = strtok(NULL, w_space);
 
@@ -1001,7 +1001,7 @@
 }
 
 static void
-free_address(IPAddress *addr)
+free_address(IpAddress *addr)
 {
     addr->SetEmpty();
 }
@@ -2750,15 +2750,15 @@
 
 #if USE_WCCPv2
 void
-parse_IPAddress_list_token(IPAddress_list ** head, char *token)
+parse_IpAddress_list_token(IpAddress_list ** head, char *token)
 {
     char *t;
     char *host;
     char *tmp;
 
-    IPAddress ipa;
+    IpAddress ipa;
     unsigned short port;
-    IPAddress_list *s;
+    IpAddress_list *s;
 
     host = NULL;
     port = 0;
@@ -2804,24 +2804,24 @@
     while (*head)
         head = &(*head)->next;
 
-    s = static_cast<IPAddress_list *>(xcalloc(1, sizeof(*s)));
+    s = static_cast<IpAddress_list *>(xcalloc(1, sizeof(*s)));
     s->s = ipa;
 
     *head = s;
 }
 
 static void
-parse_IPAddress_list(IPAddress_list ** head)
+parse_IpAddress_list(IpAddress_list ** head)
 {
     char *token;
 
     while ((token = strtok(NULL, w_space))) {
-        parse_IPAddress_list_token(head, token);
+        parse_IpAddress_list_token(head, token);
     }
 }
 
 static void
-dump_IPAddress_list(StoreEntry * e, const char *n, const IPAddress_list * s)
+dump_IpAddress_list(StoreEntry * e, const char *n, const IpAddress_list * s)
 {
     char ntoabuf[MAX_IPSTRLEN];
 
@@ -2834,7 +2834,7 @@
 }
 
 static void
-free_IPAddress_list(IPAddress_list ** head)
+free_IpAddress_list(IpAddress_list ** head)
 {
     if (*head) delete *head;
     *head = NULL;
@@ -2845,7 +2845,7 @@
  * be used by icp_port and htcp_port
  */
 static int
-check_null_IPAddress_list(const IPAdress_list * s)
+check_null_IpAddress_list(const IPAdress_list * s)
 {
     return NULL == s;
 }
@@ -2966,7 +2966,7 @@
 
     } else if (strcmp(token, "transparent") == 0 || strcmp(token, "intercept") == 0) {
         s->intercepted = 1;
-        IPInterceptor.StartInterception();
+        IpInterceptor.StartInterception();
         /* Log information regarding the port modes under interception. */
         debugs(3, DBG_IMPORTANT, "Starting Authentication on port " << s->s);
         debugs(3, DBG_IMPORTANT, "Disabling Authentication on port " << s->s << " (interception enabled)");
@@ -2985,7 +2985,7 @@
             self_destruct();
         }
         s->spoof_client_ip = 1;
-        IPInterceptor.StartTransparency();
+        IpInterceptor.StartTransparency();
         /* Log information regarding the port modes under transparency. */
         debugs(3, DBG_IMPORTANT, "Starting IP Spoofing on port " << s->s);
         debugs(3, DBG_IMPORTANT, "Disabling Authentication on port " << s->s << " (Ip spoofing enabled)");
diff -u -r -N squid-3.1.0.3/src/cf.data.depend squid-3.1.0.4/src/cf.data.depend
--- squid-3.1.0.3/src/cf.data.depend	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/cf.data.depend	2009-01-23 18:37:36.000000000 +1300
@@ -38,10 +38,11 @@
 onoff
 peer
 peer_access		cache_peer acl
+QosConfig
 refreshpattern
 removalpolicy
 size_t
-IPAddress_list
+IpAddress_list
 string
 string
 time_t
diff -u -r -N squid-3.1.0.3/src/cf.data.pre squid-3.1.0.4/src/cf.data.pre
--- squid-3.1.0.3/src/cf.data.pre	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/cf.data.pre	2009-01-23 18:37:36.000000000 +1300
@@ -1226,8 +1226,8 @@
 	tcp_outgoing_tos 0x20 good_service_net
 
 	TOS/DSCP values really only have local significance - so you should
-	know what you're specifying. For more information, see RFC2474 and
-	RFC3260.
+	know what you're specifying. For more information, see RFC2474,
+	RFC2475, and RFC3260.
 
 	The TOS/DSCP byte must be exactly that - a octet value  0 - 255, or
 	"default" to use whatever default your host has. Note that in
@@ -1253,64 +1253,50 @@
 	making the request.
 DOC_END
 
-NAME: zph_tos_local
-TYPE: int
+NAME: qos_flows
+TYPE: QosConfig
 IFDEF: USE_ZPH_QOS
-DEFAULT: 0
-LOC: Config.zph_tos_local
+DEFAULT: none
+LOC: Config.zph
 DOC_START
-       Allows you to select a TOS/Diffserv value to mark local hits. Read above
-       (tcp_outgoing_tos) for details/requirements about TOS.
-       Default: 0 (disabled).
-DOC_END
+	Allows you to select a TOS/DSCP value to mark outgoing
+	connections with, based on where the reply was sourced.
 
-NAME: zph_tos_peer
-TYPE: int
-IFDEF: USE_ZPH_QOS
-DEFAULT: 0
-LOC: Config.zph_tos_peer
-DOC_START
-       Allows you to select a TOS/Diffserv value to mark peer hits. Read above
-       (tcp_outgoing_tos) for details/requirements about TOS.
-       Default: 0 (disabled).
-DOC_END
+	TOS values really only have local significance - so you should
+	know what you're specifying. For more information, see RFC2474,
+	RFC2475, and RFC3260.
 
-NAME: zph_tos_parent
-COMMENT: on|off
-TYPE: onoff
-IFDEF: USE_ZPH_QOS
-DEFAULT: on
-LOC: Config.onoff.zph_tos_parent
-DOC_START
-       Set this to off if you want only sibling hits to be marked.
-       If set to on (default), parent hits are being marked too.
-DOC_END
+	The TOS/DSCP byte must be exactly that - octet value 0x00-0xFF.
+	Note that in practice often only values up to 0x3F are usable
+	as the two highest bits have been redefined for use by ECN
+	(RFC3168).
 
-NAME: zph_preserve_miss_tos
-COMMENT: on|off
-TYPE: onoff
-IFDEF: USE_ZPH_QOS
-DEFAULT: on
-LOC: Config.onoff.zph_preserve_miss_tos
-DOC_START
-       If set to on (default), any HTTP response towards clients will
-       have the TOS value of the response comming from the remote
-       server masked with the value of zph_preserve_miss_tos_mask.
-       For this to work correctly, you will need to patch your linux
-       kernel with the TOS preserving ZPH patch.
-       The kernel patch can be downloaded from http://zph.bratcheda.org
-DOC_END
+	This setting is configured by setting the source TOS values:
+
+	local-hit=0xFF		Value to mark local cache hits.
+
+	sibling-hit=0xFF	Value to mark hits from sibling peers.
+
+	parent-hit=0xFF		Value to mark hits from parent peers.
+
+
+	NOTE: 'miss' preserve feature is only possible on Linux at this time.
+
+	For the following to work correctly, you will need to patch your
+	linux kernel with the TOS preserving ZPH patch.
+	The kernel patch can be downloaded from http://zph.bratcheda.org
+
+	disable-preserve-miss
+		If set, any HTTP response towards clients will
+		have the TOS value of the response comming from the
+		remote server masked with the value of miss-mask.
+
+	miss-mask=0xFF
+		Allows you to mask certain bits in the TOS received from the
+		remote server, before copying the value to the TOS sent
+		towards clients.
+		Default: 0xFF (TOS from server is not changed).
 
-NAME: zph_preserve_miss_tos_mask
-TYPE: int
-IFDEF: USE_ZPH_QOS
-DEFAULT: 255
-LOC: Config.zph_preserve_miss_tos_mask
-DOC_START
-       Allows you to mask certain bits in the TOS received from the
-       remote server, before copying the value to the TOS send towards
-       clients.
-       Default: 255 (TOS from server is not changed).
 DOC_END
 
 NAME: tcp_outgoing_address
@@ -3556,16 +3542,20 @@
 NAME: half_closed_clients
 TYPE: onoff
 LOC: Config.onoff.half_closed_clients
-DEFAULT: on
+DEFAULT: off
 DOC_START
 	Some clients may shutdown the sending side of their TCP
 	connections, while leaving their receiving sides open.	Sometimes,
 	Squid can not tell the difference between a half-closed and a
-	fully-closed TCP connection.  By default, half-closed client
-	connections are kept open until a read(2) or write(2) on the
-	socket returns an error.  Change this option to 'off' and Squid
-	will immediately close client connections when read(2) returns
-	"no more data to read."
+	fully-closed TCP connection.
+
+	By default, Squid will immediately close client connections when
+	read(2) returns "no more data to read."
+
+	Change this option to 'off' and Squid will keep open connections
+	until a read(2) or write(2) on the socket returns an error.
+	This may show some benefits for reverse proxies. But if not
+	it is recommended to leave OFF.
 DOC_END
 
 NAME: pconn_timeout
@@ -4038,7 +4028,7 @@
 DOC_END
 
 NAME: wccp2_router
-TYPE: IPAddress_list
+TYPE: IpAddress_list
 LOC: Config.Wccp2.router
 DEFAULT: none
 IFDEF: USE_WCCPv2
diff -u -r -N squid-3.1.0.3/src/cf_gen.cc squid-3.1.0.4/src/cf_gen.cc
--- squid-3.1.0.3/src/cf_gen.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/cf_gen.cc	2009-01-23 18:37:36.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: cf_gen.cc,v 1.62 2007/09/17 20:21:23 hno Exp $
- *
  * DEBUG: none          Generate squid.conf.default and cf_parser.h
  * AUTHOR: Max Okumoto
  *
@@ -48,9 +45,19 @@
  *			 administrator.
  *****************************************************************************/
 
-#include "squid.h"
-#include "SquidTime.h"
+//#include "squid.h"
+#include "config.h"
+#include "assert.h"
+//#include "SquidTime.h"
 #include "cf_gen_defines.h"
+#include "util.h"
+
+#if HAVE_STRING_H
+#include <string.h>
+#endif
+#if HAVE_STRING_H
+#include <ctype.h>
+#endif
 
 #define MAX_LINE	1024	/* longest configuration line */
 #define _PATH_PARSER		"cf_parser.h"
diff -u -r -N squid-3.1.0.3/src/client_db.cc squid-3.1.0.4/src/client_db.cc
--- squid-3.1.0.3/src/client_db.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/client_db.cc	2009-01-23 18:37:36.000000000 +1300
@@ -42,7 +42,7 @@
 
 static hash_table *client_table = NULL;
 
-static ClientInfo *clientdbAdd(const IPAddress &addr);
+static ClientInfo *clientdbAdd(const IpAddress &addr);
 static FREE clientdbFreeItem;
 static void clientdbStartGC(void);
 static void clientdbScheduledGC(void *);
@@ -56,7 +56,7 @@
 
 static ClientInfo *
 
-clientdbAdd(const IPAddress &addr)
+clientdbAdd(const IpAddress &addr)
 {
     ClientInfo *c;
     char *buf = new char[MAX_IPSTRLEN];
@@ -94,7 +94,7 @@
 }
 
 void
-clientdbUpdate(const IPAddress &addr, log_type ltype, protocol_t p, size_t size)
+clientdbUpdate(const IpAddress &addr, log_type ltype, protocol_t p, size_t size)
 {
     char key[MAX_IPSTRLEN];
     ClientInfo *c;
@@ -138,7 +138,7 @@
  * -1.  To get the current value, simply call with delta = 0.
  */
 int
-clientdbEstablished(const IPAddress &addr, int delta)
+clientdbEstablished(const IpAddress &addr, int delta)
 {
     char key[MAX_IPSTRLEN];
     ClientInfo *c;
@@ -165,7 +165,7 @@
 #define CUTOFF_SECONDS 3600
 int
 
-clientdbCutoffDenied(const IPAddress &addr)
+clientdbCutoffDenied(const IpAddress &addr)
 {
     char key[MAX_IPSTRLEN];
     int NR;
@@ -229,10 +229,10 @@
     return aLogType;
 }
 
-
 void
 clientdbDump(StoreEntry * sentry)
 {
+    const char *name;
     ClientInfo *c;
     log_type l;
     int icp_total = 0;
@@ -244,7 +244,9 @@
 
     while ((c = (ClientInfo *) hash_next(client_table))) {
         storeAppendPrintf(sentry, "Address: %s\n", hashKeyStr(&c->hash));
-        storeAppendPrintf(sentry, "Name:    %s\n", fqdnFromAddr(c->addr));
+        if( (name = fqdncache_gethostbyaddr(c->addr, 0)) ) {
+            storeAppendPrintf(sentry, "Name:    %s\n", name);
+        }
         storeAppendPrintf(sentry, "Currently established connections: %d\n",
                           c->n_established);
         storeAppendPrintf(sentry, "    ICP  Requests %d\n",
@@ -382,8 +384,8 @@
 
 #if SQUID_SNMP
 
-IPAddress *
-client_entry(IPAddress *current)
+IpAddress *
+client_entry(IpAddress *current)
 {
     ClientInfo *c = NULL;
     char key[MAX_IPSTRLEN];
diff -u -r -N squid-3.1.0.3/src/client_side.cc squid-3.1.0.4/src/client_side.cc
--- squid-3.1.0.3/src/client_side.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/client_side.cc	2009-01-23 18:37:36.000000000 +1300
@@ -20,12 +20,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -43,16 +43,16 @@
  * of client_side_reply.c.
  * Problem the second: resources are wasted if we delay in cleaning up.
  * Problem the third we can't depend on a connection close to clean up.
- * 
+ *
  \par Nice thing the first:
- * Any step in the stream can callback with data 
+ * Any step in the stream can callback with data
  * representing an error.
  * Nice thing the second: once you stop requesting reads from upstream,
  * upstream can be stopped too.
  *
  \par Solution #1:
  * Error has a callback mechanism to hand over a membuf
- * with the error content. The failing node pushes that back as the 
+ * with the error content. The failing node pushes that back as the
  * reply. Can this be generalised to reduce duplicate efforts?
  * A: Possibly. For now, only one location uses this.
  * How to deal with pre-stream errors?
@@ -65,28 +65,26 @@
  \par
  * requests (httpClientRequest structs) get added to the connection
  * list, with the current one being chr
- * 
+ *
  \par
  * The request is *immediately* kicked off, and data flows through
  * to clientSocketRecipient.
- * 
+ *
  \par
  * If the data that arrives at clientSocketRecipient is not for the current
  * request, clientSocketRecipient simply returns, without requesting more
  * data, or sending it.
  *
  \par
- * ClientKeepAliveNextRequest will then detect the presence of data in 
- * the next ClientHttpRequest, and will send it, restablishing the 
+ * ClientKeepAliveNextRequest will then detect the presence of data in
+ * the next ClientHttpRequest, and will send it, restablishing the
  * data flow.
  */
 
-#include "config.h"
 #include "squid.h"
 #include "client_side.h"
 #include "clientStream.h"
 #include "ProtoPort.h"
-#include "IPInterception.h"
 #include "AuthUserRequest.h"
 #include "Store.h"
 #include "comm.h"
@@ -94,6 +92,7 @@
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "ident.h"
+#include "ip/IpIntercept.h"
 #include "MemObject.h"
 #include "fde.h"
 #include "client_side_request.h"
@@ -167,7 +166,7 @@
 static int connKeepReadingIncompleteRequest(ConnStateData * conn);
 static void connCancelIncompleteRequests(ConnStateData * conn);
 
-static ConnStateData *connStateCreate(const IPAddress &peer, const IPAddress &me, int fd, http_port_list *port);
+static ConnStateData *connStateCreate(const IpAddress &peer, const IpAddress &me, int fd, http_port_list *port);
 
 
 int
@@ -473,7 +472,7 @@
             aLogEntry->cache.authuser =
                 xstrdup(request->auth_user_request->username());
 
-	AUTHUSERREQUESTUNLOCK(request->auth_user_request, "request via clientPrepareLogWithRequestDetails");
+        AUTHUSERREQUESTUNLOCK(request->auth_user_request, "request via clientPrepareLogWithRequestDetails");
     }
 }
 
@@ -500,7 +499,7 @@
 
         al.cache.caddr.SetNoAddr();
 
-        if(getConn() != NULL) al.cache.caddr = getConn()->log_addr;
+        if (getConn() != NULL) al.cache.caddr = getConn()->log_addr;
 
         al.cache.requestSize = req_sz;
 
@@ -520,9 +519,9 @@
 
 #if USE_SSL && 0
 
-	/* This is broken. Fails if the connection has been closed. Needs
-	 * to snarf the ssl details some place earlier..
-	 */
+        /* This is broken. Fails if the connection has been closed. Needs
+         * to snarf the ssl details some place earlier..
+         */
         if (getConn() != NULL)
             al.cache.ssluser = sslGetUserEmail(fd_table[getConn()->fd].ssl);
 
@@ -534,7 +533,8 @@
             checklist->reply = HTTPMSGLOCK(al.reply);
 
         if (!Config.accessList.log || checklist->fastCheck()) {
-            al.request = HTTPMSGLOCK(request);
+            if(request)
+                al.request = HTTPMSGLOCK(request);
             accessLogLog(&al, checklist);
             updateCounters();
 
@@ -622,7 +622,7 @@
     }
 
     if (pinning.fd >= 0)
-	comm_close(pinning.fd);
+        comm_close(pinning.fd);
 
     BodyProducer::swanSong();
     flags.swanSang = true;
@@ -632,8 +632,8 @@
 ConnStateData::isOpen() const
 {
     return cbdataReferenceValid(this) && // XXX: checking "this" in a method
-        fd >= 0 &&
-        !fd_table[fd].closing();
+           fd >= 0 &&
+           !fd_table[fd].closing();
 }
 
 ConnStateData::~ConnStateData()
@@ -829,9 +829,9 @@
     if (!multipartRangeRequest()) {
         size_t length = lengthToSend(bodyData.range());
         noteSentBodyBytes (length);
-	AsyncCall::Pointer call = commCbCall(33, 5, "clientWriteBodyComplete", 
-					     CommIoCbPtrFun(clientWriteBodyComplete, this));
-	comm_write(fd(), bodyData.data, length, call );
+        AsyncCall::Pointer call = commCbCall(33, 5, "clientWriteBodyComplete",
+                                             CommIoCbPtrFun(clientWriteBodyComplete, this));
+        comm_write(fd(), bodyData.data, length, call );
         return;
     }
 
@@ -839,11 +839,11 @@
     mb.init();
     packRange(bodyData, &mb);
 
-    if (mb.contentSize()){
+    if (mb.contentSize()) {
         /* write */
-	AsyncCall::Pointer call = commCbCall(33, 5, "clientWriteComplete", 
-					     CommIoCbPtrFun(clientWriteComplete, this));
-	comm_write_mbuf(fd(), &mb, call);
+        AsyncCall::Pointer call = commCbCall(33, 5, "clientWriteComplete",
+                                             CommIoCbPtrFun(clientWriteComplete, this));
+        comm_write_mbuf(fd(), &mb, call);
     }  else
         writeComplete(fd(), NULL, 0, COMM_OK);
 }
@@ -1096,7 +1096,7 @@
         range_err = "INCONSISTENT length";	/* a bug? */
 
     /* hits only - upstream peer determines correct behaviour on misses, and client_side_reply determines
-     * hits candidates 
+     * hits candidates
      */
     else if (logTypeIsATcpHit(http->logType) && http->request->header.has(HDR_IF_RANGE) && !clientIfRangeMatch(http, rep))
         range_err = "If-Range match failed";
@@ -1110,7 +1110,7 @@
     /* get rid of our range specs on error */
     if (range_err) {
         /* XXX We do this here because we need canonisation etc. However, this current
-         * code will lead to incorrect store offset requests - the store will have the 
+         * code will lead to incorrect store offset requests - the store will have the
          * offset data, but we won't be requesting it.
          * So, we can either re-request, or generate an error
          */
@@ -1131,7 +1131,7 @@
         int64_t actual_clen = -1;
 
         debugs(33, 3, "clientBuildRangeHeader: range spec count: " <<
-	    spec_count << " virgin clen: " << rep->content_length);
+               spec_count << " virgin clen: " << rep->content_length);
         assert(spec_count > 0);
         /* ETags should not be returned with Partial Content replies? */
         hdr->delById(HDR_ETAG);
@@ -1227,8 +1227,8 @@
 
     /* write */
     debugs(33,7, HERE << "sendStartOfMessage schedules clientWriteComplete");
-    AsyncCall::Pointer call = commCbCall(33, 5, "clientWriteComplete", 
-					 CommIoCbPtrFun(clientWriteComplete, this));
+    AsyncCall::Pointer call = commCbCall(33, 5, "clientWriteComplete",
+                                         CommIoCbPtrFun(clientWriteComplete, this));
     comm_write_mbuf(fd(), mb, call);
 
     delete mb;
@@ -1238,7 +1238,7 @@
  * Write a chunk of data to a client socket. If the reply is present,
  * send the reply headers down the wire too, and clean them up when
  * finished.
- * Pre-condition: 
+ * Pre-condition:
  *   The request is one backed by a connection, not an internal request.
  *   data context is not NULL
  *   There are no more entries in the stream chain.
@@ -1252,9 +1252,9 @@
     assert(node != NULL);
     PROF_start(clientSocketRecipient);
     /* TODO: handle this rather than asserting
-     * - it should only ever happen if we cause an abort and 
-     * the callback chain loops back to here, so we can simply return. 
-     * However, that itself shouldn't happen, so it stays as an assert for now. 
+     * - it should only ever happen if we cause an abort and
+     * the callback chain loops back to here, so we can simply return.
+     * However, that itself shouldn't happen, so it stays as an assert for now.
      */
     assert(cbdataReferenceValid(node));
     assert(node->node.next == NULL);
@@ -1298,8 +1298,8 @@
     /* Test preconditions */
     assert(node != NULL);
     /* TODO: handle this rather than asserting
-     * - it should only ever happen if we cause an abort and 
-     * the callback chain loops back to here, so we can simply return. 
+     * - it should only ever happen if we cause an abort and
+     * the callback chain loops back to here, so we can simply return.
      * However, that itself shouldn't happen, so it stays as an assert for now.
      */
     assert(cbdataReferenceValid(node));
@@ -1331,7 +1331,7 @@
      */
     typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
-		 TimeoutDialer(this, &ConnStateData::requestTimeout));
+                                      TimeoutDialer(this, &ConnStateData::requestTimeout));
     commSetTimeout(fd, Config.Timeout.persistent_request, timeoutCall);
 
     readSomeData();
@@ -1438,7 +1438,7 @@
  * used by clientPackMoreRanges
  *
  \retval true    there is still data available to pack more ranges
- \retval false   
+ \retval false
  */
 bool
 ClientSocketContext::canPackMoreRanges() const
@@ -1478,12 +1478,12 @@
             start = http->range_iter.currentSpec()->offset + http->range_iter.currentSpec()->length - http->range_iter.debt();
             debugs(33, 3, "clientPackMoreRanges: in:  offset: " << http->out.offset);
             debugs(33, 3, "clientPackMoreRanges: out:"
-		" start: " << start <<
-		" spec[" << http->range_iter.pos - http->request->range->begin() << "]:" <<
-		" [" << http->range_iter.currentSpec()->offset <<
-		", " << http->range_iter.currentSpec()->offset + http->range_iter.currentSpec()->length << "),"
-		" len: " << http->range_iter.currentSpec()->length << 
-		" debt: " << http->range_iter.debt());
+                   " start: " << start <<
+                   " spec[" << http->range_iter.pos - http->request->range->begin() << "]:" <<
+                   " [" << http->range_iter.currentSpec()->offset <<
+                   ", " << http->range_iter.currentSpec()->offset + http->range_iter.currentSpec()->length << "),"
+                   " len: " << http->range_iter.currentSpec()->length <<
+                   " debt: " << http->range_iter.debt());
             if (http->range_iter.currentSpec()->length != -1)
                 assert(http->out.offset <= start);	/* we did not miss it */
 
@@ -1505,7 +1505,7 @@
 ClientSocketContext::pullData()
 {
     debugs(33, 5, "ClientSocketContext::pullData: FD " << fd() <<
-        " attempting to pull upstream data");
+           " attempting to pull upstream data");
 
     /* More data will be coming from the stream. */
     StoreIOBuffer readBuffer;
@@ -1533,7 +1533,7 @@
 
             if (!canPackMoreRanges()) {
                 debugs(33, 5, HERE << "Range request at end of returnable " <<
-                    "range sequence on FD " << fd());
+                       "range sequence on FD " << fd());
 
                 if (http->request->flags.proxy_keepalive)
                     return STREAM_COMPLETE;
@@ -1546,8 +1546,8 @@
             const int64_t &bytesExpected = reply->content_range->spec.length;
 
             debugs(33, 7, HERE << "body bytes sent vs. expected: " <<
-                bytesSent << " ? " << bytesExpected << " (+" <<
-                reply->content_range->spec.offset << ")");
+                   bytesSent << " ? " << bytesExpected << " (+" <<
+                   reply->content_range->spec.offset << ")");
 
             // did we get at least what we expected, based on range specs?
 
@@ -1809,7 +1809,7 @@
                      strlen(host);
         http->uri = (char *)xcalloc(url_sz, 1);
         const char *protocol = switchedToHttps ?
-            "https" : conn->port->protocol;
+                               "https" : conn->port->protocol;
         snprintf(http->uri, url_sz, "%s://%s%s", protocol, host, url);
         debugs(33, 5, "ACCEL VHOST REWRITE: '" << http->uri << "'");
     } else if (conn->port->defaultsite) {
@@ -1872,7 +1872,7 @@
 
 /**
  *  parseHttpRequest()
- * 
+ *
  *  Returns
  *  NULL on incomplete requests
  *  a ClientSocketContext structure on success or failure.
@@ -2142,7 +2142,7 @@
     conn->in.notYetUsed -= byteCount;
     debugs(33, 5, HERE << "conn->in.notYetUsed = " << conn->in.notYetUsed);
     /*
-     * If there is still data that will be used, 
+     * If there is still data that will be used,
      * move it to the beginning.
      */
 
@@ -2260,10 +2260,10 @@
      * If transparent or interception mode is working clone the transparent and interception flags
      * from the port settings to the request.
      */
-    if(IPInterceptor.InterceptActive()) {
+    if (IpInterceptor.InterceptActive()) {
         request->flags.intercepted = http->flags.intercepted;
     }
-    if(IPInterceptor.TransparentActive()) {
+    if (IpInterceptor.TransparentActive()) {
         request->flags.spoof_client_ip = conn->port->spoof_client_ip;
     }
 
@@ -2361,7 +2361,7 @@
     http->calloutContext = new ClientRequestContext(http);
 
     http->doCallouts();
-    
+
 finish:
     if (!notedUseOfBuffer)
         connNoteUseOfBuffer(conn, http->req_sz);
@@ -2374,10 +2374,10 @@
      * assertion, not to mention that we were accessing freed memory.
      */
     if (http->request->flags.resetTCP() && conn->fd > -1) {
-	debugs(33, 3, HERE << "Sending TCP RST on FD " << conn->fd);
-	conn->flags.readMoreRequests = false;
-	comm_reset_close(conn->fd);
-	return;
+        debugs(33, 3, HERE << "Sending TCP RST on FD " << conn->fd);
+        conn->flags.readMoreRequests = false;
+        comm_reset_close(conn->fd);
+        return;
     }
 }
 
@@ -2541,9 +2541,9 @@
 
             handleReadData(io.buf, io.size);
 
-	    /* The above may close the connection under our feets */
-	    if (!isOpen())
-		return;
+            /* The above may close the connection under our feets */
+            if (!isOpen())
+                return;
 
         } else if (io.size == 0) {
             debugs(33, 5, "clientReadRequest: FD " << fd << " closed?");
@@ -2575,8 +2575,8 @@
         fd_note(fd, "Reading next request");
 
     if (! clientParseRequest(this, do_next_read)) {
-	if (!isOpen())
-	    return;
+        if (!isOpen())
+            return;
         /*
          * If the client here is half closed and we failed
          * to parse a request, close the connection.
@@ -2711,10 +2711,10 @@
         /*
          * if we don't close() here, we still need a timeout handler!
          */
-	typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
-                        TimeoutDialer(this,&ConnStateData::requestTimeout));
-	commSetTimeout(io.fd, 30, timeoutCall);
+        typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
+        AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
+                                          TimeoutDialer(this,&ConnStateData::requestTimeout));
+        commSetTimeout(io.fd, 30, timeoutCall);
 
         /*
          * Aha, but we don't want a read handler!
@@ -2766,7 +2766,7 @@
 }
 
 ConnStateData *
-connStateCreate(const IPAddress &peer, const IPAddress &me, int fd, http_port_list *port)
+connStateCreate(const IpAddress &peer, const IpAddress &me, int fd, http_port_list *port)
 {
     ConnStateData *result = new ConnStateData;
 
@@ -2778,10 +2778,10 @@
     result->in.buf = (char *)memAllocBuf(CLIENT_REQ_BUF_SZ, &result->in.allocatedSize);
     result->port = cbdataReference(port);
 
-    if(port->intercepted || port->spoof_client_ip) {
-        IPAddress client, dst;
+    if (port->intercepted || port->spoof_client_ip) {
+        IpAddress client, dst;
 
-        if (IPInterceptor.NatLookup(fd, me, peer, client, dst) == 0) {
+        if (IpInterceptor.NatLookup(fd, me, peer, client, dst) == 0) {
             result->me = client;
             result->peer = dst;
             result->transparent(true);
@@ -2789,8 +2789,7 @@
     }
 
     if (port->disable_pmtu_discovery != DISABLE_PMTU_OFF &&
-            (result->transparent() || port->disable_pmtu_discovery == DISABLE_PMTU_ALWAYS))
-    {
+            (result->transparent() || port->disable_pmtu_discovery == DISABLE_PMTU_ALWAYS)) {
 #if defined(IP_MTU_DISCOVER) && defined(IP_PMTUDISC_DONT)
         int i = IP_PMTUDISC_DONT;
         setsockopt(fd, SOL_IP, IP_MTU_DISCOVER, &i, sizeof i);
@@ -2841,16 +2840,16 @@
 
     typedef CommCbMemFunT<ConnStateData, CommCloseCbParams> Dialer;
     AsyncCall::Pointer call = asyncCall(33, 5, "ConnStateData::connStateClosed",
-                                 Dialer(connState, &ConnStateData::connStateClosed));
+                                        Dialer(connState, &ConnStateData::connStateClosed));
     comm_add_close_handler(newfd, call);
 
     if (Config.onoff.log_fqdn)
         fqdncache_gethostbyaddr(details->peer, FQDN_LOOKUP_IF_MISS);
 
-	typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
-                        TimeoutDialer(connState,&ConnStateData::requestTimeout));
-	commSetTimeout(newfd, Config.Timeout.read, timeoutCall);
+    typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
+    AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
+                                      TimeoutDialer(connState,&ConnStateData::requestTimeout));
+    commSetTimeout(newfd, Config.Timeout.read, timeoutCall);
 
 #if USE_IDENT
 
@@ -2870,7 +2869,7 @@
 #endif
 
     if (s->tcp_keepalive.enabled) {
-	commSetTcpKeepalive(newfd, s->tcp_keepalive.idle, s->tcp_keepalive.interval, s->tcp_keepalive.timeout);
+        commSetTcpKeepalive(newfd, s->tcp_keepalive.idle, s->tcp_keepalive.interval, s->tcp_keepalive.timeout);
     }
 
     connState->readSomeData();
@@ -2940,7 +2939,7 @@
                 if (errno == ECONNRESET)
                     hard = 0;
 
-                debugs(83, hard ? 1 : 2, "clientNegotiateSSL: Error negotiating SSL connection on FD " << 
+                debugs(83, hard ? 1 : 2, "clientNegotiateSSL: Error negotiating SSL connection on FD " <<
                        fd << ": " << strerror(errno) << " (" << errno << ")");
 
                 comm_close(fd);
@@ -2954,9 +2953,9 @@
             return;
 
         default:
-             debugs(83, 1, "clientNegotiateSSL: Error negotiating SSL connection on FD " << 
-                    fd << ": " << ERR_error_string(ERR_get_error(), NULL) << 
-                    " (" << ssl_error << "/" << ret << ")");
+            debugs(83, 1, "clientNegotiateSSL: Error negotiating SSL connection on FD " <<
+                   fd << ": " << ERR_error_string(ERR_get_error(), NULL) <<
+                   " (" << ssl_error << "/" << ret << ")");
             comm_close(fd);
             return;
         }
@@ -3056,19 +3055,19 @@
     debugs(33, 5, "httpsAccept: FD " << newfd << " accepted, starting SSL negotiation.");
     fd_note(newfd, "client https connect");
     ConnStateData *connState = connStateCreate(details->peer, details->me,
-        newfd, &s->http);
+                               newfd, &s->http);
     typedef CommCbMemFunT<ConnStateData, CommCloseCbParams> Dialer;
     AsyncCall::Pointer call = asyncCall(33, 5, "ConnStateData::connStateClosed",
-                                 Dialer(connState, &ConnStateData::connStateClosed));
+                                        Dialer(connState, &ConnStateData::connStateClosed));
     comm_add_close_handler(newfd, call);
 
     if (Config.onoff.log_fqdn)
         fqdncache_gethostbyaddr(details->peer, FQDN_LOOKUP_IF_MISS);
 
-	typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
-                        TimeoutDialer(connState,&ConnStateData::requestTimeout));
-	commSetTimeout(newfd, Config.Timeout.request, timeoutCall);
+    typedef CommCbMemFunT<ConnStateData, CommTimeoutCbParams> TimeoutDialer;
+    AsyncCall::Pointer timeoutCall =  asyncCall(33, 5, "ConnStateData::requestTimeout",
+                                      TimeoutDialer(connState,&ConnStateData::requestTimeout));
+    commSetTimeout(newfd, Config.Timeout.request, timeoutCall);
 
 #if USE_IDENT
 
@@ -3088,7 +3087,7 @@
 #endif
 
     if (s->http.tcp_keepalive.enabled) {
-	commSetTcpKeepalive(newfd, s->http.tcp_keepalive.idle, s->http.tcp_keepalive.interval, s->http.tcp_keepalive.timeout);
+        commSetTcpKeepalive(newfd, s->http.tcp_keepalive.idle, s->http.tcp_keepalive.interval, s->http.tcp_keepalive.timeout);
     }
 
     commSetSelect(newfd, COMM_SELECT_READ, clientNegotiateSSL, connState, 0);
@@ -3162,7 +3161,7 @@
 
         enter_suid();
 
-        if(s->spoof_client_ip) {
+        if (s->spoof_client_ip) {
             fd = comm_openex(SOCK_STREAM, IPPROTO_TCP, s->s, (COMM_NONBLOCKING|COMM_TRANSPARENT), 0, "HTTP Socket");
         } else {
             fd = comm_open(SOCK_STREAM, IPPROTO_TCP, s->s, COMM_NONBLOCKING, "HTTP Socket");
@@ -3181,7 +3180,7 @@
                (s->intercepted ? " intercepted" : "") <<
                (s->spoof_client_ip ? " spoofing" : "") <<
                (s->sslBump ? " bumpy" : "") <<
-               (s->accel ? " accelerated" : "") 
+               (s->accel ? " accelerated" : "")
                << " HTTP connections at " << s->s
                << ", FD " << fd << "." );
 
@@ -3191,8 +3190,8 @@
 #if USE_SSL
     if (bumpCount && !Config.accessList.ssl_bump)
         debugs(33, 1, "WARNING: http_port(s) with SslBump found, but no " <<
-            std::endl << "\tssl_bump ACL configured. No requests will be " <<
-            "bumped.");
+               std::endl << "\tssl_bump ACL configured. No requests will be " <<
+               "bumped.");
 #endif
 }
 
@@ -3282,8 +3281,8 @@
     if (!has_vary || !entry->mem_obj->vary_headers) {
         if (vary) {
             /* Oops... something odd is going on here.. */
-             debugs(33, 1, "varyEvaluateMatch: Oops. Not a Vary object on second attempt, '" << 
-                    entry->mem_obj->url << "' '" << vary << "'");
+            debugs(33, 1, "varyEvaluateMatch: Oops. Not a Vary object on second attempt, '" <<
+                   entry->mem_obj->url << "' '" << vary << "'");
             safe_free(request->vary_headers);
             return VARY_CANCEL;
         }
@@ -3325,7 +3324,7 @@
              * found the requested variant. Bail out
              */
             debugs(33, 1, "varyEvaluateMatch: Oops. Not a Vary match on second attempt, '" <<
-                    entry->mem_obj->url << "' '" << vary << "'");
+                   entry->mem_obj->url << "' '" << vary << "'");
             return VARY_CANCEL;
         }
     }
@@ -3449,42 +3448,43 @@
 {
     pinning.fd = -1;
     if (pinning.peer) {
-	cbdataReferenceDone(pinning.peer);
+        cbdataReferenceDone(pinning.peer);
     }
     safe_free(pinning.host);
     /* NOTE: pinning.pinned should be kept. This combined with fd == -1 at the end of a request indicates that the host
      * connection has gone away */
 }
 
-void ConnStateData::pinConnection(int pinning_fd, HttpRequest *request, struct peer *peer, bool auth){
+void ConnStateData::pinConnection(int pinning_fd, HttpRequest *request, struct peer *peer, bool auth)
+{
     fde *f;
     char desc[FD_DESC_SZ];
 
     if (pinning.fd == pinning_fd)
-	return;
+        return;
     else if (pinning.fd != -1)
-	comm_close(pinning.fd);
-    
-    if(pinning.host)
-	safe_free(pinning.host);
-    
+        comm_close(pinning.fd);
+
+    if (pinning.host)
+        safe_free(pinning.host);
+
     pinning.fd = pinning_fd;
     pinning.host = xstrdup(request->GetHost());
     pinning.port = request->port;
     pinning.pinned = true;
     if (pinning.peer)
-	cbdataReferenceDone(pinning.peer);
+        cbdataReferenceDone(pinning.peer);
     if (peer)
-	pinning.peer = cbdataReference(peer);
+        pinning.peer = cbdataReference(peer);
     pinning.auth = auth;
     f = &fd_table[fd];
     snprintf(desc, FD_DESC_SZ, "%s pinned connection for %s:%d (%d)",
-	(auth || !peer) ? request->GetHost() : peer->name, f->ipaddr, (int) f->remote_port, fd);
+             (auth || !peer) ? request->GetHost() : peer->name, f->ipaddr, (int) f->remote_port, fd);
     fd_note(pinning_fd, desc);
-    
+
     typedef CommCbMemFunT<ConnStateData, CommCloseCbParams> Dialer;
     pinning.closeHandler = asyncCall(33, 5, "ConnStateData::clientPinnedConnectionClosed",
-					Dialer(this, &ConnStateData::clientPinnedConnectionClosed));
+                                     Dialer(this, &ConnStateData::clientPinnedConnectionClosed));
     comm_add_close_handler(pinning_fd, pinning.closeHandler);
 
 }
@@ -3493,31 +3493,31 @@
 {
     bool valid = true;
     if (pinning.fd < 0)
-	return -1;
-    
+        return -1;
+
     if (pinning.auth && request && strcasecmp(pinning.host, request->GetHost()) != 0) {
-	valid = false;
+        valid = false;
     }
-    if (request && pinning.port != request->port){
-	valid = false;
+    if (request && pinning.port != request->port) {
+        valid = false;
     }
-    if (pinning.peer && !cbdataReferenceValid(pinning.peer)){
-	valid = false;
+    if (pinning.peer && !cbdataReferenceValid(pinning.peer)) {
+        valid = false;
     }
-    if (peer != pinning.peer){
-	valid = false;
+    if (peer != pinning.peer) {
+        valid = false;
     }
 
-    if(!valid) {
-	int pinning_fd=pinning.fd;
-	/* The pinning info is not safe, remove any pinning info*/
-	unpinConnection();
+    if (!valid) {
+        int pinning_fd=pinning.fd;
+        /* The pinning info is not safe, remove any pinning info*/
+        unpinConnection();
 
-	/* also close the server side socket, we should not use it for invalid/unauthenticated
-	   requests...
-	 */
-	comm_close(pinning_fd);
-	return -1;
+        /* also close the server side socket, we should not use it for invalid/unauthenticated
+           requests...
+         */
+        comm_close(pinning_fd);
+        return -1;
     }
 
     return pinning.fd;
@@ -3525,12 +3525,12 @@
 
 void ConnStateData::unpinConnection()
 {
-    if(pinning.peer)
-	cbdataReferenceDone(pinning.peer);
+    if (pinning.peer)
+        cbdataReferenceDone(pinning.peer);
 
-    if(pinning.closeHandler != NULL) {
-	comm_remove_close_handler(pinning.fd, pinning.closeHandler);
-	pinning.closeHandler = NULL;
+    if (pinning.closeHandler != NULL) {
+        comm_remove_close_handler(pinning.fd, pinning.closeHandler);
+        pinning.closeHandler = NULL;
     }
     pinning.fd = -1;
     safe_free(pinning.host);
diff -u -r -N squid-3.1.0.3/src/client_side.h squid-3.1.0.4/src/client_side.h
--- squid-3.1.0.3/src/client_side.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/client_side.h	2009-01-23 18:37:36.000000000 +1300
@@ -18,12 +18,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -68,17 +68,15 @@
     char reqbuf[HTTP_REQBUF_SZ];
     Pointer next;
 
-    struct
-    {
+    struct {
 
-unsigned deferred: 1; /* This is a pipelined request waiting for the current object to complete */
+        unsigned deferred:1; /* This is a pipelined request waiting for the current object to complete */
 
-unsigned parsed_ok: 1; /* Was this parsed correctly? */
+        unsigned parsed_ok:1; /* Was this parsed correctly? */
     } flags;
     bool mayUseConnection() const {return mayUseConnection_;}
 
-    void mayUseConnection(bool aBool)
-    {
+    void mayUseConnection(bool aBool) {
         mayUseConnection_ = aBool;
         debug (33,3)("ClientSocketContext::mayUseConnection: This %p marked %d\n",
                      this, aBool);
@@ -146,8 +144,7 @@
 
     int fd;
 
-    struct In
-    {
+    struct In {
         In();
         ~In();
         char *addressToReadInto() const;
@@ -176,16 +173,15 @@
      */
     ClientSocketContext::Pointer currentobject;
 
-    IPAddress peer;
+    IpAddress peer;
 
-    IPAddress me;
+    IpAddress me;
 
-    IPAddress log_addr;
+    IpAddress log_addr;
     char rfc931[USER_IDENT_SZ];
     int nrequests;
 
-    struct
-    {
+    struct {
         bool readMoreRequests;
         bool swanSang; // XXX: temporary flag to check proper cleanup
     } flags;
@@ -196,8 +192,8 @@
         bool pinned;             /* this connection was pinned */
         bool auth;               /* pinned for www authentication */
         struct peer *peer;             /* peer the connection goes via */
-	AsyncCall::Pointer closeHandler; /*The close handler for pinned server side connection*/
-     } pinning;
+        AsyncCall::Pointer closeHandler; /*The close handler for pinned server side connection*/
+    } pinning;
 
     http_port_list *port;
 
@@ -223,7 +219,7 @@
     /**
      * Decorrelate the ConnStateData object from its pinned peer
      */
-    void unpinConnection();    
+    void unpinConnection();
     /**
      * Checks if there is pinning info if it is valid. It can close the server side connection
      * if pinned info is not valid.
diff -u -r -N squid-3.1.0.3/src/client_side_reply.cc squid-3.1.0.4/src/client_side_reply.cc
--- squid-3.1.0.3/src/client_side_reply.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/client_side_reply.cc	2009-01-23 18:37:36.000000000 +1300
@@ -64,7 +64,7 @@
 
 /* Local functions */
 extern "C" CSS clientReplyStatus;
-extern ErrorState *clientBuildError(err_type, http_status, char const *, IPAddress &, HttpRequest *);
+extern ErrorState *clientBuildError(err_type, http_status, char const *, IpAddress &, HttpRequest *);
 
 /* privates */
 
@@ -93,7 +93,7 @@
 void
 clientReplyContext::setReplyToError(
     err_type err, http_status status, const HttpRequestMethod& method, char const *uri,
-    IPAddress &addr, HttpRequest * failedrequest, char *unparsedrequest,
+    IpAddress &addr, HttpRequest * failedrequest, char *unparsedrequest,
     AuthUserRequest * auth_user_request)
 {
     ErrorState *errstate =
@@ -400,8 +400,8 @@
 extern "C" CSR clientGetMoreData;
 extern "C" CSD clientReplyDetach;
 
-/*
- * clientCacheHit should only be called until the HTTP reply headers
+/**
+ * clientReplyContext::cacheHit Should only be called until the HTTP reply headers
  * have been parsed.  Normally this should be a single call, but
  * it might take more than one.  As soon as we have the headers,
  * we hand off to clientSendMoreData, processExpired, or
@@ -411,12 +411,16 @@
 clientReplyContext::CacheHit(void *data, StoreIOBuffer result)
 {
     clientReplyContext *context = (clientReplyContext *)data;
-    context->cacheHit (result);
+    context->cacheHit(result);
 }
 
+/**
+ * Process a possible cache HIT.
+ */
 void
 clientReplyContext::cacheHit(StoreIOBuffer result)
 {
+    /** Ignore if the HIT object is being deleted. */
     if (deleting)
         return;
 
@@ -603,7 +607,7 @@
     }
 }
 
-/*
+/**
  * Prepare to fetch the object as it's a cache miss of some kind.
  */
 void
@@ -613,11 +617,11 @@
     HttpRequest *r = http->request;
     ErrorState *err = NULL;
     debugs(88, 4, "clientProcessMiss: '" << RequestMethodStr(r->method) << " " << url << "'");
-    /*
+
+    /**
      * We might have a left-over StoreEntry from a failed cache hit
      * or IMS request.
      */
-
     if (http->storeEntry()) {
         if (EBIT_TEST(http->storeEntry()->flags, ENTRY_SPECIAL)) {
             debugs(88, 0, "clientProcessMiss: miss on a special object (" << url << ").");
@@ -628,22 +632,24 @@
         removeClientStoreReference(&sc, http);
     }
 
+    /** Check if its a PURGE request to be actioned. */
     if (r->method == METHOD_PURGE) {
         purgeRequest();
         return;
     }
 
+    /** Check if its an 'OTHER' request. Purge all cached entries if so and continue. */
     if (r->method == METHOD_OTHER) {
-        // invalidate all cache entries
         purgeAllCached();
     }
 
+    /** Check if 'only-if-cached' flag is set. Action if so. */
     if (http->onlyIfCached()) {
         processOnlyIfCachedMiss();
         return;
     }
 
-    /*
+    /**
      * Deny loops when running in accelerator/transproxy mode.
      */
     if (http->flags.accel && r->flags.loopdetect) {
@@ -672,16 +678,18 @@
             return;
         }
 
+        /** Check for internal requests. Update Protocol info if so. */
         if (http->flags.internal)
             r->protocol = PROTO_INTERNAL;
 
+        /** Start forwarding to get the new object from network */
         FwdState::fwdStart(http->getConn() != NULL ? http->getConn()->fd : -1,
                            http->storeEntry(),
                            r);
     }
 }
 
-/*
+/**
  * client issued a request with an only-if-cached cache-control directive;
  * we did not find a cached object that can be returned without
  *     contacting other servers;
@@ -1346,35 +1354,30 @@
 #endif
 
     /* Check whether we should send keep-alive */
-    // TODO: disable proxy_keepalive only once
-
-    if (reply->bodySize(request->method) < 0) {
-        debugs(88, 3, "clientBuildReplyHeader: can't keep-alive, unknown body size" );
-        request->flags.proxy_keepalive = 0;
-    }
-
-    if (fdUsageHigh()&& !request->flags.must_keepalive) {
-        debugs(88, 3, "clientBuildReplyHeader: Not many unused FDs, can't keep-alive");
-        request->flags.proxy_keepalive = 0;
-    }
-
     if (!Config.onoff.error_pconns && reply->sline.status >= 400 && !request->flags.must_keepalive) {
         debugs(33, 3, "clientBuildReplyHeader: Error, don't keep-alive");
         request->flags.proxy_keepalive = 0;
     }
-
-    if (!Config.onoff.client_pconns && !request->flags.must_keepalive)
+    else if (!Config.onoff.client_pconns && !request->flags.must_keepalive) {
+        debugs(33, 2, "clientBuildReplyHeader: Connection Keep-Alive not requested by admin or client");
         request->flags.proxy_keepalive = 0;
-
-    if (request->flags.proxy_keepalive && shutting_down) {
+    }
+    else if (request->flags.proxy_keepalive && shutting_down) {
         debugs(88, 3, "clientBuildReplyHeader: Shutting down, don't keep-alive.");
         request->flags.proxy_keepalive = 0;
     }
-
-    if (request->flags.connection_auth && !reply->keep_alive) {
+    else if (request->flags.connection_auth && !reply->keep_alive) {
         debugs(33, 2, "clientBuildReplyHeader: Connection oriented auth but server side non-persistent");
         request->flags.proxy_keepalive = 0;
     }
+    else if (reply->bodySize(request->method) < 0) {
+        debugs(88, 3, "clientBuildReplyHeader: can't keep-alive, unknown body size" );
+        request->flags.proxy_keepalive = 0;
+    }
+    else if (fdUsageHigh()&& !request->flags.must_keepalive) {
+        debugs(88, 3, "clientBuildReplyHeader: Not many unused FDs, can't keep-alive");
+        request->flags.proxy_keepalive = 0;
+    }
 
 
     /* Append VIA */
@@ -1439,12 +1442,17 @@
     }
 }
 
+/**
+ * Check state of the current StoreEntry object.
+ * to see if we can determine the final status of the request.
+ */
 void
 clientReplyContext::identifyFoundObject(StoreEntry *newEntry)
 {
     StoreEntry *e = newEntry;
     HttpRequest *r = http->request;
 
+    /** \item  If the entry received isNull() then we ignore it. */
     if (e->isNull()) {
         http->storeEntry(NULL);
     } else {
@@ -1452,8 +1460,11 @@
     }
 
     e = http->storeEntry();
-    /* Release IP-cache entries on reload */
 
+    /* Release IP-cache entries on reload */
+    /** \item If the request has no-cache flag set or some no_cache HACK in operation we
+      * 'invalidate' the cached IP entries for this request ???
+      */
     if (r->flags.nocache) {
 
 #if USE_DNSSERVERS
@@ -1492,14 +1503,15 @@
 #endif
 
     if (NULL == http->storeEntry()) {
-        /* this object isn't in the cache */
-        debugs(85, 3, "clientProcessRequest2: storeGet() MISS");
+        /** \item If no StoreEntry object is current assume this object isn't in the cache set MISS*/
+        debugs(85, 3, "clientProcessRequest2: StoreEntry is NULL -  MISS");
         http->logType = LOG_TCP_MISS;
         doGetMoreData();
         return;
     }
 
     if (Config.onoff.offline) {
+        /** \item If we are running in offline mode set to HIT */
         debugs(85, 3, "clientProcessRequest2: offline HIT");
         http->logType = LOG_TCP_HIT;
         doGetMoreData();
@@ -1507,7 +1519,8 @@
     }
 
     if (http->redirect.status) {
-        /* force this to be a miss */
+        /** \item If redirection status is True force this to be a MISS */
+        debugs(85, 3, "clientProcessRequest2: redirectStatus forced StoreEntry to NULL -  MISS");
         http->storeEntry(NULL);
         http->logType = LOG_TCP_MISS;
         doGetMoreData();
@@ -1619,8 +1632,7 @@
              * the method as GET.
              */
             http->storeEntry()->createMemObject(http->uri, http->log_uri);
-            http->storeEntry()->mem_obj->method =
-                http->request->method;
+            http->storeEntry()->mem_obj->method = http->request->method;
         }
 
         sc = storeClientListAdd(http->storeEntry(), this);
@@ -1635,9 +1647,9 @@
         assert(http->out.size == 0);
         assert(http->out.offset == 0);
 #if USE_ZPH_QOS
-        if (Config.zph_tos_local) {
-            debugs(33, 2, "ZPH Local hit, TOS="<<Config.zph_tos_local);
-            comm_set_tos(http->getConn()->fd,Config.zph_tos_local);
+        if (Config.zph.tos_local_hit) {
+            debugs(33, 2, "ZPH Local hit, TOS=" << Config.zph.tos_local_hit);
+            comm_set_tos(http->getConn()->fd, Config.zph.tos_local_hit);
         }
 #endif /* USE_ZPH_QOS */
         tempBuffer.offset = reqofs;
@@ -1732,7 +1744,7 @@
 void
 clientReplyContext::sendBodyTooLargeError()
 {
-    IPAddress tmp_noaddr;
+    IpAddress tmp_noaddr;
     tmp_noaddr.SetNoAddr(); // TODO: make a global const
     ErrorState *err = clientBuildError(ERR_TOO_BIG, HTTP_FORBIDDEN, NULL,
                                        http->getConn() != NULL ? http->getConn()->peer : tmp_noaddr,
@@ -1800,7 +1812,7 @@
         if (page_id == ERR_NONE)
             page_id = ERR_ACCESS_DENIED;
 
-        IPAddress tmp_noaddr;
+        IpAddress tmp_noaddr;
         tmp_noaddr.SetNoAddr();
         err = clientBuildError(page_id, HTTP_FORBIDDEN, NULL,
                                http->getConn() != NULL ? http->getConn()->peer : tmp_noaddr,
@@ -1915,13 +1927,14 @@
     if (reqofs==0 && !logTypeIsATcpHit(http->logType)) {
         assert(fd >= 0); // the beginning of this method implies fd may be -1
         int tos = 0;
-        if (Config.zph_tos_peer &&
-                (http->request->hier.code==SIBLING_HIT ||
-                 (Config.onoff.zph_tos_parent && http->request->hier.code==PARENT_HIT) ) ) {
-            tos = Config.zph_tos_peer;
-            debugs(33, 2, "ZPH: Peer hit with hier.code="<<http->request->hier.code<<", TOS="<<tos);
-        } else if (Config.onoff.zph_preserve_miss_tos && Config.zph_preserve_miss_tos_mask) {
-            tos = fd_table[fd].upstreamTOS & Config.zph_preserve_miss_tos_mask;
+        if (Config.zph.tos_sibling_hit && http->request->hier.code==SIBLING_HIT ) {
+            tos = Config.zph.tos_sibling_hit;
+            debugs(33, 2, "ZPH: Sibling Peer hit with hier.code=" << http->request->hier.code << ", TOS=" << tos);
+        } else if (Config.zph.tos_parent_hit && http->request->hier.code==PARENT_HIT) {
+            tos = Config.zph.tos_parent_hit;
+            debugs(33, 2, "ZPH: Parent Peer hit with hier.code=" << http->request->hier.code << ", TOS=" << tos);
+        } else if (Config.zph.preserve_miss_tos && Config.zph.preserve_miss_tos_mask) {
+            tos = fd_table[fd].upstreamTOS & Config.zph.preserve_miss_tos_mask;
             debugs(33, 2, "ZPH: Preserving TOS on miss, TOS="<<tos);
         }
         comm_set_tos(fd,tos);
@@ -2033,7 +2046,7 @@
 
 ErrorState *
 clientBuildError(err_type page_id, http_status status, char const *url,
-                 IPAddress &src_addr, HttpRequest * request)
+                 IpAddress &src_addr, HttpRequest * request)
 {
     ErrorState *err = errorCon(page_id, status, request);
     err->src_addr = src_addr;
diff -u -r -N squid-3.1.0.3/src/client_side_reply.h squid-3.1.0.4/src/client_side_reply.h
--- squid-3.1.0.3/src/client_side_reply.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/client_side_reply.h	2009-01-23 18:37:36.000000000 +1300
@@ -1,8 +1,4 @@
-
 /*
- * $Id: client_side_reply.h,v 1.21 2008/02/08 18:31:02 rousskov Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -40,9 +36,9 @@
 #include "clientStream.h"
 #include "StoreClient.h"
 #include "client_side_request.h"
-#include "IPAddress.h"
 
 class ErrorState;
+class IpAddress;
 
 /* XXX make static method */
 
@@ -76,7 +72,7 @@
     int storeOKTransferDone() const;
     int storeNotOKTransferDone() const;
 
-    void setReplyToError(err_type, http_status, const HttpRequestMethod&, char const *, IPAddress &, HttpRequest *, char *, AuthUserRequest *);
+    void setReplyToError(err_type, http_status, const HttpRequestMethod&, char const *, IpAddress &, HttpRequest *, char *, AuthUserRequest *);
     void createStoreEntry(const HttpRequestMethod& m, request_flags flags);
     void removeStoreReference(store_client ** scp, StoreEntry ** ep);
     void removeClientStoreReference(store_client **scp, ClientHttpRequest *http);
diff -u -r -N squid-3.1.0.3/src/client_side_request.cc squid-3.1.0.4/src/client_side_request.cc
--- squid-3.1.0.3/src/client_side_request.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/client_side_request.cc	2009-01-23 18:37:36.000000000 +1300
@@ -583,7 +583,7 @@
         clientStreamNode *node = (clientStreamNode *)http->client_stream.tail->prev->data;
         clientReplyContext *repContext = dynamic_cast<clientReplyContext *>(node->data.getRaw());
         assert (repContext);
-        IPAddress tmpnoaddr;
+        IpAddress tmpnoaddr;
         tmpnoaddr.SetNoAddr();
         repContext->setReplyToError(page_id, status,
                                     http->request->method, NULL,
@@ -1459,7 +1459,7 @@
     // The original author of the code also wanted to pass an errno to
     // setReplyToError, but it seems unlikely that the errno reflects the
     // true cause of the error at this point, so I did not pass it.
-    IPAddress noAddr;
+    IpAddress noAddr;
     noAddr.SetNoAddr();
     ConnStateData * c = getConn();
     repContext->setReplyToError(ERR_ICAP_FAILURE, HTTP_INTERNAL_SERVER_ERROR,
diff -u -r -N squid-3.1.0.3/src/comm.cc squid-3.1.0.4/src/comm.cc
--- squid-3.1.0.3/src/comm.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/comm.cc	2009-01-23 18:37:36.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: comm.cc,v 1.447 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Harvest Derived
  *
@@ -21,12 +18,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -47,10 +44,10 @@
 #include "pconn.h"
 #include "SquidTime.h"
 #include "CommCalls.h"
-#include "IPAddress.h"
-#include "IPInterception.h"
 #include "DescriptorSet.h"
 #include "icmp/net_db.h"
+#include "ip/IpAddress.h"
+#include "ip/IpIntercept.h"
 
 #if defined(_SQUID_CYGWIN_)
 #include <sys/ioctl.h>
@@ -64,9 +61,9 @@
  */
 
 typedef enum {
-	IOCB_NONE,
-	IOCB_READ,
-	IOCB_WRITE
+    IOCB_NONE,
+    IOCB_READ,
+    IOCB_WRITE
 } iocb_type;
 
 static void commStopHalfClosedMonitor(int fd);
@@ -74,23 +71,23 @@
 
 
 struct comm_io_callback_t {
-	iocb_type type;
-	int fd;
-	AsyncCall::Pointer callback;
-	char *buf;
-	FREE *freefunc;
-	int size;
-	int offset;
-	comm_err_t errcode;
-	int xerrno;
+    iocb_type type;
+    int fd;
+    AsyncCall::Pointer callback;
+    char *buf;
+    FREE *freefunc;
+    int size;
+    int offset;
+    comm_err_t errcode;
+    int xerrno;
 
-	bool active() const { return callback != NULL; }
+    bool active() const { return callback != NULL; }
 };
 
 struct _comm_fd {
-	int fd;
-	comm_io_callback_t	readcb;
-	comm_io_callback_t	writecb;
+    int fd;
+    comm_io_callback_t	readcb;
+    comm_io_callback_t	writecb;
 };
 typedef struct _comm_fd comm_fd_t;
 comm_fd_t *commfd_table;
@@ -99,9 +96,9 @@
 bool
 commio_has_callback(int fd, iocb_type type, comm_io_callback_t *ccb)
 {
-	assert(ccb->fd == fd);
-	assert(ccb->type == type);
-	return ccb->active();
+    assert(ccb->fd == fd);
+    assert(ccb->type == type);
+    return ccb->active();
 }
 
 /*
@@ -117,17 +114,17 @@
  */
 static void
 commio_set_callback(int fd, iocb_type type, comm_io_callback_t *ccb,
-    AsyncCall::Pointer &cb, char *buf, FREE *freefunc, int size)
+                    AsyncCall::Pointer &cb, char *buf, FREE *freefunc, int size)
 {
-	assert(!ccb->active());
-	assert(ccb->type == type);
-	assert(cb != NULL);
-	ccb->fd = fd;
-	ccb->callback = cb;
-	ccb->buf = buf;
-	ccb->freefunc = freefunc;
-	ccb->size = size;
-	ccb->offset = 0;
+    assert(!ccb->active());
+    assert(ccb->type == type);
+    assert(cb != NULL);
+    ccb->fd = fd;
+    ccb->callback = cb;
+    ccb->buf = buf;
+    ccb->freefunc = freefunc;
+    ccb->size = size;
+    ccb->offset = 0;
 }
 
 
@@ -136,26 +133,26 @@
 commio_finish_callback(int fd, comm_io_callback_t *ccb, comm_err_t code, int xerrno)
 {
     debugs(5, 3, "commio_finish_callback: called for FD " << fd << " (" <<
-        code << ", " << xerrno << ")");
-	assert(ccb->active());
-	assert(ccb->fd == fd);
-	ccb->errcode = code;
-	ccb->xerrno = xerrno;
-
-	comm_io_callback_t cb = *ccb;
-
-	/* We've got a copy; blow away the real one */
-	/* XXX duplicate code from commio_cancel_callback! */
-	ccb->xerrno = 0;
-	ccb->callback = NULL; // cb has it
-
-	/* free data */
-	if (cb.freefunc) {
-		cb.freefunc(cb.buf);
-		cb.buf = NULL;
-	}
+           code << ", " << xerrno << ")");
+    assert(ccb->active());
+    assert(ccb->fd == fd);
+    ccb->errcode = code;
+    ccb->xerrno = xerrno;
+
+    comm_io_callback_t cb = *ccb;
+
+    /* We've got a copy; blow away the real one */
+    /* XXX duplicate code from commio_cancel_callback! */
+    ccb->xerrno = 0;
+    ccb->callback = NULL; // cb has it
+
+    /* free data */
+    if (cb.freefunc) {
+        cb.freefunc(cb.buf);
+        cb.buf = NULL;
+    }
 
-	if (cb.callback != NULL) {
+    if (cb.callback != NULL) {
         typedef CommIoCbParams Params;
         Params &params = GetCommParams<Params>(cb.callback);
         params.fd = cb.fd;
@@ -164,7 +161,7 @@
         params.flag = cb.errcode;
         params.xerrno = cb.xerrno;
         ScheduleCallHere(cb.callback);
-	}
+    }
 }
 
 
@@ -178,16 +175,16 @@
 commio_cancel_callback(int fd, comm_io_callback_t *ccb)
 {
     debugs(5, 3, "commio_cancel_callback: called for FD " << fd);
-	assert(ccb->fd == fd);
-	assert(ccb->active());
+    assert(ccb->fd == fd);
+    assert(ccb->active());
 
-	ccb->xerrno = 0;
-	ccb->callback = NULL;
+    ccb->xerrno = 0;
+    ccb->callback = NULL;
 }
 
 /*
  * Call the given comm callback; assumes the callback is valid.
- * 
+ *
  * @param ccb		io completion callback
  */
 void
@@ -209,10 +206,10 @@
 // defaults given by client
     char *host;
     u_short default_port;
-    IPAddress default_addr;
+    IpAddress default_addr;
     // NP: CANNOT store the default addr:port together as it gets set/reset differently.
 
-    IPAddress S;
+    IpAddress S;
     AsyncCall::Pointer callback;
 
     int fd;
@@ -270,8 +267,7 @@
     COMM_CB_DERIVED,
 } comm_callback_t;
 
-struct _fd_debug_t
-{
+struct _fd_debug_t {
     char const *close_file;
     int close_line;
 };
@@ -285,7 +281,7 @@
 static bool
 isOpen(const int fd)
 {
-   return fd_table[fd].flags.open != 0;
+    return fd_table[fd].flags.open != 0;
 }
 
 /**
@@ -298,7 +294,7 @@
 commHandleRead(int fd, void *data)
 {
     comm_io_callback_t *ccb = (comm_io_callback_t *) data;
-    
+
     assert(data == COMMIO_FD_READCB(fd));
     assert(commio_has_callback(fd, IOCB_READ, ccb));
     /* Attempt a read */
@@ -310,8 +306,8 @@
 
     if (retval < 0 && !ignoreErrno(errno)) {
         debugs(5, 3, "comm_read_try: scheduling COMM_ERROR");
-	ccb->offset = 0;
-	commio_finish_callback(fd, ccb, COMM_ERROR, errno);
+        ccb->offset = 0;
+        commio_finish_callback(fd, ccb, COMM_ERROR, errno);
         return;
     };
 
@@ -319,8 +315,8 @@
     /* Note - read 0 == socket EOF, which is a valid read */
     if (retval >= 0) {
         fd_bytes(fd, retval, FD_READ);
-	ccb->offset = retval;    
-	commio_finish_callback(fd, ccb, COMM_OK, errno);
+        ccb->offset = retval;
+        commio_finish_callback(fd, ccb, COMM_OK, errno);
         return;
     }
 
@@ -336,7 +332,7 @@
 comm_read(int fd, char *buf, int size, IOCB *handler, void *handler_data)
 {
     AsyncCall::Pointer call = commCbCall(5,4, "SomeCommReadHandler",
-					 CommIoCbPtrFun(handler, handler_data));
+                                         CommIoCbPtrFun(handler, handler_data));
     comm_read(fd, buf, size, call);
 }
 
@@ -432,21 +428,21 @@
     if (!isOpen(fd)) {
         debugs(5, 4, "comm_read_cancel fails: FD " << fd << " closed");
         return;
-	}
+    }
 
     comm_io_callback_t *cb = COMMIO_FD_READCB(fd);
     // TODO: is "active" == "monitors FD"?
     if (!cb->active()) {
         debugs(5, 4, "comm_read_cancel fails: FD " << fd << " inactive");
         return;
-	}
+    }
 
     typedef CommCbFunPtrCallT<CommIoCbPtrFun> Call;
     Call *call = dynamic_cast<Call*>(cb->callback.getRaw());
     if (!call) {
         debugs(5, 4, "comm_read_cancel fails: FD " << fd << " lacks callback");
         return;
-	}
+    }
 
     call->cancel("old comm_read_cancel");
 
@@ -468,7 +464,7 @@
 comm_read_cancel(int fd, AsyncCall::Pointer &callback)
 {
     callback->cancel("comm_read_cancel");
-    
+
     if (!isOpen(fd)) {
         debugs(5, 4, "comm_read_cancel fails: FD " << fd << " closed");
         return;
@@ -483,7 +479,7 @@
 
     AsyncCall::Pointer call = cb->callback;
     assert(call != NULL); // XXX: should never fail (active() checks for callback==NULL)
-    
+
     /* Ok, we can be reasonably sure we won't lose any data here! */
     assert(call == callback);
 
@@ -499,7 +495,7 @@
  * synchronous wrapper around udp socket functions
  */
 int
-comm_udp_recvfrom(int fd, void *buf, size_t len, int flags, IPAddress &from)
+comm_udp_recvfrom(int fd, void *buf, size_t len, int flags, IpAddress &from)
 {
     statCounter.syscalls.sock.recvfroms++;
     int x = 0;
@@ -523,7 +519,7 @@
 int
 comm_udp_recv(int fd, void *buf, size_t len, int flags)
 {
-    IPAddress nul;
+    IpAddress nul;
     return comm_udp_recvfrom(fd, buf, len, flags, nul);
 }
 
@@ -550,7 +546,7 @@
 u_short
 comm_local_port(int fd)
 {
-    IPAddress temp;
+    IpAddress temp;
     struct addrinfo *addr = NULL;
     fde *F = &fd_table[fd];
 
@@ -608,7 +604,7 @@
 int
 comm_open(int sock_type,
           int proto,
-          IPAddress &addr,
+          IpAddress &addr,
           int flags,
           const char *note)
 {
@@ -625,13 +621,13 @@
 comm_set_tos(int fd, int tos)
 {
 #ifdef IP_TOS
-	int x = setsockopt(fd, IPPROTO_IP, IP_TOS, (char *) &tos, sizeof(int));
-        if (x < 0)
-            debugs(50, 1, "comm_set_tos: setsockopt(IP_TOS) on FD " << fd << ": " << xstrerror());
-	return x;
+    int x = setsockopt(fd, IPPROTO_IP, IP_TOS, (char *) &tos, sizeof(int));
+    if (x < 0)
+        debugs(50, 1, "comm_set_tos: setsockopt(IP_TOS) on FD " << fd << ": " << xstrerror());
+    return x;
 #else
-        debugs(50, 0, "WARNING: setsockopt(IP_TOS) not supported on this platform");
-	return -1;
+    debugs(50, 0, "WARNING: setsockopt(IP_TOS) not supported on this platform");
+    return -1;
 #endif
 }
 
@@ -657,8 +653,7 @@
     int tos = 1;
     if (setsockopt(fd, SOL_IP, IP_TRANSPARENT, (char *) &tos, sizeof(int)) < 0) {
         debugs(50, DBG_IMPORTANT, "comm_open: setsockopt(IP_TRANSPARENT) on FD " << fd << ": " << xstrerror());
-    }
-    else {
+    } else {
         /* mark the socket as having transparent options */
         fd_table[fd].flags.transparent = 1;
     }
@@ -674,7 +669,7 @@
 int
 comm_openex(int sock_type,
             int proto,
-            IPAddress &addr,
+            IpAddress &addr,
             int flags,
             unsigned char TOS,
             const char *note)
@@ -695,8 +690,7 @@
 
     debugs(50, 3, "comm_openex: Attempt open socket for: " << addr );
 
-    if ((new_socket = socket(AI->ai_family, AI->ai_socktype, AI->ai_protocol)) < 0)
-    {
+    if ((new_socket = socket(AI->ai_family, AI->ai_socktype, AI->ai_protocol)) < 0) {
         /* Increase the number of reserved fd's if calls to socket()
          * are failing because the open file table is full.  This
          * limits the number of simultaneous clients */
@@ -723,7 +717,7 @@
 
 #if IPV6_SPECIAL_SPLITSTACK
 
-    if( addr.IsIPv6() )
+    if ( addr.IsIPv6() )
         comm_set_v6only(new_socket, tos);
 
 #endif
@@ -732,7 +726,7 @@
 
     /* Windows Vista supports Dual-Sockets. BUT defaults them to V6ONLY. Turn it OFF. */
     /* Other OS may have this administratively disabled for general use. Same deal. */
-    if( addr.IsIPv6() )
+    if ( addr.IsIPv6() )
         comm_set_v6only(new_socket, 0);
 
 #endif
@@ -761,8 +755,7 @@
     if ((flags & COMM_REUSEADDR))
         commSetReuseAddr(new_socket);
 
-    if (addr.GetPort() > (u_short) 0)
-    {
+    if (addr.GetPort() > (u_short) 0) {
 #ifdef _SQUID_MSWIN_
 
         if (sock_type != SOCK_DGRAM)
@@ -775,12 +768,11 @@
     }
 
     /* MUST be done before binding or face OS Error: "(99) Cannot assign requested address"... */
-    if((flags & COMM_TRANSPARENT)) {
+    if ((flags & COMM_TRANSPARENT)) {
         comm_set_transparent(new_socket);
     }
 
-    if (!addr.IsNoAddr())
-    {
+    if (!addr.IsNoAddr()) {
         if (commBind(new_socket, *AI) != COMM_OK) {
             comm_close(new_socket);
             addr.FreeAddrInfo(AI);
@@ -792,8 +784,7 @@
     addr.FreeAddrInfo(AI);
 
     if (flags & COMM_NONBLOCKING)
-        if (commSetNonBlocking(new_socket) == COMM_ERROR)
-        {
+        if (commSetNonBlocking(new_socket) == COMM_ERROR) {
             return -1;
             PROF_stop(comm_open);
         }
@@ -833,7 +824,7 @@
 commConnectStart(int fd, const char *host, u_short port, AsyncCall::Pointer &cb)
 {
     debugs(cb->debugSection, cb->debugLevel, "commConnectStart: FD " << fd <<
-        ", cb " << cb << ", " << host << ":" << port); // TODO: just print *cb
+           ", cb " << cb << ", " << host << ":" << port); // TODO: just print *cb
 
     ConnectStateData *cs;
     cs = new ConnectStateData;
@@ -855,7 +846,7 @@
 {
     debugs(5, 5, "commConnectStart: FD " << fd << ", data " << data << ", " << host << ":" << port);
     AsyncCall::Pointer call = commCbCall(5,3,
-					 "SomeCommConnectHandler", CommConnectCbPtrFun(callback, data));
+                                         "SomeCommConnectHandler", CommConnectCbPtrFun(callback, data));
     commConnectStart(fd, host, port, call);
 }
 
@@ -946,7 +937,7 @@
 ConnectStateData::commResetFD()
 {
     struct addrinfo *AI = NULL;
-    IPAddress nul;
+    IpAddress nul;
     int new_family = AF_UNSPEC;
 
 // XXX: do we have to check this?
@@ -1007,7 +998,7 @@
      */
 
     /* MUST be done before binding or face OS Error: "(99) Cannot assign requested address"... */
-    if( F->flags.transparent ) {
+    if ( F->flags.transparent ) {
         comm_set_transparent(fd);
     }
 
@@ -1026,7 +1017,7 @@
 
 #if IPV6_SPECIAL_SPLITSTACK
 
-    if( F->local_addr.IsIPv6() )
+    if ( F->local_addr.IsIPv6() )
         comm_set_v6only(fd, F->tos);
 
 #endif
@@ -1160,10 +1151,10 @@
 {
     AsyncCall::Pointer call;
     debugs(5, 3, HERE << "FD " << fd << " timeout " << timeout);
-    if(handler != NULL)
-	call=commCbCall(5,4, "SomeTimeoutHandler", CommTimeoutCbPtrFun(handler, data));
+    if (handler != NULL)
+        call=commCbCall(5,4, "SomeTimeoutHandler", CommTimeoutCbPtrFun(handler, data));
     else
-	call = NULL;
+        call = NULL;
     return commSetTimeout(fd, timeout, call);
 }
 
@@ -1181,9 +1172,9 @@
         F->timeout = 0;
     } else {
         if (callback != NULL) {
-	    typedef CommTimeoutCbParams Params;
-	    Params &params = GetCommParams<Params>(callback);
-	    params.fd = fd;
+            typedef CommTimeoutCbParams Params;
+            Params &params = GetCommParams<Params>(callback);
+            params.fd = fd;
             F->timeoutHandler = callback;
         }
 
@@ -1195,7 +1186,7 @@
 }
 
 int
-comm_connect_addr(int sock, const IPAddress &address)
+comm_connect_addr(int sock, const IpAddress &address)
 {
     comm_err_t status = COMM_OK;
     fde *F = &fd_table[sock];
@@ -1217,7 +1208,7 @@
      *     trust its handled properly.
      */
 #if USE_IPV6
-    if(F->sock_family == AF_INET && !address.IsIPv4()) {
+    if (F->sock_family == AF_INET && !address.IsIPv4()) {
         return COMM_ERR_PROTOCOL;
     }
 #endif
@@ -1227,8 +1218,7 @@
     /* Establish connection. */
     errno = 0;
 
-    if (!F->flags.called_connect)
-    {
+    if (!F->flags.called_connect) {
         F->flags.called_connect = 1;
         statCounter.syscalls.sock.connects++;
 
@@ -1241,21 +1231,19 @@
             errno = EINPROGRESS;
         }
 
-        if (x < 0)
-        {
+        if (x < 0) {
             debugs(5,5, "comm_connect_addr: sock=" << sock << ", addrinfo( " <<
-                         " flags=" << AI->ai_flags <<
-                         ", family=" << AI->ai_family <<
-                         ", socktype=" << AI->ai_socktype <<
-                         ", protocol=" << AI->ai_protocol <<
-                         ", &addr=" << AI->ai_addr <<
-                         ", addrlen=" << AI->ai_addrlen <<
-                         " )" );
+                   " flags=" << AI->ai_flags <<
+                   ", family=" << AI->ai_family <<
+                   ", socktype=" << AI->ai_socktype <<
+                   ", protocol=" << AI->ai_protocol <<
+                   ", &addr=" << AI->ai_addr <<
+                   ", addrlen=" << AI->ai_addrlen <<
+                   " )" );
             debugs(5, 9, "connect FD " << sock << ": (" << x << ") " << xstrerror());
             debugs(14,9, "connecting to: " << address );
         }
-    } else
-    {
+    } else {
 #if defined(_SQUID_NEWSOS6_)
         /* Makoto MATSUSHITA <matusita@ics.es.osaka-u.ac.jp> */
 
@@ -1292,18 +1280,18 @@
 
     }
 
-/* Squid seems to be working fine without this code. With this code,
- * we leak memory on many connect requests because of EINPROGRESS.
- * If you find that this code is needed, please file a bug report. */
+    /* Squid seems to be working fine without this code. With this code,
+     * we leak memory on many connect requests because of EINPROGRESS.
+     * If you find that this code is needed, please file a bug report. */
 #if 0
 #ifdef _SQUID_LINUX_
     /* 2007-11-27:
-     * Linux Debian replaces our allocated AI pointer with garbage when 
+     * Linux Debian replaces our allocated AI pointer with garbage when
      * connect() fails. This leads to segmentation faults deallocating
      * the system-allocated memory when we go to clean up our pointer.
      * HACK: is to leak the memory returned since we can't deallocate.
      */
-    if(errno != 0) {
+    if (errno != 0) {
         AI = NULL;
     }
 #endif
@@ -1319,32 +1307,29 @@
         status = COMM_INPROGRESS;
     else
 #if USE_IPV6
-      if( address.IsIPv4() && F->sock_family == AF_INET6 ) {
+        if ( address.IsIPv4() && F->sock_family == AF_INET6 ) {
 
             /* failover to trying IPv4-only link if an IPv6 one fails */
             /* to catch the edge case of apps listening on IPv4-localhost */
-        F->sock_family = AF_INET;
-        int res = comm_connect_addr(sock, address);
+            F->sock_family = AF_INET;
+            int res = comm_connect_addr(sock, address);
 
-           /* if that fails too, undo our temporary socktype hack so the repeat works properly. */
-        if(res == COMM_ERROR)
-             F->sock_family = AF_INET6;
+            /* if that fails too, undo our temporary socktype hack so the repeat works properly. */
+            if (res == COMM_ERROR)
+                F->sock_family = AF_INET6;
 
-        return res;
-    }
-    else
+            return res;
+        } else
 #endif
-        return COMM_ERROR;
+            return COMM_ERROR;
 
     address.NtoA(F->ipaddr, MAX_IPSTRLEN);
 
     F->remote_port = address.GetPort(); /* remote_port is HS */
 
-    if (status == COMM_OK)
-    {
+    if (status == COMM_OK) {
         debugs(5, 10, "comm_connect_addr: FD " << sock << " connected to " << address);
-    } else if (status == COMM_INPROGRESS)
-    {
+    } else if (status == COMM_INPROGRESS) {
         debugs(5, 10, "comm_connect_addr: FD " << sock << " connection pending");
     }
 
@@ -1368,16 +1353,13 @@
 
         PROF_stop(comm_accept);
 
-        if (ignoreErrno(errno))
-        {
+        if (ignoreErrno(errno)) {
             debugs(50, 5, "comm_old_accept: FD " << fd << ": " << xstrerror());
             return COMM_NOMESSAGE;
-        } else if (ENFILE == errno || EMFILE == errno)
-        {
+        } else if (ENFILE == errno || EMFILE == errno) {
             debugs(50, 3, "comm_old_accept: FD " << fd << ": " << xstrerror());
             return COMM_ERROR;
-        } else
-        {
+        } else {
             debugs(50, 1, "comm_old_accept: FD " << fd << ": " << xstrerror());
             return COMM_ERROR;
         }
@@ -1425,16 +1407,16 @@
 
     while (F->closeHandler != NULL) {
         AsyncCall::Pointer call = F->closeHandler;
-	F->closeHandler = call->Next();
-	call->setNext(NULL);
-	// If call is not canceled schedule it for execution else ignore it
-	if(!call->canceled()){
-	    debugs(5, 5, "commCallCloseHandlers: ch->handler=" << call);
-	    typedef CommCloseCbParams Params;
-	    Params &params = GetCommParams<Params>(call);
-	    params.fd = fd;
-	    ScheduleCallHere(call);
-	}
+        F->closeHandler = call->Next();
+        call->setNext(NULL);
+        // If call is not canceled schedule it for execution else ignore it
+        if (!call->canceled()) {
+            debugs(5, 5, "commCallCloseHandlers: ch->handler=" << call);
+            typedef CommCloseCbParams Params;
+            Params &params = GetCommParams<Params>(call);
+            params.fd = fd;
+            ScheduleCallHere(call);
+        }
     }
 }
 
@@ -1502,7 +1484,7 @@
     comm_close(fd);
 }
 
-void 
+void
 comm_close_start(int fd, void *data)
 {
 #if USE_SSL
@@ -1515,7 +1497,7 @@
 }
 
 
-void 
+void
 comm_close_complete(int fd, void *data)
 {
 #if USE_SSL
@@ -1549,7 +1531,7 @@
  * + call read handlers with ERR_CLOSING
  * + call closing handlers
  *
- * NOTE: COMM_ERR_CLOSING will NOT be called for CommReads' sitting in a 
+ * NOTE: COMM_ERR_CLOSING will NOT be called for CommReads' sitting in a
  * DeferredReadManager.
  */
 void
@@ -1579,7 +1561,7 @@
     F->flags.close_request = 1;
 
     AsyncCall::Pointer startCall=commCbCall(5,4, "comm_close_start",
-					    CommCloseCbPtrFun(comm_close_start, NULL));
+                                            CommCloseCbPtrFun(comm_close_start, NULL));
     typedef CommCloseCbParams Params;
     Params &startParams = GetCommParams<Params>(startCall);
     startParams.fd = fd;
@@ -1607,13 +1589,13 @@
         F->pconn.pool->count(F->pconn.uses);
 
     comm_empty_os_read_buffers(fd);
-    
+
 
     AsyncCall::Pointer completeCall=commCbCall(5,4, "comm_close_complete",
-				       CommCloseCbPtrFun(comm_close_complete, NULL));
+                                    CommCloseCbPtrFun(comm_close_complete, NULL));
     Params &completeParams = GetCommParams<Params>(completeCall);
     completeParams.fd = fd;
-    // must use async call to wait for all callbacks 
+    // must use async call to wait for all callbacks
     // scheduled before comm_close() to finish
     ScheduleCallHere(completeCall);
 
@@ -1623,7 +1605,7 @@
 /* Send a udp datagram to specified TO_ADDR. */
 int
 comm_udp_sendto(int fd,
-                const IPAddress &to_addr,
+                const IpAddress &to_addr,
                 const void *buf,
                 int len)
 {
@@ -1634,7 +1616,7 @@
     statCounter.syscalls.sock.sendtos++;
 
     debugs(50, 3, "comm_udp_sendto: Attempt to send UDP packet to " << to_addr <<
-                  " using FD " << fd << " using Port " << comm_local_port(fd) );
+           " using FD " << fd << " using Port " << comm_local_port(fd) );
 
     /* BUG: something in the above macro appears to occasionally be setting AI to garbage. */
     /* AYJ: 2007-08-27 : or was it because I wasn't then setting 'fd_table[fd].sock_family' to fill properly. */
@@ -1668,7 +1650,7 @@
            handler << ", data=" << data);
 
     AsyncCall::Pointer call=commCbCall(5,4, "SomeCloseHandler",
-                                         CommCloseCbPtrFun(handler, data));
+                                       CommCloseCbPtrFun(handler, data));
     comm_add_close_handler(fd, call);
 }
 
@@ -1697,7 +1679,7 @@
            handler << ", data=" << data);
 
     AsyncCall::Pointer p;
-    for (p = fd_table[fd].closeHandler; p != NULL; p = p->Next()){
+    for (p = fd_table[fd].closeHandler; p != NULL; p = p->Next()) {
         typedef CommCbFunPtrCallT<CommCloseCbPtrFun> Call;
         const Call *call = dynamic_cast<const Call*>(p.getRaw());
         if (!call) // method callbacks have their own comm_remove_close_handler
@@ -1873,30 +1855,29 @@
 #endif
 
 void
-commSetTcpKeepalive(int fd, int idle, int interval, int timeout)
-{
+commSetTcpKeepalive(int fd, int idle, int interval, int timeout) {
     int on = 1;
 #ifdef TCP_KEEPCNT
     if (timeout && interval) {
-	int count = (timeout + interval - 1) / interval;
-	if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPCNT, &count, sizeof(on)) < 0)
-	    debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
+        int count = (timeout + interval - 1) / interval;
+        if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPCNT, &count, sizeof(on)) < 0)
+            debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
     }
 #endif
 #ifdef TCP_KEEPIDLE
     if (idle) {
-	if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPIDLE, &idle, sizeof(on)) < 0)
-	    debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
+        if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPIDLE, &idle, sizeof(on)) < 0)
+            debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
     }
 #endif
 #ifdef TCP_KEEPINTVL
     if (interval) {
-	if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPINTVL, &interval, sizeof(on)) < 0)
-	    debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
+        if (setsockopt(fd, IPPROTO_TCP, TCP_KEEPINTVL, &interval, sizeof(on)) < 0)
+            debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
     }
 #endif
     if (setsockopt(fd, SOL_SOCKET, SO_KEEPALIVE, (char *) &on, sizeof(on)) < 0)
-	debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
+        debugs(5, 1, "commSetKeepalive: FD " << fd << ": " << xstrerror());
 }
 
 void
@@ -1911,11 +1892,11 @@
 
     commfd_table = (comm_fd_t *) xcalloc(Squid_MaxFD, sizeof(comm_fd_t));
     for (int pos = 0; pos < Squid_MaxFD; pos++) {
-	commfd_table[pos].fd = pos;
-	commfd_table[pos].readcb.fd = pos;
-	commfd_table[pos].readcb.type = IOCB_READ;
-	commfd_table[pos].writecb.fd = pos;
-	commfd_table[pos].writecb.type = IOCB_WRITE;
+        commfd_table[pos].fd = pos;
+        commfd_table[pos].readcb.fd = pos;
+        commfd_table[pos].readcb.type = IOCB_READ;
+        commfd_table[pos].writecb.fd = pos;
+        commfd_table[pos].writecb.type = IOCB_WRITE;
     }
 
     /* XXX account fd_table */
@@ -1937,8 +1918,8 @@
     safe_free(fd_table);
     safe_free(fdd_table);
     if (fdc_table) {
-	delete[] fdc_table;
-	fdc_table = NULL;
+        delete[] fdc_table;
+        fdc_table = NULL;
     }
     safe_free(commfd_table);
 }
@@ -2013,17 +1994,15 @@
  * free_func is used to free the passed buffer when the write has completed.
  */
 void
-comm_write(int fd, const char *buf, int size, IOCB * handler, void *handler_data, FREE * free_func)
-{
+comm_write(int fd, const char *buf, int size, IOCB * handler, void *handler_data, FREE * free_func) {
     AsyncCall::Pointer call = commCbCall(5,5, "SomeCommWriteHander",
-        CommIoCbPtrFun(handler, handler_data));
+                                         CommIoCbPtrFun(handler, handler_data));
 
     comm_write(fd, buf, size, call, free_func);
 }
 
 void
-comm_write(int fd, const char *buf, int size, AsyncCall::Pointer &callback, FREE * free_func)
-{
+comm_write(int fd, const char *buf, int size, AsyncCall::Pointer &callback, FREE * free_func) {
     debugs(5, 5, "comm_write: FD " << fd << ": sz " << size << ": asynCall " << callback);
 
     /* Make sure we are open, not closing, and not writing */
@@ -2034,7 +2013,7 @@
 
     /* Queue the write */
     commio_set_callback(fd, IOCB_WRITE, ccb, callback,
-	(char *)buf, free_func, size);
+                        (char *)buf, free_func, size);
     commSetSelect(fd, COMM_SELECT_WRITE, commHandleWrite, ccb, 0);
 }
 
@@ -2105,7 +2084,7 @@
             AsyncCall::Pointer callback = F->timeoutHandler;
             F->timeoutHandler = NULL;
             debugs(5, 5, "commCloseAllSockets: FD " << fd << ": Calling timeout handler");
-	    ScheduleCallHere(callback);
+            ScheduleCallHere(callback);
         } else {
             debugs(5, 5, "commCloseAllSockets: FD " << fd << ": calling comm_close()");
             comm_close(fd);
@@ -2139,13 +2118,13 @@
         if (AlreadyTimedOut(F))
             continue;
 
-            debugs(5, 5, "checkTimeouts: FD " << fd << " Expired");
+        debugs(5, 5, "checkTimeouts: FD " << fd << " Expired");
 
         if (F->timeoutHandler != NULL) {
             debugs(5, 5, "checkTimeouts: FD " << fd << ": Call timeout handler");
             callback = F->timeoutHandler;
             F->timeoutHandler = NULL;
-	    ScheduleCallHere(callback);
+            ScheduleCallHere(callback);
         } else {
             debugs(5, 5, "checkTimeouts: FD " << fd << ": Forcing comm_close()");
             comm_close(fd);
@@ -2171,22 +2150,22 @@
 
     if (Config.accept_filter && strcmp(Config.accept_filter, "none") != 0) {
 #ifdef SO_ACCEPTFILTER
-	struct accept_filter_arg afa;
-	bzero(&afa, sizeof(afa));
-	debugs(5, DBG_CRITICAL, "Installing accept filter '" << Config.accept_filter << "' on FD " << sock);
-	xstrncpy(afa.af_name, Config.accept_filter, sizeof(afa.af_name));
-	x = setsockopt(sock, SOL_SOCKET, SO_ACCEPTFILTER, &afa, sizeof(afa));
-	if (x < 0)
-	    debugs(5, 0, "SO_ACCEPTFILTER '" << Config.accept_filter << "': '" << xstrerror());
+        struct accept_filter_arg afa;
+        bzero(&afa, sizeof(afa));
+        debugs(5, DBG_CRITICAL, "Installing accept filter '" << Config.accept_filter << "' on FD " << sock);
+        xstrncpy(afa.af_name, Config.accept_filter, sizeof(afa.af_name));
+        x = setsockopt(sock, SOL_SOCKET, SO_ACCEPTFILTER, &afa, sizeof(afa));
+        if (x < 0)
+            debugs(5, 0, "SO_ACCEPTFILTER '" << Config.accept_filter << "': '" << xstrerror());
 #elif defined(TCP_DEFER_ACCEPT)
-	int seconds = 30;
-	if (strncmp(Config.accept_filter, "data=", 5) == 0)
-	    seconds = atoi(Config.accept_filter + 5);
-	x = setsockopt(sock, IPPROTO_TCP, TCP_DEFER_ACCEPT, &seconds, sizeof(seconds));
-	if (x < 0)
-	    debugs(5, 0, "TCP_DEFER_ACCEPT '" << Config.accept_filter << "': '" << xstrerror());
+        int seconds = 30;
+        if (strncmp(Config.accept_filter, "data=", 5) == 0)
+            seconds = atoi(Config.accept_filter + 5);
+        x = setsockopt(sock, IPPROTO_TCP, TCP_DEFER_ACCEPT, &seconds, sizeof(seconds));
+        if (x < 0)
+            debugs(5, 0, "TCP_DEFER_ACCEPT '" << Config.accept_filter << "': '" << xstrerror());
 #else
-	debugs(5, 0, "accept_filter not supported on your OS");
+        debugs(5, 0, "accept_filter not supported on your OS");
 #endif
     }
 
@@ -2199,7 +2178,7 @@
     assert(isOpen(fd));
 
     AsyncCall::Pointer call = commCbCall(5,5, "SomeCommAcceptHandler",
-        CommAcceptCbPtrFun(handler, handler_data));
+                                         CommAcceptCbPtrFun(handler, handler_data));
     fdc_table[fd].subscribe(call);
 }
 
@@ -2207,11 +2186,11 @@
 comm_accept(int fd, AsyncCall::Pointer &call) {
     debugs(5, 5, "comm_accept: FD " << fd << " AsyncCall: " << call);
     assert(isOpen(fd));
-    
+
     fdc_table[fd].subscribe(call);
 }
 
-// Called when somebody wants to be notified when our socket accepts new 
+// Called when somebody wants to be notified when our socket accepts new
 // connection. We do not probe the FD until there is such interest.
 void
 AcceptFD::subscribe(AsyncCall::Pointer &call) {
@@ -2235,7 +2214,7 @@
     // When we are running out of FDs, there is often no callback.
     if (!theCallback) {
         debugs(5, 5, "AcceptFD::acceptOne orphaned: FD " << fd);
-        // XXX: can we remove this and similar "just in case" calls and 
+        // XXX: can we remove this and similar "just in case" calls and
         // either listen always or listen only when there is a callback?
         if (!AcceptLimiter::Instance().deferring())
             commSetSelect(fd, COMM_SELECT_READ, comm_accept_try, NULL, 0);
@@ -2260,7 +2239,7 @@
         if (newfd == COMM_NOMESSAGE) {
             /* register interest again */
             debugs(5, 5, HERE << "try later: FD " << fd <<
-                " handler: " << *theCallback);
+                   " handler: " << *theCallback);
             commSetSelect(fd, COMM_SELECT_READ, comm_accept_try, NULL, 0);
             return false;
         }
@@ -2272,8 +2251,8 @@
 
     assert(theCallback != NULL);
     debugs(5, 5, "AcceptFD::acceptOne accepted: FD " << fd <<
-        " newfd: " << newfd << " from: " << connDetails.peer <<
-        " handler: " << *theCallback);
+           " newfd: " << newfd << " from: " << connDetails.peer <<
+           " handler: " << *theCallback);
     notify(newfd, COMM_OK, 0, connDetails);
     return true;
 }
@@ -2284,8 +2263,7 @@
 }
 
 void
-AcceptFD::notify(int newfd, comm_err_t errcode, int xerrno, const ConnectionDetail &connDetails)
-{
+AcceptFD::notify(int newfd, comm_err_t errcode, int xerrno, const ConnectionDetail &connDetails) {
     if (theCallback != NULL) {
         typedef CommAcceptCbParams Params;
         Params &params = GetCommParams<Params>(theCallback);
@@ -2312,7 +2290,7 @@
 void CommIO::Initialise() {
     /* Initialize done pipe signal */
     int DonePipe[2];
-    if(pipe(DonePipe)) {}
+    if (pipe(DonePipe)) {}
     DoneFD = DonePipe[1];
     DoneReadFD = DonePipe[0];
     fd_open(DoneReadFD, FD_PIPE, "async-io completetion event: main");
@@ -2392,8 +2370,8 @@
     comm_accept (temp.acceptFD, temp.theFunction, temp.theData);
 }
 
-/// Start waiting for a possibly half-closed connection to close 
-// by scheduling a read callback to a monitoring handler that 
+/// Start waiting for a possibly half-closed connection to close
+// by scheduling a read callback to a monitoring handler that
 // will close the connection on read errors.
 void
 commStartHalfClosedMonitor(int fd) {
@@ -2406,8 +2384,7 @@
 
 static
 void
-commPlanHalfClosedCheck()
-{
+commPlanHalfClosedCheck() {
     if (!WillCheckHalfClosed && !TheHalfClosed->empty()) {
         eventAdd("commHalfClosedCheck", &commHalfClosedCheck, NULL, 1.0, 1);
         WillCheckHalfClosed = true;
@@ -2427,7 +2404,7 @@
         const int fd = *i;
         if (!fd_table[fd].halfClosedReader) { // not reading already
             AsyncCall::Pointer call = commCbCall(5,4, "commHalfClosedReader",
-                CommIoCbPtrFun(&commHalfClosedReader, NULL));
+                                                 CommIoCbPtrFun(&commHalfClosedReader, NULL));
             comm_read(fd, NULL, 0, call);
             fd_table[fd].halfClosedReader = call;
         }
@@ -2462,7 +2439,7 @@
 static void
 commHalfClosedReader(int fd, char *, size_t size, comm_err_t flag, int, void *) {
     // there cannot be more data coming in on half-closed connections
-    assert(size == 0); 
+    assert(size == 0);
     assert(commHasHalfClosedMonitor(fd)); // or we would have canceled the read
 
     fd_table[fd].halfClosedReader = NULL; // done reading, for now
@@ -2508,12 +2485,12 @@
     debugs(5, 3, "Adding deferred read on FD " << aRead.theRead.fd);
     CbDataList<DeferredRead> *temp = deferredReads.push_back(aRead);
 
-    // We have to use a global function as a closer and point to temp 
+    // We have to use a global function as a closer and point to temp
     // instead of "this" because DeferredReadManager is not a job and
     // is not even cbdata protected
     AsyncCall::Pointer closer = commCbCall(5,4,
-        "DeferredReadManager::CloseHandler",
-        CommCloseCbPtrFun(&CloseHandler, temp));
+                                           "DeferredReadManager::CloseHandler",
+                                           CommCloseCbPtrFun(&CloseHandler, temp));
     comm_add_close_handler(aRead.theRead.fd, closer);
     temp->element.closer = closer; // remeber so that we can cancel
 }
diff -u -r -N squid-3.1.0.3/src/comm.h squid-3.1.0.4/src/comm.h
--- squid-3.1.0.3/src/comm.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/comm.h	2009-01-23 18:37:36.000000000 +1300
@@ -6,7 +6,7 @@
 #include "AsyncCall.h"
 #include "StoreIOBuffer.h"
 #include "Array.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #define COMMIO_FD_READCB(fd)    (&commfd_table[(fd)].readcb)
 #define COMMIO_FD_WRITECB(fd)   (&commfd_table[(fd)].writecb)
@@ -49,20 +49,20 @@
 SQUIDCEXTERN void commConnectStart(int fd, const char *, u_short, CNCB *, void *);
 void commConnectStart(int fd, const char *, u_short, AsyncCall::Pointer &cb);
 
-SQUIDCEXTERN int comm_connect_addr(int sock, const IPAddress &addr);
+SQUIDCEXTERN int comm_connect_addr(int sock, const IpAddress &addr);
 SQUIDCEXTERN void comm_init(void);
 SQUIDCEXTERN void comm_exit(void);
 
-SQUIDCEXTERN int comm_open(int, int, IPAddress &, int, const char *note);
+SQUIDCEXTERN int comm_open(int, int, IpAddress &, int, const char *note);
 
-SQUIDCEXTERN int comm_openex(int, int, IPAddress &, int, unsigned char TOS, const char *);
+SQUIDCEXTERN int comm_openex(int, int, IpAddress &, int, unsigned char TOS, const char *);
 SQUIDCEXTERN u_short comm_local_port(int fd);
 SQUIDCEXTERN int comm_set_tos(int fd, int tos);
 
 SQUIDCEXTERN void commSetSelect(int, unsigned int, PF *, void *, time_t);
 SQUIDCEXTERN void commResetSelect(int);
 
-SQUIDCEXTERN int comm_udp_sendto(int sock, const IPAddress &to, const void *buf, int buflen);
+SQUIDCEXTERN int comm_udp_sendto(int sock, const IpAddress &to, const void *buf, int buflen);
 extern void comm_write(int fd, const char *buf, int len, IOCB *callback, void *callback_data, FREE *func);
 extern void comm_write(int fd, const char *buf, int size, AsyncCall::Pointer &callback, FREE * free_func = NULL);
 SQUIDCEXTERN void comm_write_mbuf(int fd, MemBuf *mb, IOCB * handler, void *handler_data);
@@ -98,7 +98,7 @@
 extern void comm_read(int fd, char *buf, int len, AsyncCall::Pointer &callback);
 extern void comm_read_cancel(int fd, IOCB *callback, void *data);
 extern void comm_read_cancel(int fd, AsyncCall::Pointer &callback);
-extern int comm_udp_recvfrom(int fd, void *buf, size_t len, int flags, IPAddress &from);
+extern int comm_udp_recvfrom(int fd, void *buf, size_t len, int flags, IpAddress &from);
 extern int comm_udp_recv(int fd, void *buf, size_t len, int flags);
 extern ssize_t comm_udp_send(int s, const void *buf, size_t len, int flags);
 extern bool comm_has_incomplete_write(int);
diff -u -r -N squid-3.1.0.3/src/CompositePoolNode.h squid-3.1.0.4/src/CompositePoolNode.h
--- squid-3.1.0.3/src/CompositePoolNode.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/CompositePoolNode.h	2009-01-23 18:37:35.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: CompositePoolNode.h,v 1.10 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
  * Based upon original delay pools code by
@@ -46,7 +44,7 @@
 #include "DelayPools.h"
 #include "DelayIdComposite.h"
 #include "CommRead.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 class StoreEntry;
 
@@ -78,7 +76,7 @@
     public:
         CompositeSelectionDetails() {}
 
-        IPAddress src_addr;
+        IpAddress src_addr;
         AuthUserRequest *user;
         String tag;
     };
@@ -88,5 +86,5 @@
     DeferredReadManager deferredReads;
 };
 
-#endif
+#endif /* DELAY_POOLS */
 #endif /* COMPOSITEPOOLNODE_H */
diff -u -r -N squid-3.1.0.3/src/ConnectionDetail.h squid-3.1.0.4/src/ConnectionDetail.h
--- squid-3.1.0.3/src/ConnectionDetail.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ConnectionDetail.h	2009-01-23 18:37:35.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: ConnectionDetail.h,v 1.4 2007/12/14 23:11:45 amosjeffries Exp $
- *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Robert Collins
  *
@@ -37,7 +35,7 @@
 #ifndef _SQUIDCONNECTIONDETAIL_H_
 #define _SQUIDCONNECTIONDETAIL_H_
 
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 class ConnectionDetail
 {
@@ -46,9 +44,9 @@
 
     ConnectionDetail();
 
-    IPAddress me;
+    IpAddress me;
 
-    IPAddress peer;
+    IpAddress peer;
 };
 
 #endif
diff -u -r -N squid-3.1.0.3/src/delay_pools.cc squid-3.1.0.4/src/delay_pools.cc
--- squid-3.1.0.3/src/delay_pools.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/delay_pools.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: delay_pools.cc,v 1.51 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: Robert Collins <robertc@squid-cache.org>
  * Based upon original delay pools code by
@@ -66,7 +64,7 @@
 #include "DelayBucket.h"
 #include "DelayUser.h"
 #include "DelayTagged.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 /// \ingroup DelayPoolsInternal
 long DelayPools::MemoryUsed = 0;
@@ -161,7 +159,7 @@
 
     virtual char const *label() const = 0;
 
-    virtual unsigned int makeKey (IPAddress &src_addr) const = 0;
+    virtual unsigned int makeKey (IpAddress &src_addr) const = 0;
 
     DelaySpec spec;
 
@@ -193,7 +191,7 @@
 protected:
     virtual char const *label() const {return "Individual";}
 
-    virtual unsigned int makeKey (IPAddress &src_addr) const;
+    virtual unsigned int makeKey (IpAddress &src_addr) const;
 
 };
 
@@ -208,7 +206,7 @@
 protected:
     virtual char const *label() const {return "Network";}
 
-    virtual unsigned int makeKey (IPAddress &src_addr) const;
+    virtual unsigned int makeKey (IpAddress &src_addr) const;
 };
 
 /* don't use remote storage for these */
@@ -252,9 +250,9 @@
 
     virtual char const *label() const {return "Individual";}
 
-    virtual unsigned int makeKey (IPAddress &src_addr) const;
+    virtual unsigned int makeKey (IpAddress &src_addr) const;
 
-    unsigned char makeHostKey (IPAddress &src_addr) const;
+    unsigned char makeHostKey (IpAddress &src_addr) const;
 
     DelaySpec spec;
     VectorMap<unsigned char, ClassCBucket> buckets;
@@ -861,7 +859,7 @@
 }
 
 unsigned int
-IndividualPool::makeKey (IPAddress &src_addr) const
+IndividualPool::makeKey (IpAddress &src_addr) const
 {
     /* FIXME INET6 : IPv6 requires a 64-128 bit result from this function */
     if ( !src_addr.IsIPv4() )
@@ -888,7 +886,7 @@
 }
 
 unsigned int
-ClassCNetPool::makeKey (IPAddress &src_addr) const
+ClassCNetPool::makeKey (IpAddress &src_addr) const
 {
     /* FIXME INET6 : IPv6 requires a 64-128 bit result from this function */
     if ( !src_addr.IsIPv4() )
@@ -962,7 +960,7 @@
 }
 
 unsigned char
-ClassCHostPool::makeHostKey (IPAddress &src_addr) const
+ClassCHostPool::makeHostKey (IpAddress &src_addr) const
 {
     /* FIXME INET6 : IPv6 requires a 64-128 bit result from this function */
     if ( !src_addr.IsIPv4() )
@@ -975,7 +973,7 @@
 }
 
 unsigned int
-ClassCHostPool::makeKey (IPAddress &src_addr) const
+ClassCHostPool::makeKey (IpAddress &src_addr) const
 {
     /* FIXME INET6 : IPv6 requires a 64-128 bit result from this function */
     if ( !src_addr.IsIPv4() )
diff -u -r -N squid-3.1.0.3/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc
--- squid-3.1.0.3/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2009-01-23 18:37:35.000000000 +1300
@@ -157,7 +157,7 @@
     char skey1[32];
     char skey2[32];
     char skey3[32];
-    IPAddress localhost;
+    IpAddress localhost;
 
     ikey = (getpid() << 10) + (instanceID << 2);
     ikey &= 0x7fffffff;
diff -u -r -N squid-3.1.0.3/src/DiskIO/DiskIOModules_gen.cc squid-3.1.0.4/src/DiskIO/DiskIOModules_gen.cc
--- squid-3.1.0.3/src/DiskIO/DiskIOModules_gen.cc	2008-12-05 16:11:09.000000000 +1300
+++ squid-3.1.0.4/src/DiskIO/DiskIOModules_gen.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
-/* automatically generated by ./DiskIO/modules.sh Blocking
- * do not edit
- */
-#include "squid.h"
-#include "DiskIO/DiskIOModule.h"
-#include "DiskIO/Blocking/BlockingDiskIOModule.h"
-
-void DiskIOModule::PokeAllModules(void)
-{
-    BlockingDiskIOModule::GetInstance();
-}
diff -u -r -N squid-3.1.0.3/src/dns_internal.cc squid-3.1.0.4/src/dns_internal.cc
--- squid-3.1.0.3/src/dns_internal.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/dns_internal.cc	2009-01-23 18:37:37.000000000 +1300
@@ -133,7 +133,7 @@
 };
 
 struct _ns {
-    IPAddress S;
+    IpAddress S;
     int nqueries;
     int nreplies;
     nsvc *vc;
@@ -176,7 +176,7 @@
 static IOCB idnsReadVCHeader;
 static void idnsDoSendQueryVC(nsvc *vc);
 
-static int idnsFromKnownNameserver(IPAddress const &from);
+static int idnsFromKnownNameserver(IpAddress const &from);
 static idns_query *idnsFindQuery(unsigned short id);
 static void idnsGrokReply(const char *buf, size_t sz);
 static PF idnsRead;
@@ -187,7 +187,7 @@
 static void
 idnsAddNameserver(const char *buf)
 {
-    IPAddress A;
+    IpAddress A;
 
     if (!(A = buf)) {
         debugs(78, 0, "WARNING: rejecting '" << buf << "' as a name server, because it is not a numeric IP address");
@@ -744,7 +744,7 @@
     nameservers[ns].vc = vc;
     vc->ns = ns;
 
-    IPAddress addr;
+    IpAddress addr;
 
     if (!Config.Addrs.udp_outgoing.IsNoAddr())
         addr = Config.Addrs.udp_outgoing;
@@ -848,7 +848,7 @@
 }
 
 static int
-idnsFromKnownNameserver(IPAddress const &from)
+idnsFromKnownNameserver(IpAddress const &from)
 {
     int i;
 
@@ -1124,7 +1124,7 @@
     int max = INCOMING_DNS_MAX;
     static char rbuf[SQUID_UDP_SO_RCVBUF];
     int ns;
-    IPAddress from;
+    IpAddress from;
 
     debugs(78, 3, "idnsRead: starting with FD " << fd);
 
@@ -1135,7 +1135,7 @@
      *  The cause of this is still unknown, however copying the data appears
      *  to allow it to be passed further without this erasure.
      */
-    IPAddress bugbypass;
+    IpAddress bugbypass;
 
     while (max--) {
         len = comm_udp_recvfrom(fd, rbuf, SQUID_UDP_SO_RCVBUF, 0, bugbypass);
@@ -1339,7 +1339,7 @@
     if (DnsSocket < 0) {
         int port;
 
-        IPAddress addr;
+        IpAddress addr;
 
         if (!Config.Addrs.udp_outgoing.IsNoAddr())
             addr = Config.Addrs.udp_outgoing;
@@ -1520,7 +1520,7 @@
 }
 
 void
-idnsPTRLookup(const IPAddress &addr, IDNSCB * callback, void *data)
+idnsPTRLookup(const IpAddress &addr, IDNSCB * callback, void *data)
 {
     idns_query *q;
 
diff -u -r -N squid-3.1.0.3/src/dnsserver.cc squid-3.1.0.4/src/dnsserver.cc
--- squid-3.1.0.3/src/dnsserver.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/dnsserver.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: dnsserver.cc,v 1.74 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 0     DNS Resolver
  * AUTHOR: Harvest Derived
  *
@@ -166,7 +163,7 @@
  \endverbatim
  */
 
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #if LIBRESOLV_DNS_TTL_HACK
 /// \ingroup dnsserver
@@ -195,7 +192,7 @@
     int ttl = 0;
     int retry = 0;
     unsigned int i = 0;
-    IPAddress ipa;
+    IpAddress ipa;
     char ntoabuf[MAX_IPSTRLEN];
     struct addrinfo hints;
     struct addrinfo *AI = NULL;
@@ -392,7 +389,7 @@
 #endif
 #if HAVE_RES_INIT
 
-    IPAddress ipa;
+    IpAddress ipa;
     int opt_s = 0;
 #ifdef _SQUID_RES_NSADDR_LIST
 
diff -u -r -N squid-3.1.0.3/src/errorpage.cc squid-3.1.0.4/src/errorpage.cc
--- squid-3.1.0.3/src/errorpage.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/errorpage.cc	2009-01-23 18:37:37.000000000 +1300
@@ -21,12 +21,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -71,8 +71,7 @@
 /* local types */
 
 /// \ingroup ErrorPageInternal
-typedef struct
-{
+typedef struct {
     int id;
     char *page_name;
 } ErrorDynamicPageInfo;
@@ -85,28 +84,27 @@
  \note  hard coded error messages are not appended with %S
  *      automagically to give you more control on the format
  */
-static const struct
-{
+static const struct {
     int type;			/* and page_id */
     const char *text;
 }
 
 error_hard_text[] = {
 
-                        {
-                            ERR_SQUID_SIGNATURE,
-                            "\n<br>\n"
-                            "<hr>\n"
-                            "<div id=\"footer\">\n"
-                            "Generated %T by %h (%s)\n"
-                            "</div>\n"
-                            "</body></html>\n"
-                        },
-                        {
-                            TCP_RESET,
-                            "reset"
-                        }
-                    };
+    {
+        ERR_SQUID_SIGNATURE,
+        "\n<br>\n"
+        "<hr>\n"
+        "<div id=\"footer\">\n"
+        "Generated %T by %h (%s)\n"
+        "</div>\n"
+        "</body></html>\n"
+    },
+    {
+        TCP_RESET,
+        "reset"
+    }
+};
 
 /// \ingroup ErrorPageInternal
 static Vector<ErrorDynamicPageInfo *> ErrorDynamicPages;
@@ -189,9 +187,9 @@
     error_stylesheet.reset();
 
     // look for and load stylesheet into global MemBuf for it.
-    if(Config.errorStylesheet) {
+    if (Config.errorStylesheet) {
         char *temp = errorTryLoadText(Config.errorStylesheet,NULL);
-        if(temp) {
+        if (temp) {
             error_stylesheet.Printf("%s",temp);
             safe_free(temp);
         }
@@ -243,16 +241,16 @@
     char *text = NULL;
 
     /** test error_directory configured location */
-    if(Config.errorDirectory)
+    if (Config.errorDirectory)
         text = errorTryLoadText(page_name, Config.errorDirectory);
 
 #if USE_ERR_LOCALES
     /** test error_default_language location */
-    if(!text && Config.errorDefaultLanguage) {
+    if (!text && Config.errorDefaultLanguage) {
         char dir[256];
         snprintf(dir,256,"%s/%s", DEFAULT_SQUID_ERROR_DIR, Config.errorDefaultLanguage);
         text = errorTryLoadText(page_name, dir);
-        if(!text) {
+        if (!text) {
             debugs(1, DBG_CRITICAL, "Unable to load default error language files. Reset to backups.");
         }
     }
@@ -282,7 +280,7 @@
     MemBuf textbuf;
 
     // maybe received compound parts, maybe an absolute page_name and no dir
-    if(dir)
+    if (dir)
         snprintf(path, sizeof(path), "%s/%s", dir, page_name);
     else
         snprintf(path, sizeof(path), "%s", page_name);
@@ -291,14 +289,14 @@
 
     if (fd < 0) {
         /* with dynamic locale negotiation we may see some failures before a success. */
-        if(!silent)
+        if (!silent)
             debugs(4, DBG_CRITICAL, HERE << "'" << path << "': " << xstrerror());
         return NULL;
     }
 
     textbuf.init();
 
-    while((len = FD_READ_METHOD(fd, buf, sizeof(buf))) > 0) {
+    while ((len = FD_READ_METHOD(fd, buf, sizeof(buf))) > 0) {
         textbuf.append(buf, len);
     }
 
@@ -506,7 +504,7 @@
     AUTHUSERREQUESTUNLOCK(err->auth_user_request, "errstate");
     safe_free(err->err_msg);
 #if USE_ERR_LOCALES
-    if(err->err_language != Config.errorDefaultLanguage)
+    if (err->err_language != Config.errorDefaultLanguage)
 #endif
         safe_free(err->err_language);
     cbdataFree(err);
@@ -885,22 +883,21 @@
          * We have even better reasons though:
          * see http://wiki.squid-cache.org/KnowledgeBase/VaryNotCaching
          */
-        if(!Config.errorDirectory) {
+        if (!Config.errorDirectory) {
             /* We 'negotiated' this ONLY from the Accept-Language. */
             rep->header.delById(HDR_VARY);
             rep->header.putStr(HDR_VARY, "Accept-Language");
         }
 
         /* add the Content-Language header according to RFC section 14.12 */
-        if(err_language) {
+        if (err_language) {
             rep->header.putStr(HDR_CONTENT_LANGUAGE, err_language);
-        }
-        else
+        } else
 #endif /* USE_ERROR_LOCALES */
         {
             /* default templates are in English */
             /* language is known unless error_directory override used */
-            if(!Config.errorDirectory)
+            if (!Config.errorDirectory)
                 rep->header.putStr(HDR_CONTENT_LANGUAGE, "en");
         }
 
@@ -929,7 +926,7 @@
     /** error_directory option in squid.conf overrides translations.
      * Otherwise locate the Accept-Language header
      */
-    if(!Config.errorDirectory && request && request->header.getList(HDR_ACCEPT_LANGUAGE, &hdr) ) {
+    if (!Config.errorDirectory && request && request->header.getList(HDR_ACCEPT_LANGUAGE, &hdr) ) {
 
         const char *buf = hdr.buf(); // raw header string for parsing
         int pos = 0; // current parsing position in header string
@@ -944,16 +941,16 @@
 
         debugs(4, 6, HERE << "Testing Header: '" << hdr << "'");
 
-        while( pos < hdr.size() ) {
+        while ( pos < hdr.size() ) {
 
-/*
- * Header value format:
- *  - sequence of whitespace delimited tags
- *  - each tag may suffix with ';'.* which we can ignore.
- *  - IFF a tag contains only two characters we can wildcard ANY translations matching: <it> '-'? .*
- *    with preference given to an exact match.
- */
-            while(pos < hdr.size() && buf[pos] != ';' && buf[pos] != ',' && !xisspace(buf[pos]) && dt < (dir+256) ) {
+            /*
+             * Header value format:
+             *  - sequence of whitespace delimited tags
+             *  - each tag may suffix with ';'.* which we can ignore.
+             *  - IFF a tag contains only two characters we can wildcard ANY translations matching: <it> '-'? .*
+             *    with preference given to an exact match.
+             */
+            while (pos < hdr.size() && buf[pos] != ';' && buf[pos] != ',' && !xisspace(buf[pos]) && dt < (dir+256) ) {
                 *dt++ = xtolower(buf[pos++]);
             }
             *dt++ = '\0'; // nul-terminated the filename content string before system use.
@@ -961,22 +958,21 @@
             debugs(4, 9, HERE << "STATE: dt='" << dt << "', reset='" << reset << "', reset[1]='" << reset[1] << "', pos=" << pos << ", buf='" << &buf[pos] << "'");
 
             /* if we found anything we might use, try it. */
-            if(*reset != '\0') {
+            if (*reset != '\0') {
 
                 debugs(4, 6, HERE << "Found language '" << reset << "', testing for available template in: '" << dir << "'");
                 m = errorTryLoadText( err_type_str[page_id], dir, false);
 
-                if(m) {
+                if (m) {
                     /* store the language we found for the Content-Language reply header */
                     err_language = xstrdup(reset);
                     break;
-                }
-                else if(Config.errorLogMissingLanguages) {
+                } else if (Config.errorLogMissingLanguages) {
                     debugs(4, DBG_IMPORTANT, "WARNING: Error Pages Missing Language: " << reset);
                 }
 
 #if HAVE_GLOB
-                if( (dt - reset) == 2) {
+                if ( (dt - reset) == 2) {
                     /* TODO glob the error directory for sub-dirs matching: <tag> '-*'   */
                     /* use first result. */
                     debugs(4,2, HERE << "wildcard fallback errors not coded yet.");
@@ -987,8 +983,8 @@
             dt = reset; // reset for next tag testing. we replace the failed name instead of cloning.
 
             // IFF we terminated the tag on ';' we need to skip the 'q=' bit to the next ',' or end.
-            while(pos < hdr.size() && buf[pos] != ',') pos++;
-            if(buf[pos] == ',') pos++;
+            while (pos < hdr.size() && buf[pos] != ',') pos++;
+            if (buf[pos] == ',') pos++;
         }
     }
 #endif /* USE_ERR_LOCALES */
@@ -997,10 +993,10 @@
      * If client-specific error templates are not enabled or available.
      * fall back to the old style squid.conf settings.
      */
-    if(!m) {
+    if (!m) {
         m = error_text[page_id];
 #if USE_ERR_LOCALES
-        if(!Config.errorDirectory)
+        if (!Config.errorDirectory)
             err_language = Config.errorDefaultLanguage;
 #endif
         debugs(4, 2, HERE << "No existing error page language negotiated for " << errorPageName(page_id) << ". Using default error file.");
diff -u -r -N squid-3.1.0.3/src/errorpage.h squid-3.1.0.4/src/errorpage.h
--- squid-3.1.0.3/src/errorpage.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/errorpage.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: errorpage.h,v 1.6 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
  *
@@ -38,7 +36,7 @@
 
 #include "squid.h"
 #include "cbdata.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 /**
  \defgroup ErrorPageAPI Error Pages API
@@ -125,7 +123,7 @@
     char *dnsserver_msg;
     time_t ttl;
 
-    IPAddress src_addr;
+    IpAddress src_addr;
     char *redirect_url;
     ERCB *callback;
     void *callback_data;
diff -u -r -N squid-3.1.0.3/src/ESI.cc squid-3.1.0.4/src/ESI.cc
--- squid-3.1.0.3/src/ESI.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/ESI.cc	2009-01-23 18:37:35.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: ESI.cc,v 1.30 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
  *
@@ -59,7 +56,7 @@
 #include "ESIExpression.h"
 #include "HttpRequest.h"
 #include "MemBuf.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 /* quick reference on behaviour here.
  * The ESI specification 1.0 requires the ESI processor to be able to
@@ -1435,7 +1432,7 @@
     /* don't touch incoming, it's a pointer into buffered anyway */
 }
 
-extern ErrorState *clientBuildError (err_type, http_status, char const *, IPAddress &, HttpRequest *);
+extern ErrorState *clientBuildError (err_type, http_status, char const *, IpAddress &, HttpRequest *);
 
 
 /* This can ONLY be used before we have sent *any* data to the client */
diff -u -r -N squid-3.1.0.3/src/external_acl.cc squid-3.1.0.4/src/external_acl.cc
--- squid-3.1.0.3/src/external_acl.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/external_acl.cc	2009-01-23 18:37:37.000000000 +1300
@@ -128,7 +128,7 @@
         QUOTE_METHOD_URL
     } quote;
 
-    IPAddress local_addr;
+    IpAddress local_addr;
 };
 
 struct _external_acl_format {
diff -u -r -N squid-3.1.0.3/src/fde.h squid-3.1.0.4/src/fde.h
--- squid-3.1.0.3/src/fde.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/fde.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,8 +1,4 @@
-
 /*
- * $Id: fde.h,v 1.15 2008/02/12 23:22:13 rousskov Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -19,12 +15,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -35,7 +31,7 @@
 #define SQUID_FDE_H
 
 #include "comm.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 class PconnPool;
 
@@ -44,7 +40,7 @@
 
 public:
     fde() { clear(); };
-    
+
     /// True if comm_close for this fd has been called
     bool closing() { return flags.close_request; }
 
@@ -59,26 +55,25 @@
     unsigned int type;
     u_short remote_port;
 
-    IPAddress local_addr;
+    IpAddress local_addr;
     unsigned char tos;
     int sock_family;
     char ipaddr[MAX_IPSTRLEN];            /* dotted decimal address of peer */
     char desc[FD_DESC_SZ];
 
-    struct
-    {
-	unsigned int open:1;
-	unsigned int close_request:1; // file_ or comm_close has been called
-	unsigned int write_daemon:1;
-	unsigned int socket_eof:1;
-	unsigned int nolinger:1;
-	unsigned int nonblocking:1;
-	unsigned int ipc:1;
-	unsigned int called_connect:1;
-	unsigned int nodelay:1;
-	unsigned int close_on_exec:1;
-	unsigned int read_pending:1;
-	unsigned int write_pending:1;
+    struct {
+        unsigned int open:1;
+        unsigned int close_request:1; // file_ or comm_close has been called
+        unsigned int write_daemon:1;
+        unsigned int socket_eof:1;
+        unsigned int nolinger:1;
+        unsigned int nonblocking:1;
+        unsigned int ipc:1;
+        unsigned int called_connect:1;
+        unsigned int nodelay:1;
+        unsigned int close_on_exec:1;
+        unsigned int read_pending:1;
+        unsigned int write_pending:1;
         unsigned int transparent:1;
     } flags;
 
@@ -109,7 +104,7 @@
     SSL *ssl;
 #endif
 #ifdef _SQUID_MSWIN_
-    struct { 
+    struct {
         long handle;
     } win32;
 #endif
@@ -125,9 +120,9 @@
         halfClosedReader = NULL;
         // XXX: the following memset may corrupt or leak new or changed members
         memset(this, 0, sizeof(fde));
-        local_addr.SetEmpty(); // IPAddress likes to be setup nicely.
+        local_addr.SetEmpty(); // IpAddress likes to be setup nicely.
     }
-    
+
 };
 
 #endif /* SQUID_FDE_H */
diff -u -r -N squid-3.1.0.3/src/forward.cc squid-3.1.0.4/src/forward.cc
--- squid-3.1.0.3/src/forward.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/forward.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: forward.cc,v 1.175 2008/02/11 22:26:39 rousskov Exp $
- *
  * DEBUG: section 17    Request Forwarding
  * AUTHOR: Duane Wessels
  *
@@ -49,7 +46,7 @@
 #include "SquidTime.h"
 #include "Store.h"
 #include "icmp/net_db.h"
-#include "IPInterception.h"
+#include "ip/IpIntercept.h"
 
 static PSC fwdStartCompleteWrapper;
 static PF fwdServerClosedWrapper;
@@ -269,7 +266,6 @@
          * then we need the client source protocol, address and port */
         if (request->flags.spoof_client_ip) {
             fwd->src = request->client_addr;
-            // AYJ: do we need to pass on the transparent flag also?
         }
 
         fwd->start(fwd);
@@ -336,11 +332,8 @@
         startComplete(servers);
     } else {
         debugs(17, 3, "fwdComplete: server FD " << server_fd << " not re-forwarding status " << entry->getReply()->sline.status);
-        if (entry->isEmpty() && !err)
-        {
-            EBIT_CLR(entry->flags, ENTRY_FWD_HDR_WAIT);
-            entry->complete();
-        }
+        EBIT_CLR(entry->flags, ENTRY_FWD_HDR_WAIT);
+        entry->complete();
 
         if (server_fd < 0)
             completed();
@@ -772,29 +765,21 @@
     FwdServer *fs = servers;
     const char *host;
     unsigned short port;
-    const char *domain = NULL;
     int ctimeout;
     int ftimeout = Config.Timeout.forward - (squid_curtime - start_t);
 
-    IPAddress outgoing;
+    IpAddress outgoing;
     unsigned short tos;
 
-    IPAddress client_addr;
+    IpAddress client_addr;
     assert(fs);
     assert(server_fd == -1);
     debugs(17, 3, "fwdConnectStart: " << url);
 
     if (fs->_peer) {
-        host = fs->_peer->host;
-        port = fs->_peer->http_port;
         ctimeout = fs->_peer->connect_timeout > 0 ? fs->_peer->connect_timeout
                    : Config.Timeout.peer_connect;
-
-        if (fs->_peer->options.originserver)
-            domain = request->GetHost();
     } else {
-        host = request->GetHost();
-        port = request->port;
         ctimeout = Config.Timeout.connect;
     }
 
@@ -836,7 +821,16 @@
         return;
     }
 
-    fd = fwdPconnPool->pop(host, port, domain, client_addr, checkRetriable());
+    if(fs->_peer) {
+        host = fs->_peer->host;
+        port = fs->_peer->http_port;
+        fd = fwdPconnPool->pop(fs->_peer->name, fs->_peer->http_port, request->GetHost(), client_addr, checkRetriable());
+    }
+    else {
+        host = request->GetHost();
+        port = request->port;
+        fd = fwdPconnPool->pop(host, port, NULL, client_addr, checkRetriable());
+    }
     if (fd >= 0) {
         debugs(17, 3, "fwdConnectStart: reusing pconn FD " << fd);
         server_fd = fd;
@@ -908,7 +902,7 @@
     if (!fs->_peer && request->flags.spoof_client_ip) {
         // try to set the outgoing address using TPROXY v2
         // if it fails we abort any further TPROXY actions on this connection
-        if (IPInterceptor.SetTproxy2OutgoingAddr(int fd, const IPAddress &src) == -1) {
+        if (IpInterceptor.SetTproxy2OutgoingAddr(int fd, const IpAddress &src) == -1) {
             request->flags.spoof_client_ip = 0;
         }
     }
@@ -966,7 +960,9 @@
 
     netdbPingSite(request->GetHost());
 
-#if USE_ZPH_QOS
+#if USE_ZPH_QOS && defined(_SQUID_LINUX_)
+    /* Bug 2537: This part of ZPH only applies to patched Linux kernels. */
+
     /* Retrieves remote server TOS value, and stores it as part of the
      * original client request FD object. It is later used to forward
      * remote server's TOS in the response to the client in case of a MISS.
@@ -1178,11 +1174,24 @@
     /* NOTREACHED */
 }
 
+/**
+ * Decide where details need to be gathered to correctly describe a persistent connection.
+ * What is needed:
+ * \item  host name of server at other end of this link (either peer or requested host)
+ * \item  port to which we connected the other end of this link (for peer or request)
+ * \item  domain for which the connection is supposed to be used
+ * \item  address of the client for which we made the connection
+ */
 void
-
-FwdState::pconnPush(int fd, const char *host, int port, const char *domain, IPAddress &client_addr)
+FwdState::pconnPush(int fd, const peer *_peer, const HttpRequest *req, const char *domain, IpAddress &client_addr)
 {
-    fwdPconnPool->push(fd, host, port, domain, client_addr);
+    if (_peer) {
+        fwdPconnPool->push(fd, _peer->name, _peer->http_port, domain, client_addr);
+    } else {
+        /* small performance improvement, using NULL for domain instead of listing it twice */
+        /* although this will leave a gap open for url-rewritten domains to share a link */
+        fwdPconnPool->push(fd, req->GetHost(), req->port, NULL, client_addr);
+    }
 }
 
 void
@@ -1291,12 +1300,12 @@
     memFree(fs, MEM_FWD_SERVER);
 }
 
-static IPAddress
+static IpAddress
 aclMapAddr(acl_address * head, ACLChecklist * ch)
 {
     acl_address *l;
 
-    IPAddress addr;
+    IpAddress addr;
 
     for (l = head; l; l = l->next) {
         if (ch->matchAclListFast(l->aclList))
@@ -1324,7 +1333,7 @@
     return 0;
 }
 
-IPAddress
+IpAddress
 getOutgoingAddr(HttpRequest * request, struct peer *dst_peer)
 {
     ACLChecklist ch;
diff -u -r -N squid-3.1.0.3/src/forward.h squid-3.1.0.4/src/forward.h
--- squid-3.1.0.3/src/forward.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/forward.h	2009-01-23 18:37:37.000000000 +1300
@@ -4,9 +4,10 @@
 /* forward decls */
 
 class ErrorState;
+class HttpRequest;
 
 #include "comm.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 class FwdServer
 {
@@ -43,7 +44,7 @@
     bool checkRetry();
     bool checkRetriable();
     void dispatch();
-    void pconnPush(int fd, const char *host, int port, const char *domain, IPAddress &client_addr);
+    void pconnPush(int fd, const peer *_peer, const HttpRequest *req, const char *domain, IpAddress &client_addr);
 
     bool dontRetry() { return flags.dont_retry; }
 
@@ -99,7 +100,7 @@
         unsigned int forward_completed:1;
     } flags;
 
-    IPAddress src; /* Client address for this connection. Needed for transparent operations. */
+    IpAddress src; /* Client address for this connection. Needed for transparent operations. */
 };
 
 #endif
diff -u -r -N squid-3.1.0.3/src/fqdncache.cc squid-3.1.0.4/src/fqdncache.cc
--- squid-3.1.0.3/src/fqdncache.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/fqdncache.cc	2009-01-23 18:37:37.000000000 +1300
@@ -516,7 +516,7 @@
  * 			and does not affect the FQDN cache.
  */
 void
-fqdncache_nbgethostbyaddr(IPAddress &addr, FQDNH * handler, void *handlerData)
+fqdncache_nbgethostbyaddr(IpAddress &addr, FQDNH * handler, void *handlerData)
 {
     fqdncache_entry *f = NULL;
     char name[MAX_IPSTRLEN];
@@ -634,7 +634,7 @@
  *
  */
 const char *
-fqdncache_gethostbyaddr(IPAddress &addr, int flags)
+fqdncache_gethostbyaddr(IpAddress &addr, int flags)
 {
     char name[MAX_IPSTRLEN];
     fqdncache_entry *f = NULL;
@@ -736,7 +736,7 @@
 
 /// \ingroup FQDNCacheAPI
 const char *
-fqdnFromAddr(IPAddress &addr)
+fqdnFromAddr(IpAddress &addr)
 {
     const char *n;
     static char buf[MAX_IPSTRLEN];
diff -u -r -N squid-3.1.0.3/src/fs/Makefile.am squid-3.1.0.4/src/fs/Makefile.am
--- squid-3.1.0.3/src/fs/Makefile.am	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/fs/Makefile.am	2009-01-23 18:37:37.000000000 +1300
@@ -6,8 +6,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
-
-##DIST_SUBDIRS	= coss ufs
+CLEANFILES = 
 
 EXTRA_LIBRARIES = libcoss.a libufs.a
 noinst_LIBRARIES = @STORE_LIBS@
@@ -46,6 +45,7 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
 
 ## targets below to emulate distributed makefiles
 coss/all: libcoss.a
diff -u -r -N squid-3.1.0.3/src/fs/Makefile.in squid-3.1.0.4/src/fs/Makefile.in
--- squid-3.1.0.3/src/fs/Makefile.in	2008-12-05 16:09:57.000000000 +1300
+++ squid-3.1.0.4/src/fs/Makefile.in	2009-01-23 18:38:00.000000000 +1300
@@ -325,6 +325,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
 EXTRA_LIBRARIES = libcoss.a libufs.a
 noinst_LIBRARIES = @STORE_LIBS@
 libcoss_a_SOURCES = \
@@ -594,6 +595,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/src/ftp.cc squid-3.1.0.4/src/ftp.cc
--- squid-3.1.0.3/src/ftp.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ftp.cc	2009-01-23 18:37:37.000000000 +1300
@@ -20,12 +20,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -92,8 +92,7 @@
 } ftp_state_t;
 
 /// \ingroup ServerProtocolFTPInternal
-struct _ftp_flags
-{
+struct _ftp_flags {
     bool isdir;
     bool pasv_supported;
     bool epsv_all_sent;
@@ -124,7 +123,8 @@
 
 /// common code for FTP control and data channels
 // does not own the channel descriptor, which is managed by FtpStateData
-class FtpChannel {
+class FtpChannel
+{
 public:
     FtpChannel(): fd(-1) {}
 
@@ -179,8 +179,7 @@
 
     // \todo: optimize ctrl and data structs member order, to minimize size
     /// FTP control channel info; the channel is opened once per transaction
-    struct CtrlChannel: public FtpChannel
-    {
+    struct CtrlChannel: public FtpChannel {
         char *buf;
         size_t size;
         size_t offset;
@@ -191,8 +190,7 @@
     } ctrl;
 
     /// FTP data channel info; the channel may be opened/closed a few times
-    struct DataChannel: public FtpChannel
-    {
+    struct DataChannel: public FtpChannel {
         MemBuf *readBuf;
         char *host;
         u_short port;
@@ -282,8 +280,7 @@
 }
 
 /// \ingroup ServerProtocolFTPInternal
-typedef struct
-{
+typedef struct {
     char type;
     int64_t size;
     char *date;
@@ -389,34 +386,33 @@
 ************************************************/
 
 /// \ingroup ServerProtocolFTPInternal
-FTPSM *FTP_SM_FUNCS[] =
-    {
-        ftpReadWelcome,		/* BEGIN */
-        ftpReadUser,		/* SENT_USER */
-        ftpReadPass,		/* SENT_PASS */
-        ftpReadType,		/* SENT_TYPE */
-        ftpReadMdtm,		/* SENT_MDTM */
-        ftpReadSize,		/* SENT_SIZE */
-        ftpReadEPRT,		/* SENT_EPRT */
-        ftpReadPORT,		/* SENT_PORT */
-        ftpReadEPSV,		/* SENT_EPSV_ALL */
-        ftpReadEPSV,		/* SENT_EPSV_1 */
-        ftpReadEPSV,		/* SENT_EPSV_2 */
-        ftpReadPasv,		/* SENT_PASV */
-        ftpReadCwd,		/* SENT_CWD */
-        ftpReadList,		/* SENT_LIST */
-        ftpReadList,		/* SENT_NLST */
-        ftpReadRest,		/* SENT_REST */
-        ftpReadRetr,		/* SENT_RETR */
-        ftpReadStor,		/* SENT_STOR */
-        ftpReadQuit,		/* SENT_QUIT */
-        ftpReadTransferDone,	/* READING_DATA (RETR,LIST,NLST) */
-        ftpWriteTransferDone,	/* WRITING_DATA (STOR) */
-        ftpReadMkdir		/* SENT_MKDIR */
-    };
+FTPSM *FTP_SM_FUNCS[] = {
+    ftpReadWelcome,		/* BEGIN */
+    ftpReadUser,		/* SENT_USER */
+    ftpReadPass,		/* SENT_PASS */
+    ftpReadType,		/* SENT_TYPE */
+    ftpReadMdtm,		/* SENT_MDTM */
+    ftpReadSize,		/* SENT_SIZE */
+    ftpReadEPRT,		/* SENT_EPRT */
+    ftpReadPORT,		/* SENT_PORT */
+    ftpReadEPSV,		/* SENT_EPSV_ALL */
+    ftpReadEPSV,		/* SENT_EPSV_1 */
+    ftpReadEPSV,		/* SENT_EPSV_2 */
+    ftpReadPasv,		/* SENT_PASV */
+    ftpReadCwd,		/* SENT_CWD */
+    ftpReadList,		/* SENT_LIST */
+    ftpReadList,		/* SENT_NLST */
+    ftpReadRest,		/* SENT_REST */
+    ftpReadRetr,		/* SENT_RETR */
+    ftpReadStor,		/* SENT_STOR */
+    ftpReadQuit,		/* SENT_QUIT */
+    ftpReadTransferDone,	/* READING_DATA (RETR,LIST,NLST) */
+    ftpWriteTransferDone,	/* WRITING_DATA (STOR) */
+    ftpReadMkdir		/* SENT_MKDIR */
+};
 
 /// handler called by Comm when FTP control channel is closed unexpectedly
-void 
+void
 FtpStateData::ctrlClosed(const CommCloseCbParams &io)
 {
     ctrl.clear();
@@ -424,7 +420,7 @@
 }
 
 /// handler called by Comm when FTP data channel is closed unexpectedly
-void 
+void
 FtpStateData::dataClosed(const CommCloseCbParams &io)
 {
     data.clear();
@@ -453,7 +449,7 @@
 
     typedef CommCbMemFunT<FtpStateData, CommCloseCbParams> Dialer;
     AsyncCall::Pointer closer = asyncCall(9, 5, "FtpStateData::ctrlClosed",
-        Dialer(this, &FtpStateData::ctrlClosed));
+                                          Dialer(this, &FtpStateData::ctrlClosed));
     ctrl.opened(theFwdState->server_fd, closer);
 
     if (request->method == METHOD_PUT)
@@ -473,7 +469,7 @@
 
     if (ctrl.fd >= 0) {
         debugs(9, DBG_IMPORTANT, HERE << "Internal bug: FtpStateData left " <<
-            "control FD " << ctrl.fd << " open");
+               "control FD " << ctrl.fd << " open");
     }
 
     if (ctrl.buf) {
@@ -483,7 +479,7 @@
 
     if (data.readBuf) {
         if (!data.readBuf->isNull())
-           data.readBuf->clean();
+            data.readBuf->clean();
 
         delete data.readBuf;
     }
@@ -675,11 +671,10 @@
 }
 
 /// \ingroup ServerProtocolFTPInternal
-static const char *Month[] =
-    {
-        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
-        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
-    };
+static const char *Month[] = {
+    "Jan", "Feb", "Mar", "Apr", "May", "Jun",
+    "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
+};
 
 /// \ingroup ServerProtocolFTPInternal
 static int
@@ -726,8 +721,7 @@
     static regex_t scan_ftp_dostime;
     static regex_t scan_ftp_dosdate;
 
-    if (!scan_ftp_initialized)
-    {
+    if (!scan_ftp_initialized) {
         scan_ftp_initialized = 1;
         regcomp(&scan_ftp_integer, "^[0123456789]+$", REG_EXTENDED | REG_NOSUB);
         regcomp(&scan_ftp_time, "^[0123456789:]+$", REG_EXTENDED | REG_NOSUB);
@@ -749,8 +743,7 @@
 
     xbuf = xstrdup(buf);
 
-    if (flags.tried_nlst)
-    {
+    if (flags.tried_nlst) {
         /* Machine readable format, one name per line */
         p->name = xbuf;
         p->type = '\0';
@@ -763,8 +756,7 @@
     xfree(xbuf);
 
     /* locate the Month field */
-    for (i = 3; i < n_tokens - 2; i++)
-    {
+    for (i = 3; i < n_tokens - 2; i++) {
         char *size = tokens[i - 1];
         char *month = tokens[i];
         char *day = tokens[i + 1];
@@ -824,8 +816,7 @@
     /* try it as a DOS listing, 04-05-70 09:33PM ... */
     if (n_tokens > 3 &&
             regexec(&scan_ftp_dosdate, tokens[0], 0, NULL, 0) == 0 &&
-            regexec(&scan_ftp_dostime, tokens[1], 0, NULL, 0) == 0)
-    {
+            regexec(&scan_ftp_dostime, tokens[1], 0, NULL, 0) == 0) {
         if (!strcasecmp(tokens[2], "<dir>")) {
             p->type = 'd';
         } else {
@@ -861,8 +852,7 @@
     }
 
     /* Try EPLF format; carson@lehman.com */
-    if (buf[0] == '+')
-    {
+    if (buf[0] == '+') {
         ct = buf + 1;
         p->type = 0;
 
@@ -1233,7 +1223,8 @@
 }
 
 int
-FtpStateData::dataDescriptor() const {
+FtpStateData::dataDescriptor() const
+{
     return data.fd;
 }
 
@@ -1279,15 +1270,15 @@
 
     typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-                        TimeoutDialer(this,&FtpStateData::ftpTimeout));
+                                      TimeoutDialer(this,&FtpStateData::ftpTimeout));
     commSetTimeout(data.fd, Config.Timeout.read, timeoutCall);
 
     debugs(9,5,HERE << "queueing read on FD " << data.fd);
 
     typedef CommCbMemFunT<FtpStateData, CommIoCbParams> Dialer;
     entry->delayAwareRead(data.fd, data.readBuf->space(), read_sz,
-	asyncCall(9, 5, "FtpStateData::dataRead",
-	      Dialer(this, &FtpStateData::dataRead)));
+                          asyncCall(9, 5, "FtpStateData::dataRead",
+                                    Dialer(this, &FtpStateData::dataRead)));
 }
 
 void
@@ -1347,13 +1338,13 @@
     }
 
     if (io.flag != COMM_OK || io.size < 0) {
-         debugs(50, ignoreErrno(io.xerrno) ? 3 : DBG_IMPORTANT,
-             "ftpDataRead: read error: " << xstrerr(io.xerrno));
+        debugs(50, ignoreErrno(io.xerrno) ? 3 : DBG_IMPORTANT,
+               "ftpDataRead: read error: " << xstrerr(io.xerrno));
 
         if (ignoreErrno(io.xerrno)) {
             typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
             AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-                        TimeoutDialer(this,&FtpStateData::ftpTimeout));
+                                              TimeoutDialer(this,&FtpStateData::ftpTimeout));
             commSetTimeout(io.fd, Config.Timeout.read, timeoutCall);
 
             maybeReadVirginBody();
@@ -1369,16 +1360,16 @@
         }
     } else if (io.size == 0) {
         debugs(9,3, HERE << "Calling dataComplete() because io.size == 0");
-	/*
-	 * DPW 2007-04-23
-	 * Dangerous curves ahead.  This call to dataComplete was
-	 * calling scheduleReadControlReply, handleControlReply,
-	 * and then ftpReadTransferDone.  If ftpReadTransferDone
-	 * gets unexpected status code, it closes down the control
-	 * socket and our FtpStateData object gets destroyed.   As
-	 * a workaround we no longer set the 'buffered_ok' flag in
-	 * the scheduleReadControlReply call.
-	 */
+        /*
+         * DPW 2007-04-23
+         * Dangerous curves ahead.  This call to dataComplete was
+         * calling scheduleReadControlReply, handleControlReply,
+         * and then ftpReadTransferDone.  If ftpReadTransferDone
+         * gets unexpected status code, it closes down the control
+         * socket and our FtpStateData object gets destroyed.   As
+         * a workaround we no longer set the 'buffered_ok' flag in
+         * the scheduleReadControlReply call.
+         */
         dataComplete();
     }
 
@@ -1399,10 +1390,10 @@
         appendSuccessHeader();
 
     if (EBIT_TEST(entry->flags, ENTRY_ABORTED)) {
-	/*
-	 * probably was aborted because content length exceeds one
-	 * of the maximum size limits.
-	 */
+        /*
+         * probably was aborted because content length exceeds one
+         * of the maximum size limits.
+         */
         abortTransaction("entry aborted after calling appendSuccessHeader()");
         return;
     }
@@ -1421,12 +1412,12 @@
 
     if (flags.isdir) {
         parseListing();
-    } else 
-    if (const int csize = data.readBuf->contentSize()) {
-        writeReplyBody(data.readBuf->content(), csize);
-        debugs(9, 5, HERE << "consuming " << csize << " bytes of readBuf");
-        data.readBuf->consume(csize);
-    }
+    } else
+        if (const int csize = data.readBuf->contentSize()) {
+            writeReplyBody(data.readBuf->content(), csize);
+            debugs(9, 5, HERE << "consuming " << csize << " bytes of readBuf");
+            data.readBuf->consume(csize);
+        }
 
     entry->flush();
 
@@ -1644,11 +1635,11 @@
 
     typedef CommCbMemFunT<FtpStateData, CommIoCbParams> Dialer;
     AsyncCall::Pointer call = asyncCall(9, 5, "FtpStateData::ftpWriteCommandCallback",
-					Dialer(this, &FtpStateData::ftpWriteCommandCallback));
+                                        Dialer(this, &FtpStateData::ftpWriteCommandCallback));
     comm_write(ctrl.fd,
                ctrl.last_command,
                strlen(ctrl.last_command),
-	       call);
+               call);
 
     scheduleReadControlReply(0);
 }
@@ -1780,23 +1771,23 @@
         handleControlReply();
     } else {
         /* XXX What about Config.Timeout.read? */
-	typedef CommCbMemFunT<FtpStateData, CommIoCbParams> Dialer;
-	AsyncCall::Pointer reader=asyncCall(9, 5, "FtpStateData::ftpReadControlReply",
-				    Dialer(this, &FtpStateData::ftpReadControlReply));
-	comm_read(ctrl.fd, ctrl.buf + ctrl.offset, ctrl.size - ctrl.offset, reader);
+        typedef CommCbMemFunT<FtpStateData, CommIoCbParams> Dialer;
+        AsyncCall::Pointer reader=asyncCall(9, 5, "FtpStateData::ftpReadControlReply",
+                                            Dialer(this, &FtpStateData::ftpReadControlReply));
+        comm_read(ctrl.fd, ctrl.buf + ctrl.offset, ctrl.size - ctrl.offset, reader);
         /*
          * Cancel the timeout on the Data socket (if any) and
          * establish one on the control socket.
          */
 
-        if (data.fd > -1){
-	    AsyncCall::Pointer nullCall =  NULL;
+        if (data.fd > -1) {
+            AsyncCall::Pointer nullCall =  NULL;
             commSetTimeout(data.fd, -1, nullCall);
-	}
+        }
 
-	typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-					    TimeoutDialer(this,&FtpStateData::ftpTimeout));
+        typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
+        AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
+                                          TimeoutDialer(this,&FtpStateData::ftpTimeout));
 
         commSetTimeout(ctrl.fd, Config.Timeout.read, timeoutCall);
     }
@@ -1826,8 +1817,8 @@
     }
 
     if (io.flag != COMM_OK || io.size < 0) {
-        debugs(50, ignoreErrno(io.xerrno) ? 3 : DBG_IMPORTANT, 
-            "ftpReadControlReply: read error: " << xstrerr(io.xerrno));
+        debugs(50, ignoreErrno(io.xerrno) ? 3 : DBG_IMPORTANT,
+               "ftpReadControlReply: read error: " << xstrerr(io.xerrno));
 
         if (ignoreErrno(io.xerrno)) {
             scheduleReadControlReply(0);
@@ -1847,7 +1838,7 @@
             return;
         }
 
-    /* XXX this may end up having to be serverComplete() .. */
+        /* XXX this may end up having to be serverComplete() .. */
         abortTransaction("zero control reply read");
         return;
     }
@@ -1942,7 +1933,7 @@
 ftpSendUser(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendUser"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendUser"))
         return;
 
     if (ftpState->proxy_host != NULL)
@@ -1978,7 +1969,7 @@
 ftpSendPass(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendPass"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendPass"))
         return;
 
     snprintf(cbuf, 1024, "PASS %s\r\n", ftpState->password);
@@ -2009,7 +2000,7 @@
     char mode;
 
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendType"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendType"))
         return;
 
     /*
@@ -2137,7 +2128,7 @@
     char *path = NULL;
 
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendCwd"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendCwd"))
         return;
 
     debugs(9, 3, HERE);
@@ -2195,7 +2186,7 @@
     char *path = NULL;
 
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendMkdir"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendMkdir"))
         return;
 
     path = ftpState->filepath;
@@ -2254,7 +2245,7 @@
 ftpSendMdtm(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendMdtm"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendMdtm"))
         return;
 
     assert(*ftpState->filepath != '\0');
@@ -2275,7 +2266,7 @@
         ftpState->unhack();
     } else if (code < 0) {
         ftpFail(ftpState);
-	return;
+        return;
     }
 
     ftpSendSize(ftpState);
@@ -2286,7 +2277,7 @@
 ftpSendSize(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendSize"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendSize"))
         return;
 
     /* Only send SIZE for binary transfers. The returned size
@@ -2316,13 +2307,13 @@
 
         if (ftpState->theSize == 0) {
             debugs(9, 2, "SIZE reported " <<
-                         ftpState->ctrl.last_reply << " on " << 
-                         ftpState->title_url.buf());
+                   ftpState->ctrl.last_reply << " on " <<
+                   ftpState->title_url.buf());
             ftpState->theSize = -1;
         }
     } else if (code < 0) {
         ftpFail(ftpState);
-	return;
+        return;
     }
 
     ftpSendPassive(ftpState);
@@ -2338,19 +2329,18 @@
     char h1, h2, h3, h4;
     int n;
     u_short port;
-    IPAddress ipa_remote;
+    IpAddress ipa_remote;
     int fd = ftpState->data.fd;
     char *buf;
     debugs(9, 3, HERE);
 
     if (code != 229 && code != 522) {
-        if(code == 200) {
+        if (code == 200) {
             /* handle broken servers (RFC 2428 says OK code for EPSV MUST be 229 not 200) */
             /* vsftpd for one send '200 EPSV ALL ok.' without even port info.
              * Its okay to re-send EPSV 1/2 but nothing else. */
             debugs(9, DBG_IMPORTANT, "Broken FTP Server at " << fd_table[ftpState->ctrl.fd].ipaddr << ". Wrong accept code for EPSV");
-        }
-        else {
+        } else {
             debugs(9, 2, "EPSV not supported by remote end");
             ftpState->state = SENT_EPSV_1; /* simulate having failed EPSV 1 (last EPSV to try before shifting to PASV) */
         }
@@ -2358,29 +2348,26 @@
         return;
     }
 
-    if(code == 522) {
+    if (code == 522) {
         /* server response with list of supported methods   */
         /*   522 Network protocol not supported, use (1)    */
         /*   522 Network protocol not supported, use (1,2)  */
         debugs(9, 5, HERE << "scanning: " << ftpState->ctrl.last_reply);
 
         buf = ftpState->ctrl.last_reply + strcspn(ftpState->ctrl.last_reply, "(1,2)");
-        if(buf == NULL || *buf == '\0') {
+        if (buf == NULL || *buf == '\0') {
             /* handle broken server (RFC 2428 says MUST specify supported protocols in 522) */
             debugs(9, DBG_IMPORTANT, "Broken FTP Server at " << fd_table[ftpState->ctrl.fd].ipaddr << ". 522 error missing protocol negotiation hints");
             ftpSendPassive(ftpState);
-        }
-        else if(strcmp(buf, "(1)") == 0) {
+        } else if (strcmp(buf, "(1)") == 0) {
             ftpState->state = SENT_EPSV_2; /* simulate having sent and failed EPSV 2 */
             ftpSendPassive(ftpState);
-        }
-        else if(strcmp(buf, "(2)") == 0) {
+        } else if (strcmp(buf, "(2)") == 0) {
 #if USE_IPV6
             /* If server only supports EPSV 2 and we have already tried that. Go straight to EPRT */
-            if(ftpState->state == SENT_EPSV_2) {
+            if (ftpState->state == SENT_EPSV_2) {
                 ftpSendEPRT(ftpState);
-            }
-            else {
+            } else {
                 /* or try the next Passive mode down the chain. */
                 ftpSendPassive(ftpState);
             }
@@ -2455,11 +2442,11 @@
 static void
 ftpSendPassive(FtpStateData * ftpState)
 {
-    IPAddress addr;
+    IpAddress addr;
     struct addrinfo *AI = NULL;
 
     /** Checks the server control channel is still available before running. */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendPassive"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendPassive"))
         return;
 
     debugs(9, 3, HERE);
@@ -2469,7 +2456,7 @@
       * If enabled to be sent, squid MUST NOT request any other connect methods.
       * If 'ALL' is sent and fails the entire FTP Session fails.
       * NP: By my reading exact EPSV protocols maybe attempted, but only EPSV method. */
-    if(Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent && ftpState->state == SENT_EPSV_1 ) {
+    if (Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent && ftpState->state == SENT_EPSV_1 ) {
         debugs(9, DBG_IMPORTANT, "FTP does not allow PASV method after 'EPSV ALL' has been sent.");
         ftpFail(ftpState);
         return;
@@ -2534,7 +2521,7 @@
       \item EPSV 1    is used if EPSV 2 (IPv6) fails or is not available.
       \item PASV      is used if EPSV 1 fails.
       */
-    switch(ftpState->state) {
+    switch (ftpState->state) {
     case SENT_EPSV_1: /* EPSV options exhausted. Try PASV now. */
         snprintf(cbuf, 1024, "PASV\r\n");
         ftpState->state = SENT_PASV;
@@ -2552,13 +2539,12 @@
         break;
 
     default:
-        if(Config.Ftp.epsv_all) {
+        if (Config.Ftp.epsv_all) {
             snprintf(cbuf, 1024, "EPSV ALL\r\n");
             ftpState->state = SENT_EPSV_ALL;
             /* block other non-EPSV connections being attempted */
             ftpState->flags.epsv_all_sent = true;
-        }
-        else {
+        } else {
 #if USE_IPV6
             snprintf(cbuf, 1024, "EPSV 2\r\n");
             ftpState->state = SENT_EPSV_2;
@@ -2578,7 +2564,7 @@
      */
     typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-					    TimeoutDialer(ftpState,&FtpStateData::ftpTimeout));
+                                      TimeoutDialer(ftpState,&FtpStateData::ftpTimeout));
 
     commSetTimeout(ftpState->data.fd, 15, timeoutCall);
 }
@@ -2608,7 +2594,7 @@
 #endif
 
     // processReplyBody calls serverComplete() since there is no body
-    processReplyBody(); 
+    processReplyBody();
 }
 
 /// \ingroup ServerProtocolFTPInternal
@@ -2620,7 +2606,7 @@
     int p1, p2;
     int n;
     u_short port;
-    IPAddress ipa_remote;
+    IpAddress ipa_remote;
     int fd = ftpState->data.fd;
     char *buf;
     LOCAL_ARRAY(char, ipaddr, 1024);
@@ -2653,7 +2639,7 @@
 
     ipa_remote = ipaddr;
 
-    if( ipa_remote.IsAnyAddr() ) {
+    if ( ipa_remote.IsAnyAddr() ) {
         debugs(9, DBG_IMPORTANT, "Unsafe PASV reply from " <<
                fd_table[ftpState->ctrl.fd].ipaddr << ": " <<
                ftpState->ctrl.last_reply);
@@ -2726,7 +2712,7 @@
 {
     int fd;
 
-    IPAddress addr;
+    IpAddress addr;
     struct addrinfo *AI = NULL;
     int on = 1;
     int x = 0;
@@ -2747,7 +2733,7 @@
 
     addr.FreeAddrInfo(AI);
 
-    if(x) {
+    if (x) {
         debugs(9, DBG_CRITICAL, HERE << "getsockname(" << ftpState->ctrl.fd << ",..): " << xstrerror());
         return -1;
     }
@@ -2758,8 +2744,7 @@
      */
     if (fallback) {
         setsockopt(ftpState->ctrl.fd, SOL_SOCKET, SO_REUSEADDR, (char *) &on, sizeof(on));
-    }
-    else {
+    } else {
         /* if not running in fallback mode a new port needs to be retrieved */
         addr.SetPort(0);
     }
@@ -2793,16 +2778,16 @@
 {
     int fd;
 
-    IPAddress ipa;
+    IpAddress ipa;
     struct addrinfo *AI = NULL;
     unsigned char *addrptr;
     unsigned char *portptr;
 
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendPort"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendPort"))
         return;
 
-    if(Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent) {
+    if (Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent) {
         debugs(9, DBG_IMPORTANT, "FTP does not allow PORT method after 'EPSV ALL' has been sent.");
         return;
     }
@@ -2822,13 +2807,13 @@
     }
 
 #if USE_IPV6
-    if( AI->ai_addrlen != sizeof(struct sockaddr_in) ) {
+    if ( AI->ai_addrlen != sizeof(struct sockaddr_in) ) {
         ipa.FreeAddrInfo(AI);
-       /* IPv6 CANNOT send PORT command.                           */
-       /* we got here by attempting and failing an EPRT            */
-       /* using the same reply code should simulate a PORT failure */
-       ftpReadPORT(ftpState);
-       return;
+        /* IPv6 CANNOT send PORT command.                           */
+        /* we got here by attempting and failing an EPRT            */
+        /* using the same reply code should simulate a PORT failure */
+        ftpReadPORT(ftpState);
+        return;
     }
 #endif
 
@@ -2864,11 +2849,11 @@
 ftpSendEPRT(FtpStateData * ftpState)
 {
     int fd;
-    IPAddress addr;
+    IpAddress addr;
     struct addrinfo *AI = NULL;
     char buf[MAX_IPSTRLEN];
 
-    if(Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent) {
+    if (Config.Ftp.epsv_all && ftpState->flags.epsv_all_sent) {
         debugs(9, DBG_IMPORTANT, "FTP does not allow EPRT method after 'EPSV ALL' has been sent.");
         return;
     }
@@ -2948,15 +2933,15 @@
         io.details.peer.NtoA(ntoapeer,MAX_IPSTRLEN);
 
         if (strcmp(fd_table[ctrl.fd].ipaddr, ntoapeer) != 0) {
-            debugs(9, DBG_IMPORTANT, 
-                "FTP data connection from unexpected server (" <<
-                io.details.peer << "), expecting " <<
-                fd_table[ctrl.fd].ipaddr);
+            debugs(9, DBG_IMPORTANT,
+                   "FTP data connection from unexpected server (" <<
+                   io.details.peer << "), expecting " <<
+                   fd_table[ctrl.fd].ipaddr);
 
             comm_close(io.nfd);
-	    typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
-	    AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
-                        acceptDialer(this, &FtpStateData::ftpAcceptDataConnection));
+            typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
+            AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
+                                            acceptDialer(this, &FtpStateData::ftpAcceptDataConnection));
             comm_accept(data.fd, acceptCall);
             return;
         }
@@ -2977,9 +2962,9 @@
     io.details.peer.NtoA(data.host,SQUIDHOSTNAMELEN);
 
     debugs(9, 3, "ftpAcceptDataConnection: Connected data socket on " <<
-        "FD " << io.nfd << " to " << io.details.peer << " FD table says: " <<
-        "ctrl-peer= " << fd_table[ctrl.fd].ipaddr << ", " <<
-        "data-peer= " << fd_table[data.fd].ipaddr);
+           "FD " << io.nfd << " to " << io.details.peer << " FD table says: " <<
+           "ctrl-peer= " << fd_table[ctrl.fd].ipaddr << ", " <<
+           "data-peer= " << fd_table[data.fd].ipaddr);
 
 
     AsyncCall::Pointer nullCall = NULL;
@@ -2987,7 +2972,7 @@
 
     typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-					    TimeoutDialer(this,&FtpStateData::ftpTimeout));
+                                      TimeoutDialer(this,&FtpStateData::ftpTimeout));
     commSetTimeout(data.fd, Config.Timeout.read, timeoutCall);
 
     /*\todo XXX We should have a flag to track connect state...
@@ -3027,7 +3012,7 @@
 ftpSendStor(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendStor"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendStor"))
         return;
 
     debugs(9, 3, HERE);
@@ -3056,7 +3041,8 @@
     ftpState->readStor();
 }
 
-void FtpStateData::readStor() {
+void FtpStateData::readStor()
+{
     int code = ctrl.replycode;
     debugs(9, 3, HERE);
 
@@ -3074,12 +3060,12 @@
          * Cancel the timeout on the Control socket and
          * establish one on the data socket.
          */
-	AsyncCall::Pointer nullCall = NULL;
+        AsyncCall::Pointer nullCall = NULL;
         commSetTimeout(ctrl.fd, -1, nullCall);
 
-	typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-					    TimeoutDialer(this,&FtpStateData::ftpTimeout));
+        typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
+        AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
+                                          TimeoutDialer(this,&FtpStateData::ftpTimeout));
 
         commSetTimeout(data.fd, Config.Timeout.read, timeoutCall);
 
@@ -3091,7 +3077,7 @@
         debugs(9, 3, "ftpReadStor: accepting data channel");
         typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
         AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
-            acceptDialer(this, &FtpStateData::ftpAcceptDataConnection));
+                                        acceptDialer(this, &FtpStateData::ftpAcceptDataConnection));
 
         comm_accept(data.fd, acceptCall);
     } else {
@@ -3105,7 +3091,7 @@
 ftpSendRest(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendRest"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendRest"))
         return;
 
     debugs(9, 3, HERE);
@@ -3136,7 +3122,7 @@
         return 0;
 
     if (desired_offset >= theSize)
-	return 0;
+        return 0;
 
     restart_offset = desired_offset;
     return 1;
@@ -3167,7 +3153,7 @@
 ftpSendList(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendList"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendList"))
         return;
 
     debugs(9, 3, HERE);
@@ -3187,7 +3173,7 @@
 ftpSendNlst(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendNlst"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendNlst"))
         return;
 
     debugs(9, 3, HERE);
@@ -3220,26 +3206,26 @@
          * Cancel the timeout on the Control socket and establish one
          * on the data socket
          */
-	AsyncCall::Pointer nullCall = NULL;
+        AsyncCall::Pointer nullCall = NULL;
         commSetTimeout(ftpState->ctrl.fd, -1, nullCall);
         return;
     } else if (code == 150) {
         /* Accept data channel */
-	typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
-	AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
-			       acceptDialer(ftpState, &FtpStateData::ftpAcceptDataConnection));
+        typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
+        AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
+                                        acceptDialer(ftpState, &FtpStateData::ftpAcceptDataConnection));
 
         comm_accept(ftpState->data.fd, acceptCall);
         /*
          * Cancel the timeout on the Control socket and establish one
          * on the data socket
          */
-	AsyncCall::Pointer nullCall = NULL;
+        AsyncCall::Pointer nullCall = NULL;
         commSetTimeout(ftpState->ctrl.fd, -1, nullCall);
-	
-	typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-					    TimeoutDialer(ftpState,&FtpStateData::ftpTimeout));
+
+        typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
+        AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
+                                          TimeoutDialer(ftpState,&FtpStateData::ftpTimeout));
         commSetTimeout(ftpState->data.fd, Config.Timeout.read, timeoutCall);
         return;
     } else if (!ftpState->flags.tried_nlst && code > 300) {
@@ -3255,7 +3241,7 @@
 ftpSendRetr(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendRetr"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendRetr"))
         return;
 
     debugs(9, 3, HERE);
@@ -3283,24 +3269,24 @@
          * Cancel the timeout on the Control socket and establish one
          * on the data socket
          */
-	AsyncCall::Pointer nullCall = NULL;
+        AsyncCall::Pointer nullCall = NULL;
         commSetTimeout(ftpState->ctrl.fd, -1, nullCall);
     } else if (code == 150) {
         /* Accept data channel */
-	typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
-	AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
-                        acceptDialer(ftpState, &FtpStateData::ftpAcceptDataConnection));
+        typedef CommCbMemFunT<FtpStateData, CommAcceptCbParams> acceptDialer;
+        AsyncCall::Pointer acceptCall = asyncCall(11, 5, "FtpStateData::ftpAcceptDataConnection",
+                                        acceptDialer(ftpState, &FtpStateData::ftpAcceptDataConnection));
         comm_accept(ftpState->data.fd, acceptCall);
         /*
          * Cancel the timeout on the Control socket and establish one
          * on the data socket
          */
-	AsyncCall::Pointer nullCall = NULL;
+        AsyncCall::Pointer nullCall = NULL;
         commSetTimeout(ftpState->ctrl.fd, -1, nullCall);
 
-	typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
-	AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
-					    TimeoutDialer(ftpState,&FtpStateData::ftpTimeout));
+        typedef CommCbMemFunT<FtpStateData, CommTimeoutCbParams> TimeoutDialer;
+        AsyncCall::Pointer timeoutCall =  asyncCall(9, 5, "FtpStateData::ftpTimeout",
+                                          TimeoutDialer(ftpState,&FtpStateData::ftpTimeout));
         commSetTimeout(ftpState->data.fd, Config.Timeout.read, timeoutCall);
     } else if (code >= 300) {
         if (!ftpState->flags.try_slash_hack) {
@@ -3378,7 +3364,7 @@
 ftpSendQuit(FtpStateData * ftpState)
 {
     /* check the server control channel is still available */
-    if(!ftpState || !ftpState->haveControlChannel("ftpSendQuit"))
+    if (!ftpState || !ftpState->haveControlChannel("ftpSendQuit"))
         return;
 
     snprintf(cbuf, 1024, "QUIT\r\n");
@@ -3463,10 +3449,10 @@
 ftpFail(FtpStateData *ftpState)
 {
     debugs(9, 6, HERE << "flags(" <<
-            (ftpState->flags.isdir?"IS_DIR,":"") <<
-            (ftpState->flags.try_slash_hack?"TRY_SLASH_HACK":"") << "), " <<
-            "mdtm=" << ftpState->mdtm << ", size=" << ftpState->theSize <<
-            "slashhack=" << (ftpState->request->urlpath.caseCmp("/%2f", 4)==0? "T":"F") );
+           (ftpState->flags.isdir?"IS_DIR,":"") <<
+           (ftpState->flags.try_slash_hack?"TRY_SLASH_HACK":"") << "), " <<
+           "mdtm=" << ftpState->mdtm << ", size=" << ftpState->theSize <<
+           "slashhack=" << (ftpState->request->urlpath.caseCmp("/%2f", 4)==0? "T":"F") );
 
     /* Try the / hack to support "Netscape" FTP URL's for retreiving files */
     if (!ftpState->flags.isdir &&	/* Not a directory */
@@ -3685,16 +3671,16 @@
         reply->setHeaders(version, HTTP_OK, "Gatewaying",
                           mime_type, theSize, mdtm, -2);
     } else if (theSize < restarted_offset) {
-	/*
-	 * DPW 2007-05-04
-	 * offset should not be larger than theSize.  We should
-	 * not be seeing this condition any more because we'll only
-	 * send REST if we know the theSize and if it is less than theSize.
-	 */
-	debugs(0,DBG_CRITICAL,HERE << "Whoops! " <<
-		" restarted_offset=" << restarted_offset <<
-		", but theSize=" << theSize <<
-		".  assuming full content response");
+        /*
+         * DPW 2007-05-04
+         * offset should not be larger than theSize.  We should
+         * not be seeing this condition any more because we'll only
+         * send REST if we know the theSize and if it is less than theSize.
+         */
+        debugs(0,DBG_CRITICAL,HERE << "Whoops! " <<
+               " restarted_offset=" << restarted_offset <<
+               ", but theSize=" << theSize <<
+               ".  assuming full content response");
         reply->setHeaders(version, HTTP_OK, "Gatewaying",
                           mime_type, theSize, mdtm, -2);
     } else {
@@ -3756,7 +3742,7 @@
  *  after the initial URI path delimiter, which happens to be / itself.
  *  This makes FTP absolute URI appear as:  ftp:host:port//root/path
  *  To encompass older software which compacts multiple // to / in transit
- *  We use standard URI-encoding on the second / making it 
+ *  We use standard URI-encoding on the second / making it
  *  ftp:host:port/%2froot/path  AKA 'the FTP %2f hack'.
  */
 const char *
@@ -3767,12 +3753,11 @@
     if (request->protocol != PROTO_FTP)
         return NULL;
 
-    if( !strncmp(request->urlpath.buf(), "/", 1) ) {
+    if ( !strncmp(request->urlpath.buf(), "/", 1) ) {
         newbuf.append(request->urlpath);
         request->urlpath.absorb(newbuf);
         safe_free(request->canonical);
-    }
-    else if( !strncmp(request->urlpath.buf(), "%2f", 3) ) {
+    } else if ( !strncmp(request->urlpath.buf(), "%2f", 3) ) {
         newbuf.append(request->urlpath.buf() +1);
         request->urlpath.absorb(newbuf);
         safe_free(request->canonical);
@@ -3811,16 +3796,16 @@
 {
     debugs(9,3, HERE);
     dataComplete();
-/* NP: RFC 959  3.3.  DATA CONNECTION MANAGEMENT
- * if transfer type is 'stream' call dataComplete()
- * otherwise leave open. (reschedule control channel read?)
- */
+    /* NP: RFC 959  3.3.  DATA CONNECTION MANAGEMENT
+     * if transfer type is 'stream' call dataComplete()
+     * otherwise leave open. (reschedule control channel read?)
+     */
 }
 
 /**
  * A hack to ensure we do not double-complete on the forward entry.
  *
- \todo FtpStateData logic should probably be rewritten to avoid 
+ \todo FtpStateData logic should probably be rewritten to avoid
  *	double-completion or FwdState should be rewritten to allow it.
  */
 void
@@ -3828,8 +3813,8 @@
 {
     if (fwd == NULL || flags.completed_forwarding) {
         debugs(9, 3, HERE << "completeForwarding avoids " <<
-            "double-complete on FD " << ctrl.fd << ", Data FD " << data.fd <<
-            ", this " << this << ", fwd " << fwd);
+               "double-complete on FD " << ctrl.fd << ", Data FD " << data.fd <<
+               ", this " << this << ", fwd " << fwd);
         return;
     }
 
@@ -3874,11 +3859,11 @@
 bool
 FtpStateData::haveControlChannel(const char *caller_name) const
 {
-    if(doneWithServer())
+    if (doneWithServer())
         return false;
 
     /* doneWithServer() only checks BOTH channels are closed. */
-    if(ctrl.fd < 0) {
+    if (ctrl.fd < 0) {
         debugs(9, DBG_IMPORTANT, "WARNING! FTP Server Control channel is closed, but Data channel still active.");
         debugs(9, 2, caller_name << ": attempted on a closed FTP channel.");
         return false;
@@ -3897,7 +3882,7 @@
 FtpStateData::abortTransaction(const char *reason)
 {
     debugs(9, 3, HERE << "aborting transaction for " << reason <<
-        "; FD " << ctrl.fd << ", Data FD " << data.fd << ", this " << this);
+           "; FD " << ctrl.fd << ", Data FD " << data.fd << ", this " << this);
     if (ctrl.fd >= 0) {
         comm_close(ctrl.fd);
         return;
@@ -3913,7 +3898,7 @@
 {
     typedef CommCbMemFunT<FtpStateData, CommCloseCbParams> Dialer;
     return asyncCall(9, 5, "FtpStateData::dataClosed",
-        Dialer(this, &FtpStateData::dataClosed));
+                     Dialer(this, &FtpStateData::dataClosed));
 }
 
 /// configures the channel with a descriptor and registers a close handler
diff -u -r -N squid-3.1.0.3/src/globals.cc squid-3.1.0.4/src/globals.cc
--- squid-3.1.0.3/src/globals.cc	2008-12-05 16:11:09.000000000 +1300
+++ squid-3.1.0.4/src/globals.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,179 +0,0 @@
-#include "squid.h"
-/*
- * $Id: globals.h,v 1.143 2008/02/11 22:36:52 rousskov Exp $
- *
- *
- * SQUID Web Proxy Cache          http://www.squid-cache.org/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from
- *  the Internet community; see the CONTRIBUTORS file for full
- *  details.   Many organizations have provided support for Squid's
- *  development; see the SPONSORS file for full details.  Squid is
- *  Copyrighted (C) 2001 by the Regents of the University of
- *  California; see the COPYRIGHT file for full details.  Squid
- *  incorporates software developed and/or copyrighted by other
- *  sources; see the CREDITS file for full details.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- */
-
-#if HAVE_STDIO_H
-#include <stdio.h>
-#endif
-
-#include "rfc2181.h"
-
-/* for ERROR_BUF_SZ, BUFSIZ, MAXHTTPPORTS */
-#include "defines.h"
-
-/* for iostats, StatCounters */
-#include "structs.h"
-
-
-#ifdef __cplusplus
-extern "C"
-{
-#endif
-
-//MOVED:Debug.h    extern FILE *debug_log;		/* NULL */
-//MOVED:structs.h    extern SquidConfig Config;
-//MOVED:structs.h    extern SquidConfig2 Config2;
-char *ConfigFile = NULL;
-const char *dns_error_message = NULL;
-char tmp_error_buf[ERROR_BUF_SZ];
-char *volatile debug_options = NULL;
-char ThisCache[RFC2181_MAXHOSTNAMELEN << 1];
-char ThisCache2[RFC2181_MAXHOSTNAMELEN << 1];
-char config_input_line[BUFSIZ];
-const char *DefaultConfigFile = DEFAULT_CONFIG_FILE;
-const char *cfg_filename = NULL;
-//MOVED:version.h:APP_SHORTNAME    extern const char *const appname;	/* "squid" */
-const char *const dash_str = "-";
-const char *const null_string = "";
-const char *const version_string = VERSION;
-//MOVED:versions.h:APP_FULLNAME    extern const char *const full_appname_string;	/* PACKAGE "/" VERSION */
-const char *const appname_string = PACKAGE;
-const char *const w_space = " \t\n\r";
-char const * visible_appname_string = NULL;
-    class fde;
-fde *fd_table = NULL;
-int Biggest_FD = -1;
-int Number_FD = 0;
-int Opening_FD = 0;
-int HttpSockets[MAXHTTPPORTS];
-int NDnsServersAlloc = 0;
-int NHttpSockets = 0;
-int RESERVED_FD;
-int Squid_MaxFD = SQUID_MAXFD;
-int config_lineno = 0;
-int do_mallinfo = 0;
-int opt_reuseaddr = 1;
-//DEAD    extern int icmp_sock;		/* -1 */
-int neighbors_do_private_keys = 1;
-int opt_catch_signals = 1;
-int opt_debug_stderr = -1;
-int opt_foreground_rebuild = 0;
-char *opt_forwarded_for = NULL;
-int opt_reload_hit_only = 0;
-#if HAVE_SYSLOG
-
-int opt_syslog_enable = 0;
-#endif
-
-int opt_udp_hit_obj = 0;
-int opt_create_swap_dirs = 0;
-int opt_store_doublecheck = 0;
-int syslog_enable = 0;
-int theInIcpConnection = -1;
-int theOutIcpConnection = -1;
-int DnsSocket = -1;
-#ifdef SQUID_SNMP
-
-int theInSnmpConnection = -1;
-int theOutSnmpConnection = -1;
-char *snmp_agentinfo;
-#endif
-
-int n_disk_objects = 0;
-iostats IOStats;
-
-struct acl_deny_info_list *DenyInfoList = NULL;
-
-//MOVED:icp_v2.cc    extern IPAddress theOutICPAddr;
-//MOVED:snmp_core.cc    extern IPAddress theOutSNMPAddr;
-
-struct timeval squid_start;
-int shutting_down = 0;
-int reconfiguring = 0;
-unsigned long store_swap_size = 0;
-time_t hit_only_mode_until = 0;
-StatCounters statCounter;
-double request_failure_ratio = 0.0;
-int store_hash_buckets = 0;
-hash_table *store_table = NULL;
-//MOVED:dlink.h    extern dlink_list ClientActiveRequests;
-int hot_obj_count = 0;
-const int CacheDigestHashFuncCount = 4;
-CacheDigest *store_digest = NULL;
-const char *StoreDigestFileName = "store_digest";
-const char *StoreDigestMimeStr = "application/cache-digest";
-
-const char *MultipartMsgBoundaryStr = "Unique-Squid-Separator";
-#if HTTP_VIOLATIONS
-
-int refresh_nocache_hack = 0;
-#endif
-
-int store_open_disk_fd = 0;
-int store_swap_low = 0;
-int store_swap_high = 0;
-size_t store_pages_max = 0;
-int64_t store_maxobjsize = -1;
-hash_table *proxy_auth_username_cache = NULL;
-int incoming_sockets_accepted;
-#ifdef _SQUID_MSWIN_
-
-unsigned int WIN32_Socks_initialized = 0;
-#endif
-#ifdef _SQUID_WIN32_
-
-unsigned int WIN32_OS_version = 0;
-char *WIN32_OS_string = NULL;
-char *WIN32_Service_name = NULL;
-char *WIN32_Command_Line = NULL;
-char *WIN32_Service_Command_Line = NULL;
-unsigned int WIN32_run_mode = _WIN_SQUID_RUN_MODE_INTERACTIVE;
-#endif
-#if HAVE_SBRK
-
-void *sbrk_start = 0;
-#endif
-
-int ssl_ex_index_server = -1;
-int ssl_ctx_ex_index_dont_verify_domain = -1;
-int ssl_ex_index_cert_error_check = -1;
-
-const char *external_acl_message = NULL;
-int opt_send_signal = -1;
-int opt_no_daemon = 0;
-
-
-#ifdef __cplusplus
-}
-
-#endif
-
diff -u -r -N squid-3.1.0.3/src/globals.h squid-3.1.0.4/src/globals.h
--- squid-3.1.0.3/src/globals.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/globals.h	2009-01-23 18:37:37.000000000 +1300
@@ -122,8 +122,8 @@
 
     extern struct acl_deny_info_list *DenyInfoList;	/* NULL */
 
-//MOVED:icp_v2.cc    extern IPAddress theOutICPAddr;
-//MOVED:snmp_core.cc    extern IPAddress theOutSNMPAddr;
+//MOVED:icp_v2.cc    extern IpAddress theOutICPAddr;
+//MOVED:snmp_core.cc    extern IpAddress theOutSNMPAddr;
 
     extern struct timeval squid_start;
     extern int shutting_down;	/* 0 */
diff -u -r -N squid-3.1.0.3/src/helper.h squid-3.1.0.4/src/helper.h
--- squid-3.1.0.3/src/helper.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/helper.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: helper.h,v 1.12 2008/02/26 21:49:34 amosjeffries Exp $
- *
  * DEBUG: section 84    Helper process maintenance
  * AUTHOR: Harvest Derived?
  *
@@ -38,7 +35,7 @@
 
 #include "squid.h"
 #include "cbdata.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 class helper_request;
 
@@ -65,7 +62,7 @@
     int n_running;
     int n_active;
     int ipc_type;
-    IPAddress addr;
+    IpAddress addr;
     unsigned int concurrency;
     time_t last_queue_warn;
     time_t last_restart;
@@ -87,7 +84,7 @@
     int n_running;
     int n_active;
     int ipc_type;
-    IPAddress addr;
+    IpAddress addr;
     MemAllocator *datapool;
     HLPSAVAIL *IsAvailable;
     HLPSONEQ *OnEmptyQueue;
@@ -105,7 +102,7 @@
 struct _helper_server {
     int index;
     int pid;
-    IPAddress addr;
+    IpAddress addr;
     int rfd;
     int wfd;
     MemBuf *wqueue;
@@ -141,7 +138,7 @@
 struct _helper_stateful_server {
     int index;
     int pid;
-    IPAddress addr;
+    IpAddress addr;
     int rfd;
     int wfd;
     /* MemBuf wqueue; */
diff -u -r -N squid-3.1.0.3/src/htcp.cc squid-3.1.0.4/src/htcp.cc
--- squid-3.1.0.3/src/htcp.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/htcp.cc	2009-01-23 18:37:37.000000000 +1300
@@ -152,7 +152,7 @@
     void checkHit();
     void checkedHit(StoreEntry *e);
 
-    void setFrom (IPAddress &from);
+    void setFrom (IpAddress &from);
     void setDataHeader (htcpDataHeader *);
     char *method;
     char *uri;
@@ -163,7 +163,7 @@
 private:
     HttpRequest *checkHitRequest;
 
-    IPAddress from; // was a ptr. return to such IFF needed. otherwise copy should do.
+    IpAddress from; // was a ptr. return to such IFF needed. otherwise copy should do.
     htcpDataHeader *dhdr;
 };
 
@@ -231,7 +231,7 @@
 static u_int32_t queried_id[N_QUERIED_KEYS];
 static cache_key queried_keys[N_QUERIED_KEYS][SQUID_MD5_DIGEST_LENGTH];
 
-static IPAddress queried_addr[N_QUERIED_KEYS];
+static IpAddress queried_addr[N_QUERIED_KEYS];
 static MemAllocator *htcpDetailPool = NULL;
 
 static int old_squid_format = 0;
@@ -250,24 +250,24 @@
 static void htcpFreeSpecifier(htcpSpecifier * s);
 static void htcpFreeDetail(htcpDetail * s);
 
-static void htcpHandleMsg(char *buf, int sz, IPAddress &from);
+static void htcpHandleMsg(char *buf, int sz, IpAddress &from);
 
-static void htcpHandleMon(htcpDataHeader *, char *buf, int sz, IPAddress &from);
+static void htcpHandleMon(htcpDataHeader *, char *buf, int sz, IpAddress &from);
 
-static void htcpHandleNop(htcpDataHeader *, char *buf, int sz, IPAddress &from);
+static void htcpHandleNop(htcpDataHeader *, char *buf, int sz, IpAddress &from);
 
-static void htcpHandleSet(htcpDataHeader *, char *buf, int sz, IPAddress &from);
+static void htcpHandleSet(htcpDataHeader *, char *buf, int sz, IpAddress &from);
 
-static void htcpHandleTst(htcpDataHeader *, char *buf, int sz, IPAddress &from);
+static void htcpHandleTst(htcpDataHeader *, char *buf, int sz, IpAddress &from);
 static void htcpRecv(int fd, void *data);
 
-static void htcpSend(const char *buf, int len, IPAddress &to);
+static void htcpSend(const char *buf, int len, IpAddress &to);
 
-static void htcpTstReply(htcpDataHeader *, StoreEntry *, htcpSpecifier *, IPAddress &);
+static void htcpTstReply(htcpDataHeader *, StoreEntry *, htcpSpecifier *, IpAddress &);
 
-static void htcpHandleTstRequest(htcpDataHeader *, char *buf, int sz, IPAddress &from);
+static void htcpHandleTstRequest(htcpDataHeader *, char *buf, int sz, IpAddress &from);
 
-static void htcpHandleTstResponse(htcpDataHeader *, char *, int, IPAddress &);
+static void htcpHandleTstResponse(htcpDataHeader *, char *, int, IpAddress &);
 
 static void
 htcpHexdump(const char *tag, const char *s, int sz)
@@ -590,7 +590,7 @@
 
 static void
 
-htcpSend(const char *buf, int len, IPAddress &to)
+htcpSend(const char *buf, int len, IpAddress &to)
 {
     int x;
 
@@ -614,7 +614,7 @@
 
 void
 
-htcpSpecifier::setFrom (IPAddress &aSocket)
+htcpSpecifier::setFrom (IpAddress &aSocket)
 {
     from = aSocket;
 }
@@ -845,7 +845,7 @@
 
 static int
 
-htcpAccessCheck(acl_access * acl, htcpSpecifier * s, IPAddress &from)
+htcpAccessCheck(acl_access * acl, htcpSpecifier * s, IpAddress &from)
 {
     ACLChecklist checklist;
     checklist.src_addr = from;
@@ -858,7 +858,7 @@
 }
 
 static void
-htcpTstReply(htcpDataHeader * dhdr, StoreEntry * e, htcpSpecifier * spec, IPAddress &from)
+htcpTstReply(htcpDataHeader * dhdr, StoreEntry * e, htcpSpecifier * spec, IpAddress &from)
 {
     htcpStuff stuff;
     static char pkt[8192];
@@ -908,8 +908,8 @@
 
 #if USE_ICMP
         if (char *host = urlHostname(spec->uri)) {
-	    int rtt = 0;
-	    int hops = 0;
+            int rtt = 0;
+            int hops = 0;
             int samp = 0;
             netdbHostData(host, &samp, &rtt, &hops);
 
@@ -946,7 +946,7 @@
 
 static void
 
-htcpClrReply(htcpDataHeader * dhdr, int purgeSucceeded, IPAddress &from)
+htcpClrReply(htcpDataHeader * dhdr, int purgeSucceeded, IpAddress &from)
 {
     htcpStuff stuff;
     static char pkt[8192];
@@ -983,7 +983,7 @@
 
 static void
 
-htcpHandleNop(htcpDataHeader * hdr, char *buf, int sz, IPAddress &from)
+htcpHandleNop(htcpDataHeader * hdr, char *buf, int sz, IpAddress &from)
 {
     debugs(31, 3, "htcpHandleNop: Unimplemented");
 }
@@ -1080,7 +1080,7 @@
 
 static void
 
-htcpHandleTst(htcpDataHeader * hdr, char *buf, int sz, IPAddress &from)
+htcpHandleTst(htcpDataHeader * hdr, char *buf, int sz, IpAddress &from)
 {
     debugs(31, 3, "htcpHandleTst: sz = " << sz);
 
@@ -1095,12 +1095,12 @@
 
 static void
 
-htcpHandleTstResponse(htcpDataHeader * hdr, char *buf, int sz, IPAddress &from)
+htcpHandleTstResponse(htcpDataHeader * hdr, char *buf, int sz, IpAddress &from)
 {
     htcpReplyData htcpReply;
     cache_key *key = NULL;
 
-    IPAddress *peer;
+    IpAddress *peer;
     htcpDetail *d = NULL;
     char *t;
 
@@ -1167,7 +1167,7 @@
 
 static void
 
-htcpHandleTstRequest(htcpDataHeader * dhdr, char *buf, int sz, IPAddress &from)
+htcpHandleTstRequest(htcpDataHeader * dhdr, char *buf, int sz, IpAddress &from)
 {
     /* buf should be a SPECIFIER */
     htcpSpecifier *s;
@@ -1222,21 +1222,21 @@
 
 static void
 
-htcpHandleMon(htcpDataHeader * hdr, char *buf, int sz, IPAddress &from)
+htcpHandleMon(htcpDataHeader * hdr, char *buf, int sz, IpAddress &from)
 {
     debugs(31, 3, "htcpHandleMon: Unimplemented");
 }
 
 static void
 
-htcpHandleSet(htcpDataHeader * hdr, char *buf, int sz, IPAddress &from)
+htcpHandleSet(htcpDataHeader * hdr, char *buf, int sz, IpAddress &from)
 {
     debugs(31, 3, "htcpHandleSet: Unimplemented");
 }
 
 static void
 
-htcpHandleClr(htcpDataHeader * hdr, char *buf, int sz, IPAddress &from)
+htcpHandleClr(htcpDataHeader * hdr, char *buf, int sz, IpAddress &from)
 {
     htcpSpecifier *s;
     /* buf[0/1] is reserved and reason */
@@ -1319,7 +1319,7 @@
  * hands it off to other functions to break apart message-specific data.
  */
 static void
-htcpHandleMsg(char *buf, int sz, IPAddress &from)
+htcpHandleMsg(char *buf, int sz, IpAddress &from)
 {
     htcpHeader htcpHdr;
     htcpDataHeader hdr;
@@ -1439,7 +1439,7 @@
 {
     static char buf[8192];
     int len;
-    static IPAddress from;
+    static IpAddress from;
 
     /* Receive up to 8191 bytes, leaving room for a null */
 
@@ -1469,7 +1469,7 @@
         return;
     }
 
-    IPAddress incomingAddr = Config.Addrs.udp_incoming;
+    IpAddress incomingAddr = Config.Addrs.udp_incoming;
     incomingAddr.SetPort(Config.Port.htcp);
 
     enter_suid();
@@ -1488,7 +1488,7 @@
     debugs(31, 1, "Accepting HTCP messages on port " << Config.Port.htcp << ", FD " << htcpInSocket << ".");
 
     if (!Config.Addrs.udp_outgoing.IsNoAddr()) {
-        IPAddress outgoingAddr = Config.Addrs.udp_outgoing;
+        IpAddress outgoingAddr = Config.Addrs.udp_outgoing;
         outgoingAddr.SetPort(Config.Port.htcp);
 
         enter_suid();
@@ -1516,7 +1516,7 @@
     }
 }
 
-void
+int
 htcpQuery(StoreEntry * e, HttpRequest * req, peer * p)
 {
     cache_key *save_key;
@@ -1530,7 +1530,7 @@
     http_state_flags flags;
 
     if (htcpInSocket < 0)
-        return;
+        return 0;
 
     old_squid_format = p->options.htcp_oldsquid;
     memset(&flags, '\0', sizeof(flags));
@@ -1555,7 +1555,7 @@
     mb.clean();
     if (!pktlen) {
         debugs(31, 3, "htcpQuery: htcpBuildPacket() failed");
-        return;
+        return -1;
     }
 
     htcpSend(pkt, (int) pktlen, p->in_addr);
@@ -1565,6 +1565,8 @@
     storeKeyCopy(save_key, (const cache_key *)e->key);
     queried_addr[stuff.msg_id % N_QUERIED_KEYS] = p->in_addr;
     debugs(31, 3, "htcpQuery: key (" << save_key << ") " << storeKeyText(save_key));
+
+    return 1;
 }
 
 /*
diff -u -r -N squid-3.1.0.3/src/htcp.h squid-3.1.0.4/src/htcp.h
--- squid-3.1.0.3/src/htcp.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/htcp.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: htcp.h,v 1.7 2008/02/26 21:49:35 amosjeffries Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -34,8 +31,10 @@
 #define SQUID_HTCP_H
 
 #if USE_HTCP
+
 #include "HttpHeader.h"
-#include "IPAddress.h"
+
+class IpAddress;
 
 /// \ingroup ServerProtocolHTCP
 class HtcpReplyData
@@ -60,13 +59,25 @@
 typedef class HtcpReplyData htcpReplyData;
 
 /// \ingroup ServerProtocolHTCP
-SQUIDCEXTERN void neighborsHtcpReply(const cache_key *, htcpReplyData *, const IPAddress &);
+SQUIDCEXTERN void neighborsHtcpReply(const cache_key *, htcpReplyData *, const IpAddress &);
 
 /// \ingroup ServerProtocolHTCP
 SQUIDCEXTERN void htcpInit(void);
 
-/// \ingroup ServerProtocolHTCP
-SQUIDCEXTERN void htcpQuery(StoreEntry * e, HttpRequest * req, peer * p);
+/**
+ * \ingroup ServerProtocolHTCP
+ *
+ * Generate and Send an HTCP query to the specified peer.
+ *
+ * \param e
+ * \param req
+ * \param p
+ * \retval 1    Successfully sent request.
+ * \retval 0    Unable to send request at this time. HTCP may be shutting down or starting up.
+ * 		Don't wait for a reply or count in stats as sent.
+ * \retval -1   Error sending request.
+ */
+SQUIDCEXTERN int htcpQuery(StoreEntry * e, HttpRequest * req, peer * p);
 
 /// \ingroup ServerProtocolHTCP
 SQUIDCEXTERN void htcpClear(StoreEntry * e, const char *uri, HttpRequest * req, const HttpRequestMethod &method, peer * p, htcp_clr_reason reason);
diff -u -r -N squid-3.1.0.3/src/http.cc squid-3.1.0.4/src/http.cc
--- squid-3.1.0.3/src/http.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/http.cc	2009-01-23 18:37:37.000000000 +1300
@@ -21,12 +21,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -65,7 +65,7 @@
     catch (const std::exception &e) { \
 	debugs (11, 1, "Exception error:" << e.what()); \
 	status = false; \
-    }  
+    }
 
 CBDATA_CLASS_INIT(HttpStateData);
 
@@ -98,7 +98,7 @@
             url = entry->url();
 
         HttpRequest * proxy_req = new HttpRequest(orig_request->method,
-                                  orig_request->protocol, url);
+                orig_request->protocol, url);
 
         proxy_req->SetHost(_peer->host);
 
@@ -134,7 +134,7 @@
      */
     typedef CommCbMemFunT<HttpStateData, CommCloseCbParams> Dialer;
     closeHandler = asyncCall(9, 5, "httpStateData::httpStateConnClosed",
-                                 Dialer(this,&HttpStateData::httpStateConnClosed));
+                             Dialer(this,&HttpStateData::httpStateConnClosed));
     comm_add_close_handler(fd, closeHandler);
 }
 
@@ -149,8 +149,8 @@
 
     delete readBuf;
 
-    if(httpChunkDecoder)
-	delete httpChunkDecoder;
+    if (httpChunkDecoder)
+        delete httpChunkDecoder;
 
     HTTPMSGUNLOCK(orig_request);
 
@@ -171,7 +171,7 @@
     delete httpState;
 }*/
 
-void 
+void
 HttpStateData::httpStateConnClosed(const CommCloseCbParams &params)
 {
     debugs(11, 5, "httpStateFree: FD " << params.fd << ", httpState=" << params.data);
@@ -183,7 +183,7 @@
 {
     /* GET and HEAD are cachable. Others are not. */
 
-	// TODO: replase to HttpRequestMethod::isCachable() ?
+    // TODO: replase to HttpRequestMethod::isCachable() ?
     if (method != METHOD_GET && method != METHOD_HEAD)
         return 0;
 
@@ -546,7 +546,7 @@
 }
 
 /*
- * For Vary, store the relevant request headers as 
+ * For Vary, store the relevant request headers as
  * virtual headers in the reply
  * Returns false if the variance cannot be stored
  */
@@ -633,7 +633,8 @@
         if (_peer)
             _peer->stats.n_keepalives_recv++;
 
-        if (Config.onoff.detect_broken_server_pconns && reply->bodySize(request->method) == -1) {
+	if (Config.onoff.detect_broken_server_pconns
+	&& reply->bodySize(request->method) == -1 && !flags.chunked) {
             debugs(11, 1, "keepaliveAccounting: Impossible keep-alive header from '" << entry->url() << "'" );
             // debugs(11, 2, "GOT HTTP REPLY HDR:\n---------\n" << readBuf->content() << "\n----------" );
             flags.keepalive_broken = 1;
@@ -672,51 +673,50 @@
     HttpReply *newrep = new HttpReply;
     const bool parsed = newrep->parse(readBuf, eof, &error);
 
-    if(!parsed && readBuf->contentSize() > 5 && strncmp(readBuf->content(), "HTTP/", 5) != 0){
-	 MemBuf *mb;
-	 HttpReply *tmprep = new HttpReply;
-	 tmprep->sline.version = HttpVersion(1, 0);
-	 tmprep->sline.status = HTTP_OK;
-	 tmprep->header.putTime(HDR_DATE, squid_curtime);
-	 tmprep->header.putExt("X-Transformed-From", "HTTP/0.9");
-	 mb = tmprep->pack();
-	 newrep->parse(mb, eof, &error);
-	 delete tmprep;
-    }
-    else{
-	 if (!parsed && error > 0) { // unrecoverable parsing error
-	      debugs(11, 3, "processReplyHeader: Non-HTTP-compliant header: '" <<  readBuf->content() << "'");
-	      flags.headers_parsed = 1;
-          newrep->sline.version = HttpVersion(1, 0);
-          newrep->sline.status = error;
-          HttpReply *vrep = setVirginReply(newrep);
-          entry->replaceHttpReply(vrep);
-	      ctx_exit(ctx);
-	      return;
-	 }
-
-	 if (!parsed) { // need more data
-	      assert(!error);
-	      assert(!eof);
-	      delete newrep;
-	      ctx_exit(ctx);
-	      return;
-	 }
+    if (!parsed && readBuf->contentSize() > 5 && strncmp(readBuf->content(), "HTTP/", 5) != 0) {
+        MemBuf *mb;
+        HttpReply *tmprep = new HttpReply;
+        tmprep->sline.version = HttpVersion(1, 0);
+        tmprep->sline.status = HTTP_OK;
+        tmprep->header.putTime(HDR_DATE, squid_curtime);
+        tmprep->header.putExt("X-Transformed-From", "HTTP/0.9");
+        mb = tmprep->pack();
+        newrep->parse(mb, eof, &error);
+        delete tmprep;
+    } else {
+        if (!parsed && error > 0) { // unrecoverable parsing error
+            debugs(11, 3, "processReplyHeader: Non-HTTP-compliant header: '" <<  readBuf->content() << "'");
+            flags.headers_parsed = 1;
+            newrep->sline.version = HttpVersion(1, 0);
+            newrep->sline.status = error;
+            HttpReply *vrep = setVirginReply(newrep);
+            entry->replaceHttpReply(vrep);
+            ctx_exit(ctx);
+            return;
+        }
+
+        if (!parsed) { // need more data
+            assert(!error);
+            assert(!eof);
+            delete newrep;
+            ctx_exit(ctx);
+            return;
+        }
 
-	 debugs(11, 9, "GOT HTTP REPLY HDR:\n---------\n" << readBuf->content() << "\n----------");
+        debugs(11, 9, "GOT HTTP REPLY HDR:\n---------\n" << readBuf->content() << "\n----------");
 
-	 header_bytes_read = headersEnd(readBuf->content(), readBuf->contentSize());
-	 readBuf->consume(header_bytes_read);
+        header_bytes_read = headersEnd(readBuf->content(), readBuf->contentSize());
+        readBuf->consume(header_bytes_read);
     }
 
     flags.chunked = 0;
     if (newrep->header.hasListMember(HDR_TRANSFER_ENCODING, "chunked", ',')) {
-	 flags.chunked = 1;
-	 httpChunkDecoder = new ChunkedCodingParser;
+        flags.chunked = 1;
+        httpChunkDecoder = new ChunkedCodingParser;
     }
 
-    if(!peerSupportsConnectionPinning())
-	orig_request->flags.connection_auth_disabled = 1;
+    if (!peerSupportsConnectionPinning())
+        orig_request->flags.connection_auth_disabled = 1;
 
     HttpReply *vrep = setVirginReply(newrep);
     flags.headers_parsed = 1;
@@ -746,48 +746,48 @@
     String header;
 
     if (!_peer)
-	return true;
-    
-    /*If this peer does not support connection pinning (authenticated 
+        return true;
+
+    /*If this peer does not support connection pinning (authenticated
       connections) return false
      */
     if (!_peer->connection_auth)
-	return false;
+        return false;
 
-    /*The peer supports connection pinning and the http reply status 
+    /*The peer supports connection pinning and the http reply status
       is not unauthorized, so the related connection can be pinned
      */
     if (rep->sline.status != HTTP_UNAUTHORIZED)
-	return true;
-    
-    /*The server respond with HTTP_UNAUTHORIZED and the peer configured 
-      with "connection-auth=on" we know that the peer supports pinned 
+        return true;
+
+    /*The server respond with HTTP_UNAUTHORIZED and the peer configured
+      with "connection-auth=on" we know that the peer supports pinned
       connections
     */
     if (_peer->connection_auth == 1)
-	return true;
+        return true;
 
-    /*At this point peer has configured with "connection-auth=auto" 
-      parameter so we need some extra checks to decide if we are going 
+    /*At this point peer has configured with "connection-auth=auto"
+      parameter so we need some extra checks to decide if we are going
       to allow pinned connections or not
     */
 
-    /*if the peer configured with originserver just allow connection 
+    /*if the peer configured with originserver just allow connection
         pinning (squid 2.6 behaviour)
      */
     if (_peer->options.originserver)
-	return true;
+        return true;
 
     /*if the connections it is already pinned it is OK*/
     if (request->flags.pinned)
-	return true;
-    
-    /*Allow pinned connections only if the Proxy-support header exists in 
-      reply and has in its list the "Session-Based-Authentication" 
+        return true;
+
+    /*Allow pinned connections only if the Proxy-support header exists in
+      reply and has in its list the "Session-Based-Authentication"
       which means that the peer supports connection pinning.
      */
     if (!hdr->has(HDR_PROXY_SUPPORT))
-	return false;
+        return false;
 
     header = hdr->getStrOrList(HDR_PROXY_SUPPORT);
     /* XXX This ought to be done in a case-insensitive manner */
@@ -949,12 +949,13 @@
     if (eof) // already reached EOF
         return COMPLETE_NONPERSISTENT_MSG;
 
-    /* In chunked responce we do not know the content length but we are absolutelly 
+    /** \par
+     * In chunked response we do not know the content length but we are absolutely
      * sure about the end of response, so we are calling the statusIfComplete to
-     * decide if we can be persistant 
+     * decide if we can be persistant
      */
     if (lastChunk && flags.chunked)
-	return statusIfComplete();
+        return statusIfComplete();
 
     const int64_t clen = vrep->bodySize(request->method);
 
@@ -964,7 +965,8 @@
     if (clen < 0)
         return INCOMPLETE_MSG;
 
-    /* If the body size is known, we must wait until we've gotten all of it. */
+    /** \par
+     * If the body size is known, we must wait until we've gotten all of it. */
     if (clen > 0) {
         // old technique:
         // if (entry->mem_obj->endOffset() < vrep->content_length + vrep->hdr_sz)
@@ -976,7 +978,8 @@
             return INCOMPLETE_MSG;
     }
 
-    /* If there is no message body or we got it all, we can be persistent */
+    /** \par
+     * If there is no message body or we got it all, we can be persistent */
     return statusIfComplete();
 }
 
@@ -1007,7 +1010,7 @@
     assert(fd == io.fd);
 
     flags.do_next_read = 0;
-   
+
     debugs(11, 5, "httpReadReply: FD " << fd << ": len " << len << ".");
 
     // Bail out early on COMM_ERR_CLOSING - close handlers will tidy up for us
@@ -1133,12 +1136,12 @@
             if (s == HTTP_INVALID_HEADER && v != HttpVersion(0,9)) {
                 error = ERR_INVALID_RESP;
             } else
-            if (s == HTTP_HEADER_TOO_LARGE) {
-                fwd->dontRetry(true);
-                error = ERR_TOO_BIG;
-            } else {
-                return true; // done parsing, got reply, and no error
-            }
+                if (s == HTTP_HEADER_TOO_LARGE) {
+                    fwd->dontRetry(true);
+                    error = ERR_TOO_BIG;
+                } else {
+                    return true; // done parsing, got reply, and no error
+                }
         } else {
             // parsed headers but got no reply
             error = ERR_INVALID_RESP;
@@ -1146,7 +1149,7 @@
     } else {
         assert(eof);
         error = readBuf->hasContent() ?
-            ERR_INVALID_RESP : ERR_ZERO_SIZE_OBJECT;
+                ERR_INVALID_RESP : ERR_ZERO_SIZE_OBJECT;
     }
 
     assert(error != ERR_NONE);
@@ -1204,7 +1207,7 @@
 HttpStateData::processReplyBody()
 {
     AsyncCall::Pointer call;
-    IPAddress client_addr;
+    IpAddress client_addr;
     bool ispinned = false;
 
     if (!flags.headers_parsed) {
@@ -1224,15 +1227,14 @@
      * That means header content has been removed from readBuf and
      * it contains only body data.
      */
-    if(flags.chunked){
-	if(!decodeAndWriteReplyBody()){
-	    flags.do_next_read = 0;
-	    serverComplete();
-	    return;
-	}
-    }
-    else
-	writeReplyBody();
+    if (flags.chunked) {
+        if (!decodeAndWriteReplyBody()) {
+            flags.do_next_read = 0;
+            serverComplete();
+            return;
+        }
+    } else
+        writeReplyBody();
 
     if (EBIT_TEST(entry->flags, ENTRY_ABORTED)) {
         /*
@@ -1247,10 +1249,10 @@
             debugs(11, 5, "processReplyBody: INCOMPLETE_MSG");
             /* Wait for more data or EOF condition */
             if (flags.keepalive_broken) {
-		call = NULL;
+                call = NULL;
                 commSetTimeout(fd, 10, call);
             } else {
-		call = NULL;
+                call = NULL;
                 commSetTimeout(fd, Config.Timeout.read, call);
             }
 
@@ -1260,11 +1262,11 @@
         case COMPLETE_PERSISTENT_MSG:
             debugs(11, 5, "processReplyBody: COMPLETE_PERSISTENT_MSG");
             /* yes we have to clear all these! */
-	    call = NULL;
+            call = NULL;
             commSetTimeout(fd, -1, call);
             flags.do_next_read = 0;
 
-	    comm_remove_close_handler(fd, closeHandler);
+            comm_remove_close_handler(fd, closeHandler);
             closeHandler = NULL;
             fwd->unregister(fd);
 
@@ -1272,22 +1274,17 @@
                 client_addr = orig_request->client_addr;
 
 
-	    if (request->flags.pinned) {
-		ispinned = true;
-	    } else if (request->flags.connection_auth && request->flags.auth_sent) {
-		ispinned = true;
-	    }
-	   
-	    if (orig_request->pinnedConnection() && ispinned) {
-		orig_request->pinnedConnection()->pinConnection(fd, orig_request, _peer, 
-								(request->flags.connection_auth != 0));
-	    } else if (_peer) {
-                if (_peer->options.originserver)
-                    fwd->pconnPush(fd, _peer->name, orig_request->port, orig_request->GetHost(), client_addr);
-                else
-                    fwd->pconnPush(fd, _peer->name, _peer->http_port, NULL, client_addr);
+            if (request->flags.pinned) {
+                ispinned = true;
+            } else if (request->flags.connection_auth && request->flags.auth_sent) {
+                ispinned = true;
+            }
+
+            if (orig_request->pinnedConnection() && ispinned) {
+                orig_request->pinnedConnection()->pinConnection(fd, orig_request, _peer,
+                        (request->flags.connection_auth != 0));
             } else {
-                fwd->pconnPush(fd, request->GetHost(), request->port, NULL, client_addr);
+                fwd->pconnPush(fd, _peer, request, orig_request->GetHost(), client_addr);
             }
 
             fd = -1;
@@ -1321,18 +1318,18 @@
      * its okay to read again.
      */
     if (read_sz < 2) {
-	if (flags.headers_parsed)
-	    return;
-	else
-	    read_sz = 1024;
+        if (flags.headers_parsed)
+            return;
+        else
+            read_sz = 1024;
     }
 
     if (flags.do_next_read) {
         flags.do_next_read = 0;
         typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
         entry->delayAwareRead(fd, readBuf->space(read_sz), read_sz,
-            asyncCall(11, 5, "HttpStateData::readReply",
-            Dialer(this, &HttpStateData::readReply)));
+                              asyncCall(11, 5, "HttpStateData::readReply",
+                                        Dialer(this, &HttpStateData::readReply)));
     }
 }
 
@@ -1376,7 +1373,7 @@
      */
     typedef CommCbMemFunT<HttpStateData, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(11, 5, "HttpStateData::httpTimeout",
-                        TimeoutDialer(this,&HttpStateData::httpTimeout));
+                                      TimeoutDialer(this,&HttpStateData::httpTimeout));
 
     commSetTimeout(fd, Config.Timeout.read, timeoutCall);
 
@@ -1391,7 +1388,7 @@
 
     if (fd >= 0) {
         fwd->unregister(fd);
-	comm_remove_close_handler(fd, closeHandler);
+        comm_remove_close_handler(fd, closeHandler);
         closeHandler = NULL;
         comm_close(fd);
         fd = -1;
@@ -1405,7 +1402,7 @@
 }
 
 /*
- * build request headers and append them to a given MemBuf 
+ * build request headers and append them to a given MemBuf
  * used by buildRequestPrefix()
  * note: initialised the HttpHeader, the caller is responsible for Clean()-ing
  */
@@ -1475,29 +1472,29 @@
     strFwd = hdr_in->getList(HDR_X_FORWARDED_FOR);
 
     /** \pre Handle X-Forwarded-For */
-    if(strcmp(opt_forwarded_for, "delete") != 0) {
-        if(strcmp(opt_forwarded_for, "on") == 0) {
+    if (strcmp(opt_forwarded_for, "delete") != 0) {
+        if (strcmp(opt_forwarded_for, "on") == 0) {
             /** If set to ON - append client IP or 'unknown'. */
             strFwd = hdr_in->getList(HDR_X_FORWARDED_FOR);
-            if( orig_request->client_addr.IsNoAddr() )
+            if ( orig_request->client_addr.IsNoAddr() )
                 strListAdd(&strFwd, "unknown", ',');
             else
                 strListAdd(&strFwd, orig_request->client_addr.NtoA(ntoabuf, MAX_IPSTRLEN), ',');
-        } else if(strcmp(opt_forwarded_for, "off") == 0) {
+        } else if (strcmp(opt_forwarded_for, "off") == 0) {
             /** If set to OFF - append 'unknown'. */
             strFwd = hdr_in->getList(HDR_X_FORWARDED_FOR);
             strListAdd(&strFwd, "unknown", ',');
-        } else if(strcmp(opt_forwarded_for, "transparent") == 0) {
+        } else if (strcmp(opt_forwarded_for, "transparent") == 0) {
             /** If set to TRANSPARENT - pass through unchanged. */
             strFwd = hdr_in->getList(HDR_X_FORWARDED_FOR);
-        } else if(strcmp(opt_forwarded_for, "truncate") == 0) {
+        } else if (strcmp(opt_forwarded_for, "truncate") == 0) {
             /** If set to TRUNCATE - drop existing list and replace with client IP or 'unknown'. */
-            if( orig_request->client_addr.IsNoAddr() )
+            if ( orig_request->client_addr.IsNoAddr() )
                 strFwd = "unknown";
             else
                 strFwd = orig_request->client_addr.NtoA(ntoabuf, MAX_IPSTRLEN);
         }
-        if(strFwd.size() > 0)
+        if (strFwd.size() > 0)
             hdr_out->putStr(HDR_X_FORWARDED_FOR, strFwd.buf());
     }
     /** If set to DELETE - do not copy through. */
@@ -1603,7 +1600,14 @@
         if (!cc)
             cc = httpHdrCcCreate();
 
-        if (!EBIT_TEST(cc->mask, CC_MAX_AGE)) {
+#if 0 /* see bug 2330 */
+        /* Set no-cache if determined needed but not found */
+        if (orig_request->flags.nocache)
+            EBIT_SET(cc->mask, CC_NO_CACHE);
+#endif
+
+	/* Add max-age only without no-cache */
+	if (!EBIT_TEST(cc->mask, CC_MAX_AGE) && !EBIT_TEST(cc->mask, CC_NO_CACHE)) {
             const char *url =
                 entry ? entry->url() : urlCanonical(orig_request);
             httpHdrCcSetMaxAge(cc, getMaxAge(url));
@@ -1612,10 +1616,6 @@
                 assert(strstr(url, request->urlpath.buf()));
         }
 
-        /* Set no-cache if determined needed but not found */
-        if (orig_request->flags.nocache && !hdr_in->has(HDR_PRAGMA))
-            EBIT_SET(cc->mask, CC_NO_CACHE);
-
         /* Enforce sibling relations */
         if (flags.only_if_cached)
             EBIT_SET(cc->mask, CC_ONLY_IF_CACHED);
@@ -1698,7 +1698,7 @@
          * went through our redirector and the admin configured
          * 'redir_rewrites_host' to be off.
          */
-	if (orig_request->peer_domain)
+        if (orig_request->peer_domain)
             hdr_out->putStr(HDR_HOST, orig_request->peer_domain);
         else if (request->flags.redirected && !Config.onoff.redir_rewrites_host)
             hdr_out->addEntry(e->clone());
@@ -1794,9 +1794,9 @@
             || orig_request->range->offsetLimitExceeded() || orig_request->flags.connection_auth)
         result = false;
 
-        debugs(11, 8, "decideIfWeDoRanges: range specs: " <<
-               orig_request->range << ", cachable: " <<
-               orig_request->flags.cachable << "; we_do_ranges: " << result);
+    debugs(11, 8, "decideIfWeDoRanges: range specs: " <<
+           orig_request->range << ", cachable: " <<
+           orig_request->flags.cachable << "; we_do_ranges: " << result);
 
     return result;
 }
@@ -1821,8 +1821,8 @@
         HttpHeader hdr(hoRequest);
         Packer p;
         httpBuildRequestHeader(request, orig_request, entry, &hdr, flags);
-	
-	if (request->flags.pinned && request->flags.connection_auth)
+
+        if (request->flags.pinned && request->flags.connection_auth)
             request->flags.auth_sent = 1;
         else if (hdr.has(HDR_AUTHORIZATION))
             request->flags.auth_sent = 1;
@@ -1846,7 +1846,7 @@
     debugs(11, 5, "httpSendRequest: FD " << fd << ", request " << request << ", this " << this << ".");
     typedef CommCbMemFunT<HttpStateData, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(11, 5, "HttpStateData::httpTimeout",
-                        TimeoutDialer(this,&HttpStateData::httpTimeout));
+                                      TimeoutDialer(this,&HttpStateData::httpTimeout));
     commSetTimeout(fd, Config.Timeout.lifetime, timeoutCall);
     flags.do_next_read = 1;
     maybeReadVirginBody();
@@ -1854,14 +1854,14 @@
     if (orig_request->body_pipe != NULL) {
         if (!startRequestBodyFlow()) // register to receive body data
             return false;
-	typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
+        typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
         Dialer dialer(this, &HttpStateData::sentRequestBody);
-	requestSender = asyncCall(11,5, "HttpStateData::sentRequestBody", dialer);
+        requestSender = asyncCall(11,5, "HttpStateData::sentRequestBody", dialer);
     } else {
         assert(!requestBodySource);
-	typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
+        typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
         Dialer dialer(this, &HttpStateData::sendComplete);
-	requestSender = asyncCall(11,5, "HttpStateData::SendComplete", dialer);
+        requestSender = asyncCall(11,5, "HttpStateData::SendComplete", dialer);
     }
 
     if (_peer != NULL) {
@@ -1881,7 +1881,7 @@
      * Is keep-alive okay for all request methods?
      */
     if (orig_request->flags.must_keepalive)
-	flags.keepalive = 1;
+        flags.keepalive = 1;
     else if (!Config.onoff.server_pconns)
         flags.keepalive = 0;
     else if (_peer == NULL)
@@ -1944,21 +1944,21 @@
 
     if (!Config.accessList.brokenPosts) {
         debugs(11, 5, "doneSendingRequestBody: No brokenPosts list");
-	CommIoCbParams io(NULL);
-	io.fd=fd;
-	io.flag=COMM_OK;
-	sendComplete(io);
+        CommIoCbParams io(NULL);
+        io.fd=fd;
+        io.flag=COMM_OK;
+        sendComplete(io);
     } else if (!ch.fastCheck()) {
         debugs(11, 5, "doneSendingRequestBody: didn't match brokenPosts");
-	CommIoCbParams io(NULL);
-	io.fd=fd;
-	io.flag=COMM_OK;
-	sendComplete(io);
+        CommIoCbParams io(NULL);
+        io.fd=fd;
+        io.flag=COMM_OK;
+        sendComplete(io);
     } else {
         debugs(11, 2, "doneSendingRequestBody: matched brokenPosts");
-	typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
+        typedef CommCbMemFunT<HttpStateData, CommIoCbParams> Dialer;
         Dialer dialer(this, &HttpStateData::sendComplete);
-	AsyncCall::Pointer call= asyncCall(11,5, "HttpStateData::SendComplete", dialer);
+        AsyncCall::Pointer call= asyncCall(11,5, "HttpStateData::SendComplete", dialer);
         comm_write(fd, "\r\n", 2, call);
     }
 }
diff -u -r -N squid-3.1.0.3/src/HttpHeaderTools.cc squid-3.1.0.4/src/HttpHeaderTools.cc
--- squid-3.1.0.3/src/HttpHeaderTools.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/HttpHeaderTools.cc	2009-01-23 18:37:35.000000000 +1300
@@ -141,7 +141,7 @@
 }
 
 
-/* wrapper arrounf PutContRange */
+/** wrapper arrounf PutContRange */
 void
 httpHeaderAddContRange(HttpHeader * hdr, HttpHdrRangeSpec spec, int64_t ent_len)
 {
@@ -153,7 +153,7 @@
 }
 
 
-/*
+/**
  * return true if a given directive is found in at least one of
  * the "connection" header-fields note: if HDR_PROXY_CONNECTION is
  * present we ignore HDR_CONNECTION.
diff -u -r -N squid-3.1.0.3/src/HttpRequest.cc squid-3.1.0.4/src/HttpRequest.cc
--- squid-3.1.0.3/src/HttpRequest.cc	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/HttpRequest.cc	2009-01-23 18:37:35.000000000 +1300
@@ -21,12 +21,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -104,9 +104,9 @@
 void
 HttpRequest::clean()
 {
-    // we used to assert that the pipe is NULL, but now the request only 
+    // we used to assert that the pipe is NULL, but now the request only
     // points to a pipe that is owned and initiated by another object.
-    body_pipe = NULL; 
+    body_pipe = NULL;
 
     AUTHUSERREQUESTUNLOCK(auth_user_request, "request");
 
@@ -128,8 +128,8 @@
         range = NULL;
     }
 
-    if(pinned_connection)
-	cbdataReferenceDone(pinned_connection);
+    if (pinned_connection)
+        cbdataReferenceDone(pinned_connection);
 
     tag.clean();
 
@@ -166,20 +166,20 @@
     if (auth_user_request) {
         copy->auth_user_request = auth_user_request;
         AUTHUSERREQUESTLOCK(copy->auth_user_request, "HttpRequest::clone");
-	}
+    }
 
     copy->port = port;
     // urlPath handled in ctor
-	copy->canonical = canonical ? xstrdup(canonical) : NULL;
-    
+    copy->canonical = canonical ? xstrdup(canonical) : NULL;
+
     // This may be too conservative for the 204 No Content case
     // may eventually need cloneNullAdaptationImmune() for that.
     copy->flags = flags.cloneAdaptationImmune();
 
-	copy->range = range ? new HttpHdrRange(*range) : NULL;
-	copy->ims = ims;
-	copy->imslen = imslen;
-	copy->max_forwards = max_forwards;
+    copy->range = range ? new HttpHdrRange(*range) : NULL;
+    copy->ims = ims;
+    copy->imslen = imslen;
+    copy->max_forwards = max_forwards;
     copy->client_addr = client_addr;
     copy->my_addr = my_addr;
     copy->hier = hier; // Is it safe to copy? Should we?
@@ -188,7 +188,7 @@
 
     // XXX: what to do with copy->peer_login?
 
-	copy->lastmod = lastmod;
+    copy->lastmod = lastmod;
     copy->vary_headers = vary_headers ? xstrdup(vary_headers) : NULL;
     // XXX: what to do with copy->peer_domain?
 
@@ -326,7 +326,7 @@
            header.len + 2;
 }
 
-/*
+/**
  * Returns true if HTTP allows us to pass this header on.  Does not
  * check anonymizer (aka header_access) configuration.
  */
@@ -400,7 +400,8 @@
 }
 
 bool
-HttpRequest::bodyNibbled() const {
+HttpRequest::bodyNibbled() const
+{
     return body_pipe != NULL && body_pipe->consumedSize() > 0;
 }
 
@@ -498,9 +499,9 @@
      * The below looks questionable: what non HTTP protocols use connect,
      * trace, put and post? RC
      */
-    
+
     if (!method.isCacheble())
-    	return false;
+        return false;
 
     /*
      * XXX POST may be cached sometimes.. ignored
@@ -518,9 +519,9 @@
 bool HttpRequest::inheritProperties(const HttpMsg *aMsg)
 {
     const HttpRequest* aReq = dynamic_cast<const HttpRequest*>(aMsg);
-    if(!aReq)
-	return false;
-    
+    if (!aReq)
+        return false;
+
     client_addr = aReq->client_addr;
     my_addr = aReq->my_addr;
 
@@ -530,11 +531,11 @@
 
     if (aReq->auth_user_request) {
         auth_user_request = aReq->auth_user_request;
-	AUTHUSERREQUESTLOCK(auth_user_request, "inheritProperties");
+        AUTHUSERREQUESTLOCK(auth_user_request, "inheritProperties");
     }
 
-    if(aReq->pinned_connection) {
-	pinned_connection = cbdataReference(aReq->pinned_connection);
+    if (aReq->pinned_connection) {
+        pinned_connection = cbdataReference(aReq->pinned_connection);
     }
     return true;
 }
diff -u -r -N squid-3.1.0.3/src/HttpRequest.h squid-3.1.0.4/src/HttpRequest.h
--- squid-3.1.0.3/src/HttpRequest.h	2008-12-05 16:09:33.000000000 +1300
+++ squid-3.1.0.4/src/HttpRequest.h	2009-01-23 18:37:35.000000000 +1300
@@ -105,7 +105,7 @@
     ConnStateData *pinned_connection;
 
 public:
-    IPAddress host_addr;
+    IpAddress host_addr;
 
     AuthUserRequest *auth_user_request;
 
@@ -125,13 +125,13 @@
 
     int max_forwards;
 
-    IPAddress client_addr;
+    IpAddress client_addr;
 
 #if FOLLOW_X_FORWARDED_FOR
-    IPAddress indirect_client_addr;
+    IpAddress indirect_client_addr;
 #endif /* FOLLOW_X_FORWARDED_FOR */
 
-    IPAddress my_addr;
+    IpAddress my_addr;
 
     HierarchyLogEntry hier;
 
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPModXact.cc squid-3.1.0.4/src/ICAP/ICAPModXact.cc
--- squid-3.1.0.3/src/ICAP/ICAPModXact.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPModXact.cc	2009-01-23 18:37:36.000000000 +1300
@@ -38,13 +38,13 @@
 }
 
 ICAPModXact::ICAPModXact(Adaptation::Initiator *anInitiator, HttpMsg *virginHeader,
-    HttpRequest *virginCause, ICAPServiceRep::Pointer &aService):
-    AsyncJob("ICAPModXact"),
-    ICAPXaction("ICAPModXact", anInitiator, aService),
-    icapReply(NULL),
-    virginConsumed(0),
-    bodyParser(NULL),
-    canStartBypass(false) // too early
+                         HttpRequest *virginCause, ICAPServiceRep::Pointer &aService):
+        AsyncJob("ICAPModXact"),
+        ICAPXaction("ICAPModXact", anInitiator, aService),
+        icapReply(NULL),
+        virginConsumed(0),
+        bodyParser(NULL),
+        canStartBypass(false) // too early
 {
     assert(virginHeader);
 
@@ -88,7 +88,7 @@
     debugs(93, 7, "ICAPModXact will wait for the ICAP service" << status());
     state.serviceWaiting = true;
     AsyncCall::Pointer call = asyncCall(93,5, "ICAPModXact::noteServiceReady",
-        MemFun(this, &ICAPModXact::noteServiceReady));
+                                        MemFun(this, &ICAPModXact::noteServiceReady));
     service().callWhenReady(call);
 }
 
@@ -152,12 +152,12 @@
     if (preview.enabled())
         state.writing = preview.done() ? State::writingPaused : State::writingPreview;
     else
-    if (virginBody.expected())
-        state.writing = State::writingPrime;
-    else {
-        stopWriting(true);
-        return;
-    }
+        if (virginBody.expected())
+            state.writing = State::writingPrime;
+        else {
+            stopWriting(true);
+            return;
+        }
 
     writeMore();
 }
@@ -203,7 +203,7 @@
 void ICAPModXact::writePreviewBody()
 {
     debugs(93, 8, HERE << "will write Preview body from " <<
-        virgin.body_pipe << status());
+           virgin.body_pipe << status());
     Must(state.writing == State::writingPreview);
     Must(virgin.body_pipe != NULL);
 
@@ -307,7 +307,7 @@
 // did the activity reached the end of the virgin body?
 bool ICAPModXact::virginBodyEndReached(const VirginBodyAct &act) const
 {
-    return 
+    return
         !act.active() || // did all (assuming it was originally planned)
         !virgin.body_pipe->expectMoreAfter(act.offset()); // wont have more
 }
@@ -347,11 +347,11 @@
     BodyPipe &bp = *virgin.body_pipe;
 
     // Why > 2? HttpState does not use the last bytes in the buffer
-    // because delayAwareRead() is arguably broken. See 
+    // because delayAwareRead() is arguably broken. See
     // HttpStateData::maybeReadVirginBody for more details.
     if (canStartBypass && bp.buf().spaceSize() > 2) {
         // Postponing may increase memory footprint and slow the HTTP side
-        // down. Not postponing may increase the number of ICAP errors 
+        // down. Not postponing may increase the number of ICAP errors
         // if the ICAP service fails. We may also use "potential" space to
         // postpone more aggressively. Should the trade-off be configurable?
         debugs(93, 8, HERE << "postponing consumption from " << bp.status());
@@ -363,9 +363,9 @@
     uint64_t offset = end;
 
     debugs(93, 9, HERE << "max virgin consumption offset=" << offset <<
-        " acts " << virginBodyWriting.active() << virginBodySending.active() <<
-        " consumed=" << virginConsumed << 
-        " from " << virgin.body_pipe->status());
+           " acts " << virginBodyWriting.active() << virginBodySending.active() <<
+           " consumed=" << virginConsumed <<
+           " from " << virgin.body_pipe->status());
 
     if (virginBodyWriting.active())
         offset = XMIN(virginBodyWriting.offset(), offset);
@@ -462,7 +462,7 @@
 
     // do not fill readBuf if we have no space to store the result
     if (adapted.body_pipe != NULL &&
-        !adapted.body_pipe->buf().hasPotentialSpace()) {
+            !adapted.body_pipe->buf().hasPotentialSpace()) {
         debugs(93,3,HERE << "not reading because ICAP reply pipe is full");
         return;
     }
@@ -489,14 +489,14 @@
 
     const size_t sizeMax = virginContentSize(virginBodySending);
     debugs(93,5, HERE << "will echo up to " << sizeMax << " bytes from " <<
-        virgin.body_pipe->status());
+           virgin.body_pipe->status());
     debugs(93,5, HERE << "will echo up to " << sizeMax << " bytes to   " <<
-        adapted.body_pipe->status());
+           adapted.body_pipe->status());
 
     if (sizeMax > 0) {
         const size_t size = adapted.body_pipe->putMoreData(virginContentData(virginBodySending), sizeMax);
         debugs(93,5, HERE << "echoed " << size << " out of " << sizeMax <<
-           " bytes");
+               " bytes");
         virginBodySending.progress(size);
         virginConsume();
         disableBypass("echoed content");
@@ -507,8 +507,8 @@
         stopSending(true);
     } else {
         debugs(93, 5, "ICAPModXact has " <<
-            virgin.body_pipe->buf().contentSize() << " bytes " <<
-            "and expects more to echo" << status());
+               virgin.body_pipe->buf().contentSize() << " bytes " <<
+               "and expects more to echo" << status());
         // TODO: timeout if virgin or adapted pipes are broken
     }
 }
@@ -575,10 +575,9 @@
 
     try {
         debugs(93, 3, "bypassing ICAPModXact::" << inCall << " exception: " <<
-           e.what() << ' ' << status());
+               e.what() << ' ' << status());
         bypassFailure();
-    }
-    catch (const std::exception &bypassE) {
+    } catch (const std::exception &bypassE) {
         ICAPXaction::callException(bypassE);
     }
 }
@@ -785,10 +784,9 @@
     if (dynamic_cast<const HttpRequest*>(oldHead)) {
         HttpRequest *newR = new HttpRequest;
         newHead = newR;
-    } 
-    else if (dynamic_cast<const HttpReply*>(oldHead)) {
-	HttpReply *newRep = new HttpReply;
-	newHead = newRep;
+    } else if (dynamic_cast<const HttpReply*>(oldHead)) {
+        HttpReply *newRep = new HttpReply;
+        newHead = newRep;
     }
     Must(newHead);
     newHead->inheritProperties(oldHead);
@@ -805,12 +803,12 @@
     httpBuf.clean();
 
     debugs(93, 7, "ICAPModXact cloned virgin message " << oldHead << " to " <<
-        newHead);
+           newHead);
 
     // setup adapted body pipe if needed
     if (oldHead->body_pipe != NULL) {
         debugs(93, 7, HERE << "will echo virgin body from " <<
-            oldHead->body_pipe);
+               oldHead->body_pipe);
         if (!virginBodySending.active())
             virginBodySending.plan(); // will throw if not possible
         state.sending = State::sendingVirgin;
@@ -822,7 +820,7 @@
         if (oldHead->body_pipe->bodySizeKnown())
             adapted.body_pipe->setBodySize(oldHead->body_pipe->bodySize());
         debugs(93, 7, HERE << "will echo virgin body to " <<
-            adapted.body_pipe);
+               adapted.body_pipe);
     } else {
         debugs(93, 7, HERE << "no virgin body to echo");
         stopSending(true);
@@ -850,15 +848,15 @@
         if (dynamic_cast<HttpRequest*>(adapted.header)) {
             const HttpRequest *oldR = dynamic_cast<const HttpRequest*>(virgin.header);
             Must(oldR);
-            // TODO: the adapted request did not really originate from the 
-            // client; give proxy admin an option to prevent copying of 
+            // TODO: the adapted request did not really originate from the
+            // client; give proxy admin an option to prevent copying of
             // sensitive client information here. See the following thread:
             // http://www.squid-cache.org/mail-archive/squid-dev/200703/0040.html
         }
 
-	// Maybe adapted.header==NULL if HttpReply and have Http 0.9 ....
-	if(adapted.header) 
-	    adapted.header->inheritProperties(virgin.header);
+        // Maybe adapted.header==NULL if HttpReply and have Http 0.9 ....
+        if (adapted.header)
+            adapted.header->inheritProperties(virgin.header);
     }
 
     decideOnParsingBody();
@@ -886,7 +884,8 @@
     return true;
 }
 
-void ICAPModXact::decideOnParsingBody() {
+void ICAPModXact::decideOnParsingBody()
+{
     if (gotEncapsulated("res-body") || gotEncapsulated("req-body")) {
         debugs(93, 5, HERE << "expecting a body");
         state.parsing = State::psBody;
@@ -976,7 +975,7 @@
         echoMore();
 }
 
-// body producer aborted, but the initiator may still want to know 
+// body producer aborted, but the initiator may still want to know
 // the answer, even though the HTTP message has been truncated
 void ICAPModXact::noteBodyProducerAborted(BodyPipe::Pointer)
 {
@@ -989,7 +988,7 @@
         echoMore();
 }
 
-// adapted body consumer wants more adapted data and 
+// adapted body consumer wants more adapted data and
 // possibly freed some buffer space
 void ICAPModXact::noteMoreBodySpaceAvailable(BodyPipe::Pointer)
 {
@@ -1039,13 +1038,13 @@
 
     // we must forward "Proxy-Authenticate" and "Proxy-Authorization"
     // as ICAP headers.
-    if (virgin.header->header.has(HDR_PROXY_AUTHENTICATE)) 
-        buf.Printf("Proxy-Authenticate: %s\r\n", 
-                virgin.header->header.getByName("Proxy-Authenticate").buf());    
-    
-    if (virgin.header->header.has(HDR_PROXY_AUTHORIZATION)) 
-        buf.Printf("Proxy-Authorization: %s\r\n", 
-                virgin.header->header.getByName("Proxy-Authorization").buf());
+    if (virgin.header->header.has(HDR_PROXY_AUTHENTICATE))
+        buf.Printf("Proxy-Authenticate: %s\r\n",
+                   virgin.header->header.getByName("Proxy-Authenticate").buf());
+
+    if (virgin.header->header.has(HDR_PROXY_AUTHORIZATION))
+        buf.Printf("Proxy-Authorization: %s\r\n",
+                   virgin.header->header.getByName("Proxy-Authorization").buf());
 
     buf.Printf("Encapsulated: ");
 
@@ -1057,8 +1056,8 @@
     ICAP::Method m = s.method;
 
     const HttpRequest *request = virgin.cause ?
-        virgin.cause :
-        dynamic_cast<const HttpRequest*>(virgin.header);
+                                 virgin.cause :
+                                 dynamic_cast<const HttpRequest*>(virgin.header);
 
     // to simplify, we could assume that request is always available
 
@@ -1068,8 +1067,8 @@
         if (ICAP::methodRespmod == m)
             encapsulateHead(buf, "req-hdr", httpBuf, request);
         else
-        if (ICAP::methodReqmod == m)
-            encapsulateHead(buf, "req-hdr", httpBuf, virgin.header);
+            if (ICAP::methodReqmod == m)
+                encapsulateHead(buf, "req-hdr", httpBuf, virgin.header);
     }
 
     if (ICAP::methodRespmod == m)
@@ -1118,13 +1117,14 @@
     httpBuf.clean();
 }
 
-void ICAPModXact::makeUsernameHeader(const HttpRequest *request, MemBuf &buf) {
+void ICAPModXact::makeUsernameHeader(const HttpRequest *request, MemBuf &buf)
+{
     if (const AuthUserRequest *auth = request->auth_user_request) {
         if (char const *name = auth->username()) {
             const char *value = TheICAPConfig.client_username_encode ?
-                base64_encode(name) : name;
+                                base64_encode(name) : name;
             buf.Printf("%s: %s\r\n", TheICAPConfig.client_username_header,
-                value);
+                       value);
         }
     }
 }
@@ -1136,29 +1136,28 @@
 
     // begin cloning
     HttpMsg *headClone = NULL;
-    
+
     if (const HttpRequest* old_request = dynamic_cast<const HttpRequest*>(head)) {
         HttpRequest* new_request = new HttpRequest;
         urlParse(old_request->method, old_request->canonical,new_request);
         new_request->http_ver = old_request->http_ver;
         headClone = new_request;
-    } 
-    else if (const HttpReply *old_reply = dynamic_cast<const HttpReply*>(head)) {
+    } else if (const HttpReply *old_reply = dynamic_cast<const HttpReply*>(head)) {
         HttpReply* new_reply = new HttpReply;
         new_reply->sline = old_reply->sline;
         headClone = new_reply;
     }
-    
+
     Must(headClone);
     headClone->inheritProperties(head);
-    
+
     HttpHeaderPos pos = HttpHeaderInitPos;
     HttpHeaderEntry* p_head_entry = NULL;
     while (NULL != (p_head_entry = head->header.getEntry(&pos)) )
         headClone->header.addEntry(p_head_entry->clone());
 
     // end cloning
-        
+
     // remove all hop-by-hop headers from the clone
     headClone->header.delById(HDR_PROXY_AUTHENTICATE);
     headClone->header.removeHopByHopEntries();
@@ -1186,8 +1185,8 @@
     }
 
     const HttpRequest *request = virgin.cause ?
-        virgin.cause :
-        dynamic_cast<const HttpRequest*>(virgin.header);
+                                 virgin.cause :
+                                 dynamic_cast<const HttpRequest*>(virgin.header);
     const String urlPath = request ? request->urlpath : String();
     size_t wantedSize;
     if (!service().wantsPreview(urlPath, wantedSize)) {
@@ -1205,8 +1204,8 @@
     if (!virginBody.expected())
         ad = 0;
     else
-    if (virginBody.knownSize())
-        ad = XMIN(static_cast<uint64_t>(ad), virginBody.size()); // not more than we have
+        if (virginBody.knownSize())
+            ad = XMIN(static_cast<uint64_t>(ad), virginBody.size()); // not more than we have
 
     debugs(93, 5, "ICAPModXact should offer " << ad << "-byte preview " <<
            "(service wanted " << wantedSize << ")");
@@ -1307,7 +1306,7 @@
         buf.Printf("S(%d)", state.sending);
 
     if (canStartBypass)
-       buf.append("Y", 1);
+        buf.append("Y", 1);
 }
 
 void ICAPModXact::fillDoneStatus(MemBuf &buf) const
@@ -1356,17 +1355,17 @@
     if (virgin.cause)
         method = virgin.cause->method;
     else
-    if (HttpRequest *req = dynamic_cast<HttpRequest*>(msg))
-        method = req->method;
-    else
-        method = METHOD_NONE;
+        if (HttpRequest *req = dynamic_cast<HttpRequest*>(msg))
+            method = req->method;
+        else
+            method = METHOD_NONE;
 
     int64_t size;
     // expectingBody returns true for zero-sized bodies, but we will not
     // get a pipe for that body, so we treat the message as bodyless
     if (method != METHOD_NONE && msg->expectingBody(method, size) && size) {
-        debugs(93, 6, "ICAPModXact expects virgin body from " << 
-            virgin.body_pipe << "; size: " << size);
+        debugs(93, 6, "ICAPModXact expects virgin body from " <<
+               virgin.body_pipe << "; size: " << size);
 
         virginBody.expect(size);
         virginBodyWriting.plan();
@@ -1385,13 +1384,14 @@
     }
 }
 
-void ICAPModXact::makeAdaptedBodyPipe(const char *what) {
+void ICAPModXact::makeAdaptedBodyPipe(const char *what)
+{
     Must(!adapted.body_pipe);
     Must(!adapted.header->body_pipe);
     adapted.header->body_pipe = new BodyPipe(this);
     adapted.body_pipe = adapted.header->body_pipe;
     debugs(93, 7, HERE << "will supply " << what << " via " <<
-        adapted.body_pipe << " pipe");
+           adapted.body_pipe << " pipe");
 }
 
 
@@ -1501,13 +1501,13 @@
 
     theWritten += size;
 
-	Must(theWritten <= theAd);
+    Must(theWritten <= theAd);
 
-	if (wroteEof)
-		theState = stIeof; // written size is irrelevant
-	else
-    if (theWritten >= theAd)
-        theState = stDone;
+    if (wroteEof)
+        theState = stIeof; // written size is irrelevant
+    else
+        if (theWritten >= theAd)
+            theState = stDone;
 }
 
 bool ICAPModXact::fillVirginHttpHeader(MemBuf &mb) const
@@ -1524,8 +1524,8 @@
 /* ICAPModXactLauncher */
 
 ICAPModXactLauncher::ICAPModXactLauncher(Adaptation::Initiator *anInitiator, HttpMsg *virginHeader, HttpRequest *virginCause, Adaptation::ServicePointer aService):
-    AsyncJob("ICAPModXactLauncher"),
-    ICAPLauncher("ICAPModXactLauncher", anInitiator, aService)
+        AsyncJob("ICAPModXactLauncher"),
+        ICAPLauncher("ICAPModXactLauncher", anInitiator, aService)
 {
     virgin.setHeader(virginHeader);
     virgin.setCause(virginCause);
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPModXact.h squid-3.1.0.4/src/ICAP/ICAPModXact.h
--- squid-3.1.0.3/src/ICAP/ICAPModXact.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPModXact.h	2009-01-23 18:37:36.000000000 +1300
@@ -19,12 +19,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -72,7 +72,7 @@
     int64_t theData; // combines expectation and size info to save RAM
 };
 
-// Virgin body may be used for two activities: (a) writing preview or prime 
+// Virgin body may be used for two activities: (a) writing preview or prime
 // body to the ICAP server and (b) sending the body back in the echo mode.
 // Both activities use the same BodyPipe and may be active at the same time.
 // This class is used to maintain the state of body writing or sending
@@ -274,15 +274,16 @@
         bool doneWriting() const { return writing == writingReallyDone; }
 
         // will not use virgin.body_pipe
-        bool doneConsumingVirgin() const { return writing >= writingAlmostDone
-            && (sending == sendingAdapted || sending == sendingDone); }
+        bool doneConsumingVirgin() const {
+            return writing >= writingAlmostDone
+                   && (sending == sendingAdapted || sending == sendingDone);
+        }
 
         // parsed entire ICAP response from the ICAP server
         bool doneParsing() const { return parsing == psDone; }
 
         // is parsing ICAP or HTTP headers read from the ICAP server
-        bool parsingHeaders() const
-        {
+        bool parsingHeaders() const {
             return parsing == psIcapHeader ||
                    parsing == psHttpHeader;
         }
@@ -291,18 +292,20 @@
 
         // measures ICAP request writing progress
         enum Writing { writingInit, writingConnect, writingHeaders,
-            writingPreview, writingPaused, writingPrime,
-            writingAlmostDone, // waiting for the last write() call to finish
-            writingReallyDone } writing;
+                       writingPreview, writingPaused, writingPrime,
+                       writingAlmostDone, // waiting for the last write() call to finish
+                       writingReallyDone
+                     } writing;
 
         enum Sending { sendingUndecided, sendingVirgin, sendingAdapted,
-                       sendingDone } sending;
+                       sendingDone
+                     } sending;
     } state;
 
     CBDATA_CLASS2(ICAPModXact);
 };
 
-// An ICAPLauncher that stores ICAPModXact construction info and 
+// An ICAPLauncher that stores ICAPModXact construction info and
 // creates ICAPModXact when needed
 class ICAPModXactLauncher: public ICAPLauncher
 {
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPOptions.cc squid-3.1.0.4/src/ICAP/ICAPOptions.cc
--- squid-3.1.0.3/src/ICAP/ICAPOptions.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPOptions.cc	2009-01-23 18:37:36.000000000 +1300
@@ -43,7 +43,7 @@
         return xferIgnore;
 
     debugs(93,7, "ICAPOptions url " << urlPath << " matches no extensions; " <<
-        "using default: " << theTransfers.byDefault->name);
+           "using default: " << theTransfers.byDefault->name);
     return theTransfers.byDefault->kind;
 }
 
@@ -141,7 +141,7 @@
     if (foundStar) {
         theTransfers.byDefault = &list;
         debugs(93,5, "ICAPOptions::cfgTransferList: " <<
-            "set default transfer to " << list.name);
+               "set default transfer to " << list.name);
     }
 
     list.report(5, "ICAPOptions::cfgTransferList: ");
@@ -151,18 +151,22 @@
 /* ICAPOptions::TransferList */
 
 ICAPOptions::TransferList::TransferList(): extensions(NULL), name(NULL),
-    kind(xferNone) {
+        kind(xferNone)
+{
 };
 
-ICAPOptions::TransferList::~TransferList() {
+ICAPOptions::TransferList::~TransferList()
+{
     wordlistDestroy(&extensions);
 };
 
-void ICAPOptions::TransferList::add(const char *extension) {
+void ICAPOptions::TransferList::add(const char *extension)
+{
     wordlistAdd(&extensions, extension);
 };
 
-bool ICAPOptions::TransferList::matches(const String &urlPath) const {
+bool ICAPOptions::TransferList::matches(const String &urlPath) const
+{
     const int urlLen = urlPath.size();
     for (wordlist *e = extensions; e; e = e->next) {
         // optimize: store extension lengths
@@ -173,9 +177,9 @@
             const int eOff = urlLen - eLen;
             // RFC 3507 examples imply that extensions come without leading '.'
             if (urlPath.buf()[eOff-1] == '.' &&
-                strcmp(urlPath.buf() + eOff, e->key) == 0) {
+                    strcmp(urlPath.buf() + eOff, e->key) == 0) {
                 debugs(93,7, "ICAPOptions url " << urlPath << " matches " <<
-                    name << " extension " << e->key);
+                       name << " extension " << e->key);
                 return true;
             }
         }
@@ -184,7 +188,8 @@
     return false;
 }
 
-void ICAPOptions::TransferList::parse(const String &buf, bool &foundStar) {
+void ICAPOptions::TransferList::parse(const String &buf, bool &foundStar)
+{
     foundStar = false;
 
     const char *item;
@@ -198,7 +203,8 @@
     }
 }
 
-void ICAPOptions::TransferList::report(int level, const char *prefix) const {
+void ICAPOptions::TransferList::report(int level, const char *prefix) const
+{
     if (extensions) {
         for (wordlist *e = extensions; e; e = e->next)
             debugs(93,level, prefix << name << ": " << e->key);
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPServiceRep.cc squid-3.1.0.4/src/ICAP/ICAPServiceRep.cc
--- squid-3.1.0.3/src/ICAP/ICAPServiceRep.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPServiceRep.cc	2009-01-23 18:37:36.000000000 +1300
@@ -39,11 +39,11 @@
 void
 ICAPServiceRep::finalize()
 {
-	Adaptation::Service::finalize();
+    Adaptation::Service::finalize();
     assert(self != NULL);
 
     // use /etc/services or default port if needed
-	const bool have_port = cfg().port >= 0;
+    const bool have_port = cfg().port >= 0;
     if (!have_port) {
         struct servent *serv = getservbyname("icap", "tcp");
 
@@ -67,25 +67,27 @@
     // TODO: it would be nice to invalidate cbdata(this) when not destroyed
 }
 
-void ICAPServiceRep::noteFailure() {
+void ICAPServiceRep::noteFailure()
+{
     ++theSessionFailures;
-    debugs(93,4, theSessionFailures << " ICAPService failures, out of " << 
-        TheICAPConfig.service_failure_limit << " allowed " << status());
+    debugs(93,4, theSessionFailures << " ICAPService failures, out of " <<
+           TheICAPConfig.service_failure_limit << " allowed " << status());
 
     if (isSuspended)
         return;
 
     if (TheICAPConfig.service_failure_limit >= 0 &&
-        theSessionFailures > TheICAPConfig.service_failure_limit)
+            theSessionFailures > TheICAPConfig.service_failure_limit)
         suspend("too many failures");
 
     // TODO: Should bypass setting affect how much Squid tries to talk to
-    // the ICAP service that is currently unusable and is likely to remain 
-    // so for some time? The current code says "no". Perhaps the answer 
+    // the ICAP service that is currently unusable and is likely to remain
+    // so for some time? The current code says "no". Perhaps the answer
     // should be configurable.
 }
 
-void ICAPServiceRep::suspend(const char *reason) {
+void ICAPServiceRep::suspend(const char *reason)
+{
     if (isSuspended) {
         debugs(93,4, "keeping ICAPService suspended, also for " << reason);
     } else {
@@ -101,7 +103,8 @@
     return theLastUpdate != 0;
 }
 
-bool ICAPServiceRep::hasOptions() const {
+bool ICAPServiceRep::hasOptions() const
+{
     return theOptions && theOptions->valid() && theOptions->fresh();
 }
 
@@ -183,8 +186,8 @@
 
     while (!theClients.empty()) {
         Client i = theClients.pop_back();
-		ScheduleCallHere(i.callback);
-		i.callback = 0;
+        ScheduleCallHere(i.callback);
+        i.callback = 0;
     }
 
     notifying = false;
@@ -195,7 +198,7 @@
     Must(cb!=NULL);
 
     debugs(93,5, HERE << "ICAPService is asked to call " << *cb <<
-        " when ready " << status());
+           " when ready " << status());
 
     Must(self != NULL);
     Must(!broken()); // we do not wait for a broken service
@@ -217,7 +220,7 @@
 void ICAPServiceRep::scheduleNotification()
 {
     debugs(93,7, "ICAPService will notify " << theClients.size() << " clients");
-     CallJobHere(93, 5, this, ICAPServiceRep::noteTimeToNotify);
+    CallJobHere(93, 5, this, ICAPServiceRep::noteTimeToNotify);
 }
 
 bool ICAPServiceRep::needNewOptions() const
@@ -247,7 +250,7 @@
 
     if (!theOptions->valid()) {
         debugs(93,1, "WARNING: Squid got an invalid ICAP OPTIONS response " <<
-            "from service " << cfg().uri << "; error: " << theOptions->error);
+               "from service " << cfg().uri << "; error: " << theOptions->error);
         return;
     }
 
@@ -290,7 +293,7 @@
         // TODO: If skew is negative, the option will be considered down
         // because of stale options. We should probably change this.
         debugs(93, 1, "ICAP service's clock is skewed by " << skew <<
-            " seconds: " << cfg().uri.buf());
+               " seconds: " << cfg().uri.buf());
     }
 }
 
@@ -301,9 +304,9 @@
 
     const char *what = cfg().bypass ? "optional" : "essential";
     const char *state = wasAnnouncedUp ? downPhrase : "up";
-    const int level = important ? 1 : 2;
+    const int level = important ? 1 :2;
     debugs(93,level, what << " ICAP service is " << state << ": " <<
-        cfg().uri << ' ' << status());
+           cfg().uri << ' ' << status());
 
     wasAnnouncedUp = !wasAnnouncedUp;
 }
@@ -320,16 +323,17 @@
 
     ICAPOptions *newOptions = NULL;
     if (HttpReply *r = dynamic_cast<HttpReply*>(msg)) {
-    	newOptions = new ICAPOptions;
-    	newOptions->configure(r);
+        newOptions = new ICAPOptions;
+        newOptions->configure(r);
     } else {
-    	debugs(93,1, "ICAPService got wrong options message " << status());
+        debugs(93,1, "ICAPService got wrong options message " << status());
     }
 
     handleNewOptions(newOptions);
 }
 
-void ICAPServiceRep::noteAdaptationQueryAbort(bool) {
+void ICAPServiceRep::noteAdaptationQueryAbort(bool)
+{
     Must(theOptionsFetcher);
     clearAdaptation(theOptionsFetcher);
 
@@ -374,9 +378,9 @@
     }
 
     debugs(93,7, HERE << "raw OPTIONS fetch at " << when << " or in " <<
-        (when - squid_curtime) << " sec");
+           (when - squid_curtime) << " sec");
     debugs(93,9, HERE << "last fetched at " << theLastUpdate << " or " <<
-        (squid_curtime - theLastUpdate) << " sec ago");
+           (squid_curtime - theLastUpdate) << " sec ago");
 
     /* adjust update time to prevent too-frequent updates */
 
@@ -423,7 +427,7 @@
 
 Adaptation::Initiate *
 ICAPServiceRep::makeXactLauncher(Adaptation::Initiator *initiator,
-    HttpMsg *virgin, HttpRequest *cause)
+                                 HttpMsg *virgin, HttpRequest *cause)
 {
     return new ICAPModXactLauncher(initiator, virgin, cause, this);
 }
@@ -448,11 +452,11 @@
         if (!theOptions)
             buf.append(",!opt", 5);
         else
-        if (!theOptions->valid())
-            buf.append(",!valid", 7);
-        else
-        if (!theOptions->fresh())
-            buf.append(",stale", 6);
+            if (!theOptions->valid())
+                buf.append(",!valid", 7);
+            else
+                if (!theOptions->fresh())
+                    buf.append(",stale", 6);
     }
 
     if (theOptionsFetcher)
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPServiceRep.h squid-3.1.0.4/src/ICAP/ICAPServiceRep.h
--- squid-3.1.0.3/src/ICAP/ICAPServiceRep.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPServiceRep.h	2009-01-23 18:37:36.000000000 +1300
@@ -19,12 +19,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -66,14 +66,14 @@
  * eventually retry to fetch its options in hope to bring the service up.
  *
  * A service that should no longer be used after Squid reconfiguration is
- * treated as if it does not have a fresh cached OPTIONS response. We do 
- * not try to fetch fresh options for such a service. It should be 
+ * treated as if it does not have a fresh cached OPTIONS response. We do
+ * not try to fetch fresh options for such a service. It should be
  * auto-destroyed by refcounting when no longer used.
  */
 
 
 class ICAPServiceRep : public RefCountable, public Adaptation::Service,
-    public Adaptation::Initiator
+            public Adaptation::Initiator
 {
 
 public:
@@ -101,7 +101,7 @@
     bool allows204() const;
 
     void noteFailure(); // called by transactions to report service failure
-    
+
     //AsyncJob virtual methods
     virtual bool doneAll() const { return Adaptation::Initiator::doneAll() && false;}
 
@@ -116,8 +116,7 @@
 private:
     // stores Prepare() callback info
 
-    struct Client
-    {
+    struct Client {
         Pointer service; // one for each client to preserve service
         AsyncCall::Pointer callback;
     };
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPXaction.cc squid-3.1.0.4/src/ICAP/ICAPXaction.cc
--- squid-3.1.0.3/src/ICAP/ICAPXaction.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPXaction.cc	2009-01-23 18:37:36.000000000 +1300
@@ -29,13 +29,13 @@
         connector(NULL), reader(NULL), writer(NULL), closer(NULL)
 {
     debugs(93,3, typeName << " constructed, this=" << this <<
-        " [icapx" << id << ']'); // we should not call virtual status() here
+           " [icapx" << id << ']'); // we should not call virtual status() here
 }
 
 ICAPXaction::~ICAPXaction()
 {
     debugs(93,3, typeName << " destructed, this=" << this <<
-        " [icapx" << id << ']'); // we should not call virtual status() here
+           " [icapx" << id << ']'); // we should not call virtual status() here
 }
 
 ICAPServiceRep &
@@ -46,9 +46,10 @@
     return *s;
 }
 
-void ICAPXaction::disableRetries() {
+void ICAPXaction::disableRetries()
+{
     debugs(93,5, typeName << (isRetriable ? " becomes" : " remains") <<
-        " final" << status());
+           " final" << status());
     isRetriable = false;
 }
 
@@ -65,7 +66,7 @@
 // TODO: obey service-specific, OPTIONS-reported connection limit
 void ICAPXaction::openConnection()
 {
-    IPAddress client_addr;
+    IpAddress client_addr;
 
     Must(connection < 0);
 
@@ -83,18 +84,19 @@
         // TODO: can we sync call ICAPXaction::noteCommConnected here instead?
         typedef CommCbMemFunT<ICAPXaction, CommConnectCbParams> Dialer;
         Dialer dialer(this, &ICAPXaction::noteCommConnected);
+	dialer.params.fd = connection;
         dialer.params.flag = COMM_OK;
         // fake other parameters by copying from the existing connection
         connector = asyncCall(93,3, "ICAPXaction::noteCommConnected", dialer);
-	    ScheduleCallHere(connector);
+        ScheduleCallHere(connector);
         return;
     }
 
     disableRetries(); // we only retry pconn failures
 
-    IPAddress outgoing;
-    connection = comm_open(SOCK_STREAM, 0, outgoing, 
-        COMM_NONBLOCKING, s.cfg().uri.buf());
+    IpAddress outgoing;
+    connection = comm_open(SOCK_STREAM, 0, outgoing,
+                           COMM_NONBLOCKING, s.cfg().uri.buf());
 
     if (connection < 0)
         dieOnConnectionFailure(); // throws
@@ -104,19 +106,19 @@
     // TODO: service bypass status may differ from that of a transaction
     typedef CommCbMemFunT<ICAPXaction, CommTimeoutCbParams> TimeoutDialer;
     AsyncCall::Pointer timeoutCall =  asyncCall(93, 5, "ICAPXaction::noteCommTimedout",
-			TimeoutDialer(this,&ICAPXaction::noteCommTimedout));
+                                      TimeoutDialer(this,&ICAPXaction::noteCommTimedout));
 
     commSetTimeout(connection, TheICAPConfig.connect_timeout(
-        service().cfg().bypass), timeoutCall);
+                       service().cfg().bypass), timeoutCall);
 
     typedef CommCbMemFunT<ICAPXaction, CommCloseCbParams> CloseDialer;
     closer =  asyncCall(93, 5, "ICAPXaction::noteCommClosed",
-			CloseDialer(this,&ICAPXaction::noteCommClosed));
+                        CloseDialer(this,&ICAPXaction::noteCommClosed));
     comm_add_close_handler(connection, closer);
 
     typedef CommCbMemFunT<ICAPXaction, CommConnectCbParams> ConnectDialer;
     connector = asyncCall(93,3, "ICAPXaction::noteCommConnected",
-        ConnectDialer(this, &ICAPXaction::noteCommConnected));
+                          ConnectDialer(this, &ICAPXaction::noteCommConnected));
     commConnectStart(connection, s.cfg().host.buf(), s.cfg().port, connector);
 }
 
@@ -151,12 +153,12 @@
         }
 
         if (reuseConnection) {
-            IPAddress client_addr;
+            IpAddress client_addr;
             debugs(93,3, HERE << "pushing pconn" << status());
-	    AsyncCall::Pointer call = NULL;
-	    commSetTimeout(connection, -1, call);
+            AsyncCall::Pointer call = NULL;
+            commSetTimeout(connection, -1, call);
             icapPconnPool->push(connection, theService->cfg().host.buf(),
-                theService->cfg().port, NULL, client_addr);
+                                theService->cfg().port, NULL, client_addr);
             disableRetries();
         } else {
             debugs(93,3, HERE << "closing pconn" << status());
@@ -185,9 +187,10 @@
     handleCommConnected();
 }
 
-void ICAPXaction::dieOnConnectionFailure() {
+void ICAPXaction::dieOnConnectionFailure()
+{
     debugs(93, 2, HERE << typeName <<
-        " failed to connect to " << service().cfg().uri);
+           " failed to connect to " << service().cfg().uri);
     theService->noteFailure();
     throw TexcHere("cannot connect to the ICAP service");
 }
@@ -197,7 +200,7 @@
     // comm module will free the buffer
     typedef CommCbMemFunT<ICAPXaction, CommIoCbParams> Dialer;
     writer = asyncCall(93,3, "ICAPXaction::noteCommWrote",
-		       Dialer(this, &ICAPXaction::noteCommWrote));
+                       Dialer(this, &ICAPXaction::noteCommWrote));
 
     comm_write_mbuf(connection, &buf, writer);
     updateTimeout();
@@ -207,10 +210,10 @@
 {
     Must(writer != NULL);
     writer = NULL;
-    
+
     if (ignoreLastWrite) {
         // a hack due to comm inability to cancel a pending write
-        ignoreLastWrite = false; 
+        ignoreLastWrite = false;
         debugs(93, 7, HERE << "ignoring last write; status: " << io.flag);
     } else {
         Must(io.flag == COMM_OK);
@@ -228,14 +231,14 @@
 void ICAPXaction::handleCommTimedout()
 {
     debugs(93, 2, HERE << typeName << " failed: timeout with " <<
-        theService->cfg().methodStr() << " " <<
-        theService->cfg().uri.buf() << status());
+           theService->cfg().methodStr() << " " <<
+           theService->cfg().uri.buf() << status());
     reuseConnection = false;
     service().noteFailure();
 
     throw TexcHere(connector != NULL ?
-        "timed out while connecting to the ICAP service" :
-        "timed out while talking to the ICAP service");
+                   "timed out while connecting to the ICAP service" :
+                   "timed out while talking to the ICAP service");
 }
 
 // unexpected connection close while talking to the ICAP service
@@ -264,21 +267,22 @@
     return !connector && !reader && !writer && Adaptation::Initiate::doneAll();
 }
 
-void ICAPXaction::updateTimeout() {
+void ICAPXaction::updateTimeout()
+{
     if (reader != NULL || writer != NULL) {
         // restart the timeout before each I/O
         // XXX: why does Config.Timeout lacks a write timeout?
         // TODO: service bypass status may differ from that of a transaction
-	    typedef CommCbMemFunT<ICAPXaction, CommTimeoutCbParams> TimeoutDialer;
-	    AsyncCall::Pointer call =  asyncCall(93, 5, "ICAPXaction::noteCommTimedout",
-				    TimeoutDialer(this,&ICAPXaction::noteCommTimedout));
+        typedef CommCbMemFunT<ICAPXaction, CommTimeoutCbParams> TimeoutDialer;
+        AsyncCall::Pointer call =  asyncCall(93, 5, "ICAPXaction::noteCommTimedout",
+                                             TimeoutDialer(this,&ICAPXaction::noteCommTimedout));
 
-        commSetTimeout(connection, 
-            TheICAPConfig.io_timeout(service().cfg().bypass), call);
+        commSetTimeout(connection,
+                       TheICAPConfig.io_timeout(service().cfg().bypass), call);
     } else {
         // clear timeout when there is no I/O
         // Do we need a lifetime timeout?
-	AsyncCall::Pointer call = NULL;
+        AsyncCall::Pointer call = NULL;
         commSetTimeout(connection, -1, call);
     }
 }
@@ -295,7 +299,7 @@
      */
     typedef CommCbMemFunT<ICAPXaction, CommIoCbParams> Dialer;
     reader = asyncCall(93,3, "ICAPXaction::noteCommRead",
-		       Dialer(this, &ICAPXaction::noteCommRead));
+                       Dialer(this, &ICAPXaction::noteCommRead));
 
     comm_read(connection, commBuf, readBuf.spaceSize(), reader);
     updateTimeout();
@@ -375,8 +379,8 @@
 bool ICAPXaction::doneWithIo() const
 {
     return connection >= 0 && // or we could still be waiting to open it
-        !connector && !reader && !writer && // fast checks, some redundant
-        doneReading() && doneWriting();
+           !connector && !reader && !writer && // fast checks, some redundant
+           doneReading() && doneWriting();
 }
 
 // initiator aborted
diff -u -r -N squid-3.1.0.3/src/ICAP/ICAPXaction.h squid-3.1.0.4/src/ICAP/ICAPXaction.h
--- squid-3.1.0.3/src/ICAP/ICAPXaction.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/ICAPXaction.h	2009-01-23 18:37:36.000000000 +1300
@@ -19,12 +19,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -99,7 +99,7 @@
     virtual bool doneAll() const;
 
     // called just before the 'done' transaction is deleted
-    virtual void swanSong(); 
+    virtual void swanSong();
 
     // returns a temporary string depicting transaction status, for debugging
     virtual const char *status() const;
diff -u -r -N squid-3.1.0.3/src/ICAP/Makefile.am squid-3.1.0.4/src/ICAP/Makefile.am
--- squid-3.1.0.3/src/ICAP/Makefile.am	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/Makefile.am	2009-01-23 18:37:36.000000000 +1300
@@ -1,5 +1,6 @@
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES =
 
 INCLUDES = \
 	-I$(top_builddir)/include \
@@ -39,3 +40,4 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
diff -u -r -N squid-3.1.0.3/src/ICAP/Makefile.in squid-3.1.0.4/src/ICAP/Makefile.in
--- squid-3.1.0.3/src/ICAP/Makefile.in	2008-12-05 16:09:55.000000000 +1300
+++ squid-3.1.0.4/src/ICAP/Makefile.in	2009-01-23 18:37:57.000000000 +1300
@@ -312,6 +312,7 @@
 target_alias = @target_alias@
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
 INCLUDES = \
 	-I$(top_builddir)/include \
 	-I$(top_srcdir)/include \
@@ -557,6 +558,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/src/icmp/Icmp4.cc squid-3.1.0.4/src/icmp/Icmp4.cc
--- squid-3.1.0.3/src/icmp/Icmp4.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Icmp4.cc	2009-01-23 18:37:37.000000000 +1300
@@ -90,7 +90,7 @@
 }
 
 void
-Icmp4::SendEcho(IPAddress &to, int opcode, const char *payload, int len)
+Icmp4::SendEcho(IpAddress &to, int opcode, const char *payload, int len)
 {
     int x;
     LOCAL_ARRAY(char, pkt, MAX_PKT4_SZ);
diff -u -r -N squid-3.1.0.3/src/icmp/Icmp4.h squid-3.1.0.4/src/icmp/Icmp4.h
--- squid-3.1.0.3/src/icmp/Icmp4.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Icmp4.h	2009-01-23 18:37:37.000000000 +1300
@@ -36,7 +36,6 @@
 
 #include "config.h"
 #include "Icmp.h"
-#include "IPAddress.h"
 
 #if HAVE_NETINET_IN_SYSTM_H
 #include <netinet/in_systm.h>
@@ -171,7 +170,7 @@
     virtual int Open();
 
 #if USE_ICMP
-    virtual void SendEcho(IPAddress &, int, const char*, int);
+    virtual void SendEcho(IpAddress &, int, const char*, int);
     virtual void Recv(void);
 #endif
 };
diff -u -r -N squid-3.1.0.3/src/icmp/Icmp6.cc squid-3.1.0.4/src/icmp/Icmp6.cc
--- squid-3.1.0.3/src/icmp/Icmp6.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Icmp6.cc	2009-01-23 18:37:37.000000000 +1300
@@ -133,7 +133,7 @@
  * Generates an RFC 4443 Icmp6 ECHO Packet and sends into the network.
  */
 void
-Icmp6::SendEcho(IPAddress &to, int opcode, const char *payload, int len)
+Icmp6::SendEcho(IpAddress &to, int opcode, const char *payload, int len)
 {
     int x;
     LOCAL_ARRAY(char, pkt, MAX_PKT6_SZ);
diff -u -r -N squid-3.1.0.3/src/icmp/Icmp6.h squid-3.1.0.4/src/icmp/Icmp6.h
--- squid-3.1.0.3/src/icmp/Icmp6.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Icmp6.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: ICMPv6.h,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
- *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
  *
@@ -39,7 +37,6 @@
 #if USE_IPV6
 
 #include "Icmp.h"
-#include "IPAddress.h"
 
 #if HAVE_NETINET_IN_H
 #include <netinet/in.h>
@@ -79,7 +76,7 @@
     virtual int Open();
 
 #if USE_ICMP
-    virtual void SendEcho(IPAddress &, int, const char*, int);
+    virtual void SendEcho(IpAddress &, int, const char*, int);
     virtual void Recv(void);
 #endif
 };
diff -u -r -N squid-3.1.0.3/src/icmp/Icmp.cc squid-3.1.0.4/src/icmp/Icmp.cc
--- squid-3.1.0.3/src/icmp/Icmp.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Icmp.cc	2009-01-23 18:37:37.000000000 +1300
@@ -107,7 +107,7 @@
 }
 
 void
-Icmp::Log(const IPAddress &addr, const u_int8_t type, const char* pkt_str, const int rtt, const int hops)
+Icmp::Log(const IpAddress &addr, const u_int8_t type, const char* pkt_str, const int rtt, const int hops)
 {
     debugs(42, 2, "pingerLog: " << std::setw(9) << current_time.tv_sec  <<
            "." << std::setfill('0') << std::setw(6) <<
diff -u -r -N squid-3.1.0.3/src/icmp/Icmp.h squid-3.1.0.4/src/icmp/Icmp.h
--- squid-3.1.0.3/src/icmp/Icmp.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Icmp.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: ICMP.h,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
- *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
  *
@@ -35,7 +33,7 @@
 #define _INCLUDE_ICMP_H
 
 #include "config.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #define PINGER_PAYLOAD_SZ	8192
 
@@ -49,7 +47,7 @@
 
 /* This is a line-data format struct. DO NOT alter. */
 struct pingerEchoData {
-    IPAddress to;
+    IpAddress to;
     unsigned char opcode;
     int psize;
     char payload[PINGER_PAYLOAD_SZ];
@@ -57,7 +55,7 @@
 
 /* This is a line-data format struct. DO NOT alter. */
 struct pingerReplyData {
-    IPAddress from;
+    IpAddress from;
     unsigned char opcode;
     int rtt;
     int hops;
@@ -111,7 +109,7 @@
      *                Content longer than MAX_PAYLOAD will be truncated.
      \param len       Length of the payload in bytes if any is to be sent or 0.
      */
-    virtual void SendEcho(IPAddress &to, int opcode, const char *payload=NULL, int len=0) =0;
+    virtual void SendEcho(IpAddress &to, int opcode, const char *payload=NULL, int len=0) =0;
 
     /// Handle ICMP responses.
     virtual void Recv(void) =0;
@@ -139,7 +137,7 @@
     int ipHops(int ttl);
 
     /// Log the packet.
-    void Log(const IPAddress &addr, const u_int8_t type, const char* pkt_str, const int rtt, const int hops);
+    void Log(const IpAddress &addr, const u_int8_t type, const char* pkt_str, const int rtt, const int hops);
 
     /* no use wasting memory */
     int icmp_sock;
diff -u -r -N squid-3.1.0.3/src/icmp/IcmpPinger.h squid-3.1.0.4/src/icmp/IcmpPinger.h
--- squid-3.1.0.3/src/icmp/IcmpPinger.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/IcmpPinger.h	2009-01-23 18:37:37.000000000 +1300
@@ -62,7 +62,7 @@
 
 private:
     // unused in IcmpPinger
-    virtual void SendEcho(IPAddress &to, int opcode, const char *payload, int len) {};
+    virtual void SendEcho(IpAddress &to, int opcode, const char *payload, int len) {};
 
     /**
      * Control channel(s) to squid.
diff -u -r -N squid-3.1.0.3/src/icmp/IcmpSquid.cc squid-3.1.0.4/src/icmp/IcmpSquid.cc
--- squid-3.1.0.3/src/icmp/IcmpSquid.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/IcmpSquid.cc	2009-01-23 18:37:37.000000000 +1300
@@ -69,7 +69,7 @@
 #if USE_ICMP
 
 void
-IcmpSquid::SendEcho(IPAddress &to, int opcode, const char *payload, int len)
+IcmpSquid::SendEcho(IpAddress &to, int opcode, const char *payload, int len)
 {
     static pingerEchoData pecho;
     int x, slen;
@@ -141,7 +141,7 @@
     int n;
     static int fail_count = 0;
     pingerReplyData preply;
-    static IPAddress F;
+    static IpAddress F;
 
     commSetSelect(icmp_sock, COMM_SELECT_READ, icmpSquidRecv, NULL, 0);
     memset(&preply, '\0', sizeof(pingerReplyData));
@@ -196,7 +196,7 @@
 #endif /* USE_ICMP */
 
 void
-IcmpSquid::DomainPing(IPAddress &to, const char *domain)
+IcmpSquid::DomainPing(IpAddress &to, const char *domain)
 {
 #if USE_ICMP
     debugs(37, 4, HERE << "'" << domain << "' (" << to << ")");
@@ -211,7 +211,7 @@
     const char *args[2];
     int rfd;
     int wfd;
-    IPAddress localhost;
+    IpAddress localhost;
 
     /* User configured disabled. */
     if (!Config.pinger.enable) {
diff -u -r -N squid-3.1.0.3/src/icmp/IcmpSquid.h squid-3.1.0.4/src/icmp/IcmpSquid.h
--- squid-3.1.0.3/src/icmp/IcmpSquid.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/IcmpSquid.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: ICMPSquid.h,v 1.1 2007/12/14 23:11:45 amosjeffries Exp $
- *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels, Amos Jeffries
  *
@@ -36,7 +34,6 @@
 
 #include "config.h"
 #include "Icmp.h"
-#include "IPAddress.h"
 
 /**
  * Implements a non-blocking pseudo-ICMP engine for squid internally.
@@ -55,10 +52,10 @@
     virtual int Open();
     virtual void Close();
 
-    void DomainPing(IPAddress &to, const char *domain);
+    void DomainPing(IpAddress &to, const char *domain);
 
 #if USE_ICMP
-    virtual void SendEcho(IPAddress &to, int opcode, const char* payload=NULL, int len=0);
+    virtual void SendEcho(IpAddress &to, int opcode, const char* payload=NULL, int len=0);
     virtual void Recv(void);
 #endif
 };
diff -u -r -N squid-3.1.0.3/src/icmp/Makefile.am squid-3.1.0.4/src/icmp/Makefile.am
--- squid-3.1.0.3/src/icmp/Makefile.am	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Makefile.am	2009-01-23 18:37:37.000000000 +1300
@@ -7,6 +7,7 @@
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
 DEFS = @DEFS@
+CLEANFILES = 
 
 INCLUDES = -I$(top_srcdir)/src @SQUID_CPPUNIT_INC@ -I$(top_srcdir)/include -I$(top_builddir)/lib
 $(OBJS): $(top_srcdir)/include/version.h $(top_srcdir)/include/autoconf.h
@@ -48,6 +49,7 @@
 
 # ICMP lookup helper
 pinger_SOURCES = \
+	Icmp.h \
 	IcmpPinger.h \
 	IcmpPinger.cc \
 	Icmp4.h \
@@ -59,16 +61,16 @@
 # depends on these but install/dist is done elsewhere.
 # TODO: remove when these are cleaned up in their own way.
 nodist_pinger_SOURCES = \
-	Icmp.h \
 	../debug.cc \
+	../globals.cc \
 	../time.cc \
 	../SquidConfig.cc \
-	../SquidNew.cc \
-	../globals.cc
+	../SquidNew.cc
 
 pinger_LDFLAGS = $(LIBADD_DL)
 pinger_LDADD=\
 	libicmp-core.la \
+	../ip/libip.la \
 	$(top_builddir)/lib/libmiscutil.a
 pinger_DEPENDENCIES= \
 	libicmp-core.la \
@@ -101,14 +103,16 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
 
 
 ## Tests of the ICMP base module.
 # Its used by pinger so SHOULD NOT require more dependancies! :-(
-testIcmp_SOURCES=\
+testIcmp_SOURCES = \
 	Icmp.h \
 	testIcmp.h \
-	testIcmp.cc \
+	testIcmp.cc
+nodist_testIcmp_SOURCES = \
 	../tests/testMain.cc \
 	../SquidTime.h \
 	../time.cc \
@@ -119,6 +123,7 @@
 	@SQUID_CPPUNIT_LIBS@ \
 	@SQUID_CPPUNIT_LA@ \
 	libicmp-core.la \
+	../ip/libip.la \
 	$(top_builddir)/lib/libmiscutil.a
 testIcmp_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
 	libicmp-core.la \
diff -u -r -N squid-3.1.0.3/src/icmp/Makefile.in squid-3.1.0.4/src/icmp/Makefile.in
--- squid-3.1.0.3/src/icmp/Makefile.in	2008-12-05 16:09:57.000000000 +1300
+++ squid-3.1.0.4/src/icmp/Makefile.in	2009-01-23 18:38:00.000000000 +1300
@@ -67,15 +67,16 @@
 PROGRAMS = $(libexec_PROGRAMS)
 am_pinger_OBJECTS = IcmpPinger.$(OBJEXT) Icmp4.$(OBJEXT) \
 	Icmp6.$(OBJEXT) pinger.$(OBJEXT)
-nodist_pinger_OBJECTS = debug.$(OBJEXT) time.$(OBJEXT) \
-	SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) globals.$(OBJEXT)
+nodist_pinger_OBJECTS = debug.$(OBJEXT) globals.$(OBJEXT) \
+	time.$(OBJEXT) SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT)
 pinger_OBJECTS = $(am_pinger_OBJECTS) $(nodist_pinger_OBJECTS)
 testHeaders_SOURCES = testHeaders.c
 testHeaders_OBJECTS = testHeaders.$(OBJEXT)
 testHeaders_LDADD = $(LDADD)
-am_testIcmp_OBJECTS = testIcmp.$(OBJEXT) testMain.$(OBJEXT) \
-	time.$(OBJEXT) test_tools.$(OBJEXT) globals.$(OBJEXT)
-testIcmp_OBJECTS = $(am_testIcmp_OBJECTS)
+am_testIcmp_OBJECTS = testIcmp.$(OBJEXT)
+nodist_testIcmp_OBJECTS = testMain.$(OBJEXT) time.$(OBJEXT) \
+	test_tools.$(OBJEXT) globals.$(OBJEXT)
+testIcmp_OBJECTS = $(am_testIcmp_OBJECTS) $(nodist_testIcmp_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -97,7 +98,7 @@
 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
 	$(pinger_SOURCES) $(nodist_pinger_SOURCES) testHeaders.c \
-	$(testIcmp_SOURCES)
+	$(testIcmp_SOURCES) $(nodist_testIcmp_SOURCES)
 DIST_SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
 	$(pinger_SOURCES) testHeaders.c $(testIcmp_SOURCES)
 ETAGS = etags
@@ -341,6 +342,7 @@
 # TODO: make this set by configure?
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
 INCLUDES = -I$(top_srcdir)/src @SQUID_CPPUNIT_INC@ -I$(top_srcdir)/include -I$(top_builddir)/lib
 @ENABLE_PINGER_FALSE@PINGER = 
 
@@ -365,6 +367,7 @@
 
 # ICMP lookup helper
 pinger_SOURCES = \
+	Icmp.h \
 	IcmpPinger.h \
 	IcmpPinger.cc \
 	Icmp4.h \
@@ -377,16 +380,16 @@
 # depends on these but install/dist is done elsewhere.
 # TODO: remove when these are cleaned up in their own way.
 nodist_pinger_SOURCES = \
-	Icmp.h \
 	../debug.cc \
+	../globals.cc \
 	../time.cc \
 	../SquidConfig.cc \
-	../SquidNew.cc \
-	../globals.cc
+	../SquidNew.cc
 
 pinger_LDFLAGS = $(LIBADD_DL)
 pinger_LDADD = \
 	libicmp-core.la \
+	../ip/libip.la \
 	$(top_builddir)/lib/libmiscutil.a
 
 pinger_DEPENDENCIES = \
@@ -399,7 +402,9 @@
 testIcmp_SOURCES = \
 	Icmp.h \
 	testIcmp.h \
-	testIcmp.cc \
+	testIcmp.cc
+
+nodist_testIcmp_SOURCES = \
 	../tests/testMain.cc \
 	../SquidTime.h \
 	../time.cc \
@@ -411,6 +416,7 @@
 	@SQUID_CPPUNIT_LIBS@ \
 	@SQUID_CPPUNIT_LA@ \
 	libicmp-core.la \
+	../ip/libip.la \
 	$(top_builddir)/lib/libmiscutil.a
 
 testIcmp_DEPENDENCIES = @SQUID_CPPUNIT_LA@ \
@@ -584,6 +590,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o debug.obj `if test -f '../debug.cc'; then $(CYGPATH_W) '../debug.cc'; else $(CYGPATH_W) '$(srcdir)/../debug.cc'; fi`
 
+globals.o: ../globals.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT globals.o -MD -MP -MF "$(DEPDIR)/globals.Tpo" -c -o globals.o `test -f '../globals.cc' || echo '$(srcdir)/'`../globals.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/globals.Tpo" "$(DEPDIR)/globals.Po"; else rm -f "$(DEPDIR)/globals.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../globals.cc' object='globals.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o globals.o `test -f '../globals.cc' || echo '$(srcdir)/'`../globals.cc
+
+globals.obj: ../globals.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT globals.obj -MD -MP -MF "$(DEPDIR)/globals.Tpo" -c -o globals.obj `if test -f '../globals.cc'; then $(CYGPATH_W) '../globals.cc'; else $(CYGPATH_W) '$(srcdir)/../globals.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/globals.Tpo" "$(DEPDIR)/globals.Po"; else rm -f "$(DEPDIR)/globals.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../globals.cc' object='globals.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o globals.obj `if test -f '../globals.cc'; then $(CYGPATH_W) '../globals.cc'; else $(CYGPATH_W) '$(srcdir)/../globals.cc'; fi`
+
 time.o: ../time.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT time.o -MD -MP -MF "$(DEPDIR)/time.Tpo" -c -o time.o `test -f '../time.cc' || echo '$(srcdir)/'`../time.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/time.Tpo" "$(DEPDIR)/time.Po"; else rm -f "$(DEPDIR)/time.Tpo"; exit 1; fi
@@ -626,20 +646,6 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SquidNew.obj `if test -f '../SquidNew.cc'; then $(CYGPATH_W) '../SquidNew.cc'; else $(CYGPATH_W) '$(srcdir)/../SquidNew.cc'; fi`
 
-globals.o: ../globals.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT globals.o -MD -MP -MF "$(DEPDIR)/globals.Tpo" -c -o globals.o `test -f '../globals.cc' || echo '$(srcdir)/'`../globals.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/globals.Tpo" "$(DEPDIR)/globals.Po"; else rm -f "$(DEPDIR)/globals.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../globals.cc' object='globals.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o globals.o `test -f '../globals.cc' || echo '$(srcdir)/'`../globals.cc
-
-globals.obj: ../globals.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT globals.obj -MD -MP -MF "$(DEPDIR)/globals.Tpo" -c -o globals.obj `if test -f '../globals.cc'; then $(CYGPATH_W) '../globals.cc'; else $(CYGPATH_W) '$(srcdir)/../globals.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/globals.Tpo" "$(DEPDIR)/globals.Po"; else rm -f "$(DEPDIR)/globals.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../globals.cc' object='globals.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o globals.obj `if test -f '../globals.cc'; then $(CYGPATH_W) '../globals.cc'; else $(CYGPATH_W) '$(srcdir)/../globals.cc'; fi`
-
 testMain.o: ../tests/testMain.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testMain.o -MD -MP -MF "$(DEPDIR)/testMain.Tpo" -c -o testMain.o `test -f '../tests/testMain.cc' || echo '$(srcdir)/'`../tests/testMain.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testMain.Tpo" "$(DEPDIR)/testMain.Po"; else rm -f "$(DEPDIR)/testMain.Tpo"; exit 1; fi
@@ -852,6 +858,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/src/icmp/net_db.cc squid-3.1.0.4/src/icmp/net_db.cc
--- squid-3.1.0.3/src/icmp/net_db.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/net_db.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: net_db.cc,v 1.202 2008/01/07 17:12:28 hno Exp $
- *
  * DEBUG: section 38    Network Measurement Database
  * AUTHOR: Duane Wessels
  *
@@ -54,7 +52,7 @@
 #include "forward.h"
 #include "SquidTime.h"
 #include "wordlist.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #if USE_ICMP
 #include "icmp/IcmpSquid.h"
@@ -83,10 +81,10 @@
 static hash_table *addr_table = NULL;
 static hash_table *host_table = NULL;
 
-IPAddress networkFromInaddr(const IPAddress &a);
+IpAddress networkFromInaddr(const IpAddress &a);
 static void netdbRelease(netdbEntry * n);
 
-static void netdbHashInsert(netdbEntry * n, IPAddress &addr);
+static void netdbHashInsert(netdbEntry * n, IpAddress &addr);
 static void netdbHashDelete(const char *key);
 static void netdbHostInsert(netdbEntry * n, const char *hostname);
 static void netdbHostDelete(const net_db_name * x);
@@ -111,7 +109,7 @@
 static wordlist *peer_names = NULL;
 
 static void
-netdbHashInsert(netdbEntry * n, IPAddress &addr)
+netdbHashInsert(netdbEntry * n, IpAddress &addr)
 {
     networkFromInaddr(addr).NtoA(n->network, MAX_IPSTRLEN);
     n->hash.key = n->network;
@@ -247,7 +245,7 @@
 }
 
 static netdbEntry *
-netdbLookupAddr(const IPAddress &addr)
+netdbLookupAddr(const IpAddress &addr)
 {
     netdbEntry *n;
     char *key = new char[MAX_IPSTRLEN];
@@ -257,7 +255,7 @@
 }
 
 static netdbEntry *
-netdbAdd(IPAddress &addr)
+netdbAdd(IpAddress &addr)
 {
     netdbEntry *n;
 
@@ -275,7 +273,7 @@
 static void
 netdbSendPing(const ipcache_addrs * ia, void *data)
 {
-    IPAddress addr;
+    IpAddress addr;
     char *hostname = NULL;
     static_cast<generic_cbdata *>(data)->unwrap(&hostname);
     netdbEntry *n;
@@ -340,10 +338,10 @@
     xfree(hostname);
 }
 
-IPAddress
-networkFromInaddr(const IPAddress &in)
+IpAddress
+networkFromInaddr(const IpAddress &in)
 {
-    IPAddress out;
+    IpAddress out;
 
     out = in;
 #if USE_IPV6
@@ -536,7 +534,7 @@
     netdbEntry *n;
     netdbEntry N;
 
-    IPAddress addr;
+    IpAddress addr;
     int count = 0;
 
     struct timeval start = current_time;
@@ -677,7 +675,7 @@
 static void
 netdbExchangeHandleReply(void *data, StoreIOBuffer receivedData)
 {
-    IPAddress addr;
+    IpAddress addr;
 
     netdbExchangeState *ex = (netdbExchangeState *)data;
     int rec_sz = 0;
@@ -937,7 +935,7 @@
 }
 
 void
-netdbHandlePingReply(const IPAddress &from, int hops, int rtt)
+netdbHandlePingReply(const IpAddress &from, int hops, int rtt)
 {
 #if USE_ICMP
     netdbEntry *n;
@@ -984,7 +982,7 @@
 
 #if 0 // AYJ: Looks to be unused code.
 int
-netdbHops(IPAddress &addr)
+netdbHops(IpAddress &addr)
 {
 #if USE_ICMP
     netdbEntry *n = netdbLookupAddr(addr);
@@ -1151,7 +1149,7 @@
 }
 
 void
-netdbExchangeUpdatePeer(IPAddress &addr, peer * e, double rtt, double hops)
+netdbExchangeUpdatePeer(IpAddress &addr, peer * e, double rtt, double hops)
 {
 #if USE_ICMP
     netdbEntry *n;
@@ -1193,7 +1191,7 @@
 }
 
 void
-netdbDeleteAddrNetwork(IPAddress &addr)
+netdbDeleteAddrNetwork(IpAddress &addr)
 {
 #if USE_ICMP
     netdbEntry *n = netdbLookupAddr(addr);
@@ -1214,7 +1212,7 @@
     HttpReply *reply = new HttpReply;
 #if USE_ICMP
 
-    IPAddress addr;
+    IpAddress addr;
 
     netdbEntry *n;
     int i;
@@ -1341,6 +1339,8 @@
     if (p->login)
         xstrncpy(ex->r->login, p->login, MAX_LOGIN_SZ);
 
+    urlCanonical(ex->r);
+
     FwdState::fwdStart(-1, ex->e, ex->r);
 
 #endif
diff -u -r -N squid-3.1.0.3/src/icmp/net_db.h squid-3.1.0.4/src/icmp/net_db.h
--- squid-3.1.0.3/src/icmp/net_db.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/net_db.h	2009-01-23 18:37:37.000000000 +1300
@@ -3,7 +3,7 @@
 
 #include "config.h"
 
-class IPAddress;
+class IpAddress;
 class StoreEntry;
 class HttpRequest;
 
@@ -13,12 +13,12 @@
 
 SQUIDCEXTERN void netdbInit(void);
 
-SQUIDCEXTERN void netdbHandlePingReply(const IPAddress &from, int hops, int rtt);
+SQUIDCEXTERN void netdbHandlePingReply(const IpAddress &from, int hops, int rtt);
 SQUIDCEXTERN void netdbPingSite(const char *hostname);
 SQUIDCEXTERN void netdbDump(StoreEntry *);
 
 #if 0 // AYJ: Looks to be unused now.
-SQUIDCEXTERN int netdbHops(IPAddress &);
+SQUIDCEXTERN int netdbHops(IpAddress &);
 #endif
 
 SQUIDCEXTERN void netdbFreeMemory(void);
@@ -26,11 +26,11 @@
 SQUIDCEXTERN int netdbHostRtt(const char *host);
 SQUIDCEXTERN void netdbUpdatePeer(HttpRequest *, peer * e, int rtt, int hops);
 
-SQUIDCEXTERN void netdbDeleteAddrNetwork(IPAddress &addr);
+SQUIDCEXTERN void netdbDeleteAddrNetwork(IpAddress &addr);
 SQUIDCEXTERN void netdbBinaryExchange(StoreEntry *);
 SQUIDCEXTERN void netdbExchangeStart(void *);
 
-SQUIDCEXTERN void netdbExchangeUpdatePeer(IPAddress &, peer *, double, double);
+SQUIDCEXTERN void netdbExchangeUpdatePeer(IpAddress &, peer *, double, double);
 SQUIDCEXTERN peer *netdbClosestParent(HttpRequest *);
 SQUIDCEXTERN void netdbHostData(const char *host, int *samp, int *rtt, int *hops);
 
diff -u -r -N squid-3.1.0.3/src/icmp/pinger.cc squid-3.1.0.4/src/icmp/pinger.cc
--- squid-3.1.0.3/src/icmp/pinger.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/pinger.cc	2009-01-23 18:37:37.000000000 +1300
@@ -192,6 +192,8 @@
     setgid(getgid());
     setuid(getuid());
 
+    last_check_time = squid_curtime;
+
     for (;;) {
         tv.tv_sec = PINGER_TIMEOUT;
         tv.tv_usec = 0;
diff -u -r -N squid-3.1.0.3/src/icmp/testIcmp.h squid-3.1.0.4/src/icmp/testIcmp.h
--- squid-3.1.0.3/src/icmp/testIcmp.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/icmp/testIcmp.h	2009-01-23 18:37:37.000000000 +1300
@@ -16,7 +16,7 @@
     virtual void Close() {};
 
     /// Construct ECHO request
-    virtual void SendEcho(IPAddress &to, int opcode, const char *payload, int len) {};
+    virtual void SendEcho(IpAddress &to, int opcode, const char *payload, int len) {};
 
     /// Handle ICMP responses.
     virtual void Recv(void) {};
diff -u -r -N squid-3.1.0.3/src/ICP.h squid-3.1.0.4/src/ICP.h
--- squid-3.1.0.3/src/ICP.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ICP.h	2009-01-23 18:37:36.000000000 +1300
@@ -68,7 +68,7 @@
     _icp_common_t();
     _icp_common_t(char *buf, unsigned int len);
 
-    void handleReply(char *buf, IPAddress &from);
+    void handleReply(char *buf, IpAddress &from);
     static _icp_common_t *createMessage(icp_opcode opcode, int flags, const char *url, int reqnum, int pad);
     icp_opcode getOpCode() const;
 #endif
@@ -99,7 +99,7 @@
     HttpRequest *request;
     int fd;
 
-    IPAddress from;
+    IpAddress from;
     char *url;
 };
 
@@ -107,7 +107,7 @@
 
 /// \ingroup ServerProtocolICPAPI
 struct icpUdpData {
-    IPAddress address;
+    IpAddress address;
     void *msg;
     size_t len;
     icpUdpData *next;
@@ -122,25 +122,25 @@
 };
 
 /// \ingroup ServerProtocolICPAPI
-HttpRequest* icpGetRequest(char *url, int reqnum, int fd, IPAddress &from);
+HttpRequest* icpGetRequest(char *url, int reqnum, int fd, IpAddress &from);
 
 /// \ingroup ServerProtocolICPAPI
-int icpAccessAllowed(IPAddress &from, HttpRequest * icp_request);
+int icpAccessAllowed(IpAddress &from, HttpRequest * icp_request);
 
 /// \ingroup ServerProtocolICPAPI
-SQUIDCEXTERN void icpCreateAndSend(icp_opcode, int flags, char const *url, int reqnum, int pad, int fd, const IPAddress &from);
+SQUIDCEXTERN void icpCreateAndSend(icp_opcode, int flags, char const *url, int reqnum, int pad, int fd, const IpAddress &from);
 
 /// \ingroup ServerProtocolICPAPI
 extern icp_opcode icpGetCommonOpcode();
 
 /// \ingroup ServerProtocolICPAPI
-SQUIDCEXTERN int icpUdpSend(int, const IPAddress &, icp_common_t *, log_type, int);
+SQUIDCEXTERN int icpUdpSend(int, const IpAddress &, icp_common_t *, log_type, int);
 
 /// \ingroup ServerProtocolICPAPI
 SQUIDCEXTERN log_type icpLogFromICPCode(icp_opcode opcode);
 
 /// \ingroup ServerProtocolICPAPI
-void icpDenyAccess(IPAddress &from, char *url, int reqnum, int fd);
+void icpDenyAccess(IpAddress &from, char *url, int reqnum, int fd);
 
 /// \ingroup ServerProtocolICPAPI
 SQUIDCEXTERN PF icpHandleUdp;
@@ -149,7 +149,7 @@
 SQUIDCEXTERN PF icpUdpSendQueue;
 
 /// \ingroup ServerProtocolICPAPI
-SQUIDCEXTERN void icpHandleIcpV3(int, IPAddress &, char *, int);
+SQUIDCEXTERN void icpHandleIcpV3(int, IpAddress &, char *, int);
 
 /// \ingroup ServerProtocolICPAPI
 SQUIDCEXTERN int icpCheckUdpHit(StoreEntry *, HttpRequest * request);
diff -u -r -N squid-3.1.0.3/src/icp_v2.cc squid-3.1.0.4/src/icp_v2.cc
--- squid-3.1.0.3/src/icp_v2.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/icp_v2.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: icp_v2.cc,v 1.103 2008/02/26 21:49:35 amosjeffries Exp $
- *
  * DEBUG: section 12    Internet Cache Protocol (ICP)
  * AUTHOR: Duane Wessels
  *
@@ -48,14 +46,14 @@
 #include "wordlist.h"
 #include "SquidTime.h"
 #include "SwapDir.h"
-#include "IPAddress.h"
 #include "icmp/net_db.h"
+#include "ip/IpAddress.h"
 
 /// \ingroup ServerProtocolICPInternal2
-static void icpLogIcp(const IPAddress &, log_type, int, const char *, int);
+static void icpLogIcp(const IpAddress &, log_type, int, const char *, int);
 
 /// \ingroup ServerProtocolICPInternal2
-static void icpHandleIcpV2(int, IPAddress &, char *, int);
+static void icpHandleIcpV2(int, IpAddress &, char *, int);
 
 /// \ingroup ServerProtocolICPInternal2
 static void icpCount(void *, int, size_t, int);
@@ -70,7 +68,7 @@
 static icpUdpData *IcpQueueTail = NULL;
 
 /// \ingroup ServerProtocolICPInternal2
-IPAddress theOutICPAddr;
+IpAddress theOutICPAddr;
 
 /* icp_common_t */
 _icp_common_t::_icp_common_t() : opcode(ICP_INVALID), version(0), length(0), reqnum(0), flags(0), pad(0), shostid(0)
@@ -175,7 +173,7 @@
 
 /// \ingroup ServerProtocolICPInternal2
 static void
-icpLogIcp(const IPAddress &caddr, log_type logcode, int len, const char *url, int delay)
+icpLogIcp(const IpAddress &caddr, log_type logcode, int len, const char *url, int delay)
 {
     AccessLogEntry al;
 
@@ -272,7 +270,7 @@
 
 int
 icpUdpSend(int fd,
-           const IPAddress &to,
+           const IpAddress &to,
            icp_common_t * msg,
            log_type logcode,
            int delay)
@@ -382,14 +380,14 @@
 }
 
 void
-icpCreateAndSend(icp_opcode opcode, int flags, char const *url, int reqnum, int pad, int fd, const IPAddress &from)
+icpCreateAndSend(icp_opcode opcode, int flags, char const *url, int reqnum, int pad, int fd, const IpAddress &from)
 {
     icp_common_t *reply = _icp_common_t::createMessage(opcode, flags, url, reqnum, pad);
     icpUdpSend(fd, from, reply, icpLogFromICPCode(opcode), 0);
 }
 
 void
-icpDenyAccess(IPAddress &from, char *url, int reqnum, int fd)
+icpDenyAccess(IpAddress &from, char *url, int reqnum, int fd)
 {
     debugs(12, 2, "icpDenyAccess: Access Denied for " << from << " by " << AclMatchedName << ".");
 
@@ -405,7 +403,7 @@
 }
 
 int
-icpAccessAllowed(IPAddress &from, HttpRequest * icp_request)
+icpAccessAllowed(IpAddress &from, HttpRequest * icp_request)
 {
     ACLChecklist checklist;
     checklist.src_addr = from;
@@ -427,7 +425,7 @@
 }
 
 HttpRequest *
-icpGetRequest(char *url, int reqnum, int fd, IPAddress &from)
+icpGetRequest(char *url, int reqnum, int fd, IpAddress &from)
 {
     if (strpbrk(url, w_space)) {
         url = rfc1738_escape(url);
@@ -445,7 +443,7 @@
 }
 
 static void
-doV2Query(int fd, IPAddress &from, char *buf, icp_common_t header)
+doV2Query(int fd, IpAddress &from, char *buf, icp_common_t header)
 {
     int rtt = 0;
     int src_rtt = 0;
@@ -496,7 +494,7 @@
 }
 
 void
-_icp_common_t::handleReply(char *buf, IPAddress &from)
+_icp_common_t::handleReply(char *buf, IpAddress &from)
 {
     if (neighbors_do_private_keys && reqnum == 0) {
         debugs(12, 0, "icpHandleIcpV2: Neighbor " << from << " returned reqnum = 0");
@@ -513,7 +511,7 @@
 }
 
 static void
-icpHandleIcpV2(int fd, IPAddress &from, char *buf, int len)
+icpHandleIcpV2(int fd, IpAddress &from, char *buf, int len)
 {
     if (len <= 0) {
         debugs(12, 3, "icpHandleIcpV2: ICP message is too small");
@@ -566,7 +564,7 @@
 icpPktDump(icp_common_t * pkt)
 {
 
-    IPAddress a;
+    IpAddress a;
 
     debugs(12, 9, "opcode:     " << std::setw(3) << pkt->opcode  << " " << icp_opcode_str[pkt->opcode]);
     debugs(12, 9, "version: "<< std::left << std::setw(8) << pkt->version);
@@ -585,7 +583,7 @@
 {
     int *N = &incoming_sockets_accepted;
 
-    IPAddress from;
+    IpAddress from;
     LOCAL_ARRAY(char, buf, SQUID_UDP_SO_RCVBUF);
     int len;
     int icp_version;
@@ -652,7 +650,7 @@
 {
     u_int16_t port;
 
-    IPAddress addr;
+    IpAddress addr;
 
     struct addrinfo *xai = NULL;
     int x;
diff -u -r -N squid-3.1.0.3/src/icp_v3.cc squid-3.1.0.4/src/icp_v3.cc
--- squid-3.1.0.3/src/icp_v3.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/icp_v3.cc	2009-01-23 18:37:37.000000000 +1300
@@ -56,7 +56,7 @@
 
 /// \ingroup ServerProtocolICPInternal3
 static void
-doV3Query(int fd, IPAddress &from, char *buf, icp_common_t header)
+doV3Query(int fd, IpAddress &from, char *buf, icp_common_t header)
 {
     /* We have a valid packet */
     char *url = buf + sizeof(icp_common_t) + sizeof(u_int32_t);
@@ -109,7 +109,7 @@
 /// \ingroup ServerProtocolICPInternal3
 /* Currently Harvest cached-2.x uses ICP_VERSION_3 */
 void
-icpHandleIcpV3(int fd, IPAddress&from, char *buf, int len)
+icpHandleIcpV3(int fd, IpAddress&from, char *buf, int len)
 {
     if (len <= 0) {
         debugs(12, 3, "icpHandleIcpV3: ICP message is too small");
diff -u -r -N squid-3.1.0.3/src/ident.cc squid-3.1.0.4/src/ident.cc
--- squid-3.1.0.3/src/ident.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/ident.cc	2009-01-23 18:37:37.000000000 +1300
@@ -51,9 +51,9 @@
     hash_link hash;		/* must be first */
     int fd;			/* IDENT fd */
 
-    IPAddress me;
+    IpAddress me;
 
-    IPAddress my_peer;
+    IpAddress my_peer;
     IdentClient *clients;
     char buf[4096];
 } IdentStateData;
@@ -202,7 +202,7 @@
  * start a TCP connection to the peer host on port 113
  */
 void
-identStart(IPAddress &me, IPAddress &my_peer, IDCB * callback, void *data)
+identStart(IpAddress &me, IpAddress &my_peer, IDCB * callback, void *data)
 {
     IdentStateData *state;
     int fd;
diff -u -r -N squid-3.1.0.3/src/ident.h squid-3.1.0.4/src/ident.h
--- squid-3.1.0.3/src/ident.h	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/ident.h	2009-01-23 18:37:37.000000000 +1300
@@ -16,10 +16,10 @@
 
 #include "cbdata.h"
 
-class IPAddress;
+class IpAddress;
 
 /// \ingroup IdentAPI
-SQUIDCEXTERN void identStart(IPAddress &me, IPAddress &my_peer, IDCB * callback, void *cbdata);
+SQUIDCEXTERN void identStart(IpAddress &me, IpAddress &my_peer, IDCB * callback, void *cbdata);
 
 /// \ingroup IdentAPI
 SQUIDCEXTERN void identInit(void);
diff -u -r -N squid-3.1.0.3/src/internal.cc squid-3.1.0.4/src/internal.cc
--- squid-3.1.0.3/src/internal.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/internal.cc	2009-01-23 18:37:37.000000000 +1300
@@ -110,7 +110,7 @@
 
 #if USE_IPV6
     /* check for an IP address and format appropriately if found */
-    IPAddress test = lc_host;
+    IpAddress test = lc_host;
     if ( !test.IsAnyAddr() ) {
         test.ToHostname(lc_host,SQUIDHOSTNAMELEN);
     }
diff -u -r -N squid-3.1.0.3/src/ip/IpAddress.cc squid-3.1.0.4/src/ip/IpAddress.cc
--- squid-3.1.0.3/src/ip/IpAddress.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/IpAddress.cc	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,1242 @@
+/*
+ * DEBUG: section 14   IP Storage and Handling
+ * AUTHOR: Amos Jeffries
+ *
+ * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from the
+ *  Internet community.  Development is led by Duane Wessels of the
+ *  National Laboratory for Applied Network Research and funded by the
+ *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
+ *
+ *  This IpAddress code is copyright (C) 2007 by Treehouse Networks Ltd
+ *  of New Zealand. It is published and Lisenced as an extension of
+ *  squid under the same conditions as the main squid application.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+
+#include "config.h"
+#include "ip/IpAddress.h"
+#include "util.h"
+
+
+#if HAVE_ASSERT_H
+#include <assert.h>
+#endif
+#if HAVE_STDLIB_H
+#include <stdlib.h>
+#endif
+#if HAVE_STRING_H
+#include <string.h>
+#endif
+#if HAVE_ARPA_INET_H
+#include <arpa/inet.h>  /* inet_ntoa() */
+#endif
+
+#ifdef INET6
+#error "INET6 defined but has been deprecated! Try running bootstrap and configure again."
+#endif
+
+/* We want to use the debug routines when running as module of squid. */
+/* otherwise fallback to printf if those are not available. */
+#ifndef SQUID_DEBUG
+#    define debugs(a,b,c)        //  drop.
+#else
+#warning "IpAddress built with Debugs!!"
+#    include "../src/Debug.h"
+#endif
+
+#if !USE_IPV6
+//  So there are some places where I will drop to using Macros too.
+//  At least I can restrict them to this file so they don't corrupt the app with C code.
+#  define sin6_addr	sin_addr
+#  define sin6_port	sin_port
+#  define sin6_family	sin_family
+#undef s6_addr
+#  define s6_addr	s_addr
+#endif
+
+static const unsigned int STRLEN_IP4A = 16;              // aaa.bbb.ccc.ddd\0
+static const unsigned int STRLEN_IP4R = 28;              // ddd.ccc.bbb.aaa.in-addr.arpa.\0
+static const unsigned int STRLEN_IP4S = 21;              // ddd.ccc.bbb.aaa:ppppp\0
+static const unsigned int MAX_IP4_STRLEN = STRLEN_IP4R;
+static const unsigned int STRLEN_IP6A = 42;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]/0
+static const unsigned int STRLEN_IP6R = 75;           // f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f f.f.f.f ipv6.arpa./0
+static const unsigned int STRLEN_IP6S = 48;           // [ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff]:00000/0
+static const unsigned int MAX_IP6_STRLEN = STRLEN_IP6R;
+
+
+/* Debugging only. Dump the address content when a fatal assert is encountered. */
+#if USE_IPV6
+#define IASSERT(a,b)  \
+	if(!(b)){	printf("assert \"%s\" at line %d\n", a, __LINE__); \
+		printf("IpAddress invalid? with IsIPv4()=%c, IsIPv6()=%c\n",(IsIPv4()?'T':'F'),(IsIPv6()?'T':'F')); \
+		printf("ADDRESS:"); \
+		for(unsigned int i = 0; i < sizeof(m_SocketAddr.sin6_addr); i++) { \
+			printf(" %x", m_SocketAddr.sin6_addr.s6_addr[i]); \
+		} printf("\n"); assert(b); \
+	}
+#else
+#define IASSERT(a,b)  \
+	if(!(b)){	printf("assert \"%s\" at line %d\n", a, __LINE__); \
+		printf("IpAddress invalid? with IsIPv4()=%c, IsIPv6()=%c\n",(IsIPv4()?'T':'F'),(IsIPv6()?'T':'F')); \
+		printf("ADDRESS: %x\n", (unsigned int)m_SocketAddr.sin_addr.s_addr); \
+		assert(b); \
+	}
+#endif
+
+IpAddress::IpAddress()
+{
+    SetEmpty();
+}
+
+IpAddress::~IpAddress()
+{
+    memset(this,0,sizeof(IpAddress));
+}
+
+int
+IpAddress::GetCIDR() const
+{
+    uint8_t shift,byte;
+    uint8_t bit,caught;
+    int len = 0;
+#if USE_IPV6
+    const uint8_t *ptr= m_SocketAddr.sin6_addr.s6_addr;
+#else
+    const uint8_t *ptr= (uint8_t *)&m_SocketAddr.sin_addr.s_addr;
+#endif
+
+    /* Let's scan all the bits from Most Significant to Least */
+    /* Until we find an "0" bit. Then, we return */
+    shift=0;
+
+#if USE_IPV6
+    /* return IPv4 CIDR for any Mapped address */
+    /* Thus only check the mapped bit */
+
+    if ( !IsIPv6() ) {
+        shift = 12;
+    }
+
+#endif
+
+    for (;shift<sizeof(m_SocketAddr.sin6_addr) ;shift++) {
+        byte= *(ptr+shift);
+
+        if (byte == 0xFF) {
+            len += 8;
+            continue ;  /* A short-cut */
+        }
+
+        for (caught = 0 , bit= 7 ; !caught && (bit <= 7); bit--) {
+            caught = ((byte & 0x80) == 0x00);  /* Found a '0' at 'bit' ? */
+
+            if (!caught)
+                len++;
+
+            byte <<= 1;
+        }
+
+        if (caught)
+            break; /* We have found the most significant "0" bit.  */
+    }
+
+    return len;
+}
+
+const int IpAddress::ApplyMask(IpAddress const &mask_addr)
+{
+    uint32_t *p1 = (uint32_t*)(&m_SocketAddr.sin6_addr);
+    uint32_t const *p2 = (uint32_t const *)(&mask_addr.m_SocketAddr.sin6_addr);
+    unsigned int blen = sizeof(m_SocketAddr.sin6_addr)/sizeof(uint32_t);
+    unsigned int changes = 0;
+
+    for (unsigned int i = 0; i < blen; i++) {
+        if ((p1[i] & p2[i]) != p1[i])
+            changes++;
+
+        p1[i] &= p2[i];
+    }
+
+    /* we have found a situation where mask forms or destroys a IPv4 map. */
+    check4Mapped();
+
+    return changes;
+}
+
+bool IpAddress::ApplyMask(const unsigned int cidr, int mtype)
+{
+    uint8_t clearbits = 0;
+    uint8_t* p = NULL;
+
+#if !USE_IPV6
+    IASSERT("mtype != AF_INET6", mtype != AF_INET6); /* using IPv6 in IPv4 is invalid. */
+
+    if (mtype == AF_UNSPEC)
+        mtype = AF_INET;
+
+#else
+    if (mtype == AF_UNSPEC)
+        mtype = AF_INET6;
+
+#endif
+
+    // validation and short-cuts.
+    if (cidr > 128)
+        return false;
+
+    if (cidr > 32 && mtype == AF_INET)
+        return false;
+
+    clearbits = (uint8_t)( (mtype==AF_INET6?128:32) -cidr);
+
+    // short-cut
+    if (clearbits == 0)
+        return true;
+
+#if USE_IPV6
+
+    p = (uint8_t*)(&m_SocketAddr.sin6_addr) + 15;
+
+#else
+
+    p = (uint8_t*)(&m_SocketAddr.sin_addr) + 3;
+
+#endif
+
+    for (; clearbits>0 && p >= (uint8_t*)&m_SocketAddr.sin6_addr ; p-- ) {
+        if (clearbits < 8) {
+            *p &= ((0xFF << clearbits) & 0xFF);
+            clearbits = 0;
+        } else {
+            *p &= 0x00;
+            clearbits -= 8;
+        }
+    }
+
+    return true;
+}
+
+bool IpAddress::IsSockAddr() const
+{
+    return (m_SocketAddr.sin6_port != 0);
+}
+
+bool IpAddress::IsIPv4() const
+{
+#if USE_IPV6
+
+    return IsAnyAddr() || IsNoAddr() ||
+#if IPV6_SPECIAL_LOCALHOST
+           IsLocalhost() ||
+#endif
+           ( m_SocketAddr.sin6_addr.s6_addr32[0] == htonl(0x00000000) &&
+             m_SocketAddr.sin6_addr.s6_addr32[1] == htonl(0x00000000) &&
+             m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0x0000FFFF)
+           );
+
+#else
+    return true; // enforce IPv4 in IPv4-only mode.
+#endif
+}
+
+bool IpAddress::IsIPv6() const
+{
+#if USE_IPV6
+
+    return IsAnyAddr() || IsNoAddr() ||
+#if IPV6_SPECIAL_LOCALHOST
+           IsLocalhost() ||
+#endif
+           !( m_SocketAddr.sin6_addr.s6_addr32[0] == htonl(0x00000000) &&
+              m_SocketAddr.sin6_addr.s6_addr32[1] == htonl(0x00000000) &&
+              m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0x0000FFFF)
+            );
+#else
+    return false; // enforce IPv4 in IPv4-only mode.
+#endif
+}
+
+bool IpAddress::IsAnyAddr() const
+{
+#if USE_IPV6
+    return     m_SocketAddr.sin6_addr.s6_addr32[0] == 0
+               && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
+               && m_SocketAddr.sin6_addr.s6_addr32[2] == 0
+               && m_SocketAddr.sin6_addr.s6_addr32[3] == 0
+               ;
+#else
+
+    return (INADDR_ANY == m_SocketAddr.sin_addr.s_addr);
+#endif
+}
+
+/// NOTE: Does NOT clear the Port stored. Ony the Address and Type.
+void IpAddress::SetAnyAddr()
+{
+#if USE_IPV6
+    memset(&m_SocketAddr.sin6_addr, 0, sizeof(struct in6_addr) );
+#else
+    memset(&m_SocketAddr.sin_addr, 0, sizeof(struct in_addr) );
+#endif
+}
+
+/// NOTE: completely empties the IpAddress structure. Address, Port, Type, everything.
+void IpAddress::SetEmpty()
+{
+    memset(&m_SocketAddr, 0, sizeof(m_SocketAddr) );
+}
+
+bool IpAddress::SetIPv4()
+{
+#if USE_IPV6
+
+#if !IPV6_SPECIAL_LOCALHOST
+    if ( IsLocalhost() ) {
+        m_SocketAddr.sin6_addr.s6_addr32[2] = htonl(0xffff);
+        m_SocketAddr.sin6_addr.s6_addr32[3] = htonl(0x7F000001);
+        return true;
+    }
+#endif
+
+    if ( IsAnyAddr() ) {
+        m_SocketAddr.sin6_addr.s6_addr32[2] = htonl(0xffff);
+        return true;
+    }
+
+    if ( IsIPv4())
+        return true;
+
+    // anything non-IPv4 and non-convertable is BAD.
+    return false;
+#else
+    return true; // Always IPv4 in IPv4-only builds.
+#endif
+}
+
+bool IpAddress::IsLocalhost() const
+{
+#if USE_IPV6
+    return    (   m_SocketAddr.sin6_addr.s6_addr32[0] == 0
+                  && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
+                  && m_SocketAddr.sin6_addr.s6_addr32[2] == 0
+                  && m_SocketAddr.sin6_addr.s6_addr32[3] == htonl(0x1)
+              )
+#if !IPV6_SPECIAL_LOCALHOST
+              ||
+              (   m_SocketAddr.sin6_addr.s6_addr32[0] == 0
+                  && m_SocketAddr.sin6_addr.s6_addr32[1] == 0
+                  && m_SocketAddr.sin6_addr.s6_addr32[2] == htonl(0xffff)
+                  && m_SocketAddr.sin6_addr.s6_addr32[3] == htonl(0x7F000001)
+              )
+#endif
+              ;
+#else
+
+    return (htonl(0x7F000001) == m_SocketAddr.sin_addr.s_addr);
+#endif
+}
+
+void IpAddress::SetLocalhost()
+{
+#if USE_IPV6
+    SetAnyAddr();
+    m_SocketAddr.sin6_addr.s6_addr[15] = 0x1;
+    m_SocketAddr.sin6_family = AF_INET6;
+
+#else
+    m_SocketAddr.sin_addr.s_addr = htonl(0x7F000001);
+    m_SocketAddr.sin_family = AF_INET;
+#endif
+}
+
+bool IpAddress::IsNoAddr() const
+{
+    // IFF the address == 0xff..ff (all ones)
+#if USE_IPV6
+    return     m_SocketAddr.sin6_addr.s6_addr32[0] == 0xFFFFFFFF
+               && m_SocketAddr.sin6_addr.s6_addr32[1] == 0xFFFFFFFF
+               && m_SocketAddr.sin6_addr.s6_addr32[2] == 0xFFFFFFFF
+               && m_SocketAddr.sin6_addr.s6_addr32[3] == 0xFFFFFFFF
+               ;
+#else
+
+    return 0xFFFFFFFF == m_SocketAddr.sin_addr.s_addr;
+#endif
+}
+
+void IpAddress::SetNoAddr()
+{
+#if USE_IPV6
+    memset(&m_SocketAddr.sin6_addr, 0xFFFFFFFF, sizeof(struct in6_addr) );
+    m_SocketAddr.sin6_family = AF_INET6;
+#else
+    memset(&m_SocketAddr.sin_addr, 0xFFFFFFFF, sizeof(struct in_addr) );
+    m_SocketAddr.sin_family = AF_INET;
+#endif
+}
+
+#if USE_IPV6
+
+bool IpAddress::GetReverseString6(char buf[MAX_IPSTRLEN], const struct in6_addr &dat) const
+{
+    char *p = buf;
+    unsigned char const *r = dat.s6_addr;
+
+    /* RFC1886 says: */
+    /*     4321:0:1:2:3:4:567:89ab */
+    /*     must be sent */
+    /*     b.a.9.8.7.6.5.0.4.0.0.0.3.0.0.0.2.0.0.0.1.0.0.0.0.0.0.0.1.2.3.4.ip6.int. */
+
+    /* Work from the binary field. Anything else may have representation changes. */
+    /* The sin6_port and sin6_addr members shall be in network byte order. */
+
+    /* Compile Err: 'Too many arguments for format. */
+
+    for (int i = 15; i >= 0; i--, p+=4) {
+        snprintf(p, 5, "%x.%x.", ((r[i])&0xf), (((r[i])>>4)&0xf) );
+    }
+
+    /* RFC3152 says: */
+    /*     ip6.int is now deprecated TLD, use ip6.arpa instead. */
+    snprintf(p,10,"ip6.arpa.");
+
+    return true;
+}
+
+#endif
+
+bool IpAddress::GetReverseString4(char buf[MAX_IPSTRLEN], const struct in_addr &dat) const
+{
+    unsigned int i = (unsigned int) ntohl(dat.s_addr);
+    snprintf(buf, 32, "%u.%u.%u.%u.in-addr.arpa.",
+             i & 255,
+             (i >> 8) & 255,
+             (i >> 16) & 255,
+             (i >> 24) & 255);
+    return true;
+}
+
+bool IpAddress::GetReverseString(char buf[MAX_IPSTRLEN], int show_type) const
+{
+
+    if (show_type == AF_UNSPEC) {
+#if USE_IPV6
+        show_type = IsIPv6() ? AF_INET6 : AF_INET ;
+#else
+        show_type = AF_INET;
+#endif
+    }
+
+    if (show_type == AF_INET && IsIPv4()) {
+#if USE_IPV6
+
+        return GetReverseString4(buf, *(struct in_addr*)&m_SocketAddr.sin6_addr.s6_addr32[3] );
+    } else if ( show_type == AF_INET6 && IsIPv6() ) {
+        return GetReverseString6(buf, m_SocketAddr.sin6_addr);
+#else
+        return GetReverseString4(buf, m_SocketAddr.sin_addr);
+#endif
+    }
+
+    debugs(14,0, "Unable to convert '" << NtoA(buf,MAX_IPSTRLEN) << "' to the rDNS type requested.");
+
+    buf[0] = '\0';
+
+    return false;
+}
+
+IpAddress& IpAddress::operator =(const IpAddress &s)
+{
+    memcpy(this, &s, sizeof(IpAddress));
+    return *this;
+};
+
+IpAddress::IpAddress(const char*s)
+{
+    SetEmpty();
+    operator=(s);
+}
+
+bool IpAddress::operator =(const char* s)
+{
+    return LookupHostIP(s, true);
+}
+
+bool IpAddress::GetHostByName(const char* s)
+{
+    return LookupHostIP(s, false);
+}
+
+bool IpAddress::LookupHostIP(const char *s, bool nodns)
+{
+    int err = 0;
+
+    short port = 0;
+
+    struct addrinfo *res = NULL;
+
+    struct addrinfo want;
+
+    memset(&want, 0, sizeof(struct addrinfo));
+    if (nodns) {
+        want.ai_flags = AI_NUMERICHOST; // prevent actual DNS lookups!
+    }
+#if !USE_IPV6
+    want.ai_family = AF_INET;
+#endif
+
+    if ( (err = xgetaddrinfo(s, NULL, &want, &res)) != 0) {
+        debugs(14,1, HERE << "Given Bad IP '" << s << "': " << xgai_strerror(err) );
+        /* free the memory xgetaddrinfo() dynamically allocated. */
+        if (res) {
+            xfreeaddrinfo(res);
+            res = NULL;
+        }
+        return false;
+    }
+
+    /*
+     *  NP: =(sockaddr_*) may alter the port. we don't want that.
+     *      all we have been given as input was an IPA.
+     */
+    port = GetPort();
+    operator=(*res);
+    SetPort(port);
+
+    /* free the memory xgetaddrinfo() dynamically allocated. */
+    xfreeaddrinfo(res);
+
+    res = NULL;
+
+    return true;
+}
+
+IpAddress::IpAddress(struct sockaddr_in const &s)
+{
+    SetEmpty();
+    operator=(s);
+};
+
+IpAddress& IpAddress::operator =(struct sockaddr_in const &s)
+{
+#if USE_IPV6
+    Map4to6((const in_addr)s.sin_addr, m_SocketAddr.sin6_addr);
+    m_SocketAddr.sin6_port = s.sin_port;
+    m_SocketAddr.sin6_family = AF_INET6;
+#else
+
+    memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in));
+#endif
+
+    /* maintain stored family values properly */
+    check4Mapped();
+
+    return *this;
+};
+
+IpAddress& IpAddress::operator =(const struct sockaddr_storage &s)
+{
+#if USE_IPV6
+    /* some AF_* magic to tell socket types apart and what we need to do */
+    if (s.ss_family == AF_INET6) {
+        memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in));
+    } else { // convert it to our storage mapping.
+        struct sockaddr_in *sin = (struct sockaddr_in*)&s;
+        m_SocketAddr.sin6_port = sin->sin_port;
+        Map4to6( sin->sin_addr, m_SocketAddr.sin6_addr);
+    }
+#else
+    memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in));
+#endif
+    return *this;
+};
+
+void IpAddress::check4Mapped()
+{
+    // obsolete.
+    // TODO use this NOW to set the sin6_family properly on exporting. not on import.
+}
+
+#if USE_IPV6
+IpAddress::IpAddress(struct sockaddr_in6 const &s)
+{
+    SetEmpty();
+    operator=(s);
+};
+
+IpAddress& IpAddress::operator =(struct sockaddr_in6 const &s)
+{
+    memcpy(&m_SocketAddr, &s, sizeof(struct sockaddr_in6));
+
+    /* maintain address family properly */
+    check4Mapped();
+    return *this;
+};
+
+#endif
+
+IpAddress::IpAddress(struct in_addr const &s)
+{
+    SetEmpty();
+    operator=(s);
+};
+
+IpAddress& IpAddress::operator =(struct in_addr const &s)
+{
+#if USE_IPV6
+    Map4to6((const in_addr)s, m_SocketAddr.sin6_addr);
+    m_SocketAddr.sin6_family = AF_INET6;
+
+#else
+
+    memcpy(&m_SocketAddr.sin_addr, &s, sizeof(struct in_addr));
+
+#endif
+
+    /* maintain stored family type properly */
+    check4Mapped();
+
+    return *this;
+};
+
+#if USE_IPV6
+
+IpAddress::IpAddress(struct in6_addr const &s)
+{
+    SetEmpty();
+    operator=(s);
+};
+
+IpAddress& IpAddress::operator =(struct in6_addr const &s)
+{
+
+    memcpy(&m_SocketAddr.sin6_addr, &s, sizeof(struct in6_addr));
+    m_SocketAddr.sin6_family = AF_INET6;
+
+    /* maintain address family type properly */
+    check4Mapped();
+
+    return *this;
+};
+
+#endif
+
+IpAddress::IpAddress(const IpAddress &s)
+{
+    SetEmpty();
+    operator=(s);
+}
+
+IpAddress::IpAddress(IpAddress *s)
+{
+    SetEmpty();
+    operator=(s);
+}
+
+IpAddress& IpAddress::operator =(IpAddress *s)
+{
+    IpAddress *tmp = NULL;
+    if (!s) return *this;
+    tmp = dynamic_cast<IpAddress*>(s);
+    if (!tmp) return *this;
+    return operator=(*tmp);
+}
+
+IpAddress::IpAddress(const struct hostent &s)
+{
+    SetEmpty();
+    operator=(s);
+}
+
+bool IpAddress::operator =(const struct hostent &s)
+{
+
+    struct in_addr* ipv4 = NULL;
+
+    struct in6_addr* ipv6 = NULL;
+
+    //struct hostent {
+    //        char    *h_name;        /* official name of host */
+    //        char    **h_aliases;    /* alias list */
+    //        int     h_addrtype;     /* host address type */
+    //        int     h_length;       /* length of address */
+    //        char    **h_addr_list;  /* list of addresses */
+    //}
+
+    switch (s.h_addrtype) {
+
+    case AF_INET:
+        ipv4 = (in_addr*)(s.h_addr_list[0]);
+        /* this */
+        operator=(*ipv4);
+        break;
+
+    case AF_INET6:
+        ipv6 = (in6_addr*)(s.h_addr_list[0]);
+#if USE_IPV6
+        /* this */
+        operator=(*ipv6);
+#else
+
+        debugs(14,1, HERE << "Discarded IPv6 Address. Protocol disabled.");
+
+        // FIXME see if there is another address in the list that might be usable ??
+        return false;
+#endif
+
+        break;
+
+    default:
+        IASSERT("false",false);
+        return false;
+    }
+
+    return true;
+}
+
+IpAddress::IpAddress(const struct addrinfo &s)
+{
+    SetEmpty();
+    operator=(s);
+}
+
+bool IpAddress::operator =(const struct addrinfo &s)
+{
+
+    struct sockaddr_in* ipv4 = NULL;
+
+    struct sockaddr_in6* ipv6 = NULL;
+
+    //struct addrinfo {
+    //             int ai_flags;           /* input flags */
+    //             int ai_family;          /* protocol family for socket */
+    //             int ai_socktype;        /* socket type */
+    //             int ai_protocol;        /* protocol for socket */
+    //             socklen_t ai_addrlen;   /* length of socket-address */
+    //             struct sockaddr *ai_addr; /* socket-address for socket */
+    //             char *ai_canonname;     /* canonical name for service location */
+    //             struct addrinfo *ai_next; /* pointer to next in list */
+    //}
+
+    switch (s.ai_family) {
+
+    case AF_INET:
+        ipv4 = (sockaddr_in*)(s.ai_addr);
+        /* this */
+        assert(ipv4);
+        operator=(*ipv4);
+        break;
+
+    case AF_INET6:
+        ipv6 = (sockaddr_in6*)(s.ai_addr);
+#if USE_IPV6
+        /* this */
+        assert(ipv6);
+        operator=(*ipv6);
+#else
+
+        debugs(14,1, HERE << "Discarded IPv6 Address. Protocol disabled.");
+
+        // see if there is another address in the list that might be usable ??
+
+        if (s.ai_next)
+            return operator=(*s.ai_next);
+        else
+            return false;
+
+#endif
+        break;
+
+    case AF_UNSPEC:
+    default:
+        // attempt to handle partially initialised addrinfo.
+        // such as those where data only comes from getsockopt()
+        if (s.ai_addr != NULL) {
+#if USE_IPV6
+            if (s.ai_addrlen == sizeof(struct sockaddr_in6)) {
+                operator=(*((struct sockaddr_in6*)s.ai_addr));
+                return true;
+            } else
+#endif
+                if (s.ai_addrlen == sizeof(struct sockaddr_in)) {
+                    operator=(*((struct sockaddr_in*)s.ai_addr));
+                    return true;
+                }
+        }
+        return false;
+    }
+
+    return true;
+}
+
+void IpAddress::GetAddrInfo(struct addrinfo *&dst, int force) const
+{
+    if (dst == NULL) {
+        dst = new addrinfo;
+    }
+
+    memset(dst, 0, sizeof(struct addrinfo));
+
+    // set defaults
+    dst->ai_flags = AI_NUMERICHOST;
+
+    if (dst->ai_socktype == 0)
+        dst->ai_socktype = SOCK_STREAM;
+
+    if (dst->ai_socktype == SOCK_STREAM // implies TCP
+            && dst->ai_protocol == 0)
+        dst->ai_protocol = IPPROTO_TCP;
+
+    if (dst->ai_socktype == SOCK_DGRAM // implies UDP
+            && dst->ai_protocol == 0)
+        dst->ai_protocol = IPPROTO_UDP;
+
+#if USE_IPV6
+    if ( force == AF_INET6 || (force == AF_UNSPEC && IsIPv6()) ) {
+        dst->ai_addr = (struct sockaddr*)new sockaddr_in6;
+
+        memset(dst->ai_addr,0,sizeof(struct sockaddr_in6));
+
+        GetSockAddr(*((struct sockaddr_in6*)dst->ai_addr));
+
+        dst->ai_addrlen = sizeof(struct sockaddr_in6);
+
+        dst->ai_family = ((struct sockaddr_in6*)dst->ai_addr)->sin6_family;
+
+#if 0
+        /**
+         * Enable only if you must and please report to squid-dev if you find a need for this.
+         *
+         * Vista may need this to cope with dual-stack (unsetting IP6_V6ONLY).
+         *         http://msdn.microsoft.com/en-us/library/ms738574(VS.85).aspx
+         * Linux appears to only do some things when its present.
+         *         (93) Bad Protocol
+         * FreeBSD dies horribly when using dual-stack with it set.
+         *         (43) Protocol not supported
+         */
+        dst->ai_protocol = IPPROTO_IPV6;
+#endif
+
+    } else
+#endif
+        if ( force == AF_INET || (force == AF_UNSPEC && IsIPv4()) ) {
+
+            dst->ai_addr = (struct sockaddr*)new sockaddr_in;
+
+            memset(dst->ai_addr,0,sizeof(struct sockaddr_in));
+
+            GetSockAddr(*((struct sockaddr_in*)dst->ai_addr));
+
+            dst->ai_addrlen = sizeof(struct sockaddr_in);
+
+            dst->ai_family = ((struct sockaddr_in*)dst->ai_addr)->sin_family;
+        } else {
+            IASSERT("false",false);
+        }
+}
+
+void IpAddress::InitAddrInfo(struct addrinfo *&ai) const
+{
+    if (ai == NULL) {
+        ai = new addrinfo;
+        memset(ai,0,sizeof(struct addrinfo));
+    }
+
+    // remove any existing data.
+    if (ai->ai_addr) delete ai->ai_addr;
+
+    ai->ai_addr = (struct sockaddr*)new sockaddr_in6;
+    memset(ai->ai_addr, 0, sizeof(struct sockaddr_in6));
+
+    ai->ai_addrlen = sizeof(struct sockaddr_in6);
+
+}
+
+void IpAddress::FreeAddrInfo(struct addrinfo *&ai) const
+{
+    if (ai == NULL) return;
+
+    if (ai->ai_addr) delete ai->ai_addr;
+
+    ai->ai_addr = NULL;
+
+    ai->ai_addrlen = 0;
+
+    // NP: name fields are NOT allocated at present.
+    delete ai;
+
+    ai = NULL;
+}
+
+int IpAddress::matchIPAddr(const IpAddress &rhs) const
+{
+#if USE_IPV6
+    uint8_t *l = (uint8_t*)m_SocketAddr.sin6_addr.s6_addr;
+    uint8_t *r = (uint8_t*)rhs.m_SocketAddr.sin6_addr.s6_addr;
+#else
+    uint8_t *l = (uint8_t*)&m_SocketAddr.sin_addr.s_addr;
+    uint8_t *r = (uint8_t*)&rhs.m_SocketAddr.sin_addr.s_addr;
+#endif
+
+    // loop a byte-wise compare
+    // NP: match MUST be R-to-L : L-to-R produces inconsistent gt/lt results at varying CIDR
+    //     expected difference on CIDR is gt/eq or lt/eq ONLY.
+    for (unsigned int i = 0 ; i < sizeof(m_SocketAddr.sin6_addr) ; i++) {
+
+        if (l[i] < r[i])
+            return -1;
+
+        if (l[i] > r[i])
+            return 1;
+    }
+
+    return 0;
+}
+
+bool IpAddress::operator ==(const IpAddress &s) const
+{
+    return (0 == matchIPAddr(s));
+}
+
+bool IpAddress::operator !=(const IpAddress &s) const
+{
+    return ! ( operator==(s) );
+}
+
+bool IpAddress::operator <=(const IpAddress &rhs) const
+{
+    if (IsAnyAddr() && !rhs.IsAnyAddr())
+        return true;
+
+    return (matchIPAddr(rhs) <= 0);
+}
+
+bool IpAddress::operator >=(const IpAddress &rhs) const
+{
+    if (IsNoAddr() && !rhs.IsNoAddr())
+        return true;
+
+    return ( matchIPAddr(rhs) >= 0);
+}
+
+bool IpAddress::operator >(const IpAddress &rhs) const
+{
+    if (IsNoAddr() && !rhs.IsNoAddr())
+        return true;
+
+    return ( matchIPAddr(rhs) > 0);
+}
+
+bool IpAddress::operator <(const IpAddress &rhs) const
+{
+    if (IsNoAddr() && !rhs.IsNoAddr())
+        return true;
+
+    return ( matchIPAddr(rhs) < 0);
+}
+
+u_short IpAddress::GetPort() const
+{
+    return ntohs( m_SocketAddr.sin6_port );
+}
+
+u_short IpAddress::SetPort(u_short prt)
+{
+    m_SocketAddr.sin6_port = htons(prt);
+
+    return prt;
+}
+
+/**
+ * NtoA Given a buffer writes a readable ascii version of the IPA and/or port stored
+ *
+ * Buffer must be of a size large enough to hold the converted address.
+ * This size is provided in the form of a global defined variable MAX_IPSTRLEN
+ * Should a buffer shorter be provided the string result will be truncated
+ * at the length of the available buffer.
+ *
+ * A copy of the buffer is also returned for simple immediate display.
+ */
+char* IpAddress::NtoA(char* buf, const unsigned int blen, int force) const
+{
+    // Ensure we have a buffer.
+    if (buf == NULL) {
+        return NULL;
+    }
+
+    /* some external code may have blindly memset a parent. */
+    /* thats okay, our default is known */
+    if ( IsAnyAddr() ) {
+#if USE_IPV6
+        memcpy(buf,"::\0", xmin(3,blen));
+#else
+        memcpy(buf,"0.0.0.0\0", xmin(8,blen));
+#endif
+        return buf;
+    }
+
+    memset(buf,0,blen); // clear buffer before write
+
+    /* Pure-IPv6 CANNOT be displayed in IPv4 format. */
+    /* However IPv4 CAN. */
+    if ( force == AF_INET && !IsIPv4() ) {
+        if ( IsIPv6() ) {
+            memcpy(buf, "{!IPv4}\0", xmin(8,blen));
+        }
+        return buf;
+    }
+
+#if USE_IPV6
+    if ( force == AF_INET6 || (force == AF_UNSPEC && IsIPv6()) ) {
+
+        xinet_ntop(AF_INET6, &m_SocketAddr.sin6_addr, buf, blen);
+
+    } else  if ( force == AF_INET || (force == AF_UNSPEC && IsIPv4()) ) {
+
+        struct in_addr tmp;
+        GetInAddr(tmp);
+        xinet_ntop(AF_INET, &tmp, buf, blen);
+#else
+    if ( force == AF_UNSPEC || (force == AF_INET && IsIPv4()) ) {
+        xinet_ntop(AF_INET, &m_SocketAddr.sin_addr, buf, blen);
+#endif
+    } else {
+        debugs(14,0,"WARNING: Corrupt IP Address details OR required to display in unknown format (" <<
+               force << "). accepted={" << AF_UNSPEC << "," << AF_INET << "," << AF_INET6 << "}");
+        fprintf(stderr,"WARNING: Corrupt IP Address details OR required to display in unknown format (%d). accepted={%d,%d,%d} ",
+                force, AF_UNSPEC, AF_INET, AF_INET6);
+        memcpy(buf,"dead:beef::\0", xmin(13,blen));
+        assert(false);
+    }
+
+    return buf;
+}
+
+unsigned int IpAddress::ToHostname(char *buf, const unsigned int blen) const {
+    char *p = buf;
+
+    if (IsIPv6() && blen > 0) {
+        *p = '[';
+        p++;
+    }
+
+    /* 7 being space for [,], and port */
+    if ( IsIPv6() )
+        NtoA(p, blen-7, AF_INET6);
+    else
+        NtoA(p, blen-7, AF_INET);
+
+    // find the end of the new string
+    while (*p != '\0' && p < buf+blen)
+        p++;
+
+    if (IsIPv6() && p < (buf+blen-1) ) {
+        *p = ']';
+        p++;
+    }
+
+    /* terminate just in case. */
+    *p = '\0';
+
+    /* return size of buffer now used */
+    return (p - buf);
+}
+
+char* IpAddress::ToURL(char* buf, unsigned int blen) const {
+    char *p = buf;
+
+    // Ensure we have a buffer.
+
+    if (buf == NULL) {
+        return NULL;
+    }
+
+    p += ToHostname(p, blen);
+
+    if (m_SocketAddr.sin6_port > 0 && p < (buf+blen-6) ) {
+        /* 6 is max length of expected ':port' (short int) */
+        snprintf(p, 6,":%d", GetPort() );
+    }
+
+    // force a null-terminated string
+    buf[blen-1] = '\0';
+
+    return buf;
+}
+
+void IpAddress::GetSockAddr(struct sockaddr_storage &addr, const int family) const {
+    struct sockaddr_in *sin = NULL;
+
+    if ( family == AF_INET && !IsIPv4()) {
+        // FIXME INET6: caller using the wrong socket type!
+        debugs(14, DBG_CRITICAL, HERE << "IpAddress::GetSockAddr : Cannot convert non-IPv4 to IPv4. from " << *this);
+        assert(false);
+    }
+
+#if USE_IPV6
+    if ( family == AF_INET6 || (family == AF_UNSPEC && IsIPv6()) ) {
+        struct sockaddr_in6 *ss6 = (struct sockaddr_in6*)&addr;
+        GetSockAddr(*ss6);
+    } else if ( family == AF_INET || (family == AF_UNSPEC && IsIPv4()) ) {
+        sin = (struct sockaddr_in*)&addr;
+        GetSockAddr(*sin);
+    } else {
+        IASSERT("false",false);
+    }
+#else /* not USE_IPV6 */
+    sin = (struct sockaddr_in*)&addr;
+    GetSockAddr(*sin);
+#endif /* USE_IPV6 */
+}
+
+void IpAddress::GetSockAddr(struct sockaddr_in &buf) const {
+#if USE_IPV6
+
+    if ( IsIPv4() ) {
+        buf.sin_family = AF_INET;
+        buf.sin_port = m_SocketAddr.sin6_port;
+        Map6to4( m_SocketAddr.sin6_addr, buf.sin_addr);
+    } else {
+        debugs(14, DBG_CRITICAL, HERE << "IpAddress::GetSockAddr : Cannot convert non-IPv4 to IPv4. from " << *this );
+
+        memset(&buf,0xFFFFFFFF,sizeof(struct sockaddr_in));
+        assert(false);
+    }
+
+#else
+
+    memcpy(&buf, &m_SocketAddr, sizeof(struct sockaddr_in));
+
+    if (buf.sin_family == 0) {
+        buf.sin_family = AF_INET;
+    }
+
+#endif
+
+#if HAVE_SIN_LEN_IN_SAI
+    /* not all OS have this field, BUT when they do it can be a problem if set wrong */
+    buf.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+}
+
+#if USE_IPV6
+
+void IpAddress::GetSockAddr(struct sockaddr_in6 &buf) const {
+    memcpy(&buf, &m_SocketAddr, sizeof(struct sockaddr_in6));
+    /* maintain address family. It may have changed inside us. */
+    buf.sin6_family = AF_INET6;
+
+#if HAVE_SIN6_LEN_IN_SAI
+    /* not all OS have this field, BUT when they do it can be a problem if set wrong */
+    buf.sin6_len = sizeof(struct sockaddr_in6);
+#endif
+}
+
+#endif
+
+#if USE_IPV6
+
+void IpAddress::Map4to6(const struct in_addr &in, struct in6_addr &out) const {
+    /* check for special cases */
+
+    if ( in.s_addr == 0x00000000) {
+        /* ANYADDR */
+
+        memset(&out, 0, sizeof(struct in6_addr));
+    } else if ( in.s_addr == 0xFFFFFFFF) {
+        /* NOADDR */
+
+        out.s6_addr32[0] = 0xFFFFFFFF;
+        out.s6_addr32[1] = 0xFFFFFFFF;
+        out.s6_addr32[2] = 0xFFFFFFFF;
+        out.s6_addr32[3] = 0xFFFFFFFF;
+
+#if IPV6_SPECIAL_LOCALHOST
+    } else if ( in.s_addr == htonl(0x7F000001)) {
+        /* LOCALHOST */
+
+        memset(&out, 0, sizeof(struct in6_addr));
+        out.s6_addr32[3] = htonl(0x1);
+#endif
+
+    } else {
+        /* general */
+
+        memset(&out, 0, sizeof(struct in6_addr));
+        out.s6_addr32[2] = htonl(0xFFFF);
+        out.s6_addr32[3] = in.s_addr;
+    }
+}
+
+void IpAddress::Map6to4(const struct in6_addr &in, struct in_addr &out) const {
+    /* ANYADDR */
+    /* NOADDR */
+    /* general */
+
+    memset(&out, 0, sizeof(struct in_addr));
+    out.s_addr = in.s6_addr32[3];
+
+#if IPV6_SPECIAL_LOCALHOST
+    /* LOCALHOST */
+
+    if ( IsLocalhost() ) {
+        out.s_addr = htonl(0x7F000001);
+    }
+#endif
+
+}
+
+#endif
+
+#if USE_IPV6
+void IpAddress::GetInAddr(in6_addr &buf) const {
+    memcpy(&buf, &m_SocketAddr.sin6_addr, sizeof(struct in6_addr));
+}
+
+#endif
+
+bool IpAddress::GetInAddr(struct in_addr &buf) const {
+
+#if USE_IPV6
+    if ( IsIPv4() ) {
+        Map6to4((const in6_addr)m_SocketAddr.sin6_addr, buf);
+        return true;
+    }
+#else
+
+    if ( IsIPv4() ) {
+        memcpy(&buf, &m_SocketAddr.sin_addr, sizeof(struct in_addr));
+        return true;
+    }
+#endif
+
+    // default:
+    // non-compatible IPv6 Pure Address
+
+    debugs(14,1, HERE << "IpAddress::GetInAddr : Cannot convert non-IPv4 to IPv4. IPA=" << *this);
+    memset(&buf,0xFFFFFFFF,sizeof(struct in_addr));
+    assert(false);
+    return false;
+}
diff -u -r -N squid-3.1.0.3/src/ip/IpAddress.h squid-3.1.0.4/src/ip/IpAddress.h
--- squid-3.1.0.3/src/ip/IpAddress.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/IpAddress.h	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,435 @@
+/*
+ * DEBUG: section 14    IP Storage and Handling
+ * AUTHOR: Amos Jeffries
+ *
+ * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from the
+ *  Internet community.  Development is led by Duane Wessels of the
+ *  National Laboratory for Applied Network Research and funded by the
+ *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
+ *
+ *  This IpAddress code is copyright (C) 2007 by Treehouse Networks Ltd
+ *  of New Zealand. It is published and Lisenced as an extension of
+ *  squid under the same conditions as the main squid application.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+#ifndef _INC_IPADDRESS_H
+#define _INC_IPADDRESS_H
+
+#include "getaddrinfo.h"
+#include "getnameinfo.h"
+#include "inet_ntop.h"
+#include "inet_pton.h"
+
+
+#if HAVE_SYS_SOCKET_H
+#include <sys/socket.h>
+#endif
+#if HAVE_NETINET_IN_H
+#include <netinet/in.h>
+#endif
+#ifdef _SQUID_MSWIN_
+#include <ws2tcpip.h>
+#endif
+#if HAVE_NETDB_H && !defined(_SQUID_NETDB_H_)   /* protect NEXTSTEP */
+#define _SQUID_NETDB_H_
+#ifdef _SQUID_NEXT_
+#include <netinet/in_systm.h>
+#endif
+#include <netdb.h>
+#endif
+
+#include <iosfwd>
+#include <ostream>
+
+
+/* FreeBSD hack:
+ *   This OS has at least one version that defines these as private
+ *   kernel macros commented as being 'non-standard'.
+ *   We need to use them, much nicer than the OS-provided __u*_*[]
+ * UPDATE: OpenBSD 4.3 has the same.
+ * UPDATE: MacOSX has the same.
+ */
+#if USE_IPV6 && ( defined(_SQUID_FREEBSD_) || defined(_SQUID_OPENBSD_) || defined(_SQUID_APPLE_))
+//#define s6_addr8  __u6_addr.__u6_addr8
+//#define s6_addr16 __u6_addr.__u6_addr16
+#define s6_addr32 __u6_addr.__u6_addr32
+#endif
+
+/* OpenBSD also hide v6only socket option we need for comm layer. :-( */
+#if !defined(IPV6_V6ONLY) && defined(_SQUID_OPENBSD_)
+#define IPV6_V6ONLY		27 // from OpenBSD 4.3 headers. (NP: does not match non-BSD OS values)
+#endif
+
+/* Bug 2500: Solaris 10/11 require s6_addr* defines. */
+#if USE_IPV6 && defined(_SQUID_SOLARIS_)
+//#define s6_addr8   _S6_un._S6_u8
+//#define s6_addr16  _S6_un._S6_u16
+#define s6_addr32  _S6_un._S6_u32
+#endif
+
+/// Length of buffer that needs to be allocated to old a null-terminated IP-string
+// Yuck. But there are still structures that need it to be an 'integer constant'.
+#define MAX_IPSTRLEN  75
+
+/**
+ * Holds and manipulates IPv4, IPv6, and Socket Addresses.
+ */
+class IpAddress
+{
+
+public:
+    /** @name Constructors and Destructor */
+    /*@{*/
+    IpAddress();
+    IpAddress(const IpAddress &);
+
+    /**
+     * This constructor takes its own copy of the object pointed to for memory-safe usage later.
+     * The caller must itself perform and ptr memory-management needed.
+     *
+     \deprecated Use of pointers can be nasty. Consider this a last-resort.
+     *           Prefer the by-reference (&) version instead.
+     */
+    IpAddress(IpAddress *);
+
+    IpAddress(const struct in_addr &);
+
+    IpAddress(const struct sockaddr_in &);
+#if USE_IPV6
+
+    IpAddress(const struct in6_addr &);
+
+    IpAddress(const struct sockaddr_in6 &);
+#endif
+
+    IpAddress(const struct hostent &);
+    IpAddress(const struct addrinfo &);
+    IpAddress(const char*);
+    /// Default destructor.
+    ~IpAddress();
+    /*@}*/
+
+    /** @name Assignment Operators */
+    /*@{*/
+    IpAddress& operator =(const IpAddress &s);
+    IpAddress& operator =(IpAddress *s);
+    IpAddress& operator =(struct sockaddr_in const &s);
+    IpAddress& operator =(struct sockaddr_storage const &s);
+    IpAddress& operator =(struct in_addr const &s);
+#if USE_IPV6
+    IpAddress& operator =(struct in6_addr const &s);
+    IpAddress& operator =(struct sockaddr_in6 const &s);
+#endif
+    bool operator =(const struct hostent &s);
+    bool operator =(const struct addrinfo &s);
+    bool operator =(const char *s);
+    /*@}*/
+
+    /** @name Boolean Operators */
+    /*@{*/
+    bool operator ==(IpAddress const &s) const;
+    bool operator !=(IpAddress const &s) const;
+    bool operator >=(IpAddress const &rhs) const;
+    bool operator <=(IpAddress const &rhs) const;
+    bool operator >(IpAddress const &rhs) const;
+    bool operator <(IpAddress const &rhs) const;
+
+public:
+    /* methods */
+
+    /** Test whether content can be used as an IPv4 address
+     \retval true  if content was received as an IPv4 address
+     \retval true  if content was received as an IPv4-Mapped address
+     \retval false if content was received as a non-mapped IPv6 native address.
+     */
+    bool IsIPv4() const;
+
+    /** Test whether content can be used as an IPv6 address.
+     \retval true  if --enable-ipv6 has been compiled.
+     \retval false if --disable-ipv6 has been compiled.
+     \retval false if --with-ipv6-split-stack has been compiled AND content is IPv4-mapped.
+     */
+    bool IsIPv6() const;
+
+    /** Test whether content can be used as a Socket address.
+     \retval true  if address AND port are both set
+     \retval true  if content was received as a Socket address with port
+     \retval false if port in unset (zero)
+     */
+    bool IsSockAddr() const;
+
+    /** Content-neutral test for whether the specific IP case ANY_ADDR is stored.
+     *  This is the default content of a new undefined IpAddress object.
+     \retval true IPv4 0.0.0.0
+     \retval true IPv6 ::
+     \retval false anything else.
+     */
+    bool IsAnyAddr() const;
+
+    /** Content-neutral test for whether the specific IP case NO_ADDR is stored.
+     \retval true IPv4 255.255.255.255
+     \retval true IPv6 ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
+     \retval false anything else.
+     */
+    bool IsNoAddr() const;
+
+    /** Content-neutral test for whether the specific IP case LOCALHOST is stored.
+     *  This is the default content of a new undefined IpAddress object.
+     \retval true IPv4 127.0.0.1
+     \retval true IPv6 ::1
+     \retval false anything else.
+     */
+    bool IsLocalhost() const;
+
+    /*@}*/
+
+    /** Retrieve the Port if stored.
+     \retval 0 Port is unset or an error occured.
+     \retval n Port associated with this address in host native -endian.
+     */
+    u_short GetPort() const;
+
+    /** Set the Port value for an address.
+     *  Replaces any previously existing Port value.
+     \param port Port being assigned in host native -endian.
+     \retval 0 Port is unset or an error occured.
+     \retval n Port associated with this address in host native -endian.
+     */
+    u_short SetPort(u_short port);
+
+    /// Set object to contain the specific IP case ANY_ADDR (format-neutral).
+    /// see IsAnyAddr() for more detail.
+    void SetAnyAddr();
+
+    /// Set object to contain the specific IP case NO_ADDR (format-neutral).
+    /// see \link IsNoAddr() for more detail.
+    void SetNoAddr();
+
+    /// Set object to contain the specific IP case LOCALHOST (format-neutral).
+    /// see \link IsLocalhost() for more detail.
+    void SetLocalhost();
+
+    /// Fast reset of the stored content to what would be after default constructor.
+    void SetEmpty();
+
+    /** Require an IPv4-only address for this usage.
+     *  Converts the object to prefer only IPv4 output.
+     \retval true	Content can be IPv4
+     \retval false	Content CANNOT be IPv4
+     */
+    bool SetIPv4();
+
+    /**
+     *  Valid results IF and only IF the stored IP address is actually a network bitmask
+     \retval N number of bits which are set in the bitmask stored.
+     */
+    int GetCIDR() const;
+
+    /** Apply a mask to the stored address.
+     \param mask Netmask format to be bit-mask-AND'd over the stored address.
+     */
+    const int ApplyMask(const IpAddress &mask);
+
+    /** Apply a mask to the stored address.
+     *  CIDR will be converted appropriate to map the stored content.
+     \param cidr   CIDR Mask being applied. As an integer in host format.
+     \param mtype  Type of CIDR mask being applied (AF_INET or AF_INET6)
+     */
+    bool ApplyMask(const unsigned int cidr, int mtype = AF_UNSPEC);
+
+
+    /** Return the ASCII equivalent of the address
+     *  Semantically equivalent to the IPv4 inet_ntoa()
+     *  eg. 127.0.0.1 (IPv4) or ::1 (IPv6)
+     *  But for memory safety it requires a buffer as input
+     *  instead of producing one magically.
+     *  If buffer is not large enough the data is truncated silently.
+     \param buf Allocated buffer to write address to
+     \param len byte length of buffer available for writing.
+     \param force (optional) require the IPA in a specific format.
+     \return pointer to buffer received.
+     */
+    char* NtoA(char *buf, unsigned int len, int force = AF_UNSPEC) const;
+
+    /** Return the ASCII equivalent of the address:port combination
+     *  Provides a URL formatted version of the content.
+     *  If buffer is not large enough the data is truncated silently.
+     *  eg. 127.0.0.1:80 (IPv4) or [::1]:80 (IPv6)
+     \param buf Allocated buffer to write address:port to
+     \param len byte length of buffer available for writing.
+     \return pointer to buffer received.
+     */
+    char* ToURL(char *buf, unsigned int len) const;
+
+    /** Return a properly hostname formatted copy of the address
+     *  Provides a URL formatted version of the content.
+     *  If buffer is not large enough the data is truncated silently.
+     *  eg. 127.0.0.1 (IPv4) or [::1] (IPv6)
+     \param buf Allocated buffer to write address to
+     \param len byte length of buffer available for writing.
+     \return pointer to buffer received.
+     */
+    unsigned int ToHostname(char *buf, const unsigned int len) const;
+
+    /**
+     *  Convert the content into a Reverse-DNS string.
+     *  The buffer sent MUST be allocated large enough to hold the resulting string.
+     *  Name truncation will occur if buf does not have enough space.
+     *  The constant MAX_IPSTRLEN is defined to provide for sizing arrays correctly.
+     \param show_format may be one of: AF_INET, AF_INET6 for the format of rDNS string wanted.
+     \param buf buffer to receive the text string output.
+     */
+    bool GetReverseString(char buf[], int show_format = AF_UNSPEC) const;
+
+    /** Test how two IP relate to each other.
+     \retval  0  IP are equal
+     \retval  1  IP rhs is greater (numerically) than that stored.
+     \retval -1  IP rhs is less (numerically) than that stored.
+     */
+    int matchIPAddr(const IpAddress &rhs) const;
+
+    /**
+     *  Get RFC 3493 addrinfo structure from the IpAddress data
+     *  for protocol-neutral socket operations.
+     *  Should be passed a NULL pointer of type struct addrinfo* it will
+     *  allocate memory for the structures involved. (see FreeAddrInfo to clear).
+     *  Defaults to a TCP streaming socket, if other values (such as UDP) are needed
+     *  the caller MUST override these default settings.
+     *  Some situations may also require an actual call to the system getaddrinfo()
+     *  to pull relevant OS details for the socket.
+     \par
+     *  IpAddress allocated objects MUST be destructed by IpAddress::FreeAddrInfo
+     *  System getaddrinfo() allocated objects MUST be freed with system freeaddrinfo()
+     \par
+     *  Some OS require that IPv4 addresses are pre-mapped by the client.
+     *  The configure option --with-ipv4-mapping=yes will enable this.
+     *
+     \param ai structure to be filled out.
+     \param force a specific sockaddr type is needed. default: don't care.
+     */
+#if IPV6_SPECIAL_V4MAPPING
+    void GetAddrInfo(struct addrinfo *&ai, int force = AF_INET6) const;
+#else
+    void GetAddrInfo(struct addrinfo *&ai, int force = AF_UNSPEC) const;
+#endif
+
+    /**
+     *  Equivalent to the sysem call freeaddrinfo() but for IpAddress allocated data
+     */
+    void FreeAddrInfo(struct addrinfo *&ai) const;
+
+    /**
+     *  Initializes an empty addrinfo properly for use.
+     *  It is intended for use in cases such as getsockopt() where the addrinfo is
+     *  about to be changed and the stored details may not match the new ones coming.
+     \param ai addrinfo struct to be initialized as AF_UNSPEC with large address buffer
+     */
+    void InitAddrInfo(struct addrinfo *&ai) const;
+
+    /**
+     *  Lookup a Host by Name. Equivalent to system call gethostbyname(char*)
+     \param s The textual FQDN of the host being located.
+     \retval true	lookup was successful and an IPA was located.
+     \retval false	lookup failed or FQDN has no IP associated.
+     */
+    bool GetHostByName(const char *s);
+
+public:
+    /* FIXME: When C => C++ conversion is done will be fully private.
+     * Legacy Transition Methods.
+     * These are here solely to simplify the transition
+     * when moving from converted code to unconverted
+     * these functions can be used to convert this object
+     * and pull out the data needed by the unconverted code
+     * they are intentionaly hard to use, use GetAddrInfo() instead.
+     * these functiosn WILL NOT be in the final public API after transition.
+     */
+
+    void GetSockAddr(struct sockaddr_storage &addr, const int family) const;
+
+    /// \deprecated Deprecated for public use. Use IpAddress::GetAddrInfo()
+    void GetSockAddr(struct sockaddr_in &) const;
+
+    /// \deprecated Deprecated for public use. Use IpAddress::GetAddrInfo()
+    bool GetInAddr(struct in_addr &) const; /* false if could not convert IPv6 down to IPv4 */
+#if USE_IPV6
+
+    /// \deprecated Deprecated for public use. Use IpAddress::GetAddrInfo()
+    void GetSockAddr(struct sockaddr_in6 &) const;
+
+    /// \deprecated Deprecated for public use. Use IpAddress::GetAddrInfo()
+    void GetInAddr(struct in6_addr &) const;
+#endif
+
+private:
+    /* Conversion for dual-type internals */
+
+    bool GetReverseString4(char buf[], const struct in_addr &) const;
+
+    void check4Mapped();
+
+#if USE_IPV6
+
+    bool GetReverseString6(char buf[], const struct in6_addr &) const;
+
+    void Map4to6(const struct in_addr &src, struct in6_addr &dest) const;
+
+    void Map6to4(const struct in6_addr &src, struct in_addr &dest) const;
+#endif
+
+    // Worker behind GetHostName and char* converters
+    bool LookupHostIP(const char *s, bool nodns);
+
+    /* variables */
+#if USE_IPV6
+
+    struct sockaddr_in6 m_SocketAddr;
+#else
+
+    struct sockaddr_in m_SocketAddr;
+#endif
+};
+
+
+inline std::ostream &
+operator << (std::ostream &os, const IpAddress &ipa)
+{
+    char buf[MAX_IPSTRLEN];
+    os << ipa.ToURL(buf,MAX_IPSTRLEN);
+    return os;
+}
+
+// WAS _sockaddr_in_list in an earlier incarnation
+class IpAddress_list
+{
+public:
+    IpAddress_list() { next = NULL; };
+    ~IpAddress_list() { if (next) delete next; next = NULL; };
+
+    IpAddress s;
+    IpAddress_list *next;
+};
+
+
+#endif /* _INC_IPADDRESS_H */
diff -u -r -N squid-3.1.0.3/src/ip/IpIntercept.cc squid-3.1.0.4/src/ip/IpIntercept.cc
--- squid-3.1.0.3/src/ip/IpIntercept.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/IpIntercept.cc	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,432 @@
+/*
+ * DEBUG: section 89    NAT / IP Interception
+ * AUTHOR: Robert Collins
+ * AUTHOR: Amos Jeffries
+ *
+ * SQUID Web Proxy Cache          http://www.squid-cache.org/
+ * ----------------------------------------------------------
+ *
+ *  Squid is the result of efforts by numerous individuals from
+ *  the Internet community; see the CONTRIBUTORS file for full
+ *  details.   Many organizations have provided support for Squid's
+ *  development; see the SPONSORS file for full details.  Squid is
+ *  Copyrighted (C) 2001 by the Regents of the University of
+ *  California; see the COPYRIGHT file for full details.  Squid
+ *  incorporates software developed and/or copyrighted by other
+ *  sources; see the CREDITS file for full details.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
+ *
+ */
+#include "config.h"
+#include "IpIntercept.h"
+#include "fde.h"
+
+#if IPF_TRANSPARENT
+
+#if HAVE_SYS_IOCTL_H
+#include <sys/ioctl.h>
+#endif
+#if HAVE_NETINET_TCP_H
+#include <netinet/tcp.h>
+#endif
+#if HAVE_NET_IF_H
+#include <net/if.h>
+#endif
+#ifdef HAVE_IPL_H
+#include <ipl.h>
+#elif HAVE_NETINET_IPL_H
+#include <netinet/ipl.h>
+#endif
+#if HAVE_IP_FIL_COMPAT_H
+#include <ip_fil_compat.h>
+#elif HAVE_NETINET_IP_FIL_COMPAT_H
+#include <netinet/ip_fil_compat.h>
+#elif HAVE_IP_COMPAT_H
+#include <ip_compat.h>
+#elif HAVE_NETINET_IP_COMPAT_H
+#include <netinet/ip_compat.h>
+#endif
+#if HAVE_IP_FIL_H
+#include <ip_fil.h>
+#elif HAVE_NETINET_IP_FIL_H
+#include <netinet/ip_fil.h>
+#endif
+#if HAVE_IP_NAT_H
+#include <ip_nat.h>
+#elif HAVE_NETINET_IP_NAT_H
+#include <netinet/ip_nat.h>
+#endif
+
+#endif /* IPF_TRANSPARENT required headers */
+
+#if PF_TRANSPARENT
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <sys/ioctl.h>
+#include <sys/fcntl.h>
+#include <net/if.h>
+#include <netinet/in.h>
+#include <net/pfvar.h>
+#endif /* PF_TRANSPARENT required headers */
+
+#if LINUX_NETFILTER
+#include <linux/types.h>
+#include <linux/netfilter_ipv4.h>
+#endif
+
+#if LINUX_TPROXY2
+#ifdef HAVE_LINUX_NETFILTER_IPV4_IP_TPROXY_H
+#include <linux/netfilter_ipv4/ip_tproxy.h>
+#else
+#error " TPROXY v2 Header file missing: linux/netfilter_ipv4/ip_tproxy.h. Perhapse you meant to use TPROXY v4 ? "
+#endif
+#endif
+
+
+// single global instance for access by other components.
+IpIntercept IpInterceptor;
+
+void
+IpIntercept::StopTransparency(const char *str)
+{
+    if (transparent_active) {
+        debugs(89, DBG_IMPORTANT, "Stopping full transparency: " << str);
+        transparent_active = 0;
+    }
+}
+
+void
+IpIntercept::StopInterception(const char *str)
+{
+    if (intercept_active) {
+        debugs(89, DBG_IMPORTANT, "Stopping IP interception: " << str);
+        intercept_active = 0;
+    }
+}
+
+int
+IpIntercept::NetfilterInterception(int fd, const IpAddress &me, IpAddress &dst, int silent)
+{
+#if LINUX_NETFILTER
+    struct addrinfo *lookup = NULL;
+
+    dst.GetAddrInfo(lookup,AF_INET);
+
+    /** \par
+     * Try NAT lookup for REDIRECT or DNAT targets. */
+    if ( getsockopt(fd, SOL_IP, SO_ORIGINAL_DST, lookup->ai_addr, &lookup->ai_addrlen) == 0) {
+        if (!silent) {
+            debugs(89, DBG_IMPORTANT, HERE << " NF getsockopt(SO_ORIGINAL_DST) failed on FD " << fd << ": " << xstrerror());
+            last_reported = squid_curtime;
+        }
+    } else {
+        dst = *lookup;
+    }
+
+    dst.FreeAddrInfo(lookup);
+
+    if (me != dst) {
+        debugs(89, 5, HERE << "address: " << dst);
+        return 0;
+    }
+
+    debugs(89, 9, HERE << "address: me= " << me << ", dst= " << dst);
+#endif
+    return -1;
+}
+
+int
+IpIntercept::NetfilterTransparent(int fd, const IpAddress &me, IpAddress &client, int silent)
+{
+#if LINUX_NETFILTER
+
+    /* Trust the user configured properly. If not no harm done.
+     * We will simply attempt a bind outgoing on our own IP.
+     */
+    if (fd_table[fd].flags.transparent) {
+        client.SetPort(0); // allow random outgoing port to prevent address clashes
+        return 0;
+    }
+#endif
+    return -1;
+}
+
+int
+IpIntercept::IpfwInterception(int fd, const IpAddress &me, IpAddress &dst, int silent)
+{
+#if IPFW_TRANSPARENT
+    struct addrinfo *lookup = NULL;
+
+    dst.GetAddrInfo(lookup,AF_INET);
+
+    /** \par
+     * Try lookup for IPFW interception. */
+    if ( getsockname(fd, lookup->ai_addr, &lookup->ai_addrlen) != 0 ) {
+        if ( !silent ) {
+            debugs(89, DBG_IMPORTANT, HERE << " IPFW getsockname(...) failed: " << xstrerror());
+            last_reported = squid_curtime;
+        }
+    } else {
+        dst = *lookup;
+    }
+
+    dst.FreeAddrInfo(lookup);
+
+    if (me != dst) {
+        debugs(89, 5, HERE << "address: " << dst);
+        return 0;
+    }
+
+    debugs(89, 9, HERE << "address: me= " << me << ", dst= " << dst);
+#endif
+    return -1;
+}
+
+int
+IpIntercept::NatLookup(int fd, const IpAddress &me, const IpAddress &peer, IpAddress &client, IpAddress &dst)
+{
+#if IPF_TRANSPARENT  /* --enable-ipf-transparent */
+    client = me;
+    if ( !me.IsIPv4() ) return -1;
+    if ( !peer.IsIPv4() ) return -1;
+
+#if defined(IPFILTER_VERSION) && (IPFILTER_VERSION >= 4000027)
+
+    struct ipfobj obj;
+#else
+
+    static int siocgnatl_cmd = SIOCGNATL & 0xff;
+
+#endif
+
+    struct natlookup natLookup;
+    static int natfd = -1;
+    int x;
+
+#if defined(IPFILTER_VERSION) && (IPFILTER_VERSION >= 4000027)
+
+    obj.ipfo_rev = IPFILTER_VERSION;
+    obj.ipfo_size = sizeof(natLookup);
+    obj.ipfo_ptr = &natLookup;
+    obj.ipfo_type = IPFOBJ_NATLOOKUP;
+    obj.ipfo_offset = 0;
+#endif
+
+    natLookup.nl_inport = htons(me.GetPort());
+    natLookup.nl_outport = htons(peer.GetPort());
+    me.GetInAddr(natLookup.nl_inip);
+    peer.GetInAddr(natLookup.nl_outip);
+    natLookup.nl_flags = IPN_TCP;
+
+    if (natfd < 0) {
+        int save_errno;
+        enter_suid();
+#ifdef IPNAT_NAME
+
+        natfd = open(IPNAT_NAME, O_RDONLY, 0);
+#else
+
+        natfd = open(IPL_NAT, O_RDONLY, 0);
+#endif
+
+        save_errno = errno;
+        leave_suid();
+        errno = save_errno;
+    }
+
+    if (natfd < 0) {
+        if (squid_curtime - last_reported > 60) {
+            debugs(89, 1, "clientNatLookup: NAT open failed: " << xstrerror());
+            last_reported = squid_curtime;
+            return -1;
+        }
+    }
+
+#if defined(IPFILTER_VERSION) && (IPFILTER_VERSION >= 4000027)
+    x = ioctl(natfd, SIOCGNATL, &obj);
+
+#else
+    /*
+    * IP-Filter changed the type for SIOCGNATL between
+    * 3.3 and 3.4.  It also changed the cmd value for
+    * SIOCGNATL, so at least we can detect it.  We could
+    * put something in configure and use ifdefs here, but
+    * this seems simpler.
+    */
+    if (63 == siocgnatl_cmd) {
+
+        struct natlookup *nlp = &natLookup;
+        x = ioctl(natfd, SIOCGNATL, &nlp);
+    } else {
+        x = ioctl(natfd, SIOCGNATL, &natLookup);
+    }
+
+#endif
+    if (x < 0) {
+        if (errno != ESRCH) {
+            if (squid_curtime - last_reported > 60) {
+                debugs(89, 1, "clientNatLookup: NAT lookup failed: ioctl(SIOCGNATL)");
+                last_reported = squid_curtime;
+            }
+
+            close(natfd);
+            natfd = -1;
+        }
+
+        return -1;
+    } else {
+        if (me != natLookup.nl_realip) {
+            client = natLookup.nl_realip;
+
+            client.SetPort(ntohs(natLookup.nl_realport));
+        }
+        // else. we already copied it.
+
+        return 0;
+    }
+
+
+
+#elif LINUX_NETFILTER || IPFW_TRANSPARENT /* --enable-linux-netfilter OR --enable-ipfw-transparent */
+
+    /* Netfilter and IPFW share almost identical lookup methods for their NAT tables.
+     * This allows us to perform a nice clean failover sequence for them.
+     */
+
+    client = me;
+    dst = peer;
+
+    if ( !me.IsIPv4()   ) return -1;
+    if ( !peer.IsIPv4() ) return -1;
+
+#if 0
+    // Crop interception errors down to one per minute.
+    int silent = (squid_curtime - last_reported > 60 ? 0 : 1);
+#else
+    // Show all interception errors.
+    int silent = 0;
+#endif
+
+    if (intercept_active) {
+        if ( NetfilterInterception(fd, me, client, silent) == 0) return 0;
+        if ( IpfwInterception(fd, me, client, silent) == 0) return 0;
+    }
+    if (transparent_active) {
+        if ( NetfilterTransparent(fd, me, dst, silent) == 0) return 0;
+    }
+
+    return -1;
+
+#elif PF_TRANSPARENT  /* --enable-pf-transparent */
+
+    struct pfioc_natlook nl;
+    static int pffd = -1;
+
+    if ( !me.IsIPv4() ) return -1;
+    if ( !peer.IsIPv4() ) return -1;
+
+    if (pffd < 0)
+        pffd = open("/dev/pf", O_RDONLY);
+
+    if (pffd < 0) {
+        if (squid_curtime - last_reported > 60) {
+            debugs(89, 1, "clientNatLookup: PF open failed: " << xstrerror());
+            last_reported = squid_curtime;
+        }
+
+        return -1;
+
+    }
+
+    client.SetEmpty();
+
+    memset(&nl, 0, sizeof(struct pfioc_natlook));
+    peer.GetInAddr(nl.saddr.v4);
+    nl.sport = htons(peer.GetPort());
+
+    me.GetInAddr(nl.daddr.v4);
+    nl.dport = htons(me.GetPort());
+
+    nl.af = AF_INET;
+    nl.proto = IPPROTO_TCP;
+    nl.direction = PF_OUT;
+
+    if (ioctl(pffd, DIOCNATLOOK, &nl)) {
+        if (errno != ENOENT) {
+            if (squid_curtime - last_reported > 60) {
+                debugs(89, 1, "clientNatLookup: PF lookup failed: ioctl(DIOCNATLOOK)");
+                last_reported = squid_curtime;
+            }
+
+            close(pffd);
+            pffd = -1;
+        }
+
+        return -1;
+    } else {
+        int natted = (me != nl.rdaddr.v4);
+        client = nl.rdaddr.v4;
+        client.SetPort(ntohs(nl.rdport));
+
+        if (natted)
+            return 0;
+        else
+            return -1;
+    }
+
+
+#else /* none of the transparent options configured */
+
+    debugs(89, 1, "WARNING: transparent proxying not supported");
+    return -1;
+
+#endif
+
+}
+
+#if LINUX_TPROXY2
+IpIntercept::SetTproxy2OutgoingAddr(int fd, const IpAddress &src)
+{
+    IpAddress addr;
+    struct in_tproxy itp;
+
+    src.GetInAddr(itp.v.addr.faddr);
+    itp.v.addr.fport = 0;
+
+    /* If these syscalls fail then we just fallback to connecting
+     * normally by simply ignoring the errors...
+     */
+    itp.op = TPROXY_ASSIGN;
+
+    addr = (struct in_addr)itp.v.addr.faddr;
+    addr.SetPort(itp.v.addr.fport);
+
+    if (setsockopt(fd, SOL_IP, IP_TPROXY, &itp, sizeof(itp)) == -1) {
+        debugs(20, 1, "tproxy ip=" << addr << " ERROR ASSIGN");
+        return -1;
+    } else {
+        itp.op = TPROXY_FLAGS;
+        itp.v.flags = ITP_CONNECT;
+
+        if (setsockopt(fd, SOL_IP, IP_TPROXY, &itp, sizeof(itp)) == -1) {
+            debugs(20, 1, "tproxy ip=" << addr << " ERROR CONNECT");
+            return -1;
+        }
+    }
+
+    return 0;
+}
+#endif
diff -u -r -N squid-3.1.0.3/src/ip/IpIntercept.h squid-3.1.0.4/src/ip/IpIntercept.h
--- squid-3.1.0.3/src/ip/IpIntercept.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/IpIntercept.h	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,127 @@
+/*
+ * DEBUG: section 89    NAT / IP Interception
+ * AUTHOR: Robert Collins
+ * AUTHOR: Amos Jeffries
+ *
+ */
+#ifndef SQUID_IPINTERCEPTION_H
+#define SQUID_IPINTERCEPTION_H
+
+class IpAddress;
+
+/* for time_t */
+#include "SquidTime.h"
+
+/**
+ \defgroup IpInterceptAPI IP Interception and Transparent Proxy API
+ \ingroup SquidComponent
+ \par
+ * There is no formal state-machine for transparency and interception
+ * instead there is this neutral API which other connection state machines
+ * and the comm layer use to co-ordinate their own state for transparency.
+ */
+class IpIntercept
+{
+public:
+    IpIntercept() : transparent_active(0), intercept_active(0), last_reported(0) {};
+    ~IpIntercept() {};
+
+    /** Perform NAT lookups */
+    int NatLookup(int fd, const IpAddress &me, const IpAddress &peer, IpAddress &client, IpAddress &dst);
+
+#if LINUX_TPROXY2
+    // only relevant to TPROXY v2 connections.
+    // which require the address be set specifically post-connect.
+    int SetTproxy2OutgoingAddr(int fd, const IpAddress &src);
+#endif
+
+    /**
+     \retval 0	Full transparency is disabled.
+     \retval 1  Full transparency is enabled and active.
+     */
+    inline int TransparentActive() { return transparent_active; };
+
+    /** \par
+     * Turn on fully Transparent-Proxy activities.
+     * This function should be called during parsing of the squid.conf
+     * When any option requiring full-transparency is encountered.
+     */
+    inline void StartTransparency() { transparent_active=1; };
+
+    /** \par
+     * Turn off fully Transparent-Proxy activities on all new connections.
+     * Existing transactions and connections are unaffected and will run
+     * to their natural completion.
+     \param str    Reason for stopping. Will be logged to cache.log
+     */
+    void StopTransparency(const char *str);
+
+    /**
+     \retval 0	IP Interception is disabled.
+     \retval 1  IP Interception is enabled and active.
+     */
+    inline int InterceptActive() { return intercept_active; };
+
+    /** \par
+     * Turn on IP-Interception-Proxy activities.
+     * This function should be called during parsing of the squid.conf
+     * When any option requiring interception / NAT handling is encountered.
+     */
+    inline void StartInterception() { intercept_active=1; };
+
+    /** \par
+     * Turn off IP-Interception-Proxy activities on all new connections.
+     * Existing transactions and connections are unaffected and will run
+     * to their natural completion.
+     \param str    Reason for stopping. Will be logged to cache.log
+     */
+    inline void StopInterception(const char *str);
+
+
+private:
+
+    /**
+     * perform Lookups on Netfilter interception targets (REDIRECT, DNAT).
+     *
+     \param silent[in]   0 if errors are to be displayed. 1 if errors are to be hidden.
+     \retval 0     Successfuly located the new address.
+     \retval -1    An error occured during NAT lookups.
+     */
+    int NetfilterInterception(int fd, const IpAddress &me, IpAddress &client, int silent);
+
+    /**
+     * perform Lookups on Netfilter fully-transparent interception targets (TPROXY).
+     *
+     \param silent[in]   0 if errors are to be displayed. 1 if errors are to be hidden.
+     \retval 0     Successfuly located the new address.
+     \retval -1    An error occured during NAT lookups.
+     */
+    int NetfilterTransparent(int fd, const IpAddress &me, IpAddress &dst, int silent);
+
+    /**
+     * perform Lookups on IPFW interception.
+     *
+     \param silent[in]   0 if errors are to be displayed. 1 if errors are to be hidden.
+     \retval 0     Successfuly located the new address.
+     \retval -1    An error occured during NAT lookups.
+     */
+    int IpfwInterception(int fd, const IpAddress &me, IpAddress &client, int silent);
+
+
+    int transparent_active;
+    int intercept_active;
+    time_t last_reported; /**< Time of last error report. Throttles NAT error display to 1 per minute */
+};
+
+#if LINUX_NETFILTER && !defined(IP_TRANSPARENT)
+/// \ingroup IpInterceptAPI
+#define IP_TRANSPARENT 19
+#endif
+
+/**
+ \ingroup IpInterceptAPI
+ * Globally available instance of the IP Interception manager.
+ */
+extern IpIntercept IpInterceptor;
+
+#endif /* SQUID_IPINTERCEPTION_H */
diff -u -r -N squid-3.1.0.3/src/ip/Makefile.am squid-3.1.0.4/src/ip/Makefile.am
--- squid-3.1.0.3/src/ip/Makefile.am	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/Makefile.am	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,53 @@
+#
+#  Makefile for the Squid IP layer API
+#
+
+# Housekeeping, shared by all Squid Makefiles.
+# TODO: make this set by configure?
+AM_CFLAGS = @SQUID_CFLAGS@
+AM_CXXFLAGS = @SQUID_CXXFLAGS@
+DEFS = @DEFS@
+CLEANFILES = 
+
+INCLUDES = -I$(top_srcdir)/src @SQUID_CPPUNIT_INC@ -I$(top_srcdir)/include -I$(top_builddir)/lib
+$(OBJS): $(top_srcdir)/include/version.h $(top_srcdir)/include/autoconf.h
+
+
+# IP Specific Configurations
+
+noinst_LTLIBRARIES = libip.la
+
+libip_la_SOURCES = \
+	IpAddress.h \
+	IpAddress.cc \
+	IpIntercept.h \
+	IpIntercept.cc \
+	QosConfig.h \
+	QosConfig.cc
+
+
+check_PROGRAMS= testHeaders testIpAddress
+TESTS= $(check_PROGRAMS)
+
+## Special Universal .h dependency test script
+## aborts if error encountered
+testHeaders: $(top_srcdir)/src/ip/*.h
+	$(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" "$(top_srcdir)/src/ip/" || exit 1
+
+## No such file...
+testHeaders.c:
+	touch testHeaders.c
+CLEANFILES += testHeaders.c
+
+
+testIpAddress_SOURCES= \
+	testIpAddress.cc \
+	testIpAddress.h
+nodist_testIpAddress_SOURCES= \
+	../tests/testMain.cc
+testIpAddress_LDADD= \
+	libip.la \
+	-L$(top_builddir)/lib -lmiscutil \
+	@SQUID_CPPUNIT_LA@ \
+	@SQUID_CPPUNIT_LIBS@
+testIpAddress_LDFLAGS= $(LIBADD_DL)
diff -u -r -N squid-3.1.0.3/src/ip/Makefile.in squid-3.1.0.4/src/ip/Makefile.in
--- squid-3.1.0.3/src/ip/Makefile.in	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/Makefile.in	2009-01-23 18:38:00.000000000 +1300
@@ -0,0 +1,740 @@
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+#
+#  Makefile for the Squid IP layer API
+#
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ../..
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = @INSTALL@
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+check_PROGRAMS = testHeaders$(EXEEXT) testIpAddress$(EXEEXT)
+subdir = src/ip
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
+	$(top_srcdir)/configure.in
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/include/autoconf.h
+CONFIG_CLEAN_FILES =
+LTLIBRARIES = $(noinst_LTLIBRARIES)
+libip_la_LIBADD =
+am_libip_la_OBJECTS = IpAddress.lo IpIntercept.lo QosConfig.lo
+libip_la_OBJECTS = $(am_libip_la_OBJECTS)
+testHeaders_SOURCES = testHeaders.c
+testHeaders_OBJECTS = testHeaders.$(OBJEXT)
+testHeaders_LDADD = $(LDADD)
+am_testIpAddress_OBJECTS = testIpAddress.$(OBJEXT)
+nodist_testIpAddress_OBJECTS = testMain.$(OBJEXT)
+testIpAddress_OBJECTS = $(am_testIpAddress_OBJECTS) \
+	$(nodist_testIpAddress_OBJECTS)
+testIpAddress_DEPENDENCIES = libip.la
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
+depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
+am__depfiles_maybe = depfiles
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
+	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+	$(AM_CFLAGS) $(CFLAGS)
+CCLD = $(CC)
+LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
+	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
+	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+	$(AM_CXXFLAGS) $(CXXFLAGS)
+CXXLD = $(CXX)
+CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
+	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
+SOURCES = $(libip_la_SOURCES) testHeaders.c $(testIpAddress_SOURCES) \
+	$(nodist_testIpAddress_SOURCES)
+DIST_SOURCES = $(libip_la_SOURCES) testHeaders.c \
+	$(testIpAddress_SOURCES)
+ETAGS = etags
+CTAGS = ctags
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+ADAPTATION_LIBS = @ADAPTATION_LIBS@
+ALLOCA = @ALLOCA@
+AMDEP_FALSE = @AMDEP_FALSE@
+AMDEP_TRUE = @AMDEP_TRUE@
+AMTAR = @AMTAR@
+AR = @AR@
+AR_R = @AR_R@
+AUTH_LIBS = @AUTH_LIBS@
+AUTH_LINKOBJS = @AUTH_LINKOBJS@
+AUTH_MODULES = @AUTH_MODULES@
+AUTH_OBJS = @AUTH_OBJS@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
+CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
+CACHE_ICP_PORT = @CACHE_ICP_PORT@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CGIEXT = @CGIEXT@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CPPUNITCONFIG = @CPPUNITCONFIG@
+CRYPTLIB = @CRYPTLIB@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
+DISK_LIBS = @DISK_LIBS@
+DISK_LINKOBJS = @DISK_LINKOBJS@
+DISK_MODULES = @DISK_MODULES@
+DISK_PROGRAMS = @DISK_PROGRAMS@
+DSYMUTIL = @DSYMUTIL@
+ECAP_LIBS = @ECAP_LIBS@
+ECHO = @ECHO@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+ENABLE_ARP_ACL_FALSE = @ENABLE_ARP_ACL_FALSE@
+ENABLE_ARP_ACL_TRUE = @ENABLE_ARP_ACL_TRUE@
+ENABLE_HTCP_FALSE = @ENABLE_HTCP_FALSE@
+ENABLE_HTCP_TRUE = @ENABLE_HTCP_TRUE@
+ENABLE_IDENT_FALSE = @ENABLE_IDENT_FALSE@
+ENABLE_IDENT_TRUE = @ENABLE_IDENT_TRUE@
+ENABLE_PINGER_FALSE = @ENABLE_PINGER_FALSE@
+ENABLE_PINGER_TRUE = @ENABLE_PINGER_TRUE@
+ENABLE_SSL_FALSE = @ENABLE_SSL_FALSE@
+ENABLE_SSL_TRUE = @ENABLE_SSL_TRUE@
+ENABLE_UNLINKD_FALSE = @ENABLE_UNLINKD_FALSE@
+ENABLE_UNLINKD_TRUE = @ENABLE_UNLINKD_TRUE@
+ENABLE_WIN32SPECIFIC_FALSE = @ENABLE_WIN32SPECIFIC_FALSE@
+ENABLE_WIN32SPECIFIC_TRUE = @ENABLE_WIN32SPECIFIC_TRUE@
+ENABLE_XPROF_STATS_FALSE = @ENABLE_XPROF_STATS_FALSE@
+ENABLE_XPROF_STATS_TRUE = @ENABLE_XPROF_STATS_TRUE@
+EPOLL_LIBS = @EPOLL_LIBS@
+EXEEXT = @EXEEXT@
+EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
+F77 = @F77@
+FALSE = @FALSE@
+FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICAP_LIBS = @ICAP_LIBS@
+INCLTDL = @INCLTDL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBADD_DL = @LIBADD_DL@
+LIBLTDL = @LIBLTDL@
+LIBOBJS = @LIBOBJS@
+LIBREGEX = @LIBREGEX@
+LIBS = @LIBS@
+LIBSASL = @LIBSASL@
+LIBTOOL = @LIBTOOL@
+LIB_DB = @LIB_DB@
+LIB_LBER = @LIB_LBER@
+LIB_LDAP = @LIB_LDAP@
+LN = @LN@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAINT = @MAINT@
+MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
+MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
+MAKEINFO = @MAKEINFO@
+MAKE_LEAKFINDER_FALSE = @MAKE_LEAKFINDER_FALSE@
+MAKE_LEAKFINDER_TRUE = @MAKE_LEAKFINDER_TRUE@
+MINGW_LIBS = @MINGW_LIBS@
+MKDIR = @MKDIR@
+MV = @MV@
+NEED_OWN_STRSEP_FALSE = @NEED_OWN_STRSEP_FALSE@
+NEED_OWN_STRSEP_TRUE = @NEED_OWN_STRSEP_TRUE@
+NEED_OWN_STRTOLL_FALSE = @NEED_OWN_STRTOLL_FALSE@
+NEED_OWN_STRTOLL_TRUE = @NEED_OWN_STRTOLL_TRUE@
+NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NMEDIT = @NMEDIT@
+NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
+OBJEXT = @OBJEXT@
+OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PERL = @PERL@
+PO2HTML = @PO2HTML@
+RANLIB = @RANLIB@
+REGEXLIB = @REGEXLIB@
+REPL_LIBS = @REPL_LIBS@
+REPL_OBJS = @REPL_OBJS@
+REPL_POLICIES = @REPL_POLICIES@
+RM = @RM@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SH = @SH@
+SHELL = @SHELL@
+SNMPLIB = @SNMPLIB@
+SQUID_CFLAGS = @SQUID_CFLAGS@
+SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
+SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
+SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
+SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
+SSLLIB = @SSLLIB@
+STORE_LIBS = @STORE_LIBS@
+STORE_LINKOBJS = @STORE_LINKOBJS@
+STORE_OBJS = @STORE_OBJS@
+STORE_TESTS = @STORE_TESTS@
+STRIP = @STRIP@
+TRUE = @TRUE@
+USE_ADAPTATION_FALSE = @USE_ADAPTATION_FALSE@
+USE_ADAPTATION_TRUE = @USE_ADAPTATION_TRUE@
+USE_AIOPS_WIN32_FALSE = @USE_AIOPS_WIN32_FALSE@
+USE_AIOPS_WIN32_TRUE = @USE_AIOPS_WIN32_TRUE@
+USE_AIO_WIN32_FALSE = @USE_AIO_WIN32_FALSE@
+USE_AIO_WIN32_TRUE = @USE_AIO_WIN32_TRUE@
+USE_DELAY_POOLS_FALSE = @USE_DELAY_POOLS_FALSE@
+USE_DELAY_POOLS_TRUE = @USE_DELAY_POOLS_TRUE@
+USE_DEVPOLL_FALSE = @USE_DEVPOLL_FALSE@
+USE_DEVPOLL_TRUE = @USE_DEVPOLL_TRUE@
+USE_DNSSERVER_FALSE = @USE_DNSSERVER_FALSE@
+USE_DNSSERVER_TRUE = @USE_DNSSERVER_TRUE@
+USE_ECAP_FALSE = @USE_ECAP_FALSE@
+USE_ECAP_TRUE = @USE_ECAP_TRUE@
+USE_EPOLL_FALSE = @USE_EPOLL_FALSE@
+USE_EPOLL_TRUE = @USE_EPOLL_TRUE@
+USE_ESI_FALSE = @USE_ESI_FALSE@
+USE_ESI_TRUE = @USE_ESI_TRUE@
+USE_ICAP_CLIENT_FALSE = @USE_ICAP_CLIENT_FALSE@
+USE_ICAP_CLIENT_TRUE = @USE_ICAP_CLIENT_TRUE@
+USE_IPC_WIN32_FALSE = @USE_IPC_WIN32_FALSE@
+USE_IPC_WIN32_TRUE = @USE_IPC_WIN32_TRUE@
+USE_KQUEUE_FALSE = @USE_KQUEUE_FALSE@
+USE_KQUEUE_TRUE = @USE_KQUEUE_TRUE@
+USE_LOADABLE_MODULES_FALSE = @USE_LOADABLE_MODULES_FALSE@
+USE_LOADABLE_MODULES_TRUE = @USE_LOADABLE_MODULES_TRUE@
+USE_POLL_FALSE = @USE_POLL_FALSE@
+USE_POLL_TRUE = @USE_POLL_TRUE@
+USE_SELECT_FALSE = @USE_SELECT_FALSE@
+USE_SELECT_SIMPLE_FALSE = @USE_SELECT_SIMPLE_FALSE@
+USE_SELECT_SIMPLE_TRUE = @USE_SELECT_SIMPLE_TRUE@
+USE_SELECT_TRUE = @USE_SELECT_TRUE@
+USE_SELECT_WIN32_FALSE = @USE_SELECT_WIN32_FALSE@
+USE_SELECT_WIN32_TRUE = @USE_SELECT_WIN32_TRUE@
+USE_SNMP_FALSE = @USE_SNMP_FALSE@
+USE_SNMP_TRUE = @USE_SNMP_TRUE@
+VERSION = @VERSION@
+WIN32_PSAPI = @WIN32_PSAPI@
+XTRA_LIBS = @XTRA_LIBS@
+XTRA_OBJS = @XTRA_OBJS@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_F77 = @ac_ct_F77@
+am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
+am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
+am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
+am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+makesnmplib = @makesnmplib@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+subdirs = @subdirs@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+
+# Housekeeping, shared by all Squid Makefiles.
+# TODO: make this set by configure?
+AM_CFLAGS = @SQUID_CFLAGS@
+AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
+INCLUDES = -I$(top_srcdir)/src @SQUID_CPPUNIT_INC@ -I$(top_srcdir)/include -I$(top_builddir)/lib
+
+# IP Specific Configurations
+noinst_LTLIBRARIES = libip.la
+libip_la_SOURCES = \
+	IpAddress.h \
+	IpAddress.cc \
+	IpIntercept.h \
+	IpIntercept.cc \
+	QosConfig.h \
+	QosConfig.cc
+
+TESTS = $(check_PROGRAMS)
+testIpAddress_SOURCES = \
+	testIpAddress.cc \
+	testIpAddress.h
+
+nodist_testIpAddress_SOURCES = \
+	../tests/testMain.cc
+
+testIpAddress_LDADD = \
+	libip.la \
+	-L$(top_builddir)/lib -lmiscutil \
+	@SQUID_CPPUNIT_LA@ \
+	@SQUID_CPPUNIT_LIBS@
+
+testIpAddress_LDFLAGS = $(LIBADD_DL)
+all: all-am
+
+.SUFFIXES:
+.SUFFIXES: .c .cc .lo .o .obj
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+		&& exit 0; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/ip/Makefile'; \
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign  src/ip/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+clean-noinstLTLIBRARIES:
+	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
+	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
+	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
+	  test "$$dir" != "$$p" || dir=.; \
+	  echo "rm -f \"$${dir}/so_locations\""; \
+	  rm -f "$${dir}/so_locations"; \
+	done
+libip.la: $(libip_la_OBJECTS) $(libip_la_DEPENDENCIES) 
+	$(CXXLINK)  $(libip_la_LDFLAGS) $(libip_la_OBJECTS) $(libip_la_LIBADD) $(LIBS)
+
+clean-checkPROGRAMS:
+	@list='$(check_PROGRAMS)'; for p in $$list; do \
+	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
+	  echo " rm -f $$p $$f"; \
+	  rm -f $$p $$f ; \
+	done
+testIpAddress$(EXEEXT): $(testIpAddress_OBJECTS) $(testIpAddress_DEPENDENCIES) 
+	@rm -f testIpAddress$(EXEEXT)
+	$(CXXLINK) $(testIpAddress_LDFLAGS) $(testIpAddress_OBJECTS) $(testIpAddress_LDADD) $(LIBS)
+
+mostlyclean-compile:
+	-rm -f *.$(OBJEXT)
+
+distclean-compile:
+	-rm -f *.tab.c
+
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IpAddress.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IpIntercept.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/QosConfig.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testHeaders.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testIpAddress.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testMain.Po@am__quote@
+
+.c.o:
+@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(COMPILE) -c $<
+
+.c.obj:
+@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
+
+.c.lo:
+@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
+
+.cc.o:
+@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<
+
+.cc.obj:
+@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
+
+.cc.lo:
+@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
+
+testMain.o: ../tests/testMain.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testMain.o -MD -MP -MF "$(DEPDIR)/testMain.Tpo" -c -o testMain.o `test -f '../tests/testMain.cc' || echo '$(srcdir)/'`../tests/testMain.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testMain.Tpo" "$(DEPDIR)/testMain.Po"; else rm -f "$(DEPDIR)/testMain.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../tests/testMain.cc' object='testMain.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testMain.o `test -f '../tests/testMain.cc' || echo '$(srcdir)/'`../tests/testMain.cc
+
+testMain.obj: ../tests/testMain.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testMain.obj -MD -MP -MF "$(DEPDIR)/testMain.Tpo" -c -o testMain.obj `if test -f '../tests/testMain.cc'; then $(CYGPATH_W) '../tests/testMain.cc'; else $(CYGPATH_W) '$(srcdir)/../tests/testMain.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testMain.Tpo" "$(DEPDIR)/testMain.Po"; else rm -f "$(DEPDIR)/testMain.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../tests/testMain.cc' object='testMain.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testMain.obj `if test -f '../tests/testMain.cc'; then $(CYGPATH_W) '../tests/testMain.cc'; else $(CYGPATH_W) '$(srcdir)/../tests/testMain.cc'; fi`
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+
+distclean-libtool:
+	-rm -f libtool
+uninstall-info-am:
+
+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
+	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	mkid -fID $$unique
+tags: TAGS
+
+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
+	  test -n "$$unique" || unique=$$empty_fix; \
+	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	    $$tags $$unique; \
+	fi
+ctags: CTAGS
+CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	test -z "$(CTAGS_ARGS)$$tags$$unique" \
+	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
+	     $$tags $$unique
+
+GTAGS:
+	here=`$(am__cd) $(top_builddir) && pwd` \
+	  && cd $(top_srcdir) \
+	  && gtags -i $(GTAGS_ARGS) $$here
+
+distclean-tags:
+	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
+
+check-TESTS: $(TESTS)
+	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
+	srcdir=$(srcdir); export srcdir; \
+	list='$(TESTS)'; \
+	if test -n "$$list"; then \
+	  for tst in $$list; do \
+	    if test -f ./$$tst; then dir=./; \
+	    elif test -f $$tst; then dir=; \
+	    else dir="$(srcdir)/"; fi; \
+	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
+	      all=`expr $$all + 1`; \
+	      case " $(XFAIL_TESTS) " in \
+	      *" $$tst "*) \
+		xpass=`expr $$xpass + 1`; \
+		failed=`expr $$failed + 1`; \
+		echo "XPASS: $$tst"; \
+	      ;; \
+	      *) \
+		echo "PASS: $$tst"; \
+	      ;; \
+	      esac; \
+	    elif test $$? -ne 77; then \
+	      all=`expr $$all + 1`; \
+	      case " $(XFAIL_TESTS) " in \
+	      *" $$tst "*) \
+		xfail=`expr $$xfail + 1`; \
+		echo "XFAIL: $$tst"; \
+	      ;; \
+	      *) \
+		failed=`expr $$failed + 1`; \
+		echo "FAIL: $$tst"; \
+	      ;; \
+	      esac; \
+	    else \
+	      skip=`expr $$skip + 1`; \
+	      echo "SKIP: $$tst"; \
+	    fi; \
+	  done; \
+	  if test "$$failed" -eq 0; then \
+	    if test "$$xfail" -eq 0; then \
+	      banner="All $$all tests passed"; \
+	    else \
+	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
+	    fi; \
+	  else \
+	    if test "$$xpass" -eq 0; then \
+	      banner="$$failed of $$all tests failed"; \
+	    else \
+	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
+	    fi; \
+	  fi; \
+	  dashes="$$banner"; \
+	  skipped=""; \
+	  if test "$$skip" -ne 0; then \
+	    skipped="($$skip tests were not run)"; \
+	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
+	      dashes="$$skipped"; \
+	  fi; \
+	  report=""; \
+	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
+	    report="Please report to $(PACKAGE_BUGREPORT)"; \
+	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
+	      dashes="$$report"; \
+	  fi; \
+	  dashes=`echo "$$dashes" | sed s/./=/g`; \
+	  echo "$$dashes"; \
+	  echo "$$banner"; \
+	  test -z "$$skipped" || echo "$$skipped"; \
+	  test -z "$$report" || echo "$$report"; \
+	  echo "$$dashes"; \
+	  test "$$failed" -eq 0; \
+	else :; fi
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+	list='$(DISTFILES)'; for file in $$list; do \
+	  case $$file in \
+	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+	  esac; \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+	    dir="/$$dir"; \
+	    $(mkdir_p) "$(distdir)$$dir"; \
+	  else \
+	    dir=''; \
+	  fi; \
+	  if test -d $$d/$$file; then \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
+	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
+check: check-am
+all-am: Makefile $(LTLIBRARIES)
+installdirs:
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
+	clean-noinstLTLIBRARIES mostlyclean-am
+
+distclean: distclean-am
+	-rm -rf ./$(DEPDIR)
+	-rm -f Makefile
+distclean-am: clean-am distclean-compile distclean-generic \
+	distclean-libtool distclean-tags
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-exec-am:
+
+install-info: install-info-am
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -rf ./$(DEPDIR)
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
+	mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-info-am
+
+.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
+	clean-checkPROGRAMS clean-generic clean-libtool \
+	clean-noinstLTLIBRARIES ctags distclean distclean-compile \
+	distclean-generic distclean-libtool distclean-tags distdir dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-exec install-exec-am \
+	install-info install-info-am install-man install-strip \
+	installcheck installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	tags uninstall uninstall-am uninstall-info-am
+
+$(OBJS): $(top_srcdir)/include/version.h $(top_srcdir)/include/autoconf.h
+
+testHeaders: $(top_srcdir)/src/ip/*.h
+	$(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" "$(top_srcdir)/src/ip/" || exit 1
+
+testHeaders.c:
+	touch testHeaders.c
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff -u -r -N squid-3.1.0.3/src/ip/QosConfig.cc squid-3.1.0.4/src/ip/QosConfig.cc
--- squid-3.1.0.3/src/ip/QosConfig.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/QosConfig.cc	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,81 @@
+#include "squid.h"
+
+#if USE_ZPH_QOS
+
+#include "QosConfig.h"
+
+QosConfig::QosConfig() : 
+	tos_local_hit(0),
+	tos_sibling_hit(0),
+	tos_parent_hit(0),
+	preserve_miss_tos(1),
+	preserve_miss_tos_mask(255)
+{
+    ;
+}
+
+void
+QosConfig::parseConfigLine()
+{
+    // %i honors 0 and 0x prefixes, which are important for things like umask
+    /* parse options ... */
+    char *token;
+    while( (token = strtok(NULL, w_space)) ) {
+
+        if(strncmp(token, "local-hit=",10) == 0) {
+            sscanf(&token[10], "%i", &tos_local_hit);
+        }
+        else if(strncmp(token, "sibling-hit=",12) == 0) {
+            sscanf(&token[12], "%i", &tos_sibling_hit);
+        }
+        else if(strncmp(token, "parent-hit=",11) == 0) {
+            sscanf(&token[11], "%i", &tos_parent_hit);
+        }
+        else if(strcmp(token, "disable-preserve-miss") == 0) {
+            preserve_miss_tos = 0;
+            preserve_miss_tos_mask = 0;
+        }
+        else if(preserve_miss_tos && strncmp(token, "miss-mask=",10) == 0) {
+            sscanf(&token[10], "%i", &preserve_miss_tos_mask);
+        }
+    }
+}
+
+/**
+ * NOTE: Due to the low-level nature of the library these
+ * objects are part of the dump function must be self-contained.
+ * which means no StoreEntry refrences. Just a basic char* buffer.
+ */
+void
+QosConfig::dumpConfigLine(char *entry, const char *name) const
+{
+    char *p = entry;
+    snprintf(p, 10, "%s", name); // strlen("qos_flows ");
+    p += strlen(name);
+
+    if (tos_local_hit >0) {
+        snprintf(p, 15, " local-hit=%2x", tos_local_hit);
+        p += 15;
+    }
+
+    if (tos_sibling_hit >0) {
+        snprintf(p, 17, " sibling-hit=%2x", tos_sibling_hit);
+        p += 17;
+    }
+    if (tos_parent_hit >0) {
+        snprintf(p, 16, " parent-hit=%2x", tos_parent_hit);
+        p += 16;
+    }
+    if (preserve_miss_tos != 0) {
+        snprintf(p, 22, " disable-preserve-miss");
+        p += 22;
+    }
+    if (preserve_miss_tos && preserve_miss_tos_mask != 0) {
+        snprintf(p, 15, " miss-mask=%2x", preserve_miss_tos_mask);
+        p += 15;
+    }
+    snprintf(p, 1, "\n");
+//    p += 1;
+}
+
+#endif /* USE_ZPH_QOS */
diff -u -r -N squid-3.1.0.3/src/ip/QosConfig.h squid-3.1.0.4/src/ip/QosConfig.h
--- squid-3.1.0.3/src/ip/QosConfig.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/QosConfig.h	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,35 @@
+#ifndef SQUID_QOSCONFIG_H
+#define SQUID_QOSCONFIG_H
+
+#include "config.h"
+
+#if USE_ZPH_QOS
+
+class QosConfig
+{
+public:
+    int tos_local_hit;
+    int tos_sibling_hit;
+    int tos_parent_hit;
+    int preserve_miss_tos;
+    int preserve_miss_tos_mask;
+
+public:
+    QosConfig();
+    ~QosConfig() {};
+
+    void parseConfigLine();
+    void dumpConfigLine(char *entry, const char *name) const;
+};
+
+/* legacy parser access wrappers */
+#define parse_QosConfig(X)	(X)->parseConfigLine()
+#define free_QosConfig(X)
+#define dump_QosConfig(e,n,X) do { \
+		char temp[256]; /* random number. change as needed. max config line length. */ \
+		(X).dumpConfigLine(temp,n); \
+	        storeAppendPrintf(e, "%s", temp); \
+	} while(0);
+
+#endif /* USE_ZPH_QOS */
+#endif /* SQUID_QOSCONFIG_H */
diff -u -r -N squid-3.1.0.3/src/ip/stubQosConfig.cc squid-3.1.0.4/src/ip/stubQosConfig.cc
--- squid-3.1.0.3/src/ip/stubQosConfig.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/stubQosConfig.cc	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,51 @@
+#include "squid.h"
+
+#if USE_ZPH_QOS
+
+#include "QosConfig.h"
+#include "Store.h"
+
+QosConfig::QosConfig() : 
+	tos_local_hit(0),
+	tos_sibling_hit(0),
+	tos_parent_hit(0),
+	preserve_miss_tos(1),
+	preserve_miss_tos_mask(255)
+{
+    ;
+}
+
+void
+QosConfig::parseConfigLine()
+{
+    // %i honors 0 and 0x prefixes, which are important for things like umask
+    /* parse options ... */
+    char *token;
+    while( (token = strtok(NULL, w_space)) ) {
+
+        if(strncmp(token, "local-hit=",10) == 0) {
+            sscanf(&token[10], "%i", &tos_local_hit);
+        }
+        else if(strncmp(token, "sibling-hit=",12) == 0) {
+            sscanf(&token[12], "%i", &tos_sibling_hit);
+        }
+        else if(strncmp(token, "parent-hit=",11) == 0) {
+            sscanf(&token[11], "%i", &tos_parent_hit);
+        }
+        else if(strcmp(token, "disable-preserve-miss") == 0) {
+            preserve_miss_tos = 0;
+            preserve_miss_tos_mask = 0;
+        }
+        else if(preserve_miss_tos && strncmp(token, "miss-mask=",10) == 0) {
+            sscanf(&token[10], "%i", &preserve_miss_tos_mask);
+        }
+    }
+}
+
+void
+QosConfig::dumpConfigLine(char *entry, const char *name) const
+{
+    ; /* Not needed in stub */
+}
+
+#endif /* USE_ZPH_QOS */
diff -u -r -N squid-3.1.0.3/src/ip/testIpAddress.cc squid-3.1.0.4/src/ip/testIpAddress.cc
--- squid-3.1.0.3/src/ip/testIpAddress.cc	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/testIpAddress.cc	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,756 @@
+#include "config.h"
+
+#include <stdexcept>
+#include <cstring>
+#include <netinet/in.h>
+#include <arpa/inet.h>
+#include <netdb.h>
+#include <string>
+
+#include "testIpAddress.h"
+#include "ip/IpAddress.h"
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testIpAddress );
+
+/* so that we don't break POD dependency just for the test */
+struct timeval current_time;
+double current_dtime;
+time_t squid_curtime = 0;
+
+
+void
+testIpAddress::testDefaults()
+{
+    IpAddress anIPA;
+
+    /* test stored values */
+    CPPUNIT_ASSERT( anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+#if USE_IPV6
+    CPPUNIT_ASSERT( anIPA.IsIPv6() );
+#else
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+#endif
+}
+
+void
+testIpAddress::testInAddrConstructor()
+{
+    struct in_addr inval;
+    struct in_addr outval;
+
+    inval.s_addr = htonl(0xC0A8640C);
+    outval.s_addr = htonl(0x00000000);
+
+    IpAddress anIPA(inval);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp(&inval, &outval, sizeof(struct in_addr)) == 0 );
+}
+
+#if USE_IPV6
+void
+testIpAddress::testInAddr6Constructor()
+{
+    struct in6_addr inval;
+    struct in6_addr outval = IN6ADDR_ANY_INIT;
+
+    inval.s6_addr32[0] = htonl(0xC0A8640C);
+    inval.s6_addr32[1] = htonl(0xFFFFFFFF);
+    inval.s6_addr32[2] = htonl(0xFFFFFFFF);
+    inval.s6_addr32[3] = htonl(0xFFFFFFFF);
+
+    IpAddress anIPA(inval);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( anIPA.IsIPv6() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &inval, &outval, sizeof(struct in6_addr)) == 0 );
+}
+#endif
+
+void
+testIpAddress::testSockAddrConstructor()
+{
+    struct sockaddr_in insock;
+    struct sockaddr_in outsock;
+
+    memset(&insock,  0, sizeof(struct sockaddr_in));
+    memset(&outsock, 0, sizeof(struct sockaddr_in));
+
+    insock.sin_family = AF_INET;
+    insock.sin_port = htons(80);
+    insock.sin_addr.s_addr = htonl(0xC0A8640C);
+#if HAVE_SIN_LEN_IN_SAI
+    insock.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+    IpAddress anIPA((const struct sockaddr_in)insock);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT( anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 80 , anIPA.GetPort() );
+    anIPA.GetSockAddr(outsock);
+    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
+}
+
+#if USE_IPV6
+void
+testIpAddress::testSockAddr6Constructor()
+{
+    struct sockaddr_in6 insock;
+    struct sockaddr_in6 outsock;
+
+    memset(&insock, 0, sizeof(struct sockaddr_in6));
+    memset(&outsock, 0, sizeof(struct sockaddr_in6));
+
+    insock.sin6_family = AF_INET6;
+    insock.sin6_port = htons(80);
+    insock.sin6_addr.s6_addr32[0] = htonl(0xFFFFFFFF);
+    insock.sin6_addr.s6_addr32[1] = htonl(0x00000000);
+    insock.sin6_addr.s6_addr32[2] = htonl(0x0000FFFF);
+    insock.sin6_addr.s6_addr32[3] = htonl(0xC0A8640C);
+#if HAVE_SIN6_LEN_IN_SAI
+    insock.sin6_len = sizeof(struct sockaddr_in6);
+#endif
+
+    IpAddress anIPA((const struct sockaddr_in6)insock);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( anIPA.IsIPv6() );
+    CPPUNIT_ASSERT( anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 80 , anIPA.GetPort() );
+    anIPA.GetSockAddr(outsock);
+    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in6)) == 0 );
+}
+#endif
+
+
+void
+testIpAddress::testCopyConstructor()
+{
+    struct sockaddr_in insock;
+    struct sockaddr_in outsock;
+
+    memset(&insock,  0, sizeof(struct sockaddr_in));
+    memset(&outsock, 0, sizeof(struct sockaddr_in));
+
+    insock.sin_family = AF_INET;
+    insock.sin_port = htons(80);
+    insock.sin_addr.s_addr = htonl(0xC0A8640C);
+#if HAVE_SIN_LEN_IN_SAI
+    insock.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+    IpAddress inIPA(insock);
+    IpAddress outIPA(inIPA);
+
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !outIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !outIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( outIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !outIPA.IsIPv6() );
+    CPPUNIT_ASSERT( outIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 80 , outIPA.GetPort() );
+    outIPA.GetSockAddr(outsock);
+    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
+}
+
+void
+testIpAddress::testHostentConstructor()
+{
+    struct hostent *hp = NULL;
+    struct in_addr outval;
+    struct in_addr expectval;
+
+    expectval.s_addr = htonl(0xC0A8640C);
+
+    hp = gethostbyname("192.168.100.12");
+    CPPUNIT_ASSERT( hp != NULL /* gethostbyname failure.*/ );
+
+    IpAddress anIPA(*hp);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+}
+
+void
+testIpAddress::testStringConstructor()
+{
+    struct in_addr outval;
+    struct in_addr expectval;
+
+    expectval.s_addr = htonl(0xC0A8640C);
+
+    IpAddress anIPA = "192.168.100.12";
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+#if USE_IPV6
+    struct in6_addr expectv6;
+    struct in6_addr outval6;
+
+    expectv6.s6_addr32[0] = htonl(0x20000800);
+    expectv6.s6_addr32[1] = htonl(0x00000000);
+    expectv6.s6_addr32[2] = htonl(0x00000000);
+    expectv6.s6_addr32[3] = htonl(0x00000045);
+
+    IpAddress bnIPA = "2000:800::45";
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !bnIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !bnIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( !bnIPA.IsIPv4() );
+    CPPUNIT_ASSERT(  bnIPA.IsIPv6() );
+    CPPUNIT_ASSERT( !bnIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , bnIPA.GetPort() );
+    bnIPA.GetInAddr(outval6);
+    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
+
+    /* test IPv6 as an old netmask format. This is invalid but sometimes use. */
+    IpAddress cnIPA = "ffff:ffff:fff0::";
+
+    expectv6.s6_addr32[0] = htonl(0xFFFFFFFF);
+    expectv6.s6_addr32[1] = htonl(0xFFF00000);
+    expectv6.s6_addr32[2] = htonl(0x00000000);
+    expectv6.s6_addr32[3] = htonl(0x00000000);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !cnIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !cnIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( !cnIPA.IsIPv4() );
+    CPPUNIT_ASSERT( cnIPA.IsIPv6() );
+    CPPUNIT_ASSERT( !cnIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , cnIPA.GetPort() );
+    cnIPA.GetInAddr(outval6);
+    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
+#endif
+}
+
+void
+testIpAddress::testSetEmpty()
+{
+    IpAddress anIPA;
+    struct in_addr inval;
+
+    inval.s_addr = htonl(0xC0A8640C);
+
+    anIPA = inval;
+
+    /* test stored values before empty */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+
+    anIPA.SetEmpty();
+
+    /* test stored values after empty */
+    CPPUNIT_ASSERT( anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+#if USE_IPV6
+    CPPUNIT_ASSERT( anIPA.IsIPv6() );
+#else
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+#endif
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+}
+
+void
+testIpAddress::testBooleans()
+{
+    IpAddress lhsIPA;
+    IpAddress rhsIPA;
+    struct in_addr valLow;
+    struct in_addr valHigh;
+
+    valLow.s_addr  = htonl(0xC0A8640C);
+    valHigh.s_addr = htonl(0xC0A8640F);
+
+    /* test equality */
+    lhsIPA = valLow;
+    rhsIPA = valLow;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
+    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+    /* test inequality (less than) */
+    lhsIPA = valLow;
+    rhsIPA = valHigh;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
+
+    /* test inequality (greater than) */
+    lhsIPA = valHigh;
+    rhsIPA = valLow;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+}
+
+void
+testIpAddress::testNtoA()
+{
+    struct in_addr inval;
+    char buf[MAX_IPSTRLEN];
+    IpAddress anIPA;
+
+    anIPA.SetAnyAddr();
+
+    /* test AnyAddr display values */
+#if USE_IPV6
+    CPPUNIT_ASSERT( memcmp("::", anIPA.NtoA(buf,MAX_IPSTRLEN), 2) == 0 );
+#else
+    CPPUNIT_ASSERT( memcmp("0.0.0.0",anIPA.NtoA(buf,MAX_IPSTRLEN), 7) == 0 );
+#endif
+
+    inval.s_addr = htonl(0xC0A8640C);
+    anIPA = inval;
+
+    /* test IP display */
+    CPPUNIT_ASSERT( memcmp("192.168.100.12",anIPA.NtoA(buf,MAX_IPSTRLEN), 14) == 0 );
+
+    anIPA.SetNoAddr();
+
+    /* test NoAddr display values */
+#if USE_IPV6
+    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",anIPA.NtoA(buf,MAX_IPSTRLEN), 39) == 0 );
+#else
+    CPPUNIT_ASSERT( memcmp("255.255.255.255",anIPA.NtoA(buf,MAX_IPSTRLEN), 15) == 0 );
+#endif
+}
+
+void
+testIpAddress::testToURL_fromInAddr()
+{
+    char buf[MAX_IPSTRLEN];
+    buf[0] = '\0';
+    struct in_addr inval;
+
+    inval.s_addr = htonl(0xC0A8640C);
+
+    IpAddress anIPA(inval);
+
+    /* test values */
+    anIPA.ToURL(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("192.168.100.12", buf, 14) == 0 );
+
+#if USE_IPV6
+
+    /* test output when constructed from in6_addr with IPv6 */
+    struct in6_addr ip6val;
+
+    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
+    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
+
+    IpAddress bnIPA(ip6val);
+
+    bnIPA.ToURL(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]", buf, 41) == 0 );
+
+#endif
+}
+
+void
+testIpAddress::testToURL_fromSockAddr()
+{
+    struct sockaddr_in sock;
+    sock.sin_addr.s_addr = htonl(0xC0A8640C);
+    sock.sin_port = htons(80);
+    sock.sin_family = AF_INET;
+#if HAVE_SIN_LEN_IN_SAI
+    sock.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+    IpAddress anIPA(sock);
+    char buf[MAX_IPSTRLEN];
+
+    /* test values */
+    anIPA.ToURL(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("192.168.100.12:80", buf, 17) == 0 );
+
+#if USE_IPV6
+
+    /* test output when constructed from in6_addr with IPv6 */
+    struct sockaddr_in6 ip6val;
+
+    ip6val.sin6_addr.s6_addr32[0] = htonl(0xC0A8640C);
+    ip6val.sin6_addr.s6_addr32[1] = htonl(0xFFFFFFFF);
+    ip6val.sin6_addr.s6_addr32[2] = htonl(0xFFFFFFFF);
+    ip6val.sin6_addr.s6_addr32[3] = htonl(0xFFFFFFFF);
+    ip6val.sin6_port = htons(80);
+    ip6val.sin6_family = AF_INET6;
+#if HAVE_SIN6_LEN_IN_SAI
+    ip6val.sin6_len = sizeof(struct sockaddr_in6);
+#endif
+
+    IpAddress bnIPA(ip6val);
+
+    bnIPA.ToURL(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]:80", buf, 44) == 0 );
+
+#endif
+
+}
+
+void
+testIpAddress::testGetReverseString()
+{
+    char buf[MAX_IPSTRLEN];
+
+    struct in_addr ipv4val;
+    ipv4val.s_addr = htonl(0xC0A8640C);
+
+    IpAddress v4IPA(ipv4val);
+
+    /* test IPv4 output */
+    v4IPA.GetReverseString(buf);
+    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
+
+    v4IPA.GetReverseString(buf,AF_INET);
+    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
+
+    v4IPA.GetReverseString(buf,AF_INET6);
+    CPPUNIT_ASSERT( memcmp("",buf, 1) == 0 );
+
+
+#if USE_IPV6
+    struct in6_addr ip6val;
+
+    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
+    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
+
+    IpAddress v6IPA(ip6val);
+
+    /* test IPv6 output */
+    v6IPA.GetReverseString(buf);
+    CPPUNIT_ASSERT( memcmp("f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.c.0.4.6.8.a.0.c.ip6.arpa.",buf,73) == 0 );
+
+#endif
+
+}
+
+void
+testIpAddress::testMasking()
+{
+    char buf[MAX_IPSTRLEN];
+    IpAddress anIPA;
+    IpAddress maskIPA;
+
+    /* Test Basic CIDR Routine */
+    anIPA.SetAnyAddr();
+    CPPUNIT_ASSERT_EQUAL( 0 ,anIPA.GetCIDR() );
+
+    anIPA.SetNoAddr();
+#if USE_IPV6
+    CPPUNIT_ASSERT_EQUAL( 128 , anIPA.GetCIDR() );
+#else
+    CPPUNIT_ASSERT_EQUAL( 32 , anIPA.GetCIDR() );
+#endif
+
+    /* Test Numeric ApplyCIDR */
+    anIPA.SetNoAddr();
+    CPPUNIT_ASSERT( !anIPA.ApplyMask(129) );
+#if !USE_IPV6
+    CPPUNIT_ASSERT( !anIPA.ApplyMask(33) );
+#endif
+    CPPUNIT_ASSERT( anIPA.ApplyMask(31) );
+    CPPUNIT_ASSERT_EQUAL( 31 , anIPA.GetCIDR() );
+
+    anIPA.SetNoAddr();
+    anIPA.ApplyMask(31, AF_INET);
+#if USE_IPV6
+    CPPUNIT_ASSERT_EQUAL( 127 , anIPA.GetCIDR() );
+#else
+    CPPUNIT_ASSERT_EQUAL( 31 , anIPA.GetCIDR() );
+#endif
+
+#if USE_IPV6
+    anIPA.SetNoAddr();
+    anIPA.ApplyMask(80,AF_INET6);
+    CPPUNIT_ASSERT_EQUAL( 80 , anIPA.GetCIDR() );
+    /* BUG Check: test values by display. */
+    CPPUNIT_ASSERT( anIPA.NtoA(buf,MAX_IPSTRLEN) != NULL );
+    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff::", buf, 26) == 0 );
+#endif
+
+    /* Test Network Bitmask from IpAddress */
+    anIPA.SetNoAddr();
+    maskIPA = "255.255.240.0";
+    CPPUNIT_ASSERT_EQUAL( 20 , maskIPA.GetCIDR() );
+    anIPA.ApplyMask(maskIPA);
+    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.GetCIDR() );
+
+    /* BUG Check: test values memory after masking. */
+    struct in_addr btest;
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    anIPA.GetInAddr(btest);
+    CPPUNIT_ASSERT_EQUAL( (uint32_t)htonl(0xFFFFF000) , btest.s_addr );
+
+    /* BUG Check failing test. Masked values for display. */
+    CPPUNIT_ASSERT( memcmp("255.255.240.0",anIPA.NtoA(buf,MAX_IPSTRLEN), 13) == 0 );
+
+
+#if USE_IPV6
+    anIPA.SetNoAddr();
+    maskIPA.SetNoAddr();
+
+    /* IPv6 masks MUST be CIDR representations. */
+    /* however as with IPv4 they can technically be represented as a bitmask */
+    maskIPA = "ffff:ffff:fff0::";
+    CPPUNIT_ASSERT( !maskIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !maskIPA.IsNoAddr() );
+    anIPA.ApplyMask(maskIPA);
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT_EQUAL( 44 , anIPA.GetCIDR() );
+
+    anIPA.SetNoAddr();
+    maskIPA.SetNoAddr();
+
+    /* IPv4 masks represented in IPv6 as IPv4 bitmasks. */
+    maskIPA = "::ffff:ffff:f000";
+    CPPUNIT_ASSERT( !maskIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !maskIPA.IsNoAddr() );
+    CPPUNIT_ASSERT(  maskIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !maskIPA.IsIPv6() );
+    anIPA.ApplyMask(maskIPA);
+    CPPUNIT_ASSERT( !maskIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !maskIPA.IsNoAddr() );
+    CPPUNIT_ASSERT(  maskIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !maskIPA.IsIPv6() );
+    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.GetCIDR() );
+#endif
+
+}
+
+void
+testIpAddress::testAddrInfo()
+{
+    struct addrinfo *expect;
+    struct addrinfo *ipval = NULL;
+    struct addrinfo hints;
+
+    memset(&hints, 0, sizeof(struct addrinfo));
+
+    hints.ai_flags = AI_NUMERICHOST;
+
+    IpAddress anIP = "127.0.0.1";
+
+    /* assert this just to check that getaddrinfo is working properly */
+    CPPUNIT_ASSERT( xgetaddrinfo("127.0.0.1", NULL, &hints, &expect ) == 0 );
+
+    anIP.GetAddrInfo(ipval);
+
+#if 0
+    /* display a byte-by-byte hex comparison of the addr cores */
+    unsigned int *p;
+    p = (unsigned int*)expect;
+    printf("\nSYS-ADDRINFO: %2x %2x %2x %2x %2x %2x",
+           p[0],p[1],p[2],p[3],p[4],p[5]);
+
+    p = (unsigned int*)ipval;
+    printf("\nSQD-ADDRINFO: %2x %2x %2x %2x %2x %2x",
+           p[0],p[1],p[2],p[3],p[4],p[5] );
+    printf("\n");
+#endif /*0*/
+
+    // check the addrinfo object core. (BUT not the two ptrs at the tail)
+    // details
+    CPPUNIT_ASSERT_EQUAL( expect->ai_flags, ipval->ai_flags );
+    CPPUNIT_ASSERT_EQUAL( expect->ai_family, ipval->ai_family );
+    // check the sockaddr it points to.
+    CPPUNIT_ASSERT_EQUAL( expect->ai_addrlen, ipval->ai_addrlen );
+
+#if 0
+    p = (unsigned int*)(expect->ai_addr);
+    printf("\nSYS-ADDR: (%d)  %x %x %x %x %x %x %x %x ...",
+           expect->ai_addrlen,
+           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
+
+    p = (unsigned int*)(ipval->ai_addr);
+    printf("\nSQD-ADDR: (%d) %x %x %x %x %x %x %x %x ...",
+           ipval->ai_addrlen,
+           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
+    printf("\n");
+#if HAVE_SS_LEN_IN_SS
+    printf("\nSYS SS_LEN=%d\nSQD SS_LEN=%d\n",((struct sockaddr_storage*)expect->ai_addr)->ss_len,
+           ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
+#endif
+#endif /*0*/
+
+#if USE_IPV6
+#if HAVE_SS_LEN_IN_SS
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_storage*)expect->ai_addr)->ss_len,
+                          ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_storage*)ipval->ai_addr)->ss_len, ipval->ai_addrlen );
+#endif
+#if HAVE_SIN6_LEN_IN_SAI
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_len,
+                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in6*)ipval->ai_addr)->sin6_len, ipval->ai_addrlen );
+#endif
+#if HAVE_SIN_LEN_IN_SAI
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_len,
+                          ((struct sockaddr_in*)ipval->ai_addr)->sin_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in*)ipval->ai_addr)->sin_len, ipval->ai_addrlen );
+#endif
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_family,
+                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_family );
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_port,
+                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_port );
+#else
+#if HAVE_SS_LEN_IN_SS
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_storage*)expect->ai_addr)->ss_len,
+                          ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_storage*)ipval->ai_addr)->ss_len, ipval->ai_addrlen );
+#endif
+#if HAVE_SIN_LEN_IN_SAI
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_len,
+                          ((struct sockaddr_in*)ipval->ai_addr)->sin_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in*)ipval->ai_addr)->sin_len, ipval->ai_addrlen );
+#endif
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_family,
+                          ((struct sockaddr_in*)ipval->ai_addr)->sin_family );
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_port,
+                          ((struct sockaddr_in*)ipval->ai_addr)->sin_port );
+#endif /* USE_IPV6 */
+
+    CPPUNIT_ASSERT( memcmp( expect->ai_addr, ipval->ai_addr, expect->ai_addrlen ) == 0 );
+
+    xfreeaddrinfo(expect);
+}
+
+void
+testIpAddress::testBugNullingDisplay()
+{
+    // Weird Bug: address set to empty during string conversion somewhere.
+    // initial string gets created and returned OK.
+    // but at the end of the process m_SocketAddr is left NULL'ed
+
+    char ntoabuf[MAX_IPSTRLEN];
+    char hostbuf[MAX_IPSTRLEN];
+    char urlbuf[MAX_IPSTRLEN];
+
+    struct in_addr outval;
+    struct in_addr expectval;
+
+    expectval.s_addr = htonl(0xC0A8640C);
+
+    IpAddress anIPA = "192.168.100.12";
+
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+
+    /* POKE NtoA display function to see what it is doing */
+    anIPA.NtoA(ntoabuf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+
+
+    /* POKE ToHostname display function to see what it is doing */
+    anIPA.ToHostname(hostbuf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+
+    /* POKE ToURL display function to see what it is doing */
+    anIPA.ToURL(urlbuf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.IsAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.IsNoAddr() );
+    CPPUNIT_ASSERT( anIPA.IsIPv4() );
+    CPPUNIT_ASSERT( !anIPA.IsIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (u_short) 0 , anIPA.GetPort() );
+    CPPUNIT_ASSERT( !anIPA.IsSockAddr() );
+    anIPA.GetInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+}
diff -u -r -N squid-3.1.0.3/src/ip/testIpAddress.h squid-3.1.0.4/src/ip/testIpAddress.h
--- squid-3.1.0.3/src/ip/testIpAddress.h	1970-01-01 12:00:00.000000000 +1200
+++ squid-3.1.0.4/src/ip/testIpAddress.h	2009-01-23 18:37:37.000000000 +1300
@@ -0,0 +1,70 @@
+#ifndef SQUID_SRC_TEST_IPADDRESS_H
+#define SQUID_SRC_TEST_IPADDRESS_H
+
+#include <cppunit/extensions/HelperMacros.h>
+
+/*
+ * test the IP storage type
+ */
+
+class testIpAddress : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testIpAddress );
+    CPPUNIT_TEST( testDefaults );
+    CPPUNIT_TEST( testInAddrConstructor );
+#if USE_IPV6
+    CPPUNIT_TEST( testInAddr6Constructor );
+#endif
+    CPPUNIT_TEST( testSockAddrConstructor );
+#if USE_IPV6
+    CPPUNIT_TEST( testSockAddr6Constructor );
+#endif
+    CPPUNIT_TEST( testHostentConstructor );
+    CPPUNIT_TEST( testStringConstructor );
+    CPPUNIT_TEST( testCopyConstructor );
+    CPPUNIT_TEST( testSetEmpty );
+    CPPUNIT_TEST( testBooleans );
+    CPPUNIT_TEST( testAddrInfo );
+    CPPUNIT_TEST( testNtoA );
+    CPPUNIT_TEST( testToURL_fromInAddr );
+    CPPUNIT_TEST( testToURL_fromSockAddr );
+    CPPUNIT_TEST( testGetReverseString );
+    CPPUNIT_TEST( testMasking );
+
+    CPPUNIT_TEST( testBugNullingDisplay );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+
+protected:
+    void testDefaults();
+
+    void testInAddrConstructor();
+#if USE_IPV6
+    void testInAddr6Constructor();
+#endif
+    void testSockAddrConstructor();
+#if USE_IPV6
+    void testSockAddr6Constructor();
+#endif
+    void testHostentConstructor();
+    void testStringConstructor();
+    void testCopyConstructor();
+
+    void testSetEmpty();
+    void testBooleans();
+
+    void testAddrInfo();
+
+    void testNtoA();
+    void testToURL_fromInAddr();
+    void testToURL_fromSockAddr();
+    void testGetReverseString();
+    void testMasking();
+
+    // bugs.
+    void testBugNullingDisplay();
+
+};
+
+#endif /* SQUID_SRC_TEST_IPADDRESS_H */
diff -u -r -N squid-3.1.0.3/src/ipcache.cc squid-3.1.0.4/src/ipcache.cc
--- squid-3.1.0.3/src/ipcache.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/ipcache.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: ipcache.cc,v 1.269 2008/02/26 21:49:35 amosjeffries Exp $
- *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
  *
@@ -40,7 +37,7 @@
 #include "SquidTime.h"
 #include "Store.h"
 #include "wordlist.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 /**
  \defgroup IPCacheAPI IP Cache API
@@ -420,7 +417,7 @@
     if (ipcount > 0) {
         int j, k;
 
-        i->addrs.in_addrs = (IPAddress *)xcalloc(ipcount, sizeof(IPAddress));
+        i->addrs.in_addrs = (IpAddress *)xcalloc(ipcount, sizeof(IpAddress));
         for (int l = 0; l < ipcount; l++)
             i->addrs.in_addrs[l].SetEmpty(); // perform same init actions as constructor would.
         i->addrs.bad_mask = (unsigned char *)xcalloc(ipcount, sizeof(unsigned char));
@@ -555,7 +552,7 @@
         return 0;
     }
 
-    i->addrs.in_addrs = (IPAddress *)xcalloc(na, sizeof(IPAddress));
+    i->addrs.in_addrs = (IpAddress *)xcalloc(na, sizeof(IpAddress));
     for (int l = 0; l < na; l++)
         i->addrs.in_addrs[l].SetEmpty(); // perform same init actions as constructor would.
     i->addrs.bad_mask = (unsigned char *)xcalloc(na, sizeof(unsigned char));
@@ -780,8 +777,8 @@
     memset(&lru_list, '\0', sizeof(lru_list));
     memset(&static_addrs, '\0', sizeof(ipcache_addrs));
 
-    static_addrs.in_addrs = (IPAddress *)xcalloc(1, sizeof(IPAddress));
-    static_addrs.in_addrs->SetEmpty(); // properly setup the IPAddress!
+    static_addrs.in_addrs = (IpAddress *)xcalloc(1, sizeof(IpAddress));
+    static_addrs.in_addrs->SetEmpty(); // properly setup the IpAddress!
     static_addrs.bad_mask = (unsigned char *)xcalloc(1, sizeof(unsigned char));
     ipcache_high = (long) (((float) Config.ipcache.size *
                             (float) Config.ipcache.high) / (float) 100);
@@ -855,11 +852,11 @@
 ipcacheStatPrint(ipcache_entry * i, StoreEntry * sentry)
 {
     int k;
-    int count = i->addrs.count;
     char buf[MAX_IPSTRLEN];
 
     if (!sentry) {
         debugs(14, 0, HERE << "CRITICAL: sentry is NULL!");
+        return;
     }
 
     if (!i) {
@@ -868,6 +865,8 @@
         return;
     }
 
+    int count = i->addrs.count;
+
     storeAppendPrintf(sentry, " %-32.32s %c%c %6d %6d %2d(%2d)",
                       hashKeyStr(&i->hash),
                       i->flags.fromhosts ? 'H' : ' ',
@@ -950,7 +949,7 @@
 
 #if DNS_CNAME
 /**
- * Takes two IPAddress arrays and merges them into a single array
+ * Takes two IpAddress arrays and merges them into a single array
  * which is allocated dynamically to fit the number of unique addresses
  *
  \param aaddrs	One list to merge
@@ -961,22 +960,22 @@
  \param outlen	Size of list out
  */
 void
-ipcacheMergeIPLists(const IPAddress *aaddrs, const int alen,
-                    const IPAddress *baddrs, const int blen,
-                    IPAddress **out, int &outlen )
+ipcacheMergeIPLists(const IpAddress *aaddrs, const int alen,
+                    const IpAddress *baddrs, const int blen,
+                    IpAddress **out, int &outlen )
 {
     int fc=0, t=0, c=0;
 
-    IPAddress const *ip4ptrs[255];
+    IpAddress const *ip4ptrs[255];
 #if USE_IPV6
-    IPAddress const *ip6ptrs[255];
+    IpAddress const *ip6ptrs[255];
 #endif
     int num_ip4 = 0;
     int num_ip6 = 0;
 
-    memset(ip4ptrs, 0, sizeof(IPAddress*)*255);
+    memset(ip4ptrs, 0, sizeof(IpAddress*)*255);
 #if USE_IPV6
-    memset(ip6ptrs, 0, sizeof(IPAddress*)*255);
+    memset(ip6ptrs, 0, sizeof(IpAddress*)*255);
 #endif
 
     // for each unique address in list A - grab ptr
@@ -1039,7 +1038,7 @@
     debugs(14, 5, "ipcacheMergeIPLists: Merge " << alen << "+" << blen << " into " << fc << " unique IPs.");
 
     // copy the old IPs into the new list buffer.
-    (*out) = (IPAddress*)xcalloc(fc, sizeof(IPAddress));
+    (*out) = (IpAddress*)xcalloc(fc, sizeof(IpAddress));
     outlen=0;
 
     assert(out != NULL);
@@ -1070,7 +1069,7 @@
 #if DNS_CNAME
     ipcache_entry *i = NULL;
     char *pname = NULL;
-    IPAddress *tmpbuf = NULL;
+    IpAddress *tmpbuf = NULL;
     int fc = 0;
     int ttl = 0;
     generic_cbdata* gcb = (generic_cbdata*)cbdata;
@@ -1206,7 +1205,7 @@
 ipcacheCheckNumeric(const char *name)
 {
 
-    IPAddress ip;
+    IpAddress ip;
     /* check if it's already a IP address in text form. */
 
     /* it may be IPv6-wrapped */
@@ -1309,7 +1308,7 @@
  \param addr	specific addres to be marked bad
  */
 void
-ipcacheMarkBadAddr(const char *name, IPAddress &addr)
+ipcacheMarkBadAddr(const char *name, IpAddress &addr)
 {
     ipcache_entry *i;
     ipcache_addrs *ia;
@@ -1344,7 +1343,7 @@
 
 /// \ingroup IPCacheAPI
 void
-ipcacheMarkGoodAddr(const char *name, IPAddress &addr)
+ipcacheMarkGoodAddr(const char *name, IpAddress &addr)
 {
     ipcache_entry *i;
     ipcache_addrs *ia;
@@ -1427,7 +1426,7 @@
 {
     ipcache_entry *i;
 
-    IPAddress ip;
+    IpAddress ip;
 
     if (!(ip = ipaddr)) {
 #if USE_IPV6
@@ -1459,7 +1458,7 @@
     i->addrs.cur = 0;
     i->addrs.badcount = 0;
 
-    i->addrs.in_addrs = (IPAddress *)xcalloc(1, sizeof(IPAddress));
+    i->addrs.in_addrs = (IpAddress *)xcalloc(1, sizeof(IpAddress));
     i->addrs.bad_mask = (unsigned char *)xcalloc(1, sizeof(unsigned char));
     i->addrs.in_addrs[0] = ip;
     i->addrs.bad_mask[0] = FALSE;
diff -u -r -N squid-3.1.0.3/src/ipc.cc squid-3.1.0.4/src/ipc.cc
--- squid-3.1.0.3/src/ipc.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/ipc.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: ipc.cc,v 1.48 2008/02/13 00:01:47 rousskov Exp $
- *
  * DEBUG: section 54    Interprocess Communication
  * AUTHOR: Duane Wessels
  *
@@ -36,7 +33,7 @@
 #include "squid.h"
 #include "comm.h"
 #include "fde.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 static const char *hello_string = "hi there\n";
 #define HELLO_BUF_SZ 32
@@ -75,11 +72,11 @@
 }
 
 pid_t
-ipcCreate(int type, const char *prog, const char *const args[], const char *name, IPAddress &local_addr, int *rfd, int *wfd, void **hIpc)
+ipcCreate(int type, const char *prog, const char *const args[], const char *name, IpAddress &local_addr, int *rfd, int *wfd, void **hIpc)
 {
     pid_t pid;
-    IPAddress ChS;
-    IPAddress PaS;
+    IpAddress ChS;
+    IpAddress PaS;
     struct addrinfo *AI = NULL;
     int crfd = -1;
     int prfd = -1;
diff -u -r -N squid-3.1.0.3/src/ipc_win32.cc squid-3.1.0.4/src/ipc_win32.cc
--- squid-3.1.0.3/src/ipc_win32.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/ipc_win32.cc	2009-01-23 18:37:37.000000000 +1300
@@ -47,7 +47,7 @@
     int type;
     int crfd;
     int cwfd;
-    IPAddress local_addr;
+    IpAddress local_addr;
     struct addrinfo PS;
     const char *prog;
     char **args;
@@ -105,7 +105,7 @@
 }
 
 pid_t
-ipcCreate(int type, const char *prog, const char *const args[], const char *name, IPAddress &local_addr, int *rfd, int *wfd, void **hIpc)
+ipcCreate(int type, const char *prog, const char *const args[], const char *name, IpAddress &local_addr, int *rfd, int *wfd, void **hIpc)
 {
     unsigned long thread;
 
@@ -115,7 +115,7 @@
     DWORD ecode = 0;
     pid_t pid;
 
-    IPAddress tmp_addr;
+    IpAddress tmp_addr;
     struct addrinfo *aiCS = NULL;
     struct addrinfo *aiPS = NULL;
 
@@ -252,7 +252,7 @@
         return ipcCloseAllFD(prfd, pwfd, crfd, cwfd);
     }
 
-    /* NP: tmp_addr was left with eiether empty or aiCS in IPAddress format */
+    /* NP: tmp_addr was left with eiether empty or aiCS in IpAddress format */
     if (comm_connect_addr(pwfd, tmp_addr) == COMM_ERROR) {
         CloseHandle((HANDLE) thread);
         return ipcCloseAllFD(prfd, pwfd, -1, -1);
@@ -377,8 +377,8 @@
     int prfd_ipc = -1, pwfd_ipc = -1, crfd_ipc = -1, cwfd_ipc = -1;
     char *prog = NULL, *buf1 = NULL;
 
-    IPAddress PS_ipc;
-    IPAddress CS_ipc;
+    IpAddress PS_ipc;
+    IpAddress CS_ipc;
     struct addrinfo *aiPS_ipc = NULL;
     struct addrinfo *aiCS_ipc = NULL;
 
@@ -388,8 +388,8 @@
     int cwfd = params->cwfd;
     char **args = params->args;
 
-    IPAddress PS = params->PS;
-    IPAddress local_addr = params->local_addr;
+    IpAddress PS = params->PS;
+    IpAddress local_addr = params->local_addr;
 
     buf1 = (char *)xcalloc(1, 8192);
     strcpy(buf1, params->prog);
diff -u -r -N squid-3.1.0.3/src/IPInterception.cc squid-3.1.0.4/src/IPInterception.cc
--- squid-3.1.0.3/src/IPInterception.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/IPInterception.cc	1970-01-01 12:00:00.000000000 +1200
@@ -1,439 +0,0 @@
-/*
- * $Id: IPInterception.cc,v 1.20 2008/02/05 22:38:24 amosjeffries Exp $
- *
- * DEBUG: section 89    NAT / IP Interception
- * AUTHOR: Robert Collins
- * AUTHOR: Amos Jeffries
- *
- * SQUID Web Proxy Cache          http://www.squid-cache.org/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from
- *  the Internet community; see the CONTRIBUTORS file for full
- *  details.   Many organizations have provided support for Squid's
- *  development; see the SPONSORS file for full details.  Squid is
- *  Copyrighted (C) 2001 by the Regents of the University of
- *  California; see the COPYRIGHT file for full details.  Squid
- *  incorporates software developed and/or copyrighted by other
- *  sources; see the CREDITS file for full details.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- */
-#include "config.h"
-#include "IPInterception.h"
-#include "fde.h"
-
-#if 0
-#include "squid.h"
-#include "clientStream.h"
-#endif
-
-#if IPF_TRANSPARENT
-
-#if HAVE_SYS_IOCTL_H
-#include <sys/ioctl.h>
-#endif
-#if HAVE_NETINET_TCP_H
-#include <netinet/tcp.h>
-#endif
-#if HAVE_NET_IF_H
-#include <net/if.h>
-#endif
-#ifdef HAVE_IPL_H
-#include <ipl.h>
-#elif HAVE_NETINET_IPL_H
-#include <netinet/ipl.h>
-#endif
-#if HAVE_IP_FIL_COMPAT_H
-#include <ip_fil_compat.h>
-#elif HAVE_NETINET_IP_FIL_COMPAT_H
-#include <netinet/ip_fil_compat.h>
-#elif HAVE_IP_COMPAT_H
-#include <ip_compat.h>
-#elif HAVE_NETINET_IP_COMPAT_H
-#include <netinet/ip_compat.h>
-#endif
-#if HAVE_IP_FIL_H
-#include <ip_fil.h>
-#elif HAVE_NETINET_IP_FIL_H
-#include <netinet/ip_fil.h>
-#endif
-#if HAVE_IP_NAT_H
-#include <ip_nat.h>
-#elif HAVE_NETINET_IP_NAT_H
-#include <netinet/ip_nat.h>
-#endif
-
-#endif /* IPF_TRANSPARENT required headers */
-
-#if PF_TRANSPARENT
-#include <sys/types.h>
-#include <sys/socket.h>
-#include <sys/ioctl.h>
-#include <sys/fcntl.h>
-#include <net/if.h>
-#include <netinet/in.h>
-#include <net/pfvar.h>
-#endif /* PF_TRANSPARENT required headers */
-
-#if LINUX_NETFILTER
-#include <linux/types.h>
-#include <linux/netfilter_ipv4.h>
-#endif
-
-#if LINUX_TPROXY2
-#ifdef HAVE_LINUX_NETFILTER_IPV4_IP_TPROXY_H
-#include <linux/netfilter_ipv4/ip_tproxy.h>
-#else
-#error " TPROXY v2 Header file missing: linux/netfilter_ipv4/ip_tproxy.h. Perhapse you meant to use TPROXY v4 ? "
-#endif
-#endif
-
-
-// single global instance for access by other components.
-IPIntercept IPInterceptor;
-
-void
-IPIntercept::StopTransparency(const char *str)
-{
-    if (transparent_active) {
-        debugs(89, DBG_IMPORTANT, "Stopping full transparency: " << str);
-        transparent_active = 0;
-    }
-}
-
-void
-IPIntercept::StopInterception(const char *str)
-{
-    if (intercept_active) {
-        debugs(89, DBG_IMPORTANT, "Stopping IP interception: " << str);
-        intercept_active = 0;
-    }
-}
-
-int
-IPIntercept::NetfilterInterception(int fd, const IPAddress &me, IPAddress &dst, int silent)
-{
-#if LINUX_NETFILTER
-    struct addrinfo *lookup = NULL;
-
-    dst.GetAddrInfo(lookup,AF_INET);
-
-    /** \par
-     * Try NAT lookup for REDIRECT or DNAT targets. */
-    if ( getsockopt(fd, SOL_IP, SO_ORIGINAL_DST, lookup->ai_addr, &lookup->ai_addrlen) == 0) {
-        if (!silent) {
-            debugs(89, DBG_IMPORTANT, HERE << " NF getsockopt(SO_ORIGINAL_DST) failed on FD " << fd << ": " << xstrerror());
-            last_reported = squid_curtime;
-        }
-    } else {
-        dst = *lookup;
-    }
-
-    dst.FreeAddrInfo(lookup);
-
-    if (me != dst) {
-        debugs(89, 5, HERE << "address: " << dst);
-        return 0;
-    }
-
-    debugs(89, 9, HERE << "address: me= " << me << ", dst= " << dst);
-#endif
-    return -1;
-}
-
-int
-IPIntercept::NetfilterTransparent(int fd, const IPAddress &me, IPAddress &client, int silent)
-{
-#if LINUX_NETFILTER
-
-    /* Trust the user configured properly. If not no harm done.
-     * We will simply attempt a bind outgoing on our own IP.
-     */
-    if (fd_table[fd].flags.transparent) {
-        client.SetPort(0); // allow random outgoing port to prevent address clashes
-        return 0;
-    }
-#endif
-    return -1;
-}
-
-int
-IPIntercept::IPFWInterception(int fd, const IPAddress &me, IPAddress &dst, int silent)
-{
-#if IPFW_TRANSPARENT
-    struct addrinfo *lookup = NULL;
-
-    dst.GetAddrInfo(lookup,AF_INET);
-
-    /** \par
-     * Try lookup for IPFW interception. */
-    if ( getsockname(fd, lookup->ai_addr, &lookup->ai_addrlen) != 0 ) {
-        if ( !silent ) {
-            debugs(89, DBG_IMPORTANT, HERE << " IPFW getsockname(...) failed: " << xstrerror());
-            last_reported = squid_curtime;
-        }
-    } else {
-        dst = *lookup;
-    }
-
-    dst.FreeAddrInfo(lookup);
-
-    if (me != dst) {
-        debugs(89, 5, HERE << "address: " << dst);
-        return 0;
-    }
-
-    debugs(89, 9, HERE << "address: me= " << me << ", dst= " << dst);
-#endif
-    return -1;
-}
-
-int
-IPIntercept::NatLookup(int fd, const IPAddress &me, const IPAddress &peer, IPAddress &client, IPAddress &dst)
-{
-#if IPF_TRANSPARENT  /* --enable-ipf-transparent */
-    client = me;
-    if ( !me.IsIPv4() ) return -1;
-    if ( !peer.IsIPv4() ) return -1;
-
-#if defined(IPFILTER_VERSION) && (IPFILTER_VERSION >= 4000027)
-
-    struct ipfobj obj;
-#else
-
-    static int siocgnatl_cmd = SIOCGNATL & 0xff;
-
-#endif
-
-    struct natlookup natLookup;
-    static int natfd = -1;
-    int x;
-
-#if defined(IPFILTER_VERSION) && (IPFILTER_VERSION >= 4000027)
-
-    obj.ipfo_rev = IPFILTER_VERSION;
-    obj.ipfo_size = sizeof(natLookup);
-    obj.ipfo_ptr = &natLookup;
-    obj.ipfo_type = IPFOBJ_NATLOOKUP;
-    obj.ipfo_offset = 0;
-#endif
-
-    natLookup.nl_inport = htons(me.GetPort());
-    natLookup.nl_outport = htons(peer.GetPort());
-    me.GetInAddr(natLookup.nl_inip);
-    peer.GetInAddr(natLookup.nl_outip);
-    natLookup.nl_flags = IPN_TCP;
-
-    if (natfd < 0) {
-        int save_errno;
-        enter_suid();
-#ifdef IPNAT_NAME
-
-        natfd = open(IPNAT_NAME, O_RDONLY, 0);
-#else
-
-        natfd = open(IPL_NAT, O_RDONLY, 0);
-#endif
-
-        save_errno = errno;
-        leave_suid();
-        errno = save_errno;
-    }
-
-    if (natfd < 0) {
-        if (squid_curtime - last_reported > 60) {
-            debugs(89, 1, "clientNatLookup: NAT open failed: " << xstrerror());
-            last_reported = squid_curtime;
-            return -1;
-        }
-    }
-
-#if defined(IPFILTER_VERSION) && (IPFILTER_VERSION >= 4000027)
-    x = ioctl(natfd, SIOCGNATL, &obj);
-
-#else
-    /*
-    * IP-Filter changed the type for SIOCGNATL between
-    * 3.3 and 3.4.  It also changed the cmd value for
-    * SIOCGNATL, so at least we can detect it.  We could
-    * put something in configure and use ifdefs here, but
-    * this seems simpler.
-    */
-    if (63 == siocgnatl_cmd) {
-
-        struct natlookup *nlp = &natLookup;
-        x = ioctl(natfd, SIOCGNATL, &nlp);
-    } else {
-        x = ioctl(natfd, SIOCGNATL, &natLookup);
-    }
-
-#endif
-    if (x < 0) {
-        if (errno != ESRCH) {
-            if (squid_curtime - last_reported > 60) {
-                debugs(89, 1, "clientNatLookup: NAT lookup failed: ioctl(SIOCGNATL)");
-                last_reported = squid_curtime;
-            }
-
-            close(natfd);
-            natfd = -1;
-        }
-
-        return -1;
-    } else {
-        if (me != natLookup.nl_realip) {
-            client = natLookup.nl_realip;
-
-            client.SetPort(ntohs(natLookup.nl_realport));
-        }
-        // else. we already copied it.
-
-        return 0;
-    }
-
-
-
-#elif LINUX_NETFILTER || IPFW_TRANSPARENT /* --enable-linux-netfilter OR --enable-ipfw-transparent */
-
-    /* Netfilter and IPFW share almost identical lookup methods for their NAT tables.
-     * This allows us to perform a nice clean failover sequence for them.
-     */
-
-    client = me;
-    dst = peer;
-
-    if ( !me.IsIPv4()   ) return -1;
-    if ( !peer.IsIPv4() ) return -1;
-
-#if 0
-    // Crop interception errors down to one per minute.
-    int silent = (squid_curtime - last_reported > 60 ? 0 : 1);
-#else
-    // Show all interception errors.
-    int silent = 0;
-#endif
-
-    if (intercept_active) {
-        if ( NetfilterInterception(fd, me, client, silent) == 0) return 0;
-        if ( IPFWInterception(fd, me, client, silent) == 0) return 0;
-    }
-    if (transparent_active) {
-        if ( NetfilterTransparent(fd, me, dst, silent) == 0) return 0;
-    }
-
-    return -1;
-
-#elif PF_TRANSPARENT  /* --enable-pf-transparent */
-
-    struct pfioc_natlook nl;
-    static int pffd = -1;
-
-    if ( !me.IsIPv4() ) return -1;
-    if ( !peer.IsIPv4() ) return -1;
-
-    if (pffd < 0)
-        pffd = open("/dev/pf", O_RDONLY);
-
-    if (pffd < 0) {
-        if (squid_curtime - last_reported > 60) {
-            debugs(89, 1, "clientNatLookup: PF open failed: " << xstrerror());
-            last_reported = squid_curtime;
-        }
-
-        return -1;
-
-    }
-
-    client.SetEmpty();
-
-    memset(&nl, 0, sizeof(struct pfioc_natlook));
-    peer.GetInAddr(nl.saddr.v4);
-    nl.sport = htons(peer.GetPort());
-
-    me.GetInAddr(nl.daddr.v4);
-    nl.dport = htons(me.GetPort());
-
-    nl.af = AF_INET;
-    nl.proto = IPPROTO_TCP;
-    nl.direction = PF_OUT;
-
-    if (ioctl(pffd, DIOCNATLOOK, &nl)) {
-        if (errno != ENOENT) {
-            if (squid_curtime - last_reported > 60) {
-                debugs(89, 1, "clientNatLookup: PF lookup failed: ioctl(DIOCNATLOOK)");
-                last_reported = squid_curtime;
-            }
-
-            close(pffd);
-            pffd = -1;
-        }
-
-        return -1;
-    } else {
-        int natted = (me != nl.rdaddr.v4);
-        client = nl.rdaddr.v4;
-        client.SetPort(ntohs(nl.rdport));
-
-        if (natted)
-            return 0;
-        else
-            return -1;
-    }
-
-
-#else /* none of the transparent options configured */
-
-    debugs(89, 1, "WARNING: transparent proxying not supported");
-    return -1;
-
-#endif
-
-}
-
-#if LINUX_TPROXY2
-IPIntercept::SetTproxy2OutgoingAddr(int fd, const IPAddress &src)
-{
-    IPAddress addr;
-    struct in_tproxy itp;
-
-    src.GetInAddr(itp.v.addr.faddr);
-    itp.v.addr.fport = 0;
-
-    /* If these syscalls fail then we just fallback to connecting
-     * normally by simply ignoring the errors...
-     */
-    itp.op = TPROXY_ASSIGN;
-
-    addr = (struct in_addr)itp.v.addr.faddr;
-    addr.SetPort(itp.v.addr.fport);
-
-    if (setsockopt(fd, SOL_IP, IP_TPROXY, &itp, sizeof(itp)) == -1) {
-        debugs(20, 1, "tproxy ip=" << addr << " ERROR ASSIGN");
-        return -1;
-    } else {
-        itp.op = TPROXY_FLAGS;
-        itp.v.flags = ITP_CONNECT;
-
-        if (setsockopt(fd, SOL_IP, IP_TPROXY, &itp, sizeof(itp)) == -1) {
-            debugs(20, 1, "tproxy ip=" << addr << " ERROR CONNECT");
-            return -1;
-        }
-    }
-
-    return 0;
-}
-#endif
diff -u -r -N squid-3.1.0.3/src/IPInterception.h squid-3.1.0.4/src/IPInterception.h
--- squid-3.1.0.3/src/IPInterception.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/IPInterception.h	1970-01-01 12:00:00.000000000 +1200
@@ -1,129 +0,0 @@
-/*
- * $Id: IPInterception.h,v 1.7 2007/12/14 23:11:45 amosjeffries Exp $
- *
- * DEBUG: section 89    NAT / IP Interception
- * AUTHOR: Robert Collins
- * AUTHOR: Amos Jeffries
- *
- */
-#ifndef SQUID_IPINTERCEPTION_H
-#define SQUID_IPINTERCEPTION_H
-
-class IPAddress;
-
-/* for time_t */
-#include "SquidTime.h"
-
-/**
- \defgroup IPInterceptAPI IP Interception and Transparent Proxy API
- \ingroup SquidComponent
- \par
- * There is no formal state-machine for transparency and interception
- * instead there is this neutral API which other connection state machines
- * and the comm layer use to co-ordinate their own state for transparency.
- */
-class IPIntercept
-{
-public:
-    IPIntercept() : transparent_active(0), intercept_active(0), last_reported(0) {};
-    ~IPIntercept() {};
-
-    /** Perform NAT lookups */
-    int NatLookup(int fd, const IPAddress &me, const IPAddress &peer, IPAddress &client, IPAddress &dst);
-
-#if LINUX_TPROXY2
-    // only relevant to TPROXY v2 connections.
-    // which require the address be set specifically post-connect.
-    int SetTproxy2OutgoingAddr(int fd, const IPAddress &src);
-#endif
-
-    /**
-     \retval 0	Full transparency is disabled.
-     \retval 1  Full transparency is enabled and active.
-     */
-    inline int TransparentActive() { return transparent_active; };
-
-    /** \par
-     * Turn on fully Transparent-Proxy activities.
-     * This function should be called during parsing of the squid.conf
-     * When any option requiring full-transparency is encountered.
-     */
-    inline void StartTransparency() { transparent_active=1; };
-
-    /** \par
-     * Turn off fully Transparent-Proxy activities on all new connections.
-     * Existing transactions and connections are unaffected and will run
-     * to their natural completion.
-     \param str    Reason for stopping. Will be logged to cache.log
-     */
-    void StopTransparency(const char *str);
-
-    /**
-     \retval 0	IP Interception is disabled.
-     \retval 1  IP Interception is enabled and active.
-     */
-    inline int InterceptActive() { return intercept_active; };
-
-    /** \par
-     * Turn on IP-Interception-Proxy activities.
-     * This function should be called during parsing of the squid.conf
-     * When any option requiring interception / NAT handling is encountered.
-     */
-    inline void StartInterception() { intercept_active=1; };
-
-    /** \par
-     * Turn off IP-Interception-Proxy activities on all new connections.
-     * Existing transactions and connections are unaffected and will run
-     * to their natural completion.
-     \param str    Reason for stopping. Will be logged to cache.log
-     */
-    inline void StopInterception(const char *str);
-
-
-private:
-
-    /**
-     * perform Lookups on Netfilter interception targets (REDIRECT, DNAT).
-     *
-     \param silent[in]   0 if errors are to be displayed. 1 if errors are to be hidden.
-     \retval 0     Successfuly located the new address.
-     \retval -1    An error occured during NAT lookups.
-     */
-    int NetfilterInterception(int fd, const IPAddress &me, IPAddress &client, int silent);
-
-    /**
-     * perform Lookups on Netfilter fully-transparent interception targets (TPROXY).
-     *
-     \param silent[in]   0 if errors are to be displayed. 1 if errors are to be hidden.
-     \retval 0     Successfuly located the new address.
-     \retval -1    An error occured during NAT lookups.
-     */
-    int NetfilterTransparent(int fd, const IPAddress &me, IPAddress &dst, int silent);
-
-    /**
-     * perform Lookups on IPFW interception.
-     *
-     \param silent[in]   0 if errors are to be displayed. 1 if errors are to be hidden.
-     \retval 0     Successfuly located the new address.
-     \retval -1    An error occured during NAT lookups.
-     */
-    int IPFWInterception(int fd, const IPAddress &me, IPAddress &client, int silent);
-
-
-    int transparent_active;
-    int intercept_active;
-    time_t last_reported; /**< Time of last error report. Throttles NAT error display to 1 per minute */
-};
-
-#if LINUX_NETFILTER && !defined(IP_TRANSPARENT)
-/// \ingroup IPInterceptAPI
-#define IP_TRANSPARENT 19
-#endif
-
-/**
- \ingroup IPInterceptAPI
- * Globally available instance of the IP Interception manager.
- */
-extern IPIntercept IPInterceptor;
-
-#endif /* SQUID_IPINTERCEPTION_H */
diff -u -r -N squid-3.1.0.3/src/main.cc squid-3.1.0.4/src/main.cc
--- squid-3.1.0.3/src/main.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/main.cc	2009-01-23 18:37:37.000000000 +1300
@@ -247,7 +247,6 @@
 #endif
             "       -R        Do not set REUSEADDR on port.\n"
             "       -S        Double-check swap during rebuild.\n"
-            "       -V        Virtual host httpd-accelerator.\n"
             "       -X        Force full debugging.\n"
             "       -Y        Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.\n",
             APP_SHORTNAME, CACHE_HTTP_PORT, DefaultConfigFile, CACHE_ICP_PORT);
diff -u -r -N squid-3.1.0.3/src/Makefile.am squid-3.1.0.4/src/Makefile.am
--- squid-3.1.0.3/src/Makefile.am	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/Makefile.am	2009-01-23 18:37:36.000000000 +1300
@@ -1,8 +1,6 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.201 2008/02/26 00:19:29 rousskov Exp $
-#
 #  Uncomment and customize the following to suit your needs:
 #
 
@@ -34,7 +32,7 @@
 TESTS=$(check_PROGRAMS)
 check_PROGRAMS=
 
-SUBDIRS		= fs repl auth icmp
+SUBDIRS		= fs repl auth icmp ip
 
 if USE_ADAPTATION
 SUBDIRS += adaptation
@@ -243,9 +241,22 @@
 	@DISK_PROGRAMS@ \
 	$(UNLINKD)
 
-cf_gen_SOURCES = cf_gen.cc defines.h debug.cc time.cc
+cf_gen_SOURCES = \
+	cf_gen.cc \
+	defines.h \
+	debug.cc \
+	time.cc
+
 nodist_cf_gen_SOURCES = globals.cc
 nodist_cf_gen_HEADER = cf_gen_defines.h
+cf_gen_LDADD= \
+	libsquid.la \
+	libauth.la \
+	ip/libip.la \
+	-L../lib -lmiscutil \
+	@XTRA_LIBS@ \
+	@EPOLL_LIBS@ \
+	@MINGW_LIBS@
 cf_gen.$(OBJEXT): cf_gen_defines.h
 
 all_FSMODULES = \
@@ -264,7 +275,9 @@
 	DiskIO/DiskIOStrategy.h \
 	DiskIO/IORequestor.h \
 	DiskIO/DiskIOModule.h \
-	DiskIO/ReadRequest.h \
+	DiskIO/ReadRequest.h
+
+DISKIO_GEN_SOURCE = \
 	DiskIO/DiskIOModules_gen.cc
 
 DiskIO/DiskIOModules_gen.cc: Makefile
@@ -413,15 +426,12 @@
 	CommCalls.h \
 	DescriptorSet.cc \
 	DescriptorSet.h \
-	IPInterception.cc \
-	IPInterception.h \
         ICAP/AsyncJob.cc \
         ICAP/AsyncJob.h \
 	SquidConfig.cc \
         TextException.cc \
         TextException.h
 
-
 # authentication framework
 libauth_la_SOURCES = \
 	AuthConfig.cc \
@@ -672,6 +682,7 @@
 	SquidTime.h
 
 nodist_squid_SOURCES = \
+	$(DISKIO_GEN_SOURCE) \
 	repl_modules.cc \
 	cf_parser.h \
 	globals.cc \
@@ -681,6 +692,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	-L../lib \
 	@XTRA_OBJS@ \
 	@DISK_LINKOBJS@ \
@@ -740,6 +752,8 @@
 ## client_db wants SNMP_SOURCE
 ## snmp_core wants ACLStringData
 ## SwapDir wants ConfigOption
+## tools.cc wants ip/libip.la
+## client_side.cc wants ip/libip.la
 ufsdump_SOURCES = \
 	debug.cc \
 	int.cc \
@@ -904,6 +918,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	-L../lib \
 	@XTRA_OBJS@ \
 	@REPL_OBJS@ \
@@ -948,7 +963,7 @@
 data_DATA = \
 	mib.txt
 
-LDADD = libsquid.la libauth.la -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
+LDADD = libsquid.la libauth.la ip/libip.la -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
 
 EXTRA_DIST = \
 	cf_gen_defines \
@@ -1123,14 +1138,19 @@
 #		$(RM) -f $(DESTDIR)$(DEFAULT_CONFIG_FILE); \
 #	fi
 
-DISTCLEANFILES = cf_gen_defines.h cf.data cf_parser.h squid.conf.default squid.conf.documented \
-	globals.cc string_arrays.c repl_modules.cc DiskIO/DiskIOModules_gen.cc
+CLEANFILES = cf_gen_defines.h cf.data cf_parser.h squid.conf.default squid.conf.documented \
+	globals.cc string_arrays.c repl_modules.cc DiskIO/DiskIOModules_gen.cc \
+	test_tools.cc *.a
+
+test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
+	cp $(top_srcdir)/test-suite/test_tools.cc .
 
 # stock tools for unit tests - library independent versions of dlink_list 
 # etc.
-# globals.cc is needed by test_tools.cc
+# globals.cc is needed by test_tools.cc.
+# Neither of these should be disted from here.
 TESTSOURCES= \
-	../test-suite/test_tools.cc \
+	test_tools.cc \
 	globals.cc
 
 # sources needed by those tests that need event.cc; incomplete
@@ -1168,6 +1188,7 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
 
 ### Template for new Unit Test Program
 ## - add tests/testX to check_PROGRAMS above.
@@ -1181,7 +1202,8 @@
 #	tests/testX.cc \
 #	tests/testMain.cc \
 #	X.h \
-#	X.cc \
+#	X.cc
+#nodist_tests_testX_SOURCES=\
 #	$(TESTSOURCES)
 #tests_testX_LDFLAGS = $(LIBADD_DL)
 #tests_testX_LDADD=\
@@ -1191,7 +1213,8 @@
 #tests_testX_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
 #	$(top_builddir)/lib/libmiscutil.a
 
-tests_testAuth_SOURCES= tests/testAuth.cc tests/testMain.cc  tests/testAuth.h $(TESTSOURCES) \
+tests_testAuth_SOURCES = \
+	tests/testAuth.cc tests/testMain.cc  tests/testAuth.h \
 	authenticate.cc \
 	ConfigParser.cc \
 	tests/stub_acl.cc tests/stub_cache_cf.cc \
@@ -1218,10 +1241,13 @@
 ##	helper.cc String.cc cbdata.cc HttpHeaderTools.cc store.cc cache_manager.cc \
 ##	HttpHeader.cc url.cc mem.cc HttpRequest.cc Packer.cc access_log.cc \
 ##	MemBuf.cc StatHist.cc logfile.cc
+nodist_tests_testAuth_SOURCES = \
+	$(TESTSOURCES)
 
 tests_testAuth_LDADD= \
 	libsquid.la \
 	libauth.la \
+	ip/libip.la \
 	@AUTH_LINKOBJS@ @AUTH_OBJS@ \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
@@ -1277,7 +1303,6 @@
 	stmem.cc \
 	String.cc \
 	$(TEST_CALL_SOURCES) \
-	$(TESTSOURCES) \
 	tests/stub_cache_cf.cc \
 	tests/stub_comm.cc \
 	tests/stub_DelayId.cc \
@@ -1291,9 +1316,12 @@
 	mem.cc \
 	MemBuf.cc \
 	wordlist.cc
+nodist_tests_testACLMaxUserIP_SOURCES= \
+	$(TESTSOURCES)
 tests_testACLMaxUserIP_LDADD= \
 	libsquid.la \
 	libauth.la \
+	ip/libip.la \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -1308,8 +1336,9 @@
 	tests/testBoilerplate.cc \
 	tests/testMain.cc \
 	tests/testBoilerplate.h \
-	$(TESTSOURCES) \
 	time.cc
+nodist_tests_testBoilerplate_SOURCES = \
+	$(TESTSOURCES)
 tests_testBoilerplate_LDADD= \
 	-L../lib -lmiscutil \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -1321,7 +1350,6 @@
 ## Tests of the CacheManager module.
 tests_testCacheManager_SOURCES = \
 	debug.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -1452,12 +1480,14 @@
 	$(WIN32_SOURCE) \
 	wordlist.cc
 nodist_tests_testCacheManager_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 tests_testCacheManager_LDADD = \
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -1472,14 +1502,16 @@
 	@REPL_OBJS@ \
 	@SQUID_CPPUNIT_LA@
 
-tests_testDiskIO_SOURCES= \
+tests_testDiskIO_SOURCES = \
 	$(SWAP_TEST_SOURCES) \
 	tests/testDiskIO.cc \
 	tests/testDiskIO.h \
 	tests/testMain.cc \
 	tests/stub_cache_manager.cc
-
-tests_testDiskIO_LDADD= \
+nodist_tests_testDiskIO_SOURCES= \
+	$(SWAP_TEST_GEN_SOURCES)
+tests_testDiskIO_LDADD = \
+	ip/libip.la \
 	@DISK_LIBS@ \
 	$(SWAP_TEST_LDADD) \
 	SquidConfig.o
@@ -1494,7 +1526,6 @@
 	debug.cc \
 	EventLoop.h \
 	EventLoop.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -1626,12 +1657,14 @@
 	$(WIN32_SOURCE) \
 	wordlist.cc
 nodist_tests_testEvent_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 tests_testEvent_LDADD = \
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -1651,7 +1684,6 @@
 	debug.cc \
 	EventLoop.h \
 	EventLoop.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -1782,12 +1814,14 @@
 	$(WIN32_SOURCE) \
 	wordlist.cc
 nodist_tests_testEventLoop_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 tests_testEventLoop_LDADD = \
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -1846,7 +1880,6 @@
 	forward.cc \
 	fqdncache.cc \
 	ftp.cc \
-	globals.cc \
 	gopher.cc \
 	helper.cc \
 	$(HTCPSOURCE) \
@@ -1933,12 +1966,14 @@
 	Packer.cc \
 	MemBuf.cc
 nodist_tests_test_http_range_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 tests_test_http_range_LDADD = \
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	@STORE_OBJS@ \
 	${ADAPTATION_LIBS} \
@@ -1957,7 +1992,6 @@
 ## Tests of the HttpRequest module.
 tests_testHttpRequest_SOURCES = \
 	debug.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -2090,12 +2124,14 @@
 	$(WIN32_SOURCE) \
 	wordlist.cc
 nodist_tests_testHttpRequest_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 tests_testHttpRequest_LDADD = \
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -2114,7 +2150,6 @@
 # delay pools need client_side_request.cc
 # store_key_md5 wants the method.
 STORE_TEST_SOURCES=\
-	$(TESTSOURCES) \
 	$(TEST_CALL_SOURCES) \
 	$(DELAY_POOL_SOURCE) \
 	CacheDigest.cc \
@@ -2126,7 +2161,6 @@
 	store.cc \
 	HttpRequestMethod.cc \
 	store_key_md5.cc \
-	string_arrays.c \
 	Parsing.cc \
 	ConfigOption.cc \
 	SwapDir.cc \
@@ -2145,6 +2179,7 @@
 	HttpHdrScTarget.cc url.cc ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc \
 	StatHist.cc HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
 	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc \
 	refresh.cc \
 	tests/stub_store_client.cc \
 	tests/stub_tools.cc \
@@ -2154,6 +2189,10 @@
 	URLScheme.cc \
 	wordlist.cc
 
+STORE_TEST_GEN_SOURCES = \
+	$(TESTSOURCES) \
+	string_arrays.c
+
 ## why so many sources? well httpHeaderTools requites ACLChecklist & friends.
 ## first line - what we are testing.
 tests_testStore_SOURCES= \
@@ -2176,9 +2215,13 @@
 	tests/stub_cache_manager.cc \
 	$(STORE_TEST_SOURCES)
 
+nodist_tests_testStore_SOURCES= \
+	$(STORE_TEST_GEN_SOURCES)
+
 tests_testStore_LDADD= \
 	libsquid.la \
 	libauth.la \
+	ip/libip.la \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -2188,18 +2231,20 @@
 	@SQUID_CPPUNIT_LA@
 
 # string needs mem.cc.
-tests_testString_SOURCES= \
+# libsquid pulls in SquidConfig and children. stub them.
+tests_testString_SOURCES = \
 	mem.cc \
 	String.cc \
 	tests/testMain.cc \
 	tests/testString.cc \
 	tests/testString.h \
 	tests/stub_cache_manager.cc \
-	$(TESTSOURCES) \
-	time.cc 
-
-tests_testString_LDADD= \
+	time.cc
+nodist_tests_testString_SOURCES = \
+	$(TESTSOURCES)
+tests_testString_LDADD = \
 	libsquid.la \
+	ip/libip.la \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -2239,6 +2284,10 @@
 	$(STORE_TEST_SOURCES) \
 	$(DISKIO_SOURCE)
 
+SWAP_TEST_GEN_SOURCES = \
+	$(STORE_TEST_GEN_SOURCES) \
+	$(DISKIO_GEN_SOURCE)
+
 SWAP_TEST_LDADD = \
 	libauth.la \
 	@REGEXLIB@ \
@@ -2257,25 +2306,32 @@
 	@REPL_OBJS@ \
 	@SQUID_CPPUNIT_LA@
 
-tests_testUfs_SOURCES= tests/testUfs.cc \
+tests_testUfs_SOURCES = \
+	tests/testUfs.cc \
 	tests/testMain.cc \
 	tests/testUfs.h \
 	tests/stub_cache_manager.cc \
 	$(SWAP_TEST_SOURCES)
-tests_testUfs_LDADD= \
+nodist_tests_testUfs_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+tests_testUfs_LDADD = \
 	libsquid.la \
+	ip/libip.la \
 	$(SWAP_TEST_LDADD) \
 	@SSLLIB@
 tests_testUfs_LDFLAGS = $(LIBADD_DL)
 tests_testUfs_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
 
-tests_testCoss_SOURCES= tests/testCoss.cc \
+tests_testCoss_SOURCES = \
+	tests/testCoss.cc \
 	tests/testMain.cc \
 	tests/testCoss.h \
 	tests/stub_cache_manager.cc \
 	$(SWAP_TEST_SOURCES)
-tests_testCoss_LDADD= \
+nodist_tests_testCoss_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+tests_testCoss_LDADD = \
 	libsquid.la \
 	$(SWAP_TEST_LDADD) \
 	@SSLLIB@
@@ -2283,11 +2339,14 @@
 tests_testCoss_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
 
-tests_testNull_SOURCES= tests/testNull.cc \
+tests_testNull_SOURCES = \
+	tests/testNull.cc \
 	tests/testMain.cc \
 	tests/testNull.h \
 	$(SWAP_TEST_SOURCES)
-tests_testNull_LDADD= \
+nodist_tests_testNull_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+tests_testNull_LDADD = \
 	$(SWAP_TEST_LDADD) \
 	@SSLLIB@
 tests_testNull_LDFLAGS = $(LIBADD_DL)
@@ -2300,7 +2359,6 @@
 	debug.cc \
 	url.cc \
 	URLScheme.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -2431,12 +2489,14 @@
 	$(WIN32_SOURCE) \
 	wordlist.cc
 nodist_tests_testURL_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 tests_testURL_LDADD = \
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REGEXLIB@ \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
diff -u -r -N squid-3.1.0.3/src/Makefile.in squid-3.1.0.4/src/Makefile.in
--- squid-3.1.0.3/src/Makefile.in	2008-12-05 16:09:56.000000000 +1300
+++ squid-3.1.0.4/src/Makefile.in	2009-01-23 18:37:59.000000000 +1300
@@ -17,8 +17,6 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.201 2008/02/26 00:19:29 rousskov Exp $
-#
 #  Uncomment and customize the following to suit your needs:
 #
 
@@ -138,8 +136,7 @@
 libauth_la_OBJECTS = $(am_libauth_la_OBJECTS)
 libsquid_la_LIBADD =
 am_libsquid_la_OBJECTS = comm.lo CommCalls.lo DescriptorSet.lo \
-	IPInterception.lo ICAP/AsyncJob.lo SquidConfig.lo \
-	TextException.lo
+	ICAP/AsyncJob.lo SquidConfig.lo TextException.lo
 libsquid_la_OBJECTS = $(am_libsquid_la_OBJECTS)
 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libexecdir)" \
 	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(datadir)" \
@@ -160,16 +157,15 @@
 am_cf_gen_OBJECTS = cf_gen.$(OBJEXT) debug.$(OBJEXT) time.$(OBJEXT)
 nodist_cf_gen_OBJECTS = globals.$(OBJEXT)
 cf_gen_OBJECTS = $(am_cf_gen_OBJECTS) $(nodist_cf_gen_OBJECTS)
-cf_gen_LDADD = $(LDADD)
-cf_gen_DEPENDENCIES = libsquid.la libauth.la
+cf_gen_DEPENDENCIES = libsquid.la libauth.la ip/libip.la
 am_dnsserver_OBJECTS = dnsserver.$(OBJEXT) SquidNew.$(OBJEXT)
 dnsserver_OBJECTS = $(am_dnsserver_OBJECTS)
 dnsserver_LDADD = $(LDADD)
-dnsserver_DEPENDENCIES = libsquid.la libauth.la
+dnsserver_DEPENDENCIES = libsquid.la libauth.la ip/libip.la
 am_recv_announce_OBJECTS = recv-announce.$(OBJEXT) SquidNew.$(OBJEXT)
 recv_announce_OBJECTS = $(am_recv_announce_OBJECTS)
 recv_announce_LDADD = $(LDADD)
-recv_announce_DEPENDENCIES = libsquid.la libauth.la
+recv_announce_DEPENDENCIES = libsquid.la libauth.la ip/libip.la
 am__squid_SOURCES_DIST = access_log.cc AccessLogEntry.h acl.cc \
 	acl_noncore.cc ACL.h ACLChecklist.cc ACLChecklist.h ACLARP.cc \
 	ACLARP.h ACLASN.cc ACLASN.h ACLDestinationASN.h ACLSourceASN.h \
@@ -219,25 +215,24 @@
 	DiskIO/ReadRequest.cc DiskIO/ReadRequest.h \
 	DiskIO/WriteRequest.cc DiskIO/WriteRequest.h DiskIO/DiskFile.h \
 	DiskIO/DiskIOStrategy.h DiskIO/IORequestor.h \
-	DiskIO/DiskIOModule.h DiskIO/DiskIOModules_gen.cc dlink.h \
-	dlink.cc dns_internal.cc dns.cc enums.h errorpage.cc \
-	ElementList.h ESI.cc ESI.h ESIAssign.cc ESIAssign.h \
-	ESIAttempt.h ESIContext.cc ESIContext.h ESICustomParser.cc \
-	ESICustomParser.h ESIElement.h ESIExcept.h ESIExpatParser.cc \
-	ESIExpatParser.h ESIExpression.cc ESIExpression.h \
-	ESIInclude.cc ESIInclude.h ESILiteral.h ESILibxml2Parser.cc \
-	ESILibxml2Parser.h ESIParser.cc ESIParser.h ESISegment.cc \
-	ESISegment.h ESISequence.cc ESISequence.h ESIVar.h \
-	ESIVarState.cc ESIVarState.h ETag.cc event.cc event.h \
-	EventLoop.h EventLoop.cc external_acl.cc ExternalACL.h \
-	ExternalACLEntry.cc ExternalACLEntry.h fd.cc fde.cc fde.h \
-	filemap.cc forward.cc forward.h fqdncache.cc ftp.cc Generic.h \
-	globals.h gopher.cc helper.cc helper.h HierarchyLogEntry.h \
-	htcp.cc htcp.h http.cc http.h HttpStatusLine.cc \
-	HttpStatusLine.h HttpHdrCc.cc HttpHdrRange.cc HttpHdrSc.cc \
-	HttpHdrSc.h HttpHdrScTarget.cc HttpHdrScTarget.h \
-	HttpHdrContRange.cc HttpHdrContRange.h HttpHeader.cc \
-	HttpHeader.h HttpHeaderMask.h HttpHeaderRange.h \
+	DiskIO/DiskIOModule.h dlink.h dlink.cc dns_internal.cc dns.cc \
+	enums.h errorpage.cc ElementList.h ESI.cc ESI.h ESIAssign.cc \
+	ESIAssign.h ESIAttempt.h ESIContext.cc ESIContext.h \
+	ESICustomParser.cc ESICustomParser.h ESIElement.h ESIExcept.h \
+	ESIExpatParser.cc ESIExpatParser.h ESIExpression.cc \
+	ESIExpression.h ESIInclude.cc ESIInclude.h ESILiteral.h \
+	ESILibxml2Parser.cc ESILibxml2Parser.h ESIParser.cc \
+	ESIParser.h ESISegment.cc ESISegment.h ESISequence.cc \
+	ESISequence.h ESIVar.h ESIVarState.cc ESIVarState.h ETag.cc \
+	event.cc event.h EventLoop.h EventLoop.cc external_acl.cc \
+	ExternalACL.h ExternalACLEntry.cc ExternalACLEntry.h fd.cc \
+	fde.cc fde.h filemap.cc forward.cc forward.h fqdncache.cc \
+	ftp.cc Generic.h globals.h gopher.cc helper.cc helper.h \
+	HierarchyLogEntry.h htcp.cc htcp.h http.cc http.h \
+	HttpStatusLine.cc HttpStatusLine.h HttpHdrCc.cc \
+	HttpHdrRange.cc HttpHdrSc.cc HttpHdrSc.h HttpHdrScTarget.cc \
+	HttpHdrScTarget.h HttpHdrContRange.cc HttpHdrContRange.h \
+	HttpHeader.cc HttpHeader.h HttpHeaderMask.h HttpHeaderRange.h \
 	HttpHeaderTools.cc HttpBody.cc HttpMsg.cc HttpMsg.h \
 	HttpReply.cc HttpReply.h HttpRequest.cc HttpRequest.h \
 	HttpRequestMethod.cc HttpRequestMethod.h HttpVersion.h ICP.h \
@@ -300,8 +295,7 @@
 	NullDelayId.$(OBJEXT)
 @USE_DELAY_POOLS_TRUE@am__objects_9 = $(am__objects_8)
 am__objects_10 = DiskIO/DiskIOModule.$(OBJEXT) \
-	DiskIO/ReadRequest.$(OBJEXT) DiskIO/WriteRequest.$(OBJEXT) \
-	DiskIO/DiskIOModules_gen.$(OBJEXT)
+	DiskIO/ReadRequest.$(OBJEXT) DiskIO/WriteRequest.$(OBJEXT)
 @USE_DNSSERVER_FALSE@am__objects_11 = dns_internal.$(OBJEXT)
 @USE_DNSSERVER_TRUE@am__objects_11 = dns.$(OBJEXT)
 am__objects_12 = ESI.$(OBJEXT) ESIAssign.$(OBJEXT) \
@@ -413,13 +407,13 @@
 	ssl_support.h win32.cc WinSvc.cc LoadableModule.h \
 	LoadableModule.cc LoadableModules.h LoadableModules.cc \
 	DiskIO/DiskThreads/aiops.cc DiskIO/DiskThreads/aiops_win32.cc
-nodist_squid_OBJECTS = repl_modules.$(OBJEXT) globals.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+am__objects_32 = DiskIO/DiskIOModules_gen.$(OBJEXT)
+nodist_squid_OBJECTS = $(am__objects_32) repl_modules.$(OBJEXT) \
+	globals.$(OBJEXT) string_arrays.$(OBJEXT)
 squid_OBJECTS = $(am_squid_OBJECTS) $(nodist_squid_OBJECTS)
 am__DEPENDENCIES_1 =
-am__objects_32 = event.$(OBJEXT) AsyncCallQueue.$(OBJEXT) \
+am__objects_33 = event.$(OBJEXT) AsyncCallQueue.$(OBJEXT) \
 	AsyncCall.$(OBJEXT)
-am__objects_33 = ../test-suite/test_tools.$(OBJEXT) globals.$(OBJEXT)
 am_tests_testACLMaxUserIP_OBJECTS = acl.$(OBJEXT) \
 	ACLChecklist.$(OBJEXT) ACLMaxUserIP.$(OBJEXT) \
 	ACLProxyAuth.$(OBJEXT) ACLRegexData.$(OBJEXT) \
@@ -429,26 +423,29 @@
 	HttpHdrRange.$(OBJEXT) HttpHdrCc.$(OBJEXT) HttpHdrSc.$(OBJEXT) \
 	HttpHdrScTarget.$(OBJEXT) mem_node.$(OBJEXT) Packer.$(OBJEXT) \
 	Parsing.$(OBJEXT) StatHist.$(OBJEXT) stmem.$(OBJEXT) \
-	String.$(OBJEXT) $(am__objects_32) $(am__objects_33) \
+	String.$(OBJEXT) $(am__objects_33) \
 	tests/stub_cache_cf.$(OBJEXT) tests/stub_comm.$(OBJEXT) \
 	tests/stub_DelayId.$(OBJEXT) tests/stub_MemObject.$(OBJEXT) \
 	tests/stub_store.$(OBJEXT) tests/stub_cache_manager.$(OBJEXT) \
 	tests/testACLMaxUserIP.$(OBJEXT) tests/testMain.$(OBJEXT) \
 	time.$(OBJEXT) mem.$(OBJEXT) MemBuf.$(OBJEXT) \
 	wordlist.$(OBJEXT)
-tests_testACLMaxUserIP_OBJECTS = $(am_tests_testACLMaxUserIP_OBJECTS)
+am__objects_34 = test_tools.$(OBJEXT) globals.$(OBJEXT)
+nodist_tests_testACLMaxUserIP_OBJECTS = $(am__objects_34)
+tests_testACLMaxUserIP_OBJECTS = $(am_tests_testACLMaxUserIP_OBJECTS) \
+	$(nodist_tests_testACLMaxUserIP_OBJECTS)
 am_tests_testAuth_OBJECTS = tests/testAuth.$(OBJEXT) \
-	tests/testMain.$(OBJEXT) $(am__objects_33) \
-	authenticate.$(OBJEXT) ConfigParser.$(OBJEXT) \
-	tests/stub_acl.$(OBJEXT) tests/stub_cache_cf.$(OBJEXT) \
-	tests/stub_helper.$(OBJEXT) cbdata.$(OBJEXT) String.$(OBJEXT) \
-	tests/stub_store.$(OBJEXT) HttpHeaderTools.$(OBJEXT) \
-	HttpHeader.$(OBJEXT) acl.$(OBJEXT) mem.$(OBJEXT) \
-	MemBuf.$(OBJEXT) HttpHdrContRange.$(OBJEXT) Packer.$(OBJEXT) \
-	ACLChecklist.$(OBJEXT) HttpHdrCc.$(OBJEXT) HttpHdrSc.$(OBJEXT) \
-	HttpHdrScTarget.$(OBJEXT) url.$(OBJEXT) ACLProxyAuth.$(OBJEXT) \
-	ACLRegexData.$(OBJEXT) ACLUserData.$(OBJEXT) \
-	StatHist.$(OBJEXT) HttpHdrRange.$(OBJEXT) ETag.$(OBJEXT) \
+	tests/testMain.$(OBJEXT) authenticate.$(OBJEXT) \
+	ConfigParser.$(OBJEXT) tests/stub_acl.$(OBJEXT) \
+	tests/stub_cache_cf.$(OBJEXT) tests/stub_helper.$(OBJEXT) \
+	cbdata.$(OBJEXT) String.$(OBJEXT) tests/stub_store.$(OBJEXT) \
+	HttpHeaderTools.$(OBJEXT) HttpHeader.$(OBJEXT) acl.$(OBJEXT) \
+	mem.$(OBJEXT) MemBuf.$(OBJEXT) HttpHdrContRange.$(OBJEXT) \
+	Packer.$(OBJEXT) ACLChecklist.$(OBJEXT) HttpHdrCc.$(OBJEXT) \
+	HttpHdrSc.$(OBJEXT) HttpHdrScTarget.$(OBJEXT) url.$(OBJEXT) \
+	ACLProxyAuth.$(OBJEXT) ACLRegexData.$(OBJEXT) \
+	ACLUserData.$(OBJEXT) StatHist.$(OBJEXT) \
+	HttpHdrRange.$(OBJEXT) ETag.$(OBJEXT) \
 	tests/stub_errorpage.$(OBJEXT) \
 	tests/stub_HttpRequest.$(OBJEXT) tests/stub_DelayId.$(OBJEXT) \
 	tests/stub_MemObject.$(OBJEXT) mem_node.$(OBJEXT) \
@@ -456,14 +453,18 @@
 	tests/stub_comm.$(OBJEXT) tests/stub_http.$(OBJEXT) \
 	HttpMsg.$(OBJEXT) HttpRequestMethod.$(OBJEXT) \
 	tests/stub_mime.$(OBJEXT) tests/stub_access_log.$(OBJEXT) \
-	time.$(OBJEXT) URLScheme.$(OBJEXT) $(am__objects_32) \
+	time.$(OBJEXT) URLScheme.$(OBJEXT) $(am__objects_33) \
 	wordlist.$(OBJEXT)
-tests_testAuth_OBJECTS = $(am_tests_testAuth_OBJECTS)
+nodist_tests_testAuth_OBJECTS = $(am__objects_34)
+tests_testAuth_OBJECTS = $(am_tests_testAuth_OBJECTS) \
+	$(nodist_tests_testAuth_OBJECTS)
 am_tests_testBoilerplate_OBJECTS = tests/testBoilerplate.$(OBJEXT) \
-	tests/testMain.$(OBJEXT) $(am__objects_33) time.$(OBJEXT)
-tests_testBoilerplate_OBJECTS = $(am_tests_testBoilerplate_OBJECTS)
-am__tests_testCacheManager_SOURCES_DIST = debug.cc globals.cc \
-	HttpRequest.cc HttpRequestMethod.cc mem.cc String.cc \
+	tests/testMain.$(OBJEXT) time.$(OBJEXT)
+nodist_tests_testBoilerplate_OBJECTS = $(am__objects_34)
+tests_testBoilerplate_OBJECTS = $(am_tests_testBoilerplate_OBJECTS) \
+	$(nodist_tests_testBoilerplate_OBJECTS)
+am__tests_testCacheManager_SOURCES_DIST = debug.cc HttpRequest.cc \
+	HttpRequestMethod.cc mem.cc String.cc \
 	tests/testCacheManager.cc tests/testCacheManager.h \
 	tests/testMain.cc time.cc access_log.cc acl.cc acl_noncore.cc \
 	ACLChecklist.cc ACLProxyAuth.cc ACLStringData.cc \
@@ -514,7 +515,7 @@
 	StoreSwapLogData.cc event.cc AsyncCallQueue.cc AsyncCall.cc \
 	tools.cc tunnel.cc SwapDir.cc url.cc URLScheme.cc urn.cc \
 	useragent.cc wccp2.cc whois.cc win32.cc wordlist.cc
-am_tests_testCacheManager_OBJECTS = debug.$(OBJEXT) globals.$(OBJEXT) \
+am_tests_testCacheManager_OBJECTS = debug.$(OBJEXT) \
 	HttpRequest.$(OBJEXT) HttpRequestMethod.$(OBJEXT) \
 	mem.$(OBJEXT) String.$(OBJEXT) \
 	tests/testCacheManager.$(OBJEXT) tests/testMain.$(OBJEXT) \
@@ -561,12 +562,12 @@
 	StoreMetaSTD.$(OBJEXT) StoreMetaSTDLFS.$(OBJEXT) \
 	StoreMetaUnpacker.$(OBJEXT) StoreMetaURL.$(OBJEXT) \
 	StoreMetaVary.$(OBJEXT) StoreSwapLogData.$(OBJEXT) \
-	$(am__objects_32) tools.$(OBJEXT) tunnel.$(OBJEXT) \
+	$(am__objects_33) tools.$(OBJEXT) tunnel.$(OBJEXT) \
 	SwapDir.$(OBJEXT) url.$(OBJEXT) URLScheme.$(OBJEXT) \
 	urn.$(OBJEXT) useragent.$(OBJEXT) wccp2.$(OBJEXT) \
 	whois.$(OBJEXT) $(am__objects_25) wordlist.$(OBJEXT)
-nodist_tests_testCacheManager_OBJECTS = repl_modules.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+nodist_tests_testCacheManager_OBJECTS = globals.$(OBJEXT) \
+	repl_modules.$(OBJEXT) string_arrays.$(OBJEXT)
 tests_testCacheManager_OBJECTS = $(am_tests_testCacheManager_OBJECTS) \
 	$(nodist_tests_testCacheManager_OBJECTS)
 am__tests_testCoss_SOURCES_DIST = tests/testCoss.cc tests/testMain.cc \
@@ -578,8 +579,7 @@
 	StoreMetaMD5.cc StoreMetaSTD.cc StoreMetaSTDLFS.cc \
 	StoreMetaUnpacker.cc StoreMetaURL.cc StoreMetaVary.cc \
 	StoreFileSystem.cc store_io.cc store_swapout.cc \
-	store_swapmeta.cc unlinkd.cc win32.cc \
-	../test-suite/test_tools.cc globals.cc event.cc \
+	store_swapmeta.cc unlinkd.cc win32.cc event.cc \
 	AsyncCallQueue.cc AsyncCall.cc CommonPool.h \
 	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
 	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
@@ -588,32 +588,31 @@
 	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
 	NullDelayId.cc NullDelayId.h CacheDigest.cc ConfigParser.cc \
 	EventLoop.cc HttpMsg.cc RemovalPolicy.cc store_dir.cc store.cc \
-	HttpRequestMethod.cc store_key_md5.cc string_arrays.c \
-	Parsing.cc ConfigOption.cc SwapDir.cc authenticate.cc \
-	tests/stub_acl.cc tests/stub_cache_cf.cc tests/stub_helper.cc \
-	cbdata.cc String.cc tests/stub_comm.cc \
-	tests/stub_client_side_request.cc tests/stub_http.cc \
-	mem_node.cc stmem.cc tests/stub_mime.cc HttpHeaderTools.cc \
-	HttpHeader.cc acl.cc mem.cc acl_noncore.cc MemBuf.cc \
-	HttpHdrContRange.cc Packer.cc ACLChecklist.cc HttpHdrCc.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc url.cc ACLProxyAuth.cc \
-	ACLRegexData.cc ACLUserData.cc StatHist.cc HttpHdrRange.cc \
-	ETag.cc tests/stub_errorpage.cc tests/stub_HttpRequest.cc \
-	tests/stub_access_log.cc refresh.cc tests/stub_store_client.cc \
+	HttpRequestMethod.cc store_key_md5.cc Parsing.cc \
+	ConfigOption.cc SwapDir.cc authenticate.cc tests/stub_acl.cc \
+	tests/stub_cache_cf.cc tests/stub_helper.cc cbdata.cc \
+	String.cc tests/stub_comm.cc tests/stub_client_side_request.cc \
+	tests/stub_http.cc mem_node.cc stmem.cc tests/stub_mime.cc \
+	HttpHeaderTools.cc HttpHeader.cc acl.cc mem.cc acl_noncore.cc \
+	MemBuf.cc HttpHdrContRange.cc Packer.cc ACLChecklist.cc \
+	HttpHdrCc.cc HttpHdrSc.cc HttpHdrScTarget.cc url.cc \
+	ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc StatHist.cc \
+	HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
+	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc refresh.cc tests/stub_store_client.cc \
 	tests/stub_tools.cc tests/testStoreSupport.cc \
 	tests/testStoreSupport.h time.cc URLScheme.cc wordlist.cc \
 	DiskIO/DiskIOModule.cc DiskIO/ReadRequest.cc \
 	DiskIO/ReadRequest.h DiskIO/WriteRequest.cc \
 	DiskIO/WriteRequest.h DiskIO/DiskFile.h \
 	DiskIO/DiskIOStrategy.h DiskIO/IORequestor.h \
-	DiskIO/DiskIOModule.h DiskIO/DiskIOModules_gen.cc
-am__objects_34 = $(am__objects_33) $(am__objects_32) $(am__objects_9) \
+	DiskIO/DiskIOModule.h
+am__objects_35 = $(am__objects_33) $(am__objects_9) \
 	CacheDigest.$(OBJEXT) ConfigParser.$(OBJEXT) \
 	EventLoop.$(OBJEXT) HttpMsg.$(OBJEXT) RemovalPolicy.$(OBJEXT) \
 	store_dir.$(OBJEXT) store.$(OBJEXT) \
 	HttpRequestMethod.$(OBJEXT) store_key_md5.$(OBJEXT) \
-	string_arrays.$(OBJEXT) Parsing.$(OBJEXT) \
-	ConfigOption.$(OBJEXT) SwapDir.$(OBJEXT) \
+	Parsing.$(OBJEXT) ConfigOption.$(OBJEXT) SwapDir.$(OBJEXT) \
 	authenticate.$(OBJEXT) tests/stub_acl.$(OBJEXT) \
 	tests/stub_cache_cf.$(OBJEXT) tests/stub_helper.$(OBJEXT) \
 	cbdata.$(OBJEXT) String.$(OBJEXT) tests/stub_comm.$(OBJEXT) \
@@ -629,11 +628,11 @@
 	StatHist.$(OBJEXT) HttpHdrRange.$(OBJEXT) ETag.$(OBJEXT) \
 	tests/stub_errorpage.$(OBJEXT) \
 	tests/stub_HttpRequest.$(OBJEXT) \
-	tests/stub_access_log.$(OBJEXT) refresh.$(OBJEXT) \
-	tests/stub_store_client.$(OBJEXT) tests/stub_tools.$(OBJEXT) \
-	tests/testStoreSupport.$(OBJEXT) time.$(OBJEXT) \
-	URLScheme.$(OBJEXT) wordlist.$(OBJEXT)
-am__objects_35 = tests/stub_internal.$(OBJEXT) \
+	tests/stub_access_log.$(OBJEXT) ip/stubQosConfig.$(OBJEXT) \
+	refresh.$(OBJEXT) tests/stub_store_client.$(OBJEXT) \
+	tests/stub_tools.$(OBJEXT) tests/testStoreSupport.$(OBJEXT) \
+	time.$(OBJEXT) URLScheme.$(OBJEXT) wordlist.$(OBJEXT)
+am__objects_36 = tests/stub_internal.$(OBJEXT) \
 	tests/stub_CommIO.$(OBJEXT) tests/stub_store_rebuild.$(OBJEXT) \
 	fd.$(OBJEXT) disk.$(OBJEXT) filemap.$(OBJEXT) \
 	HttpBody.$(OBJEXT) HttpReply.$(OBJEXT) \
@@ -645,12 +644,16 @@
 	StoreMetaURL.$(OBJEXT) StoreMetaVary.$(OBJEXT) \
 	StoreFileSystem.$(OBJEXT) store_io.$(OBJEXT) \
 	store_swapout.$(OBJEXT) store_swapmeta.$(OBJEXT) \
-	$(am__objects_24) $(am__objects_25) $(am__objects_34) \
+	$(am__objects_24) $(am__objects_25) $(am__objects_35) \
 	$(am__objects_10)
 am_tests_testCoss_OBJECTS = tests/testCoss.$(OBJEXT) \
 	tests/testMain.$(OBJEXT) tests/stub_cache_manager.$(OBJEXT) \
-	$(am__objects_35)
-tests_testCoss_OBJECTS = $(am_tests_testCoss_OBJECTS)
+	$(am__objects_36)
+am__objects_37 = $(am__objects_34) string_arrays.$(OBJEXT)
+am__objects_38 = $(am__objects_37) $(am__objects_32)
+nodist_tests_testCoss_OBJECTS = $(am__objects_38)
+tests_testCoss_OBJECTS = $(am_tests_testCoss_OBJECTS) \
+	$(nodist_tests_testCoss_OBJECTS)
 am__DEPENDENCIES_2 = libauth.la
 am__tests_testDiskIO_SOURCES_DIST = tests/stub_internal.cc \
 	tests/stub_CommIO.cc tests/stub_store_rebuild.cc fd.cc disk.cc \
@@ -660,8 +663,7 @@
 	StoreMetaSTDLFS.cc StoreMetaUnpacker.cc StoreMetaURL.cc \
 	StoreMetaVary.cc StoreFileSystem.cc store_io.cc \
 	store_swapout.cc store_swapmeta.cc unlinkd.cc win32.cc \
-	../test-suite/test_tools.cc globals.cc event.cc \
-	AsyncCallQueue.cc AsyncCall.cc CommonPool.h \
+	event.cc AsyncCallQueue.cc AsyncCall.cc CommonPool.h \
 	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
 	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
 	DelayConfig.h DelayPool.cc DelayPool.h DelayPools.h \
@@ -669,40 +671,41 @@
 	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
 	NullDelayId.cc NullDelayId.h CacheDigest.cc ConfigParser.cc \
 	EventLoop.cc HttpMsg.cc RemovalPolicy.cc store_dir.cc store.cc \
-	HttpRequestMethod.cc store_key_md5.cc string_arrays.c \
-	Parsing.cc ConfigOption.cc SwapDir.cc authenticate.cc \
-	tests/stub_acl.cc tests/stub_cache_cf.cc tests/stub_helper.cc \
-	cbdata.cc String.cc tests/stub_comm.cc \
-	tests/stub_client_side_request.cc tests/stub_http.cc \
-	mem_node.cc stmem.cc tests/stub_mime.cc HttpHeaderTools.cc \
-	HttpHeader.cc acl.cc mem.cc acl_noncore.cc MemBuf.cc \
-	HttpHdrContRange.cc Packer.cc ACLChecklist.cc HttpHdrCc.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc url.cc ACLProxyAuth.cc \
-	ACLRegexData.cc ACLUserData.cc StatHist.cc HttpHdrRange.cc \
-	ETag.cc tests/stub_errorpage.cc tests/stub_HttpRequest.cc \
-	tests/stub_access_log.cc refresh.cc tests/stub_store_client.cc \
+	HttpRequestMethod.cc store_key_md5.cc Parsing.cc \
+	ConfigOption.cc SwapDir.cc authenticate.cc tests/stub_acl.cc \
+	tests/stub_cache_cf.cc tests/stub_helper.cc cbdata.cc \
+	String.cc tests/stub_comm.cc tests/stub_client_side_request.cc \
+	tests/stub_http.cc mem_node.cc stmem.cc tests/stub_mime.cc \
+	HttpHeaderTools.cc HttpHeader.cc acl.cc mem.cc acl_noncore.cc \
+	MemBuf.cc HttpHdrContRange.cc Packer.cc ACLChecklist.cc \
+	HttpHdrCc.cc HttpHdrSc.cc HttpHdrScTarget.cc url.cc \
+	ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc StatHist.cc \
+	HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
+	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc refresh.cc tests/stub_store_client.cc \
 	tests/stub_tools.cc tests/testStoreSupport.cc \
 	tests/testStoreSupport.h time.cc URLScheme.cc wordlist.cc \
 	DiskIO/DiskIOModule.cc DiskIO/ReadRequest.cc \
 	DiskIO/ReadRequest.h DiskIO/WriteRequest.cc \
 	DiskIO/WriteRequest.h DiskIO/DiskFile.h \
 	DiskIO/DiskIOStrategy.h DiskIO/IORequestor.h \
-	DiskIO/DiskIOModule.h DiskIO/DiskIOModules_gen.cc \
-	tests/testDiskIO.cc tests/testDiskIO.h tests/testMain.cc \
-	tests/stub_cache_manager.cc
-am_tests_testDiskIO_OBJECTS = $(am__objects_35) \
+	DiskIO/DiskIOModule.h tests/testDiskIO.cc tests/testDiskIO.h \
+	tests/testMain.cc tests/stub_cache_manager.cc
+am_tests_testDiskIO_OBJECTS = $(am__objects_36) \
 	tests/testDiskIO.$(OBJEXT) tests/testMain.$(OBJEXT) \
 	tests/stub_cache_manager.$(OBJEXT)
-tests_testDiskIO_OBJECTS = $(am_tests_testDiskIO_OBJECTS)
+nodist_tests_testDiskIO_OBJECTS = $(am__objects_38)
+tests_testDiskIO_OBJECTS = $(am_tests_testDiskIO_OBJECTS) \
+	$(nodist_tests_testDiskIO_OBJECTS)
 am__tests_testEvent_SOURCES_DIST = debug.cc EventLoop.h EventLoop.cc \
-	globals.cc HttpRequest.cc HttpRequestMethod.cc mem.cc \
-	RemovalPolicy.cc String.cc tests/CapturingStoreEntry.h \
-	tests/testEvent.cc tests/testEvent.h tests/testMain.cc time.cc \
-	access_log.cc acl.cc acl_noncore.cc ACLChecklist.cc \
-	ACLProxyAuth.cc ACLStringData.cc ACLRegexData.cc \
-	ACLUserData.cc authenticate.cc BodyPipe.cc cache_manager.cc \
-	cache_cf.cc ProtoPort.cc ProtoPort.h CacheDigest.cc carp.cc \
-	cbdata.cc ChunkedCodingParser.cc client_db.cc client_side.cc \
+	HttpRequest.cc HttpRequestMethod.cc mem.cc RemovalPolicy.cc \
+	String.cc tests/CapturingStoreEntry.h tests/testEvent.cc \
+	tests/testEvent.h tests/testMain.cc time.cc access_log.cc \
+	acl.cc acl_noncore.cc ACLChecklist.cc ACLProxyAuth.cc \
+	ACLStringData.cc ACLRegexData.cc ACLUserData.cc \
+	authenticate.cc BodyPipe.cc cache_manager.cc cache_cf.cc \
+	ProtoPort.cc ProtoPort.h CacheDigest.cc carp.cc cbdata.cc \
+	ChunkedCodingParser.cc client_db.cc client_side.cc \
 	client_side_reply.cc client_side_request.cc clientStream.cc \
 	comm_select.cc comm_select.h comm_select_win32.cc comm_poll.cc \
 	comm_poll.h comm_epoll.cc comm_epoll.h comm_kqueue.cc \
@@ -747,9 +750,8 @@
 	url.cc URLScheme.cc urn.cc useragent.cc wccp2.cc whois.cc \
 	win32.cc wordlist.cc
 am_tests_testEvent_OBJECTS = debug.$(OBJEXT) EventLoop.$(OBJEXT) \
-	globals.$(OBJEXT) HttpRequest.$(OBJEXT) \
-	HttpRequestMethod.$(OBJEXT) mem.$(OBJEXT) \
-	RemovalPolicy.$(OBJEXT) String.$(OBJEXT) \
+	HttpRequest.$(OBJEXT) HttpRequestMethod.$(OBJEXT) \
+	mem.$(OBJEXT) RemovalPolicy.$(OBJEXT) String.$(OBJEXT) \
 	tests/testEvent.$(OBJEXT) tests/testMain.$(OBJEXT) \
 	time.$(OBJEXT) access_log.$(OBJEXT) acl.$(OBJEXT) \
 	acl_noncore.$(OBJEXT) ACLChecklist.$(OBJEXT) \
@@ -793,18 +795,18 @@
 	StoreMetaMD5.$(OBJEXT) StoreMetaSTD.$(OBJEXT) \
 	StoreMetaSTDLFS.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreMetaURL.$(OBJEXT) StoreMetaVary.$(OBJEXT) \
-	StoreSwapLogData.$(OBJEXT) $(am__objects_32) tools.$(OBJEXT) \
+	StoreSwapLogData.$(OBJEXT) $(am__objects_33) tools.$(OBJEXT) \
 	tunnel.$(OBJEXT) SwapDir.$(OBJEXT) url.$(OBJEXT) \
 	URLScheme.$(OBJEXT) urn.$(OBJEXT) useragent.$(OBJEXT) \
 	wccp2.$(OBJEXT) whois.$(OBJEXT) $(am__objects_25) \
 	wordlist.$(OBJEXT)
-nodist_tests_testEvent_OBJECTS = repl_modules.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+nodist_tests_testEvent_OBJECTS = globals.$(OBJEXT) \
+	repl_modules.$(OBJEXT) string_arrays.$(OBJEXT)
 tests_testEvent_OBJECTS = $(am_tests_testEvent_OBJECTS) \
 	$(nodist_tests_testEvent_OBJECTS)
 am__tests_testEventLoop_SOURCES_DIST = debug.cc EventLoop.h \
-	EventLoop.cc globals.cc HttpRequest.cc HttpRequestMethod.cc \
-	mem.cc RemovalPolicy.cc String.cc tests/testEventLoop.cc \
+	EventLoop.cc HttpRequest.cc HttpRequestMethod.cc mem.cc \
+	RemovalPolicy.cc String.cc tests/testEventLoop.cc \
 	tests/testEventLoop.h tests/testMain.cc time.cc access_log.cc \
 	acl.cc acl_noncore.cc ACLChecklist.cc ACLProxyAuth.cc \
 	ACLStringData.cc ACLRegexData.cc ACLUserData.cc \
@@ -855,9 +857,8 @@
 	url.cc URLScheme.cc urn.cc useragent.cc wccp2.cc whois.cc \
 	win32.cc wordlist.cc
 am_tests_testEventLoop_OBJECTS = debug.$(OBJEXT) EventLoop.$(OBJEXT) \
-	globals.$(OBJEXT) HttpRequest.$(OBJEXT) \
-	HttpRequestMethod.$(OBJEXT) mem.$(OBJEXT) \
-	RemovalPolicy.$(OBJEXT) String.$(OBJEXT) \
+	HttpRequest.$(OBJEXT) HttpRequestMethod.$(OBJEXT) \
+	mem.$(OBJEXT) RemovalPolicy.$(OBJEXT) String.$(OBJEXT) \
 	tests/testEventLoop.$(OBJEXT) tests/testMain.$(OBJEXT) \
 	time.$(OBJEXT) access_log.$(OBJEXT) acl.$(OBJEXT) \
 	acl_noncore.$(OBJEXT) ACLChecklist.$(OBJEXT) \
@@ -901,29 +902,28 @@
 	StoreMetaMD5.$(OBJEXT) StoreMetaSTD.$(OBJEXT) \
 	StoreMetaSTDLFS.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreMetaURL.$(OBJEXT) StoreMetaVary.$(OBJEXT) \
-	StoreSwapLogData.$(OBJEXT) $(am__objects_32) tools.$(OBJEXT) \
+	StoreSwapLogData.$(OBJEXT) $(am__objects_33) tools.$(OBJEXT) \
 	tunnel.$(OBJEXT) SwapDir.$(OBJEXT) url.$(OBJEXT) \
 	URLScheme.$(OBJEXT) urn.$(OBJEXT) useragent.$(OBJEXT) \
 	wccp2.$(OBJEXT) whois.$(OBJEXT) $(am__objects_25) \
 	wordlist.$(OBJEXT)
-nodist_tests_testEventLoop_OBJECTS = repl_modules.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+nodist_tests_testEventLoop_OBJECTS = globals.$(OBJEXT) \
+	repl_modules.$(OBJEXT) string_arrays.$(OBJEXT)
 tests_testEventLoop_OBJECTS = $(am_tests_testEventLoop_OBJECTS) \
 	$(nodist_tests_testEventLoop_OBJECTS)
-am__tests_testHttpRequest_SOURCES_DIST = debug.cc globals.cc \
-	HttpRequest.cc HttpRequestMethod.cc mem.cc String.cc \
-	tests/testHttpRequest.h tests/testHttpRequest.cc \
-	tests/testHttpRequestMethod.h tests/testHttpRequestMethod.cc \
-	tests/testMain.cc time.cc access_log.cc acl.cc acl_noncore.cc \
-	ACLChecklist.cc ACLProxyAuth.cc ACLStringData.cc \
-	ACLRegexData.cc ACLUserData.cc authenticate.cc BodyPipe.cc \
-	cache_manager.cc cache_cf.cc ProtoPort.cc ProtoPort.h \
-	CacheDigest.cc carp.cc cbdata.cc ChunkedCodingParser.cc \
-	client_db.cc client_side.cc client_side_reply.cc \
-	client_side_request.cc clientStream.cc comm_select.cc \
-	comm_select.h comm_select_win32.cc comm_poll.cc comm_poll.h \
-	comm_epoll.cc comm_epoll.h comm_kqueue.cc comm_kqueue.h \
-	ConfigOption.cc ConfigParser.cc CommonPool.h \
+am__tests_testHttpRequest_SOURCES_DIST = debug.cc HttpRequest.cc \
+	HttpRequestMethod.cc mem.cc String.cc tests/testHttpRequest.h \
+	tests/testHttpRequest.cc tests/testHttpRequestMethod.h \
+	tests/testHttpRequestMethod.cc tests/testMain.cc time.cc \
+	access_log.cc acl.cc acl_noncore.cc ACLChecklist.cc \
+	ACLProxyAuth.cc ACLStringData.cc ACLRegexData.cc \
+	ACLUserData.cc authenticate.cc BodyPipe.cc cache_manager.cc \
+	cache_cf.cc ProtoPort.cc ProtoPort.h CacheDigest.cc carp.cc \
+	cbdata.cc ChunkedCodingParser.cc client_db.cc client_side.cc \
+	client_side_reply.cc client_side_request.cc clientStream.cc \
+	comm_select.cc comm_select.h comm_select_win32.cc comm_poll.cc \
+	comm_poll.h comm_epoll.cc comm_epoll.h comm_kqueue.cc \
+	comm_kqueue.h ConfigOption.cc ConfigParser.cc CommonPool.h \
 	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
 	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
 	DelayConfig.h DelayPool.cc DelayPool.h DelayPools.h \
@@ -963,7 +963,7 @@
 	StoreSwapLogData.cc event.cc AsyncCallQueue.cc AsyncCall.cc \
 	tools.cc tunnel.cc SwapDir.cc url.cc URLScheme.cc urn.cc \
 	useragent.cc wccp2.cc whois.cc win32.cc wordlist.cc
-am_tests_testHttpRequest_OBJECTS = debug.$(OBJEXT) globals.$(OBJEXT) \
+am_tests_testHttpRequest_OBJECTS = debug.$(OBJEXT) \
 	HttpRequest.$(OBJEXT) HttpRequestMethod.$(OBJEXT) \
 	mem.$(OBJEXT) String.$(OBJEXT) tests/testHttpRequest.$(OBJEXT) \
 	tests/testHttpRequestMethod.$(OBJEXT) tests/testMain.$(OBJEXT) \
@@ -1010,12 +1010,12 @@
 	StoreMetaSTD.$(OBJEXT) StoreMetaSTDLFS.$(OBJEXT) \
 	StoreMetaUnpacker.$(OBJEXT) StoreMetaURL.$(OBJEXT) \
 	StoreMetaVary.$(OBJEXT) StoreSwapLogData.$(OBJEXT) \
-	$(am__objects_32) tools.$(OBJEXT) tunnel.$(OBJEXT) \
+	$(am__objects_33) tools.$(OBJEXT) tunnel.$(OBJEXT) \
 	SwapDir.$(OBJEXT) url.$(OBJEXT) URLScheme.$(OBJEXT) \
 	urn.$(OBJEXT) useragent.$(OBJEXT) wccp2.$(OBJEXT) \
 	whois.$(OBJEXT) $(am__objects_25) wordlist.$(OBJEXT)
-nodist_tests_testHttpRequest_OBJECTS = repl_modules.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+nodist_tests_testHttpRequest_OBJECTS = globals.$(OBJEXT) \
+	repl_modules.$(OBJEXT) string_arrays.$(OBJEXT)
 tests_testHttpRequest_OBJECTS = $(am_tests_testHttpRequest_OBJECTS) \
 	$(nodist_tests_testHttpRequest_OBJECTS)
 am__tests_testNull_SOURCES_DIST = tests/testNull.cc tests/testMain.cc \
@@ -1026,8 +1026,7 @@
 	StoreMetaMD5.cc StoreMetaSTD.cc StoreMetaSTDLFS.cc \
 	StoreMetaUnpacker.cc StoreMetaURL.cc StoreMetaVary.cc \
 	StoreFileSystem.cc store_io.cc store_swapout.cc \
-	store_swapmeta.cc unlinkd.cc win32.cc \
-	../test-suite/test_tools.cc globals.cc event.cc \
+	store_swapmeta.cc unlinkd.cc win32.cc event.cc \
 	AsyncCallQueue.cc AsyncCall.cc CommonPool.h \
 	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
 	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
@@ -1036,28 +1035,30 @@
 	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
 	NullDelayId.cc NullDelayId.h CacheDigest.cc ConfigParser.cc \
 	EventLoop.cc HttpMsg.cc RemovalPolicy.cc store_dir.cc store.cc \
-	HttpRequestMethod.cc store_key_md5.cc string_arrays.c \
-	Parsing.cc ConfigOption.cc SwapDir.cc authenticate.cc \
-	tests/stub_acl.cc tests/stub_cache_cf.cc tests/stub_helper.cc \
-	cbdata.cc String.cc tests/stub_comm.cc \
-	tests/stub_client_side_request.cc tests/stub_http.cc \
-	mem_node.cc stmem.cc tests/stub_mime.cc HttpHeaderTools.cc \
-	HttpHeader.cc acl.cc mem.cc acl_noncore.cc MemBuf.cc \
-	HttpHdrContRange.cc Packer.cc ACLChecklist.cc HttpHdrCc.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc url.cc ACLProxyAuth.cc \
-	ACLRegexData.cc ACLUserData.cc StatHist.cc HttpHdrRange.cc \
-	ETag.cc tests/stub_errorpage.cc tests/stub_HttpRequest.cc \
-	tests/stub_access_log.cc refresh.cc tests/stub_store_client.cc \
+	HttpRequestMethod.cc store_key_md5.cc Parsing.cc \
+	ConfigOption.cc SwapDir.cc authenticate.cc tests/stub_acl.cc \
+	tests/stub_cache_cf.cc tests/stub_helper.cc cbdata.cc \
+	String.cc tests/stub_comm.cc tests/stub_client_side_request.cc \
+	tests/stub_http.cc mem_node.cc stmem.cc tests/stub_mime.cc \
+	HttpHeaderTools.cc HttpHeader.cc acl.cc mem.cc acl_noncore.cc \
+	MemBuf.cc HttpHdrContRange.cc Packer.cc ACLChecklist.cc \
+	HttpHdrCc.cc HttpHdrSc.cc HttpHdrScTarget.cc url.cc \
+	ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc StatHist.cc \
+	HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
+	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc refresh.cc tests/stub_store_client.cc \
 	tests/stub_tools.cc tests/testStoreSupport.cc \
 	tests/testStoreSupport.h time.cc URLScheme.cc wordlist.cc \
 	DiskIO/DiskIOModule.cc DiskIO/ReadRequest.cc \
 	DiskIO/ReadRequest.h DiskIO/WriteRequest.cc \
 	DiskIO/WriteRequest.h DiskIO/DiskFile.h \
 	DiskIO/DiskIOStrategy.h DiskIO/IORequestor.h \
-	DiskIO/DiskIOModule.h DiskIO/DiskIOModules_gen.cc
+	DiskIO/DiskIOModule.h
 am_tests_testNull_OBJECTS = tests/testNull.$(OBJEXT) \
-	tests/testMain.$(OBJEXT) $(am__objects_35)
-tests_testNull_OBJECTS = $(am_tests_testNull_OBJECTS)
+	tests/testMain.$(OBJEXT) $(am__objects_36)
+nodist_tests_testNull_OBJECTS = $(am__objects_38)
+tests_testNull_OBJECTS = $(am_tests_testNull_OBJECTS) \
+	$(nodist_tests_testNull_OBJECTS)
 am__tests_testStore_SOURCES_DIST = tests/stub_store_swapout.cc \
 	tests/testMain.cc tests/stub_MemObject.cc tests/testStore.cc \
 	tests/testStore.h tests/CapturingStoreEntry.h \
@@ -1065,8 +1066,7 @@
 	tests/testStoreController.cc tests/testStoreController.h \
 	tests/testStoreHashIndex.cc tests/testStoreHashIndex.h \
 	tests/TestSwapDir.cc tests/TestSwapDir.h tests/stub_fd.cc \
-	tests/stub_HttpReply.cc tests/stub_cache_manager.cc \
-	../test-suite/test_tools.cc globals.cc event.cc \
+	tests/stub_HttpReply.cc tests/stub_cache_manager.cc event.cc \
 	AsyncCallQueue.cc AsyncCall.cc CommonPool.h \
 	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
 	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
@@ -1075,18 +1075,18 @@
 	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
 	NullDelayId.cc NullDelayId.h CacheDigest.cc ConfigParser.cc \
 	EventLoop.cc HttpMsg.cc RemovalPolicy.cc store_dir.cc store.cc \
-	HttpRequestMethod.cc store_key_md5.cc string_arrays.c \
-	Parsing.cc ConfigOption.cc SwapDir.cc authenticate.cc \
-	tests/stub_acl.cc tests/stub_cache_cf.cc tests/stub_helper.cc \
-	cbdata.cc String.cc tests/stub_comm.cc \
-	tests/stub_client_side_request.cc tests/stub_http.cc \
-	mem_node.cc stmem.cc tests/stub_mime.cc HttpHeaderTools.cc \
-	HttpHeader.cc acl.cc mem.cc acl_noncore.cc MemBuf.cc \
-	HttpHdrContRange.cc Packer.cc ACLChecklist.cc HttpHdrCc.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc url.cc ACLProxyAuth.cc \
-	ACLRegexData.cc ACLUserData.cc StatHist.cc HttpHdrRange.cc \
-	ETag.cc tests/stub_errorpage.cc tests/stub_HttpRequest.cc \
-	tests/stub_access_log.cc refresh.cc tests/stub_store_client.cc \
+	HttpRequestMethod.cc store_key_md5.cc Parsing.cc \
+	ConfigOption.cc SwapDir.cc authenticate.cc tests/stub_acl.cc \
+	tests/stub_cache_cf.cc tests/stub_helper.cc cbdata.cc \
+	String.cc tests/stub_comm.cc tests/stub_client_side_request.cc \
+	tests/stub_http.cc mem_node.cc stmem.cc tests/stub_mime.cc \
+	HttpHeaderTools.cc HttpHeader.cc acl.cc mem.cc acl_noncore.cc \
+	MemBuf.cc HttpHdrContRange.cc Packer.cc ACLChecklist.cc \
+	HttpHdrCc.cc HttpHdrSc.cc HttpHdrScTarget.cc url.cc \
+	ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc StatHist.cc \
+	HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
+	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc refresh.cc tests/stub_store_client.cc \
 	tests/stub_tools.cc tests/testStoreSupport.cc \
 	tests/testStoreSupport.h time.cc URLScheme.cc wordlist.cc
 am_tests_testStore_OBJECTS = tests/stub_store_swapout.$(OBJEXT) \
@@ -1095,16 +1095,19 @@
 	tests/testStoreController.$(OBJEXT) \
 	tests/testStoreHashIndex.$(OBJEXT) tests/TestSwapDir.$(OBJEXT) \
 	tests/stub_fd.$(OBJEXT) tests/stub_HttpReply.$(OBJEXT) \
-	tests/stub_cache_manager.$(OBJEXT) $(am__objects_34)
-tests_testStore_OBJECTS = $(am_tests_testStore_OBJECTS)
+	tests/stub_cache_manager.$(OBJEXT) $(am__objects_35)
+nodist_tests_testStore_OBJECTS = $(am__objects_37)
+tests_testStore_OBJECTS = $(am_tests_testStore_OBJECTS) \
+	$(nodist_tests_testStore_OBJECTS)
 am_tests_testString_OBJECTS = mem.$(OBJEXT) String.$(OBJEXT) \
 	tests/testMain.$(OBJEXT) tests/testString.$(OBJEXT) \
-	tests/stub_cache_manager.$(OBJEXT) $(am__objects_33) \
-	time.$(OBJEXT)
-tests_testString_OBJECTS = $(am_tests_testString_OBJECTS)
+	tests/stub_cache_manager.$(OBJEXT) time.$(OBJEXT)
+nodist_tests_testString_OBJECTS = $(am__objects_34)
+tests_testString_OBJECTS = $(am_tests_testString_OBJECTS) \
+	$(nodist_tests_testString_OBJECTS)
 am__tests_testURL_SOURCES_DIST = debug.cc url.cc URLScheme.cc \
-	globals.cc HttpRequest.cc HttpRequestMethod.cc mem.cc \
-	RemovalPolicy.cc String.cc tests/testURL.cc tests/testURL.h \
+	HttpRequest.cc HttpRequestMethod.cc mem.cc RemovalPolicy.cc \
+	String.cc tests/testURL.cc tests/testURL.h \
 	tests/testURLScheme.cc tests/testURLScheme.h tests/testMain.cc \
 	time.cc access_log.cc acl.cc acl_noncore.cc ACLChecklist.cc \
 	ACLProxyAuth.cc ACLStringData.cc ACLRegexData.cc \
@@ -1154,7 +1157,7 @@
 	AsyncCallQueue.cc AsyncCall.cc tools.cc tunnel.cc SwapDir.cc \
 	urn.cc useragent.cc wccp2.cc whois.cc win32.cc wordlist.cc
 am_tests_testURL_OBJECTS = debug.$(OBJEXT) url.$(OBJEXT) \
-	URLScheme.$(OBJEXT) globals.$(OBJEXT) HttpRequest.$(OBJEXT) \
+	URLScheme.$(OBJEXT) HttpRequest.$(OBJEXT) \
 	HttpRequestMethod.$(OBJEXT) mem.$(OBJEXT) \
 	RemovalPolicy.$(OBJEXT) String.$(OBJEXT) \
 	tests/testURL.$(OBJEXT) tests/testURLScheme.$(OBJEXT) \
@@ -1200,12 +1203,12 @@
 	StoreMetaMD5.$(OBJEXT) StoreMetaSTD.$(OBJEXT) \
 	StoreMetaSTDLFS.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreMetaURL.$(OBJEXT) StoreMetaVary.$(OBJEXT) \
-	StoreSwapLogData.$(OBJEXT) $(am__objects_32) tools.$(OBJEXT) \
+	StoreSwapLogData.$(OBJEXT) $(am__objects_33) tools.$(OBJEXT) \
 	tunnel.$(OBJEXT) SwapDir.$(OBJEXT) urn.$(OBJEXT) \
 	useragent.$(OBJEXT) wccp2.$(OBJEXT) whois.$(OBJEXT) \
 	$(am__objects_25) wordlist.$(OBJEXT)
-nodist_tests_testURL_OBJECTS = repl_modules.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+nodist_tests_testURL_OBJECTS = globals.$(OBJEXT) \
+	repl_modules.$(OBJEXT) string_arrays.$(OBJEXT)
 tests_testURL_OBJECTS = $(am_tests_testURL_OBJECTS) \
 	$(nodist_tests_testURL_OBJECTS)
 am__tests_testUfs_SOURCES_DIST = tests/testUfs.cc tests/testMain.cc \
@@ -1217,8 +1220,7 @@
 	StoreMetaMD5.cc StoreMetaSTD.cc StoreMetaSTDLFS.cc \
 	StoreMetaUnpacker.cc StoreMetaURL.cc StoreMetaVary.cc \
 	StoreFileSystem.cc store_io.cc store_swapout.cc \
-	store_swapmeta.cc unlinkd.cc win32.cc \
-	../test-suite/test_tools.cc globals.cc event.cc \
+	store_swapmeta.cc unlinkd.cc win32.cc event.cc \
 	AsyncCallQueue.cc AsyncCall.cc CommonPool.h \
 	CompositePoolNode.h delay_pools.cc DelayId.cc DelayId.h \
 	DelayIdComposite.h DelayBucket.cc DelayBucket.h DelayConfig.cc \
@@ -1227,29 +1229,31 @@
 	DelayUser.cc DelayUser.h DelayVector.cc DelayVector.h \
 	NullDelayId.cc NullDelayId.h CacheDigest.cc ConfigParser.cc \
 	EventLoop.cc HttpMsg.cc RemovalPolicy.cc store_dir.cc store.cc \
-	HttpRequestMethod.cc store_key_md5.cc string_arrays.c \
-	Parsing.cc ConfigOption.cc SwapDir.cc authenticate.cc \
-	tests/stub_acl.cc tests/stub_cache_cf.cc tests/stub_helper.cc \
-	cbdata.cc String.cc tests/stub_comm.cc \
-	tests/stub_client_side_request.cc tests/stub_http.cc \
-	mem_node.cc stmem.cc tests/stub_mime.cc HttpHeaderTools.cc \
-	HttpHeader.cc acl.cc mem.cc acl_noncore.cc MemBuf.cc \
-	HttpHdrContRange.cc Packer.cc ACLChecklist.cc HttpHdrCc.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc url.cc ACLProxyAuth.cc \
-	ACLRegexData.cc ACLUserData.cc StatHist.cc HttpHdrRange.cc \
-	ETag.cc tests/stub_errorpage.cc tests/stub_HttpRequest.cc \
-	tests/stub_access_log.cc refresh.cc tests/stub_store_client.cc \
+	HttpRequestMethod.cc store_key_md5.cc Parsing.cc \
+	ConfigOption.cc SwapDir.cc authenticate.cc tests/stub_acl.cc \
+	tests/stub_cache_cf.cc tests/stub_helper.cc cbdata.cc \
+	String.cc tests/stub_comm.cc tests/stub_client_side_request.cc \
+	tests/stub_http.cc mem_node.cc stmem.cc tests/stub_mime.cc \
+	HttpHeaderTools.cc HttpHeader.cc acl.cc mem.cc acl_noncore.cc \
+	MemBuf.cc HttpHdrContRange.cc Packer.cc ACLChecklist.cc \
+	HttpHdrCc.cc HttpHdrSc.cc HttpHdrScTarget.cc url.cc \
+	ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc StatHist.cc \
+	HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
+	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc refresh.cc tests/stub_store_client.cc \
 	tests/stub_tools.cc tests/testStoreSupport.cc \
 	tests/testStoreSupport.h time.cc URLScheme.cc wordlist.cc \
 	DiskIO/DiskIOModule.cc DiskIO/ReadRequest.cc \
 	DiskIO/ReadRequest.h DiskIO/WriteRequest.cc \
 	DiskIO/WriteRequest.h DiskIO/DiskFile.h \
 	DiskIO/DiskIOStrategy.h DiskIO/IORequestor.h \
-	DiskIO/DiskIOModule.h DiskIO/DiskIOModules_gen.cc
+	DiskIO/DiskIOModule.h
 am_tests_testUfs_OBJECTS = tests/testUfs.$(OBJEXT) \
 	tests/testMain.$(OBJEXT) tests/stub_cache_manager.$(OBJEXT) \
-	$(am__objects_35)
-tests_testUfs_OBJECTS = $(am_tests_testUfs_OBJECTS)
+	$(am__objects_36)
+nodist_tests_testUfs_OBJECTS = $(am__objects_38)
+tests_testUfs_OBJECTS = $(am_tests_testUfs_OBJECTS) \
+	$(nodist_tests_testUfs_OBJECTS)
 am__tests_test_http_range_SOURCES_DIST = tests/test_http_range.cc \
 	access_log.cc acl.cc acl_noncore.cc ACLChecklist.cc \
 	ACLProxyAuth.cc ACLStringData.cc ACLRegexData.cc \
@@ -1276,25 +1280,25 @@
 	ESISegment.h ESISequence.cc ESISequence.h ESIVar.h \
 	ESIVarState.cc ESIVarState.h ETag.cc external_acl.cc \
 	ExternalACLEntry.cc fd.cc fde.cc forward.cc fqdncache.cc \
-	ftp.cc globals.cc gopher.cc helper.cc htcp.cc htcp.h http.cc \
-	HttpBody.cc HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc \
-	HttpHdrSc.cc HttpHdrScTarget.cc HttpHeader.cc \
-	HttpHeaderTools.cc HttpMsg.cc HttpReply.cc HttpRequest.cc \
-	HttpRequestMethod.cc HttpStatusLine.cc icp_v2.cc icp_v3.cc \
-	ACLIdent.cc ACLIdent.h ident.cc ident.h int.cc internal.cc \
-	ipc.cc ipc_win32.cc ipcache.cc list.cc logfile.cc mem.cc \
-	mem_node.cc MemObject.cc mime.cc multicast.cc neighbors.cc \
-	Parsing.cc peer_digest.cc peer_select.cc peer_sourcehash.cc \
-	peer_userhash.cc pconn.cc redirect.cc referer.cc refresh.cc \
-	RemovalPolicy.cc Server.cc snmp_core.cc snmp_agent.cc \
-	ACLCertificateData.cc ACLCertificateData.h ACLCertificate.cc \
-	ACLCertificate.h ACLSslError.cc ACLSslError.h \
-	ACLSslErrorData.cc ACLSslErrorData.h ssl_support.cc \
-	ssl_support.h stat.cc StatHist.cc stmem.cc store.cc \
-	store_client.cc store_digest.cc store_dir.cc store_key_md5.cc \
-	store_io.cc store_log.cc store_rebuild.cc store_swapin.cc \
-	store_swapmeta.cc store_swapout.cc StoreFileSystem.cc \
-	StoreIOState.cc StoreMeta.cc StoreMetaMD5.cc StoreMetaSTD.cc \
+	ftp.cc gopher.cc helper.cc htcp.cc htcp.h http.cc HttpBody.cc \
+	HttpHdrCc.cc HttpHdrContRange.cc HttpHdrRange.cc HttpHdrSc.cc \
+	HttpHdrScTarget.cc HttpHeader.cc HttpHeaderTools.cc HttpMsg.cc \
+	HttpReply.cc HttpRequest.cc HttpRequestMethod.cc \
+	HttpStatusLine.cc icp_v2.cc icp_v3.cc ACLIdent.cc ACLIdent.h \
+	ident.cc ident.h int.cc internal.cc ipc.cc ipc_win32.cc \
+	ipcache.cc list.cc logfile.cc mem.cc mem_node.cc MemObject.cc \
+	mime.cc multicast.cc neighbors.cc Parsing.cc peer_digest.cc \
+	peer_select.cc peer_sourcehash.cc peer_userhash.cc pconn.cc \
+	redirect.cc referer.cc refresh.cc RemovalPolicy.cc Server.cc \
+	snmp_core.cc snmp_agent.cc ACLCertificateData.cc \
+	ACLCertificateData.h ACLCertificate.cc ACLCertificate.h \
+	ACLSslError.cc ACLSslError.h ACLSslErrorData.cc \
+	ACLSslErrorData.h ssl_support.cc ssl_support.h stat.cc \
+	StatHist.cc stmem.cc store.cc store_client.cc store_digest.cc \
+	store_dir.cc store_key_md5.cc store_io.cc store_log.cc \
+	store_rebuild.cc store_swapin.cc store_swapmeta.cc \
+	store_swapout.cc StoreFileSystem.cc StoreIOState.cc \
+	StoreMeta.cc StoreMetaMD5.cc StoreMetaSTD.cc \
 	StoreMetaSTDLFS.cc StoreMetaUnpacker.cc StoreMetaURL.cc \
 	StoreMetaVary.cc StoreSwapLogData.cc String.cc SwapDir.cc \
 	event.cc AsyncCallQueue.cc AsyncCall.cc time.cc tools.cc \
@@ -1316,13 +1320,13 @@
 	errorpage.$(OBJEXT) $(am__objects_13) ETag.$(OBJEXT) \
 	external_acl.$(OBJEXT) ExternalACLEntry.$(OBJEXT) fd.$(OBJEXT) \
 	fde.$(OBJEXT) forward.$(OBJEXT) fqdncache.$(OBJEXT) \
-	ftp.$(OBJEXT) globals.$(OBJEXT) gopher.$(OBJEXT) \
-	helper.$(OBJEXT) $(am__objects_14) http.$(OBJEXT) \
-	HttpBody.$(OBJEXT) HttpHdrCc.$(OBJEXT) \
-	HttpHdrContRange.$(OBJEXT) HttpHdrRange.$(OBJEXT) \
-	HttpHdrSc.$(OBJEXT) HttpHdrScTarget.$(OBJEXT) \
-	HttpHeader.$(OBJEXT) HttpHeaderTools.$(OBJEXT) \
-	HttpMsg.$(OBJEXT) HttpReply.$(OBJEXT) HttpRequest.$(OBJEXT) \
+	ftp.$(OBJEXT) gopher.$(OBJEXT) helper.$(OBJEXT) \
+	$(am__objects_14) http.$(OBJEXT) HttpBody.$(OBJEXT) \
+	HttpHdrCc.$(OBJEXT) HttpHdrContRange.$(OBJEXT) \
+	HttpHdrRange.$(OBJEXT) HttpHdrSc.$(OBJEXT) \
+	HttpHdrScTarget.$(OBJEXT) HttpHeader.$(OBJEXT) \
+	HttpHeaderTools.$(OBJEXT) HttpMsg.$(OBJEXT) \
+	HttpReply.$(OBJEXT) HttpRequest.$(OBJEXT) \
 	HttpRequestMethod.$(OBJEXT) HttpStatusLine.$(OBJEXT) \
 	icp_v2.$(OBJEXT) icp_v3.$(OBJEXT) $(am__objects_16) \
 	int.$(OBJEXT) internal.$(OBJEXT) $(am__objects_17) \
@@ -1345,13 +1349,13 @@
 	StoreMetaSTDLFS.$(OBJEXT) StoreMetaUnpacker.$(OBJEXT) \
 	StoreMetaURL.$(OBJEXT) StoreMetaVary.$(OBJEXT) \
 	StoreSwapLogData.$(OBJEXT) String.$(OBJEXT) SwapDir.$(OBJEXT) \
-	$(am__objects_32) time.$(OBJEXT) tools.$(OBJEXT) \
+	$(am__objects_33) time.$(OBJEXT) tools.$(OBJEXT) \
 	tunnel.$(OBJEXT) url.$(OBJEXT) URLScheme.$(OBJEXT) \
 	urn.$(OBJEXT) useragent.$(OBJEXT) wccp2.$(OBJEXT) \
 	whois.$(OBJEXT) $(am__objects_25) wordlist.$(OBJEXT) \
 	Packer.$(OBJEXT) MemBuf.$(OBJEXT)
-nodist_tests_test_http_range_OBJECTS = repl_modules.$(OBJEXT) \
-	string_arrays.$(OBJEXT)
+nodist_tests_test_http_range_OBJECTS = globals.$(OBJEXT) \
+	repl_modules.$(OBJEXT) string_arrays.$(OBJEXT)
 tests_test_http_range_OBJECTS = $(am_tests_test_http_range_OBJECTS) \
 	$(nodist_tests_test_http_range_OBJECTS)
 am__ufsdump_SOURCES_DIST = debug.cc int.cc mem.cc store_key_md5.cc \
@@ -1467,7 +1471,7 @@
 am_unlinkd_OBJECTS = unlinkd_daemon.$(OBJEXT) SquidNew.$(OBJEXT)
 unlinkd_OBJECTS = $(am_unlinkd_OBJECTS)
 unlinkd_LDADD = $(LDADD)
-unlinkd_DEPENDENCIES = libsquid.la libauth.la
+unlinkd_DEPENDENCIES = libsquid.la libauth.la ip/libip.la
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -1494,19 +1498,25 @@
 	$(nodist_cf_gen_SOURCES) $(dnsserver_SOURCES) \
 	$(recv_announce_SOURCES) $(squid_SOURCES) \
 	$(EXTRA_squid_SOURCES) $(nodist_squid_SOURCES) \
-	$(tests_testACLMaxUserIP_SOURCES) $(tests_testAuth_SOURCES) \
+	$(tests_testACLMaxUserIP_SOURCES) \
+	$(nodist_tests_testACLMaxUserIP_SOURCES) \
+	$(tests_testAuth_SOURCES) $(nodist_tests_testAuth_SOURCES) \
 	$(tests_testBoilerplate_SOURCES) \
+	$(nodist_tests_testBoilerplate_SOURCES) \
 	$(tests_testCacheManager_SOURCES) \
 	$(nodist_tests_testCacheManager_SOURCES) \
-	$(tests_testCoss_SOURCES) $(tests_testDiskIO_SOURCES) \
+	$(tests_testCoss_SOURCES) $(nodist_tests_testCoss_SOURCES) \
+	$(tests_testDiskIO_SOURCES) $(nodist_tests_testDiskIO_SOURCES) \
 	$(tests_testEvent_SOURCES) $(nodist_tests_testEvent_SOURCES) \
 	$(tests_testEventLoop_SOURCES) \
 	$(nodist_tests_testEventLoop_SOURCES) \
 	$(tests_testHttpRequest_SOURCES) \
 	$(nodist_tests_testHttpRequest_SOURCES) \
-	$(tests_testNull_SOURCES) $(tests_testStore_SOURCES) \
-	$(tests_testString_SOURCES) $(tests_testURL_SOURCES) \
-	$(nodist_tests_testURL_SOURCES) $(tests_testUfs_SOURCES) \
+	$(tests_testNull_SOURCES) $(nodist_tests_testNull_SOURCES) \
+	$(tests_testStore_SOURCES) $(nodist_tests_testStore_SOURCES) \
+	$(tests_testString_SOURCES) $(nodist_tests_testString_SOURCES) \
+	$(tests_testURL_SOURCES) $(nodist_tests_testURL_SOURCES) \
+	$(tests_testUfs_SOURCES) $(nodist_tests_testUfs_SOURCES) \
 	$(tests_test_http_range_SOURCES) \
 	$(nodist_tests_test_http_range_SOURCES) $(ufsdump_SOURCES) \
 	$(nodist_ufsdump_SOURCES) $(unlinkd_SOURCES)
@@ -1549,7 +1559,7 @@
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
 CTAGS = ctags
-DIST_SUBDIRS = fs repl auth icmp adaptation ICAP eCAP
+DIST_SUBDIRS = fs repl auth icmp ip adaptation ICAP eCAP
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADAPTATION_LIBS = @ECAP_LIBS@ @ICAP_LIBS@ @ADAPTATION_LIBS@
@@ -1799,7 +1809,7 @@
 	LoadableModules.cc
 
 TESTS = $(check_PROGRAMS)
-SUBDIRS = fs repl auth icmp $(am__append_1) $(am__append_2) \
+SUBDIRS = fs repl auth icmp ip $(am__append_1) $(am__append_2) \
 	$(am__append_3)
 DELAY_POOL_ALL_SOURCE = \
 	CommonPool.h \
@@ -1917,9 +1927,23 @@
 INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include \
 	-I$(top_srcdir)/include -I$(top_srcdir)/lib/libTrie/include \
 	-I$(top_builddir)/lib -I$(top_srcdir)/lib @SQUID_CPPUNIT_INC@
-cf_gen_SOURCES = cf_gen.cc defines.h debug.cc time.cc
+cf_gen_SOURCES = \
+	cf_gen.cc \
+	defines.h \
+	debug.cc \
+	time.cc
+
 nodist_cf_gen_SOURCES = globals.cc
 nodist_cf_gen_HEADER = cf_gen_defines.h
+cf_gen_LDADD = \
+	libsquid.la \
+	libauth.la \
+	ip/libip.la \
+	-L../lib -lmiscutil \
+	@XTRA_LIBS@ \
+	@EPOLL_LIBS@ \
+	@MINGW_LIBS@
+
 all_FSMODULES = \
 	fs/aufs/StoreFSaufs.cc \
 	fs/coss/StoreFScoss.cc \
@@ -1936,7 +1960,9 @@
 	DiskIO/DiskIOStrategy.h \
 	DiskIO/IORequestor.h \
 	DiskIO/DiskIOModule.h \
-	DiskIO/ReadRequest.h \
+	DiskIO/ReadRequest.h
+
+DISKIO_GEN_SOURCE = \
 	DiskIO/DiskIOModules_gen.cc
 
 all_AUTHMODULES = \
@@ -2081,8 +2107,6 @@
 	CommCalls.h \
 	DescriptorSet.cc \
 	DescriptorSet.h \
-	IPInterception.cc \
-	IPInterception.h \
         ICAP/AsyncJob.cc \
         ICAP/AsyncJob.h \
 	SquidConfig.cc \
@@ -2169,16 +2193,17 @@
 	SquidTime.h
 
 nodist_squid_SOURCES = \
+	$(DISKIO_GEN_SOURCE) \
 	repl_modules.cc \
 	cf_parser.h \
 	globals.cc \
 	string_arrays.c
 
 squid_LDADD = libsquid.la libauth.la icmp/libicmp.la \
-	icmp/libicmp-core.la -L../lib @XTRA_OBJS@ @DISK_LINKOBJS@ \
-	@REPL_OBJS@ @STORE_LINKOBJS@ @STORE_OBJS@ @DISK_LIBS@ \
-	@AUTH_LINKOBJS@ @AUTH_OBJS@ @CRYPTLIB@ @REGEXLIB@ @SNMPLIB@ \
-	${ADAPTATION_LIBS} @SSLLIB@ -lmiscutil @XTRA_LIBS@ \
+	icmp/libicmp-core.la ip/libip.la -L../lib @XTRA_OBJS@ \
+	@DISK_LINKOBJS@ @REPL_OBJS@ @STORE_LINKOBJS@ @STORE_OBJS@ \
+	@DISK_LIBS@ @AUTH_LINKOBJS@ @AUTH_OBJS@ @CRYPTLIB@ @REGEXLIB@ \
+	@SNMPLIB@ ${ADAPTATION_LIBS} @SSLLIB@ -lmiscutil @XTRA_LIBS@ \
 	@EPOLL_LIBS@ @MINGW_LIBS@ $(am__append_5)
 squid_DEPENDENCIES = $(top_builddir)/lib/libmiscutil.a \
 	@STORE_OBJS@ \
@@ -2364,6 +2389,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	-L../lib \
 	@XTRA_OBJS@ \
 	@REPL_OBJS@ \
@@ -2409,7 +2435,7 @@
 data_DATA = \
 	mib.txt
 
-LDADD = libsquid.la libauth.la -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
+LDADD = libsquid.la libauth.la ip/libip.la -L../lib -lmiscutil @XTRA_LIBS@ @EPOLL_LIBS@ @MINGW_LIBS@
 EXTRA_DIST = \
 	cf_gen_defines \
 	cf.data.pre \
@@ -2490,15 +2516,17 @@
 #		echo "rm -f $(DESTDIR)$(DEFAULT_CONFIG_FILE)"; \
 #		$(RM) -f $(DESTDIR)$(DEFAULT_CONFIG_FILE); \
 #	fi
-DISTCLEANFILES = cf_gen_defines.h cf.data cf_parser.h squid.conf.default squid.conf.documented \
-	globals.cc string_arrays.c repl_modules.cc DiskIO/DiskIOModules_gen.cc
-
+CLEANFILES = cf_gen_defines.h cf.data cf_parser.h squid.conf.default \
+	squid.conf.documented globals.cc string_arrays.c \
+	repl_modules.cc DiskIO/DiskIOModules_gen.cc test_tools.cc *.a \
+	testHeaders.c
 
 # stock tools for unit tests - library independent versions of dlink_list 
 # etc.
-# globals.cc is needed by test_tools.cc
+# globals.cc is needed by test_tools.cc.
+# Neither of these should be disted from here.
 TESTSOURCES = \
-	../test-suite/test_tools.cc \
+	test_tools.cc \
 	globals.cc
 
 
@@ -2515,7 +2543,8 @@
 #	tests/testX.cc \
 #	tests/testMain.cc \
 #	X.h \
-#	X.cc \
+#	X.cc
+#nodist_tests_testX_SOURCES=\
 #	$(TESTSOURCES)
 #tests_testX_LDFLAGS = $(LIBADD_DL)
 #tests_testX_LDADD=\
@@ -2524,7 +2553,8 @@
 #	-L../lib -lmiscutil
 #tests_testX_DEPENDENCIES= @SQUID_CPPUNIT_LA@ \
 #	$(top_builddir)/lib/libmiscutil.a
-tests_testAuth_SOURCES = tests/testAuth.cc tests/testMain.cc  tests/testAuth.h $(TESTSOURCES) \
+tests_testAuth_SOURCES = \
+	tests/testAuth.cc tests/testMain.cc  tests/testAuth.h \
 	authenticate.cc \
 	ConfigParser.cc \
 	tests/stub_acl.cc tests/stub_cache_cf.cc \
@@ -2548,9 +2578,13 @@
 	$(TEST_CALL_SOURCES) \
 	wordlist.cc
 
+nodist_tests_testAuth_SOURCES = \
+	$(TESTSOURCES)
+
 tests_testAuth_LDADD = \
 	libsquid.la \
 	libauth.la \
+	ip/libip.la \
 	@AUTH_LINKOBJS@ @AUTH_OBJS@ \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
@@ -2588,7 +2622,6 @@
 	stmem.cc \
 	String.cc \
 	$(TEST_CALL_SOURCES) \
-	$(TESTSOURCES) \
 	tests/stub_cache_cf.cc \
 	tests/stub_comm.cc \
 	tests/stub_DelayId.cc \
@@ -2603,9 +2636,13 @@
 	MemBuf.cc \
 	wordlist.cc
 
+nodist_tests_testACLMaxUserIP_SOURCES = \
+	$(TESTSOURCES)
+
 tests_testACLMaxUserIP_LDADD = \
 	libsquid.la \
 	libauth.la \
+	ip/libip.la \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -2619,9 +2656,11 @@
 	tests/testBoilerplate.cc \
 	tests/testMain.cc \
 	tests/testBoilerplate.h \
-	$(TESTSOURCES) \
 	time.cc
 
+nodist_tests_testBoilerplate_SOURCES = \
+	$(TESTSOURCES)
+
 tests_testBoilerplate_LDADD = \
 	-L../lib -lmiscutil \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -2633,7 +2672,6 @@
 
 tests_testCacheManager_SOURCES = \
 	debug.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -2765,6 +2803,7 @@
 	wordlist.cc
 
 nodist_tests_testCacheManager_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 
@@ -2772,6 +2811,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -2794,7 +2834,11 @@
 	tests/testMain.cc \
 	tests/stub_cache_manager.cc
 
+nodist_tests_testDiskIO_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+
 tests_testDiskIO_LDADD = \
+	ip/libip.la \
 	@DISK_LIBS@ \
 	$(SWAP_TEST_LDADD) \
 	SquidConfig.o
@@ -2809,7 +2853,6 @@
 	debug.cc \
 	EventLoop.h \
 	EventLoop.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -2942,6 +2985,7 @@
 	wordlist.cc
 
 nodist_tests_testEvent_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 
@@ -2949,6 +2993,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -2968,7 +3013,6 @@
 	debug.cc \
 	EventLoop.h \
 	EventLoop.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -3100,6 +3144,7 @@
 	wordlist.cc
 
 nodist_tests_testEventLoop_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 
@@ -3107,6 +3152,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -3166,7 +3212,6 @@
 	forward.cc \
 	fqdncache.cc \
 	ftp.cc \
-	globals.cc \
 	gopher.cc \
 	helper.cc \
 	$(HTCPSOURCE) \
@@ -3254,6 +3299,7 @@
 	MemBuf.cc
 
 nodist_tests_test_http_range_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 
@@ -3261,6 +3307,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	@STORE_OBJS@ \
 	${ADAPTATION_LIBS} \
@@ -3278,7 +3325,6 @@
 
 tests_testHttpRequest_SOURCES = \
 	debug.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -3412,6 +3458,7 @@
 	wordlist.cc
 
 nodist_tests_testHttpRequest_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 
@@ -3419,6 +3466,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
 	@REGEXLIB@ \
@@ -3439,7 +3487,6 @@
 # delay pools need client_side_request.cc
 # store_key_md5 wants the method.
 STORE_TEST_SOURCES = \
-	$(TESTSOURCES) \
 	$(TEST_CALL_SOURCES) \
 	$(DELAY_POOL_SOURCE) \
 	CacheDigest.cc \
@@ -3451,7 +3498,6 @@
 	store.cc \
 	HttpRequestMethod.cc \
 	store_key_md5.cc \
-	string_arrays.c \
 	Parsing.cc \
 	ConfigOption.cc \
 	SwapDir.cc \
@@ -3470,6 +3516,7 @@
 	HttpHdrScTarget.cc url.cc ACLProxyAuth.cc ACLRegexData.cc ACLUserData.cc \
 	StatHist.cc HttpHdrRange.cc ETag.cc tests/stub_errorpage.cc \
 	tests/stub_HttpRequest.cc tests/stub_access_log.cc \
+	ip/stubQosConfig.cc \
 	refresh.cc \
 	tests/stub_store_client.cc \
 	tests/stub_tools.cc \
@@ -3479,6 +3526,10 @@
 	URLScheme.cc \
 	wordlist.cc
 
+STORE_TEST_GEN_SOURCES = \
+	$(TESTSOURCES) \
+	string_arrays.c
+
 tests_testStore_SOURCES = \
 	tests/stub_store_swapout.cc \
 	tests/testMain.cc \
@@ -3499,9 +3550,13 @@
 	tests/stub_cache_manager.cc \
 	$(STORE_TEST_SOURCES)
 
+nodist_tests_testStore_SOURCES = \
+	$(STORE_TEST_GEN_SOURCES)
+
 tests_testStore_LDADD = \
 	libsquid.la \
 	libauth.la \
+	ip/libip.la \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -3513,6 +3568,7 @@
 
 
 # string needs mem.cc.
+# libsquid pulls in SquidConfig and children. stub them.
 tests_testString_SOURCES = \
 	mem.cc \
 	String.cc \
@@ -3520,11 +3576,14 @@
 	tests/testString.cc \
 	tests/testString.h \
 	tests/stub_cache_manager.cc \
-	$(TESTSOURCES) \
-	time.cc 
+	time.cc
+
+nodist_tests_testString_SOURCES = \
+	$(TESTSOURCES)
 
 tests_testString_LDADD = \
 	libsquid.la \
+	ip/libip.la \
 	-L../lib -lmiscutil \
 	@REGEXLIB@ \
 	@SQUID_CPPUNIT_LIBS@ \
@@ -3565,6 +3624,10 @@
 	$(STORE_TEST_SOURCES) \
 	$(DISKIO_SOURCE)
 
+SWAP_TEST_GEN_SOURCES = \
+	$(STORE_TEST_GEN_SOURCES) \
+	$(DISKIO_GEN_SOURCE)
+
 SWAP_TEST_LDADD = \
 	libauth.la \
 	@REGEXLIB@ \
@@ -3584,14 +3647,19 @@
 	@REPL_OBJS@ \
 	@SQUID_CPPUNIT_LA@
 
-tests_testUfs_SOURCES = tests/testUfs.cc \
+tests_testUfs_SOURCES = \
+	tests/testUfs.cc \
 	tests/testMain.cc \
 	tests/testUfs.h \
 	tests/stub_cache_manager.cc \
 	$(SWAP_TEST_SOURCES)
 
+nodist_tests_testUfs_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+
 tests_testUfs_LDADD = \
 	libsquid.la \
+	ip/libip.la \
 	$(SWAP_TEST_LDADD) \
 	@SSLLIB@
 
@@ -3599,12 +3667,16 @@
 tests_testUfs_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
 
-tests_testCoss_SOURCES = tests/testCoss.cc \
+tests_testCoss_SOURCES = \
+	tests/testCoss.cc \
 	tests/testMain.cc \
 	tests/testCoss.h \
 	tests/stub_cache_manager.cc \
 	$(SWAP_TEST_SOURCES)
 
+nodist_tests_testCoss_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+
 tests_testCoss_LDADD = \
 	libsquid.la \
 	$(SWAP_TEST_LDADD) \
@@ -3614,11 +3686,15 @@
 tests_testCoss_DEPENDENCIES = \
 	$(SWAP_TEST_DS)
 
-tests_testNull_SOURCES = tests/testNull.cc \
+tests_testNull_SOURCES = \
+	tests/testNull.cc \
 	tests/testMain.cc \
 	tests/testNull.h \
 	$(SWAP_TEST_SOURCES)
 
+nodist_tests_testNull_SOURCES = \
+	$(SWAP_TEST_GEN_SOURCES)
+
 tests_testNull_LDADD = \
 	$(SWAP_TEST_LDADD) \
 	@SSLLIB@
@@ -3631,7 +3707,6 @@
 	debug.cc \
 	url.cc \
 	URLScheme.cc \
-	globals.cc \
 	HttpRequest.cc \
 	HttpRequestMethod.cc \
 	mem.cc \
@@ -3763,6 +3838,7 @@
 	wordlist.cc
 
 nodist_tests_testURL_SOURCES = \
+	globals.cc \
 	repl_modules.cc \
 	string_arrays.c
 
@@ -3770,6 +3846,7 @@
 	libsquid.la \
 	libauth.la \
 	icmp/libicmp.la icmp/libicmp-core.la \
+	ip/libip.la \
 	@REGEXLIB@ \
 	@REPL_OBJS@ \
 	${ADAPTATION_LIBS} \
@@ -4050,8 +4127,6 @@
 	DiskIO/$(DEPDIR)/$(am__dirstamp)
 DiskIO/WriteRequest.$(OBJEXT): DiskIO/$(am__dirstamp) \
 	DiskIO/$(DEPDIR)/$(am__dirstamp)
-DiskIO/DiskIOModules_gen.$(OBJEXT): DiskIO/$(am__dirstamp) \
-	DiskIO/$(DEPDIR)/$(am__dirstamp)
 fs/aufs/$(am__dirstamp):
 	@$(mkdir_p) fs/aufs
 	@: > fs/aufs/$(am__dirstamp)
@@ -4117,17 +4192,11 @@
 auth/negotiate/negotiateScheme.$(OBJEXT):  \
 	auth/negotiate/$(am__dirstamp) \
 	auth/negotiate/$(DEPDIR)/$(am__dirstamp)
+DiskIO/DiskIOModules_gen.$(OBJEXT): DiskIO/$(am__dirstamp) \
+	DiskIO/$(DEPDIR)/$(am__dirstamp)
 squid$(EXEEXT): $(squid_OBJECTS) $(squid_DEPENDENCIES) 
 	@rm -f squid$(EXEEXT)
 	$(CXXLINK) $(squid_LDFLAGS) $(squid_OBJECTS) $(squid_LDADD) $(LIBS)
-../test-suite/$(am__dirstamp):
-	@$(mkdir_p) ../test-suite
-	@: > ../test-suite/$(am__dirstamp)
-../test-suite/$(DEPDIR)/$(am__dirstamp):
-	@$(mkdir_p) ../test-suite/$(DEPDIR)
-	@: > ../test-suite/$(DEPDIR)/$(am__dirstamp)
-../test-suite/test_tools.$(OBJEXT): ../test-suite/$(am__dirstamp) \
-	../test-suite/$(DEPDIR)/$(am__dirstamp)
 tests/$(am__dirstamp):
 	@$(mkdir_p) tests
 	@: > tests/$(am__dirstamp)
@@ -4192,6 +4261,14 @@
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_client_side_request.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
+ip/$(am__dirstamp):
+	@$(mkdir_p) ip
+	@: > ip/$(am__dirstamp)
+ip/$(DEPDIR)/$(am__dirstamp):
+	@$(mkdir_p) ip/$(DEPDIR)
+	@: > ip/$(DEPDIR)/$(am__dirstamp)
+ip/stubQosConfig.$(OBJEXT): ip/$(am__dirstamp) \
+	ip/$(DEPDIR)/$(am__dirstamp)
 tests/stub_store_client.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_tools.$(OBJEXT): tests/$(am__dirstamp) \
@@ -4278,7 +4355,6 @@
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
-	-rm -f ../test-suite/test_tools.$(OBJEXT)
 	-rm -f DiskIO/AIO/AIODiskFile.$(OBJEXT)
 	-rm -f DiskIO/AIO/AIODiskIOModule.$(OBJEXT)
 	-rm -f DiskIO/AIO/AIODiskIOStrategy.$(OBJEXT)
@@ -4310,6 +4386,7 @@
 	-rm -f fs/coss/StoreFScoss.$(OBJEXT)
 	-rm -f fs/diskd/StoreFSdiskd.$(OBJEXT)
 	-rm -f fs/ufs/StoreFSufs.$(OBJEXT)
+	-rm -f ip/stubQosConfig.$(OBJEXT)
 	-rm -f tests/TestSwapDir.$(OBJEXT)
 	-rm -f tests/stub_CommIO.$(OBJEXT)
 	-rm -f tests/stub_DelayId.$(OBJEXT)
@@ -4359,7 +4436,6 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@../test-suite/$(DEPDIR)/test_tools.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ACLARP.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ACLASN.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ACLBrowser.Po@am__quote@
@@ -4455,7 +4531,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpRequest.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpRequestMethod.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpStatusLine.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IPInterception.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LeakFinder.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LoadableModule.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LoadableModules.Po@am__quote@
@@ -4572,6 +4647,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/store_swapmeta.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/store_swapout.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string_arrays.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tools.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tools.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tunnel.Po@am__quote@
@@ -4616,6 +4692,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@fs/coss/$(DEPDIR)/StoreFScoss.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@fs/diskd/$(DEPDIR)/StoreFSdiskd.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@fs/ufs/$(DEPDIR)/StoreFSufs.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@ip/$(DEPDIR)/stubQosConfig.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/TestSwapDir.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_CommIO.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_DelayId.Po@am__quote@
@@ -5033,11 +5110,10 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-	-rm -f ../test-suite/$(DEPDIR)/$(am__dirstamp)
-	-rm -f ../test-suite/$(am__dirstamp)
 	-rm -f DiskIO/$(DEPDIR)/$(am__dirstamp)
 	-rm -f DiskIO/$(am__dirstamp)
 	-rm -f DiskIO/AIO/$(DEPDIR)/$(am__dirstamp)
@@ -5066,9 +5142,10 @@
 	-rm -f fs/diskd/$(am__dirstamp)
 	-rm -f fs/ufs/$(DEPDIR)/$(am__dirstamp)
 	-rm -f fs/ufs/$(am__dirstamp)
+	-rm -f ip/$(DEPDIR)/$(am__dirstamp)
+	-rm -f ip/$(am__dirstamp)
 	-rm -f tests/$(DEPDIR)/$(am__dirstamp)
 	-rm -f tests/$(am__dirstamp)
-	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
 
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
@@ -5082,7 +5159,7 @@
 	clean-sbinPROGRAMS mostlyclean-am
 
 distclean: distclean-recursive
-	-rm -rf ../test-suite/$(DEPDIR) ./$(DEPDIR) DiskIO/$(DEPDIR) DiskIO/AIO/$(DEPDIR) DiskIO/Blocking/$(DEPDIR) DiskIO/DiskDaemon/$(DEPDIR) DiskIO/DiskThreads/$(DEPDIR) ICAP/$(DEPDIR) auth/basic/$(DEPDIR) auth/digest/$(DEPDIR) auth/negotiate/$(DEPDIR) auth/ntlm/$(DEPDIR) fs/aufs/$(DEPDIR) fs/coss/$(DEPDIR) fs/diskd/$(DEPDIR) fs/ufs/$(DEPDIR) tests/$(DEPDIR)
+	-rm -rf ./$(DEPDIR) DiskIO/$(DEPDIR) DiskIO/AIO/$(DEPDIR) DiskIO/Blocking/$(DEPDIR) DiskIO/DiskDaemon/$(DEPDIR) DiskIO/DiskThreads/$(DEPDIR) ICAP/$(DEPDIR) auth/basic/$(DEPDIR) auth/digest/$(DEPDIR) auth/negotiate/$(DEPDIR) auth/ntlm/$(DEPDIR) fs/aufs/$(DEPDIR) fs/coss/$(DEPDIR) fs/diskd/$(DEPDIR) fs/ufs/$(DEPDIR) ip/$(DEPDIR) tests/$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-libtool distclean-tags
@@ -5109,7 +5186,7 @@
 installcheck-am:
 
 maintainer-clean: maintainer-clean-recursive
-	-rm -rf ../test-suite/$(DEPDIR) ./$(DEPDIR) DiskIO/$(DEPDIR) DiskIO/AIO/$(DEPDIR) DiskIO/Blocking/$(DEPDIR) DiskIO/DiskDaemon/$(DEPDIR) DiskIO/DiskThreads/$(DEPDIR) ICAP/$(DEPDIR) auth/basic/$(DEPDIR) auth/digest/$(DEPDIR) auth/negotiate/$(DEPDIR) auth/ntlm/$(DEPDIR) fs/aufs/$(DEPDIR) fs/coss/$(DEPDIR) fs/diskd/$(DEPDIR) fs/ufs/$(DEPDIR) tests/$(DEPDIR)
+	-rm -rf ./$(DEPDIR) DiskIO/$(DEPDIR) DiskIO/AIO/$(DEPDIR) DiskIO/Blocking/$(DEPDIR) DiskIO/DiskDaemon/$(DEPDIR) DiskIO/DiskThreads/$(DEPDIR) ICAP/$(DEPDIR) auth/basic/$(DEPDIR) auth/digest/$(DEPDIR) auth/negotiate/$(DEPDIR) auth/ntlm/$(DEPDIR) fs/aufs/$(DEPDIR) fs/coss/$(DEPDIR) fs/diskd/$(DEPDIR) fs/ufs/$(DEPDIR) ip/$(DEPDIR) tests/$(DEPDIR)
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
@@ -5243,6 +5320,9 @@
 		$(RM) -f $(DESTDIR)$(DEFAULT_MIME_TABLE); \
 	fi
 
+test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
+	cp $(top_srcdir)/test-suite/test_tools.cc .
+
 testHeaders: $(top_srcdir)/src/*.h $(top_srcdir)/src/DiskIO/*.h $(top_srcdir)/src/DiskIO/*/*.h
 	$(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" "." || exit 1
 	$(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" "DiskIO" || exit 1
diff -u -r -N squid-3.1.0.3/src/mib.txt squid-3.1.0.4/src/mib.txt
--- squid-3.1.0.3/src/mib.txt	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/mib.txt	2009-01-23 18:37:37.000000000 +1300
@@ -2,24 +2,22 @@
 
 SQUID-MIB DEFINITIONS ::= BEGIN
 --
--- $Id: mib.txt,v 1.32 2007/12/14 23:11:47 amosjeffries Exp $
+-- $Id$
 --
 
 IMPORTS
 	enterprises, Unsigned32, TimeTicks, Gauge32, Counter32,
-	MODULE-IDENTITY, OBJECT-TYPE
+	MODULE-IDENTITY, OBJECT-TYPE, Integer32
         	FROM SNMPv2-SMI
 
-	DisplayString
+	DisplayString, TEXTUAL-CONVENTION
         	FROM SNMPv2-TC
 
 	InetAddressType, InetAddress
         	FROM INET-ADDRESS-MIB;
 
-nlanr OBJECT IDENTIFIER ::= { enterprises 3495 }
-
 squid MODULE-IDENTITY
-    LAST-UPDATED "9708120000Z"
+    LAST-UPDATED "200812240200Z"
     ORGANIZATION "National Laboratory for Applied Network Research"
     CONTACT-INFO
             "        Squid Developers
@@ -28,23 +26,31 @@
     DESCRIPTION
 		"Squid MIB defined for the management of the Squid
 		proxy server. See http://www.squid-cache.org/."
-	
-    REVISION      "9708120000Z"
+
+    REVISION      "200812240200Z"
     DESCRIPTION
-		"Added support for IPv6 Technology."
-    REVISION      "9809220000Z"
+		"Corrected MIB strictness requirements. Mapped
+		valid port ranges"
+    
+    REVISION      "200712140000Z"
     DESCRIPTION
-		"Move to SMIv2. Prepare to split into proxy/squid."
+		"Added support for IPv6 Technology."
+
     REVISION      "9901010000Z"
     DESCRIPTION
 		"Added objects and corrected asn.1 syntax and
 		descriptions."
+
+    REVISION      "9809220000Z"
+    DESCRIPTION
+		"Move to SMIv2. Prepare to split into proxy/squid."
+		
     ::= { nlanr 1 }
 
 --
 -- OID Assignments
 --
-
+	nlanr OBJECT IDENTIFIER ::= { enterprises 3495 }
 	cacheSystem	OBJECT IDENTIFIER ::= { squid 1 }
 	cacheConfig  	OBJECT IDENTIFIER ::= { squid 2 }
 	cachePerf	OBJECT IDENTIFIER ::= { squid 3 }
@@ -112,7 +118,7 @@
 
 	cacheLoggingFacility OBJECT-TYPE
 		SYNTAX DisplayString
-		ACCESS read-write
+		MAX-ACCESS read-write
 		STATUS current
 		DESCRIPTION
 			" Logging Facility. An informational string
@@ -419,7 +425,7 @@
 
 	cacheMedianSvcTable OBJECT-TYPE
                 SYNTAX SEQUENCE OF CacheMedianSvcEntry
-                MAX-ACCESS read-only
+                MAX-ACCESS not-accessible
                 STATUS current
                 DESCRIPTION
                         " CacheMedianSvcTable "
@@ -449,7 +455,7 @@
 	}
 
 	cacheMedianTime OBJECT-TYPE
-                SYNTAX Integer32
+                SYNTAX Integer32 (1|5|60)
                 MAX-ACCESS read-only
                 STATUS current
 		DESCRIPTION
@@ -709,7 +715,7 @@
 
 	cachePeerTable OBJECT-TYPE
 		SYNTAX SEQUENCE OF CachePeerEntry
-		MAX-ACCESS read-only
+		MAX-ACCESS not-accessible
 		STATUS current
 		DESCRIPTION
 			" This table contains an enumeration of
@@ -730,8 +736,8 @@
 	  cachePeerName		DisplayString,
 	  cachePeerAddressType  InetAddressType,
 	  cachePeerAddress      InetAddress,
-	  cachePeerPortHttp 	Integer32 (1..65535),
-	  cachePeerPortIcp	Integer32 (1..65535),
+	  cachePeerPortHttp 	ValidPort,
+	  cachePeerPortIcp	ValidPort,
 	  cachePeerType 	Integer32,
 	  cachePeerState	Integer32,
 	  cachePeerPingsSent	Counter32,
@@ -742,7 +748,15 @@
 	  cachePeerKeepAlSent	Counter32,
 	  cachePeerKeepAlRecv	Counter32
 	}
-
+	
+	ValidPort ::= TEXTUAL-CONVENTION
+             DISPLAY-HINT "d"
+             STATUS       current
+             DESCRIPTION
+				"A integer value from 1 to 65535 to indicate 
+				the appropriate port number for the connection."
+			SYNTAX       Integer32 (1..65535)
+	
 	CachePeerIndex ::= TEXTUAL-CONVENTION
              DISPLAY-HINT "d"
              STATUS       current
@@ -756,7 +770,7 @@
                network management system to the next
                re-initialization."
              SYNTAX       Integer32 (1..2147483647)
-        END
+
 
 
 	cachePeerIndex OBJECT-TYPE
@@ -814,7 +828,7 @@
 
 
 	cachePeerPortHttp OBJECT-TYPE
-                SYNTAX Integer32
+                SYNTAX ValidPort
                 MAX-ACCESS read-only
                 STATUS current
 		DESCRIPTION
@@ -822,7 +836,7 @@
         ::= { cachePeerEntry 5 }
 
 	cachePeerPortIcp OBJECT-TYPE
-                SYNTAX Integer32
+                SYNTAX ValidPort
                 MAX-ACCESS read-only
                 STATUS current
 		DESCRIPTION
@@ -832,7 +846,7 @@
 
 	cachePeerType OBJECT-TYPE
                 SYNTAX INTEGER
-                MAX-ACCESS not-accessible
+                MAX-ACCESS read-only
                 STATUS current
                 DESCRIPTION
                         " Peer Type "
@@ -909,8 +923,8 @@
 
         cacheClientTable OBJECT-TYPE
            SYNTAX  SEQUENCE OF CacheClientEntry
-           ACCESS  not-accessible
-           STATUS  mandatory
+           MAX-ACCESS  not-accessible
+           STATUS  current
            DESCRIPTION
                     "A list of cache client entries."
        	::= { cacheMesh 2 }
@@ -918,8 +932,8 @@
 
 	cacheClientEntry OBJECT-TYPE
            SYNTAX CacheClientEntry
-           ACCESS  not-accessible
-           STATUS  mandatory
+           MAX-ACCESS  not-accessible
+           STATUS  current
            DESCRIPTION
                     "An entry in cacheClientTable "
 	   INDEX { cacheClientAddressType, cacheClientAddress }
@@ -1033,7 +1047,7 @@
                 STATUS current
            	DESCRIPTION
                     " Amount of ICP hit traffic in KB "
-        ::= { cacheClientEntry 9 }
+        ::= { cacheClientEntry 10 }
 
 	-- end of cacheClientTable
 
diff -u -r -N squid-3.1.0.3/src/mime.cc squid-3.1.0.4/src/mime.cc
--- squid-3.1.0.3/src/mime.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/mime.cc	2009-01-23 18:37:37.000000000 +1300
@@ -248,13 +248,12 @@
             /* Assume we matched /\.\w$/ and cut off the last extension */
             if ((t = strrchr(name, '.'))) {
                 *t = '\0';
-            }
-            else {
+            } else {
                 /* What? A encoding without a extension? */
                 m = NULL;
             }
         }
-    } while(t);
+    } while (t);
 
     xfree(name);
     return m;
diff -u -r -N squid-3.1.0.3/src/neighbors.cc squid-3.1.0.4/src/neighbors.cc
--- squid-3.1.0.3/src/neighbors.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/neighbors.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: neighbors.cc,v 1.353 2008/02/11 22:44:50 rousskov Exp $
- *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
  *
@@ -46,8 +43,8 @@
 #include "PeerSelectState.h"
 #include "SquidTime.h"
 #include "Store.h"
-#include "IPAddress.h"
 #include "icmp/net_db.h"
+#include "ip/IpAddress.h"
 
 /* count mcast group peers every 15 minutes */
 #define MCAST_COUNT_RATE 900
@@ -69,7 +66,7 @@
 static void peerCountMcastPeersSchedule(peer * p, time_t when);
 static IRCB peerCountHandleIcpReply;
 
-static void neighborIgnoreNonPeer(const IPAddress &, icp_opcode);
+static void neighborIgnoreNonPeer(const IpAddress &, icp_opcode);
 static OBJH neighborDumpPeers;
 static OBJH neighborDumpNonPeers;
 static void dump_peers(StoreEntry * sentry, peer * peers);
@@ -97,7 +94,7 @@
 
 
 peer *
-whichPeer(const IPAddress &from)
+whichPeer(const IpAddress &from)
 {
     int j;
 
@@ -554,7 +551,7 @@
 void
 neighbors_init(void)
 {
-    IPAddress nul;
+    IpAddress nul;
     struct addrinfo *AI = NULL;
     struct servent *sep = NULL;
     const char *me = getMyHostname();
@@ -638,9 +635,6 @@
     if (Config.peers == NULL)
         return 0;
 
-    if (theOutIcpConnection < 0)
-        fatal("neighborsUdpPing: There is no ICP socket!");
-
     assert(entry->swap_status == SWAPOUT_NONE);
 
     mem->start_ping = current_time;
@@ -664,43 +658,48 @@
 
         debugs(15, 4, "neighborsUdpPing: pinging peer " << p->host << " for '" << url << "'");
 
-        if (p->type == PEER_MULTICAST)
-            mcastSetTtl(theOutIcpConnection, p->mcast.ttl);
-
         debugs(15, 3, "neighborsUdpPing: key = '" << entry->getMD5Text() << "'");
 
         debugs(15, 3, "neighborsUdpPing: reqnum = " << reqnum);
 
 #if USE_HTCP
         if (p->options.htcp && !p->options.htcp_only_clr) {
+            if (Config.Port.htcp <= 0) {
+                debugs(15, DBG_CRITICAL, "HTCP is disabled! Cannot send HTCP request to peer.");
+                continue;
+            }
+
             debugs(15, 3, "neighborsUdpPing: sending HTCP query");
-            htcpQuery(entry, request, p);
+            if (htcpQuery(entry, request, p) <= 0) continue; // unable to send.
         } else
 #endif
-            if (p->icp.port == echo_port) {
-                debugs(15, 4, "neighborsUdpPing: Looks like a dumb cache, send DECHO ping");
-                echo_hdr.reqnum = reqnum;
-                query = _icp_common_t::createMessage(ICP_DECHO, 0, url, reqnum, 0);
-                icpUdpSend(theOutIcpConnection,
-                           p->in_addr,
-                           query,
-                           LOG_ICP_QUERY,
-                           0);
+        {
+            if (Config.Port.icp <= 0 || theOutIcpConnection <= 0) {
+                debugs(15, DBG_CRITICAL, "ICP is disabled! Cannot send ICP request to peer.");
+                continue;
             } else {
-                flags = 0;
 
-                if (Config.onoff.query_icmp)
-                    if (p->icp.version == ICP_VERSION_2)
-                        flags |= ICP_FLAG_SRC_RTT;
-
-                query = _icp_common_t::createMessage(ICP_QUERY, flags, url, reqnum, 0);
-
-                icpUdpSend(theOutIcpConnection,
-                           p->in_addr,
-                           query,
-                           LOG_ICP_QUERY,
-                           0);
+                if (p->type == PEER_MULTICAST)
+                    mcastSetTtl(theOutIcpConnection, p->mcast.ttl);
+
+                if (p->icp.port == echo_port) {
+                    debugs(15, 4, "neighborsUdpPing: Looks like a dumb cache, send DECHO ping");
+                    echo_hdr.reqnum = reqnum;
+                    query = _icp_common_t::createMessage(ICP_DECHO, 0, url, reqnum, 0);
+                    icpUdpSend(theOutIcpConnection,p->in_addr,query,LOG_ICP_QUERY,0);
+                } else {
+                    flags = 0;
+
+                    if (Config.onoff.query_icmp)
+                        if (p->icp.version == ICP_VERSION_2)
+                            flags |= ICP_FLAG_SRC_RTT;
+
+                    query = _icp_common_t::createMessage(ICP_QUERY, flags, url, reqnum, 0);
+
+                    icpUdpSend(theOutIcpConnection, p->in_addr, query, LOG_ICP_QUERY, 0);
+                }
             }
+        }
 
         queries_sent++;
 
@@ -964,7 +963,7 @@
 static peer *non_peers = NULL;
 
 static void
-neighborIgnoreNonPeer(const IPAddress &from, icp_opcode opcode)
+neighborIgnoreNonPeer(const IpAddress &from, icp_opcode opcode)
 {
     peer *np;
 
@@ -1024,7 +1023,7 @@
  */
 void
 
-neighborsUdpAck(const cache_key * key, icp_common_t * header, const IPAddress &from)
+neighborsUdpAck(const cache_key * key, icp_common_t * header, const IpAddress &from)
 {
     peer *p = NULL;
     StoreEntry *entry;
@@ -1384,7 +1383,7 @@
     if (squid_curtime - p->stats.last_connect_probe == 0)
         return ret;/* don't probe to often */
 
-    IPAddress temp(getOutgoingAddr(NULL,p));
+    IpAddress temp(getOutgoingAddr(NULL,p));
 
     fd = comm_open(SOCK_STREAM, IPPROTO_TCP, temp, COMM_NONBLOCKING, p->host);
 
@@ -1760,7 +1759,7 @@
 
 #if USE_HTCP
 void
-neighborsHtcpReply(const cache_key * key, htcpReplyData * htcp, const IPAddress &from)
+neighborsHtcpReply(const cache_key * key, htcpReplyData * htcp, const IpAddress &from)
 {
     StoreEntry *e = Store::Root().get(key);
     MemObject *mem = NULL;
diff -u -r -N squid-3.1.0.3/src/pconn.cc squid-3.1.0.4/src/pconn.cc
--- squid-3.1.0.3/src/pconn.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/pconn.cc	2009-01-23 18:37:37.000000000 +1300
@@ -1,6 +1,5 @@
-
 /*
- * $Id: pconn.cc,v 1.55 2007/12/27 01:03:13 hno Exp $
+ * $Id$
  *
  * DEBUG: section 48    Persistent Connections
  * AUTHOR: Duane Wessels
@@ -21,12 +20,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -87,8 +86,8 @@
 {
     int index = findFDIndex(fd);
     if (index < 0) {
-	debugs(48, 0, "IdleConnList::removeFD: FD " << fd << " NOT FOUND!");
-	return;
+        debugs(48, 0, "IdleConnList::removeFD: FD " << fd << " NOT FOUND!");
+        return;
     }
     debugs(48, 3, "IdleConnList::removeFD: found FD " << fd << " at index " << index);
 
@@ -178,20 +177,21 @@
 /* ========== PconnPool PRIVATE FUNCTIONS ============================================ */
 
 const char *
-PconnPool::key(const char *host, u_short port, const char *domain, IPAddress &client_address)
+PconnPool::key(const char *host, u_short port, const char *domain, IpAddress &client_address)
 {
-    LOCAL_ARRAY(char, buf, SQUIDHOSTNAMELEN * 2 + 10);
+    LOCAL_ARRAY(char, buf, SQUIDHOSTNAMELEN * 3 + 10);
     char ntoabuf[MAX_IPSTRLEN];
 
     if (domain && !client_address.IsAnyAddr())
-        snprintf(buf, SQUIDHOSTNAMELEN * 2 + 10, "%s:%d-%s/%s", host, (int) port, client_address.NtoA(ntoabuf,MAX_IPSTRLEN), domain);
+        snprintf(buf, SQUIDHOSTNAMELEN * 3 + 10, "%s:%d-%s/%s", host, (int) port, client_address.NtoA(ntoabuf,MAX_IPSTRLEN), domain);
     else if (domain && client_address.IsAnyAddr())
-        snprintf(buf, SQUIDHOSTNAMELEN * 2 + 10, "%s:%d/%s", host, (int) port, domain);
+        snprintf(buf, SQUIDHOSTNAMELEN * 3 + 10, "%s:%d/%s", host, (int) port, domain);
     else if ((!domain) && !client_address.IsAnyAddr())
-        snprintf(buf, SQUIDHOSTNAMELEN * 2 + 10, "%s:%d-%s", host, (int) port, client_address.NtoA(ntoabuf,MAX_IPSTRLEN));
+        snprintf(buf, SQUIDHOSTNAMELEN * 3 + 10, "%s:%d-%s", host, (int) port, client_address.NtoA(ntoabuf,MAX_IPSTRLEN));
     else
-        snprintf(buf, SQUIDHOSTNAMELEN * 2 + 10, "%s:%d", host, (int) port);
+        snprintf(buf, SQUIDHOSTNAMELEN * 3 + 10, "%s:%d", host, (int) port);
 
+    debugs(48,6,"PconnPool::key(" << host << "," << port << "," << domain << "," << client_address << "is {" << buf << "}" );
     return buf;
 }
 
@@ -215,6 +215,19 @@
     }
 }
 
+void
+PconnPool::dumpHash(StoreEntry *e)
+{
+    int i;
+    hash_link *walker = NULL;
+    hash_table *hid = table;
+    hash_first(hid);
+
+    for (i = 0, walker = hid->next; walker; walker = hash_next(hid)) {
+        storeAppendPrintf(e, "\t item %5d: %s\n", i++, (char *)(walker->key));
+    }
+}
+
 /* ========== PconnPool PUBLIC FUNCTIONS ============================================ */
 
 PconnPool::PconnPool(const char *aDescr) : table(NULL), descr(aDescr)
@@ -230,21 +243,20 @@
 }
 
 void
-PconnPool::push(int fd, const char *host, u_short port, const char *domain, IPAddress &client_address)
+PconnPool::push(int fd, const char *host, u_short port, const char *domain, IpAddress &client_address)
 {
 
     IdleConnList *list;
     const char *aKey;
     LOCAL_ARRAY(char, desc, FD_DESC_SZ);
 
-    if (fdUsageHigh())
-    {
+    if (fdUsageHigh()) {
         debugs(48, 3, "PconnPool::push: Not many unused FDs");
         comm_close(fd);
         return;
-    } else if (shutting_down)
-    {
+    } else if (shutting_down) {
         comm_close(fd);
+        debugs(48, 3, "PconnPool::push: Squid is shutting down. Refusing to do anything");
         return;
     }
 
@@ -252,11 +264,12 @@
 
     list = (IdleConnList *) hash_lookup(table, aKey);
 
-    if (list == NULL)
-    {
+    if (list == NULL) {
         list = new IdleConnList(aKey, this);
-        debugs(48, 3, "pconnNew: adding " << hashKeyStr(&list->hash));
+        debugs(48, 3, "PconnPool::push: new IdleConnList for {" << hashKeyStr(&list->hash) << "}" );
         hash_join(table, &list->hash);
+    } else {
+        debugs(48, 3, "PconnPool::push: found IdleConnList for {" << hashKeyStr(&list->hash) << "}" );
     }
 
     list->push(fd);
@@ -267,7 +280,7 @@
     debugs(48, 3, "PconnPool::push: pushed FD " << fd << " for " << aKey);
 }
 
-/*
+/**
  * Return a pconn fd for host:port if available and retriable.
  * Otherwise, return -1.
  *
@@ -276,20 +289,21 @@
  * transactions create persistent connections but are not retriable.
  */
 int
-
-PconnPool::pop(const char *host, u_short port, const char *domain, IPAddress &client_address, bool isRetriable)
+PconnPool::pop(const char *host, u_short port, const char *domain, IpAddress &client_address, bool isRetriable)
 {
-    IdleConnList *list;
     const char * aKey = key(host, port, domain, client_address);
-    list = (IdleConnList *)hash_lookup(table, aKey);
 
-    if (list == NULL)
+    IdleConnList *list = (IdleConnList *)hash_lookup(table, aKey);
+    if (list == NULL) {
+        debugs(48, 3, "PconnPool::pop: lookup for key {" << aKey << "} failed.");
         return -1;
+    } else { 
+        debugs(48, 3, "PconnPool::pop: found " << hashKeyStr(&list->hash) << (isRetriable?"(to use)":"(to kill)") );
+    }
 
     int fd = list->findUseableFD(); // search from the end. skip pending reads.
 
-    if (fd >= 0)
-    {
+    if (fd >= 0) {
         list->clearHandlers(fd);
         list->removeFD(fd);	/* might delete list */
 
@@ -344,15 +358,15 @@
 PconnModule::registerWithCacheManager(void)
 {
     CacheManager::GetInstance()->
-        registerAction("pconn",
-                       "Persistent Connection Utilization Histograms",
-                       DumpWrapper, 0, 1);
+    registerAction("pconn",
+                   "Persistent Connection Utilization Histograms",
+                   DumpWrapper, 0, 1);
 }
 
 void
 
 PconnModule::add
-    (PconnPool *aPool)
+(PconnPool *aPool)
 {
     assert(poolCount < MAX_NUM_PCONN_POOLS);
     *(pools+poolCount) = aPool;
@@ -365,7 +379,10 @@
     int i;
 
     for (i = 0; i < poolCount; i++) {
+        storeAppendPrintf(e, "\n Pool %d Stats\n", i);
         (*(pools+i))->dumpHist(e);
+        storeAppendPrintf(e, "\n Pool %d Hash Table\n",i);
+        (*(pools+i))->dumpHash(e);
     }
 }
 
diff -u -r -N squid-3.1.0.3/src/pconn.h squid-3.1.0.4/src/pconn.h
--- squid-3.1.0.3/src/pconn.h	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/pconn.h	2009-01-23 18:37:37.000000000 +1300
@@ -57,7 +57,7 @@
 };
 
 
-class IPAddress;
+class IpAddress;
 class StoreEntry;
 class IdleConnLimit;
 
@@ -72,15 +72,16 @@
     PconnPool(const char *);
 
     void moduleInit();
-    void push(int fd, const char *host, u_short port, const char *domain, IPAddress &client_address);
-    int pop(const char *host, u_short port, const char *domain, IPAddress &client_address, bool retriable);
+    void push(int fd, const char *host, u_short port, const char *domain, IpAddress &client_address);
+    int pop(const char *host, u_short port, const char *domain, IpAddress &client_address, bool retriable);
     void count(int uses);
     void dumpHist(StoreEntry *e);
+    void dumpHash(StoreEntry *e);
     void unlinkList(IdleConnList *list) const;
 
 private:
 
-    static const char *key(const char *host, u_short port, const char *domain, IPAddress &client_address);
+    static const char *key(const char *host, u_short port, const char *domain, IpAddress &client_address);
 
     int hist[PCONN_HIST_SZ];
     hash_table *table;
diff -u -r -N squid-3.1.0.3/src/PeerSelectState.h squid-3.1.0.4/src/PeerSelectState.h
--- squid-3.1.0.3/src/PeerSelectState.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/PeerSelectState.h	2009-01-23 18:37:36.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: PeerSelectState.h,v 1.3 2007/12/14 23:11:45 amosjeffries Exp $
- *
  * AUTHOR: Robert Collins
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -38,7 +35,7 @@
 
 #include "cbdata.h"
 #include "PingData.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 class ps_state
 {
@@ -55,16 +52,16 @@
     void *callback_data;
     FwdServer *servers;
     /*
-     * Why are these IPAddress instead of peer *?  Because a
+     * Why are these IpAddress instead of peer *?  Because a
      * peer structure can become invalid during the peer selection
      * phase, specifically after a reconfigure.  Thus we need to lookup
      * the peer * based on the address when we are finally ready to
      * reference the peer structure.
      */
 
-    IPAddress first_parent_miss;
+    IpAddress first_parent_miss;
 
-    IPAddress closest_parent_miss;
+    IpAddress closest_parent_miss;
     /*
      * ->hit can be peer* because it should only be
      * accessed during the thread when it is set
diff -u -r -N squid-3.1.0.3/src/ProtoPort.h squid-3.1.0.4/src/ProtoPort.h
--- squid-3.1.0.3/src/ProtoPort.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/ProtoPort.h	2009-01-23 18:37:36.000000000 +1300
@@ -13,7 +13,7 @@
 
     http_port_list *next;
 
-    IPAddress s;
+    IpAddress s;
     char *protocol;            /* protocol name */
     char *name;                /* visible name */
     char *defaultsite;         /* default web site */
diff -u -r -N squid-3.1.0.3/src/protos.h squid-3.1.0.4/src/protos.h
--- squid-3.1.0.3/src/protos.h	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/protos.h	2009-01-23 18:37:37.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: protos.h,v 1.557 2008/02/26 21:49:35 amosjeffries Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -37,7 +34,7 @@
  */
 #include "Packer.h"
 /* for routines still in this file that take CacheManager parameters */
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 /* for parameters that still need these */
 #include "enums.h"
 /* some parameters stil need this */
@@ -76,20 +73,20 @@
 SQUIDCEXTERN void requirePathnameExists(const char *name, const char *path);
 SQUIDCEXTERN void parse_time_t(time_t * var);
 
-SQUIDCEXTERN void parse_IPAddress_list_token(IPAddress_list **, char *);
+SQUIDCEXTERN void parse_IpAddress_list_token(IpAddress_list **, char *);
 
 
 /* client_side.c - FD related client side routines */
 
 SQUIDCEXTERN void clientdbInit(void);
 
-SQUIDCEXTERN void clientdbUpdate(const IPAddress &, log_type, protocol_t, size_t);
+SQUIDCEXTERN void clientdbUpdate(const IpAddress &, log_type, protocol_t, size_t);
 
-SQUIDCEXTERN int clientdbCutoffDenied(const IPAddress &);
+SQUIDCEXTERN int clientdbCutoffDenied(const IpAddress &);
 SQUIDCEXTERN void clientdbDump(StoreEntry *);
 SQUIDCEXTERN void clientdbFreeMemory(void);
 
-SQUIDCEXTERN int clientdbEstablished(const IPAddress &, int);
+SQUIDCEXTERN int clientdbEstablished(const IpAddress &, int);
 SQUIDCEXTERN void clientOpenListenSockets(void);
 SQUIDCEXTERN void clientHttpConnectionsClose(void);
 SQUIDCEXTERN void httpRequestFree(void *);
@@ -142,7 +139,7 @@
 SQUIDCEXTERN void idnsShutdown(void);
 SQUIDCEXTERN void idnsALookup(const char *, IDNSCB *, void *);
 
-SQUIDCEXTERN void idnsPTRLookup(const IPAddress &, IDNSCB *, void *);
+SQUIDCEXTERN void idnsPTRLookup(const IpAddress &, IDNSCB *, void *);
 
 SQUIDCEXTERN void fd_close(int fd);
 SQUIDCEXTERN void fd_open(int fd, unsigned int type, const char *);
@@ -161,14 +158,14 @@
 SQUIDCEXTERN void filemapFreeMemory(fileMap *);
 
 
-SQUIDCEXTERN void fqdncache_nbgethostbyaddr(IPAddress &, FQDNH *, void *);
+SQUIDCEXTERN void fqdncache_nbgethostbyaddr(IpAddress &, FQDNH *, void *);
 
-SQUIDCEXTERN const char *fqdncache_gethostbyaddr(IPAddress &, int flags);
+SQUIDCEXTERN const char *fqdncache_gethostbyaddr(IpAddress &, int flags);
 SQUIDCEXTERN void fqdncache_init(void);
 SQUIDCEXTERN void fqdnStats(StoreEntry *);
 SQUIDCEXTERN void fqdncacheReleaseInvalid(const char *);
 
-SQUIDCEXTERN const char *fqdnFromAddr(IPAddress &);
+SQUIDCEXTERN const char *fqdnFromAddr(IpAddress &);
 SQUIDCEXTERN int fqdncacheQueueDrain(void);
 SQUIDCEXTERN void fqdncacheFreeMemory(void);
 SQUIDCEXTERN void fqdncache_restart(void);
@@ -298,10 +295,10 @@
 SQUIDCEXTERN void snmpConnectionClose(void);
 SQUIDCEXTERN void snmpDebugOid(int lvl, oid * Name, snint Len);
 
-SQUIDCEXTERN void addr2oid(IPAddress &addr, oid *Dest);
-SQUIDCEXTERN void oid2addr(oid *Dest, IPAddress &addr, u_int code);
+SQUIDCEXTERN void addr2oid(IpAddress &addr, oid *Dest);
+SQUIDCEXTERN void oid2addr(oid *Dest, IpAddress &addr, u_int code);
 
-SQUIDCEXTERN IPAddress *client_entry(IPAddress *current);
+SQUIDCEXTERN IpAddress *client_entry(IpAddress *current);
 SQUIDCEXTERN variable_list *snmp_basicFn(variable_list *, snint *);
 SQUIDCEXTERN variable_list *snmp_confFn(variable_list *, snint *);
 SQUIDCEXTERN variable_list *snmp_sysFn(variable_list *, snint *);
@@ -342,9 +339,9 @@
 SQUIDCEXTERN void stat_ipcache_get(StoreEntry *);
 SQUIDCEXTERN void ipcacheCycleAddr(const char *name, ipcache_addrs *);
 
-SQUIDCEXTERN void ipcacheMarkBadAddr(const char *name, IPAddress &);
+SQUIDCEXTERN void ipcacheMarkBadAddr(const char *name, IpAddress &);
 
-SQUIDCEXTERN void ipcacheMarkGoodAddr(const char *name, IPAddress &);
+SQUIDCEXTERN void ipcacheMarkGoodAddr(const char *name, IpAddress &);
 SQUIDCEXTERN void ipcacheFreeMemory(void);
 SQUIDCEXTERN ipcache_addrs *ipcacheCheckNumeric(const char *name);
 SQUIDCEXTERN void ipcache_restart(void);
@@ -384,7 +381,7 @@
                                   int *timeout);
 SQUIDCEXTERN void neighborAddAcl(const char *, const char *);
 
-SQUIDCEXTERN void neighborsUdpAck(const cache_key *, icp_common_t *, const IPAddress &);
+SQUIDCEXTERN void neighborsUdpAck(const cache_key *, icp_common_t *, const IpAddress &);
 SQUIDCEXTERN void neighborAdd(const char *, const char *, int, int, int, int, int);
 SQUIDCEXTERN void neighbors_init(void);
 #if USE_HTCP
@@ -411,7 +408,7 @@
 SQUIDCEXTERN void dump_peer_options(StoreEntry *, peer *);
 SQUIDCEXTERN int peerHTTPOkay(const peer *, HttpRequest *);
 
-SQUIDCEXTERN peer *whichPeer(const IPAddress &from);
+SQUIDCEXTERN peer *whichPeer(const IpAddress &from);
 
 SQUIDCEXTERN void peerSelect(HttpRequest *, StoreEntry *, PSC *, void *data);
 SQUIDCEXTERN void peerSelectInit(void);
@@ -423,7 +420,7 @@
 SQUIDCEXTERN void peerDigestNotePeerGone(PeerDigest * pd);
 SQUIDCEXTERN void peerDigestStatsReport(const PeerDigest * pd, StoreEntry * e);
 
-extern IPAddress getOutgoingAddr(HttpRequest * request, struct peer *dst_peer);
+extern IpAddress getOutgoingAddr(HttpRequest * request, struct peer *dst_peer);
 unsigned long getOutgoingTOS(HttpRequest * request);
 
 SQUIDCEXTERN void urnStart(HttpRequest *, StoreEntry *);
@@ -672,7 +669,7 @@
                              const char *prog,
                              const char *const args[],
                              const char *name,
-                             IPAddress &local_addr,
+                             IpAddress &local_addr,
                              int *rfd,
                              int *wfd,
                              void **hIpc);
diff -u -r -N squid-3.1.0.3/src/redirect.cc squid-3.1.0.4/src/redirect.cc
--- squid-3.1.0.3/src/redirect.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/redirect.cc	2009-01-23 18:37:38.000000000 +1300
@@ -48,7 +48,7 @@
     void *data;
     char *orig_url;
 
-    IPAddress client_addr;
+    IpAddress client_addr;
     const char *client_ident;
     const char *method_s;
     RH *handler;
diff -u -r -N squid-3.1.0.3/src/refresh.cc squid-3.1.0.4/src/refresh.cc
--- squid-3.1.0.3/src/refresh.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/refresh.cc	2009-01-23 18:37:38.000000000 +1300
@@ -139,14 +139,15 @@
     return NULL;
 }
 
-/*
+/**
  * Calculate how stale the response is (or will be at the check_time).
  * Staleness calculation is based on the following: (1) response
  * expiration time, (2) age greater than configured maximum, (3)
  * last-modified factor, and (4) age less than configured minimum.
  *
- * If the response is fresh, return -1.  Otherwise return its
- * staleness.  NOTE return value of 0 means the response is stale.
+ * \retval -1  If the response is fresh.
+ * \retval >0  Otherwise return it's staleness.
+ * \retval 0   NOTE return value of 0 means the response is stale.
  *
  * The 'stale_flags' structure is used to tell the calling function
  * _why_ this response is fresh or stale.  Its used, for example,
@@ -156,8 +157,8 @@
 static int
 refreshStaleness(const StoreEntry * entry, time_t check_time, time_t age, const refresh_t * R, stale_flags * sf)
 {
-    /*
-     * Check for an explicit expiration time.
+    /** \par
+     * Check for an explicit expiration time (Expires: header).
      */
 
     if (entry->expires > -1) {
@@ -177,7 +178,7 @@
     }
 
     assert(age >= 0);
-    /*
+    /** \par
      * Use local heuristics to determine staleness.  Start with the
      * max age from the refresh_pattern rule.
      */
@@ -188,8 +189,8 @@
         return (age - R->max);
     }
 
-    /*
-     * Try the last-modified factor algorithm.
+    /** \par
+     * Try the last-modified factor algorithm:  refresh_pattern n% percentage of Last-Modified: age.
      */
     if (entry->lastmod > -1 && entry->timestamp > entry->lastmod) {
         /*
@@ -208,8 +209,8 @@
         }
     }
 
-    /*
-     * If we are here, staleness is determined by the refresh_pattern
+    /** \par
+     * Finally, if all else fails;  staleness is determined by the refresh_pattern
      * configured minimum age.
      */
     if (age < R->min) {
@@ -222,8 +223,9 @@
     return (age - R->min);
 }
 
-/*  return 1 if the entry must be revalidated within delta seconds
- *         0 otherwise
+/**
+ * \retval 1 if the entry must be revalidated within delta seconds
+ * \retval 0 otherwise
  *
  *  note: request maybe null (e.g. for cache digests build)
  */
@@ -244,9 +246,11 @@
 
     debugs(22, 3, "refreshCheck: '" << (uri ? uri : "<none>") << "'");
 
+    assert(age >= 0);
     if (check_time > entry->timestamp)
         age = check_time - entry->timestamp;
 
+    assert(age >= 0);
     R = uri ? refreshLimits(uri) : refreshUncompiledPattern(".");
 
     if (NULL == R)
@@ -254,6 +258,7 @@
 
     memset(&sf, '\0', sizeof(sf));
 
+    assert(age >= 0);
     staleness = refreshStaleness(entry, check_time, age, R, &sf);
 
     debugs(22, 3, "Staleness = " << staleness);
diff -u -r -N squid-3.1.0.3/src/repl/Makefile.am squid-3.1.0.4/src/repl/Makefile.am
--- squid-3.1.0.3/src/repl/Makefile.am	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/repl/Makefile.am	2009-01-23 18:37:38.000000000 +1300
@@ -6,6 +6,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = 
 
 # No recursion is needed for the subdirs, we build from here. // @REPL_POLICIES@
 
@@ -30,3 +31,4 @@
 ## No such file...
 testHeaders.c:
 	touch testHeaders.c
+CLEANFILES += testHeaders.c
diff -u -r -N squid-3.1.0.3/src/repl/Makefile.in squid-3.1.0.4/src/repl/Makefile.in
--- squid-3.1.0.3/src/repl/Makefile.in	2008-12-05 16:09:58.000000000 +1300
+++ squid-3.1.0.4/src/repl/Makefile.in	2009-01-23 18:38:00.000000000 +1300
@@ -324,6 +324,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 AM_CFLAGS = @SQUID_CFLAGS@
 AM_CXXFLAGS = @SQUID_CXXFLAGS@
+CLEANFILES = testHeaders.c
 
 # No recursion is needed for the subdirs, we build from here. // @REPL_POLICIES@
 EXTRA_LIBRARIES = liblru.a libheap.a
@@ -572,6 +573,7 @@
 mostlyclean-generic:
 
 clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
diff -u -r -N squid-3.1.0.3/src/send-announce.cc squid-3.1.0.4/src/send-announce.cc
--- squid-3.1.0.3/src/send-announce.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/send-announce.cc	2009-01-23 18:37:38.000000000 +1300
@@ -60,7 +60,7 @@
     LOCAL_ARRAY(char, tbuf, 256);
     LOCAL_ARRAY(char, sndbuf, BUFSIZ);
 
-    IPAddress S;
+    IpAddress S;
     char *host = Config.Announce.host;
     char *file = NULL;
     u_short port = Config.Announce.port;
diff -u -r -N squid-3.1.0.3/src/Server.cc squid-3.1.0.4/src/Server.cc
--- squid-3.1.0.3/src/Server.cc	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/Server.cc	2009-01-23 18:37:36.000000000 +1300
@@ -20,12 +20,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -51,9 +51,9 @@
 
 ServerStateData::ServerStateData(FwdState *theFwdState): AsyncJob("ServerStateData"),requestSender(NULL)
 #if USE_ADAPTATION
-    , adaptedHeadSource(NULL)
-    , adaptationAccessCheckPending(false)
-    , startedAdaptation(false)
+        , adaptedHeadSource(NULL)
+        , adaptationAccessCheckPending(false)
+        , startedAdaptation(false)
 #endif
 {
     fwd = theFwdState;
@@ -82,8 +82,8 @@
     fwd = NULL; // refcounted
 
     if (responseBodyBuffer != NULL) {
-	delete responseBodyBuffer;
-	responseBodyBuffer = NULL;
+        delete responseBodyBuffer;
+        responseBodyBuffer = NULL;
     }
 }
 
@@ -115,34 +115,39 @@
 
 
 HttpReply *
-ServerStateData::virginReply() {
+ServerStateData::virginReply()
+{
     assert(theVirginReply);
     return theVirginReply;
 }
 
 const HttpReply *
-ServerStateData::virginReply() const {
+ServerStateData::virginReply() const
+{
     assert(theVirginReply);
     return theVirginReply;
 }
 
 HttpReply *
-ServerStateData::setVirginReply(HttpReply *rep) {
+ServerStateData::setVirginReply(HttpReply *rep)
+{
     debugs(11,5, HERE << this << " setting virgin reply to " << rep);
     assert(!theVirginReply);
     assert(rep);
     theVirginReply = HTTPMSGLOCK(rep);
-	return theVirginReply;
+    return theVirginReply;
 }
 
 HttpReply *
-ServerStateData::finalReply() {
+ServerStateData::finalReply()
+{
     assert(theFinalReply);
     return theFinalReply;
 }
 
 HttpReply *
-ServerStateData::setFinalReply(HttpReply *rep) {
+ServerStateData::setFinalReply(HttpReply *rep)
+{
     debugs(11,5, HERE << this << " setting final reply to " << rep);
 
     assert(!theFinalReply);
@@ -172,7 +177,7 @@
         stopConsumingFrom(requestBodySource);
 
     if (responseBodyBuffer != NULL)
-	return;
+        return;
 
     serverComplete2();
 }
@@ -194,10 +199,11 @@
     quitIfAllDone();
 }
 
-// When we are done talking to the primary server, we may be still talking 
+// When we are done talking to the primary server, we may be still talking
 // to the ICAP service. And vice versa. Here, we quit only if we are done
 // talking to both.
-void ServerStateData::quitIfAllDone() {
+void ServerStateData::quitIfAllDone()
+{
 #if USE_ADAPTATION
     if (!doneWithAdaptation()) {
         debugs(11,5, HERE << "transaction not done: still talking to ICAP");
@@ -217,7 +223,8 @@
 
 // FTP side overloads this to work around multiple calls to fwd->complete
 void
-ServerStateData::completeForwarding() {
+ServerStateData::completeForwarding()
+{
     debugs(11,5, HERE << "completing forwarding for "  << fwd);
     assert(fwd != NULL);
     fwd->complete();
@@ -231,12 +238,12 @@
     requestBodySource = r->body_pipe;
     if (requestBodySource->setConsumerIfNotLate(this)) {
         debugs(11,3, HERE << "expecting request body from " <<
-            requestBodySource->status());
+               requestBodySource->status());
         return true;
     }
 
     debugs(11,3, HERE << "aborting on partially consumed request body: " <<
-        requestBodySource->status());
+           requestBodySource->status());
     requestBodySource = NULL;
     return false;
 }
@@ -315,7 +322,8 @@
 
 // called when we are done sending request body; kids extend this
 void
-ServerStateData::doneSendingRequestBody() {
+ServerStateData::doneSendingRequestBody()
+{
     debugs(9,3, HERE << "done sending request body");
     assert(requestBodySource != NULL);
     stopConsumingFrom(requestBodySource);
@@ -388,9 +396,9 @@
     MemBuf buf;
     if (requestBodySource->getMoreData(buf)) {
         debugs(9,3, HERE << "will write " << buf.contentSize() << " request body bytes");
-	typedef CommCbMemFunT<ServerStateData, CommIoCbParams> Dialer;
-	requestSender = asyncCall(93,3, "ServerStateData::sentRequestBody",
-				  Dialer(this, &ServerStateData::sentRequestBody));
+        typedef CommCbMemFunT<ServerStateData, CommIoCbParams> Dialer;
+        requestSender = asyncCall(93,3, "ServerStateData::sentRequestBody",
+                                  Dialer(this, &ServerStateData::sentRequestBody));
         comm_write_mbuf(dataDescriptor(), &buf, requestSender);
     } else {
         debugs(9,3, HERE << "will wait for more request body bytes or eof");
@@ -432,13 +440,13 @@
 purgeEntriesByHeader(HttpRequest *req, const char *reqUrl, HttpMsg *rep, http_hdr_type hdr)
 {
     const char *hdrUrl, *absUrl;
-    
+
     absUrl = NULL;
     hdrUrl = rep->header.getStr(hdr);
     if (hdrUrl == NULL) {
         return;
     }
-    
+
     /*
      * If the URL is relative, make it absolute so we can find it.
      * If it's absolute, make sure the host parts match to avoid DOS attacks
@@ -452,9 +460,9 @@
     } else if (!sameUrlHosts(reqUrl, hdrUrl)) {
         return;
     }
-    
+
     purgeEntriesByUrl(req, hdrUrl);
-    
+
     if (absUrl != NULL) {
         safe_free(absUrl);
     }
@@ -464,28 +472,28 @@
 void
 ServerStateData::maybePurgeOthers()
 {
-   // only some HTTP methods should purge matching cache entries
-   if (!request->method.purgesOthers())
-       return;
-
-   // and probably only if the response was successful
-   if (theFinalReply->sline.status >= 400)
-       return;
-
-   // XXX: should we use originalRequest() here?
-   const char *reqUrl = urlCanonical(request);
-   debugs(88, 5, "maybe purging due to " << RequestMethodStr(request->method) << ' ' << reqUrl);
-   purgeEntriesByUrl(request, reqUrl);
-   purgeEntriesByHeader(request, reqUrl, theFinalReply, HDR_LOCATION);
-   purgeEntriesByHeader(request, reqUrl, theFinalReply, HDR_CONTENT_LOCATION);
+    // only some HTTP methods should purge matching cache entries
+    if (!request->method.purgesOthers())
+        return;
+
+    // and probably only if the response was successful
+    if (theFinalReply->sline.status >= 400)
+        return;
+
+    // XXX: should we use originalRequest() here?
+    const char *reqUrl = urlCanonical(request);
+    debugs(88, 5, "maybe purging due to " << RequestMethodStr(request->method) << ' ' << reqUrl);
+    purgeEntriesByUrl(request, reqUrl);
+    purgeEntriesByHeader(request, reqUrl, theFinalReply, HDR_LOCATION);
+    purgeEntriesByHeader(request, reqUrl, theFinalReply, HDR_CONTENT_LOCATION);
 }
 
 // called (usually by kids) when we have final (possibly adapted) reply headers
 void
 ServerStateData::haveParsedReplyHeaders()
 {
-   Must(theFinalReply);
-   maybePurgeOthers();
+    Must(theFinalReply);
+    maybePurgeOthers();
 }
 
 HttpRequest *
@@ -516,26 +524,27 @@
     // check whether we should be sending a body as well
     // start body pipe to feed ICAP transaction if needed
     assert(!virginBodyDestination);
-        HttpReply *vrep = virginReply();
+    HttpReply *vrep = virginReply();
     assert(!vrep->body_pipe);
     int64_t size = 0;
     if (vrep->expectingBody(cause->method, size) && size) {
         virginBodyDestination = new BodyPipe(this);
         vrep->body_pipe = virginBodyDestination;
-        debugs(93, 6, HERE << "will send virgin reply body to " << 
-            virginBodyDestination << "; size: " << size);
+        debugs(93, 6, HERE << "will send virgin reply body to " <<
+               virginBodyDestination << "; size: " << size);
         if (size > 0)
             virginBodyDestination->setBodySize(size);
     }
 
     adaptedHeadSource = initiateAdaptation(service->makeXactLauncher(
-        this, vrep, cause));
+                                               this, vrep, cause));
     return adaptedHeadSource != NULL;
 }
 
 // properly cleans up ICAP-related state
 // may be called multiple times
-void ServerStateData::cleanAdaptation() {
+void ServerStateData::cleanAdaptation()
+{
     debugs(11,5, HERE << "cleaning ICAP; ACL: " << adaptationAccessCheckPending);
 
     if (virginBodyDestination != NULL)
@@ -551,9 +560,10 @@
 }
 
 bool
-ServerStateData::doneWithAdaptation() const {
+ServerStateData::doneWithAdaptation() const
+{
     return !adaptationAccessCheckPending &&
-        !virginBodyDestination && !adaptedHeadSource && !adaptedBodySource;
+           !virginBodyDestination && !adaptedHeadSource && !adaptedBodySource;
 }
 
 // sends virgin reply body to ICAP, buffering excesses if needed
@@ -585,7 +595,7 @@
             responseBodyBuffer = NULL;
         } else {
             responseBodyBuffer->consume(putSize);
-		}
+        }
         return;
     }
 
@@ -673,7 +683,8 @@
 
     assert(entry);
     BodyPipeCheckout bpc(*adaptedBodySource);
-    const StoreIOBuffer ioBuf(&bpc.buf, bpc.offset);
+    const StoreIOBuffer ioBuf(&bpc.buf, currentOffset);
+    currentOffset += bpc.buf.size;
     entry->write(ioBuf);
     bpc.buf.consume(contentSize);
     bpc.checkIn();
@@ -723,7 +734,7 @@
 ServerStateData::handleAdaptationAborted(bool bypassable)
 {
     debugs(11,5, HERE << "handleAdaptationAborted; bypassable: " << bypassable <<
-        ", entry empty: " << entry->isEmpty());
+           ", entry empty: " << entry->isEmpty());
 
     if (abortOnBadEntry("entry went bad while ICAP aborted"))
         return;
@@ -770,7 +781,7 @@
     if (!startedAdaptation) {
         // handle start failure for an essential ICAP service
         ErrorState *err = errorCon(ERR_ICAP_FAILURE,
-            HTTP_INTERNAL_SERVER_ERROR, originalRequest());
+                                   HTTP_INTERNAL_SERVER_ERROR, originalRequest());
         err->xerrno = errno;
         errorAppendEntry(entry, err);
         abortTransaction("ICAP start failure");
@@ -798,7 +809,7 @@
     abortTransaction("Virgin body too large.");
 }
 
-// TODO: when HttpStateData sends all errors to ICAP, 
+// TODO: when HttpStateData sends all errors to ICAP,
 // we should be able to move this at the end of setVirginReply().
 void
 ServerStateData::adaptOrFinalizeReply()
@@ -807,8 +818,8 @@
     // TODO: merge with client side and return void to hide the on/off logic?
     // The callback can be called with a NULL service if adaptation is off.
     adaptationAccessCheckPending = Adaptation::AccessCheck::Start(
-        Adaptation::methodRespmod, Adaptation::pointPreCache,
-        request, virginReply(), adaptationAclCheckDoneWrapper, this);
+                                       Adaptation::methodRespmod, Adaptation::pointPreCache,
+                                       request, virginReply(), adaptationAclCheckDoneWrapper, this);
     if (adaptationAccessCheckPending)
         return;
 #endif
@@ -843,7 +854,7 @@
 {
 #if USE_ADAPTATION
     if (responseBodyBuffer) {
-	return 0;	// Stop reading if already overflowed waiting for ICAP to catch up
+        return 0;	// Stop reading if already overflowed waiting for ICAP to catch up
     }
 
     if (virginBodyDestination != NULL) {
@@ -863,7 +874,7 @@
             virginBodyDestination->buf().potentialSpaceSize();
 
         debugs(11,9, "ServerStateData may read up to min(" <<
-            adaptation_space << ", " << space << ") bytes");
+               adaptation_space << ", " << space << ") bytes");
 
         if (adaptation_space < space)
             space = adaptation_space;
diff -u -r -N squid-3.1.0.3/src/Server.h squid-3.1.0.4/src/Server.h
--- squid-3.1.0.3/src/Server.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/Server.h	2009-01-23 18:37:36.000000000 +1300
@@ -20,12 +20,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -56,10 +56,10 @@
  */
 class ServerStateData:
 #if USE_ADAPTATION
-    public Adaptation::Initiator,
-    public BodyProducer,
+            public Adaptation::Initiator,
+            public BodyProducer,
 #endif
-    public BodyConsumer
+            public BodyConsumer
 {
 
 public:
@@ -67,7 +67,7 @@
     virtual ~ServerStateData();
 
     /// \return primary or "request data connection" fd
-    virtual int dataDescriptor() const = 0; 
+    virtual int dataDescriptor() const = 0;
 
     // BodyConsumer: consume request body or adapted response body.
     // The implementation just calls the corresponding HTTP or ICAP handle*()
@@ -101,12 +101,14 @@
 
 //AsyncJob virtual methods
     virtual void swanSong();
-    virtual bool doneAll() const { return
+    virtual bool doneAll() const {
+        return
 #if USE_ADAPTATION
-                       Adaptation::Initiator::doneAll() &&
-				       BodyProducer::doneAll() &&
+            Adaptation::Initiator::doneAll() &&
+            BodyProducer::doneAll() &&
 #endif
-				       BodyConsumer::doneAll() && false;}
+            BodyConsumer::doneAll() && false;
+    }
 
 public: // should be protected
     void serverComplete();     /**< call when no server communication is expected */
diff -u -r -N squid-3.1.0.3/src/snmp_agent.cc squid-3.1.0.4/src/snmp_agent.cc
--- squid-3.1.0.3/src/snmp_agent.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/snmp_agent.cc	2009-01-23 18:37:38.000000000 +1300
@@ -199,7 +199,7 @@
 {
     variable_list *Answer = NULL;
 
-    IPAddress laddr;
+    IpAddress laddr;
     char *cp = NULL;
     peer *p = NULL;
     int cnt = 0;
diff -u -r -N squid-3.1.0.3/src/snmp_core.cc squid-3.1.0.4/src/snmp_core.cc
--- squid-3.1.0.3/src/snmp_core.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/snmp_core.cc	2009-01-23 18:37:38.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: snmp_core.cc,v 1.82 2008/01/22 21:07:19 rousskov Exp $
- *
  * DEBUG: section 49    SNMP support
  * AUTHOR: Glenn Chisholm
  *
@@ -35,12 +33,12 @@
 #include "comm.h"
 #include "cache_snmp.h"
 #include "ACLChecklist.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #define SNMP_REQUEST_SIZE 4096
 #define MAX_PROTOSTAT 5
 
-IPAddress theOutSNMPAddr;
+IpAddress theOutSNMPAddr;
 
 typedef struct _mib_tree_entry mib_tree_entry;
 typedef oid *(instance_Fn) (oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn);
@@ -482,7 +480,7 @@
 snmpHandleUdp(int sock, void *not_used)
 {
     LOCAL_ARRAY(char, buf, SNMP_REQUEST_SIZE);
-    IPAddress from;
+    IpAddress from;
     snmp_request_t *snmp_rq;
     int len;
 
@@ -870,8 +868,8 @@
 client_Inst(oid * name, snint * len, mib_tree_entry * current, oid_ParseFn ** Fn)
 {
     oid *instance = NULL;
-    IPAddress laddr;
-    IPAddress *aux;
+    IpAddress laddr;
+    IpAddress *aux;
     int size = 0;
     int newshift = 0;
 
@@ -1105,7 +1103,7 @@
    oid == 32.1.50.239.162.33.251.20.50.0.0.0.0.0.0.0.0.0.1
 */
 void
-addr2oid(IPAddress &addr, oid * Dest)
+addr2oid(IpAddress &addr, oid * Dest)
 {
     u_int i ;
     u_char *cp = NULL;
@@ -1145,7 +1143,7 @@
    IPv6 adress : 20:01:32:ef:a2:21:fb:32:00:00:00:00:00:00:00:00:OO:01
 */
 void
-oid2addr(oid * id, IPAddress &addr, u_int size)
+oid2addr(oid * id, IpAddress &addr, u_int size)
 {
     struct in_addr iaddr;
     u_int i;
diff -u -r -N squid-3.1.0.3/src/squid.h squid-3.1.0.4/src/squid.h
--- squid-3.1.0.3/src/squid.h	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/squid.h	2009-01-23 18:37:38.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: squid.h,v 1.272 2008/02/26 21:49:35 amosjeffries Exp $
- *
  * AUTHOR: Duane Wessels
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -377,7 +374,7 @@
 #include "profiling.h"
 #include "MemPool.h"
 
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #if !HAVE_TEMPNAM
 #include "tempnam.h"
diff -u -r -N squid-3.1.0.3/src/SquidTime.h squid-3.1.0.4/src/SquidTime.h
--- squid-3.1.0.3/src/SquidTime.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/SquidTime.h	2009-01-23 18:37:36.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: SquidTime.h,v 1.4 2007/12/14 23:11:45 amosjeffries Exp $
- *
  * DEBUG: section 21    Time Functions
  * AUTHOR: Harvest Derived
  *
@@ -34,7 +32,15 @@
 #ifndef   SQUID_TIME_H
 #define   SQUID_TIME_H
 
-#include "squid.h"
+#include "config.h"
+
+#if HAVE_TIME_H
+#include <time.h>
+#endif
+#if HAVE_SYS_TIME_H
+#include <sys/time.h>
+#endif
+
 
 /* globals for accessing time */
 extern struct timeval current_time;
diff -u -r -N squid-3.1.0.3/src/StoreIOBuffer.h squid-3.1.0.4/src/StoreIOBuffer.h
--- squid-3.1.0.3/src/StoreIOBuffer.h	2008-12-05 16:09:34.000000000 +1300
+++ squid-3.1.0.4/src/StoreIOBuffer.h	2009-01-23 18:37:36.000000000 +1300
@@ -46,8 +46,7 @@
     StoreIOBuffer():length(0), offset (0), data (NULL) {flags.error = 0;}
 
     StoreIOBuffer(size_t aLength, int64_t anOffset, char *someData) :
-            length (aLength), offset (anOffset), data (someData)
-    {
+            length (aLength), offset (anOffset), data (someData) {
         flags.error = 0;
     }
 
diff -u -r -N squid-3.1.0.3/src/string_arrays.c squid-3.1.0.4/src/string_arrays.c
--- squid-3.1.0.3/src/string_arrays.c	2008-12-05 16:11:09.000000000 +1300
+++ squid-3.1.0.4/src/string_arrays.c	1970-01-01 12:00:00.000000000 +1200
@@ -1,114 +0,0 @@
-
-/*
- * $Id: enums.h,v 1.262 2008/02/26 21:49:34 amosjeffries Exp $
- *
- *
- * SQUID Web Proxy Cache          http://www.squid-cache.org/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from
- *  the Internet community; see the CONTRIBUTORS file for full
- *  details.   Many organizations have provided support for Squid's
- *  development; see the SPONSORS file for full details.  Squid is
- *  Copyrighted (C) 2001 by the Regents of the University of
- *  California; see the COPYRIGHT file for full details.  Squid
- *  incorporates software developed and/or copyrighted by other
- *  sources; see the CREDITS file for full details.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- */
-
-const char *err_type_str[] = {
-	"ERR_NONE",
-	"ERR_READ_TIMEOUT",
-	"ERR_LIFETIME_EXP",
-	"ERR_READ_ERROR",
-	"ERR_WRITE_ERROR",
-	"ERR_SHUTTING_DOWN",
-	"ERR_CONNECT_FAIL",
-	"ERR_SECURE_CONNECT_FAIL",
-	"ERR_INVALID_REQ",
-	"ERR_UNSUP_REQ",
-	"ERR_INVALID_URL",
-	"ERR_SOCKET_FAILURE",
-	"ERR_DNS_FAIL",
-	"ERR_CANNOT_FORWARD",
-	"ERR_FORWARDING_DENIED",
-	"ERR_NO_RELAY",
-	"ERR_ZERO_SIZE_OBJECT",
-	"ERR_FTP_DISABLED",
-	"ERR_FTP_FAILURE",
-	"ERR_URN_RESOLVE",
-	"ERR_ACCESS_DENIED",
-	"ERR_CACHE_ACCESS_DENIED",
-	"ERR_CACHE_MGR_ACCESS_DENIED",
-	"ERR_SQUID_SIGNATURE",
-	"ERR_FTP_PUT_CREATED",
-	"ERR_FTP_PUT_MODIFIED",
-	"ERR_FTP_PUT_ERROR",
-	"ERR_FTP_NOT_FOUND",
-	"ERR_FTP_FORBIDDEN",
-	"ERR_FTP_UNAVAILABLE",
-	"ERR_ONLY_IF_CACHED_MISS",
-	"ERR_TOO_BIG",
-	"TCP_RESET",
-	"ERR_ESI",
-	"ERR_INVALID_RESP",
-	"ERR_ICAP_FAILURE",
-	"ERR_MAX"
-};
-
-const char *lookup_t_str[] = {
-	"LOOKUP_NONE",
-	"LOOKUP_HIT",
-	"LOOKUP_MISS"
-};
-
-const char *icp_opcode_str[] = {
-	"ICP_INVALID",
-	"ICP_QUERY",
-	"ICP_HIT",
-	"ICP_MISS",
-	"ICP_ERR",
-	"ICP_SEND",
-	"ICP_SENDA",
-	"ICP_DATABEG",
-	"ICP_DATA",
-	"ICP_DATAEND",
-	"ICP_SECHO",
-	"ICP_DECHO",
-	"ICP_NOTIFY",
-	"ICP_INVALIDATE",
-	"ICP_DELETE",
-	"ICP_UNUSED15",
-	"ICP_UNUSED16",
-	"ICP_UNUSED17",
-	"ICP_UNUSED18",
-	"ICP_UNUSED19",
-	"ICP_UNUSED20",
-	"ICP_MISS_NOFETCH",
-	"ICP_DENIED",
-	"ICP_HIT_OBJ",
-	"ICP_END"
-};
-
-const char *swap_log_op_str[] = {
-	"SWAP_LOG_NOP",
-	"SWAP_LOG_ADD",
-	"SWAP_LOG_DEL",
-	"SWAP_LOG_VERSION",
-	"SWAP_LOG_MAX"
-};
diff -u -r -N squid-3.1.0.3/src/structs.h squid-3.1.0.4/src/structs.h
--- squid-3.1.0.3/src/structs.h	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/structs.h	2009-01-23 18:37:38.000000000 +1300
@@ -1,7 +1,4 @@
 /*
- * $Id: structs.h,v 1.575 2008/02/11 22:28:47 rousskov Exp $
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -18,12 +15,12 @@
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
- *  
+ *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
- *  
+ *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
@@ -41,14 +38,12 @@
 /* needed for the global config */
 #include "HttpHeader.h"
 
-struct acl_name_list
-{
+struct acl_name_list {
     char name[ACL_NAME_SZ];
     acl_name_list *next;
 };
 
-struct acl_deny_info_list
-{
+struct acl_deny_info_list {
     err_type err_page_id;
     char *err_page_name;
     acl_name_list *acl_list;
@@ -58,8 +53,7 @@
 
 class acl_access;
 
-struct _header_mangler
-{
+struct _header_mangler {
     acl_access *access_list;
     char *replacement;
 };
@@ -68,8 +62,7 @@
 
 #if SQUID_SNMP
 
-struct _snmp_request_t
-{
+struct _snmp_request_t {
     u_char *buf;
     u_char *outbuf;
     int len;
@@ -77,7 +70,7 @@
     long reqid;
     int outlen;
 
-    IPAddress from;
+    IpAddress from;
 
     struct snmp_pdu *PDU;
     ACLChecklist *acl_checklist;
@@ -90,36 +83,31 @@
 
 class ACLList;
 
-struct acl_address
-{
+struct acl_address {
     acl_address *next;
     ACLList *aclList;
 
-    IPAddress addr;
+    IpAddress addr;
 };
 
-struct acl_tos
-{
+struct acl_tos {
     acl_tos *next;
     ACLList *aclList;
     int tos;
 };
 
-struct acl_size_t
-{
+struct acl_size_t {
     acl_size_t *next;
     ACLList *aclList;
     int64_t size;
 };
 
-struct ushortlist
-{
+struct ushortlist {
     u_short i;
     ushortlist *next;
 };
 
-struct relist
-{
+struct relist {
     char *pattern;
     regex_t regex;
     relist *next;
@@ -133,17 +121,19 @@
 #include "icmp/IcmpConfig.h"
 #endif
 
+#if USE_ZPH_QOS
+#include "ip/QosConfig.h"
+#endif
+
 /* forward decl for SquidConfig, see RemovalPolicy.h */
 
 class RemovalPolicySettings;
 class external_acl;
 class Store;
 
-struct SquidConfig
-{
+struct SquidConfig {
 
-    struct
-    {
+    struct {
         /* These should be for the Store::Root instance.
         * this needs pluggable parsing to be done smoothly.
         */
@@ -152,8 +142,7 @@
     } Swap;
     size_t memMaxSize;
 
-    struct
-    {
+    struct {
         int64_t min;
         int pct;
         int64_t max;
@@ -169,8 +158,7 @@
     time_t shutdownLifetime;
     time_t backgroundPingRate;
 
-    struct
-    {
+    struct {
         time_t read;
         time_t lifetime;
         time_t connect;
@@ -201,8 +189,7 @@
     size_t maxReplyHeaderSize;
     acl_size_t *ReplyBodySize;
 
-    struct
-    {
+    struct {
         u_short icp;
 #if USE_HTCP
 
@@ -214,8 +201,7 @@
 #endif
     } Port;
 
-    struct
-    {
+    struct {
         http_port_list *http;
 #if USE_SSL
 
@@ -225,30 +211,27 @@
     } Sockaddr;
 #if SQUID_SNMP
 
-    struct
-    {
+    struct {
         char *configFile;
         char *agentInfo;
     } Snmp;
 #endif
 #if USE_WCCP
 
-    struct
-    {
+    struct {
 
-        IPAddress router;
+        IpAddress router;
 
-        IPAddress address;
+        IpAddress address;
         int version;
     } Wccp;
 #endif
 #if USE_WCCPv2
 
-    struct
-    {
-        IPAddress_list *router;
+    struct {
+        IpAddress_list *router;
 
-        IPAddress address;
+        IpAddress address;
         int forwarding_method;
         int return_method;
         int assignment_method;
@@ -264,8 +247,7 @@
 
     char *as_whois_server;
 
-    struct
-    {
+    struct {
         char *log;
         char *store;
         char *swap;
@@ -295,8 +277,7 @@
     char *visible_appname_string;
     char *effectiveGroup;
 
-    struct
-    {
+    struct {
 #if USE_DNSSERVERS
         char *dnsserver;
 #endif
@@ -325,8 +306,7 @@
     time_t authenticateTTL;
     time_t authenticateIpTTL;
 
-    struct
-    {
+    struct {
 #if USE_SQUID_ESI
         char *surrogate_id;
 #endif
@@ -344,28 +324,26 @@
     wordlist *hostnameAliases;
     char *errHtmlText;
 
-    struct
-    {
+    struct {
         char *host;
         char *file;
         time_t period;
         u_short port;
     } Announce;
 
-    struct
-    {
+    struct {
 
-        IPAddress udp_incoming;
+        IpAddress udp_incoming;
 
-        IPAddress udp_outgoing;
+        IpAddress udp_outgoing;
 #if SQUID_SNMP
 
-        IPAddress snmp_incoming;
+        IpAddress snmp_incoming;
 
-        IPAddress snmp_outgoing;
+        IpAddress snmp_outgoing;
 #endif
         /* FIXME INET6 : this should really be a CIDR value */
-        IPAddress client_netmask;
+        IpAddress client_netmask;
     } Addrs;
     size_t tcpRcvBufsz;
     size_t udpMaxHitObjsz;
@@ -375,23 +353,20 @@
     peer *peers;
     int npeers;
 
-    struct
-    {
+    struct {
         int size;
         int low;
         int high;
     } ipcache;
 
-    struct
-    {
+    struct {
         int size;
     } fqdncache;
     int minDirectHops;
     int minDirectRtt;
     cachemgr_passwd *passwd_list;
 
-    struct
-    {
+    struct {
         int objectsPerBucket;
         int64_t avgObjectSize;
         int64_t maxObjectSize;
@@ -399,15 +374,13 @@
         size_t maxInMemObjSize;
     } Store;
 
-    struct
-    {
+    struct {
         int high;
         int low;
         time_t period;
     } Netdb;
 
-    struct
-    {
+    struct {
         int log_udp;
         int res_defnames;
         int anonymizer;
@@ -471,17 +444,12 @@
         int log_uses_indirect_client;
 #endif /* FOLLOW_X_FORWARDED_FOR */
 
-#if USE_ZPH_QOS
-        int zph_tos_parent;
-        int zph_preserve_miss_tos;
-#endif
         int WIN32_IpAddrChangeMonitor;
     } onoff;
 
     class ACL *aclList;
 
-    struct
-    {
+    struct {
         acl_access *http;
         acl_access *icp;
         acl_access *miss;
@@ -511,7 +479,7 @@
         acl_access *htcp;
         acl_access *htcp_clr;
 #endif
-        
+
 #if USE_SSL
         acl_access *ssl_bump;
 #endif
@@ -523,8 +491,7 @@
     acl_deny_info_list *denyInfoList;
     authConfig authConfiguration;
 
-    struct
-    {
+    struct {
         size_t list_width;
         int list_wrap;
         char *anon_user;
@@ -535,15 +502,13 @@
     } Ftp;
     refresh_t *Refresh;
 
-    struct _cacheSwap
-    {
+    struct _cacheSwap {
         RefCount<class Store> *swapDirs;
         int n_allocated;
         int n_configured;
     } cacheSwap;
 
-    struct
-    {
+    struct {
         char *directory;
         int use_short_names;
     } icons;
@@ -554,14 +519,12 @@
 #endif
     char *errorStylesheet;
 
-    struct
-    {
+    struct {
         int maxtries;
         int onerror;
     } retry;
 
-    struct
-    {
+    struct {
         size_t limit;
     } MemPools;
 #if DELAY_POOLS
@@ -569,8 +532,7 @@
     DelayConfig Delay;
 #endif
 
-    struct
-    {
+    struct {
         int icp_average;
         int dns_average;
         int http_average;
@@ -583,10 +545,9 @@
     int64_t rangeOffsetLimit;
 #if MULTICAST_MISS_STREAM
 
-    struct
-    {
+    struct {
 
-        IPAddress addr;
+        IpAddress addr;
         int ttl;
         unsigned short port;
         char *encode_key;
@@ -601,8 +562,7 @@
     char *chroot_dir;
 #if USE_CACHE_DIGESTS
 
-    struct
-    {
+    struct {
         int bits_per_entry;
         time_t rebuild_period;
         time_t rewrite_period;
@@ -612,8 +572,7 @@
 #endif
 #if USE_SSL
 
-    struct
-    {
+    struct {
         int unclean_shutdown;
         char *ssl_engine;
     } SSL;
@@ -621,8 +580,7 @@
 
     wordlist *ext_methods;
 
-    struct
-    {
+    struct {
         int high_rptm;
         int high_pf;
         size_t high_memory;
@@ -631,15 +589,14 @@
     int sleep_after_fork;	/* microseconds */
     time_t minimum_expiry_time;	/* seconds */
     external_acl *externalAclHelperList;
+
 #if USE_ZPH_QOS
-    int zph_tos_local;
-    int zph_tos_peer;
-    int zph_preserve_miss_tos_mask; 
+    QosConfig zph;
 #endif
+
 #if USE_SSL
 
-    struct
-    {
+    struct {
         char *cert;
         char *key;
         int version;
@@ -664,10 +621,8 @@
 
 SQUIDCEXTERN SquidConfig Config;
 
-struct SquidConfig2
-{
-    struct
-    {
+struct SquidConfig2 {
+    struct {
         int enable_purge;
         int mangle_request_headers;
     } onoff;
@@ -677,15 +632,13 @@
 
 SQUIDCEXTERN SquidConfig2 Config2;
 
-struct _close_handler
-{
+struct _close_handler {
     PF *handler;
     void *data;
     close_handler *next;
 };
 
-struct _dread_ctrl
-{
+struct _dread_ctrl {
     int fd;
     off_t offset;
     int req_len;
@@ -695,8 +648,7 @@
     void *client_data;
 };
 
-struct _dwrite_q
-{
+struct _dwrite_q {
     off_t file_offset;
     char *buf;
     size_t len;
@@ -711,14 +663,12 @@
  * Note: "str" points to memory in HttpHeaderEntry (for now)
  *       so ETags should be used as tmp variables only (for now) */
 
-struct _ETag
-{
+struct _ETag {
     const char *str;		/* quoted-string */
     int weak;			/* true if it is a weak validator */
 };
 
-struct _fde_disk
-{
+struct _fde_disk {
     DWCB *wrt_handle;
     void *wrt_handle_data;
     dwrite_q *write_q;
@@ -726,8 +676,7 @@
     off_t offset;
 };
 
-struct _fileMap
-{
+struct _fileMap {
     int max_n_files;
     int n_files_in_map;
     int toggle;
@@ -742,8 +691,7 @@
 
 class MemBuf;
 
-struct _HttpBody
-{
+struct _HttpBody {
     /* private */
     MemBuf *mb;
 };
@@ -772,8 +720,7 @@
 
 /* some fields can hold either time or etag specs (e.g. If-Range) */
 
-struct _TimeOrTag
-{
+struct _TimeOrTag {
     ETag tag;			/* entity tag */
     time_t time;
     int valid;			/* true if struct is usable */
@@ -785,7 +732,7 @@
 {
 
 public:
-    HttpHeaderFieldStat() : aliveCount(0), seenCount(0), parsCount(0), errCount(0), repCount(0){}
+    HttpHeaderFieldStat() : aliveCount(0), seenCount(0), parsCount(0), errCount(0), repCount(0) {}
 
     int aliveCount;		/* created but not destroyed (count) */
     int seenCount;		/* #fields we've seen */
@@ -800,7 +747,7 @@
 {
 
 public:
-    HttpHeaderFieldInfo() : id (HDR_ACCEPT), type (ftInvalid){}
+    HttpHeaderFieldInfo() : id (HDR_ACCEPT), type (ftInvalid) {}
 
     http_hdr_type id;
     String name;
@@ -808,8 +755,7 @@
     HttpHeaderFieldStat stat;
 };
 
-struct _http_state_flags
-{
+struct _http_state_flags {
     unsigned int proxying:1;
     unsigned int keepalive:1;
     unsigned int only_if_cached:1;
@@ -824,24 +770,21 @@
     unsigned int chunked:1;
 };
 
-struct _ipcache_addrs
-{
-    IPAddress *in_addrs;
+struct _ipcache_addrs {
+    IpAddress *in_addrs;
     unsigned char *bad_mask;
     unsigned char count;
     unsigned char cur;
     unsigned char badcount;
 };
 
-struct _domain_ping
-{
+struct _domain_ping {
     char *domain;
     int do_ping;		/* boolean */
     domain_ping *next;
 };
 
-struct _domain_type
-{
+struct _domain_type {
     char *domain;
     peer_t type;
     domain_type *next;
@@ -851,8 +794,7 @@
 
 /* statistics for cache digests and other hit "predictors" */
 
-struct _cd_guess_stats
-{
+struct _cd_guess_stats {
     /* public, read-only */
     int true_hits;
     int false_hits;
@@ -865,17 +807,15 @@
 
 class PeerDigest;
 
-struct peer
-{
+struct peer {
     u_int index;
     char *name;
     char *host;
     peer_t type;
 
-    IPAddress in_addr;
+    IpAddress in_addr;
 
-    struct
-    {
+    struct {
         int pings_sent;
         int pings_acked;
         int fetches;
@@ -892,16 +832,14 @@
         int conn_open;		/* current opened connections */
     } stats;
 
-    struct
-    {
+    struct {
         int version;
         int counts[ICP_END+1];
         u_short port;
     } icp;
 #if USE_HTCP
 
-    struct
-    {
+    struct {
         double version;
         int counts[2];
         u_short port;
@@ -913,8 +851,7 @@
     domain_type *typelist;
     acl_access *access;
 
-    struct
-    {
+    struct {
         unsigned int proxy_only:1;
         unsigned int no_query:1;
         unsigned int background_ping:1;
@@ -946,16 +883,14 @@
     int weight;
     int basetime;
 
-    struct
-    {
+    struct {
         double avg_n_members;
         int n_times_counted;
         int n_replies_expected;
         int ttl;
         int id;
 
-        struct
-        {
+        struct {
             unsigned int count_event_pending:1;
             unsigned int counting:1;
         } flags;
@@ -968,28 +903,25 @@
 
     int tcp_up;			/* 0 if a connect() fails */
 
-    IPAddress addresses[10];
+    IpAddress addresses[10];
     int n_addresses;
     int rr_count;
     peer *next;
     int test_fd;
 
-    struct
-    {
+    struct {
         unsigned int hash;
         double load_multiplier;
         double load_factor;	/* normalized weight value */
     } carp;
 
-    struct
-    {
+    struct {
         unsigned int hash;
         double load_multiplier;
         double load_factor;	/* normalized weight value */
     } userhash;
 
-    struct
-    {
+    struct {
         unsigned int hash;
         double load_multiplier;
         double load_factor;	/* normalized weight value */
@@ -1020,23 +952,20 @@
     int connection_auth;
 };
 
-struct _net_db_name
-{
+struct _net_db_name {
     hash_link hash;		/* must be first */
     net_db_name *next;
     netdbEntry *net_db_entry;
 };
 
-struct _net_db_peer
-{
+struct _net_db_peer {
     const char *peername;
     double hops;
     double rtt;
     time_t expires;
 };
 
-struct _netdbEntry
-{
+struct _netdbEntry {
     hash_link hash;		/* must be first */
     char network[MAX_IPSTRLEN];
     int pings_sent;
@@ -1053,11 +982,9 @@
 };
 
 
-struct _iostats
-{
+struct _iostats {
 
-    struct
-    {
+    struct {
         int reads;
         int reads_deferred;
         int read_hist[16];
@@ -1069,15 +996,13 @@
 };
 
 
-struct request_flags
-{
-    request_flags(): range(0),nocache(0),ims(0),auth(0),cachable(0),hierarchical(0),loopdetect(0),proxy_keepalive(0),proxying(0),refresh(0),redirected(0),need_validation(0),accelerated(0),intercepted(0),spoof_client_ip(0),internal(0),internalclient(0),must_keepalive(0),destinationIPLookedUp_(0)
-    {
+struct request_flags {
+    request_flags(): range(0),nocache(0),ims(0),auth(0),cachable(0),hierarchical(0),loopdetect(0),proxy_keepalive(0),proxying(0),refresh(0),redirected(0),need_validation(0),accelerated(0),intercepted(0),spoof_client_ip(0),internal(0),internalclient(0),must_keepalive(0),destinationIPLookedUp_(0) {
 #if HTTP_VIOLATIONS
         nocache_hack = 0;
 #endif
 #if FOLLOW_X_FORWARDED_FOR
-    done_follow_x_forwarded_for = 0;
+        done_follow_x_forwarded_for = 0;
 #endif /* FOLLOW_X_FORWARDED_FOR */
     }
 
@@ -1089,7 +1014,8 @@
     unsigned int hierarchical:1;
     unsigned int loopdetect:1;
     unsigned int proxy_keepalive:1;
-    unsigned int proxying:1;	/* this should be killed, also in httpstateflags */
+unsigned int proxying:
+    1;	/* this should be killed, also in httpstateflags */
     unsigned int refresh:1;
     unsigned int redirected:1;
     unsigned int need_validation:1;
@@ -1129,22 +1055,19 @@
     unsigned int destinationIPLookedUp_:1;
 };
 
-struct _link_list
-{
+struct _link_list {
     void *ptr;
 
     struct _link_list *next;
 };
 
-struct _cachemgr_passwd
-{
+struct _cachemgr_passwd {
     char *passwd;
     wordlist *actions;
     cachemgr_passwd *next;
 };
 
-struct _refresh_t
-{
+struct _refresh_t {
     const char *pattern;
     regex_t compiled_pattern;
     time_t min;
@@ -1152,8 +1075,7 @@
     time_t max;
     refresh_t *next;
 
-    struct
-    {
+    struct {
         unsigned int icase:1;
         unsigned int refresh_ims:1;
 #if HTTP_VIOLATIONS
@@ -1170,12 +1092,11 @@
 };
 
 /*
- * "very generic" histogram; 
+ * "very generic" histogram;
  * see important comments on hbase_f restrictions in StatHist.c
  */
 
-struct _StatHist
-{
+struct _StatHist {
     int *bins;
     int capacity;
     double min;
@@ -1186,15 +1107,13 @@
 };
 
 /*
- * if you add a field to StatCounters, 
+ * if you add a field to StatCounters,
  * you MUST sync statCountersInitSpecial, statCountersClean, and statCountersCopy
  */
 
-struct _StatCounters
-{
+struct _StatCounters {
 
-    struct
-    {
+    struct {
         int clients;
         int requests;
         int hits;
@@ -1211,11 +1130,9 @@
         StatHist all_svc_time;
     } client_http;
 
-    struct
-    {
+    struct {
 
-        struct
-        {
+        struct {
             int requests;
             int errors;
             kb_t kbytes_in;
@@ -1223,8 +1140,7 @@
         } all , http, ftp, other;
     } server;
 
-    struct
-    {
+    struct {
         int pkts_sent;
         int queries_sent;
         int replies_sent;
@@ -1247,24 +1163,20 @@
         int times_used;
     } icp;
 
-    struct
-    {
+    struct {
         int pkts_sent;
         int pkts_recv;
     } htcp;
 
-    struct
-    {
+    struct {
         int requests;
     } unlink;
 
-    struct
-    {
+    struct {
         StatHist svc_time;
     } dns;
 
-    struct
-    {
+    struct {
         int times_used;
         kb_t kbytes_sent;
         kb_t kbytes_recv;
@@ -1279,8 +1191,7 @@
         StatHist on_xition_count;
     } cd;
 
-    struct
-    {
+    struct {
         int times_used;
     } netdb;
     int page_faults;
@@ -1295,10 +1206,8 @@
     StatHist comm_http_incoming;
     StatHist select_fds_hist;
 
-    struct
-    {
-        struct
-        {
+    struct {
+        struct {
             int opens;
             int closes;
             int reads;
@@ -1307,8 +1216,7 @@
             int unlinks;
         } disk;
 
-        struct
-        {
+        struct {
             int accepts;
             int sockets;
             int connects;
@@ -1323,8 +1231,7 @@
     } syscalls;
     int aborted_requests;
 
-    struct
-    {
+    struct {
         int files_cleaned;
         int outs;
         int ins;
@@ -1333,8 +1240,7 @@
 
 /* per header statistics */
 
-struct _HttpHeaderStat
-{
+struct _HttpHeaderStat {
     const char *label;
     HttpHeaderMask *owner_mask;
 
@@ -1351,14 +1257,12 @@
 };
 
 
-struct _ClientInfo
-{
+struct _ClientInfo {
     hash_link hash;		/* must be first */
 
-    IPAddress addr;
+    IpAddress addr;
 
-    struct
-    {
+    struct {
         int result_hist[LOG_TYPE_MAX];
         int n_requests;
         kb_t kbytes_in;
@@ -1366,8 +1270,7 @@
         kb_t hit_kbytes_out;
     } Http, Icp;
 
-    struct
-    {
+    struct {
         time_t time;
         int n_req;
         int n_denied;
@@ -1376,8 +1279,7 @@
     time_t last_seen;
 };
 
-struct _CacheDigest
-{
+struct _CacheDigest {
     /* public, read-only */
     char *mask;			/* bit mask */
     int mask_size;		/* mask size in bytes */
@@ -1388,8 +1290,7 @@
 };
 
 
-struct _store_rebuild_data
-{
+struct _store_rebuild_data {
     int objcount;		/* # objects successfully reloaded */
     int expcount;		/* # objects expired */
     int scancount;		/* # entries scanned or read from state file */
@@ -1402,16 +1303,14 @@
     int zero_object_sz;
 };
 
-struct _Logfile
-{
+struct _Logfile {
     int fd;
     char path[MAXPATHLEN];
     char *buf;
     size_t bufsz;
     size_t offset;
 
-    struct
-    {
+    struct {
         unsigned int fatal;
         unsigned int syslog;
     } flags;
@@ -1421,15 +1320,13 @@
 
 class logformat_token;
 
-struct _logformat
-{
+struct _logformat {
     char *name;
     logformat_token *format;
     logformat *next;
 };
 
-struct _customlog
-{
+struct _customlog {
     char *filename;
     ACLList *aclList;
     logformat *logFormat;
diff -u -r -N squid-3.1.0.3/src/tests/stub_comm.cc squid-3.1.0.4/src/tests/stub_comm.cc
--- squid-3.1.0.3/src/tests/stub_comm.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/tests/stub_comm.cc	2009-01-23 18:37:38.000000000 +1300
@@ -99,7 +99,7 @@
 void
 comm_quick_poll_required()
 {
-  /* for tests ... ignore */
+    /* for tests ... ignore */
 }
 
 int
@@ -133,7 +133,7 @@
 /* bah, cheating on stub count */
 
 pid_t
-ipcCreate(int type, const char *prog, const char *const args[], const char *name, IPAddress &local_addr, int *rfd, int *wfd, void **hIpc)
+ipcCreate(int type, const char *prog, const char *const args[], const char *name, IpAddress &local_addr, int *rfd, int *wfd, void **hIpc)
 {
     fatal ("Not implemented");
     return -1;
diff -u -r -N squid-3.1.0.3/src/tests/testAuth.cc squid-3.1.0.4/src/tests/testAuth.cc
--- squid-3.1.0.3/src/tests/testAuth.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/tests/testAuth.cc	2009-01-23 18:37:38.000000000 +1300
@@ -134,11 +134,11 @@
         AuthConfig *schemeConfig;
         schemeConfig = getConfig(params[scheme].name);
         if (schemeConfig != NULL)
-            setup_scheme (schemeConfig, params[scheme].params, 
-                params[scheme].paramlength);
-		else
-            fprintf(stderr,"Skipping unknown authentication scheme '%s'.\n", 
-                params[scheme].name);
+            setup_scheme(schemeConfig, params[scheme].params,
+                         params[scheme].paramlength);
+        else
+            fprintf(stderr,"Skipping unknown authentication scheme '%s'.\n",
+                    params[scheme].name);
     }
 
     authenticateInit(&config);
diff -u -r -N squid-3.1.0.3/src/tools.cc squid-3.1.0.4/src/tools.cc
--- squid-3.1.0.3/src/tools.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/tools.cc	2009-01-23 18:37:38.000000000 +1300
@@ -39,7 +39,7 @@
 #include "MemBuf.h"
 #include "wordlist.h"
 #include "SquidTime.h"
-#include "IPInterception.h"
+#include "ip/IpIntercept.h"
 
 #ifdef _SQUID_LINUX_
 #if HAVE_SYS_CAPABILITY_H
@@ -595,7 +595,7 @@
     LOCAL_ARRAY(char, host, SQUIDHOSTNAMELEN + 1);
     static int present = 0;
     struct addrinfo *AI = NULL;
-    IPAddress sa;
+    IpAddress sa;
 
     if (Config.visibleHostname != NULL)
         return Config.visibleHostname;
@@ -1159,7 +1159,7 @@
             lt = nt + 1;
         }
 
-        if(hosts) {
+        if (hosts) {
             fqdncacheAddEntryFromHosts(addr, hosts);
             wordlistDestroy(&hosts);
         }
@@ -1249,7 +1249,7 @@
 #if HAVE_PRCTL && defined(PR_SET_KEEPCAPS) && HAVE_SYS_CAPABILITY_H
 
     if (prctl(PR_SET_KEEPCAPS, 1, 0, 0, 0)) {
-        IPInterceptor.StopTransparency("capability setting has failed.");
+        IpInterceptor.StopTransparency("capability setting has failed.");
     }
 #endif
 }
@@ -1257,7 +1257,7 @@
 static void
 restoreCapabilities(int keep)
 {
-/* NP: keep these two if-endif separate. Non-Linux work perfectly well without Linux syscap support. */
+    /* NP: keep these two if-endif separate. Non-Linux work perfectly well without Linux syscap support. */
 #if defined(_SQUID_LINUX_)
 
 #if HAVE_SYS_CAPABILITY_H
@@ -1271,18 +1271,16 @@
 
     if (capget(head, cap) != 0) {
         debugs(50, DBG_IMPORTANT, "Can't get current capabilities");
-    }
-    else if (head->version != _LINUX_CAPABILITY_VERSION_1) {
+    } else if (head->version != _LINUX_CAPABILITY_VERSION_1) {
         debugs(50, DBG_IMPORTANT, "Invalid capability version " << head->version << " (expected " << _LINUX_CAPABILITY_VERSION_1 << ")");
-    }
-    else {
+    } else {
 
         head->pid = 0;
 
         cap->inheritable = 0;
         cap->effective = (1 << CAP_NET_BIND_SERVICE);
 
-        if (IPInterceptor.TransparentActive()) {
+        if (IpInterceptor.TransparentActive()) {
             cap->effective |= (1 << CAP_NET_ADMIN);
 #if LINUX_TPROXY2
             cap->effective |= (1 << CAP_NET_BROADCAST);
@@ -1293,7 +1291,7 @@
             cap->permitted &= cap->effective;
 
         if (capset(head, cap) != 0) {
-            IPInterceptor.StopTransparency("Error enabling needed capabilities.");
+            IpInterceptor.StopTransparency("Error enabling needed capabilities.");
         }
     }
 
@@ -1301,7 +1299,7 @@
     xfree(cap);
 
 #else
-    IPInterceptor.StopTransparency("Missing needed capability support.");
+    IpInterceptor.StopTransparency("Missing needed capability support.");
 #endif /* HAVE_SYS_CAPABILITY_H */
 
 #endif /* !defined(_SQUID_LINUX_) */
diff -u -r -N squid-3.1.0.3/src/tunnel.cc squid-3.1.0.4/src/tunnel.cc
--- squid-3.1.0.3/src/tunnel.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/tunnel.cc	2009-01-23 18:37:38.000000000 +1300
@@ -114,6 +114,8 @@
     void writeServerDone(char *buf, size_t len, comm_err_t flag, int xerrno);
 };
 
+#define fd_closed(fd) (fd == -1 || fd_table[fd].closing())
+
 static const char *const conn_established = "HTTP/1.0 200 Connection established\r\n\r\n";
 
 static CNCB tunnelConnectDone;
@@ -309,16 +311,16 @@
     cbdataInternalLock(this);	/* ??? should be locked by the caller... */
 
     /* Bump the server connection timeout on any activity */
-    if (server.fd() != -1)
+    if (!fd_closed(server.fd()))
         commSetTimeout(server.fd(), Config.Timeout.read, tunnelTimeout, this);
 
     if (len < 0 || errcode)
         from.error (xerrno);
-    else if (len == 0 || to.fd() == -1) {
+    else if (len == 0 || fd_closed(to.fd())) {
         comm_close(from.fd());
         /* Only close the remote end if we've finished queueing data to it */
 
-        if (from.len == 0 && to.fd() != -1) {
+        if (from.len == 0 && !fd_closed(to.fd()) ) {
             comm_close(to.fd());
         }
     } else if (cbdataReferenceValid(this))
@@ -361,7 +363,7 @@
     client.dataSent(len);
 
     /* If the other end has closed, so should we */
-    if (client.fd() == -1) {
+    if (fd_closed(client.fd())) {
         comm_close(server.fd());
         return;
     }
@@ -418,7 +420,7 @@
     server.dataSent(len);
 
     /* If the other end has closed, so should we */
-    if (server.fd() == -1) {
+    if (fd_closed(server.fd())) {
         comm_close(client.fd());
         return;
     }
@@ -447,7 +449,7 @@
 void
 TunnelStateData::Connection::closeIfOpen()
 {
-    if (fd() != -1)
+    if (!fd_closed(fd()))
         comm_close(fd());
 }
 
@@ -537,10 +539,10 @@
     /* temporary lock to save our own feets (comm_close -> tunnelClientClosed -> Free) */
     cbdataInternalLock(tunnelState);
 
-    if (tunnelState->client.fd() > -1)
+    if (!fd_closed(tunnelState->client.fd()))
         comm_close(tunnelState->client.fd());
 
-    if (tunnelState->server.fd() > -1)
+    if (fd_closed(tunnelState->server.fd()))
         comm_close(tunnelState->server.fd());
 
     cbdataInternalUnlock(tunnelState);
@@ -635,7 +637,7 @@
     statCounter.server.all.requests++;
     statCounter.server.other.requests++;
     /* Create socket. */
-    IPAddress temp = getOutgoingAddr(request,NULL);
+    IpAddress temp = getOutgoingAddr(request,NULL);
     sock = comm_openex(SOCK_STREAM,
                        IPPROTO_TCP,
                        temp,
@@ -795,7 +797,7 @@
 bool
 TunnelStateData::noConnections() const
 {
-    return (server.fd() == -1) && (client.fd() == -1);
+    return fd_closed(server.fd()) && fd_closed(client.fd());
 }
 
 #if DELAY_POOLS
diff -u -r -N squid-3.1.0.3/src/ufsdump.cc squid-3.1.0.4/src/ufsdump.cc
--- squid-3.1.0.3/src/ufsdump.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/ufsdump.cc	2009-01-23 18:37:38.000000000 +1300
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid.h"
+#include "config.h"
 #include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
 #include "Store.h"
diff -u -r -N squid-3.1.0.3/src/unlinkd.cc squid-3.1.0.4/src/unlinkd.cc
--- squid-3.1.0.3/src/unlinkd.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/unlinkd.cc	2009-01-23 18:37:38.000000000 +1300
@@ -192,7 +192,7 @@
 unlinkdInit(void)
 {
     const char *args[2];
-    IPAddress localhost;
+    IpAddress localhost;
 
     args[0] = "(unlinkd)";
     args[1] = NULL;
diff -u -r -N squid-3.1.0.3/src/url.cc squid-3.1.0.4/src/url.cc
--- squid-3.1.0.3/src/url.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/url.cc	2009-01-23 18:37:38.000000000 +1300
@@ -248,7 +248,7 @@
 
         /* Then everything until first /; thats host (and port; which we'll look for here later) */
         /* bug 1881: If we don't get a "/" then we imply it was there */
-        for (dst = host; i < l && *src != '/' && src != '\0'; i++, src++, dst++) {
+        for (dst = host; i < l && *src != '/' && *src != '\0'; i++, src++, dst++) {
             *dst = *src;
         }
 
diff -u -r -N squid-3.1.0.3/src/wccp2.cc squid-3.1.0.4/src/wccp2.cc
--- squid-3.1.0.3/src/wccp2.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/wccp2.cc	2009-01-23 18:37:38.000000000 +1300
@@ -1,7 +1,4 @@
-
 /*
- * $Id: wccp2.cc,v 1.23 2008/02/09 03:48:05 swilton Exp $
- *
  * DEBUG: section 80    WCCP Support
  * AUTHOR: Steven Wilton
  *
@@ -39,7 +36,7 @@
 #include "Parsing.h"
 #include "Store.h"
 #include "SwapDir.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #if USE_WCCPv2
 #if HAVE_NETDB_H
@@ -630,7 +627,7 @@
 void
 wccp2Init(void)
 {
-    IPAddress_list *s;
+    IpAddress_list *s;
     char *ptr;
     uint32_t service_flags;
 
@@ -922,10 +919,13 @@
         service_list_ptr->wccp_packet_size = ntohs(wccp2_here_i_am_header.length) + sizeof(wccp2_here_i_am_header);
 
         /* Add the event if everything initialised correctly */
+        debugs(80,3,"wccp2Init: scheduled 'HERE_I_AM' message to " << wccp2_numrouters << "routers.");
         if (wccp2_numrouters) {
             if (!eventFind(wccp2HereIam, NULL)) {
                 eventAdd("wccp2HereIam", wccp2HereIam, NULL, 1, 1);
             }
+            else
+                debugs(80,3,"wccp2Init: skip duplicate 'HERE_I_AM'.");
         }
 
         service_list_ptr = service_list_ptr->next;
@@ -1139,7 +1139,7 @@
     commSetSelect(sock, COMM_SELECT_READ, wccp2HandleUdp, NULL, 0);
 
     /* FIXME INET6 : drop conversion boundary */
-    IPAddress from_tmp;
+    IpAddress from_tmp;
 
     len = comm_udp_recvfrom(sock,
                             &wccp2_i_see_you,
@@ -1500,7 +1500,7 @@
 
     struct wccp2_mask_identity_info_t *wccp2_mask_identity_info_ptr;
 
-    IPAddress router;
+    IpAddress router;
 
     debugs(80, 6, "wccp2HereIam: Called");
 
@@ -1940,7 +1940,7 @@
 
                 if (wccp2_numrouters > 1) {
                     /* FIXME INET6 : drop temp conversion */
-                    IPAddress tmp_rtr(router);
+                    IpAddress tmp_rtr(router);
                     comm_udp_sendto(theWccp2Connection,
                                     tmp_rtr,
                                     &wccp_packet,
diff -u -r -N squid-3.1.0.3/src/wccp.cc squid-3.1.0.4/src/wccp.cc
--- squid-3.1.0.3/src/wccp.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/wccp.cc	2009-01-23 18:37:38.000000000 +1300
@@ -59,7 +59,7 @@
 };
 
 struct wccp_cache_entry_t {
-    IPAddress ip_addr;
+    IpAddress ip_addr;
     int revision;
     char hash[WCCP_HASH_SIZE];
     int reserved;
@@ -91,7 +91,7 @@
 static int last_assign_buckets_change;
 static unsigned int number_caches;
 
-static IPAddress local_ip;
+static IpAddress local_ip;
 
 static PF wccpHandleUdp;
 static int wccpLowestIP(void);
@@ -203,7 +203,7 @@
 wccpHandleUdp(int sock, void *not_used)
 {
 
-    IPAddress from;
+    IpAddress from;
     int len;
 
     debugs(80, 6, "wccpHandleUdp: Called.");
diff -u -r -N squid-3.1.0.3/src/win32.cc squid-3.1.0.4/src/win32.cc
--- squid-3.1.0.3/src/win32.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/src/win32.cc	2009-01-23 18:37:38.000000000 +1300
@@ -55,9 +55,9 @@
     int new_socket;
     fde *F = NULL;
 
-    IPAddress localhost;
-    IPAddress handle0;
-    IPAddress handle1;
+    IpAddress localhost;
+    IpAddress handle0;
+    IpAddress handle1;
     struct addrinfo *AI = NULL;
 
     localhost.SetLocalhost();
diff -u -r -N squid-3.1.0.3/tools/cachemgr.cc squid-3.1.0.4/tools/cachemgr.cc
--- squid-3.1.0.3/tools/cachemgr.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/tools/cachemgr.cc	2009-01-23 18:37:38.000000000 +1300
@@ -1,6 +1,4 @@
 /*
- * $Id: cachemgr.cc,v 1.6 2007/12/14 23:11:53 amosjeffries Exp $
- *
  * DEBUG: section 0     CGI Cache Manager
  * AUTHOR: Duane Wessels
  *
@@ -133,7 +131,7 @@
 
 #include "assert.h"
 #include "util.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 #include "getfullhostname.h"
 
 #ifndef DEFAULT_CACHEMGR_CONFIG
@@ -795,7 +793,7 @@
 
     char ipbuf[MAX_IPSTRLEN];
     struct addrinfo *AI = NULL;
-    IPAddress S;
+    IpAddress S;
     int s;
     int l;
 
diff -u -r -N squid-3.1.0.3/tools/Makefile.am squid-3.1.0.4/tools/Makefile.am
--- squid-3.1.0.3/tools/Makefile.am	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/tools/Makefile.am	2009-01-23 18:37:38.000000000 +1300
@@ -1,15 +1,13 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2006/05/11 12:25:39 hno Exp $
-#
 #  Uncomment and customize the following to suit your needs:
 #
 
 
 AUTOMAKE_OPTIONS = subdir-objects
 
-INCLUDES        = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_srcdir)/lib/libTrie/include
+INCLUDES        = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_srcdir)/lib/libTrie/include -I$(top_srcdir)/src
 INCLUDES	+= @SQUID_CPPUNIT_INC@
 
 TESTS=$(check_PROGRAMS)
@@ -22,6 +20,7 @@
 ## No Such file...
 #testHeaders.c:
 #	touch testHeaders.c
+#CLEANFILES += testHeaders.c
 
 SUBDIRS		= 
 
@@ -37,7 +36,7 @@
 cachemgr__CGIEXT__SOURCES = cachemgr.cc
 cachemgr__CGIEXT__CXXFLAGS = -DDEFAULT_CACHEMGR_CONFIG=\"$(DEFAULT_CACHEMGR_CONFIG)\" $(AM_CXXFLAGS)
 
-LDADD = -L../lib -lmiscutil $(XTRA_LIBS)
+LDADD = ../src/ip/libip.la -L../lib -lmiscutil $(XTRA_LIBS)
 
 EXTRA_DIST = \
 	cachemgr.conf
diff -u -r -N squid-3.1.0.3/tools/Makefile.in squid-3.1.0.4/tools/Makefile.in
--- squid-3.1.0.3/tools/Makefile.in	2008-12-05 16:09:58.000000000 +1300
+++ squid-3.1.0.4/tools/Makefile.in	2009-01-23 18:38:01.000000000 +1300
@@ -17,8 +17,6 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.am,v 1.2 2006/05/11 12:25:39 hno Exp $
-#
 #  Uncomment and customize the following to suit your needs:
 #
 
@@ -64,11 +62,12 @@
 cachemgr__CGIEXT__OBJECTS = $(am_cachemgr__CGIEXT__OBJECTS)
 cachemgr__CGIEXT__LDADD = $(LDADD)
 am__DEPENDENCIES_1 =
-cachemgr__CGIEXT__DEPENDENCIES = $(am__DEPENDENCIES_1)
+cachemgr__CGIEXT__DEPENDENCIES = ../src/ip/libip.la \
+	$(am__DEPENDENCIES_1)
 am_squidclient_OBJECTS = squidclient.$(OBJEXT)
 squidclient_OBJECTS = $(am_squidclient_OBJECTS)
 squidclient_LDADD = $(LDADD)
-squidclient_DEPENDENCIES = $(am__DEPENDENCIES_1)
+squidclient_DEPENDENCIES = ../src/ip/libip.la $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
 depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
 am__depfiles_maybe = depfiles
@@ -325,7 +324,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include \
 	-I$(top_srcdir)/include -I$(top_srcdir)/lib/libTrie/include \
-	@SQUID_CPPUNIT_INC@ $(am__empty)
+	-I$(top_srcdir)/src @SQUID_CPPUNIT_INC@
 TESTS = $(check_PROGRAMS)
 #check_PROGRAMS= testHeaders
 
@@ -335,12 +334,13 @@
 #
 #testHeaders.c:
 #	touch testHeaders.c
+#CLEANFILES += testHeaders.c
 SUBDIRS = 
 DEFAULT_CACHEMGR_CONFIG = $(sysconfdir)/cachemgr.conf
 squidclient_SOURCES = squidclient.cc
 cachemgr__CGIEXT__SOURCES = cachemgr.cc
 cachemgr__CGIEXT__CXXFLAGS = -DDEFAULT_CACHEMGR_CONFIG=\"$(DEFAULT_CACHEMGR_CONFIG)\" $(AM_CXXFLAGS)
-LDADD = -L../lib -lmiscutil $(XTRA_LIBS)
+LDADD = ../src/ip/libip.la -L../lib -lmiscutil $(XTRA_LIBS)
 EXTRA_DIST = \
 	cachemgr.conf
 
diff -u -r -N squid-3.1.0.3/tools/squidclient.cc squid-3.1.0.4/tools/squidclient.cc
--- squid-3.1.0.3/tools/squidclient.cc	2008-12-05 16:09:35.000000000 +1300
+++ squid-3.1.0.4/tools/squidclient.cc	2009-01-23 18:37:38.000000000 +1300
@@ -1,6 +1,5 @@
-
 /*
- * $Id: squidclient.cc,v 1.11 2008/02/26 21:49:46 amosjeffries Exp $
+ * $Id$
  *
  * DEBUG: section 0     WWW Client
  * AUTHOR: Harvest Derived
@@ -86,7 +85,7 @@
 #endif
 
 #include "util.h"
-#include "IPAddress.h"
+#include "ip/IpAddress.h"
 
 #ifndef BUFSIZ
 #define BUFSIZ		8192
@@ -101,9 +100,9 @@
 typedef void SIGHDLR(int sig);
 
 /* Local functions */
-static int client_comm_bind(int, const IPAddress &);
+static int client_comm_bind(int, const IpAddress &);
 
-static int client_comm_connect(int, const IPAddress &, struct timeval *);
+static int client_comm_connect(int, const IpAddress &, struct timeval *);
 static void usage(const char *progname);
 
 static int Now(struct timeval *);
@@ -133,7 +132,7 @@
 {
     fprintf(stderr,
             "Version: %s\n"
-            "Usage: %s [-arsv] [-i IMS] [-h remote host] [-l local host] [-p port] [-m method] [-t count] [-I ping-interval] [-H 'strings'] [-T timeout] url\n"
+            "Usage: %s [-arsv] [-i IMS] [-h remote host] [-l local host] [-p port] [-m method] [-t count] [-I ping-interval] [-H 'strings'] [-T timeout] [-j 'hostheader'] [-V version] url\n"
             "Options:\n"
             "    -P file      PUT request.\n"
             "    -a           Do NOT include Accept: header.\n"
@@ -143,6 +142,7 @@
             "    -i IMS       If-Modified-Since time (in Epoch seconds).\n"
             "    -h host      Retrieve URL from cache on hostname.  Default is localhost.\n"
             "    -l host      Specify a local IP address to bind to.  Default is none.\n"
+            "    -j hosthdr   Host header content\n"
             "    -p port      Port number of cache.  Default is %d.\n"
             "    -m method    Request method, default is GET.\n"
             "    -t count     Trace count cache-hops\n"
@@ -153,7 +153,8 @@
             "    -u user      Proxy authentication username\n"
             "    -w password  Proxy authentication password\n"
             "    -U user      WWW authentication username\n"
-            "    -W password  WWW authentication password\n",
+            "    -W password  WWW authentication password\n"
+            "    -V version   HTTP Version. Use '-' for HTTP/0.9 omitted case\n",
             VERSION, progname, CACHE_HTTP_PORT);
     exit(1);
 }
@@ -169,7 +170,7 @@
     int opt_noaccept = 0;
     int opt_verbose = 0;
     const char *hostname, *localhost;
-    IPAddress iaddr;
+    IpAddress iaddr;
     char url[BUFSIZ], msg[MESSAGELEN], buf[BUFSIZ];
     char extra_hdrs[HEADERLEN];
     const char *method = "GET";
@@ -181,10 +182,12 @@
     int i = 0, loops;
     long ping_int;
     long ping_min = 0, ping_max = 0, ping_sum = 0, ping_mean = 0;
-    char *proxy_user = NULL;
-    char *proxy_password = NULL;
-    char *www_user = NULL;
-    char *www_password = NULL;
+    const char *proxy_user = NULL;
+    const char *proxy_password = NULL;
+    const char *www_user = NULL;
+    const char *www_password = NULL;
+    const char *host = NULL;
+    const char *version = "1.0";
 
     /* set the defaults */
     hostname = "localhost";
@@ -206,7 +209,7 @@
         if (url[0] == '-')
             usage(argv[0]);
 
-        while ((c = getopt(argc, argv, "ah:l:P:i:km:p:rsvt:g:p:I:H:T:u:U:w:W:?")) != -1)
+        while ((c = getopt(argc, argv, "ah:j:V:l:P:i:km:p:rsvt:g:p:I:H:T:u:U:w:W:?")) != -1)
             switch (c) {
 
             case 'a':
@@ -214,83 +217,74 @@
                 break;
 
             case 'h':		/* remote host */
-
                 if (optarg != NULL)
                     hostname = optarg;
+                break;
+
+            case 'j':
+               host = optarg;
+               break;
 
+            case 'V':
+                if (optarg != NULL)
+                    version = optarg;
                 break;
 
             case 'l':		/* local host */
                 if (optarg != NULL)
                     localhost = optarg;
-
                 break;
 
             case 's':		/* silent */
                 to_stdout = 0;
-
                 break;
 
             case 'k':		/* backward compat */
                 keep_alive = 1;
-
                 break;
 
             case 'r':		/* reload */
                 reload = 1;
-
                 break;
 
             case 'p':		/* port number */
                 sscanf(optarg, "%d", &port);
-
                 if (port < 1)
                     port = CACHE_HTTP_PORT;	/* default */
-
                 break;
 
             case 'P':
                 put_file = xstrdup(optarg);
-
                 break;
 
             case 'i':		/* IMS */
                 ims = (time_t) atoi(optarg);
-
                 break;
 
             case 'm':
                 method = xstrdup(optarg);
-
                 break;
 
             case 't':
                 method = xstrdup("TRACE");
-
                 max_forwards = atoi(optarg);
-
                 break;
 
             case 'g':
                 ping = 1;
-
                 pcount = atoi(optarg);
-
                 to_stdout = 0;
-
                 break;
 
             case 'I':
                 if ((ping_int = atoi(optarg) * 1000) <= 0)
                     usage(argv[0]);
-
                 break;
 
             case 'H':
                 if (strlen(optarg)) {
                     char *t;
                     strncpy(extra_hdrs, optarg, sizeof(extra_hdrs));
-
                     while ((t = strstr(extra_hdrs, "\\n")))
                         *t = '\r', *(t + 1) = '\n';
                 }
@@ -357,7 +351,33 @@
 
         fstat(put_fd, &sb);
     }
-    snprintf(msg, BUFSIZ, "%s %s HTTP/1.0\r\n", method, url);
+
+    if (!host) {
+       char *newhost = strstr(url, "://");
+       if (newhost) {
+           char *t;
+           newhost += 3;
+           newhost = strdup(newhost);
+           t = newhost + strcspn(newhost, "@/?");
+           if (*t == '@') {
+               newhost = t + 1;
+               t = newhost + strcspn(newhost, "@/?");
+           }
+           *t = '\0';
+           host = newhost;
+       }
+    }
+
+    if(version[0] == '-') {
+        snprintf(msg, BUFSIZ, "%s %s\r\n", method, url);
+    } else {
+        snprintf(msg, BUFSIZ, "%s %s HTTP/%s\r\n", method, url, version);
+    }
+
+    if (host) {
+        snprintf(buf, BUFSIZ, "Host: %s\r\n", method, url, version, host);
+        strcat(msg,buf);
+    }
 
     if (reload) {
         snprintf(buf, BUFSIZ, "Pragma: no-cache\r\n");
@@ -380,8 +400,8 @@
         strcat(msg, buf);
     }
     if (proxy_user) {
-        char *user = proxy_user;
-        char *password = proxy_password;
+        const char *user = proxy_user;
+        const char *password = proxy_password;
 #if HAVE_GETPASS
 
         if (!password)
@@ -398,8 +418,8 @@
         strcat(msg, buf);
     }
     if (www_user) {
-        char *user = www_user;
-        char *password = www_password;
+        const char *user = www_user;
+        const char *password = www_password;
 #if HAVE_GETPASS
 
         if (!password)
@@ -415,18 +435,26 @@
         snprintf(buf, BUFSIZ, "Authorization: Basic %s\r\n", base64_encode(buf));
         strcat(msg, buf);
     }
-    if (keep_alive) {
-        if (port != 80)
-            snprintf(buf, BUFSIZ, "Proxy-Connection: keep-alive\r\n");
+
+    /* 1.0 & 1.1 might need Proxy-Connection: header */
+    if (version[0] == '1' && version[1] == '.' &&  version[2] >= '0' && version[2] <= '1') {
+        if (keep_alive) {
+            if (port != 80)
+                snprintf(buf, BUFSIZ, "Proxy-Connection: keep-alive\r\n");
+            else
+               strcat(msg, "Connection: keep-alive\r\n");
+       }
+     } else {
+        if (!keep_alive)
+            strcat(msg, "Connection: close\r\n");
         else
             snprintf(buf, BUFSIZ, "Connection: keep-alive\r\n");
-
-        strcat(msg, buf);
     }
-    strcat(msg, extra_hdrs);
-    snprintf(buf, BUFSIZ, "\r\n");
     strcat(msg, buf);
 
+    strcat(msg, extra_hdrs);
+    strcat(msg, "\r\n");
+
     if (opt_verbose)
         fprintf(stderr, "headers: '%s'\n", msg);
 
@@ -612,7 +640,7 @@
 }
 
 static int
-client_comm_bind(int sock, const IPAddress &addr) {
+client_comm_bind(int sock, const IpAddress &addr) {
 
     int res;
 
@@ -630,7 +658,7 @@
 }
 
 static int
-client_comm_connect(int sock, const IPAddress &addr, struct timeval *tvp) {
+client_comm_connect(int sock, const IpAddress &addr, struct timeval *tvp) {
     int res;
     static struct addrinfo *AI = NULL;
 
